<?php
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Addr/View/AddrListsView.php
 * @function  通讯录列表       
 * @version   1.0 
 * @author    lizj
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=PUBLIC_PATH?>font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>style.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>addr.css"/>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<title><?=$_lang["e_addr_book"]?></title>
<script>
function gotoFirstPage(){
    return 0;
}
$(function(){
    //返回处理
    $("#pageback").click(function(){
        location.href = "/home.do";	
    });
    $("#pageback").mousedown(function(){
        $(this).attr("class","page-top-button-down");	
    }).mouseup(function(){
        $(this).attr("class","page-top-button");	
    }); 
    //按部门分组
    $('#dept').click(function(){
        $('#word').removeClass('active');
        $(this).addClass('active');
        $('.word_list').hide();
        $('.search_list').hide();
        $('.dept_list').show();
    })
    //按拼音分组
    $('#word').click(function(){
        $('#dept').removeClass('active');
        $(this).addClass('active');
        if($('.word_list').attr('loaded')!=1){
            $.ajax({
            url : '<?=APP_PATH?>Init.php?m=groupDealByPinyin_Addr&sessionkey=<?=$sessionkey?>',
            }).done(function(result) {
                var parseResult = $.parseJSON(result);
                var html = '<div class="list_header"><?=$_lang["e_addr_group_by_first_word"]?></div><div class="list_list">';
                var sumResult = 0;
                $.each(parseResult,function(k,v){
                    if(v !== '0'){
                        html +='<div class="list_group" group_id = "'+k+'" addr_item = "none">\
                            <div class="group_title"><img src="<?=IMG_PATH?>/common/iconfont-right.png"> &nbsp;&nbsp;&nbsp;<span style=font-size:1.5em;font-weight:bold;color:#333;margin-top:15px;>'+k+'</span><div class="right_fixed">'+v+'</div></div>\
                            <div class="group_list" style="display:none;"></div>\
                        </div>';
                    }                       
                    sumResult += parseInt(v);
                })
                html += '</div>';
                if(sumResult == '0'){
                    html ='<div class="list_header"><?=$_lang["e_addr_group_by_first_word"]?></div><div class="group_list" style="display:block;"><div class="none_item">'+'<?=$_lang["e_addr_no_linkman_now"]?>'+'</div></div>';
                }
                $('.word_list').html(html);
                $('.word_list').attr('loaded',1);
            })
        }
        $('.dept_list').hide();
        $('.search_list').hide();
        $('.word_list').show();
    });
    //打电话发短信
    $('.dept_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'sms:'+telephone;
            return false;
        }
    },'.dept_list .sms_home');
    $('.dept_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'tel:'+telephone;
            return false;
        }
    },'.dept_list .tel_home');
     $('.word_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'sms:'+telephone;
            return false;
        }
    },'.word_list .sms_home');
    $('.word_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'tel:'+telephone;
            return false;
        }
    },'.word_list .tel_home');
    $('.search_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'sms:'+telephone;
            return false;
        }
    },'.search_list .sms_home');
    $('.search_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'tel:'+telephone;
            return false;
        }
    },'.search_list .tel_home');
    //按照拼音加载联系人列表
    $('.word_list').on({
        click:function(){
            var $this = $(this);
            var addr_item = $this.parent().attr('addr_item');
            var display = $this.parent().find('.group_list').css('display');
            if(addr_item == 'none' && display == 'none'){
                var groupId = $this.parent().attr('group_id');
                var url     = '<?=APP_PATH?>Init.php?m=getAddrByWord_Addr&sessionkey=<?=$sessionkey?>';
                commonAjax(url,'<?=$userid?>',groupId,$this);
                $this.parent().find('.group_list').show();
                $this.parent().attr('addr_item','block')
                $this.find('img').attr('src','<?=IMG_PATH?>/common/iconfont-unfold.png');
            }else if(addr_item == 'block' && display == 'none'){
                $this.parent().find('.group_list').show();
                $this.find('img').attr('src','<?=IMG_PATH?>/common/iconfont-unfold.png');
            }else if(addr_item == 'block' && display == 'block'){
                $this.parent().find('.group_list').hide();
                $this.find('img').attr('src','<?=IMG_PATH?>/common/iconfont-right.png');
            }
        }
    },'.word_list .list_group .group_title');
    //按照自定义分组id加载联系人列表
    $('.dept_list .list_group .group_title').click(function(){
        var $this = $(this);
        var addr_item = $this.parent().attr('addr_item');
        var display = $this.parent().find('.group_list').css('display');
        if(addr_item == 'none' && display == 'none'){
            var groupId = $this.parent().attr('group_id');
            var url     = '<?=APP_PATH?>Init.php?m=getAddrByDept_Addr&sessionkey=<?=$sessionkey?>';
            commonAjax(url,'<?=$userid?>',groupId,$this);
            $this.parent().find('.group_list').show();
            $this.parent().attr('addr_item','block')
            $this.find('img').attr('src','<?=IMG_PATH?>/common/iconfont-unfold.png');
        }else if(addr_item == 'block' && display == 'none'){
            $this.parent().find('.group_list').show();
            $this.find('img').attr('src','<?=IMG_PATH?>/common/iconfont-unfold.png');
        }else if(addr_item == 'block' && display == 'block'){
            $this.parent().find('.group_list').hide();
            $this.find('img').attr('src','<?=IMG_PATH?>/common/iconfont-right.png');
        }
    });
    //进入查看详情
    $('body').on({
        click: function(){
            var addr_id = $(this).attr('addr_id');
            location.href = '<?=APP_PATH?>Init.php?m=view_Addr&detailid='+addr_id+'&sessionkey=<?=$sessionkey?>';
        }
    },'.addr_item');
    //搜索框效果
    $('#keyword').focus(function(){
        $('.search_center').css('border','1px solid #00bfff')
        $('.glyphicon-search').css('color','#00bfff');
    }).blur(function(){
        $('.glyphicon-search').css('color','grey');
        $('.search_center').css('border','1px solid #eaeaea')
    });
    //按联系人进行模糊搜索
    $('#search_sumit').click(function(){
        var keyword = $('#keyword').val();
        if(keyword == ''){
            alert('<?=$_lang["e_addr_enter_linkman_keyword"]?>');
            return false;
        }
        $.ajax({
            url:'<?=APP_PATH?>Init.php?m=searchAddrList_Addr&sessionkey=<?=$sessionkey?>',
            data:{
                keyword:keyword,
                sessionkey:'<?=$sessionkey?>'
            }
        }).done(function(result){
            if(result == 0){
                $('.search_list').html('<div style="height:40px;line-height:40px;text-align:center;border:1px solid #eaeaea;margin-top:10px;float:left;width:96%;margin-left:2%;"><?=$_lang["e_addr_no_about_linkman"]?></div>');
            }else{
                var parseResult = $.parseJSON(result);
                var size = parseResult.length;
                var html = '<div class="list_header"><?=$_lang["e_addr_search_by_linkman_keyword"]?></div><div class="list_list">';
                html +='<div class="list_group">\
                            <div class="group_title"><img src="<?=IMG_PATH?>/common/iconfont-unfold.png" style="margin-top:10px;"> &nbsp;&nbsp;&nbsp;<?=$_lang["e_addr_keyword"]?>（'+keyword+'）<div class="right_fixed">'+size+'</div></div>\
                            <div class="group_list">';
                $.each(parseResult,function(k,v){
                    var operationHtml = '';
                    var telephone = '';
                    if(v.Mobile){
                        telephone = v.Mobile
                        operationHtml = '<div class="sms_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-sms.png" style="margin-top:15px;margin-right:10px;"></div>\
                                        <div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                    }else if(v.Work_Tel){
                        telephone = v.Work_Tel
                        operationHtml = '<div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                    }else if(v.Home_Tel){
                        telephone = v.Home_Tel
                        operationHtml = '<div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                    }
                    html += '<div class="addr_item" addr_id="'+v.ID+'" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">\
                                <div class="item_left" style="background:url(\''+v.image+'\')-16px -3px no-repeat;background-size:80px 80px;"></div>\
                                <div class="item_right">\
                                    <div class="right_top">'+v.Name+'</div>\
                                    <div class="right_bottom">'+telephone+'&nbsp;&nbsp;'+v.GroupName+'</div>\
                                </div>\
                                <div class="operation">'+operationHtml+'</div>\
                            </div>';
                })
                html += '</div></div>';
                $('.search_list').html(html);
            }
            $('.dept_list').hide();
            $('.word_list').hide();
            $('.search_list').show();
        });
    });
});
//公共的ajax函数
function commonAjax(url,userid,groupid,obj){
    $.ajax({
        url : url,
        data:{
            groupid:groupid,
            userid:userid
        }
    }).done(function(result) {
        if(result == 0){
            var html = '<div class="none_item"><?=$_lang["e_addr_no_linkman_now"]?></div>';
            obj.parent().find('.group_list').html(html);
        }else{
            var parseResult = $.parseJSON(result);
            var html = '';
            $.each(parseResult,function(k,v){
                var operationHtml = '';
                var telephone = '';
                if(v.Mobile){
                    telephone = v.Mobile
                    operationHtml = '<div class="sms_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-sms.png" style="margin-top:15px;margin-right:10px;"></div>\
                                    <div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                }else if(v.Work_Tel){
                    telephone = v.Work_Tel
                    operationHtml = '<div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                }else if(v.Home_Tel){
                    telephone = v.Home_Tel
                    operationHtml = '<div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                }
                html += '<div class="addr_item" addr_id="'+v.ID+'" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">\
                            <div class="item_left" style="background:url(\''+v.image+'\')-16px -3px no-repeat;background-size:80px 80px;"></div>\
                            <div class="item_right">\
                                <div class="right_top">'+v.Name+'</div>\
                                <div class="right_bottom">'+telephone+'&nbsp;&nbsp;'+v.GroupName+'</div>\
                            </div>\
                            <div class="operation">'+operationHtml+'</div>\
                        </div>';
            });
            obj.parent().find('.group_list').html(html);
        }
    });
}
//触摸滑动显示操作按钮
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event){
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event,obj){
    if(curX > 40 ){
        $(obj).find('.operation').hide()
    }
    if(curX < -40){
        $('.operation').hide()
        $(obj).find('.operation').show();
    }
    startX = 0;
    curX  = 0;
}
</script>
</head>
<body>
<? if($_REQUEST["clienttype"]=="Webclient"){?>
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
    <table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
        <tr>
            <td width="10%" valign="middle" style="padding-left:5px;">
                <div id="pageback" class="page-top-button"><?=$_lang["e_addr_go_back"]?></div>
            </td>
            <td align="center" valign="middle">
                <div class="page-top-text"><?=$_lang["e_addr_book"]?></div>
            </td>
            <td width="10%" valign="middle" style="padding-right:5px;"></td>
        </tr>
    </table>
</div>
<? }
//判断权限
// if(empty($groupInfo)){
// 	echo AccessPermission($_REQUEST["clienttype"],""); 	
//     exit;
// }
?>
<!--搜索框开始-->
<div class="addr_search" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="top:40px;"<?}else{?>style="top:0px;"<?}?>>
    <div class="search_center" style="width:80%;height:40px;margin-left:10%;margin-top:5px;border:1px solid #eaeaea; -moz-border-radius: 8px;-webkit-border-radius: 8px;border-radius:8px; ">
        <div style="width:85%;height:40px;float:left;"><input type="text" style="margin-left:3%;height:38px;width:97%;border:0px;margin-top:0px;" id="keyword" value="" placeholder="<?=$_lang["e_addr_enter_linkman_name"]?>"></div>
        <div id="search_sumit" style="width:15%;height:40px;float:left;text-indent: 5px;"><img src="<?=IMG_PATH?>/common/iconfont-search.png" style="margin-top:7px;width:25px;"></div>
    </div>
</div>
<!--搜索框结束-->
<!--头部按钮组开始-->
<div class="addr_header" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:90px;"<?}else{?>style="margin-top:50px;"<?}?>>
    <div class="left active" id="dept"><?=$_lang["e_addr_group"]?></div>
    <div class="right" id="word"><?=$_lang["e_addr_pinyin"]?></div>
</div>
<!--头部按钮组结束-->
<!--自定义分组列表开始-->
<div class="dept_list" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:140px;"<?}else{?>style="margin-top:100px;"<?}?>>
    <div class="list_header"><?=$_lang["e_addr_group_by_addr_group"]?></div>
    <div class="list_list">
    <div class="group_list_title"><?=$_lang["e_addr_public_addr"]?></div>
    <? if(empty($groupInfo)){?>
        <div class="list_group" addr_item = "none">
            <div class="group_title">
                <img src="<?=IMG_PATH?>/common/iconfont-right.png"> &nbsp;&nbsp;&nbsp;
                <div class="right_fixed">0</div>
            </div>
            <div class="group_list" style="display: none;"></div>
        </div>
    <? }else{foreach($groupInfo as $key => $value){?>
        <div class="list_group" group_id = "<?=$value['GROUP_ID']?>" addr_item = "none">
            <div class="group_title">
                <img src="<?=IMG_PATH?>/common/iconfont-right.png"> &nbsp;&nbsp;&nbsp;<?=$value['GROUP_NAME']?>
                <div class="right_fixed"><?=$value['count']?></div>
            </div>
            <div class="group_list" style="display: none;"></div>
        </div>
    <? }}?>
    <div class="group_list_title"><?=$_lang["e_addr_person_addr"]?></div>
    <? if(empty($personGroupInfo)){?>
        <div class="list_group" addr_item = "none">
            <div class="group_title">
                <img src="<?=IMG_PATH?>/common/iconfont-right.png"> &nbsp;&nbsp;&nbsp;
                <div class="right_fixed">0</div>
            </div>
            <div class="group_list" style="display: none;"></div>
        </div>
    <? }else{foreach($personGroupInfo as $key => $value){?>
        <div class="list_group" group_id = "<?=$value['GROUP_ID']?>" addr_item = "none">
            <div class="group_title">
                <img src="<?=IMG_PATH?>/common/iconfont-right.png"> &nbsp;&nbsp;&nbsp;<?=$value['GROUP_NAME']?>
                <div class="right_fixed"><?=$value['count']?></div>
            </div>
            <div class="group_list" style="display: none;"></div>
        </div>
    <? }}?>
    </div>
</div>
<!--自定义分组列表结束-->
<!--拼音分组列表开始-->
<div class="word_list" style="display:none;<? if($_REQUEST["clienttype"]=="Webclient"){?>margin-top:140px;<?}else{?>margin-top: 100px;<?}?>"></div>
<!--拼音分组列表结束-->
<!--模糊搜索列表开始-->
<div class="search_list" style="display:none;<? if($_REQUEST["clienttype"]=="Webclient"){?>margin-top:140px;<?}else{?>margin-top: 100px;<?}?>"></div>
<!--模糊搜索列表结束-->
</body>
</html>