<?
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Calendar/View/CalendarUpdateView.php
 * @function  <?=$_lang["calendar_week_sun"]?>程    
 * @version   1.0 
 * @author    lizj
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=PUBLIC_PATH?>bootstrap/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>Page.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newcalendar.css"/>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<title><?=$_lang["calendar_schedule"]?></title>
<script language="javascript">
$(document).ready(function(){
    $("#pageback").click(function(){
        location.href = "/home.do";	
     });
    $("#pageback").mousedown(function(){
        $(this).attr("class","page-top-button-down");	
    }).mouseup(function(){
        $(this).attr("class","page-top-button");	
    });   
    $('#prv_month').click(function(){
        loadCalendar('prv_month');
    });
    $('#next_month').click(function(){
        loadCalendar('next_month');
    });
    $('.calendar_refalsh').click(function(){  
        var month = $('.current_month').attr('month');
        var year = $('.current_month').attr('year')
        $('.calendar_table').html('<div class="reflash_div"><?=$_lang["e_calendar_reflash"]?></div>')
        ajaxCalendar(year,month)
    });
    $('.load_current_canlader').click(function(){
        $('.calendar_table').html('<div class="reflash_div"><?=$_lang["e_calendar_reflash"]?></div>')
        ajaxCalendar('','');
    })
    $('.current_month').toggle(function(){
        $('.calendar_select').slideDown('show');
    },function(){
        $('.calendar_select').slideUp('hide');
    });
    $('.calendar_table,.calendar_count,.calendar_footer').click(function(){
        $('.calendar_select').hide();
    })
    $('.calendar_select .current').click(function(){
        var  year = $('#year_current').attr('year');
        var month = $('#month_current').attr('month');
        $('.current_month').html(year+'<?=$_lang["calendar_year"]?>'+month+'<?=$_lang["calendar_month"]?>');
        $('.current_month').attr('month',month);
        $('.current_month').attr('year',year);
        if(month == 1){
            $('#prv_month').attr('month',12);
            $('#prv_month').attr('year',parseInt(year)-1);
        }else{
            $('#prv_month').attr('month',parseInt(month)-1);
            $('#prv_month').attr('year',parseInt(year));
        }
        if(month == 12){
            $('#next_month').attr('month',1);
            $('#next_month').attr('year',parseInt(year)+1);
        }else{
            $('#next_month').attr('month',parseInt(month)+1);
            $('#next_month').attr('year',parseInt(year));
        }
        ajaxCalendar(year,month);
    });
    $('.calendar_table').on({
       click:function(){
           var date = $(this).find(':hidden').val();
            location.href = "<?=APP_PATH?>Init.php?m=oneDayCalendar_Calendar&date="+date+'&sessionkey=<?=$sessionstr?>';
       } 
    },'.calendar_td.noempty');
    $('.calendar_add').click(function(){
        location.href = "<?=APP_PATH?>Init.php?m=create_Calendar&mobilesessionkey=<?=$mobilekey?>&flag=calendarList&module=<?=$module?>&scope=<?=$scope?>&detailid=<?=$detailid?>&fromid=<?=$fromid?>&sessionkey=<?=$sessionstr?>";
    })
}); 
function ajaxCalendar(year,month){
    $.ajax({
        url : '<?=APP_PATH?>Init.php?m=ajaxCalendar_Calendar&year='+year+'&month='+month+'&sessionkey=<?=$sessionstr?>'
    }).done(function(result) {
        var infos = $.parseJSON(result);
        $(".calendar_count").html(infos.month+'<?=$_lang["e_calendar_all_have"]?>'+infos.allCount+'<?=$_lang["e_calendar_calendar_plan"]?>');
        var html =  "<div class='calendar_tr' style='border-top:2px #FC6621 solid;'>\
					<div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_sun"]?></div>\
                     <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_mon"]?></div>\
                     <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_tues"]?></div>\
                     <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_wed"]?></div>\
                     <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_thurs"]?></div>\
                     <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_fri"]?></div>\
                     <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_sat"]?></div>\
                 </div>";
     $.each(infos.calendar,function(k,v){
         html += "<div class='calendar_tr'>"
         $.each(v,function(i,e){
             if(e.length != 0){
                 var current_day = '';
                 var n_day = e.day;
                 var new_day = n_day.replace('-','-0');
                 var new_day = new_day.replace('-00','-0');
                 if(new_day == infos.currentDay){
                     current_day = 'current_day';
                 }else if(n_day == infos.currentDay){
                     current_day = 'current_day';
                 }
                 html += "<div class='calendar_td noempty "+current_day+"'><input type='hidden' name='calendar_date' value='"+e.day+"'><div class='day'>"+e.d+"</div>";
                 if(e.count != 0){
                     html += "<div class='text'>"+e.count+"</div>";
                 }
                html += "</div>";
             }else{
                 html += " <div class='calendar_td empty'></div>";
             }
         });
         html += "</div>"
     });
     $('.calendar_table').html(html);  
     $('.current_month').html(infos.year+'<?=$_lang["calendar_year"]?>'+infos.month+'<?=$_lang["calendar_month"]?>');
 })
}
function loadCalendar(idStr){
    var month = $('#'+idStr).attr('month');
    var year = $('#'+idStr).attr('year');
    $('.current_month').html(year+'<?=$_lang["calendar_year"]?>'+month+'<?=$_lang["calendar_month"]?>');
    $('.current_month').attr('month',month);
    $('.current_month').attr('year',year);
    if(month == 1){
        $('#prv_month').attr('month',12);
        $('#prv_month').attr('year',parseInt(year)-1);
    }else{
        $('#prv_month').attr('month',parseInt(month)-1);
        $('#prv_month').attr('year',parseInt(year));
    }
    if(month == 12){
        $('#next_month').attr('month',1);
        $('#next_month').attr('year',parseInt(year)+1);
    }else{
        $('#next_month').attr('month',parseInt(month)+1);
        $('#next_month').attr('year',parseInt(year));
    }
    $('.calendar_table').html('<div class="reflash_div"><?=$_lang["e_calendar_loading"]?></div>')
    ajaxCalendar(year,month);
}
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event){
    event.preventDefault();
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event){
    if(curX > 2 ){
         loadCalendar('prv_month');
    }
    if(curX < -2){
        loadCalendar('next_month');
    }
    startX = 0;
    curX  = 0;
}
var startYY = 0,curYY = 0;
function touchStartY(event){
    startYY = event.touches[0].pageY;
}
function touchMoveY(event){
    event.preventDefault();
    curYY = event.targetTouches[0].pageY - startYY;
}
function touchEndY(event){
    var year = parseInt($('#year_current').attr('year'));
    if(curYY > 2 ){
        $('#year_current').attr('year',year-1);
        $('#year_prv').attr('year',year-2);
        $('#year_next').attr('year',year);
        $('#year_current').html(year-1);
        $('#year_prv').html(year-2);
        $('#year_next').html(year);
    }
    if(curYY < -2){
        $('#year_current').attr('year',year+1);
        $('#year_prv').attr('year',year);
        $('#year_next').attr('year',year+2);
        $('#year_current').html(year+1);
        $('#year_prv').html(year);
        $('#year_next').html(year+2);
    }
    startYY = 0;
    curYY = 0;
}
var startMY = 0,curMY = 0;
function touchStartM(event){
    startMY = event.touches[0].pageY;
}
function touchMoveM(event){
    event.preventDefault();
    curMY = event.targetTouches[0].pageY - startMY;
}
function touchEndM(event){
    var month = parseInt($('#month_current').attr('month'));
    if(curMY > 2 ){
        if(month == 1){
            $('#month_current').attr('month',12);
            $('#month_prv').attr('month',11);
            $('#month_current').html(12);
            $('#month_prv').html(11);
        }else if (month == 2){
            $('#month_current').attr('month',month-1);
            $('#month_prv').attr('month',12);
            $('#month_current').html(month-1);
            $('#month_prv').html(12);
        }else{
            $('#month_current').attr('month',month-1);
            $('#month_prv').attr('month',month-2);
            $('#month_current').html(month-1);
            $('#month_prv').html(month-2);
        }
        $('#month_next').attr('month',month);
        $('#month_next').html(month);
    }
    if(curMY < -2){
        if(month == 12){
            $('#month_current').attr('month',1);
            $('#month_next').attr('month',2);
            $('#month_next').html(2);
            $('#month_current').html(1)
        }else if(month == 11){
            $('#month_current').attr('month',month+1);
            $('#month_next').attr('month',1);
            $('#month_next').html(1);
            $('#month_current').html(month+1);
            ;
        }else{
            $('#month_current').attr('month',month+1);
            $('#month_next').attr('month',month+2);
            $('#month_next').html(month+2);
            $('#month_current').html(month+1);
        }
        $('#month_prv').attr('month',month);
        $('#month_prv').html(month); 
    }
    curMY = 0;
    startMY = 0;
}
</script>
</head>
<body style="height: 100%;background:#fff;">
<? if($_REQUEST["clienttype"]=="Webclient"){?>
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
    <table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
        <tr>
            <td width="10%" valign="middle" style="padding-left:5px;">
                <div id="pageback" class="page-top-button"><?=$_lang["calendar_back"]?></div>
            </td>
            <td align="center" valign="middle">
                <div class="page-top-text"><?=$_lang["calendar_schedule"]?></div>
            </td>
            <td width="10%" valign="middle" style="padding-right:5px;"></td>
        </tr>
    </table>
</div>
<? }?>
<?
//判断权限
if(empty($calendar)){
	echo AccessPermission($_REQUEST["clienttype"],"");
	exit;	
}
else{	
?>
    <div class='calendar_month' <? if($_REQUEST["clienttype"]!="Webclient"){?> style='margin-top:0px;'<?}?>>
        <div class='left' id="prv_month"  year="<?if($month == 1){echo $year -1;}else{echo $year;}?>" month="<?if($month == 1){echo 12;}else{echo $month -1;}?>">
            &nbsp;<img src="<?=IMG_PATH?>calendar/iconfont-left.png" style='margin-top:-5px;'>
        </div>
        <div class='center'>
            <div class='current_month' year="<?=$year?>" month="<?=$month?>"><?=$year?><?=$_lang["calendar_year"]?><?=$month?><?=$_lang["calendar_month"]?></div>
            <div class="calendar_select">
                <div class="calendar_select_year" ontouchstart="touchStartY(event);" ontouchmove="touchMoveY(event);" ontouchend="touchEndY(event);">
                    <div id="year_prv" class="prv" year="<? echo $year-1?>"><? echo $year-1?></div>
                    <div id="year_current" class="current" year="<? echo $year?>"><?=$year?></div>
                    <div id="year_next" class="next" year="<? echo $year+1?>"><? echo $year+1?></div>
                </div>
                <div class="calendar_select_month" ontouchstart="touchStartM(event);" ontouchmove="touchMoveM(event);" ontouchend="touchEndM(event);">
                    <div id="month_prv" class="prv" month="<? if($month==1){echo 12;}else{echo intval($month) -1;}?>"><? if($month==1){echo 12;}else{echo $month -1;}?></div>
                    <div id="month_current" class="current" month="<? echo intval($month)?>"><?=$month?></div>
                    <div id="month_next" class="next" month="<?if($month==12){echo 1;}else{echo intval($month) +1;}?>"><?if($month==12){echo 1;}else{echo $month +1;}?></div>
                </div>
            </div>
        </div>
        <div class="right" id="next_month" year="<?if($month == 12){echo $year +1;}else{echo $year;}?>" month="<?if($month == 12){echo 1;}else{echo $month +1;}?>">
            <img src="<?=IMG_PATH?>calendar/iconfont-right.png" style='margin-top:-5px;'>&nbsp;
        </div>
    </div>
    <div class='calendar_table' start="0" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event);">
         <div class='calendar_tr' style='border-top:2px #FC6621 solid;'>
			 <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_sun"]?></div>
            <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_mon"]?></div>
            <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_tues"]?></div>
            <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_wed"]?></div>
            <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_thurs"]?></div>
            <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_fri"]?></div>
            <div class='calendar_th'><?=$_lang["calendar_week"]?><?=$_lang["calendar_week_sat"]?></div>
        </div>
        <? foreach($calendar as $key => $value){?>
        <div class='calendar_tr'>
            <? foreach($value as $k => $v){
                if(empty($v)){
            ?>
            <div class='calendar_td empty'></div>
            <?}else{
                $current_day = '';
                if($v['day'] == $currentDay){
                    $current_day = 'current_day';
                }
            ?>
            <div class='calendar_td noempty <?=$current_day?>'><input type="hidden" name="calendar_date" value="<?=$v['day']?>"><div class='day'><?=$v['d']?></div><? if($v['count']){?><div class='text'><?=$v['count']?></div><?}?></div>
            <?}}?>
        </div>
        <?}?>
    </div>
    <div class="calendar_count">
        <?=$month?><?=$_lang["e_calendar_all_have"]?><?=$allCount?><?=$_lang["e_calendar_calendar_plan"]?>
    </div>
    <div class='calendar_footer'>
        <div class='calendar_add'><img src="<?=IMG_PATH?>calendar/iconfont-add.png" ></div>
        <div class="load_current_canlader"><?=$_lang["e_calendar_now"]?><?=$_lang["calendar_month"]?></div>
        <div class='calendar_refalsh'><img src="<?=IMG_PATH?>calendar/iconfont-refresh.png" ></div></div>
<? }?>
</body>
</html>