<?php include(INCLUDE_APP_PATH."Common/Layout/CommonPageHeader.php");?>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>calendar.css"/>
<body>
	<input type="hidden" id="currentUserId" value="">
	<div class="cal-container">
		<div class="cal-header">
			<div class="cal-nav">
				<div class="cal-nav-inner">
					<div class="nav-item first active" id="myCalendarBtn"><?=$_lang["calendar_title"]?></div>
					<div class="nav-item" id="myBranchButton"><?=$_lang["calendar_my_branch"]?></div>
					<div class="nav-item last" id="myAttentionButton"><?=$_lang["calendar_my_attention"]?></div>
				</div>
			</div>
			<div class="cal-button more-calendar-button">
				<div class="v-line"></div>
				<div class="v-line"></div>
				<div class="v-line"></div>
			</div>
			<div class="cal-more-button-group">
				<div class="more-button calendar"><?=$_lang['e_calendar_show']?></div>
				<div class="more-button list"><?=$_lang['e_calendar_list']?></div>
				<div class="more-button add-calendar"><?=$_lang["calendar_create_new"]?></div>
			</div>
		</div>
		<div class="cal-header-end"><a href="javascript:void;" class="current-user-name"></a></div>
		<div class="cal-body" id="calendar-container">
			<div class="cal-calendar">
				<div class="cal-calendar-header">
					<div class="calendar-header-top">
						<div class="currrent-date"></div>
						<div class="header-button cal-left-button"><img src="<?=IMG_PATH?>calendar/iconfont-left.png"></div>
						<div class="header-button  cal-right-button"><img src="<?=IMG_PATH?>calendar/iconfont-right.png"></div>
					</div>
					<div class="calendar-header-bottom">
						<div class="calendar-header-item"><?=$_lang['emobile_common_root_week_7']?></div>
						<div class="calendar-header-item"><?=$_lang['emobile_common_root_week_1']?></div>
						<div class="calendar-header-item"><?=$_lang['emobile_common_root_week_2']?></div>
						<div class="calendar-header-item"><?=$_lang['emobile_common_root_week_3']?></div>
						<div class="calendar-header-item"><?=$_lang['emobile_common_root_week_4']?></div>
						<div class="calendar-header-item"><?=$_lang['emobile_common_root_week_5']?></div>
						<div class="calendar-header-item"><?=$_lang['emobile_common_root_week_6']?></div>
					</div>
				</div>
				<div class="cal-calendar-body"></div>
			</div>
			<div class="cal-list"></div>
		</div>
		<div class="cal-body" id="list-container" style="display: none;"></div>
	</div>
	<div class="panel-layer" ontouchend="closeUserSelect(event,this);"></div>
	<div class="c-user-select" id="myBranchUser" parent-id="myBranchButton"><div class="user-item"><?=$_lang["e_calendar_loading"]?></div></div>
	<div class="c-user-select" id="myAttentionUser" parent-id="myAttentionButton"><div class="user-item"><?=$_lang["e_calendar_loading"]?></div></div>
	<div class="cal-detail-box">
		<div class="detail-header"><div class="close-detial"><img src="<?=IMG_PATH?>calendar/back.png"></div><?=$_lang["e_calendar_detail"]?></div>
		<div class="detail-body">
			<div class="title"><?=$_lang["calendar_content"]?>:</div>
			<div class="content" id="detail-content"></div>
			<div class="title"><?=$_lang["calendar_begin_time"]?>:</div>
			<div class="content" id="detail-start"></div>
			<div class="title"><?=$_lang["calendar_end_time"]?>:</div>
			<div class="content" id="detail-end"></div>
			<div class="title"><?=$_lang["calendar_receive_user"]?>:</div>
			<div class="content" id="detail-deal"></div>
			<div class="title"><?=$_lang["calendar_share"]?>:</div>
			<div class="content" id="detail-join"></div>
			<div class="title"><?=$_lang["calendar_plan_creator"]?>:</div>
			<div class="content" id="detail-creator"></div>
			<div class="title"><?=$_lang["calendar_level"]?>:</div>
			<div class="content" id="detail-level"></div>
			<div class="title"><?=$_lang["calendar_tag"]?>:</div>
			<div class="content" id="detail-label"></div>
			<div class="title"><?=$_lang["calendar_remind"]?>:</div>
			<div class="content" id="detail-tip"></div>
			<div class="title"><?=$_lang["calendar_cycle_set"]?>:</div>
			<div class="content" id="detail-times"></div>
		</div>
	</div>
</body>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<script>
var currentType = 'calendar'; 
var currentDate ;
$(document).ready(function(){
	$('.cal-container').height($(window).height() - 50);
	$('body').on({
		click:function(){
			var calId = $(this).attr('cal-id');
			$.ajax({
				url:'<?=APP_PATH?>Init.php?m=detail_Calendar&sessionkey=<?=$this->_sessionKey?>',
				data:{
					calId:calId
				}
			}).done(function(result){
				var parseResult = $.parseJSON(result);
				$('#detail-level').text(parseResult.CAL_LEVEL);
				$('#detail-label').text(parseResult.LABELSTR);
				$('#detail-tip').text(parseResult.CAL_REMIND);
				$('#detail-start').text(parseResult.CAL_BEGIN);
				$('#detail-end').text(parseResult.CAL_END);
				$('#detail-creator').text(parseResult.USER_NAME);
				$('#detail-join').text(parseResult.SHARE_USER);
				$('#detail-deal').text(parseResult.RECEIVE_USER);
				$('#detail-content').text(parseResult.CAL_CONTENT);
				var html = '<div class="other-html">';
				switch(parseResult.CAL_WHILE_TYPE){
					case '0':
						$('#detail-times').text('<?=$_lang["calendar_nocycle"]?>');
						break;
					case '1':
						$('#detail-times').text('<?=$_lang["calendar_every_day"]?>');
						if(parseResult.CAL_IS_NEVER != 1){
							parseResult.CAL_WHILE_END = '<?=$_lang["calendar_never"]?>';
						}
						html += '<div class="title"><?=$_lang["calendar_cycle_count"]?>:</div><div class="content">'+parseResult.CAL_EACH_WHEEL+' <?=$_lang["calendar_day"]?></div>\
									<div class="title"><?=$_lang["calendar_cl_begin_date"]?>:</div><div class="content">'+parseResult.CAL_WHILE_BEGIN+'</div>\
									<div class="title"><?=$_lang["calendar_cl_end_date"]?>:</div><div class="content">'+parseResult.CAL_WHILE_END+'</div>';
						break;
					case '2':
						$('#detail-times').text('<?=$_lang["calendar_every_week"]?>');
						if(parseResult.CAL_IS_NEVER != 1){
							parseResult.CAL_WHILE_END = '<?=$_lang["calendar_never"]?>';
						}
						var repeatWeek = parseResult.CAL_STR_WEEK;
						var repeatWeekArr = repeatWeek.split(',');
						var weekStr = '';
						for(var i=0;i<repeatWeekArr.length;i++){
							switch(repeatWeekArr[i]){
								case "0":
									weekStr += "<?=$_lang['emobile_common_root_week_seven']?>,";
								break;	
								case "1":
									weekStr += "<?=$_lang['emobile_common_root_week_one']?>,";
								break;	
								case "2":
									weekStr += "<?=$_lang['emobile_common_root_week_two']?>,";
								break;	
								case "3":
									weekStr += "<?=$_lang['emobile_common_root_week_three']?>,";
								break;	
								case "4":
									weekStr += "<?=$_lang['emobile_common_root_week_four']?>,";
								break;	
								case "5":
									weekStr += "<?=$_lang['emobile_common_root_week_five']?>,";
								break;	
								case "6":
									weekStr += "<?=$_lang['emobile_common_root_week_six']?>,";
								break;	
							}
						}
						html += '<div class="title"><?=$_lang["calendar_cycle_count"]?>:</div><div class="content">'+parseResult.CAL_EACH_WHEEL+' <?=$_lang["calendar_week"]?></div>\
									<div class="title"><?=$_lang["calendar_while_date"]?>:</div><div class="content">'+weekStr+'</div>\
									<div class="title"><?=$_lang["calendar_plan_begin_date"]?>:</div><div class="content">'+parseResult.CAL_WHILE_BEGIN+'</div>\
									<div class="title"><?=$_lang["calendar_plan_end_date"]?>:</div><div class="content">'+parseResult.CAL_WHILE_END+'</div>';
						break;
					case '3':
						$('#detail-times').text('<?=$_lang["calendar_every_month"]?>');
						if(parseResult.CAL_IS_NEVER != 1){
							parseResult.CAL_WHILE_END = '<?=$_lang["calendar_never"]?>';
						}
						html += '<div class="title"><?=$_lang["calendar_cycle_count"]?>:</div><div class="content">'+parseResult.CAL_EACH_WHEEL+' <?=$_lang["calendar_month"]?></div>\
									<div class="title"><?=$_lang["calendar_plan_begin_date"]?>:</div><div class="content">'+parseResult.CAL_WHILE_BEGIN+'</div>\
									<div class="title"><?=$_lang["calendar_plan_end_date"]?>:</div><div class="content">'+parseResult.CAL_WHILE_END+'</div>';
						break;
				}
				html += '<div class="title"></div><div class="title"></div><div class="title"></div></div>';
				$('.detail-body').find('.other-html').remove();
				$('.detail-body').append(html);
			});
			$('.cal-detail-box').css({'left':'100%'}).show().animate({'left':'0px'},'fast');
		}
	},'.cal-list-item');
	$('.cal-detail-box .close-detial').click(function(){
		$('.cal-detail-box').animate({'left':'100%'},'fast','',function(){
			$(this).hide();
		});
	});
	$('.more-button.calendar').click(function(){
		if(currentType == 'calendar'){
			return;
		}
		currentType = 'calendar';
		var userId = $('#currentUserId').val();
		$('#list-container').hide();
		eclndr(userId);
		$('#calendar-container').css({'margin-left':'100%'}).show().animate({'margin-left':'0px'},'fast');
	});
	$('.more-button.list').click(function(){
		if(currentType == 'list'){
			return;
		}
		currentType = 'list';
		var userId = $('#currentUserId').val();
		$('#calendar-container').hide();
		list(userId,1,false);
		$('#list-container').css({'margin-left':'100%'}).show().animate({'margin-left':'0px'},'fast');
	});
	$('#myCalendarBtn').click(function(){
		if(currentType == 'calendar'){
			eclndr('');
		}else {
			list('',1,false);
		}
		$('.cal-header-end').hide();
		$('#currentUserId').val('');
		$('.nav-item').removeClass('active');
		$('#myCalendarBtn').addClass('active');
		return;
	});
	$('#myAttentionButton').click(function(){
		if($('#myAttentionUser').attr('loaded') != '1'){
			commonUserList('myAttentionUser','<?=$_lang["calendar_no_attention_now"]?>','<?=APP_PATH?>Init.php?m=myAttention_Calendar&sessionkey=<?=$this->_sessionKey?>');
			$('#myAttentionUser').attr('loaded', 1);
		}
		if($('#myAttentionUser').css('display') == 'none'){
			$('.panel-layer').show();
			$('#myAttentionUser').css({'right':'-100px'}).show().animate({'right':'0px'},'fast');
		} else {
			$('#myAttentionUser').animate({'right':'-100px'},'fast','',function(){
				$('#myAttentionUser').hide();
			});
		}
		return false;
	});
	$('#myBranchButton').click(function(){
		if($('#myBranchUser').attr('loaded') != '1'){
			commonUserList('myBranchUser','<?=$_lang["calendar_no_branch_now"]?>','<?=APP_PATH?>Init.php?m=myBrach_Calendar&sessionkey=<?=$this->_sessionKey?>');
			$('#myBranchUser').attr('loaded', 1);
		}
		if($('#myBranchUser').css('display') == 'none'){
			$('.panel-layer').show();
			$('#myBranchUser').css({'right':'-100px'}).show().animate({'right':'0px'},'fast');
		} else {
			$('#myBranchUser').animate({'right':'-100px'},'fast','',function(){
				$('#myBranchUser').hide();
			});
		}
		return false;
	});
	$('.panel-layer').click(function(){
		$('.c-user-select').animate({'right':'-100px'},'fast','',function(){
			$(this).hide();
		});
		$(this).fadeOut();
	});
	$('.cal-container').click(function(){
		$('.cal-more-button-group').hide(200);
	});
	$('.more-calendar-button').click(function(){
		if($('.cal-more-button-group').css('display') == 'none'){
			$('.cal-more-button-group').show(200);
		} else {
			$('.cal-more-button-group').hide(200);
		}
		return false;
	});
	eclndr('');
	$('.more-button.add-calendar').click(function(){
		$('.cal-more-button-group').hide(200);
		location.href = "<?=APP_PATH?>Init.php?m=create_Calendar&sessionkey=<?=$this->_sessionKey?>&flag=calendarList";
	});
	$('.c-user-select').on({
		click:function(){
			userItemClick(this,$(this).parent().attr('parent-id'));
			return;
		}
	},'.user-item');
	 $('.cal-calendar-body').on({
        click:function(){
			$('.calendar-item.has-day').children().removeClass('active');
            $(this).children().addClass('active');
			var day = $(this).attr('day');
			var date = $('.currrent-date').text();
			var splitDate = date.split('-');
			var userId = $('#currentUserId').val();
			getOneDayCalendar(userId,splitDate[0],splitDate[1],day);
			return;
        }
    },'.calendar-item.has-day');
	$('.cal-left-button').click(function(){
        var date = $('.currrent-date').text();
        var prvDate = getMonth(date,'prv');
		var splitDate = prvDate.split('-');
        $('.currrent-date').text(prvDate);
		var userId = $('#currentUserId').val();
		getHasCalendarDate(splitDate[0],splitDate[1],userId,prvDate,currentDate,false);
		return;
    });
    $('.cal-right-button').click(function(){
        var date = $('.currrent-date').text();
        var nextDate = getMonth(date,'next');
		var splitDate = nextDate.split('-');
        $('.currrent-date').text(nextDate);
		var userId = $('#currentUserId').val();
		getHasCalendarDate(splitDate[0],splitDate[1],userId,nextDate,currentDate,false);
		return;
    });
	$('#list-container').on({
		click:function(){
			var page = parseInt($(this).attr('page'),10);
			var userId = $('#currentUserId').val();
			list(userId,page,true);
			return;
		}
	},'.cal-load-more');
});
function userItemClick(obj,buttonId){
	var userId = $(obj).attr('user-id');
	$('.c-user-select').animate({'right':'-100px'},'fast','',function(){
		$(this).hide();
	});
	$('.panel-layer').fadeOut();
	if(!userId){
		return false;
	}
	var userName = $(obj).find('.user-item-top').text();
	$('.cal-header-end').find('.current-user-name').text(userName);
	$('.cal-header-end').show();
	$('#currentUserId').val(userId);
	$('.nav-item').removeClass('active');
	$('#'+buttonId).addClass('active');
	if(currentType == 'calendar'){
		eclndr(userId);
	} else {
		list(userId,1,false);
	}
	return;
}
function list(userId,page,loadMore)
{
	if(loadMore){
		$('#list-container').find('.cal-load-more').text('<?=$_lang["e_calendar_loading"]?>');
	} else {
		$('#list-container').html('<div class="cal-no-data"><?=$_lang["e_calendar_loading"]?></div>');
	}
	$.ajax({
		url:'<?=APP_PATH?>Init.php?m=getAllCalendar_Calendar&sessionkey=<?=$this->_sessionKey?>',
		data:{
			'page':page,
			'user_id':userId
		},
		async:false
	}).done(function(result){
		var parseResult = $.parseJSON(result);
		var length = parseResult.length;
		if(length == 0){
			if(loadMore){
				$('#list-container').find('.cal-load-more').remove();
				$('#list-container').append('<div class="no-more-data"><?=$_lang["e_calendar_no_more_calendar_now"]?></div>');return;
			} else {
				$('#list-container').html('<div class="cal-no-data"><?=$_lang["e_calendar_no_calendar_now"]?></div>');return;
			}
			
		}
		var html='';
		$.each(parseResult,function(k,v){
			html += '<div class="cal-list-item" cal-id="'+v.CAL_ID+'">\
					<div class="list-item-left"><img src="'+v.USER_AVATAR+'"></div>\
					<div class="list-item-right">\
						<div class="item-right-top">'+v.CAL_CONTENT+'</div>\
						<div class="item-right-bottom">'+v.CAL_BEGIN+' ~ '+v.CAL_END+'</div>\
					</div>\
				</div>';
		});
		if(length == 10){
			html += '<div class="cal-load-more" page="'+(parseInt(page) + 1)+'"><?=$_lang["e_crm_click_load"]?>…</div>';
		}
		if(loadMore){
			$('#list-container').find('.cal-load-more').remove();
			$('#list-container').append(html);
		} else{
			$('#list-container').html(html);
		}
	});
}
function getOneDayCalendar(userId,year,month,day)
{
	$.ajax({
		url:'<?=APP_PATH?>Init.php?m=getCalendarByDate_Calendar&sessionkey=<?=$this->_sessionKey?>',
		data:{
			'year':year,
			'month':month,
			'day':day,
			'user_id':userId
		},
		async:false
	}).done(function(result){
		var parseResult = $.parseJSON(result);
		if(parseResult.length == 0){
			$('.cal-list').html('<div class="cal-no-data"><?=$_lang["e_calendar_no_calendar_now"]?></div>');return;
		}
		var html='';
		$.each(parseResult,function(k,v){
			html += '<div class="cal-list-item" cal-id="'+v.CAL_ID+'">\
					<div class="list-item-left"><img src="'+v.USER_AVATAR+'"></div>\
					<div class="list-item-right">\
						<div class="item-right-top">'+v.CAL_CONTENT+'</div>\
						<div class="item-right-bottom">'+v.CAL_BEGIN+' ~ '+v.CAL_END+'</div>\
					</div>\
				</div>';
		});
		$('.cal-list').html(html);
	});
}
//关闭用户选择列表
function closeUserSelect(event,obj){
	$('.c-user-select').animate({'right':'-100px'},'fast','',function(){
		$(this).hide();
	});
	$(obj).fadeOut();
}
//获取关注、下属人员
function commonUserList(id,noData,url)
{
	$.ajax({
		url:url
	}).done(function(result){
		if(result == 'null'){
			$('#'+id).html('<div class="user-item">'+noData+'</div>');return;
		}
		var parseResult = $.parseJSON(result);
		if(parseResult.length == 0){
			$('#'+id).html('<div class="user-item">'+noData+'</div>');return;
		}
		var html = '';
		$.each(parseResult,function(k,v){
			var userId = id == 'myAttentionUser' ? v.attention_user : v.USER_ID;
			html += '<div class="user-item" user-id="'+userId+'">\
					<img src="'+v.USER_AVATAR+'">\
					<div class="user-item-top">'+v.USER_NAME+'</div>\
					<div class="user-item-bottom">'+v.DEPT_NAME+'</div>\
				</div>';
		});
		$('#'+id).html(html);
	});
}
function eclndr(userId)
{
	
    var date		= new Date();
    var year		= date.getFullYear();
    var month		= date.getMonth() + 1;
        month		= month < 10 ? ('0' + month) : month;
    var day			= date.getDate();
		day			= day < 10 ? ('0' + day) : day;
    currentDate = year + '-' + month + '-' + day;
	getOneDayCalendar(userId,year,month,day);
	getHasCalendarDate(year,month,userId,year + '-' + month,currentDate,true);
    $('.currrent-date').text(year + '-' + month );   
}
function getHasCalendarDate(year,month,userId,date,currentDate,checkCurrent)
{
	$('.cal-calendar-body').html('<div class="cal-calendar-load"><?=$_lang["e_calendar_loading"]?></div>');
	$.ajax({
		url:'<?=APP_PATH?>Init.php?m=getHasCalendarDate_Calendar&sessionkey=<?=$this->_sessionKey?>',
		data:{
			'year':year,
			'month':month,
			'user_id':userId
		}
	}).done(function(result){
		dealClndr(date,currentDate,$.parseJSON(result),checkCurrent);
	});
	return;
}
var myVar;
var times = 0;
function startTimer(obj)
{ 
	myVar=setInterval(function(){myTimer(obj);},350);
}
function myTimer(obj)
{
	times = times + 1;
	if(times == 3){
		stopTimer();
		location.href = "<?=APP_PATH?>Init.php?m=create_Calendar&sessionkey=<?=$this->_sessionKey?>&flag=calendarList&date="+$(obj).attr('date');
	}
}
function stopTimer(event)
{
	clearInterval(myVar);
	times = 0;
}
function addCalendar(event,obj)
{
	startTimer(obj);
}
function dealClndr(date,currentDate,hasDate,checkCurrent)
{
    var arr     = date.split('-');
    var year    = arr[0]; //获取当前日期的年份
    var month   = arr[1]; //获取当前日期的月份
    var days    = new Date(year, month, 0);
        days    = days.getDate(); //获取当前日期中月的天数

    var odatef = new Date(); 
        odatef.setFullYear(year); 
        odatef.setMonth(parseInt(month,10) - 1) ;
        odatef.setDate(1); 
	var fday			= odatef.getDay(); 
    var html			= ''; 
	var prvMonth		=  new Date(year, parseInt(month,10) - 1, 0);
	var prvMonthDays	= prvMonth.getDate(); 
	for(var i = fday - 1;i >= 0;i--){
		html += '<div class="calendar-item"><div class="calendar-item-inner">'+(prvMonthDays - i)+'</div></div>';
	}
    for(var i=1;i<=days;i++) {
        var day		= i < 10 ? ('0' + i) : i;
		var cdate	= year + '-' + month + '-' + day;
		var hasCal	= $.inArray(cdate, hasDate) > -1 ? '<div class="has-cal"></div>' : '';
        if(cdate == currentDate){
			var active = checkCurrent ? 'active' : '';
            html += '<div class="calendar-item has-day" ontouchstart="addCalendar(event,this);" ontouchend="stopTimer(event);" date="'+cdate+'" day="'+day+'"><div class="calendar-item-inner current '+active+'">'+ day +hasCal+'</div></div>';
        } else {
            html += '<div class="calendar-item has-day" ontouchstart="addCalendar(event,this);" ontouchend="stopTimer(event);" date="'+cdate+'" day="'+day+'"><div class="calendar-item-inner">'+ day +hasCal+'</div></div>';
        }
        
    }
	var count = 42 - days - fday;
	for(var i = 1;i <= count;i++ ){
		var j = i < 10 ? ('0' + i) : i;
		html += '<div class="calendar-item"><div class="calendar-item-inner">'+j+'</div></div>';
	}
    $('.cal-calendar-body').html(html);
}
function getMonth(date,type) {
    var arr		= date.split('-');
    var year	= arr[0]; //获取当前日期的年份
    var month	= arr[1]; //获取当前日期的月份
    if(type == 'prv') {
        var month = parseInt(month,10) - 1;
        if (month == 0) {
            year	= parseInt(year,10) - 1;
            month	= 12;
        }
    }else if(type == 'next') {
        var month = (parseInt(month,10) + 1);
        if (month == 13) {
            year	= parseInt(year,10) + 1;
            month	= 1;
        }
    }
    if (month < 10) {
        month = '0' + month;
    }
    return year + '-' + month;
}
</script>
</html>
