<?php
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Coop/View/CoopCommentView.php
 * @function  协作评论页     
 * @version   1.0 
 * @author    lizj
 */
 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>flow.css"/>
<link rel="stylesheet" type="text/css" href="<?=PUBLIC_PATH?>bootstrap/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>coop.css"/>
<script type="text/javascript" src="<?=JS_PATH?>jquery.min.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>jquery.form.js"></script>
<script type="text/javascript" src="/E-mobile/js/ajaxfileupload.js"></script>
<title><?=$_lang["e_coop_theme_discuss"]?></title>
<script>
$(function(){
    $("#pageback").click(function(){
        location.href= '<?=APP_PATH?>Init.php?m=lists_Coop&backType=1&sessionkey=<?=$sessionstr?>';
    });
    $("#pageback").mousedown(function(){
        $(this).attr("class","page-top-button-down");   
    }).mouseup(function(){
        $(this).attr("class","page-top-button");    
    });
    $('.comment_list').on({
        click: function(){
            $(this).parent().parent().find('.son_reply_text').slideDown('show');
        }
    },'.comment_reply.son');
    $('.comment_list').on({
        click: function(){
            $(this).parent().slideUp('hide');
        }
    },'.son_reply_close');
    $('#comment_theme_coop').click(function(){
        $('.comment_reply_text').slideDown('show');
    });
    $('.reply_close').click(function(){
        $('.comment_reply_text').slideUp('hide');
    });
    $('.comment_list').on({
        click: function(){
            if(confirm('<?=$_lang["e_coop_confirm_del_commont"]?>')){
                var $this = $(this);
                var rev_id = $this.parent().parent().parent().attr('rev_id');
                $.ajax({
                    url : '<?=APP_PATH?>Init.php?m=delComment_Coop&sessionkey=<?=$sessionstr?>',
                    data:{
                        rev_id: rev_id,
                    }
                }).done(function(result) {
                    if(result){
                        $("#reminderror").html("<?=$_lang["e_coop_del_success"]?>");
                        $("#reminddiv").fadeIn("normal");
                        ajaxGetCommentList('<?=APP_PATH?>Init.php?m=ajaxGetCommentList_Coop&sessionkey=<?=$sessionstr?>&theId=<?=$themeId?>&userid=<?=$userId?>');
                        $("#reminddiv").fadeOut(3000);
                    }
                });
            }
        }
    },'.comment_delete')
    $('.comment_list').on({
        click:function(){
            var $this = $(this);
            var rev_id = $this.parent().parent().parent().attr('rev_id');
            var top_value = 0;
            if($this.text().trim() == '<?=$_lang["e_coop_top"]?>'){
               top_value = 1;
            }
            $.ajax({
                url : '<?=APP_PATH?>Init.php?m=setCommentTop_Coop&sessionkey=<?=$sessionstr?>',
                data:{
                    rev_id: rev_id,
                    top_value: top_value,
                }
            }).done(function(result) {
                if(result){
                    ajaxGetCommentList('<?=APP_PATH?>Init.php?m=ajaxGetCommentList_Coop&sessionkey=<?=$sessionstr?>&theId=<?=$themeId?>&userid=<?=$userId?>');
                }
            });
        }
    },'.comment_top');
    $('.comment_list').on({
        click:function(){
            var $this = $(this);
            var revContent = $this.parent().find('.son_reply_textarea').val();
            if(revContent == ''){
                alert('<?=$_lang["e_coop_enter_content_not_null"]?>');
                return false;
            }
            var userId = '<?=$userId?>';
            var theId = '<?=$themeId?>';
            var theSubject = '<?=$themeInfor['THE_SUBJECT']?>';
            var revId = $this.parent().parent().parent().attr('rev_id');
            $.ajax({
                url : '<?=APP_PATH?>Init.php?m=ajaxReplyComment_Coop&sessionkey=<?=$sessionstr?>',
                data:{
                    revContent: revContent,
                    userId: userId,
                    theId:theId,
                    theSubject:theSubject,
                    revId:revId
                }
            }).done(function(result) {
                var lists = $.parseJSON(result);
                var html = '<div class="son_comment_item">\
                                <div class="son_comment_header">'+lists.creatorName+'&nbsp;'+lists.dateTime+'</div>\
                                <div class="son_comment_content">'+lists.REV_CONTENT+'</div>\
                            </div>';

                $this.parent().parent().parent().find('.son_comment_list').prepend(html);
                $this.parent().slideUp('hide');
                $this.parent().find('.son_reply_textarea').val('');
            })
        }
    },'.son_reply_ok');
    $('#loadMore').click(function(){
        var nextPage = parseInt($('#current_page').val()) + 1;
      $.ajax({
            url : "<?=APP_PATH?>Init.php?m=ajaxGetCommentList_Coop&sessionkey=<?=$sessionstr?>&theId=<?=$themeId?>&userid=<?=$userId?>&curPage="+nextPage
        }).done(function(result) {
            if(result == 0){
                $('#loadMore').text('<?=$_lang["e_coop_no_more_data"]?>');
                return;
            }
            var lists = $.parseJSON(result);
            var html = eachList(lists.commentList);
            $('.comment_list').append(html);
            $('#current_page').val(nextPage)
       })
    })
    $('.comment_button').click(function(){
        $('.comment_button').removeClass('active')
        $(this).addClass('active');
        if($(this).attr('id') == 'comment_button'){
            $('#document').hide();
            $('#attachment').hide();
            $('#comment').show();
        }else if($(this).attr('id') == 'document_button'){
             $.ajax({
                url : '<?=APP_PATH?>Init.php?m=getCoopDoc_Coop&sessionkey=<?=$sessionstr?>',
                data:{
                    userId: '<?=$userId?>',
                    theId: '<?=$themeId?>',
                }
            }).done(function(result) {
                var lists = $.parseJSON(result);
                if(lists.totalCount == 0){
                    $('#comment').hide();
                    $('#attachment').hide();
                    $('#document').show();
                    $('#document').find('.empty').show();
                }else{
                    var html = '<div class="coop_list">';
                    $.each(lists.list,function(k,v){
                        html += '<div class="coop_list_item" onclick="javascript:show_content(this);">\
                                    <div class="content"><img src="<?=IMG_PATH?>doc/iconfont-file.png">&nbsp;'+v.SUBJECT+'<img src="<?=IMG_PATH?>coop/iconfont-chevron-down.png" width="25px"></div>\
                                </div>\
                                <div class="coop_list_item show_content" style="display:none;">\
                                    <div class="content">'+v.CONTENT+'</div>\
                                </div>';
                    })
                    html += '</div>';
                    $('#document').html(html);
                    $('#comment').hide();
                    $('#attachment').hide();
                    $('#document').show();
                }
            })
        }else if($(this).attr('id') == 'attachment_button'){
            $.ajax({
                url : '<?=APP_PATH?>Init.php?m=getCoopAttr_Coop&sessionkey=<?=$sessionstr?>',
                data:{
                    userId: '<?=$userId?>',
                    theId: '<?=$themeId?>',
                }
            }).done(function(result) {
                var lists = $.parseJSON(result);
                if(lists.totalCount == ''){   
                    $('#comment').hide();
                    $('#document').hide();
                    $('#attachment').show();
                    $('#attachment').find('.empty').show();
                }else{
                    var html = '<div class="coop_list">';
                    $.each(lists.list,function(k,v){
                        var imgPath = v.attar_path;
                        if(v.fileType == 'img'){
                            imgPath = '<?=APP_PATH?>Init.php?m=show_Image_Common&sessionkey=<?=$sessionstr?>&attachId='+v.attachId+'&attachName='+v.attachName;
                        }
                        html += '<div class="coop_list_item" onclick="location.href=\''+imgPath+'\';">\
                                    <div class="content"><img src="<?=IMG_PATH?>coop/iconfont-paperclip.png">&nbsp;'+v.ATTACHMENT_NAME+'<img src="<?=IMG_PATH?>doc/iconfont-chevron.png" width="25px"></div>\
                                </div>';
                    })
                    html += '</div>';
                    $('#attachment').html(html);
                    $('#comment').hide();
                    $('#document').hide();
                    $('#attachment').show();
                }
            });
        }
    });
     // 上传附件
   $("#upload").click(function(){
        location.href = "emobile:upload:setUploadAttachment:email:123:clearAppendix";
    })
    $('.reply_ok').click(function(){
        $('#upload_form').ajaxSubmit({
            type:'post',
            beforeSubmit:function(){
                var revContent = $('#comment_reply_text').val();
                if(revContent == ''){
                    alert('<?=$_lang["e_coop_enter_content_not_null"]?>');
                    return false;
                }
                $("#reminderror").html("<?=$_lang["e_coop_submiting"]?>");
                $("#reminderror").parent().css('background','#5BC0DE').css('color','#fff');
                $("#reminddiv").fadeIn("normal");
            },
            success:function(data){
                if(data){
                    ajaxGetCommentList('<?=APP_PATH?>Init.php?m=ajaxGetCommentList_Coop&sessionkey=<?=$sessionstr?>&theId=<?=$themeId?>&userid=<?=$userId?>');
                    $("#reminddiv").fadeOut();
                    $('#upload_file').val('');
                    $('#file_name').val('');
                    $('#tip').text('');
                    $('#comment_reply_text').val('');
                    $('#attachmentId').val("");
                                $('#upload_file').val("");
                                $('#file_name').val("");
                                 $(".upload_view_list").html("");
                }
            }
        })
    })
    
    $('#upload_photo').change(function() {
                 
                     upload_mobile();
        
             });
             
     function upload_mobile() {
                $('.loading').show();
                 $.ajaxFileUpload({
                    url: '<?=APP_PATH?>Ajax/ajax.php?action=mobile_upload_save&userId=<?=$userid?>&runId=<?=$runId?>',
                    secureuri: false,
                    fileElementId: 'upload_photo',
                    dataType: 'json',
                    success: function(msg)
                    {  
                           $('.loading').hide();
                         if (msg[0] == 1)
                            {
                               
                                var filePath = msg[1];
                                var fileAttid = msg[2];
                                var fileName = msg[3];
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                $('#attachmentId').val(fileAttid);
                                $('#upload_file').val(filePath);
                                $('#file_name').val(fileName);
                                $(".upload_view_list").html(fileName);
                            } else {
                                alert(msg[1]);
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                return false;
                            }
                    }
                });
             }
    
});

function upload_mobile_x() {
                $('.loading').show();
                 $.ajaxFileUpload({
                    url: '<?=APP_PATH?>Ajax/ajax.php?action=mobile_upload_save&userId=<?=$userid?>&runId=<?=$runId?>',
                    secureuri: false,
                    fileElementId: 'upload_photo',
                    dataType: 'json',
                    success: function(msg)
                    {  
                          $('.loading').hide();
                         if (msg[0] == 1)
                            {
                              
                                var filePath = msg[1];
                                var fileAttid = msg[2];
                                var fileName = msg[3];
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                $('#attachmentId').val(fileAttid);
                                $('#upload_file').val(filePath);
                                $('#file_name').val(fileName);
                                $(".upload_view_list").html(fileName);
                            } else {
                                alert(msg[1]);
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                return false;
                            }
                    }
                });
             }

// 上传附件回调函数
function setUploadAttachment(uploadName,uploadKey,spanId){
    $('#upload_file').val(uploadKey);
    $('#file_name').val(uploadName);
    $('#tip').text(uploadName);
}
function clearAppendix(){
    $('#upload_file').val('');
    $('#file_name').val('');
    $('#tip').text('');
}
function show_content(obj){
    return false;
    if($(obj).next().css("display") == 'none'){
        $(obj).next().slideDown('show');
        $(obj).find('.glyphicon.right').removeClass('glyphicon-chevron-down').addClass('glyphicon-chevron-up')
    }else{
        $(obj).next().slideUp('hide');
        $(obj).find('.glyphicon.right').removeClass('glyphicon-chevron-up').addClass('glyphicon-chevron-down')
    }
}

function ajaxGetCommentList(url){
    $.ajax({
       url : url
   }).done(function(result) {
       var lists = $.parseJSON(result);
       var html = eachList(lists.commentList);
       $('.comment_list').html(html);
   })
}
function eachList($lists){
    var html = '';
    $.each($lists,function(k,v){
        var coop_top = '';
        var calcen_top = '';
        var top_name = '<?=$_lang["e_coop_top"]?>';
        if(v.REV_TOP == 1){
            coop_top = 'coop_top';
            calcen_top = 'calcen_top';
            top_name = '<?=$_lang["e_coop_cancel_top"]?>';
        }
        var del_button = '';
        if(v.del == 1){
            del_button = '<div class="comment_delete"><?=$_lang["e_coop_delete"]?></div>';
        }
        var top_style =  'style="display:none;"';
        if(v.top == 1){
            top_style = 'style="display:block;"';
        }
        if(v.attachment){
            var attachHtml ='';
            $.each(v.attachment,function(i,e){
                if(e.type == 'img'){
                    var linkUrl = '<?=APP_PATH?>Init.php?m=show_Image_Common&sessionkey=<?=$sessionstr?>&attachId='+e.attachId+'&attachName='+e.attachName;
                    attachHtml += '<div class="comment_attach" onclick="location.href=\''+linkUrl+'\'">\
                        <img width="200px" height="100px" src="'+e.url+'" />\
                    </div>';
                }else{
                    var linkUrl = e.url;
                    attachHtml += '<div class="comment_attach" onclick="location.href=\''+linkUrl+'\'">\
                        <img src="<?=IMG_PATH?>coop/iconfont-paperclip.png"> &nbsp;'+e.name+'\
                    </div>';
                }
            })
        }
        html += '<div class="comment_item '+coop_top+'" rev_id="'+v.REV_ID+'">\
                <div class="comment_header"  ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">\
                    <div class="comment_header_left">'+v.creatorName+'&nbsp;'+v.dateTime +'</div>\
                       <div class="comment_header_right">\
                           <div class="comment_reply son"><?=$_lang["e_coop_reply"]?></div>\
                           <div class="comment_top '+calcen_top+'" '+top_style+' >'+top_name+'</div>'+del_button+'</div>\
                       <div class="son_reply_text">\
                            <textarea style="width:98%;margin-left:1%;height:77px;margin-top:3px;" class="son_reply_textarea"></textarea>\
                            <button type="button" class="btn btn-danger btn-sm son_reply_close" style="margin-top:5px;float:right;margin-right:5px;">\
                                <img src="<?=IMG_PATH?>coop/iconfont-close.png"> <?=$_lang["e_crm_close"]?>\
                            </button>\
                            <button type="button" class="btn btn-primary btn-sm son_reply_ok" style="margin-top:5px;float:right;margin-right:5px;">\
                                <img src="<?=IMG_PATH?>/image9.0/common/e-ok-3.png"> <?=$_lang["e_addr_submit"]?>\
                            </button>\
                       </div>\
                    </div>\
                    <div class="comment_content" style="overflow: auto;"><p>'+v.REV_CONTENT+'</p>'+attachHtml+'</div>\
                    <div class="son_comment_list">';
        if(v.sonComment){
            $.each(v.sonComment,function(i,e){
                html += '<div class="son_comment_item">\
                            <div class="son_comment_header">'+e.creatorName+'&nbsp;'+e.dateTime+'</div>\
                            <div class="son_comment_content">'+e.REV_CONTENT+'</div>\
                        </div>';
            });
        }
        html += '</div></div>';
    });
    return html;
}
//客户端返回按钮   
function doLeftButton()
{
//  /history.back();
    location.href= '<?=APP_PATH?>Init.php?m=lists_Coop&backType=1&sessionkey=<?=$sessionstr?>';
    return "MobileClient";  
}
//触摸滑动显示操作按钮
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event){
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event,obj){
    if(curX > 30 ){
        $(obj).find('.comment_header_right').hide(200);
        $(obj).css('background','#EAEAEA')
    }
    if(curX < -30){
        $('.comment_header_right').hide(200);
        $('.comment_header').css('background','#EAEAEA')
        $(obj).css('background','#ADADAD')
        $(obj).find('.comment_header_right').show(200);
    }
    startX = 0;
    curX  = 0;
}
</script>
</head>
<body>
<?php if($_REQUEST["clienttype"]=="Webclient"){?>
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
    <table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
        <tr>
            <td width="10%" valign="middle" style="padding-left:5px;">
                <div id="pageback" class="page-top-button"><?=$_lang["e_crm_return"]?></div>
            </td>
            <td align="center" valign="middle">
                <div class="page-top-text"><?=$_lang["e_coop_theme_discuss_area"]?></div>
            </td>
            <td width="10%" valign="middle" style="padding-right:5px;"></td>
        </tr>
    </table>
</div>
<?php }?>
<?php if($flag == false){?>
    <div class="alert alert-danger" role="alert" <?php if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:40px;"<?php }?>><?=$_lang["e_coop_no_access_auth"]?></div>
<?php }else{?>
<div class="alert alert-success" role="alert" id="reminddiv" style="display:none;width:99%;margin-left:0.5%;top:41px;z-index: 3000;position:fixed;">
    <strong id="reminderror" style='font-size:14px;'></strong>
</div>
<input type="hidden" id="current_page" value="1">
<input type="hidden" id="theme_id" value="<?=$themeInfor['THE_ID']?>">
<div class="comment_buttons" <?php if($_REQUEST["clienttype"]=="Webclient"){?>style="top:40px;"<?php }else{?>style="top:0px;"<?php }?>>
   <div class="comment_button active" id='comment_button'><?=$_lang["e_coop_exchange"]?></div>
   <div class="comment_button" id='document_button'><?=$_lang["e_coop_document"]?></div>
   <div class="comment_button" id='attachment_button'><?=$_lang["e_coop_attach"]?></div>
</div>
<div class="comment_theme" <?php if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:85px;"<?php }else{?>style="margin-top:45px;"<?php }?>>
    <table border="0" cellpadding="2" cellspacing="2" width="99%" style="margin-left:0.5%;">
        <tr height="40px">
            <td colspan="4" style="font-weight:bold;color:#1898FD;"><?=$themeInfor['THE_SUBJECT']?></td>
        </tr>
        <tr height="25px">
            <td class="title"><?=$_lang["cowork_creater"]?>&nbsp;&nbsp;</td>
            <td align="left"><?=$themeInfor['creatorName']?></td>
            <td class="title"><?=$_lang["cowork_sort_create_time"]?>&nbsp;&nbsp;</td>
            <td align="left" style="font-size:12px;"><?=$themeInfor['THE_TIME']?></td>
        </tr>
        <tr height="3px;"><td colspan="4"></td><tr>
        <tr height="25px">
            <td class="title"><?=$_lang["e_crm_content"]?>&nbsp;&nbsp;</td>
            <td colspan="3" align="left"><?=$themeInfor['THE_EXPLAIN']?></td>
        </tr>
        <tr>
        <td colspan="4"><?=$themeInfor['attachment']?></td>
        </tr>
     
    </table>
</div>
<div class="line"></div>
<?php if($weiApi == 1){?>
    <div class="attach-alert"><b><?=$_lang["e_calendar_tip"]?>：</b><?=$_lang["e_coop_android_download"]?></div>
<?php }?>
<!--相关交流开始-->
<div id='comment'>
    <div class="comment_list">
        <?php if(!$commentList){ ?>
        <div class="alert alert-info" role="alert" style="position: relative;top:10px;"><?=$_lang["e_coop_no_comment_data"]?></div>
        <?php }else{
            foreach($commentList as $key => $value){
        ?>
        <div class="comment_item <?php if($value['REV_TOP'] == 1){?>coop_top<?php }?>" rev_id="<?=$value['REV_ID']?>">
            <div class="comment_header" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">
                <div class="comment_header_left"><?=$value['creatorName']?>&nbsp;<?=$value['dateTime']?></div>
            <div class="comment_header_right"><div class="comment_reply son"><?=$_lang["e_coop_reply"]?></div><?php if($value['top'] == 1){?><div class="comment_top <?php if($value['REV_TOP'] == 1){?>calcen_top<?php }?>"><?php if($value['REV_TOP'] == 1){?><?=$_lang["cowork_del_top"]?><?php }else{?><?=$_lang["e_coop_top"]?><?php }?></div><?php }?><?php if($value['del'] == 1){?><div class="comment_delete"><?=$_lang["e_coop_delete"]?></div><?php }?></div>
                <div class="son_reply_text">
                    <textarea style="width:98%;margin-left:1%;height:77px;margin-top:3px;" class="son_reply_textarea"></textarea>
                    <button type="button" class="btn btn-danger btn-sm son_reply_close" style="margin-top:5px;float:right;margin-right:5px;"><img src="<?=IMG_PATH?>coop/iconfont-close.png"> <?=$_lang["e_crm_close"]?></button>
                    <button type="button" class="btn btn-primary btn-sm son_reply_ok" style="margin-top:5px;float:right;margin-right:5px;"><img src="<?=IMG_PATH?>/image9.0/common/e-ok-3.png"> <?=$_lang["e_addr_submit"]?></button>
                </div>
            </div>
            <div class="comment_content" style="overflow: auto;">
                <p><?=$value['REV_CONTENT']?></p>
                <?php if($value['attachment']){
                    foreach($value['attachment'] as $k => $v){
                        if($v['type'] == 'img'){
                        $linkUrl = APP_PATH.'Init.php?m=show_Image_Common&sessionkey='.$sessionstr.'&attachId='.$v['attachId'].'&attachName='.$v['attachName'];
                ?>
                <div class="comment_attach" onclick="location.href='<?=$linkUrl?>'">
                    <img width="200px" height="100px" src="<?=$v['url']?>" />
                </div>
                <?php 
                    }else{
                ?>
                    <div class="comment_attach" onclick="location.href='<?=$v['url']?>'">
                        <img src="<?=IMG_PATH?>coop/iconfont-paperclip.png">&nbsp;<?=$v['name']?>
                    </div>
                <?php
                }}}
                ?>
            </div>
            <div class="son_comment_list">
                <?php if($value['sonComment']){
                    foreach($value['sonComment'] as $k => $v){
                ?>
                    <div class="son_comment_item">
                        <div class="son_comment_header"><?=$v['creatorName']?>&nbsp;<?=$v['dateTime']?></div>
                        <div class="son_comment_content"><?=$v['REV_CONTENT']?></div>
                    </div>
                <?php }}?>
            </div>
        </div>
            <?php }}?>
    </div>
    <div id="loadMore" style="position: relative;height:40px;width:100%;float:left;text-align: center;background: #EDEDED;line-height: 40px;margin-top:20px;"><?=$_lang['emobile_common_system_init_loadmore']?></div>
    <div id='moreSpace' style="position: relative;height:80px;width:100%;float:left;">&nbsp;</div>
    <div class="comment_reply_text">
        <form action="<?=APP_PATH?>Init.php?m=ajaxCommentTheme_Coop&sessionkey=<?=$sessionstr?>&theSubject=<?=$themeInfor['THE_SUBJECT']?>&theId=<?=$themeId?>&userId=<?=$userId?>" method="post" enctype="multipart/form-data" id="upload_form">
        <div style="width:100%;height:40px;float:left;line-height: 40px;">   
            <input type="checkbox" id="sms_remind" name="smsRemind" value="1" <?if($sms_select == '1'){?>checked<?}?> style="margin-left:10px;margin-top:5px;<? if($sms_modify != '1') {?>display:none;<? }?> "><span style="font-size:12px;<? if($sms_modify != '1') {?>display:none;<? }?>"><?=$_lang['emobile_create_Groupmenus_xx']?></span>
            <input type="checkbox" id="smstel_remind" name="smstelRemind" value="1" <?if($smstel_select == '1'){?>checked<?}?> style="margin-left:10px;margin-top:5px;<? if($smstel_modify != '1') {?>display:none;<? }?>"><span style="font-size:12px;<? if($smstel_modify != '1') {?>display:none;<? }?>"><?=$_lang["e_coop_message"]?></span>
            <input type="checkbox" id="email_remind" name="emailRemind" value="1" <?if($email_select == '1'){?>checked<?}?> style="margin-left:10px;margin-top:5px;<? if($email_modify != '1') {?>display:none;<? }?>"><span style="font-size:12px;<? if($email_modify != '1') {?>display:none;<? }?>"><?=$_lang['emobile_create_view_email']?></span>
        </div>
        <textarea style="width:98%;margin-left:1%;height:77px;margin-top:3px;" id="comment_reply_text" name="revContent"></textarea>
        <div style="width:100%;height:40px;float:left;line-height: 40px;">
       
            
           
             <?  if(strpos($_SERVER['HTTP_USER_AGENT'], 'DingTalk') !== false){
                 
                
                            if(strpos($_SERVER['HTTP_USER_AGENT'], 'Mobile') !== false){
                                require_once  "E-mobile/App/DingTalk/View/DingTalkUpload.php"; 
                            }else{
                                require_once  "E-mobile/App/DingTalk/View/pc/DingTalkUpload.php"; 
                            } 
                        }else{ ?>
                            <?php if(strpos($_SERVER['HTTP_USER_AGENT'], 'MicroMessenger') !== false){?> 
                <div class="upload_div" style="">
                     <input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_process_flow" id="upload_photo">
                       <?//=$_lang["e_crm_sub_attach"]?>  <!--签办反馈处 上传附件-->
                </div> 
                <input type="hidden" id="attachmentId" name="attachmentId" value="">
                <div class ="upload_view_list"></div>
                <div class="loading"><img src="/E-mobile/Public/images/box/upload_seed.gif"/></div>
                <? }else{ ?>
                
                <div class="common_button success" id="upload" style="margin-top:5px;"><?=$_lang["e_crm_sub_attach"]?></div>
                <? }?>
       
        <input type="hidden" id="upload_file" name="upload_file" value="">
        <input type="hidden" id="file_name" name="file_name" value="">
        <div id="tip" style="float:left;height:40px;line-height: 20px;margin-left: 5px;"></div>
     <?php }?>
        </div>
        <div style="width:100%;height:40px;float:left;line-height: 40px;">
            <button type="button" class="btn btn-default btn-sm reply_close" style="margin-top:5px;float:right;margin-right:5px;"><img src="<?=IMG_PATH?>coop/iconfont-close.png"> <?=$_lang["e_crm_close"]?></button>
            <button type="button" class="btn btn-default btn-sm reply_ok" style="margin-top:5px;float:right;margin-right:5px;"><img src="<?=IMG_PATH?>/image9.0/common/e-ok-3.png"> <?=$_lang["e_addr_submit"]?></button>
        </div>
        </form>
    </div>
    <div class="comment_footer">
        <button id="comment_theme_coop" type="button" class="btn btn-default btn-sm" style="margin-top:5px; " ><img src="<?=IMG_PATH?>coop/iconfont-edit.png"> 评论</button>
    </div>
</div>
<!--相关交流结束-->
<div id='document' style='display:none'>
    <div class="empty"><?=$_lang["e_coop_no_doc"]?></div>
</div>
<div id='attachment' style='display: none'>
    <div class="empty"><?=$_lang["e_coop_no_attach"]?></div>
</div>

<?php }?>
</body>
</html>