<?
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Coop/View/CoopListsView.php
 * @function  协作列表       
 * @version   1.0 
 * @author    lizj
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=PUBLIC_PATH?>bootstrap/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>coop.css"/>
<script type="text/javascript" src="<?=JS_PATH?>jquery.min.js"></script>
<title><?=$_lang["cowork_my_cowork"]?></title>
<script>
$(function(){
     $("#pageback").click(function(){
        location.href = "/home.do";	
     });
    $("#pageback").mousedown(function(){
        $(this).attr("class","page-top-button-down");	
    }).mouseup(function(){
        $(this).attr("class","page-top-button");	
    }); 
    var winHeight = $(window).height();
    //屏幕滚动加载数据
    $(window).scroll(function(){
        //没有更多数据时终止
        if($('.coop_lists').attr('more') == 'no'){
            return ;
        }
        //切换到新的选项时终止
        if($('.coop_lists').attr('current_module') == 'new'){
            $('.coop_lists').attr('current_module','');
            return;
        }
        //当滚动条到达底部时执行相应操作
        var pageHeight = $(document.body).height(); 
        var scrollTop = $(window).scrollTop();
        var marginBottom = pageHeight-scrollTop-winHeight;
        if(marginBottom<0){
            var searchType  = $('#current_searchType').val();
            var pageindex   = parseInt($('#current_pageindex').val())+1;
            $('#current_pageindex').val(pageindex);
            var keyword     = $('#current_keyword').val();
            $.ajax({
                url : '<?=APP_PATH?>Init.php?m=ajaxLists_Coop&sessionkey=<?=$sessionstr?>&searchType='+searchType+'&pageindex='+pageindex+'&keyword='+keyword
            }).done(function(result) {
               if(result == '0'){
                   if($('.coop_lists').attr('more') == 'no'){
                        return false;
                    }
                   $('#now_load').remove();
                   $('.coop_lists').append('<div class="no-moredata" style="text-align:center;line-height:50px;width:100%;height:50px;"><?=$_lang["e_coop_no_more_data"]?></div>');
                   $('.coop_lists').attr('more','no');
                   return false;
               }
                var lists = $.parseJSON(result);
                var html = eachLists(lists.lists);
                $('#now_load').remove();
                $('.coop_lists').append(html);
            })

        }
    })
    //ajax执行前的缓冲效果
    $('.coop_lists').ajaxStart(function(){    
        $(this).append('<div id="now_load" class="coop_list_item" style="text-align:center;line-height:50px;"><img src="<?=IMG_PATH?>load.gif" height="30px" width="30px"><?=$_lang["e_calendar_loading"]?></div>');
    });
    
    //添加关注
    $('.coop_lists').on({
        click: function(){
            var $this = $(this);
            var theId = $this.parent().attr('coop_id');
            var impor = $this.attr('impor');
            var userId = $('#userId').val();
            $.ajax({
                url : '<?=APP_PATH?>Init.php?m=followCoop_Coop&sessionkey=<?=$sessionstr?>&theId='+theId+'&impor='+impor+'&userId='+userId
            }).done(function(result) {
                if(result == 1){
                    $("#reminderror").html("<?=$_lang["e_coop_add_follow_success"]?>");
                    $("#reminddiv").fadeIn("normal");
                    var keyword     = $('#current_keyword').val();
                    var searchType  = $('#current_searchType').val();
                    $.ajax({
                        url : '<?=APP_PATH?>Init.php?m=ajaxLists_Coop&sessionkey=<?=$sessionstr?>&searchType='+searchType+'&keyword'+keyword
                    }).done(function(result) {
                        if(result == 0){
                            $('.coop_lists').html('<div id="now_load" class="no-moredata" style="text-align:center;line-height:50px;width:100%;height:50px;"><?=$_lang["e_coop_no_about_theme"]?></div>');
                            return ;
                        }
                        var lists = $.parseJSON(result);
                        var html = eachLists(lists.lists);
                        $('#current_searchType').val(lists.searchType);
                        $('#current_pageindex').val(0);
                        $('#current_keyword').val(lists.keyword);
                        $('.coop_lists').html(html);
                    })
                    $("#reminddiv").fadeOut(3000);
                }else{
                    $("#reminderror").html("<?=$_lang["e_coop_cancel_follow_success"]?>");
                    $("#reminddiv").fadeIn("normal");
                    var keyword     = $('#current_keyword').val();
                    var searchType  = $('#current_searchType').val();
                    $.ajax({
                        url : '<?=APP_PATH?>Init.php?m=ajaxLists_Coop&sessionkey=<?=$sessionstr?>&searchType='+searchType+'&keyword'+keyword
                    }).done(function(result) {
                        if(result == 0){
                            $('.coop_lists').html('<div id="now_load" class="no-moredata" style="text-align:center;line-height:50px;width:100%;height:50px;"><?=$_lang["e_coop_no_about_theme"]?></div>');
                            return ;
                        }
                        var lists = $.parseJSON(result);
                        var html = eachLists(lists.lists);
                        $('#current_searchType').val(lists.searchType);
                        $('#current_pageindex').val(0);
                        $('#current_keyword').val(lists.keyword);
                        $('.coop_lists').html(html);
                    })
                    $("#reminddiv").fadeOut(3000);
                }
            });
            return false;
        }
    },'.follow')
    //删除协作
    $('.coop_lists').on({
        click: function(){
            if(confirm('<?=$_lang["e_coop_confirm_del_theme"]?>')){
                var $this = $(this);
                var theId = $this.parent().attr('coop_id');
                $.ajax({
                    url : '<?=APP_PATH?>Init.php?m=ajaxDel_Coop&sessionkey=<?=$sessionstr?>&theId='+theId
                }).done(function(result) {
                    if(result == 1){
                        $("#reminderror").html("<?=$_lang["e_coop_del_success"]?>");
                        $("#reminddiv").fadeIn("normal");
                        $('.coop_lists').attr('more','');
                        $('.coop_lists').attr('current_module','new');
                        var keyword     = $('#current_keyword').val();
                        var searchType  = $('#current_searchType').val();
                        $.ajax({
                            url : '<?=APP_PATH?>Init.php?m=ajaxLists_Coop&sessionkey=<?=$sessionstr?>&searchType='+searchType+'&keyword='+keyword
                        }).done(function(result) {
                            if(result == 0){
                                $('.coop_lists').html('<div id="now_load" class="coop_list_item" style="text-align:center;line-height:50px;"><?=$_lang["e_coop_no_about_theme"] ?></div>');
                                return ;
                            }
                            var lists = $.parseJSON(result);
                            var html = eachLists(lists.lists);
                            $('#current_searchType').val(lists.searchType);
                            $('#current_pageindex').val(0);
                            $('#current_keyword').val(lists.keyword);
                            $('.coop_lists').html(html);
                        })
                        $("#reminddiv").fadeOut(3000);
                    }else{
                        $("#reminderror").html("<?=$_lang["e_coop_del_failure"]?>");
                        $("#reminddiv").fadeIn("normal");
                        $("#reminddiv").fadeOut(3000);
                    }
                });
                
            }
            return false;
        }
    },'.delete_coop');
    $('.coop_lists').on({
        click: function(){
            $(this).css('background','#F2F2F2');
            var theId = $(this).find('.operation').attr('coop_id');
            location.href = '<?=APP_PATH?>Init.php?m=coopComment_Coop&weiApi=<?=$weiApi?>&sessionkey=<?=$sessionstr?>&theId='+theId+"&userid=<?=$userid?>";
        }
    },'.coop_list_item');
});
//触摸滑动显示操作按钮
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event){
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event,obj){
    if(curX > 40 ){
        $(obj).find('.operation').hide(200);
    }
    if(curX < -40){
        $('.operation').hide(200);
        $(obj).find('.operation').show(200);
    }
    startX = 0;
    curX  = 0;
}
//切换选项时加载列表
function ajaxGetList(searchType,obj){
    $('.coop_header .btn').removeClass('active');
    $(obj).addClass('active');
    $('.coop_lists').attr('more','');
    $('.coop_lists').attr('current_module','new');
    $.ajax({
        url : '<?=APP_PATH?>Init.php?m=ajaxLists_Coop&sessionkey=<?=$sessionstr?>&searchType='+searchType,
        data:{
            sessionkey:'<?=$sessionstr?>'
        }
    }).done(function(result) {
        if(result == 0){
            $('.coop_lists').html('<div id="now_load" class="no-moredata" style="text-align:center;line-height:50px;width:100%;height:50px;"><?=$_lang["e_coop_no_about_theme"]?></div>');
            return ;
        }
        var lists = $.parseJSON(result);
        var html = eachLists(lists.lists);
        $('#current_searchType').val(lists.searchType);
        $('#current_pageindex').val(0);
        $('#current_keyword').val('');
        $('.coop_lists').html(html);
    })
}
//弹出模糊查询框
function searchCoop(obj){
    $('.coop_header .btn').removeClass('active');
    $(obj).addClass('active');
    $('.coop_search').slideToggle("slow");
}
//模糊查询加载列表
function clickSearch(){
    var keyword = $('#coop_search').val();
    $.ajax({
        url : '<?=APP_PATH?>Init.php?m=ajaxLists_Coop&sessionkey=<?=$sessionstr?>&keyword='+keyword,
        data:{
            sessionkey:'<?=$sessionstr?>'
        }
    }).done(function(result) {
       if(result == 0){
            $('.coop_lists').html('<div id="now_load" class="no-moredata" style="text-align:center;line-height:50px;width:100%;height:50px;"><?=$_lang["e_coop_no_about_theme"]?></div>');
            return ;
        }
        var lists = $.parseJSON(result);
        var html = eachLists(lists.lists);
        $('#current_searchType').val('all');
        $('#current_pageindex').val(0);
        $('#current_keyword').val(lists.keyword);
        $('.coop_lists').html(html);
    })
}
//循环列表公共函数
function eachLists(lists){
    var html = '';
    $.each(lists,function(k,v){
        var delhtml = '';
        if(v.del == 1){
            delhtml = '<div class="delete_coop"><img src="<?=IMG_PATH?>coop/iconfont-trash.png"></div>'
        }
		if(v.startClass == 'glyphicon-star'){
			var stratImg = '<img src="<?=IMG_PATH?>coop/iconfont-start-1.png">';
		} else {
			var stratImg = '<img src="<?=IMG_PATH?>coop/iconfont-start.png">';
		}
        html += '<div class="coop_list_item" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">\
                    <div class="content">\
                        '+stratImg+'&nbsp;'+v.THE_SUBJECT+'&nbsp;\
                        [<span style="font-size:12px;">'+v.userName+'</span>]\
                        <div class="coop_time">'+v.date+'</div><div class="coop_import">'+v.span+''+v.unRead+'</div>\
                    </div>\
                    <div class="operation" coop_id="'+v.THE_ID+'"><div class="follow" impor="'+v.PRIVY_IMPOR+'" style="background:'+v.startColor+'">'+stratImg+'</div>'+delhtml+'</div>\
                </div>';
    })
    return html;
}
</script>
</head>
<body>
<? if($_REQUEST["clienttype"]=="Webclient"){?>
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
    <table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
        <tr>
            <td width="10%" valign="middle" style="padding-left:5px;">
                <div id="pageback" class="page-top-button"><?=$_lang["e_crm_return"]?></div>
            </td>
            <td align="center" valign="middle">
                <div class="page-top-text"><?=$_lang["cowork_my_cowork"]?></div>
            </td>
            <td width="10%" valign="middle" style="padding-right:5px;"></td>
        </tr>
    </table>
</div>
<? }
//判断权限
if(empty($coopList)){
	echo $_lang["e_coop_no_theme"];
	exit;	
}
else{	
?>
<div class="alert alert-success" role="alert" id="reminddiv" style="display:none;width:99%;margin-left:0.5%;top:41px;z-index: 300;position:fixed;">
    <strong id="reminderror" style='font-size:14px;'></strong>
</div>
<input type="hidden" id="current_searchType" name="searchType" value="all">
<input type="hidden" id="current_pageindex" name="pageindex" value="0">
<input type="hidden" id="current_keyword" name="keyword" value="">
    <input type="hidden" id="userId" name="userId" value="<?=$userid?>">
<!--头部按钮组开始-->
<div class='coop_header' <? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:40px;"<?}?>>
    <div class="btn-group" style="margin-top:4px;margin-left:4px;">
        <button type="button" class="btn btn-default  btn-sm active" onclick="ajaxGetList('all',this)"><?=$_lang["e_coop_all"]?></button>
        <button type="button" class="btn btn-default  btn-sm" onclick="ajaxGetList('follow',this)"><?=$_lang["e_coop_follow"]?></button>
        <button type="button" class="btn btn-default  btn-sm" onclick="ajaxGetList('unRead',this)"><?=$_lang["e_coop_unread"]?></button>
        <button type="button" class="btn btn-default  btn-sm" onclick="ajaxGetList('Instancy',this)"><?=$_lang["e_coop_instancy"]?></button>
        <button type="button" class="btn btn-default  btn-sm" onclick="searchCoop(this)"><img src="<?=IMG_PATH?>coop/iconfont-search-1.png" width="14px"><?=$_lang["e_coop_search"]?></button>
    </div>
</div>
<!--头部按钮组结束-->
<!--搜索框开始-->
<div class="coop_search" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:40px;"<?}?>>
    <div class="search_input">
        <input type="text" placeholder="<?=$_lang["e_coop_enter_theme_name"]?>" name="coop_search" id="coop_search" >
    </div>
    <div class="search_button" onclick="javascript:clickSearch();">
        <img src="<?=IMG_PATH?>coop/iconfont-search.png" width="30px">
    </div>
</div>
<!--搜索框结束-->
<!--列表开始-->
<div class="coop_lists" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="top:80px;"<?}else{?>style="top:40px;"<?}?>>
    <? foreach($coopList as $key => $value){ ?>
    <div class='coop_list_item' ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">
        <div class='content'>
			<?php if($value['startClass'] == 'glyphicon-star'){?>
            <img src="<?=IMG_PATH?>coop/iconfont-start-1.png">
			<?php }else{?>
				<img src="<?=IMG_PATH?>coop/iconfont-start.png">
			<?php }?>
            &nbsp;<?=$value['THE_SUBJECT']?>&nbsp;[<span style="font-size:12px;"><?=$value['userName']?></span>]
            <div class="coop_time"><?=$value['date']?></div>
            <div class="coop_import"><?=$value['span']?></div>
        </div>
        <div class="operation" coop_id="<?=$value['THE_ID']?>">
            <div class='follow' impor='<?=$value['PRIVY_IMPOR']?>' style="background: <?=$value['startColor']?>;">
				<?php if($value['startClass'] == 'glyphicon-star'){?>
				<img src="<?=IMG_PATH?>coop/iconfont-start-1.png">
				<?php }else{?>
					<img src="<?=IMG_PATH?>coop/iconfont-start.png">
				<?php }?>
			</div>
            <? if($value['del'] == 1){?>
            <div class="delete_coop"><img src="<?=IMG_PATH?>coop/iconfont-trash.png"></div>
            <?}?>
        </div>
    </div>
    <?}?>
</div>
<!--列表结束-->
<?}?>
</body>
</html>
