<?
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Crm/View/CrmCenterView.php
 * @function  客户中心      
 * @version   1.0 
 * @author    lizj
 */
$PAGE_TITLE = $_lang["e_create_crm"];
include(INCLUDE_APP_PATH."Common/Layout/CommonPageHeader.php");
?>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>base.css"/>
<link rel="stylesheet" type="text/css" href="<?=APP_PATH?>Common/UserSelectNew/css/user_select.css">
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>create-crm.css"/>
<body>
<? if($_REQUEST["clienttype"]=="Webclient"){?>
    <div class="main-frame-header">
        <div class="left" id="pageback"><img src="<?=IMG_PATH?>crm/arrow_right_wev8.png">&nbsp;<?=$_lang["e_crm_return"]?></div>
        <div class="center"><?=$PAGE_TITLE?></div>
        <div class="right"></div>
    </div>
<? } ?>
	<? if($noPower == true || $sessionExpire == true){?>
		<div style="margin-top:40px;border:1px solid red;width:90%;margin-left:5%;height:30px;line-height: 30px;text-align:center;font-size:13px;font-weight: bold;">
			<? if($noPower == true){?><?=$_lang["e_crm_no_power"]?> <?}else{?><?=$_lang["e_crm_session_expire"]?><?}?>
		</div>
	<?} else {?>
	<div class="main-frame-head-end" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="top:40px;"<?}else{?>style="top:0px;"<?}?>>
        <div class="left">
            <?=$PAGE_TITLE?>
        </div>
        <div class="right" id="save_button">
            <?=$_lang['emobile_common_system_user_save']?>
        </div>
    </div>
	<div class="warning-msg">
	</div>
	<div class="success-msg">
	</div>
	<div id="select_box"></div>
	<div id="hidePlane" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="top:80px;"<?}else{?>style="top:40px;"<?}?>>
		<div class="save-tip"><?=$_lang["e_crm_saving_now"]?></div>
	</div>
	<div class="main-frame-body" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:80px;"<?}else{?>style="margin-top:40px;"<?}?>>
		<div class="form-body">
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_customer_name"]?></div>
				<div class="cols-right"><input type="text" class="crm-input required" id="CUSTOMER_NAME" name="CUSTOMER_NAME" value=""></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_customer_man"]?></div>
				<div class="cols-right">
					<div class="user-selector required">
						<div class="show-text" id="showManageName">
							<div class="user_list"></div>
							<input type="hidden" id="MANAGE_NAME" class="crm-input required" name="MANAGE_NAME" value="">
						</div>
						<div class="crm-button" id="openManageUser"><?=$_lang["e_crm_select"]?></div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_customer_no"]?></div>
				<div class="cols-right"><input type="text" class="crm-input  <?php if(in_array('customer_no', $required)){?>required<?php }?>" id="CUSTOMER_NUMBER" name="CUSTOMER_NUMBER" value="<?=$customerNumber?>"></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_service_man"]?></div>
				<div class="cols-right">
					<div class="user-selector <?php if(in_array('SERVICE_NAME', $required)){?>required<?php }?>">
						<div class="show-text" id="showServerName">
							<div class="user_list"></div>
							<input type="hidden" id="SERVICE_NAME" class="crm-input <?php if(in_array('SERVICE_NAME', $required)){?>required<?php }?>" name="SERVICE_NAME" value="">
						</div>
						<div class="crm-button" id="openServerUser"><?=$_lang["e_crm_select"]?></div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_location"]?></div>
				<div class="cols-right">
					<select class="crm-select <?php if(in_array('province', $required)){?>required<?php }?>" id="PROVINCE" name="PROVINCE">
						<option value=""><?=$_lang["e_crm_province"]?></option>
						<?php foreach($province as $v) {?>
						<option value="<?=$v['proID']?>"><?=$v['proName']?></option>
						<?php }?>
					</select>
					<select class="crm-select <?php if(in_array('CITY', $required)){?>required<?php }?>" id="CITY" name="CITY">
						<option value=""><?=$_lang["e_addr_city"]?></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_customer_status"]?></div>
				<div class="cols-right">
					<select class="crm-select max <?php if(in_array('door_type', $required)){?>required<?php }?>" id="CUSTOMER_TYPE" name="CUSTOMER_TYPE">
						<option value=""><?=$_lang["e_crm_select"]?></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_customer_type"]?></div>
				<div class="cols-right">
					<select class="crm-select max <?php if(in_array('CUSTOMER_STATE', $required)){?>required<?php }?>" id="CUSTOMER_STATE" name="CUSTOMER_STATE">
						<option value=""><?=$_lang["e_crm_select"]?></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_attri"]?></div>
				<div class="cols-right">
					<select class="crm-select max <?php if(in_array('CUSTOMER_ATTRIBUTE', $required)){?>required<?php }?>" id="CUSTOMER_ATTRIBUTE" name="CUSTOMER_ATTRIBUTE">
						<option value=""><?=$_lang["e_crm_select"]?></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_industry"]?></div>
				<div class="cols-right">
					<select class="crm-select max <?php if(in_array('CUSTOMER_INDUSTRY', $required)){?>required<?php }?>" id="CUSTOMER_INDUSTRY" name="CUSTOMER_INDUSTRY">
						<option value=""><?=$_lang["e_crm_select"]?></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_industy_man"]?></div>
				<div class="cols-right">
					<input type="text" class="crm-input <?php if(in_array('LEGOL_PERSON', $required)){?>required<?php }?>" id="LE_PERSON" name="LE_PERSON" value="">
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_tax"]?></div>
				<div class="cols-right"><input type="text" class="crm-input <?php if(in_array('FAX_NO', $required)){?>required<?php }?>" id="FAX_NO" name="FAX_NO" value=""></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_net_site"]?></div>
				<div class="cols-right"><input type="text" class="crm-input <?php if(in_array('CUSTOMER_WWW', $required)){?>required<?php }?>" id="CUSTOMER_WWW" name="CUSTOMER_WWW" value=""></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_phone_com"]?></div>
				<div class="cols-right"><input type="text" class="crm-input <?php if(in_array('TEL_NO', $required)){?>required<?php }?>" id="TEL_NO" name="TEL_NO" value=""></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_zip"]?></div>
				<div class="cols-right"><input type="text" class="crm-input <?php if(in_array('POSTALCODE', $required)){?>required<?php }?>" id="POSTALCODE"  name="POSTALCODE" value=""></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_email"]?></div>
				<div class="cols-right"><input type="text" class="crm-input <?php if(in_array('EMAIL', $required)){?>required<?php }?>" id="EMAIL"  name="EMAIL" value=""></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_site"]?></div>
				<div class="cols-right"><input type="text" class="crm-input <?php if(in_array('CUSTOMER_ADD', $required)){?>required<?php }?>"  id="CUSTOMER_ADD" name="CUSTOMER_ADD" value=""></div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_birthday_tip"]?></div>
				<div class="cols-right">
					<input class="checkbox_style" type="checkbox" id="BIRTHDAY_REMIND_SMS" name="BIRTHDAY_REMIND_SMS"  value= "1" >&nbsp;内部消息
					<?if(ifSendMbSms()){?>
					<input class="checkbox_style" type="checkbox" id="BIRTHDAY_REMIND" name="BIRTHDAY_REMIND"  value="1" >&nbsp;手机短信
					<?}?>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_source"]?></div>
				<div class="cols-right">
					<select class="crm-select max <?php if(in_array('CUSTOMER_STATUS', $required)){?>required<?php }?>" id="CUSTOMER_STATUS" name="CUSTOMER_STATUS">
						<option value=""><?=$_lang["e_crm_select"]?></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_scal"]?></div>
				<div class="cols-right">
					<select class="crm-select max <?php if(in_array('scale', $required)){?>required<?php }?>" id="SCALE" name="SCALE">
						<option value=""><?=$_lang["e_crm_select"]?></option>
					</select>
				</div>
			</div>
			<div class="row">
				<div class="cols-left"><?=$_lang["e_crm_sell"]?></div>
				<div class="cols-right">
					<input type="text" class="crm-input <?php if(in_array('CUSTOMER_PROFIT', $required)){?>required<?php }?>"  id="CUSTOMER_PROFIT" name="CUSTOMER_PROFIT" value="">
				</div>
			</div>
			<div class="row-max">
				<div class="cols-left"><?=$_lang["e_crm_company_intro"]?></div>
				<div class="cols-right">
					<textarea class="crm-textarea <?php if(in_array('LEGOL_PERSON_INFO', $required)){?>required<?php }?>"  id="PERSON_INFO" name="PERSON_INFO"></textarea>
				</div>
			</div>
        </div>
    </div>
	<? }?>
</body>
</html>
<script type="text/javascript" src="<?=JS_PATH?>jquery.min.js"></script>
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<script type="text/javascript" src="<?=APP_PATH?>Common/UserSelectNew/js/user_select.js"></script>
<script>
var windowHeight = $(window).height();
var windowWidth  = $(window).width();
$(function(){
	//设置body高度
	<? if($_REQUEST["clienttype"]=="Webclient"){?>
        $('.main-frame-body,#hidePlane').height(windowHeight - 80);
    <?}else{?>
        $('.main-frame-body,#hidePlane').height(windowHeight - 40);
    <?}?>
	//返回
	$("#pageback").click(function() {
		goBack();
	});
	//初始化用户选择器
	initUserSelector();
	//初始化新建客户页面下拉框
	initSelect();
	//选择省份，触发获取城市列表
	$('#PROVINCE').change(function(){
		getCity($(this).val());
	});
	//表单提交
	$('#save_button').click(function() {
		submitForm();
	});
});
function goBack() 
{
	location.href = "<?=APP_PATH?>Init.php?m=all_Create&mobilesessionkey=<?=$mobilekey?>&page=<?=$page?>&module=<?=$module?>&scope=<?=$scope?>&detailid=<?=$detailid?>&fromid=<?=$fromid?>&sessionkey=<?=$sessionstr?>";
}
//表单验证，提交
function submitForm() 
{
	var requiredObj = $('.crm-input.required,.crm-select.required,.crm-textarea.required');
	var flag = true;
	if(requiredObj.length > 0) {
		$.each(requiredObj,function(k,v){
			var value = $.trim($(v).val());
			if(value == '') {
				errorMsg('<strong><?=$_lang['emobile_common_system_notice']?>:</strong> <?=$_lang["e_crm_has_requied"]?>!');
				flag = false;
				return;
			}
		});
	}
	if(flag == false) {
		return false;
	}
	
	var CUSTOMER_NAME		= $('#CUSTOMER_NAME').val();
	var MANAGE_NAME			= $('#MANAGE_NAME').val();
	var CUSTOMER_NUMBER		= $('#CUSTOMER_NUMBER').val();
	var SERVICE_NAME		= $('#SERVICE_NAME').val();
	var PROVINCE			= $('#PROVINCE').val();
	var CITY				= $('#CITY').val();
	var CUSTOMER_TYPE		= $('#CUSTOMER_TYPE').val();
	var CUSTOMER_STATE		= $('#CUSTOMER_STATE').val();
	var CUSTOMER_ATTRIBUTE	= $('#CUSTOMER_ATTRIBUTE').val();
	var CUSTOMER_INDUSTRY	= $('#CUSTOMER_INDUSTRY').val();
	var LE_PERSON			= $('#LE_PERSON').val();
	var FAX_NO				= $('#FAX_NO').val();
	var CUSTOMER_WWW		= $('#CUSTOMER_WWW').val();
	var TEL_NO				= $('#TEL_NO').val();
	var POSTALCODE			= $('#POSTALCODE').val();
	var EMAIL				= $('#EMAIL').val();
	var CUSTOMER_ADD		= $('#CUSTOMER_ADD').val();
	var BIRTHDAY_REMIND_SMS = $('#BIRTHDAY_REMIND_SMS').is(':checked') ? $('#BIRTHDAY_REMIND_SMS').val() : 0;
	var BIRTHDAY_REMIND		= $('#BIRTHDAY_REMIND').is(':checked') ? $('#BIRTHDAY_REMIND').val() : 0;
	var CUSTOMER_STATUS		= $('#CUSTOMER_STATUS').val();
	var SCALE				= $('#SCALE').val();
	var CUSTOMER_PROFIT		= $('#CUSTOMER_PROFIT').val();
	var PERSON_INFO	= $('#PERSON_INFO').val();
	if(!checkField({CUSTOMER_NAME:CUSTOMER_NAME},'checkCustomerName')) {
		errorMsg('<strong><?=$_lang['emobile_common_system_notice']?>:</strong> <?=$_lang["e_crm_customer_name"]?><?=$_lang["e_crm_exists"]?>!');
		return false;
	}
	if(!checkField({CUSTOMER_NUMBER:CUSTOMER_NUMBER},'checkCustomerNumber')) {
		errorMsg('<strong><?=$_lang['emobile_common_system_notice']?>:</strong> <?=$_lang["e_crm_customer_no"]?><?=$_lang["e_crm_exists"]?>!');
		return false;
	}
	$('#hidePlane').show();
	$.ajax({
		url:'<?=APP_PATH?>Init.php?m=createDo_Crm&sessionkey=<?=$sessionstr?>',
		data:{
			CUSTOMER_NAME : CUSTOMER_NAME,
			MANAGE_NAME : MANAGE_NAME,
			CUSTOMER_NUMBER : CUSTOMER_NUMBER,
			SERVICE_USER : SERVICE_NAME,
			PROVINCE : PROVINCE,
			CITY : CITY,
			CUSTOMER_TYPE : CUSTOMER_TYPE,
			CUSTOMER_STATE : CUSTOMER_STATE,
			CUSTOMER_ATTRIBUTE : CUSTOMER_ATTRIBUTE,
			CUSTOMER_INDUSTRY : CUSTOMER_INDUSTRY,
			LE_PERSON : LE_PERSON,
			FAX_NO : FAX_NO,
			CUSTOMER_WWW : CUSTOMER_WWW,
			TEL_NO : TEL_NO,
			POSTALCODE : POSTALCODE,
			EMAIL : EMAIL,
			CUSTOMER_ADD : CUSTOMER_ADD,
			BIRTHDAY_REMIND_SMS : BIRTHDAY_REMIND_SMS,
			BIRTHDAY_REMIND : BIRTHDAY_REMIND,
			CUSTOMER_STATUS : CUSTOMER_STATUS,
			SCALE : SCALE,
			CUSTOMER_PROFIT : CUSTOMER_PROFIT,
			PERSON_INFO : PERSON_INFO
		},
		type:'post'
	}).done(function(result){
		if(result == 1) {
			$('#hidePlane').hide();
			succssMsg('<?=$_lang['emobile_create_view_createOK']?>');
			setTimeout('goBack()',2000);
		} else {
			errorMsg('<?=$_lang["e_crm_create_fialure"]?>');
		}
	});
}

function errorMsg(msg)
{
	$('.warning-msg').html(msg).show();
	setTimeout("$('.warning-msg').fadeOut(1000)",2000);
}
function succssMsg(msg) 
{
	$('.success-msg').html(msg).show();
	setTimeout("$('.success-msg').fadeOut(1000)",2000);
}
//客户端返回
function doLeftButton() 
{
	location.href = "<?=APP_PATH?>Init.php?m=all_Create&mobilesessionkey=<?=$mobilekey?>&page=<?=$page?>&module=<?=$module?>&scope=<?=$scope?>&detailid=<?=$detailid?>&fromid=<?=$fromid?>&sessionkey=<?=$sessionstr?>";
    return "MobileClient";
}
//初始化用户选择器
function initUserSelector() {
	//初始化选择框，选择用户
	UserSelect.param.selectType = 'single';
    UserSelect.init('#select_box');
	//选择客户经理
    $('#openManageUser').click(function(){
        UserSelect.open('showManageName','MANAGE_NAME');
    });
	//选择客服经理
	$('#openServerUser').click(function(){
        UserSelect.open('showServerName','SERVICE_NAME');
    });
}
//初始化下拉框
function initSelect() {
	//客户状态
	getSelectList('CUSTOMER_TYPE',4);
	//客户类型
	getSelectList('CUSTOMER_STATE',7);
	//客户属性
	getSelectList('CUSTOMER_ATTRIBUTE',17);
	//所在行业
	getSelectList('CUSTOMER_INDUSTRY',27);
	//客户来源
	getSelectList('CUSTOMER_STATUS',6);
	//公司规模
	getSelectList('SCALE',5);
}
//获取下拉框列表
function getSelectList(id,ccParentId) {
	$.ajax({
		url:'<?=APP_PATH?>Init.php?m=getSelectList_Crm&sessionkey=<?=$sessionstr?>',
		data:{
		   cc_parent_id:ccParentId, 
		}
	}).done(function(result){
		var parseResult = $.parseJSON(result);
		var html = '';
		$.each(parseResult,function(k,v){
			html += '<option value="'+v.CC_VALUE+'">'+v.CC_NAME+'</option>';
		});	
		$('#'+id).append(html);
	});
}
//获取城市列表
function getCity(province) {
	$.ajax({
		url:'<?=APP_PATH?>Init.php?m=getCity_Crm&sessionkey=<?=$sessionstr?>',
		data:{
		   province:province, 
		}
	}).done(function(result){
		var parseResult = $.parseJSON(result);
		var html		= '<option value=""><?=$_lang["e_addr_city"]?></option>';
		$.each(parseResult,function(k,v) {
			html += '<option value="'+v.cityId+'">'+v.cityName+'</option>';
		});

		$('#CITY').html(html);
	});
}

function checkField(data,method) {
	var flag = 1;
	$.ajax({
		url:'<?=APP_PATH?>Init.php?m='+method+'_Crm&sessionkey=<?=$sessionstr?>',
		data:data,
		async:false
	}).done(function(result){
		flag =result;
	});
	
	if(flag == 1) {
		return true;
	}
	
	return false;
}
</script>
