<?
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Crm/View/CrmCenterView.php
 * @function  客户中心      
 * @version   1.0 
 * @author    lizj
 */
$PAGE_TITLE = $_lang["e_crm_customer_center"];
include(INCLUDE_APP_PATH."Common/Layout/CommonPageHeader.php");
?>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>base.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>crm.css"/>
<body>
<? if($_REQUEST["clienttype"]=="Webclient"){?>
    <div class="main-frame-header">
        <div class="left" id="pageback"><img src="<?=IMG_PATH?>crm/arrow_right_wev8.png">&nbsp;<?=$_lang["e_crm_return"]?></div>
        <div class="center"><?=$PAGE_TITLE?></div>
        <div class="right"></div>
    </div>
<? } ?>
    <div class="main-frame-head-end" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="top:40px;"<?}else{?>style="top:0px;"<?}?>>
        <div class="left">
            <div class="search-input"><input type="text" id="keyword_search" placeholder="<?=$_lang["e_crm_search_keyword"]?>"></div>
        </div>
        <div class="right" id="search_button">
            <img src="<?=IMG_PATH?>crm/search_wev8.png" style="width:20px;height:20px;margin-top:15px;">
        </div>
    </div>
    <div class="main-frame-body" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:90px;"<?}else{?>style="margin-top:50px;"<?}?>>
        <div class="crm-list">
        </div>
    </div>
    <div class="main-frame-bottom">
        <div class="bottom-button crm-button no-son active" id="ALL" select-data="all"><?=$_lang["e_crm_all"]?></div>
        <div class="bottom-button crm-button has-son" id="CUSTOMER_TYPE">
            <div select-data="" class="select-data"><?=$_lang["e_crm_customer_status"]?></div>
            <div class="button-son" style="left:0px;overflow-y:auto;max-height:200px; ">
                <div class="button-son-item" item-val="" style='background: #717171;'><?=$_lang["e_crm_customer_status"]?></div>
                <?php if($crmType){
                    foreach($crmType as $k => $v){
                ?>
                <div class="button-son-item" item-val="<?=$v['CC_VALUE']?>"><?=$v['CC_NAME']?></div>
                <?php }}?>
            </div>
        </div>
        <div class="bottom-button crm-button has-son" id="QUICK_SORT">
            <div select-data="" class="select-data"><?=$_lang["e_crm_time_filter"]?></div>
            <div class="button-son" style="left:0px;width:100px;">
                <div class="button-son-item" item-val="" style='background: #717171;'><?=$_lang["e_crm_time_filter"]?></div>
                <div class="button-son-item" item-val="create-1month"><?=$_lang["e_crm_in_month"]?></div>
                <div class="button-son-item" item-val="ncontact-1month"><?=$_lang["e_crm_in_month_not"]?></div>
            </div>
        </div>
        <div class="bottom-button crm-button has-son" id="ROLE_TYPE">
            <div select-data="" class="select-data" ><?=$_lang["e_crm_role_filter"]?></div>
            <div class="button-son" style="right:0px;width:100px;">
                <div class="button-son-item" item-val="" style='background: #717171;'><?=$_lang["e_crm_role_filter"]?></div>
                <div class="button-son-item" item-val="MANAGE_USER"><?=$_lang["e_crm_is_customer_man"]?></div>
                <div class="button-son-item" item-val="SERVICE_USER"><?=$_lang["e_crm_is_service_man"]?></div>
                <div class="button-son-item" item-val="CREATEOR"><?=$_lang["e_crm_is_creater"]?></div>
            </div>
        </div>
        <div class="bottom-button crm-button has-son" id="SORT">
            <div select-data="" class="select-data"><?=$_lang["e_crm_order"]?></div>
            <div class="button-son" style="right:0px;width:100px;">
                <div class="button-son-item" item-val="CREATE_TIME|ASC"><?=$_lang["e_crm_time_a_z"]?></div>
                <div class="button-son-item" item-val="CREATE_TIME|DESC"><?=$_lang["e_crm_time_z_a"]?></div>
            </div>
        </div>
    </div>
    <input type="hidden" id="HIDE_CUSTOMER_TYPE" value="">
    <input type="hidden" id="HIDE_QUICK_SORT" value="">
    <input type="hidden" id="HIDE_ROLE_TYPE" value="">
    <input type="hidden" id="HIDE_SORT" value="">
    <input type="hidden" id="HIDE_KEYWORD" value="">
    <!--客户详情，记录，联系人等详细信息开始-->
    <div id="crm_detail" style="display: none;">
        <div class="detail_header">
            <div class="left" id="detail_close"><img src="<?=IMG_PATH?>crm/iconfont-left.png">&nbsp;<?=$_lang["e_crm_return"]?></div>
            <div class="center"><?=$PAGE_TITLE?></div>
            <div class="right" id="add" role="add_record"><img src="<?=IMG_PATH?>crm/iconfont-jia.png" style="margin-top:5px;"></div>
        </div>
        <div class="button-group">
            <div class="detail_button active" id="record_button"><?=$_lang["e_crm_record"]?></div>
            <div class="detail_button" id="linkman_button"><?=$_lang["e_crm_linkman"]?></div>
            <div class="detail_button" id="detail_button"><?=$_lang["e_crm_customer_detail"]?></div>
        </div>
        <div class="crm-detail-body">
            <div id="record" class="detail_info"></div>
            <div id="link_div" class="detail_info" style="display:none;"></div>
            <div id="detail" class="detail_info" style="display:none;"></div>
        </div>
    </div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>jquery.min.js"></script>
<script>
var windowHeight = $(window).height();
var windowWidth  = $(window).width();
//触摸滑动显示操作按钮
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event,obj){
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event,obj){
    if(curX < -40 ){
        $('.item-inner').animate({'margin-left':'0px'},200);
        $(obj).animate({'margin-left':'-120px'},300);
    }
    if(curX > 40){
        $(obj).animate({'margin-left':'0px'},200);
    }
    startX = 0;
    curX  = 0;
}
$(function(){
    <? if($_REQUEST["clienttype"]=="Webclient"){?>
        $('#crm_detail').css({'top':'40px','height':windowHeight - 40});
        $('.main-frame-body').height(windowHeight - 140);
        $('.crm-detail-body').height(windowHeight - 120);
    <?}else{?>
        $('#crm_detail').css({'top':'0px','height':windowHeight});
        $('.main-frame-body').height(windowHeight - 90);
        $('.crm-detail-body').height(windowHeight - 80);
    <?}?>
        $('.crm-item .center').width(windowWidth - 60);
        $('.crm-item .item-inner').width(windowWidth + 120);
    $("#pageback").click(function(){
        location.href = "/home.do";	
    });
    //客户名称模糊搜索
    $('#keyword_search').keydown(function(event) {
        if (event.keyCode == "13") {
            $('#search_button').click();
        }
    });
    $('#search_button').click(function(){
        $('#HIDE_CUSTOMER_TYPE').val('');
        $('#HIDE_QUICK_SORT').val('');
        $('#HIDE_ROLE_TYPE').val('');
        $('#CUSTOMER_TYPE .select-data').text('<?=$_lang["e_crm_customer_type"]?>').css({'line-height':'50px','padding-top':'0px','padding-bottom':'0px'});
        $('#QUICK_SORT .select-data').text('<?=$_lang["e_crm_time_filter"]?>').css({'line-height':'50px','padding-top':'0px','padding-bottom':'0px'});
        $('#ROLE_TYPE .select-data').text('<?=$_lang["e_crm_role_filter"]?>').css({'line-height':'50px','padding-top':'0px','padding-bottom':'0px'});
        buttonDealOne();
        $('#ALL').css('background','').addClass('active');
        var keyword = $('#keyword_search').val();
        var SORT            = $('#HIDE_SORT').val();
        $('#HIDE_KEYWORD').val(keyword);
        getCrmList({PAGE:0,sessionkey:'<?=$sessionstr?>',KEYWORD:keyword,SORT:SORT},'html');
    });
    //按钮在效果切换
    $('.crm-button.has-son').click(function(){
        var $this = $(this);
        if($this.find('.button-son').css('display') == 'none'){
            $('.crm-button.has-son').css('background','#717171');
            $('.button-son').slideUp('hide').css('background','#717171');
            $this.find('.button-son').slideDown('show');
            $this.css('background','#4D4D4D');
            $this.find('.button-son').css('background','#4D4D4D');
        }else{
            $this.find('.button-son').slideUp('hide').css('background','#717171');
            $this.css('background','#717171');
        }
    });
    //打电话
    $('.crm-list').on({
        click:function(){
            var telephone = $(this).attr('tel-val');
            location.href = 'tel:'+telephone;
            return false;
        }
    },'.crm-item .tel');
    //发信息
    $('.crm-list').on({
        click:function(){
            var telephone = $(this).attr('tel-val');
            location.href = 'sms:'+telephone;
            return false;
        }
    },'.crm-item .sms');
    //默认获取全部的客户列表
    getCrmList({PAGE:0,sessionkey:'<?=$sessionstr?>'},'html');
    //all
    $('#ALL').click(function(){
        location.reload();
//        var SORT            = $('#HIDE_SORT').val();
//        getCrmList({PAGE:0,sessionkey:'<?=$sessionstr?>',SORT:SORT},'html');
//        $('#HIDE_CUSTOMER_TYPE').val('');
//        $('#HIDE_QUICK_SORT').val('');
//        $('#HIDE_ROLE_TYPE').val('');
//        $('#HIDE_KEYWORD').val('');
//        $('#keyword_search').val('');
//        $('#CUSTOMER_TYPE .select-data').text('客户类型').css({'line-height':'50px','padding-top':'0px','padding-bottom':'0px'});
//        $('#QUICK_SORT .select-data').text('日期筛选').css({'line-height':'50px','padding-top':'0px','padding-bottom':'0px'});
//        $('#ROLE_TYPE .select-data').text('角色筛选').css({'line-height':'50px','padding-top':'0px','padding-bottom':'0px'});
//        buttonDealOne();
//        $(this).css('background','').addClass('active');
    });
    //客户类型筛选
    $('#CUSTOMER_TYPE .button-son .button-son-item').click(function(){
        buttonDealThree(this,'HIDE_CUSTOMER_TYPE');
        filterCrmList('');
        buttonDealTwo(this);
    });
    //时间筛选
    $('#QUICK_SORT .button-son .button-son-item').click(function(){
        buttonDealThree(this,'HIDE_QUICK_SORT');
        filterCrmList('');
        buttonDealTwo(this);
    });
    //角色筛选
    $('#ROLE_TYPE .button-son .button-son-item').click(function(){
        buttonDealThree(this,'HIDE_ROLE_TYPE');
        filterCrmList('');
        buttonDealTwo(this);
    });
    //排序
    $('#SORT .button-son .button-son-item').click(function(){
        buttonDealThree(this,'HIDE_SORT');
        filterCrmList('keyword');
        buttonDealTwo(this);
    });
    //加载更多客户列表
    $('.crm-list').on({
        click:function(){
            var PAGE            = $(this).attr('page');
            var CUSTOMER_TYPE   = $('#HIDE_CUSTOMER_TYPE').val();
            var QUICK_SORT      = $('#HIDE_QUICK_SORT').val();
            var ROLE_TYPE       = $('#HIDE_ROLE_TYPE').val();
            var SORT            = $('#HIDE_SORT').val();
            var KEYWORD         = $('#HIDE_KEYWORD').val();
            getCrmList({PAGE:PAGE,sessionkey:'<?=$sessionstr?>',KEYWORD:KEYWORD,CUSTOMER_TYPE:CUSTOMER_TYPE,QUICK_SORT:QUICK_SORT,ROLE_TYPE:ROLE_TYPE,SORT:SORT},'append');
        }
    },'.load-more');
    //查看客户详情
    $('.crm-list').on({
        click:function(){
            var crmId   = $(this).attr('crm-id');
            var crmName = $(this).attr('crm-name');
            $('.crm-item').css('background','');
            $(this).css('background','#F5F5F5');
            $('#crm_detail .detail_header .center').text(crmName);
            $('#crm_detail .detail_header .right').attr('crm-id',crmId);
            getCrmRecord(crmId);
            getLinkMan(crmId);
            crmDetail(crmId)
            $('#crm_detail').slideDown('show');
            $('#record_button').click();
            $('.main-frame-bottom').hide();
        }
    },'.crm-item');
    //关闭客户详情页
    $('#detail_close').click(function(){
        $('#crm_detail').slideUp('hide');
        $('.main-frame-bottom').show();
    });
    //添加联系记录，联系人
    $('#add').click(function(){
        var role = $(this).attr('role');
        var crmId = $(this).attr('crm-id');
        if(role == 'add_record'){
            location.href = "<?=APP_PATH?>Init.php?m=createRecord_Crm&detailid="+crmId+"&sessionkey=<?=$sessionstr?>";
        }else{
            location.href = "<?=APP_PATH?>Init.php?m=createLink_Crm&detailid="+crmId+"&sessionkey=<?=$sessionstr?>";
        }
    });
    //查看联系记录
    $('#record_button').click(function(){
        $('.detail_button').removeClass('active');
        $('#crm_detail .detail_header .right').attr('role','add_record').show();
        $(this).addClass('active');
        $('.detail_info').hide();
        $('#record').show();
    });
    //查看联系人
    $('#linkman_button').click(function(){
        $('.detail_info').hide();
        $('#link_div').show();
        $('.detail_button').removeClass('active');
        $('#crm_detail .detail_header .right').attr('role','add_linkman').show();
        $(this).addClass('active');
    });
    //查看客户详情
    $('#detail_button').click(function(){
        $('.detail_button').removeClass('active');
        $('#crm_detail .detail_header .right').hide();
        $(this).addClass('active');
        $('.detail_info').hide();
        $('#detail').show();
    });
    //查看联系人详情
    $('#link_div').on({
        click:function(){
            var crmId = $('#add').attr('crm-id');
            var linkManId = $(this).attr('linkman_id');
            location.href='<?=APP_PATH?>Init.php?m=cusLink_Crm&linkid='+linkManId+'&detailid='+crmId+'&sessionkey=<?=$sessionstr?>';
        } 
    },'.linkman_item');
});
function crmDetail(crmId){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=getCrmInfo_Crm&sessionkey=<?=$sessionstr?>',
        data:{
           crmId:crmId, 
        }
    }).done(function(result){
        if(result == 0){
            $('#detail').html('<div class="no-data"><?=$_lang["e_crm_customer_no_info"]?></div>');
            return;
        }
        var parseResult = $.parseJSON(result);
        var html ='<div class="detail_info_title">'+parseResult.CUSTOMER_NAME+'</div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_creater"]?></div><div class="right">'+parseResult.CREATEOR+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_customer_man"]?></div><div class="right">'+parseResult.MANAGE_USER+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_service_man"]?></div><div class="right">'+parseResult.SERVICE_USER+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_customer_no"]?></div><div class="right">'+parseResult.CUSTOMER_NUMBER+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_customer_status"]?></div><div class="right">'+parseResult.CUSTOMER_TYPE+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_attri"]?></div><div class="right">'+parseResult.CUSTOMER_ATTRIBUTE+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_source"]?></div><div class="right">'+parseResult.CUSTOMER_STATUS+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_phone_com"]?></div><div class="right">'+parseResult.TEL_NO+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_tax"]?></div><div class="right">'+parseResult.FAX_NO+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_net_site"]?></div><div class="right">'+parseResult.CUSTOMER_WWW+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_location"]?></div><div class="right">'+parseResult.AREA+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_scal"]?></div><div class="right">'+parseResult.SCALE+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_industry"]?></div><div class="right">'+parseResult.CUSTOMER_INDUSTRY+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_sell"]?></div><div class="right">'+parseResult.CUSTOMER_PROFIT+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_zip"]?></div><div class="right">'+parseResult.POSTALCODE+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_email"]?></div><div class="right">'+parseResult.EMAIL+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_site"]?></div><div class="right">'+parseResult.CUSTOMER_ADD+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_industy_man"]?></div><div class="right">'+parseResult.LE_PERSON+'</div></div>\
                    <div class="detail_info_item"><div class="left"><?=$_lang["e_crm_company_intro"]?></div><div class="right" style="overflow-x:auto;">'+parseResult.PERSON_INFO+'</div></div>';
        $('#detail').html(html);
    });
}
function getLinkMan(crmId){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=ajaxGetLinkMan_Crm&sessionkey=<?=$sessionstr?>',
        data:{
           crmId:crmId, 
        }
    }).done(function(result){
        if(result == 0){
            var html = '<div class="no-data"><?=$_lang["e_crm_no_link_man"]?></div>';
        }else{
            var parseResult = $.parseJSON(result);
            var html = '<div class="div_tr" style="position: relative;"><div class="div_td_right th"><?=$_lang["e_crm_user_name"]?></div><div class="div_td th"><?=$_lang["e_crm_semail"]?></div><div class="div_td_right th"><?=$_lang["e_crm_phone"]?></div></div>';
            $.each(parseResult,function(k,v){
                html +='<div class="div_tr linkman_item" linkman_id = "'+v.linkmanId+'" style="position: relative;">\
                            <div class="div_td_right">'+v.linkmanName+'</div>\
                            <div class="div_td">'+v.email+'</div>\
                            <div class="div_td_right">'+v.telephone+'</div>\
                        </div>';
            });
        }
        $('#link_div').html(html);
    });
}
function getCrmRecord(crmId){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=getLinkRecord_Crm&sessionkey=<?=$sessionstr?>',
        data:{
            crmId:crmId
        }
    }).done(function(result){
        if(result == 0){
            var html = '<div class="no-data"><?=$_lang["e_crm_no_record"]?></div>';
        }else{
            var parseResult = $.parseJSON(result);
            var html = '';
            $.each(parseResult,function(k,v){
                var typeStyle = '';
                if(v.recordType == 1){
                    typeStyle='<div class="record-type"  style="background: #FFC742;"><img src="<?=IMG_PATH?>crm/iconfont-ticket.png" width="25px" style="margin-top:8px;"></div>';
                }else if(v.recordType == 2){
                    typeStyle='<div class="record-type" style="background: #81CA57;"><img src="<?=IMG_PATH?>crm/iconfont-dianhua.png" width="25px" style="margin-top:8px;"></div>';
                }else if(v.recordType == 3) {
                    typeStyle='<div class="record-type" style="background: #64BEE6;"><img src="<?=IMG_PATH?>crm/iconfont-youjian.png" width="25px" style="margin-top:8px;"></div>';
                }else if(v.recordType == 4) {
                    typeStyle='<div class="record-type" style="background: #C864C8;"><img src="<?=IMG_PATH?>crm/iconfont-duanxin.png" width="25px" style="margin-top:8px;"></div>';
                }else{
                    typeStyle='<div class="record-type"><?=$_lang["e_crm_other"]?></div>';
                }
                if(v.attachment){
                    var attachHtml ='';
                    $.each(v.attachment,function(i,e){
                        if(e.type == 'img'){
                            var linkUrl = '<?=APP_PATH?>Init.php?m=show_Image_Common&sessionkey=<?=$sessionstr?>&attachId='+e.attachId+'&attachName='+e.attachName;
                            attachHtml += '<div class="comment_attach" onclick="location.href=\''+linkUrl+'\'">\
                            <img src="<?=IMG_PATH?>crm/em-attach.png" style="position: absolute;top:5px;left:5px;">'+'&nbsp;'+e.name+'</div>';
                        }else{
                            attachHtml += '<div class="comment_attach" onclick="location.href=\''+e.url+'\'"><img src="<?=IMG_PATH?>crm/em-attach.png" style="position: absolute;top:5px;left:5px;">'+'&nbsp;'+e.name+'</div>';
                        }
                    });
                }
                html += '<div class="record-item">\
                    <div class="record-item-left">'+typeStyle+'<div class="record-left-line"></div>\
                    </div>\
                    <div class="record-item-right">\
                        <div class="header">'+v.createName+'&nbsp;&nbsp;'+v.CREAT_DATE+'</div>\
                        <div class="center">'+v.RE_RECORD+'</div>\
                        <div class="attachment">\
                        '+attachHtml+'</div>\
                        <div class="record-link-man"><?=$_lang["e_crm_linkman"]?>：'+v.linkMan+'</div>\
                        <div class="link-datetime"><?=$_lang["e_crm_link_time"]?>：'+v.LINK_DATE+'</div>\
                    </div>\
                </div>';
            });
        }
        $('#record').html(html);
    });
}
function buttonDealOne(){
    $('.crm-button.has-son').find('.button-son').slideUp('hide').css('background','#717171');
    $('.crm-button').removeClass('active').css('background','#717171');
    $('.crm-button').find('.select-data').removeClass('active');
}
function buttonDealTwo(obj){
    buttonDealOne();
    $(obj).parent().parent().css('background','').addClass('active');
    $(obj).parent().parent().find('.select-data').addClass('active');
}
function buttonDealThree(obj,id){
    var itemVal     = $(obj).attr('item-val');
    $('#'+id).val(itemVal);
    var itemText    = $(obj).text();
    var textLen     = itemText.length;
    if(textLen > 5){
        $(obj).parent().parent().find('.select-data').css({'line-height':'20px','padding-top':'5px','padding-bottom':'5px'});
    }else{
        $(obj).parent().parent().find('.select-data').css({'line-height':'50px','padding-top':'0px','padding-bottom':'0px'});
    }
    $(obj).parent().parent().find('.select-data').text(itemText);
}
function filterCrmList(keyword){
    var CUSTOMER_TYPE   = $('#HIDE_CUSTOMER_TYPE').val();
    var QUICK_SORT      = $('#HIDE_QUICK_SORT').val();
    var ROLE_TYPE       = $('#HIDE_ROLE_TYPE').val();
    var SORT            = $('#HIDE_SORT').val();
    if(keyword){
        var KEYWORD = $('#HIDE_KEYWORD').val();
        getCrmList({PAGE:0,sessionkey:'<?=$sessionstr?>',KEYWORD:KEYWORD,CUSTOMER_TYPE:CUSTOMER_TYPE,QUICK_SORT:QUICK_SORT,ROLE_TYPE:ROLE_TYPE,SORT:SORT},'html');
    }else{
        getCrmList({PAGE:0,sessionkey:'<?=$sessionstr?>',CUSTOMER_TYPE:CUSTOMER_TYPE,QUICK_SORT:QUICK_SORT,ROLE_TYPE:ROLE_TYPE,SORT:SORT},'html');
    }
}
function getCrmList(data,type){
    if(type == 'append'){
        $('.crm-list').find('.load-more').remove();
        $('.crm-list').append('<div class="loading"><?=$_lang["e_crm_loading"]?></div>');
    }else{
        $('.crm-list').html('<div class="loading"></div>');
    }
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=getCrmList_Crm&sessionkey=<?=$sessionstr?>',
        data:data,
        type:'post'
    }).done(function(result){
        var parseResult = $.parseJSON(result);
        $('.crm-list .loading').remove();
        if(parseResult.length == 0){
            if(type == 'html'){
                $('.crm-list').html('<div class="no-data"><?=$_lang["e_crm_customer_no_info"]?></div>');
                return;
            }else{
                $('.crm-list').append('<div class="no-data"><?=$_lang["e_crm_no_more_info"]?></div>');
                return;
            }
        }
        var html = '';
        $.each(parseResult,function(k,v){
            html += '<div class="crm-item" crm-id="'+v.crmId+'" crm-name="'+v.crmName+'">\
                <div class="item-inner" ontouchstart="touchStart(event);" ontouchmove="touchMove(event,this);" ontouchend="touchEnd(event,this);">\
                    <div class="left"><div class="user-img" style="background:url(\''+v.userImage+'\') 1px;background-size:46px;"></div></div>\
                    <div class="center">\
                        <div class="center-top">'+v.crmName+'<div class="center-right">'+v.createTime+'</div></div>\
                        <div class="center-bottom"><?=$_lang["e_crm_phone"]?>: '+v.telephone+'<div class="center-bottom-right">'+v.userName+'</div></div>\
                    </div>\
                    <div class="right">\
                        <div class="tel" tel-val="'+v.telephone+'"><?=$_lang["e_crm_make_phone"]?></div><div class="sms" tel-val="'+v.telephone+'"><?=$_lang["e_crm_send_message"]?></div>\
                    </div>\
                </div>\
            </div>';
        });
        if(parseResult.length == 10){
            var page = parseInt(data.PAGE) + 1;
            html += '<div class="load-more" page="'+page+'"><?=$_lang["e_crm_click_load"]?></div>';
        }
        if(type == 'html'){
            $('.crm-list').html(html);
        }else{
            $('.crm-list').append(html);
        }
        $('.crm-item .center').width(windowWidth - 60);
        $('.crm-item .item-inner').width(windowWidth + 120);
    });
}
</script>