<?php
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Doc/View/DocCreateView.php
 * @function  新建文档       
 * @version   1.0 
 * @author    lizj
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=PUBLIC_PATH?>bootstrap/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>flow.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" href="<?=APP_PATH?>Common/UserSelect/jquery.ui.all.css">
<link rel="stylesheet" href="<?=APP_PATH?>Common/UserSelect/demos.css">
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>function_all.js"></script>
<script type="text/javascript" src="<?=APP_PATH?>Common/UserSelect/ui/jquery.ui.core.js"></script>
<script type="text/javascript" src="<?=APP_PATH?>Common/UserSelect/ui/jquery.ui.widget.js"></script>
<script type="text/javascript" src="<?=APP_PATH?>Common/UserSelect/ui/jquery.ui.position.js"></script>
<script type="text/javascript" src="<?=APP_PATH?>Common/UserSelect/ui/jquery.ui.button.js"></script>
<script type="text/javascript" src="<?=APP_PATH?>Common/UserSelect/ui/jquery.ui.dialog.js"></script>
<script type="text/javascript" src="/E-mobile/js/ajaxfileupload.js"></script>
<title><?=$_lang["e_doc_new_doc"]?></title>
</head>
<script language="javascript">
$(document).ready(function() {
    $("#pageback").click(function() {
        location.href = "<?=APP_PATH?>Init.php?m=all_Create&mobilesessionkey=<?=$mobilekey?>&page=<?=$page?>&module=<?=$module?>&scope=<?=$scope?>&detailid=<?=$detailid?>&fromid=<?=$fromid?>&sessionkey=<?=$sessionstr?>";
    });
    $("#pageback").mousedown(function() {
        $(this).attr("class", "page-top-button-down");
    }).mouseup(function() {
        $(this).attr("class", "page-top-button");
    });
    //选择文件夹
    $("#returndialog").click(function() {
		var haveid = $("#sortvalue").val();
		if(haveid==""){
			$(".backchange").css("background","");
		}
        $("#dialog-confirm").dialog("open");
    });
    $("#dialog-confirm").dialog({
        autoOpen: false,
        resizable: false,
        width:'90%',
        height:'400',
        modal: true,
        closeOnEscape: true,
        buttons: {
            "<?=$_lang['e_crm_sure']?>": function() {
                $(this).dialog("close");
				var haveid = $("#sortvalue").val();
				//if($("#showsort").html()!=""){
				if(haveid!=""){	
					//$("#showsort1").show("normal");
                	$("#showsort2").show("normal");	
				}else{
					$("#showsort2").hide("normal");		
				}
                if('<?=$sms_select?>' == 1){
                    defaultSendUser('sendsmsid','sms');
                }
                if('<?=$email_select?>' == 1){
                    defaultSendUser('sendemailid','email');
                }
                if('<?=$smstel_select?>' == 1){
                    defaultSendUser('sendtelid','tel');
                }
            }
        }
    });
	$("#dialog-send").dialog({
        autoOpen: false,
        resizable: false,
        width:'90%',
        height:'400',
        modal: true,
        closeOnEscape: true,
        buttons: {
            "<?=$_lang['e_crm_sure']?>": function() {
                $(this).dialog("close");
            }
        }
    });
	
    $("#serchword").focusin(function() {
        if ($.trim($(this).val()) == "<?=$_lang['e_crm_enter_name_more']?>") {
            $(this).val("").css("color", "#000000");
        }
    }).focusout(function() {
        if ($.trim($(this).val()) == "") {
            $(this).val("<?=$_lang['e_crm_enter_name_more']?>").css("color", "#8e8e8e");
        }
    }).keyup(function() {
        SearchFileSelect();
    }).change(function() {
        SearchFileSelect();
    });
	//发送消息选人
	$("#userserchword").focusin(function() {
		if ($.trim($(this).val()) == "<?=$_lang['e_crm_enter_name_more']?>") {
			$(this).val("").css("color", "#000000");
		}
	}).focusout(function() {
		if ($.trim($(this).val()) == "") {
			$(this).val("<?=$_lang['e_crm_enter_name_more']?>").css("color", "#8e8e8e");
		}
	}).keyup(function() {
		WordSendUser();
	}).change(function() {
		WordSendUser();
	});
    //提交
    $("#linksubmit").click(function() {
        var subject = $("#subject").val();
        var sortid = $("#sortvalue").val();
        if ($.trim(subject) == "") {
            $("#reminderror").html("<?=$_lang['e_doc_enter_doc_title']?>");
            $("#reminddiv").fadeIn("normal");
            $("#reminddiv").fadeOut(3000);
            return;
        }
        if (sortid == "") {
            $("#reminderror").html("<?=$_lang['e_doc_enter_doc_title']?>");
            $("#reminddiv").fadeIn("normal");
            $("#reminddiv").fadeOut(3000);
            return;
        }
        $('#upload_form').submit();
    });
      // 上传附件
   $("#upload").click(function(){
        location.href = "emobile:upload:setUploadAttachment:email:123:clearAppendix";
    });
    
    $('#upload_photo').change(function() {
                 
                     upload_mobile();
        
             });
    function upload_mobile() {
                $('.loading').show();
                 $.ajaxFileUpload({
                    url: '<?=APP_PATH?>Ajax/ajax.php?action=mobile_upload_save&userId=<?=$userid?>&runId=<?=$runId?>',
                    secureuri: false,
                    fileElementId: 'upload_photo',
                    dataType: 'json',
                    success: function(msg)
                    {  
                           $('.loading').hide();
                         if (msg[0] == 1)
                            {
                               
                                var filePath = msg[1];
                                var fileAttid = msg[2];
                                var fileName = msg[3];
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                $('#attachmentId').val(fileAttid);
                                $('#upload_file').val(filePath);
                                $('#file_name').val(fileName);
                                $(".upload_view_list").html(fileName);
                            } else {
                                alert(msg[1]);
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                return false;
                            }
                    }
                });
             }
}); 
function upload_mobile_x() {
                $('.loading').show();
                 $.ajaxFileUpload({
                    url: '<?=APP_PATH?>Ajax/ajax.php?action=mobile_upload_save&userId=<?=$userid?>&runId=<?=$runId?>',
                    secureuri: false,
                    fileElementId: 'upload_photo',
                    dataType: 'json',
                    success: function(msg)
                    {  
                          $('.loading').hide();
                         if (msg[0] == 1)
                            {
                              
                                var filePath = msg[1];
                                var fileAttid = msg[2];
                                var fileName = msg[3];
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                $('#attachmentId').val(fileAttid);
                                $('#upload_file').val(filePath);
                                $('#file_name').val(fileName);
                                $(".upload_view_list").html(fileName);
                            } else {
                                alert(msg[1]);
                                $('.upload_div').html('<input type="file" name="upload_quwan" class="upload_process_flow" id="upload_photo" onchange="upload_mobile_x();">');
                                return false;
                            }
                    }
                });
             }

function SearchFileSelect() {
    var searchword = $("#serchword").val();
    var idstr = $("#idstr").val();
    url = "<?=APP_PATH?>Init.php?m=ajaxSearch_Doc&sessionkey=<?=$sessionstr?>&serchword=" + encodeURIComponent(searchword) + "&idstr=" + idstr+'&userid=<?=$userid?>';
    $.ajax({
        url: url,
        dataType: "html"
    }).done(function(result) {
        $("#usershow").html("").html(result);
    });
}

function Doexpandword(sortid) {
    var expandstyle = $("#" + sortid).find("#expand").attr("class");
    if (expandstyle == "showexpand") {
        $("#" + sortid).find("#expand").attr("class", "hiddenexpand");
    } else if (expandstyle == "hiddenexpand") {
        $("#" + sortid).find("#expand").attr("class", "showexpand");
    }
    if (!$("#expand_" + sortid).is(":visible")) {
        $("#expand_" + sortid).show("normal");
        $("#expand_" + sortid).html("");
        var idstr = $("#idstr").val();
        url = "<?=APP_PATH?>Init.php?m=ajaxDoc_Doc&sessionkey=<?=$sessionstr?>&sortid=" + sortid + "&idstr=" + idstr+"&userid=<?=$userid?>";
        $.ajax({
            url: url
        }).done(function(result) {
            if (result != "") {
                $("#expand_" + sortid).append(result);
            }
        });
    } else {
        $("#expand_" + sortid).hide("normal");
    }
}

function ChooseSure(obj, linkid, linkname) {
    var showid = $("#sortvalue").val();
    $(obj).css("background", "#189AE0");
    var str = "";
    linkname1 = linkname.replace(/\'/g, '\\\'');
    str = '<div id="' + linkid + '" style="border:2px solid #189AE0;float:left; margin:5px 10px 3px 0" onclick="deleteselect(this,\'' + linkid + '\',\'' + linkname1 + '\',\'sortvalue\',\'other\')"><span>' + linkname + '<img src="<?=IMG_PATH?>create/close-btn.png" /></span></div>';
    if (showid == "") {
        $("#sortvalue").val(linkid + ",");
        $("#showsort").html(str);
    } else {
		if(showid==linkid + ","){
			$("#sortvalue").val("");
			$("#"+linkid).remove();
			$("#show_" + showid).css("background", "");
			$("#other_" + showid).css("background", "");
			$("#showsort2").hide("normal");	
		}else{
			$("#show_" + showid).css("background", "");
			$("#" + showid).css("background", "");
			$("#other_" + showid).css("background", "");
			$("#sortvalue").val(linkid + ",");
			$("#showsort").html("").append(str);	
		}
    }
}
//客户端返回按钮

function getLeftButton() {
    return "1,<?=$_lang['e_crm_return']?>";
}

function doLeftButton() {
    location.href = "<?=APP_PATH?>Init.php?m=all_Create&sessionkey=<?=$sessionstr?>&mobilesessionkey=<?=$mobilekey?>&page=<?=$page?>&module=<?=$module?>&scope=<?=$scope?>&detailid=<?=$detailid?>&fromid=<?=$fromid?>&sessionkey=<?=$sessionstr?>";
    return "MobileClient";
}
function defaultSendUser(show_id,diff){
    var select_sort_id = $("#sortvalue").val();
    if(select_sort_id!=""){
		url = "<?=APP_PATH?>Init.php?m=ajaxSendDoc_Doc&sessionkey=<?=$sessionstr?>&sortid=" + select_sort_id + "&file_sort=1&userid=<?=$userid?>";
        $.ajax({
            url: url
        }).done(function(result) {
            if (result != "") {
				var returnObj = eval(result);
				$("#"+show_id).val(returnObj.user_id_str);
            }
        });	
	}
}
//文档消息发送给有权限的人员
function EmobileGetFileSendUser(obj,show_name,show_id,diff){
	var select_sort_id = $("#sortvalue").val();
	if(select_sort_id=="" && obj.checked){
		$("#reminderror").html("<?=$_lang['e_doc_select_doc']?>");
		$("#reminddiv").fadeIn("normal");
		$("#reminddiv").fadeOut(3000);
		document.getElementById("emobile_sms").checked=false;
		document.getElementById("emobile_email").checked=false;
		document.getElementById("emobile_tel").checked=false;
		return;	
	}
	if(select_sort_id!=""&&obj.checked){
		url = "<?=APP_PATH?>Init.php?m=ajaxSendDoc_Doc&sessionkey=<?=$sessionstr?>&sortid=" + select_sort_id + "&file_sort=1&userid=<?=$userid?>";
        $.ajax({
            url: url
        }).done(function(result) {
            if (result != "") {
				var returnObj = eval(result);
				$("#"+show_name).val(returnObj.user_name_str);
				$("#"+show_id).val(returnObj.user_id_str);
            }
        });	
	}else if(select_sort_id!=""&&!obj.checked){
		$("#"+show_name).val("");
		$("#"+show_id).val("");
		if(diff=='sms'){
			$("#smstext").hide();
			$("#smsbutton").hide();	
		}else if(diff=="email"){
			$("#emailtext").hide();
			$("#emailbutton").hide();
		}else if(diff=="tel"){
			$("#teltext").hide();
			$("#telbutton").hide();
		}	
	}
}
//选择人员
function WordSendUser(diff,show_name,show_id){
	//$("#userserchword").val("请输入名称...").css("color", "#8e8e8e");
	var usersearch = $("#userserchword").val();
	if (usersearch == "<?=$_lang['e_crm_enter_name_more']?>") {
		usersearch = "";
	}
	$("#dialog-send").dialog("open");	
	var haveid = "";
	if(diff=="sms"){
		haveid = $("#sendsmsid").val();	
	}else if(diff=="email"){
		haveid = $("#sendemailid").val();
	}else if(diff=="tel"){
		haveid = $("#sendtelid").val();	
	}
	url = "<?=APP_PATH?>Init.php?m=sendDoc_Doc&sessionkey=<?=$sessionstr?>&haveid=" + haveid + "&show_name="+show_name+"&show_id="+show_id+"&searchword="+encodeURIComponent(usersearch);
	$.ajax({
		url: url
	}).done(function(result) {
		if (result != "") {
			$("#showinfor").html(result);
		}
	});	
}
function wordclose(){
	$("#dialog-send").dialog("close");	
}
function ChooseWordUser(obj,userid,username,showid,showname){
	var check = $(obj).attr("cc");
	var haveid = $("#"+showid).val();
	var havename = $("#"+showname).val();
	if(check=="0"){
		$(obj).css("background","#189AE0");
		$("#"+showname).val(havename+username+",");	
		$("#"+showid).val(haveid+userid+",");	
		$(obj).attr("cc","1");
	}else{
		$(obj).css("background","");
		haveid = haveid.replace(userid+",","");
		havename = havename.replace(username+",","");
		$("#"+showname).val(havename);	
		$("#"+showid).val(haveid);
		$(obj).attr("cc","0")	
	}
}
function clearworduser(sendsmsname,sendsmsid){
	$("#"+sendsmsname).val("");
	$("#"+sendsmsid).val("");	
}
function wordlinkclose(){
	var haveid = $("#sortvalue").val();
	if(haveid!=""){
		$("#showsort2").show("normal");		
	}
	$("#dialog-confirm").dialog("close");		
}
// 上传附件回调函数
function setUploadAttachment(uploadName,uploadKey,spanId){
    $('#upload_file').val(uploadKey);
    $('#file_name').val(uploadName);
    $('#tip').text(uploadName);
}
function clearAppendix(result){
     $('#upload_file').val('');
    $('#file_name').val('');
    $('#tip').text('');
}
</script>
<body style=" margin-left:0;font-size:14px;background: #fff;">
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
<?php if($_REQUEST["clienttype"]=="Webclient"){?>
<table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
	<tr>
    	<td width="10%" valign="middle" style="padding-left:5px;">
        	<div id="pageback" class="page-top-button"><?=$_lang['e_crm_return']?></div>
        </td>
    	<td align="center" valign="middle">
        	<div class="page-top-text"><?=$_lang['e_doc_new_doc']?></div>
        </td>
        <td width="10%" valign="middle" style="padding-right:5px;"></td>
    </tr>
</table>
<?php }?>
<div class="alert alert-danger" role="alert" id="reminddiv" style="display:none;width:99%;margin-left:0.5%;margin-top:1px;">
    <strong id="reminderror" style='font-size:14px;'></strong>
</div>
</div>
<br />
<?php
//判断菜单权限
if(CheckMenuPriv($userid,"commonword")){
//获取有权限文件夹	
$FILE_MANAGE_ALL_M = GetEmobilePublicFilePurview( 'MANAGE' ,'',$userinfor);
$FILE_MANAGE_ALL_N = GetEmobilePublicFilePurview( 'NEW', $FILE_MANAGE_ALL_M,$userinfor );
$FILE_READ_ALL = SecurityFilter(substr ( $FILE_MANAGE_ALL_N, 0, - 1 ));
?>
<form action="<?=APP_PATH?>Init.php?m=createDo_Doc&sessionkey=<?=$sessionstr?>" method="post" enctype="multipart/form-data" id="upload_form">
<input type="hidden" id="sortvalue" name="sortvalue"/>
<input type="hidden" id="sendsmsid" name="sendsmsid"/>
<input type="hidden" id="sendemailid" name="sendemailid"/>
<input type="hidden" id="sendtelid" name="sendtelid"/>
<div id="dialog-send" style="display:none; overflow:hidden">
    <div class="ui-dialog-titlebar ui-widget-header ui-corner-all ui-helper-clearfix">
      <span class="ui-dialog-title"><?=$_lang['e_doc_select_user']?></span>
      <button class="ui-button ui-widget ui-state-default ui-corner-all ui-button-icon-only ui-dialog-titlebar-close" role="button" aria-disabled="false" title="关闭" onclick="wordclose()">
          <span class="ui-button-icon-primary ui-icon ui-icon-closethick"></span>
          <span class="ui-button-text">close</span>
      </button>
    </div>
    <div style="padding:5px 0 5px 0;">
        <input type="text" name="userserchword" id="userserchword" value="<?=$_lang['e_crm_enter_name_more']?>" style="color:#8e8e8e;" class="textshow ui-corner-all" />
    </div>
    <div id="showinfor" style="position:absolute; height:180px; overflow:auto; width:97%">
		
    </div>
</div>
<div class="content_box" <?php if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:40px"<?php }?>>
    <div class="content_box_header">
        <?=$_lang['e_doc_new_doc']?>
    </div>
    <div class="content_box_content" style='padding: 0px;'>
        	<table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr height="40px">
                	<td class="title-other" nowrap="nowrap" width="15%">&nbsp;<?=$_lang['e_doc_title']?></td>
                    <td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>
                    <td>
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                        	<tr>
                            	<td width="95%">
                                	<div style="background:#f5f5f5; border:1px solid #d3d3d3;width:100%; float:left">
                                        <input id="subject" name="subject" style="width:100%; border:0px; height:30px;background:none;" type="text" onchange="CheckImport(this,'checksubject')" onkeyup="CheckImport(this,'checksubject')" />
                                    </div>
                                </td>
                                <td align="center">
                                	<img id="checksubject" name="checksubject" src="<?=IMG_PATH?>required.gif">
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                	<td height="1" bgcolor="#e7e7e7" colspan="3"></td>
                </tr>
                <tr height="40px">
                	<td class="title-other" nowrap="nowrap" width="10%">&nbsp;<?=$_lang['e_doc_chose_catalog']?></td>
                    <td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>
                    <td>
                    	<input type="hidden" id="idstr" value="<?=$FILE_READ_ALL?>" />
                        <div class="common_button success" id="returndialog" name="returndialog"><?=$_lang['e_crm_select']?></div>
                        <div id="dialog-confirm" style="display:none; overflow:hidden">
                            <div class="ui-dialog-titlebar ui-widget-header ui-corner-all ui-helper-clearfix">
                              <span id="ui-id-1" class="ui-dialog-title"><?=$_lang['e_doc_select_folder']?></span>
                              <button class="ui-button ui-widget ui-state-default ui-corner-all ui-button-icon-only ui-dialog-titlebar-close" role="button" aria-disabled="false" title="<?=$_lang['e_crm_close']?>" onclick="wordlinkclose()">
                                  <span class="ui-button-icon-primary ui-icon ui-icon-closethick"></span>
                                  <span class="ui-button-text">close</span>
                              </button>
                            </div>
                            <div style="padding:5px 0 5px 0;">
                                <input type="text" name="serchword" id="serchword" value="<?=$_lang['e_crm_enter_name_more']?>" style="color:#8e8e8e;" class="textshow ui-corner-all" />
                            </div>
                            <div id="user_show" style="position:absolute; height:180px; overflow:auto; width:97%">
                            	<ul class="ui-listview" id="usershow">
                                	<?php 
										global $connection;
										$sql = "
												SELECT SORT_ID,SORT_NAME FROM file_sort  
													WHERE SORT_ID IN ($FILE_READ_ALL)
														and SORT_PARENT=0
															ORDER BY FILE_SORTING,CREATE_TIME DESC
												";
										$rs  = exequery($connection,$sql);
										$i=0;
										while($row=mysql_fetch_array($rs))
										{
                                                                                    ?>
                                        <li class="licentershow" <?php if($i==0){?> style="border-top:1px solid #ccc;" <?php }?>>
                                        <?php
                                        	//检查是否存在下级
											$check_sql = "SELECT COUNT(*) FROM file_sort WHERE SORT_PARENT='".SecurityFilter($row['SORT_ID'])."' and SORT_ID IN ($FILE_READ_ALL)";
											$check_rs  = exequery($connection,$check_sql);
											if($check_row=mysql_fetch_array($check_rs)){
												$check_count = $check_row[0];	
											}
                                            if($row['SORT_ID']== -1){
                                                continue;
                                            }
											if($check_count>0){
                                                $query = "SELECT * FROM file_purview WHERE SORT_ID=".$row['SORT_ID']." 
                                                        AND(
                                                            (INStr(DEPT_NEW,',".SecurityFilter($userinfor['DEPT_ID']).",')>0 or INStr(DEPT_NEW,'".SecurityFilter($userinfor['DEPT_ID']).",')=1)
                                                            or
                                                            (INStr(PRIV_NEW,',".SecurityFilter($userinfor['USER_PRIV']).",')>0 or INStr(PRIV_NEW,'".SecurityFilter($userinfor['USER_PRIV']).",')=1)
                                                            or
                                                            (INStr(USER_NEW,',".SecurityFilter($userinfor['USER_ID']).",')>0 or INStr(USER_NEW,'".SecurityFilter($userinfor['USER_ID']).",')=1)
                                                            )
                                                    ";
                                            $check = exequery($connection,$query);
                                            $flag = true;
											if(!$checkResult=mysql_fetch_array($check)){
                                                $flag = false;	
											}
                                            
										?>
                                            <table id="<?=$row['SORT_ID']?>" height="30px;" border="0" cellpadding="0" cellspacing="0" width="100%">
                                                <tr>
                                            <td class="backchange" align="left" width="85%" id="show_<?=$row['SORT_ID']?>" <?php if($flag==true){?> onclick="ChooseSure(this,'<?=$row['SORT_ID']?>','<?=str_replace("'","\'",$row['SORT_NAME'])?>')"<?php }?>>
                                                        <div style=" margin-left:10px;">
                                                            <?=$row['SORT_NAME']?>
                                                        </div>
                                                    </td>
                                                    <td width="*">
                                                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                            <tr>
                                                                <td width="1px" align="right">
                                                                    <div class="line" style="background: #CCCCCC;height: 25px;overflow: hidden; width:1px"></div>
                                                                </td>
                                                                <td align="center" onclick="Doexpandword('<?=$row['SORT_ID']?>')">
                                                                    <span id="expand" class="showexpand"></span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>
                                            <div id="expand_<?=$row['SORT_ID']?>" style="width:100%; display:none"></div>
                                            <?php }else{?>
                                            	<table class="backchange" id="other_<?=$row['SORT_ID']?>" height="30px;" border="0" cellpadding="0" cellspacing="0" width="100%" onclick="ChooseSure(this,'<?=$row['SORT_ID']?>','<?=str_replace("'","\'",$row['SORT_NAME'])?>')">
                                                    <tr>
                                                        <td align="left" width="90%">
                                                            <div style=" margin-left:10px;">
                                                                <?=$row['SORT_NAME']?>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            <?php }?>
                                        </li>
					<?php	$i++;}?>
                                </ul>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr height="40px" id="showsort2" style="display:none">
                	<td colspan="3" id="showsort"></td>
                </tr>
                <tr>
                	<td height="1" bgcolor="#e7e7e7" colspan="3"></td>
                </tr>
                <tr height="40px">
                	<td class="title-other" nowrap="nowrap" width="10%">&nbsp;<?=$_lang['e_crm_attach']?></td>
                    <td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>
                    <td valign="middle">
                        
                      
                <?php  if(strpos($_SERVER['HTTP_USER_AGENT'], 'DingTalk') !== false){
    
                            if(strpos($_SERVER['HTTP_USER_AGENT'], 'Mobile') !== false){
                                  require_once  "E-mobile/App/DingTalk/View/DingTalkUpload.php"; 
                            }else{
                                require_once  "E-mobile/App/DingTalk/View/pc/DingTalkUpload.php"; 
                            }
    
                          
                        }else{ ?>
                            <?php if(strpos($_SERVER['HTTP_USER_AGENT'], 'MicroMessenger') !== false){?> 
                        <div class="upload_div" style="">
                             <input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_process_flow" id="upload_photo">
                               <?php //=$_lang["e_crm_sub_attach"]?>  <!--签办反馈处 上传附件-->
                        </div> 
                        <input type="hidden" id="attachmentId" name="attachmentId" value="">
                        <div class ="upload_view_list"></div>
                        <div class="loading"><img src="/E-mobile/Public/images/box/upload_seed.gif"/></div>
                        <?php }else{ ?>
                         <div class="common_button success" id="upload" style="margin-top:5px;"><?=$_lang['e_crm_sub_attach']?></div>
                        <?php }?>
                    
                        <input type="hidden" id="upload_file" name="upload_file" value="">
                        <input type="hidden" id="file_name" name="file_name" value="">
                        <div id="tip" style="float:left;height:40px;line-height: 20px;margin-left: 5px;"></div>
                          <?php }?>
                    </td>
                </tr>
                <tr>
                	<td height="1" bgcolor="#e7e7e7" colspan="3"></td>
                </tr>
                <?php if(ifSendMbSms('message')){?>
                <tr height="35px" <?php if(($sms_select=='1' && $sms_modify!='1')||($sms_select!='1' && $sms_modify!='1')){?> style="display:none"<?php }?>>
                	<td class="title-other" nowrap="nowrap" width="10%">&nbsp;<?=$_lang['e_doc_message_remind']?></td>
                    <td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>
                    <td>
                    	<input type="checkbox" id="emobile_sms" name="emobile_sms" value="1" <?php if($sms_select=='1') {echo "checked";}?> <?php if($sms_modify=='1') {?>onClick="EmobileGetFileSendUser(this,'sendsmsname','sendsmsid','sms')"<?php } else {?> onClick="return false;"<?php }?>/>
                    </td>
                </tr>
                <tr <?php if(($sms_select=='1' && $sms_modify!='1')||($sms_select!='1' && $sms_modify!='1')){?> style="display:none"<?php }?>>
                	<td height="1" bgcolor="#e7e7e7" colspan="3"></td>
                </tr>
                <?php }?>
                <?php if(ifSendMbSms('email')){?>
                <tr height="35px" <?php if(($email_select == '1' && $email_modify!='1')|| ($email_select!='1' && $email_modify!='1')) {?>style="display:none"<?php }?>>
                	<td class="title-other" nowrap="nowrap" width="10%">&nbsp;<?=$_lang['e_doc_email_remind']?></td>
                    <td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>
                    <td>
                    	<input type="checkbox" id="emobile_email" name="emobile_email" value="1" <?php if($email_select=='1') {echo "checked";}?>  <?php if($email_modify=='1') {?> onClick="EmobileGetFileSendUser(this,'sendemailname','sendemailid','email')"<?php } else {?> onclick="return false;"<?php }?>/>
                    </td>
                </tr>
                <tr <?php if(($email_select == '1' && $email_modify!='1')|| ($email_select!='1' && $email_modify!='1')) {?>style="display:none"<?php }?>>
                	<td height="1" bgcolor="#e7e7e7" colspan="3"></td>
                </tr>
                <?php }?>
                <?php if(ifSendMbSms('mobile')){?>
                <tr height="35px" <?php if(($smstel_select=='1' && $smstel_modify!='1')||($smstel_select!='1' && $smstel_modify!='1')) {?> style="display:none"<?php } ?>>
                	<td class="title-other" nowrap="nowrap" width="10%">&nbsp;<?=$_lang['e_doc_SMS_remind']?></td>
                    <td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>
                    <td>
                    	<input type="checkbox" id="emobile_tel" name="emobile_tel" value="1" <?php if($smstel_select=='1') {echo "checked";}?> <?php if($smstel_modify=='1') {?>onClick="EmobileGetFileSendUser(this,'sendtelname','sendtelid','tel')"<?php } else {?>onclick="return false;"<?php }?>/>
                    </td>
                </tr>
                <tr <?php if(($smstel_select=='1' && $smstel_modify!='1')||($smstel_select!='1' && $smstel_modify!='1')) {?> style="display:none"<?php } ?>>
                	<td height="1" bgcolor="#e7e7e7" colspan="3"></td>
                </tr>
                <?php }?>
                <tr>
                	<td class="title-other" nowrap="nowrap" width="10%">&nbsp;<?=$_lang["e_crm_content"]?></td>
                    <td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>
                    <td>
                    	<div style="background:#f5f5f5; border:1px solid #d3d3d3;width:95%; margin:10px 0 10px 0;">
                    		<textarea id="contents" name="contents" style="overflow:auto;width:100%; border:0px; background:none;" cols="30" rows="5"></textarea>
                        </div>
                    </td>
                </tr>
            </table>
      </div></div>
<br />
</form>
<div class="common_footer">
    <button type="button" class="btn btn-default btn-sm" id="linksubmit" style="margin-top: 4px;">
        <img src="<?=IMG_PATH?>/image9.0/common/e-ok-3.png">&nbsp;<?=$_lang['e_crm_submit']?>
    </button>
</div>
<?php	
}else{
	echo AccessPermission($_REQUEST["clienttype"],"priv");		
}
?>

<br />
</body>
</html>