<?php
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Email/EmailTypeView.php
 * @function  邮箱分类       
 * @version   1.0 
 * @author    lizhijun
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>style.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>email.css"/>
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<title><?=$_lang["e_email_mailbox_classify"]?></title>
</head>
<script language="javascript">
$(document).ready(function(){
    $("#pageback").click(function(){
        location.href = "/home.do";	
     });
     <? if(request_var("clienttype")=="Webclient"){?>
     $('.email_boxs').height($(window).height()-40);
     <?}else{?>
         $('.email_boxs').height($(window).height());
     <?}?>
    $("#pageback").mousedown(function(){
        $(this).attr("class","page-top-button-down");	
    }).mouseup(function(){
        $(this).attr("class","page-top-button");	
    });  
    $('.send_box').click(function(){
        $(this).css({'background':'#81CAEA'});
        $(this).find('i').css({'color':'#fff'})
        location.href = '<?=APP_PATH?>Init.php?m=sendMailList_Email&userid=<?=$userid?>&sessionkey=<?=$sessionstr?>';
    })
    $('.rece_box').click(function(){
        $(this).css({'background':'#8EBB4D'});
        $(this).find('i').css({'color':'#fff'})
        location.href = '<?=APP_PATH?>Init.php?m=inboxMailList_Email&userid=<?=$userid?>&sessionkey=<?=$sessionstr?>';
    })
    $('.draft').click(function(){
        $(this).css('background','#FF945F');
        $(this).find('i').css({'color':'#fff'})
        location.href = '<?=APP_PATH?>Init.php?m=outboxMailList_Email&userid=<?=$userid?>&sessionkey=<?=$sessionstr?>';
    })
    $('.add_email').click(function(){
        $(this).css('background','#EF7A98');
        $(this).find('i').css({'color':'#fff'})
        location.href = '<?=APP_PATH?>Init.php?m=create_Email&goto=email&detailid=<?=$detailid?>&fromid=<?=$fromid?>&sessionkey=<?=$sessionstr?>';
    });
    
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=getNewEmail_Email&userid=<?=$userid?>&sessionkey=<?=$sessionstr?>'
    }).done(function(result){
        var parseResult = $.parseJSON(result);
        var html = '';
        $.each(parseResult,function(k,v){
			if(v.READ_FLAG == 1) {
				var img = '<img src="<?=IMG_PATH?>/common/iconfont-yiduxinxi.png" style="float:left;margin-left:5px;">';
			} else {
				var img = '<img src="<?=IMG_PATH?>/common/iconfont-youjianxinxiicon.png" style="float:left;margin-left:5px;">';
			}
            html +='<div class="list_item" email_id="'+v.EMAIL_ID+'">\
                <div class="left">\
                    <div class="header">'+v.SUBJECT+'</div>\
                    <div class="content">\
                        '+img+'\
                        <div style="float:left;margin-top:5px;">&nbsp;<?=$_lang["email_sender"]?>:'+v.FROM_ID+'&nbsp;/&nbsp;'+v.dateTime+'</div>\
                    </div>\
                </div>\
                <div class="right"><img src="<?=IMG_PATH?>/common/iconfont-iconfontunie61f.png" style="margin-top:15px;"></div>\
            </div>';
        })
        $('.new_email .lists').html(html);
    });
    
    $('.new_email .lists').on({
        click: function(){
            var emailId = $(this).attr('email_id');
            $(this).css('background','#F5F5F5');
            location.href = '<?=APP_PATH?>Init.php?m=detail_Email&userid=<?=$userid?>&emailId='+emailId+'&sessionkey=<?=$sessionstr?>&type=inbox&goto=new';
        }
    },'.list_item');
});
</script>
<body>
<? if($_REQUEST["clienttype"]=="Webclient"){?>
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
<table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
	<tr>
    	<td width="10%" valign="middle" style="padding-left:5px;">
        	<div id="pageback" class="page-top-button"><?=$_lang["e_crm_return"]?></div>
        </td>
    	<td align="center" valign="middle">
        	<div class="page-top-text"><?=$_lang['email_title']?></div>
        </td>
        <td width="10%" valign="middle" style="padding-right:5px;"></td>
    </tr>
</table>
</div>
<? }?>
<div class="email_boxs" <? if(request_var("clienttype")=="Webclient"){?>style="margin-top:40px;"<? }else{?>style="margin-top:0px;"<?}?>>
    <div class='email_group'>
        <div class="email_menu rece_box">
            <div class='top'><img src="<?=IMG_PATH?>/common/iconfont-shoujianxiang.png" style="margin-top:5px;"><div class="email_count"><?=$unReadCount?></div></div>
            <div class='bottom'><?=$_lang['email_inbox']?></div>
        </div>
        <div class="email_menu send_box">
            <div class='top'><img src="<?=IMG_PATH?>/common/iconfont-fajianxiang.png" style="margin-top:5px;"></div>
            <div class='bottom'><?=$_lang['email_send_box']?></div>
        </div>
        <div class="email_menu draft">
            <div class='top'><img src="<?=IMG_PATH?>/common/iconfont-720caogaoxiang.png" style="margin-top:5px;"></div>
            <div class='bottom'><?=$_lang['email_outbox']?></div>
        </div>
        <div class="email_menu add_email">
            <div class='top'><img src="<?=IMG_PATH?>/common/iconfont-xiebiji.png" style="margin-top:5px;"></div>
            <div class='bottom'><?=$_lang["e_email_wright_email"]?></div>
        </div>
    </div>
    <div class="new_email">
        <div class="new_email_header"><?=$_lang["e_email_new_mail"]?></div>
        <div class="lists" style="margin-bottom:0px;">
            <div style='margin-top:20px;height:30px;width:30%;margin-left: 35%;text-align: center;line-height: 30px;border:1px solid #adadad;'><?=$_lang["e_calendar_loading"]?></div>
        </div>
    </div>
</div>
</body>
</html>