<?
/**
 * @copyright (C) 2000 - 2050 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Flow/Common/common/View/FlowListView.php
 * @function  新建流程列表       
 * @version   1.0 
 * @author    lizj
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<title><?=$_lang["flow_newflow"].$_lang["flow_list"]?></title>
</head>
<style>
body{
    margin:0px;
    overflow: hidden;
}
.frame-header{
    width:100%;
    height:40px;
    position:fixed;
    z-index: 500;
    top:0px;
    left:0px;
    background:#1898FD;
    color:#fff;
    font-size:16px;
    font-weight: bold;
    line-height: 40px;
    text-align: center;
}
.header-button{
    position:absolute;
    color:#fff;
    left:5px;
    top:5px;
	width:56px;
	height:26px;
	text-align:center;
	line-height:26px;
    border:1px solid #fff;
    -moz-border-radius: 15px;      /* Gecko browsers */
    -webkit-border-radius: 15px;   /* Webkit browsers */
    border-radius:15px;  
    cursor:pointer;
}
.header-button.active{
    background: #2789C9;
}
.search-div{
    position:fixed;
    width:100%;
    z-index: 500;
    height:50px;
    left:0px;
    border-bottom:1px solid #bababa;
    background:#cacaca;
}
.frame-body{
    overflow-y:auto ;
    position: absolute;
    left:0px;
    width:100%;
    background:#fff;
}
.item-group{
    width:100%;
    margin-top:15px;
    margin-bottom:5px;
    float:left;
    border-bottom:1px solid #dadada;
    background:#ffffff;
}
.item-group-header{
    height:35px;
    float:left;
    width:100%;
    background:#dadada;
}
.list-item{
    float:left;
    width:100%;
    overflow-y: hidden;
    overflow-x: hidden;
    height:50px;
    background:#f1f1f1;
    text-indent: 10px;
    line-height: 50px;
    font-size:15px;
    border-top:1px solid #dadada;
}
.menu-group{
    position:fixed;
    display: none;
    right:0px;
    width:121px;
    z-index: 500;
    background:rgba(50,168,255,0.5);
}
.menu-item{
    float:left;
    width:60px;
    height:50px;
    color:#fff;
}
.menu-item.all{
    text-align: center;
    line-height: 50px;
    font-size:17px;
    text-align: center;
    border-right:1px solid #fff;
}
.menu-item.my{
    text-align: center;
    font-size:13px;
    line-height: 50px;
    text-align: center;
}
.search-left{
    margin-left:5%;
    float:left;
    width:80%;
    height:40px;
    margin-top:5px;
    border:1px solid #eaeaea;
    background:#fff;
    -moz-border-radius: 5px;      /* Gecko browsers */
    -webkit-border-radius: 5px;   /* Webkit browsers */
    border-radius:5px;  
}
.search-input{
    width:80%;
    float:left;
}
.search-button{
    width:20%;
    float:left;
    text-align: center;
}
.search-left input{
    height:30px;
    margin-top:5px;
    width:98%;
    border:0px;
    outline: none;
}
.search-right{
    float:left;
    width:14%;
    height:48px;
    text-align: center;
}
.left-title{
    float:left;
    height:35px;
    line-height: 35px;
    text-indent: 5px;
    color:#fff;
    font-size:13px;
}
.right-switch{
    width:50px;
    height:35px;
    float:right;
    text-align: center;
}
.item-left{
    float:left;
    height:50px;
}
.restory{
    float:left;
    height:50px;
    display:none;
    width:60px;
    background:#1898FD;
    text-align: center;
    color:#fff;
    line-height: 50px;
}
.no-data{
    width:96%;
    margin-left:2%;
    margin-top:20px;
    border:1px solid #bababa;
    text-align: center;
    height:50px;
    font-size:16px;
    font-weight: bold;
    line-height: 50px;
    color:#333;
}
</style>
<body>
<?php if($_REQUEST["clienttype"]=="Webclient"){?>
<div class="frame-header">
    <div id="pageback" class="header-button"><?=$_lang["e_crm_return"]?></div><?=$_lang["flow_newflow"]?>
</div>
<?php }?>
<?php 
    if($auth == 'error2' ||$auth == 'error1' ){
        if($_REQUEST["clienttype"]=="Webclient"){
            $margin = 'margin-top:40px;';
        }
        if($auth == 'error1'){
            echo '<div style="width:100%;'.$margin.'height:40px;color:red;font-size:14px;font-weight:bold;border-bottom:1px solid #eaeaea;text-align:center;line-height:40px;">'.$_lang["e_crm_session_expire"].'</div>';
        }
        if($auth == 'error2'){
            echo AccessPermission($_REQUEST["clienttype"],"priv");	
        }
    }else{
?>
<div class="search-div" <?php if($_REQUEST["clienttype"]=="Webclient"){?> style="top:40px;"<?php }else{?>style="top:0px;"<?php }?>>
    <div class="search-left">
        <div class="search-input">
            <input type="text" name="keyword" id="keyword" value="" placeholder="<?=$_lang['emobile_system_userselect_search']?>">
        </div>
        <div class="search-button">
            <img src='<?=IMG_PATH?>common/search_list.png' style="margin-top:9px;">
        </div>
    </div>
    <div class="search-right">
        <img src='<?=IMG_PATH?>common/nav_wev8.png' width="25px" height="25px" style="margin-top:12px;">
    </div>
</div> 
<div class="menu-group" <?php if($_REQUEST["clienttype"]=="Webclient"){?> style="top:91px;"<?php }else{?>style="top:51px;"<?php }?>>
    <div class="menu-item all"><?=$_lang["e_crm_all"]?></div>
    <div class="menu-item my"><?=$_lang["e_flow_my_collect"]?></div>
</div>
<div class="frame-body list" <?php if($_REQUEST["clienttype"]=="Webclient"){?> style="top:90px;"<?php }else{?>style="top:50px;"<?php }?>>
    <?php if(empty($newarray)){?>
    <div class="no-data"><?=$_lang["e_flow_no_process"]?></div>
    <?php }else{
        foreach($newarray as $key => $value){
    ?>
    <div class="item-group">
        <div class="item-group-header"><div class="left-title"><?=$value['TITLE']?></div><div class="right-switch"><img src='<?=IMG_PATH?>workflow/down.png' width="20px" height="20px" style="margin-top:8px;"></div></div>
        <div class="item-group-body">
            <?php foreach($value['FLOW'] as $k => $v){?>
            <div class="list-item"><div class="item-inner" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);"><div class="item-left"  onclick="chooseflow('<?=$v["FLOW_ID"]?>','<?=$v["FORM_ID"]?>','<?=$v["FLOW_SORT_ID]"]?>')" ><?=$v['FLOW_NAME']?></div><?php if($v['IS_RESTORY'] == 0){?><div class="restory add" flow-id="<?=$v["FLOW_ID"]?>"><?=$_lang["e_flow_collect"]?></div><?php }else{ ?><div class="restory remove" flow-id="<?=$v["FLOW_ID"]?>"><?=$_lang["e_addr_cancel"]?></div><?php }?></div></div>
            <?php }?>
        </div>
    </div>
    <?php }}?>
</div>
<div class="frame-body search" <?php if($_REQUEST["clienttype"]=="Webclient"){?> style="left:0px;top:90px;display:none;"<?php }else{?>style="top:50px;display:none;"<?php }?>>
</div>
<div class="frame-body restory" <?php if($_REQUEST["clienttype"]=="Webclient"){?> style="left:0px;top:90px;display:none;width:100%;background:#fff;"<?php }else{?>style="top:50px;display:none;width:100%;background:#fff;"<?php }?>>
    <?php if($restory){?>
    <div class="item-group">
        <div class="item-group-header"><div class="left-title"><?=$_lang["e_flow_my_collect"]?></div><div class="right-switch"><img src='<?=IMG_PATH?>workflow/down.png' width="20px" height="20px" style="margin-top:8px;"></div></div>
        <div class="item-group-body">
            <?php foreach($restory as $k => $v){?>
            <div class="list-item" style="text-indent: 10px;"><div class="item-inner" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);" style="text-indent: 10px;"><div class="item-left"  style="margin-left:0px;text-indent: 10px;color:#333;" onclick="chooseflow('<?=$v["FLOW_ID"]?>','<?=$v["FORM_ID"]?>','<?=$v["FLOW_SORT_ID]"]?>')"><?=$v['FLOW_NAME']?></div><div class="restory remove" flow-id="<?=$v["FLOW_ID"]?>"><?=$_lang["e_addr_cancel"]?></div></div></div>
            <?php }?>
        </div>
    </div>
    <?php }else{?>
        <div class="no-data"><?=$_lang["e_flow_no_the_collect_process"]?></div>
    <?php }?>
</div>
<?php }?>
</body>
</html>
<script type="text/javascript" src="<?=JS_PATH?>jquery.min.js"></script>
<script language="javascript">
//触摸滑动显示操作按钮
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event){
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event,obj){
    if(curX > 40 ){
        $(obj).animate({'margin-left':'0px'},50);
    }
    if(curX < -40){
        $('.item-inner').animate({'margin-left':'0px'},50);
        $(obj).find('.restory').show();
        $(obj).animate({'margin-left':'-60px'},50);
    }
    startX = 0;
    curX  = 0;
}
$(function(){
    <?php if($_REQUEST["clienttype"]=="Webclient"){ ?>
        $('.frame-body').height($(window).height()-90);
    <?php }else {?>
        $('.frame-body').height($(window).height()-50);
    <?php }?>
    $("#pageback").mouseenter(function(){
        $(this).addClass('active');	
    }).mouseleave(function(){
        $(this).removeClass('active');	
    }); 
    $('.item-left').width($(window).width());
    $('.item-inner').width($(window).width() + 60);
    $('.search-right').click(function(){
        if($('.menu-group').css('display')=='none'){
            $('.menu-group').slideDown('show');
        }else{
            $('.menu-group').slideUp('hide');
        }
    });
    $('.right-switch').click(function(){
        if($(this).parent().parent().children('.item-group-body').css('display') == 'none'){
            $(this).parent().parent().children('.item-group-body').slideDown(300);
            $(this).find('img').attr('src','<?=IMG_PATH?>workflow/down.png');
        } else{
            $(this).parent().parent().children('.item-group-body').slideUp(300);
            $(this).find('img').attr('src','<?=IMG_PATH?>workflow/up.png');
        }
    });
    $('.search-button').click(function(){
        var keyword = $('#keyword').val();
        if(keyword == ''){
            $(".frame-body").hide();        
            $(".frame-body.list").show();
        }else{
            $.ajax({
                url:"<?=APP_PATH?>Init.php?m=common_Common_Flow&f=searchFlowLists&sessionkey=<?=$sessionstr?>",
                data:{
                    keyword:keyword
                }
            }).done(function(result){
                var parseResult = $.parseJSON(result);
                if(parseResult == 0){
                    $(".frame-body.search").html('<div class="no-data"><?=$_lang["e_flow_no_the_process"]?></div>').show();
                }else{
                    var html = '<div style="margin-top:20px;width:100%;">';
                    $.each(parseResult,function(k,v){
                        var restoryHtml = '';
                        if(v.IS_RESTORY == 0){
                            restoryHtml = '<div class="restory add" style="color:#fff" flow-id="'+v.FLOW_ID+'"><?=$_lang["e_flow_collect"]?></div>';
                        }else{
                            restoryHtml = '<div class="restory remove" style="color:#fff"  flow-id="'+v.FLOW_ID+'"><?=$_lang["e_addr_cancel"]?></div>';
                        }
                       html +='<div class="list-item">\
                                    <div class="item-inner" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">\
                                        <div class="item-left"  onclick="chooseflow('+v.FLOW_ID+','+v.FORM_ID+','+v.FLOW_SORT_ID+')" >'+v.FLOW_NAME+'</div>\
                                        '+restoryHtml+'\
                                    </div>\
                                 </div>'; 
                    });
                    html +='</div>';
                    $(".frame-body").hide();        
                    $(".frame-body.search").html(html).show();
                    $('.item-left').width($(window).width());
                    $('.item-inner').width($(window).width() + 60);
                }
            });
        }
    });
    //返回 
    $("#pageback").click(function(){
        location.href = "<?=APP_PATH?>Init.php?m=all_Create&weiApi=<?=$weiApi?>&module=<?=$module?>&scope=<?=$scope?>&sessionkey=<?=$sessionstr?>";
    });
    $('.menu-item.all').click(function(){
        $(".frame-body").hide();        
        $(".frame-body.list").show();
        $('.menu-group').slideUp('hide');
    });
    $('#keyword').keyup(function(){
        $('.search-button').click();
    });
    $('.frame-body.list,.frame-body.search').on({
        click:function(){
            var flowId  = $(this).attr('flow-id');
            $.ajax({
                url:"<?=APP_PATH?>Init.php?m=common_Common_Flow&f=restoryFlow&sessionkey=<?=$sessionstr?>",
                data:{
                    flowId:flowId
                }
            }).done(function(result){
                if(result == 1){
                    location.reload();
                }
            });
            return false;
        }
    },'.restory.add');
    $('.frame-body').on({
        click:function(){
            var flowId  = $(this).attr('flow-id');
            $.ajax({
                url:"<?=APP_PATH?>Init.php?m=common_Common_Flow&f=removeRestoryFlow&sessionkey=<?=$sessionstr?>",
                data:{
                    flowId:flowId
                }
            }).done(function(result){
                if(result == 1){
                    location.reload();
                }
            });
            return false;
        }
    },'.restory.remove');
    $('.menu-item.my').click(function(){
        $(".frame-body").hide();        
        $(".frame-body.restory").show();
        $('.menu-group').slideUp('hide');
    });
}); 
function chooseflow(flowid,fromid,sortid)
{
	location.href = "<?=APP_PATH?>Init.php?m=common_Common_Flow&f=flowForm&weiApi=<?=$weiApi?>&FLOW_ID="+flowid+"&FROM_ID="+fromid+"&SORT_ID="+sortid+"&mobilesessionkey=&page=&module=&scope=&detailid=&fromid=<?=$fromid?>&sessionkey=<?=$sessionstr?>";		
}
//客户端返回按钮
function getLeftButton()
{
	return "1,<?=$_lang["e_addr_go_back"]?>";	
}
function doLeftButton()
{
	location.href = "<?=APP_PATH?>Init.php?m=all_Create&weiApi=<?=$weiApi?>&module=<?=$module?>&scope=<?=$scope?>&sessionkey=<?=$sessionstr?>";
	return "MobileClient";	
}
</script>