<?php
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice8.0
 * @name      webroot/E-mobile/Data/flowend_data.php
 * @function  办结流程数据返回
 * @version   1.0
 * @author    liuqingyu
 */
include_once("api/list.class.php");
include_once("api/flow.class.php");
include_once("api/user.class.php");
include_once ("api/FlowEmobileList.class.php");
include_once(COMMON_PATH . 'Tool/Tool.php');//系统公共工具类
class DoneProxy{
    private $_pageSize = 10;
     private $_sessionStr;
    public function __construct() {
        $this->_sessionStr = request_var("sessionkey");
    }
    public function weiLists(){
    	global $_lang;
        $sessionstr     = $this->_sessionStr;
        $userId         = Tool::checkUserAuth($sessionstr, 'flow_have');//用户权限检查
        $doneLists   = $this->_getDoneLists($userId);
        include_once(INCLUDE_APP_PATH . 'Flow/Done/View/DoneListsView.php');
    }
    public function ajaxGetDoneLists(){
    	global $_lang;
        $sessionstr     = $this->_sessionStr;
        $userId         = Tool::checkUserAuth($sessionstr, 'flow_have',true);//用户权限检查
        if($userId == 'error1'){
            echo 'error1';
            exit;
        }
        if($userId == 'error2'){
            echo 'error2';
            exit;
        }
        $pageSize   = request_var('pageSize',0);
        $pageIndex  = request_var('pageIndex',1);
        $keyword    = request_var('keyword','');
        $filter     = request_var('filter','');
        if($pageSize == 0) $pageSize = $this->_pageSize;
        $doneLists  = $this->_getDoneLists($userId, $keyword, $filter, $pageSize, $pageIndex);

        if($doneLists){
            echo json_encode($doneLists);
        }else{
            echo 0;
        }
    }
    private function _getDoneLists($userId,$keyword='',$filter='',$pageSize=10,$pageIndex=1){
		global $_lang;
        $currentIndex   = GetCurrPageIndex($pageIndex,$pageSize);
        $type   = array("TYPE"=>"end_list","CONSTAINLIST"=>"1");
        $search = array("USER_ID"=>$userId,"FLOW_NAME"=>$keyword,'filter'   => $filter);
        $page   = array("PAGINATIONOFFSET"=>$currentIndex,"PAGINATIONROWS"=>$pageSize,"SORTFIELD"=>"TRANSACT_TIME","SORTTYPE"=>"DESC");
        $other  = array("");
        $list   = new mobilelistItem($type,$search,$page,$other);
        $listData   = $list->EmobileGetList();
        if($listData['list']){
            $userapi        = new user();
            $_listData      = array();
            foreach($listData["list"] as $value){
                $runId                  = $value["RUN_ID"];
                $flowId                 = $value["FLOW_ID"];
                $temp['id']             = $runId.",".$flowId.",0".",0".",end";
                $temp['title']          = $value["RUN_NAME"];
                $temp['time']           = $value["CREATE_TIME"];
                $temp['description']    = $_lang["flow_filenumber"].":".htmlspecialchars(strip_tags(html_entity_decode($value["RUN_SEQ"],ENT_QUOTES,'UTF-8')));
                $userInfo               = $userapi->GetUserOtherInfor($value["CREATOR"]);
                $temp['image']          = Tool::getUserImage($value['CREATOR'], $userInfo["AVATAR_TYPE"]);
                array_push($_listData, $temp);
            }
            return $_listData;
        }
        return false;
    }
    public function lists(){
		global $_lang;
		$pageindex  = $_REQUEST["pageindex"];
		$pagesize   = $_REQUEST["pagesize"];
		$keyword    = $_REQUEST["keyword"];
		$keyword    = urldecode($keyword);
		$sessionstr = $this->_sessionStr;
		$strexplode = explode("_",$sessionstr);
		$cursession = $strexplode[0];
		$userid     = $strexplode[1];
		//验证sessionkey
	    $check      = CheckSessionKeys($cursession);
	    if($check)
	    {
	    	$result     = array();
			//验证菜单权限
			if(CheckMenuPriv($userid,"flow_end"))
			{
				$currindex  = GetCurrPageIndex($pageindex,$pagesize);
				//$result     = array();
				$SearchFlowName = "";
				$type   = array("TYPE"=>"end_list","CONSTAINLIST"=>"1");
				$search = array("USER_ID"=>$userid,"FLOW_NAME"=>$keyword);
				$page   = array("PAGINATIONOFFSET"=>$currindex,"PAGINATIONROWS"=>$pagesize,"SORTFIELD"=>"TRANSACT_TIME","SORTTYPE"=>"DESC");
				$other  = array("");
				$list   = new mobilelistItem($type,$search,$page,$other);
				$listData   = $list->EmobileGetList();
				$flowcount  = $listData["totalCount"];
				$page_count = GetSumPageCount($flowcount,$pagesize);
				$curr_page  = floor($currindex/$pagesize)+1;
				$result["ishavepre"]  = $currindex<$pagesize ? "0" : "1";
				$result["ishavenext"] = $curr_page<$page_count ? "1" : "0";
				$result["pageindex"]  = $pageindex;
				$result["pagesize"]   = $pagesize;
				$result["count"]      = $flowcount;
				$result["pagecount"]  = $page_count;
				$i=0;
				$flowsum = count($listData["list"]);
				if($flowsum==0)
				{
					$result["list"] = array();
				}
				else
				{
                    $userapi    = new user();
					foreach($listData["list"] as $index => $val)
					{
						$RUN_ID    = $listData["list"][$index]["RUN_ID"];
						$FLOW_ID   = $listData["list"][$index]["FLOW_ID"];
						$totalid   = $RUN_ID.",".$FLOW_ID.",0".",0".",end";
						$result["list"][$i]['id']          = $totalid;
                        if($listData["list"][$index]["INSTANCY_TYPE"] == "1" || $listData["list"][$index]["INSTANCY_TYPE"] == "2") {
                            $identifying = "【".getInstancyName($listData["list"][$index]["INSTANCY_TYPE"])."】";
                            $result["list"][$i]['subject'] = $identifying.$listData["list"][$index]["RUN_NAME"];
                        }else{
                            $result["list"][$i]['subject'] = $listData["list"][$index]["RUN_NAME"];
                        }
						$result["list"][$i]['time']        = $listData["list"][$index]["CREATE_TIME"];
						$result["list"][$i]['description'] = $_lang["flow_create_time"]."：".$listData["list"][$index]["CREATE_TIME"];
						$result["list"][$i]['image']       = "";
						//办结流程都为已读
						$result["list"][$i]['isnew'] = "0";
						$user_pic  = $userapi->GetUserOtherInfor($listData["list"][$index]["CREATOR"]);
						if($user_pic["AVATAR_TYPE"]=="")
						{
							$result["list"][$i]['image'] = IMG_PATH . "defaultimg.png";
						}
						else
						{
							$img = "/attachment/personal/".$listData["list"][$index]["CREATOR"]."/avatar_80".$user_pic["AVATAR_TYPE"];
							if(CheckFileExist($img))
							{
								$result["list"][$i]['image'] = $img;
							}
							else
							{
								$result["list"][$i]['image'] = IMG_PATH . "defaultimg.png";
							}
						}
						$i++;
					}
					if(count($result["list"])==0)
					{
						$result["list"] = array();
					}
				}
			}
			else
			{
				$result["list"] = array();
			}
			echo json_encode($result);
	    }
	    else
	    {
	    	echo "{}";
	    }
    }
    public function count(){
    	global $_lang;
        $result     = array();
		$sessionstr = $this->_sessionStr;
		$strexplode = explode("_",$sessionstr);
		$cursession = $strexplode[0];
		$userid     = $strexplode[1];
		//验证sessionkey
	    $check      = CheckSessionKeys($cursession);
	    if($check)
	    {
	    	//验证菜单权限
			if(CheckMenuPriv($userid,"flow_end"))
			{
				$type   = array("TYPE"=>"end_list","CONSTAINLIST"=>"0");
				$search = array("USER_ID"=>$userid);
				$page   = array();
				$other  = array("");
				$list   = new mobilelistItem($type,$search,$page,$other);
				$listData  = $list->EmobileGetList();
				$sumcounts = $listData["totalCount"];
				$uncounts  = "0";
			}
			else
			{
				$sumcounts  = "0";
				$uncounts   = "0";
			}
			$result["count"]  = $sumcounts;
			$result["unread"] = $uncounts;
			echo json_encode($result);
	    }
	    else
	    {
	    	echo "{}";
	    }
    }
    public function view(){
    	global $_lang;
        $sessionstr = $this->_sessionStr;
        include(INCLUDE_APP_PATH ."Flow/Common/common/FlowCommon.class.php");
        $FlowCommon = new FlowCommon();
        $FlowCommon->flowChange();
    }
}
