<?php
@session_start();
include_once('E-mobile/constant.php'); //引入定义全局常量文件。
include_once ("inc/utility_all.php"); //引入公共函数文件。
include_once("inc/conn.php"); //引入数据库连接文件
include_once("inc/oa_config.php");
include_once (COMMON_PATH . "func_all.php"); //引入公共函数文件。
include_once 'inc/AppGlobal.php';
include_once 'general/weixin/wechat.php';
include_once 'general/qyweixin/qywechat.php';
include('lang/' . LOGIN_LANG . '/emobile.lang.php');
require_once "general/dingtalk/api/dingtalk.class.php";
include_once "general/workwechat/proxy/workWechat.proxy.php"; 

Init::initialize();

class Init {

    public static function initialize() {
            
        //微信接入
        if (strpos($_SERVER['HTTP_USER_AGENT'], 'MicroMessenger') !== false) {
            $wechat = new wechat();
           
            if (isset($_SESSION["sessionkey_auth"]) && $_SESSION["sessionkey_auth"]) {
                $uarr =  explode("_",$_SESSION["sessionkey_auth"]);
                
                if(!isset( $_GET["sessionkey"])){
                     $_GET["sessionkey"] = $_SESSION["sessionkey_auth"];
                }
            
                $oldr =  explode("_",$_GET["sessionkey"]);
                 if (isset($uarr[1]) && isset($oldr[1]) && ($uarr[1] == $oldr[1])) {
                    //同一个用户
                    $_GET["sessionkey"] = $_SESSION["sessionkey_auth"];
                    if (!$wechat->checkUserStatus($uarr[1])) {
                        $code = '403';
                        $message = '未授权用户，禁止访问';
                        include('E-mobile/App/Weixin/View/ErrorView.php');
                        exit;
                    }
                } else {
                    $code = 'Error';
                    $message = '链接不合法，拒绝访问';
                    include('E-mobile/App/Weixin/View/ErrorView.php');
                    exit;
                } 
            } else {
                 $qyWechat = new qyWechat();
                $workwechat = new WorkWechatProxy();
                //获取配置信息 重新登录
                $arr = $wechat->getWxAll();
                
                if(isset($arr['appid']) && isset($arr['appsecret']) && $arr['appid'] && $arr['appsecret']){
                    //weixin 
                }else {
                  
                    if (empty($qyWechat)) {
                        $tem = $workwechat->get_workwechat_token();
                        $arr['appid'] = $tem["corpid"];
                        $arr['domain'] = $tem["domain"];
                    }else{
                        $tempQy = $qyWechat->get_qyweixin_token();
                        $arr['appid'] = $tempQy["corpid"];
                        $arr['domain'] = $tempQy["domain"];
                    }
                  
                }

                if (!isset($_GET['code'])) {
                    $parameter = base64_encode($_SERVER["QUERY_STRING"]);
                    header("Location:https://open.weixin.qq.com/connect/oauth2/authorize?appid=" . $arr['appid'] . "&redirect_uri=" . $arr['domain'] . $_SERVER['PHP_SELF'] . "?parameter=" . $parameter . "&response_type=code&scope=snsapi_base&state=STATE#wechat_redirect");
                } else {

                    require_once("E-mobile/App/Weixin/WeixinAuth.php");

                    $userId = $userInfo['uid'];
                    $_SESSION['USER_NAME'] = $userInfo['name'];
                    $_SESSION['AVATAR_TYPE'] = $userInfo['AVATAR_TYPE'];
                    $sessionkey = session_id();
                    $sessionkey = $sessionkey . '_' . $userId;
                    $_SESSION["sessionkey_auth"] = $sessionkey;
                    
                    $uarr = explode("_", $_SESSION["sessionkey_auth"]);
                    if(!isset( $_GET["sessionkey"])){
                        $_GET["sessionkey"] = $_SESSION["sessionkey_auth"];
                    }
                    $oldr = explode("_", $_GET["sessionkey"]);
            
                    if (isset($uarr[1]) && isset($oldr[1]) && ($uarr[1] == $oldr[1])) {
                        //同一个用户
                            $_GET["sessionkey"] = $_SESSION["sessionkey_auth"];
                            if (!$wechat->checkUserStatus($uarr[1])) {
                                $code = '403';
                                $message = '未授权用户，禁止访问';
                                include('E-mobile/App/Weixin/View/ErrorView.php');
                                exit;
                            }
                   } else {
                            $code = 'Error';
                            $message = '链接不合法，拒绝访问';
                            include('E-mobile/App/Weixin/View/ErrorView.php');
                            exit;
                   } 
                }
            
                if (!isset($_GET["m"])) {
                    //解析参数
                    $parameter = $_GET["parameter"];

                    $decode_parameter = base64_decode($parameter);

                    $url = $arr['domain'] . $_SERVER['PHP_SELF'] . "?" . $decode_parameter;
                    $urlarr = parse_url($url);

                    parse_str($urlarr['query'], $parr);

                    foreach ($parr as $k => $v) {
                        $_GET[$k] = $v;
                    }
                 }
            
            }
            
        } else if (strpos($_SERVER['HTTP_USER_AGENT'], 'DingTalk') !== false) {
            //其他方式接入 
            $dingtalk = new dingtalk();

            if (isset($_SESSION["sessionkey_auth"]) && $_SESSION["sessionkey_auth"]) {
                $uarr = explode("_", $_SESSION["sessionkey_auth"]);
                
                if(!isset( $_GET["sessionkey"])){
                        $_GET["sessionkey"] = $_SESSION["sessionkey_auth"];
                 }
                
                $oldr = explode("_", $_GET["sessionkey"]);

                if (isset($uarr[1]) && isset($oldr[1]) && ($uarr[1] == $oldr[1])) {
                    //同一个用户
                    $_GET["sessionkey"] = $_SESSION["sessionkey_auth"];
                    if (!$dingtalk->checkDingTalkUser($uarr[1])) {
                        $code = '403';
                        $message = '未授权用户，禁止访问';
                        include('E-mobile/App/Weixin/View/ErrorView.php');
                        exit;
                    }
                } else {
                    $code = 'Error';
                    $message = '链接不合法，拒绝访问';
                    include('E-mobile/App/Weixin/View/ErrorView.php');
                    exit;
                }
            
            } else {
                //没有登录过 跳转到登录页面
                $arr = $dingtalk->getDingTalk();
                $url = $arr['domain'] . "/general/dingtalk/index.php";
                header("Location:$url");
            }
        } else if (strpos($_SERVER['HTTP_USER_AGENT'], 'HttpClient') !== false) {
            //手机版接入 目前没有任何限制
        } else {
				//$function = request_var('f');
 		//if($function != 'flowImg' && $function != 'freeFlowImg' ){
             		//include('E-mobile/App/Weixin/Index.php');
            		// exit;
		 //	}
        }
        
        $sessionstr = request_var("sessionkey");

        $m = explode("_", request_var('m', ''));
        $class = $m[1]; //组成类名部分参数。  
        $method = $m[0]; //类方法参数。
        $className = $class . 'Proxy'; //组成类名。
        //引入类文件。
        if (isset($m[2])) {
            self::getLang($m[2]);
            //self::checkAccess($class, $method, $m[2]);
            include_once(INCLUDE_APP_PATH . $m[2] . '/' . $class . '/' . $className . '.php');
        } else {
            self::getLang($class);
            //self::checkAccess($class, $method);
            include_once(INCLUDE_APP_PATH . $class . '/' . $className . '.php');
        }

        $obj = new $className(); //创建对象。
        $obj->$method(); //调用相应的方法。
    }

    public static function checkAccess($class, $method, $folder = false) {
        include_once(INCLUDE_APP_PATH . 'Common/Access.php');
        $className = $class . 'Access';
        if ($folder) {
            if (file_exists(ROOT_PATH . 'E-mobile/App/' . $folder . '/' . $class . '/' . $className . '.php')) {
                include_once(INCLUDE_APP_PATH . $folder . '/' . $class . '/' . $className . '.php');
            }
        } else {
            if (file_exists(ROOT_PATH . 'E-mobile/App/' . $class . '/' . $className . '.php')) {
                include_once(INCLUDE_APP_PATH . $class . '/' . $className . '.php');
            }
        }

        if (class_exists($className)) {
            $access = new $className();
            if ($access->check($method) === false) {
                $code = '403';
                $message = '非法访问！';
                include('E-mobile/App/Weixin/View/ErrorView.php');
                exit;
            }
        }
    }

    public static function getLang($class) {
        global $_lang;
        switch ($class) {
            case 'Flow':
                include('lang/' . LOGIN_LANG . '/flow.lang.php');
                break;
            case 'Calendar':
                include('lang/' . LOGIN_LANG . '/calendar.lang.php');
                break;
            case 'Coop':
                include('lang/' . LOGIN_LANG . '/cowork.lang.php');
                break;
            case 'New':
                include('lang/' . LOGIN_LANG . '/news.lang.php');
                break;
            case 'Sms':
                include('lang/' . LOGIN_LANG . '/sms.lang.php');
                break;
            case 'Notify':
                include('lang/' . LOGIN_LANG . '/notify.lang.php');
                break;
            case 'Email':
                include('lang/' . LOGIN_LANG . '/email.lang.php');
                break;
            case 'Salary':
                include('lang/' . LOGIN_LANG . '/calendar.lang.php');
                break;
            case 'Sign':
                include('lang/' . LOGIN_LANG . '/emobile.lang.php');
                break;
        }
        global $_lang;
    }

}
