<?php
require_once "general/dingtalk/api/dingtalk.class.php";

$dingtalk = new dingtalk();
$result = $dingtalk->getDingTalk();
$agentId = $result["agentid"];

$jsapi = $dingtalk->getConfig($agentId);
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" name="viewport" />
        <meta content="yes" name="apple-mobile-web-app-capable" />
        <meta content="black" name="apple-mobile-web-app-status-bar-style" />
        <meta content="telephone=no" name="format-detection" />
        <title>考勤-业务出差</title>
        <script type="text/javascript" src="http://webapi.amap.com/maps?v=1.3&key=98688a44ee2727b15b47b0765978dc87"></script>
        <script type="text/javascript" src="http://cache.amap.com/lbs/static/addToolbar.js"></script>
        <script type="text/javascript" src="https://g.alicdn.com/ilw/ding/0.8.9/scripts/dingtalk.js"></script>
        <!--jQuery类库-->
        <script type="text/javascript" src="/E-mobile/js/jquery-1.9.1.js"></script>
        <script type="text/javascript" src="/E-mobile/js/ajaxfileupload.js"></script>
        
    </head>
    <body>
        <style>
            html, body {
                margin: 0;
            }

            #container {
                width: 100%;
                height: 400px;
            }

            #tip {
                float:left;
                width:50px;
                height:50px;
                background: url(/E-mobile/Public/images/box/positionCamer.png) no-repeat; 
            }

            #tip1 {
                background-color: #fff;
                padding-left: 10px;
                padding-right: 10px;
                position: absolute;
                font-size: 12px;
                left: 10px;
                top: 360px;
                border-bottom: 1px solid #ccc;
                line-height: 30px;
            }
            #tip2 {
                //  background-color: #ccc;
                background: url(/E-mobile/Public/images/box/positionSign.png) no-repeat;
                background-position: left center;
                padding-left: 20px;
                padding-top:5px;
                font-size: 12px;
                float:left;
                z-index:101;
                width:80%;
                line-height: 30px;
                word-break: break-all;
                word-wrap:break-word;
                white-space:nowrap;
                overflow:hidden;
            }


            #tip3 {
                width:10%;
                float:right;
                z-index:105;
                line-height: 30px;

            }


            .upload_img{

                filter:alpha(opacity=0); 
                -moz-opacity:0;  
                -khtml-opacity:0;
                opacity: 0;

            } 
            .loading{
                display:none;
                text-align: left;
                margin-top:-50px;

            }

            .info{
                display:block;
                width:100%;
                height:180px;
                text-align: center;
                border:1px solid #ccc;

            }

            #img_ok{
                width:100%;
                min-height:50px;
                left:10px;
                position: absolute;
                top:455px;
            }
            .img-container{float:left;}
            .info textArea{
                height:100px;
                width:96%;
                padding:2px;
                border:0;
                border-bottom: 1px solid #ccc;
            }

            .img-box{
                width:50px;
                height:50px;
                position: relative;
                margin-right:10px;
                border:1px solid #ddd;
                float:left;
            }
            .del-img{
                position: absolute;
                width:15px;
                height:15px;
                line-height: 15px;
                color:red;
                // background: red;
                text-align: center;
                z-index:100;
                border:1px solid red;
                border-radius: 10px;
                right:-5px;
                top:-5px;
            }

            .img-preview-outer{
                width:100%;
                height:100%;
                position: fixed;
                z-index: 10000000;
                display: none;
                top:0px;
                background:rgba(0,0,0,.5);
            }
            .img-preview-box{
                width:251px;
                min-height:300px;

                margin:auto;
                margin-top:50px;
                position: relative;
            }

            .img_close{
                position: absolute;
                width:15px;
                height:15px;
                line-height: 15px;
                color:red;
                background: #fff;
                text-align: center;
                z-index:100;
                border:1px solid red;
                border-radius: 10px;
                right:-10px;
                top:-10px;
            }
            .infowindow-content{
                padding:3px;
                font-size:12px;
                width:280px;
                text-align:center;
                word-break: break-all;
                word-wrap:break-word;
            }

        </style>
        <div id='container'></div>
        <div width="100%">
            <div id="tip2"></div>
            <div id="tip3"></div>

        </div>
        <div style="clear:both"></div>



        <div class="info">
            <textarea cols="10" rows="2"   onfocus="onfucusText(this)"
                      onblur="onblurText(this)" style="" id="getInfo">点击输入备注信息：</textarea>
        </div>

        <div id = "img_ok">

            <?php
            if (strpos($_SERVER['HTTP_USER_AGENT'], 'DingTalk') !== false) {
                require_once "E-mobile/App/DingTalk/View/DtOutDuty.php";
            } else if (strpos($_SERVER['HTTP_USER_AGENT'], 'MicroMessenger') !== false) {
                ?> 
                <div style="float:left;min-height: 50px;width:100%;">
                    <div class="img-container"> </div>
                    <div id="tip"> 
                        <input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_img" id="upload_photo">
                    </div> 
                </div>
                <div class="loading"><img src="/E-mobile/Public/images/box/loading.gif" style="width:40px;"></div>
<?php } else { ?>
                <div style="float:left;min-height: 50px;width:100%;">
                    <div class="img-container">

                    </div>
                    <div id="tip"> 
                        <div  id="upload"   class="upload_img"> &nbsp; &nbsp;  </div>
                    </div> 
                </div>

<?php } ?>

        </div> 

        <div class="img-preview-outer">
            <div class="img-preview-box">
                <div class="img_close" onclick="closePreviewImg()"> × </div>
                <div class="img-box-inner"></div>
            </div>
        </div>

         <script type="text/javascript">
            var lati;
            var long;
            var map;
            var marker;
            dd.config({
                agentId: "<?= $jsapi["agentId"] ?>",
                corpId: "<?= $jsapi["corpId"] ?>",
                timeStamp: "<?= $jsapi["timeStamp"] ?>",
                nonceStr: "<?= $jsapi["nonceStr"] ?>",
                signature: "<?= $jsapi["signature"] ?>",
                jsApiList: [
                    'runtime.info',
                    'device.geolocation.get',
                    'biz.chat.open',
                    'biz.util.open',
                    'biz.user.get',
                    'biz.contact.choose',
                    'biz.telephone.call',
                    'biz.ding.post',
                    'biz.map.locate',
                    'biz.map.view',
                    'biz.util.uploadImage']
            });
            dd.ready(function () {
                getLatLong();
            });
            // 上传附件回调函数
            function setUploadAttachment(uploadName, uploadKey, spanId) {
                $('#upload_file').val(uploadKey);
                $('#file_name').val(uploadName);
                $('#tip').text(uploadName);
            }
            ;
            function clearAppendix(result) {
                $('#upload_file').val('');
                $('#file_name').val('');
                $('#tip').text('');
            }
            ;

            // 上传附件
            $("#upload").click(function () {
                location.href = "emobile:upload:setUploadAttachment:email:123:clearAppendix";
            });
 
            //设置地图高度
            var body_height = $(document.body).height();
            var content_height = body_height - 280;
            $("#container").height(content_height);

            function previewPhoto(obj) {
                var src = $("#" + obj).attr("src");
                $('.img-preview-outer').show();
                $(".img-box-inner").html("<img src='" + src + "'   width = '250';/>");
            }
            ;

            function removeImg(obj) {
                $("#" + obj).parent().remove();
                var count = $(".img-container").find("img").length
                if (count < 5) {
                    $('#tip').show();
                    $('#tip').html('<input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_img" id="upload_photo" onchange="upload_mobile_x();">');
                }
            }

            function closePreviewImg() {
                $(".img-box-inner").html("");
                $('.img-preview-outer').hide();
            }

            //输入框高度
            function onfucusText(obj) {

                if (obj.value == "点击输入备注信息：") {
                    obj.value = "";
                }
            }

            function onblurText(obj) {

                if (obj.value == "") {
                    obj.value = "点击输入备注信息：";
                }
            }
 
            function getLatLong() {
                
                dd.device.geolocation.get({
                    targetAccuracy: 200,
                    coordinate: 1,
                    withReGeocode: false,
                    onSuccess: function (res) {

                        lati = res.latitude; // 纬度，浮点数，范围为90 ~ -90
                        long = res.longitude; // 经度，浮点数，范围为180 ~ -180。

                        map = new AMap.Map("container", {
                            zoom: 16,
                            center: [long, lati]
                        });
                        map.plugin(['AMap.ToolBar'], function () {
                            //设置地位标记为自定义标记
                            var toolBar = new AMap.ToolBar();
                            map.addControl(toolBar);
                        });
                        marker = new AMap.Marker({
                            map: map,
                            position: [long, lati]
                        })

                        $.ajax({
                            url: 'Sign/View/attendance.php?uid=<?php echo $uid; ?>',
                            data: {long: long, lati: lati, type: "getAddr"},
                            success: function (result) {
                                var object = $.parseJSON(result);
                                if (object.status == 0) {
                                    alert(object.error);
                                    return false;
                                } else {
                                    
                                    var infowindow;
                                    var infoWindowContent = '<div class="infowindow-content">' + object.address +'</div>';

                                    map.plugin('AMap.AdvancedInfoWindow', function () {

                                      infowindow = new AMap.AdvancedInfoWindow({
                                        panel: 'panel',
                                        placeSearch: false,
                                        asOrigin: false,
                                        asDestination: false,
                                        content: infoWindowContent
                                      });
                                      infowindow.open(map, [long, lati]);

                                    });
                                    
                                    
                                    $("#tip2").html(object.address);
                                    if (object.signInStatus == 1) {
                                        $("#tip3").html("<div  onclick='dutyOut()'><img src='/E-mobile/Public/images/box/positionSubmit.png'/></div>"); //类似于提交  只是把提交改成定位

                                    } else {
                                        $("#tip3").html("<div  onclick='dutyIn()'><img src='/E-mobile/Public/images/box/positionSubmit.png'/></div>"); //类似于提交

                                    }


                                }




                            }
                        });

                    },
                    onFail: function (err) {
                    }
                });
            }



            $('#upload_photo').change(function () {
                upload_mobile();
            });
            //                          
            function upload_mobile() {
                $('.loading').show();
                $.ajaxFileUpload({
                    url: 'Sign/View/attendance.php?type=uploadImg',
                    secureuri: false,
                    fileElementId: 'upload_photo',
                    dataType: 'json',
                    success: function (msg)
                    {
                        $('.loading').hide();
                        if (msg["status"] == 1)
                        {
                            $('#tip').html('<input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_img" id="upload_photo" onchange="upload_mobile_x();">');

                            $(".img-container").append("<div class='img-box'><div class='del-img' onclick=removeImg('" + msg["attachid"] + "');>×</div><img  id='" + msg["attachid"] + "' alt='" + msg["attachid"] + "' src='" + msg["file"] + "' style='width:50px;height:50px;' onclick=previewPhoto('" + msg["attachid"] + "');></div>");
                        } else {
                            alert(msg["msg"]);
                            $('#tip').html('<input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_img" id="upload_photo" onchange="upload_mobile_x();">');
                            return false;
                        }
                    }
                });
            }

            function upload_mobile_x() {

                $('.loading').show();
                $.ajaxFileUpload({
                    url: 'Sign/View/attendance.php?type=uploadImg',
                    secureuri: false,
                    fileElementId: 'upload_photo',
                    dataType: 'json',
                    success: function (msg)
                    {
                        $('.loading').hide();
                        if (msg["status"] == 1)
                        {

                            $(".img-container").append("<div class='img-box'><div class='del-img' onclick=removeImg('" + msg["attachid"] + "');>×</div><img  id='" + msg["attachid"] + "' alt='" + msg["attachid"] + "' src='" + msg["file"] + "' style='width:50px;height:50px;' onclick=previewPhoto('" + msg["attachid"] + "');></div>");

                            var count = $(".img-container").find("img").length
                            if (count >= 5) {
                                $('#tip').hide();
                            } else {
                                $('#tip').html('<input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_img" id="upload_photo" onchange="upload_mobile_x();">');
                            }
                        } else {
                            alert(msg["msg"]);
                            $('#tip').html('<input type="file"  accept="image/*" capture="camera"  name="upload_quwan" class="upload_img" id="upload_photo" onchange="upload_mobile_x();">');
                            return false;
                        }
                    }
                });
            }


            function dutyIn() {
                var latlng = lati + "," + long;
                var addr = $("#tip2").html();
                var infos = $("#getInfo").val();

                if (infos == "点击输入备注信息：") {
                    infos = "";
                }

                var img = "";
                $(".img-container img").each(function (i) {
                    img += $(this).attr("src") + ",";
                });

                $.ajax({
                    url: 'Sign/View/attendance.php?uid=<?php echo $uid; ?>',
                    data: {latlng: latlng, addr: addr, type: "dutyIn", img: img, info: infos},
                    success: function (result) {
                        var object = $.parseJSON(result);
                        if (object.result == "Failure") {
                            alert(object.error);
                            return false;
                        } else {
                            alert(object.msg);
                            $("#tip3").html("<div  onclick='dutyOut()'><img src='/E-mobile/Public/images/box/positionSubmit.png'/></div>");
                            $("#getInfo").val("点击输入备注信息：");

                            $("#img-container").html("");
                        }
                    }
                });

            }
            function dutyOut() {

                var img = "";
                $(".img-container img").each(function (i) {
                    img += $(this).attr("src") + ",";
                });


                var latlng = lati + "," + long;
                var addr = $("#tip2").html();
                var infos = $("#getInfo").val();

                if (infos == "点击输入备注信息：") {
                    infos = "";
                }

                $.ajax({
                    url: 'Sign/View/attendance.php?uid=<?php echo $uid; ?>',
                    data: {latlng: latlng, addr: addr, type: "dutyOut", img: img, info: infos},
                    success: function (result) {

                        var object = $.parseJSON(result);
                        if (object.result == "Failure") {
                            alert(object.error);
                        } else {
                            alert(object.msg);
                            $("#tip3").html("<div  onclick='dutyOut()'><img src='/E-mobile/Public/images/box/positionSubmit.png'/></div>");
                            $("#getInfo").val("点击输入备注信息：");

                            $(".img-container").html("");
                        }



                    }
                });
            }

        </script>

    </body>
</html>