<?php
    include_once('E-mobile/constant.php'); 
    include_once("lang/".LOGIN_LANG."/emobile.lang.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title><?=$_lang['emobile_common_system_userColo']?></title>
        <link rel="stylesheet" href="<?=PUBLIC_PATH?>plugin/zTree/css/zTreeStyle/zTreeStyle.css" type="text/css">
        <link href="/newplugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
        <style>
            body{
                margin:0px;
                overflow:hidden;
            }
            .frame-top{
                height:10px;
                position:fixed;
                top:0px;
                left:0px;
                width:100%;
                background:#3F8EF1;
            }
            .frame-top-end{
                height:40px;
                position:fixed;
                top:10px;
                left:0px;
                width:100%;
                background:#fff;
                border-bottom:1px solid #eaeaea;
            }
            .frame-center{
                margin-top:50px;
            }
            .frame-center-left{
                width:200px;
                float:left;
                border-right: 1px solid #eaeaea;
                overflow-y:auto;
                height:100%;
                background: #EFF2F4;
                float:left;
            }
            .frame-center-right{
                position:relative;
                float:left;
                overflow-y:auto;
                background:#F9F9F9;
                height:100%;
            }
            .left-header{
                float:left;
                height:40px;
                width:200px;
                background: #ffffff;
                border-right:1px solid #eaeaea;
            }
            .right-header{
                float:left;
                background: #fff;
                height:40px;
            }
            .menu-item{
                float:left;
                width:80px;
                height:40px;
                font-size: 13px;
                color:gray;
                line-height: 40px;
                font-family: '微软雅黑';
                cursor: pointer;
                text-align: center;
            }
            .menu-item.active{
                color:#333;
                border-bottom: 2px solid #3F8EF1; 
                margin-top:-1px;
            }
            .search-user{
                position:absolute;
                height:30px;
                width:40px;
                border:1px solid #eaeaea;
                right:10px;
                top:4px;
                -moz-border-radius: 15px;      /* Gecko browsers */
                -webkit-border-radius: 15px;   /* Webkit browsers */
                border-radius:15px; 
                background:#ffffff;
            }
            .search-button{
                height:30px;
                width:40px;
                background: url('<?=IMG_PATH?>common/search.png') no-repeat 12px 7px;;
                float: left;
                -moz-border-radius: 15px;      /* Gecko browsers */
                -webkit-border-radius: 15px;   /* Webkit browsers */
                border-radius:15px; 
                cursor:pointer;
            }
            .search-input{
                width:150px;
                line-height:30px;
                float:left;
                height:30px;
                margin-left:10px;
                display:none;
            }
            .search-input input{
                width:120px;
                margin-top:-10px;
                height:20px;
                border:0px;
                outline:none;
/*                display:none;*/
            }
            .search-input img{
                margin-top:4px;
                margin-left:2px;
                cursor:pointer;
            }
            .user-list{
                width:100%;
                float:left;
                border-bottom:1px solid #eaeaea;
            }
            .user-item{
                width:100%;
                cursor:pointer;
                float:left;
                height:32px;
                line-height:32px;
                font-family: '微软雅黑';
                color:gray;
                font-size:12px;
                text-indent:10px;
                border-top:1px solid #eaeaea;
            }
            .no-data{
                width:100%;
                cursor:pointer;
                float:left;
                height:50px;
                line-height:50px;
                background:#fff;
                font-family: '微软雅黑';
                color:gray;
                font-size:14px;
                text-align:center;
                border-top:1px solid #eaeaea;
            }
            .user-item.active{
                background:#5AB7E3;
                color:#fff;
            }
            .user-item i{
                color:#333;
            }
            .right-menu{
                float:left;
                width:50px;
                text-align:center;
                font-size:13px;
                font-family: '微软雅黑';
                color:gray;
                height:40px;
                line-height:45px;
                cursor:pointer;
            }
            .right-header span{
                width:10px;
                float:left;
                height:40px; 
                color:gray;
                line-height:45px;
            }
            .paginator{
                text-indent:15px;
                width:100%;
                height:60px;
                line-height:40px;
                float:left;
                background:#fff;
            }
            .paginator a{
                text-align:center;
                color:gray;
                text-decoration:none;
                font-size:12px;
                margin-left:-4px;
                font-family: '微软雅黑';
                cursor:pointer;
            }
            .paginator span{
                text-align:center;
            }
            .user-order{
                float:left;
                height:40px;
                text-align:center;
                width:20px;
                color:#333;
            }
            .go-page{
                font-size:14px;
                font-family: '微软雅黑';
                width:50px;
                height:25px;
                line-height:30px;
                border:1px solid #eaeaea;
            }
        </style>
    </head>
    <body>
        <div class="frame-top">
        </div>
        <div class="frame-top-end">
            <div class="left-header">
                <div id="deptMenu" class="menu-item active"><?=$_lang['emobile_common_user_dept']?></div>
                <div id="privMenu" class="menu-item"><?=$_lang['emobile_common_user_roles']?></div>
            </div>
            <div class="right-header">
                <div class="right-menu" id="selectAll"><?=$_lang['emobile_common_system_allchoose']?></div>
                <span>|</span>
                <div class="right-menu" id="cancelAll"><?=$_lang['emobile_common_system_callel']?></div>
                <span>|</span>
                <div class="right-menu" id="submitUser"><?=$_lang["e_crm_submit"] ?></div>
                <div class="search-user">
                    <div class="search-input">
                        <img src="<?=IMG_PATH?>common/icon-right.png">
<!--                        <i class="fa fa-chevron-circle-right"></i>-->
                        <input type="text" value="" id="keyword" placeholder="<?=$_lang['emobile_system_userselect_search']?>">
                    </div>
                    <div class="search-button"></div>
                </div>
            </div>
        </div>
        <div class="frame-center">
            <div class="frame-center-left">
                <ul id="privTree" class="ztree" style="display:none;"></ul>
                <ul id="deptTree" class="ztree"></ul>
            </div>
            <div class="frame-center-right">
                    <div class="user-list">
                        
                    </div>
                    <div class="paginator">
                        <a onclick="getUserByPage(this,1)" id="firstPage" page="0"><?=$_lang['emobile_system_userselect_start_page']?></a><span>&nbsp;|</span>
                        <a onclick="getUserByPage(this,1)" id="privPage"><?=$_lang['emobile_system_userselect_pre_page']?></a><span>&nbsp;|</span>
                        <a onclick="getUserByPage(this,1)" id="nextPage"><?=$_lang['emobile_system_userselect_next_page']?></a><span>&nbsp;|</span>
                        <a onclick="getUserByPage(this,1)" id="lastPage"><?=$_lang['emobile_system_userselect_end_page']?></a>&nbsp;&nbsp;
                        <select class="go-page" id="go-page" onchange="getUserByPage(this,2)">
                        </select>
                    </div>
            </div>
            <input type="hidden" id="hideDeptId" value="">
            <input type="hidden" id="hideKeyword" value="">
            <input type="hidden" id="hidePrivId" value="">
        </div>
    </body>
</html>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<script type="text/javascript" src="<?=PUBLIC_PATH?>plugin/zTree/js/jquery.ztree.core-3.5.js"></script>
<script>
var windowWidth     = $(window).width();
var windowHeight    = $(window).height();
 var setting = {
       data: {
           simpleData: {
               enable: true
           }
       }
   };
var deptNodes =[{id:0,pId:0,name:'<?=$_lang['emobile_system_userselect_alldept']?>',click:"getUserByDept(0)",open:true},
 <?php foreach($deptments as $key => $value){?>
    { id:<?=$value['DEPT_ID']?>, pId:<?=$value['DEPT_PARENT']?>, name:"<?=  $value['DEPT_NAME']?>",click:"getUserByDept(<?=$value['DEPT_ID']?>)",open:false},
 <?php }?>
    ];
var privNodes =[
<?php foreach($privs as $key => $value){?>
   { id:<?=$value['USER_PRIV']?>, name:"<?=str_replace('\\', '\\\\', $value['PRIV_NAME'])?>",click:"getUserByPriv(<?=$value["USER_PRIV"]?>)",open:false},
<?php }?>
    ];
$(function(){
    $.fn.zTree.init($("#deptTree"), setting, deptNodes);
    $.fn.zTree.init($("#privTree"), setting, privNodes);
    $('.frame-center').height(windowHeight-51).width(windowWidth);
    $('.frame-center-right').width(windowWidth-201).height(windowHeight-51);
    $('.right-header').width(windowWidth-261);
    //用户搜索框操作
    $('.search-user').mouseenter(function(){
        $(this).animate({'width':'200px'},300);
        $(this).find('.search-input').show(310).focus();
        $(this).css({'border-color':'#3F8EF1'});        
    });
    $('.search-input img').click(function(){
        $('.search-user').animate({'width':'40px'},300);
        $('.search-user').find('.search-input').hide(50);
        $('.search-user').css({'border-color':'#eaeaea'});
    });
    //分页操作
    $('.paginator a').mouseenter(function(){
        $(this).css({'color':'#5AB7E3'});
    }).mouseleave(function(){
        $(this).css({'color':'gray'});
    });
    //右边菜单操作
    $('.right-menu').mouseenter(function(){
        $(this).css({'color':'#5AB7E3'});
    }).mouseleave(function(){
        $(this).css({'color':'gray'});
    });
    //用户选项操作
    $('.user-list').on({
        mouseenter:function(){
            $(this).css({'background':'#5AB7E3','color':'#fff'});
        },
        mouseleave:function(){
            if($(this).attr('select') == 0){
                $(this).css({'background':'','color':'gray'});
            }
        },
        click:function(){
            if($(this).attr('select') == 0){
                $(this).addClass('active').attr('select',1);
            }else{
                $(this).removeClass('active').attr('select',0);
            }
        }
    },'.user-item');
    //左边菜单操作
    $('#deptMenu').click(function(){
        $('.menu-item').removeClass('active');
        $(this).addClass('active');
        $('#privTree').hide();
        $('#deptTree').show();
    });
    $('#privMenu').click(function(){
        $('.menu-item').removeClass('active');
        $(this).addClass('active');
        $('#privTree').show();
        $('#deptTree').hide();
    });
    getUserList();
    
    //搜索
    $('#keyword').keydown(function(event){
        if (event.keyCode == "13") {
            $(".search-button").click();
        }
    });
    $('.search-button').click(function(){
        var keyword = $('#keyword').val();
        $('#hideDeptId').val('');
        $('#hidePrivId').val('');
        $('#hideKeyword').val(keyword);
        $('#keyword').val('');
        getUserList({keyword:keyword});
    });
    
    //全选
    $('#selectAll').click(function(){
        $('.user-item').addClass('active').attr('select',1).css({'color':'#fff','background':'#5AB7E3'});
    });
    $('#cancelAll').click(function(){
        $('.user-item').removeClass('active').attr('select',0).css({'color':'gray','background':''});
    });
    $('#submitUser').click(function(){
        var objs = $('.user-item.active');
        var user_id = '';
        objs.each(function(i,e){
            user_id += $(e).attr('user-id') + ',';
        });
        if(user_id == ''){
           alert('<?=$_lang['e_system_user_select']?>');
           return false;
        }
        $.ajax({
           url:'<?=APP_PATH?>System/UserSelect/index.php?m=getUsers',
           data:{
               user_id :user_id
           }
        }).done(function(result){
            window.parent.returnValue = result;   
            window.parent.close();
        });
    });
});
function getUserByDept(deptId){
    $('#hidePrivId').val('');
    $('#hideKeyword').val('');
    $('#hideDeptId').val(deptId);
    getUserList({deptId:deptId});
}
function getUserByPriv(privId){
    $('#hideDeptId').val('');
    $('#hideKeyword').val('');
    $('#hidePrivId').val(privId);
    getUserList({privId:privId});
}
function getUserByPage(obj,type){
    if(type == 2){
        var page = $(obj).val();
    }else{
        var page = $(obj).attr('page');
    }
    var deptId  = $('#hideDeptId').val();
    var privId  = $('#hidePrivId').val();
    var keyword = $('#hideKeyword').val();
    getUserList({page:page,deptId:deptId,privId:privId,keyword:keyword});
}
function getUserList(condition){
    $.ajax({
        url:'<?=APP_PATH?>System/UserSelect/index.php?m=getUserLists',
        data:condition
    }).done(function(data){
        var parseData = $.parseJSON(data);
        if(parseData.pageCount == 0){
            $('.user-list').html('<div class="no-data"><?=$_lang['emobile_system_userselect_no_data']?></div>');
            $('.paginator').hide();
            return false;
        }
        $('.paginator').show();
        var html = '',pageHtml='',i = 1;
        $.each(parseData.userList,function(k,v){
            html += '<div class="user-item" user-id="'+v.USER_ID+'" select="0"><div class="user-order">'+i+'</div>&nbsp;&nbsp;'+v.USER_NAME+'(<i>'+v.USER_ACCOUNTS+'</i>)&nbsp;/&nbsp;'+v.DEPT_NAME+'</div>';
            i ++;
        });
        $('.user-list').html(html);

        for(var j=1;j<= parseData.pageCount;j++){
            var selected = '';
            if((j-1) == parseData.current){
                selected = 'selected';
            }
            pageHtml += '<option value="'+(j-1)+'" '+selected+'>'+j+'</option>';
        }
        $('#go-page').html(pageHtml);
        $('#privPage').attr('page',parseData.priv);
        $('#nextPage').attr('page',parseData.next);
        $('#lastPage').attr('page',parseData.pageCount - 1);
    });
}
</script>
