<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      手机客户端解析流程表单
* @encoding      $_lang['encoding']
* @name          api/AnalyticFormEmobile.class.php
* @version       1
* @author        liu|www.weaver.com.cn
* @modify        liuqingyu
* @date          2012-11-27
*/
include_once("api/AnalyticFormBase.class.php");
class AnalyticFormEmobile extends AnalyticFormBase {
	public    $DateID;
	public    $diff;//判断是查看或者编辑
	public    $eleHidden;
	//记录日期控件id值
	function GetDateId()
	{
		$dataid = "";
		$ITEM_ID      = 0;
		//转换表单的值
		$formFieldValue = $this->formDataTrans();
		$ITEM_ID_MAX    = count($this->formElement);
		for($i = 0;$i <$ITEM_ID_MAX;$i++)
		{
			if($this->elementClass[$i]=="DATE")
			{
				$dataid .= $this->elementValue[$i]."*|*";
			}
		}
		return $dataid;
	}
	function getTimeId() {
		$dataid = "";
		$ITEM_ID      = 0;
		//转换表单的值
		$formFieldValue = $this->formDataTrans();
		$ITEM_ID_MAX    = count($this->formElement);
		for($i = 0;$i <$ITEM_ID_MAX;$i++)
		{
			if($this->elementClass[$i]=="time")
			{
				$dataid .= $this->elementValue[$i]."*|*";
			}
		}
		return explode('*|*',rtrim($dataid,"*|*"));
	}
	/**
	*解析表单函
	*@return str   $ELEMENT_OUT    解析处理后的表单字符串
	*/
	function analytic_form(){
		$this->DateID = $this->GetDateId();
		$this->timeId = $this->getTimeId();
		//$dateidstr = "";
		$str  = "";
		$str .= "<form enctype=\"multipart/form-data\" method=\"post\" name=\"form1\" id=\"form1\" >";
		$str .= "<input type=\"hidden\" id=\"alldateid\" />";
		$str .= "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">";
		$ITEM_ID      = 0;
		//转换表单的值
		$formFieldValue = $this->formDataTrans();
		$ITEM_ID_MAX    = count($this->formElement);
		for($i = 0;$i <$ITEM_ID_MAX;$i++)
		{
			$EMName     = $this->elementName[$i];
            $EFormat    = $this->elementFormat[$i];
			$EMClass    = $this->elementClass[$i];
			$EMTitle    = $this->elementTitle[$i];
			//$EMRequire  = $this->elementRequire[$i];
			$EMThousand = $this->elementThousand[$i];
			$EMValue    = $this->elementValue[$i];
			$EMForm     = $this->formElement[$i];
			$this->eleHidden    = $this->elementHidden[$i];

			//处理日期和时间控件
			if($EMClass=="DATE" || $EMClass=="time")
			{
				continue;
			}
			$str .= '<tr height="35px" '.( $this->eleHidden ? 'style="display:none;"' : '').'>';
			$str .= '<td class="title-other" nowrap="nowrap" width="80px" style="padding-left:5px;">'. $EMTitle  .'</td>';
			$str .= '<td width="1%"><span class="title-other">&nbsp;&nbsp;</span></td>';
			$str .= "<td style='position:relative'>";
			//图片类型的控件不需要有id，name
			if($EMClass != "DATE" && $EMClass != "time")
			{
				//$this->itemId++;
				//id不再是原来的自增的了，现在是定义表单就生成好了
				$this->itemId = substr($this->elementId[$i],5);
				$this->elementRequire[$i]  = find_id($this->prcsItemRequired,$this->elementTitle[$i]) ;
				$ITEM_ID++;
				//为所有控件增加id，name，必填事件
				$ELEMENT_OUT = $this->addIdNameRequiredEvent($EMName,$this->itemId,$this->elementRequire[$i],$this->opFlag,$EMForm);
				//计算当前是否可以编辑
				$canEdit = $this->fieldCanEdit($EMTitle,$EMClass);
				//有值的表单字段（date,time不算）的字段title数组，用于8.3新增的动态字段
				$this->fieldArray[$this->itemId] =  $EMTitle;
			}

			$EMRequire  = $this->elementRequire[$i];
			//根据不同控件做处理
			/*************普通控件-start**************/
			//input 包括text,checkbox
			if($EMName == "INPUT"&&$EMClass != "AUTO"&&$EMClass != "CALC"&&$EMClass != "getvalue"&&$EMClass != "datecompute"&&$EMClass != "dynamic" &&$EMClass != "dynamic_info")
			{
				$str .= $this->html_input_field($ELEMENT_OUT,$EMName,$EMRequire,$EMClass,$EMThousand,$EMValue,$this->itemId,$formFieldValue[$this->itemId],$canEdit,$EMTitle,$EFormat);
			}
			//textarea
			else if($EMName == "TEXTAREA"&&$EMClass != "EDITOR"&&$EMClass != "countersign"&&$EMClass != "dynamic"&&$EMClass != "chooseUser"&&$EMClass != "chooseDept"&&$EMClass != "chooseRole"&&$EMClass != "HTML_SIGNATURE"&&$EMClass != "PHONE_SIGNATURE" &&$EMClass != "dynamic_info"&&$EMClass != "SIGNATURE_PICTURE"){
				$str .= $this->html_textarea($ELEMENT_OUT,$EMRequire,$EMValue,$this->itemId,$formFieldValue[$this->itemId],$canEdit);
			}
			//select
			else if($EMName == "SELECT" && $EMClass!="AUTO"&&$EMClass!="dynamic" &&$EMClass != "dynamic_info")
			{
				$str .= $this->html_select($EMName,$ELEMENT_OUT,$EMRequire,$EMTitle,$EMClass,$EMValue,$this->itemId,$formFieldValue[$this->itemId],$canEdit);
			}
			/*************普通控件--end**************/
			/*************特殊控件-start**************/
			//编辑器字段
			else  if($EMClass == "EDITOR")
			{
				$str .= $this->html_editor($ELEMENT_OUT,$EMRequire,$this->itemId,$formFieldValue[$this->itemId],$canEdit);
			}
			//会签字段
			else if($EMClass == "countersign"){
				$str .= $this->html_countersign($ELEMENT_OUT,$EMRequire,$formFieldValue[$this->itemId],$this->itemId,$EMTitle,$canEdit);
			}
			//人员选择字段
			else if($EMClass == "chooseUser"){
				$str .= $this->html_chooseuser($ELEMENT_OUT,$EMRequire,$formFieldValue[$this->itemId],$this->itemId,$canEdit);
			}
			//部门选择字段
			else if($EMClass == "chooseDept"){
				$str .= $this->html_choosedept($ELEMENT_OUT,$EMRequire,$formFieldValue[$this->itemId],$this->itemId,$canEdit);
			}
			//角色选择字段
			else if($EMClass == "chooseRole"){
				$str .= $this->html_chooserole($ELEMENT_OUT,$EMRequire,$formFieldValue[$this->itemId],$this->itemId,$canEdit);
			}
			//明细字段
			else if($EMClass == "detailChar"){
				$str .= $this->html_detailchar($ELEMENT_OUT,$EMTitle,$this->itemId,$formFieldValue[$this->itemId],$canEdit,$EMRequire);
			}
			//宏控件
			else if($EMClass == "AUTO"){
				$str .= $this->html_auto($ELEMENT_OUT,$EMTitle,$EMName,$EMForm,$formFieldValue[$this->itemId],$this->itemId,$EMValue,$EMRequire,$canEdit);
			}
			//计算控件
			else if($EMClass == "CALC"){
				$str .= $this->html_calc($ELEMENT_OUT,$EMValue,$EMClass,$this->itemId,$formFieldValue[$this->itemId],$EMName,$EMRequire,$canEdit);
			}
			//获值字段
			else if($EMClass == "getvalue"){
				$str .= $this->html_getvalue($ELEMENT_OUT,$EMName,$EMValue,$formFieldValue[$this->itemId],$this->itemId,$canEdit);
			}
			//日期时间计算字段
			else if($EMClass == "datecompute"){
				$str .= $this->html_datecompute($ELEMENT_OUT,$EMName,$this->itemId,$EFormat,$EMValue,$formFieldValue[$this->itemId],$canEdit);
			}
			//动态字段
			else if($this->elementClass[$i] == "dynamic"){
				$str .= $this->html_dynamic($ELEMENT_OUT,$EMName,$EMTitle,$this->itemId,$EMValue,$formFieldValue[$this->itemId],$EMRequire,$canEdit);
			}
			//html表单签章
			else if($this->elementClass[$i] == "HTML_SIGNATURE"){
				$str .= $this->html_signature_field($ELEMENT_OUT,$this->itemId,$EMValue,$canEdit,$EMRequire);
			}
			//手机签章
			else if($this->elementClass[$i] == "PHONE_SIGNATURE"){
				$str .= $this->phone_signature_field($ELEMENT_OUT,$this->itemId,$EMValue,$canEdit);
			}
			//动态信息控件
			else if($this->elementClass[$i] == "dynamic_info"){
				$str .= $this->html_dynamicinfo($ELEMENT_OUT,$this->itemId,$EMTitle,$formFieldValue[$this->itemId]);
			}
            //签名图片控件
			else if($this->elementClass[$i] == "SIGNATURE_PICTURE"){
				$str .= $this->signature_picture_field($ELEMENT_OUT,$EMRequire,$this->itemId,$canEdit,$EMValue,$formFieldValue[$this->itemId]);
			}
			$str .= "</td>";
			$str .= "</tr>";
			$str .= "<tr>";
			$str .= '<td height="1" colspan="3" bgcolor="#e7e7e7"></td>';
			$str .= "</tr>";
		}
		$str .= "</table>";
		$str .= "</form>";
		return $str;
	}
    /**
	*表单数据值的转换
	*@return array   $formFieldValue     数据库查询结果转换成对应的数组
	*/
	function formDataTrans(){
        $formFieldValue = array();
        if($this->formData){
            foreach($this->formData as $key=>$val)
            {
                if(substr($key,0,5) == "DATA_")
                {
                    $newKey  = substr($key,5) ;
                    $formFieldValue[$newKey]  = $this->fieldValueFilter($val);
                }
            }
        }
		return $formFieldValue;
	}
	function html_timer($elementStr,$elementRequire,$elementId,$fieldValue,$editable){
		if($this->diff=="view" || !$editable){
            $title          = getHtmlObjPropValue($elementStr,"title");
			$titleArray		= explode(':', $title);
			$title		= $titleArray[1];
			$ELEMENT_OUT	.= '<input id="DATA_'.$elementId.'" name="DATA_'.$elementId.'" class="time" title="'.$title.'" required="'.$elementRequire.'" value="'.$fieldValue.'" readonly="readonly">';
		}else{
			$title          = getHtmlObjPropValue($elementStr,"title");
			$titleArray		= explode(':', $title);
			$title		= $titleArray[1];
			$ELEMENT_OUT	.= '<div class="datepicker_select_time" id="DATA_'.$elementId.'_DIV" style="background:#f4f4f4;margin-left:0">
                                        <div class="text">'.$fieldValue.'</div><div class="text_icon"></div>
										<input type="hidden" id="DATA_'.$elementId.'" name="DATA_'.$elementId.'" class="time" title="'.$title.'" required="'.$elementRequire.'" value="'.$fieldValue.'">'
				. '				</div>';
			$ELEMENT_OUT   .='  <script language="javascript">
									$(function(){
									$("#DATA_'.$elementId.'_DIV .text,#DATA_'.$elementId.'_DIV .text_icon").click(function(){
										DatePicker.init.initTime({
											id:"DATA_'.$elementId.'_DIV",
											current:false,
											noOpen:true,
											width:"150px"
										});
									});
									});
								</script>';
		}
		if($this->diff!=="view" && $elementRequire){
			//增加必填字段后面的提示信息
			if($ELEMENT_OUT)
			{
				if(trim($fieldValue)||$this->opFlag != 1)
				{
					$ELEMENT_OUT .= "<span id=\"required_".$elementId."_span\"></span>";
				}
				else
				{
					$ELEMENT_OUT .= "<span id=\"required_".$elementId."_span\"><img src='".IMG_PATH."required.gif' align='absmiddle'></span>";
				}
			}
		}

		return $ELEMENT_OUT;
	}
	/**
	*input类型控件处理，包括text,checkbox
	*@param  str   $elementStr      要处理的字段html
	*@param  str   $elementName     字段名
	*@param  int   $elementRequire  是否必填
	*@param  str   $elementClass    字段class属性
	*@param  int   $elementThousand 字段是否要千位分隔符
	*@param  str   $elementValue    表单字段初始值
	*@param  str   $elementId       字段值
	*@param  str   $fieldValue      字段值
	*@param  bool  $editable        表单字是否可以编辑
	*@return int   $elementStr      处理后的字段html
	*/
	function html_input_field($elementStr,$elementName,$elementRequire,$elementClass,$elementThousand,$elementValue,$elementId,$fieldValue,$editable,$EMTitle,$EFormat){
		//text
		if($this->timeId && !empty($this->timeId)){
			if(in_array($EMTitle, $this->timeId)){
				return $this->html_timer($elementStr, $elementRequire, $elementId, $fieldValue, $editable);
			}
		}
		if(!strstr($elementStr,"type=\"checkbox\""))
		{
			if($this->diff=="view"){
				$elementStr = $fieldValue;
			}else{
				$elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
				$elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
				if($this->DateID!="" && $editable)
				{
					$datearray = explode("*|*",$this->DateID);
					$datecount = count($datearray);
					for($i=0;$i<$datecount;$i++)
					{
						if($datearray[$i]==$EMTitle )
						{
							$dateshow = "<div style=\"float:left;background:#f5f5f5;width:70%;margin-top:3px;margin-bottom:3px; border:1px solid #d3d3d3;\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\" ><tr><td width=\"85%\">";
							$elementStr = str_replace("<$elementName","<$elementName readonly=\"readonly\" class=\"flowdatestyle\" ",$elementStr);
							$dateshow .= $elementStr;
							$dateshow .= "</td><td><img src=\"".IMG_PATH."create/datePicker.gif\" /></td></tr></table></div><script language=\"javascript\">
										var picker = new Pikaday(
										{
											field: document.getElementById(\"DATA_".$elementId."\"),
											firstDay: 1,
                                            onClose:function(){
                                                $(\"#DATA_".$elementId."\").change();
                                            }
										});
										</script>";
							$dateshow .= "<div style=\"float:right;margin-top:10px;margin-right:5px;\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" onclick=\"EmobileClearDate('DATA_$elementId')\" style=\"float:right\"><tr><td class=\"flowform-button-left\"></td><td class=\"flowform-button-center flowform-button-text\"valign=\"bottom\"><span style=\"padding:5px 5px;\">清空</span></td><td class=\"flowform-button-right\"></td><td width=\"5%\"></td></tr></table></div>";
							$elementStr = $dateshow;
						}
					}
				}
				if($EFormat == "thousandformat")
				{
					$elementStr  = str_replace("onchange=\"","onchange=\"thousandFormat_DATA_$elementId('DATA_$elementId');",$elementStr);
					$elementStr  = str_replace("class=\"thousandformat\"","thousandformat=\"1\"",$elementStr);
					$elementStr .= "<script type='text/javascript'>
					$(window).bind('load',function(){thousandFormat_DATA_$elementId();});function thousandFormat_DATA_$elementId(){thousandFormat('DATA_$elementId');}
					</script>";
				}
				else
				{
					$formatFunctionName = "flowInputFormat";
					$elementStr  = str_replace("onchange=\"","onchange=\"".$EFormat."_DATA_$elementId('DATA_$elementId');",$elementStr);
					$elementStr .= "<script type='text/javascript'>jQuery(window).bind('load',function(){".$EFormat."_DATA_$elementId();});function ".$EFormat."_DATA_$elementId(){".$formatFunctionName."('DATA_$elementId','".$EFormat."');}</script>";
				}
				if(!$editable){
					//$elementStr = "<$elementName readonly=\"readonly\" disabled=\"disabled\" class='textareaonly' ".str_replace("<$elementName","",$elementStr);
					$elementStr = "<$elementName readonly=\"readonly\" class='textareaonly' ".str_replace("<$elementName","",$elementStr);
				}
			}
		}
		//checkbox
		else
		{
			$elementStr   = str_replace(" checked=\"checked\"","",$elementStr);
			if($fieldValue == "on")
				$elementStr = str_replace("<$elementName","<$elementName checked=\"checked\" class=\"checkbox\"",$elementStr);
			else
				$elementStr = str_replace("<$elementName","<$elementName class=\"checkbox\"",$elementStr);
			if(!$editable){
				if(strstr($elementStr," checked=\"checked\""))
				{
					//$elementStr = str_replace("<$elementName","<$elementName disabled=\"disabled\" onclick='this.checked=1;' class=checkbox",$elementStr);
					$elementStr = str_replace("<$elementName","<$elementName readonly=\"readonly\" onclick='this.checked=1;' class=checkbox",$elementStr);
				}
				else
				{
					//$elementStr=str_replace("<$elementName","<$elementName disabled=\"disabled\" onclick='this.checked=0;' class=checkbox",$elementStr);
					$elementStr=str_replace("<$elementName","<$elementName readonly=\"readonly\" onclick='this.checked=0;' class=checkbox",$elementStr);
				}
			}
		}
		if($this->diff!="view"){
			//增加必填字段后面的提示信息
			if(!strstr($elementStr,"type=\"checkbox\""))
			{
				if($elementRequire)
				{
					if(trim($fieldValue)||$this->opFlag != 1)
					{
						$elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
					}
					else
					{
						$elementStr .= "<span id=\"required_".$elementId."_span\"><img src='".IMG_PATH."required.gif' align='absmiddle'></span>";
					}
				}
			}
		}


		return $elementStr;
	}
	/**
	*多行文本框字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementRequire    是否要必填
	*@param  str   $elementValue      表单字段初始值
	*@param  int   $elementId         表单字段序号
	*@param  str   $fieldValue        表单字段值
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStr        处理后的字符串
	*/
	function html_textarea($elementStr,$elementRequire,$elementValue,$elementId,$fieldValue,$editable){
		//textarea
		if($this->diff=="view"){
			$elementStr = $fieldValue;
		}else{
			$elementStr = str_replace(">$elementValue<",">$fieldValue<",$elementStr);
			$elementStr = str_replace('class',"class='emobile-textarea'",$elementStr);
			if(!$editable)
				$elementStr = "<TEXTAREA readonly=\"readonly\"  class='textareaonly emobile-textarea' ".str_replace("<TEXTAREA","",$elementStr);
			//增加必填字段后面的提示信息
			if($elementRequire)
			{
				if(trim($fieldValue)||$this->opFlag != 1)
				{
					$elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
				}
				else
				{
					$elementStr .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
				}
			}
		}

		return $elementStr;
	}
	/**
	*下拉框字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementRequire    是否要必填
	*@param  str   $elementClass      字段的class属性
	*@param  str   $elementValue      表单字段初始值
	*@param  int   $elementId         表单字段序号
	*@param  str   $fieldValue        表单字段值
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStr        处理后的字符串
	*/
	function html_select($EMName,$elementStr,$elementRequire,$elementTitle,$elementClass,$elementValue,$elementId,$fieldValue,$editable){
		if($this->diff=="view"){
            if(!$fieldValue || $fieldValue =='null'){
                $fieldValue = '';
            }
			$elementStr = $fieldValue;
		}else{
			//select
			$elementOld = $elementStr;
			$elementStr = str_replace("id=\"$elementTitle\"","id=\"DATA_$elementId\"",$elementStr);
			$elementStr = str_replace("&middot;","·",$elementStr);
			$elementStr = str_replace("&ldquo;","“",$elementStr);
			$elementStr = str_replace("&rsquo;","‘",$elementStr);
			$elementStr = str_replace("&mdash;","—",$elementStr);
			$elementStr = str_replace("&hellip;","…",$elementStr);
			$elementStr = str_replace("？","?",$elementStr);
			$elementStr = str_replace("＃","#",$elementStr);
			$elementStr = str_replace("＆","&",$elementStr);
			$fieldValue = str_replace("？","?",$fieldValue);
			$fieldValue = str_replace("＃","#",$fieldValue);
			$fieldValue = str_replace("＆","&",$fieldValue);
			$fieldValue = htmlspecialchars($fieldValue);
            if(!$fieldValue){
                $fieldValue = '';
            }
			$elementStr = str_replace(" selected","",$elementStr);
			$elementStr = str_replace("<OPTION value=\"$fieldValue\">","<OPTION selected value=\"$fieldValue\">",$elementStr);
			//处理必填
			if(!$editable)
			{
				$elementStr = str_replace($elementValue,"<OPTION value=\"$fieldValue\">$fieldValue</OPTION>",$elementStr);
				$elementStr = "<$EMName disabled='disabled' ".str_replace("<$EMName","",$elementStr);
			}
			//增加必填字段后面的提示信息
			if($elementRequire)
			{
				if($fieldValue||$this->opFlag != 1)
				{
					$elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
				}
				else
				{
					$elementStr .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
				}
			}
		}

		return $elementStr;
	}
	/**
	*编辑器控件
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementRequire    是否要必填
	*@param  int   $elementId         表单字段序号
	*@param  str   $fieldValue        表单字段值
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $ELEMENT_OUT       处理后的字符串
	*/
	function html_editor($elementStr,$elementRequire,$elementId,$fieldValue,$editable){
		if($this->diff=="view"){
            $fieldValue1 = preg_replace("/href=\"(.*?)\"/", 'href="javascript:void(0)"', $fieldValue);//去掉href链接
            $ELEMENT_OUT    = "<p>$fieldValue1</p>";
            $title          = getHtmlObjPropValue($elementStr,"title");
			$fieldValue     = changeFullToHalf($fieldValue);
            $ELEMENT_OUT   .= "<textarea id=\"DATA_$elementId\" name=\"DATA_$elementId\"  style=\"display:none;\" class=\"EDITOR\" title=\"$title\" required=\"$elementRequire\">".htmlspecialchars($fieldValue)."</textarea>";
		}else{
			$title = getHtmlObjPropValue($elementStr,"title");
			$fieldValue     = changeFullToHalf($fieldValue);
            if($fieldValue){
                $fieldValue1 = preg_replace("/href=\"(.*?)\"/", 'href="javascript:void(0)"', $fieldValue);//去掉href链接
                $ELEMENT_OUT   = "<textarea id=\"DATA_$elementId\" name=\"DATA_$elementId\"  style=\"display:none;\" class=\"EDITOR\" title=\"$title\" required=\"$elementRequire\">".htmlspecialchars($fieldValue)."</textarea>";
                $ELEMENT_OUT   .= '<div style="height:100px;overflow-y:auto;width:80%;border:1px solid #eaeaea;margin-top:5px;margin-bottom:5px;padding-left:5px;padding-top:5px;">'.$fieldValue1.'</div><div style="float:left;width:100%;height:30px;color:red;">暂不支持编辑</div>';
            }else{
                $ELEMENT_OUT   = "<textarea id=\"DATA_$elementId\" name=\"DATA_$elementId\"  class=\"EDITOR\" title=\"$title\" required=\"$elementRequire\">".htmlspecialchars($fieldValue)."</textarea>";
            }
            if(!$editable){
                $ELEMENT_OUT   = "<textarea id=\"DATA_$elementId\" name=\"DATA_$elementId\"  style=\"display:none;\" class=\"EDITOR\" title=\"$title\" required=\"$elementRequire\">".htmlspecialchars($fieldValue)."</textarea>";
                $ELEMENT_OUT   .= '<div style="height:100px;background:#f4f4f4;overflow-y:auto;width:80%;border:1px solid #eaeaea;margin-top:5px;margin-bottom:5px;padding-left:5px;padding-top:5px;">'.$fieldValue.'</div>';
            }
			//增加必填字段后面的提示信息
			if($elementRequire)
			{
				if(preg_replace("/(<p>(&nbsp;){0,}<\/p>)/","",preg_replace("/(<a>(&nbsp;){0,}<\/a>)/","",preg_replace("/(<div>(&nbsp;){0,}<\/div>)/","",$fieldValue)))||$this->opFlag != 1)
				{
					$ELEMENT_OUT .= "<span id=\"required_".$elementId."_span\"></span>";
				}
				else
				{
					$ELEMENT_OUT .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
				}
			}
		}

		$elementStrRetrun =  str_replace("＆nbsp;", " ", $ELEMENT_OUT);

		return $elementStrRetrun;
	}
	/**
	*会签字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementRequire    是否要必填
	*@param  str   $fieldValue        表单字段值
	*@param  int   $elementId         表单字段序号
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStr        处理后的字符串
	*/
	function html_countersign($elementStr,$elementRequire,$fieldValue,$elementId,$elementTitle,$editable){
		//countersign(会签字段)
		if($this->diff=="view"){
			$elementStr = $fieldValue;
		}else{
			//取自动获取添加人和时间的值
			$auto_user_value     = substr(strstr($elementStr,"auto_user=\""),11,1);
			$auto_datetime_value = substr(strstr($elementStr,"auto_datetime=\""),15,1);
			//取会签字段的列和行的值
			$fieldValue          = str_replace("</span","</span>",$fieldValue);
			$fieldValue          = str_replace("</span>>","</span>",$fieldValue);
			$fieldValue          = str_replace("&lt;/span","&lt;/span&gt;",$fieldValue);
			$fieldValue          = str_replace("&lt;/span&gt;&gt;","&lt;/span&gt;",$fieldValue);

			$fieldValue          = str_replace("＃","#",$fieldValue);
			$fieldValue          = str_replace("＆","&",$fieldValue);
			$fieldValue          = str_replace("？","?",$fieldValue);
			$ITEM_VALUE_SHOW     = $this->Docountersign($fieldValue);
			$elementStr = "<textarea id=\"countersign_input_$elementId\" name =\"countersign_input_$elementId\" field_required='$elementRequire' auto_user=\"$auto_user_value\" auto_datetime=\"$auto_datetime_value\" style='width:90%;height:50px;border:1px solid #ccc;margin-top:5px;outline:none;' onchange=\"checkRequired(this,'$elementId','$this->opFlag');\" onblur=\"checkRequired(this,'$elementId','$this->opFlag');\" onclick=\"openFastEnterBox(this,'$elementId');\" onkeyup=\"checkRequired(this,'$elementId','$this->opFlag');\" class=\"countersign\" ></textarea>"
                            . "<div class='fast_enter_box' id='fast_enter_$elementId' style='overflow-y:auto;top:56px;position:absolute;z-index:10;width:90%;height:152px;border:1px solid #1EB1ED;display:none;background:#fff;'><div id='fast_enter_sub_$elementId' style='overflow-y:auto;width:100%;height:120px;background:#fff;'></div><div id='fast_enter_close_$elementId' style='float:left;width:100%;height:30px;background:#1EB1ED;color:#fff;text-align:center;line-height:30px;'>关闭</div></div>";
			//增加必填字段后面的提示信息
			if($elementRequire)
			{
				//会签比较特殊,ITEM_VALUE可能是别人填写的值,故不管有没有值,都显示必填
				$elementStr .= "<span id=\"required_".$elementId."_span\">&nbsp;<img src='".IMG_PATH."required.gif' align='absmiddle'></span>";
			}
			$elementStr .= "<div id=\"DIV_$elementId\" class=\"counterSignDiv\" style=\"background:#f1f1f1;width:90%;padding:3px;margin-bottom:5px;margin-top:3px;border-left:3px solid #ED9C28;\">$ITEM_VALUE_SHOW</div><textarea style=\"display:none;\"  id=\"DATA_$elementId\" name=\"DATA_$elementId\" field_required='$elementRequire' class=\"countersign\" >".htmlspecialchars($fieldValue)."</textarea>";
			if(!$editable && $this->flowType == 1){
				//处理只读
				if(!find_id($this->prcsItem,$elementTitle)){
					$elementStr = strstr($elementStr,"<div id=\"DIV_$elementId\" class=\"counterSignDiv\" style=\"background:#f1f1f1;width:90%;padding:3px;margin-bottom:5px;margin-top:3px;border-left:3px solid #ED9C28;\">$ITEM_VALUE_SHOW</div>");
				}
			}
		}
		return $elementStr;
	}
	/**
	*人员选择字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementRequire    是否要必填
	*@param  str   $fieldValue        表单字段值
	*@param  int   $elementId         表单字段序号
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_chooseuser($elementStr,$elementRequire,$fieldValue,$elementId,$editable){
        if($fieldValue == '|'){
            $fieldValue = '';
        }
		$showvalue = explode("|",$fieldValue);
		if($this->diff=="view"){
			$elementStrReturn = $showvalue[0];
		}else{
//			if($editable){
//				$elementStrReturn .= "<div class=\"creatbutton-bg\" style=\"margin:5px 0 0 0;\" align=\"center\"  onclick=\"FlowEmobileChoose('user','".$elementId."');FlowSearchSelect('".$elementId."');\"><span style=\"color:#FFF;\">选&nbsp;择</span></div>";
//			}
//			$elementStrReturn .= "<input type=\"hidden\" id=\"DATA_$elementId\"  required='$elementRequire' name=\"DATA_$elementId\" class=\"chooseUserInput\" value=\"$fieldValue\">";
//			if($showvalue[0]!="")
//			{
//				$idarray = explode(",",$showvalue[1]);
//				$namearray = explode(",",$showvalue[0]);
//				$idcount = count($idarray);
//				if(!$editable){
//					for($i=0;$i<$idcount-1;$i++){
//						$elementStrReturn .= "<div style=\"border:2px solid #189AE0;float:left; margin:5px 10px 3px 0;\" \"><span>".$namearray[$i]."</span></div>";
//					}
//				}
//				else{
//					for($i=0;$i<$idcount-1;$i++){
//						$elementStrReturn .= "<div id=\"".$idarray[$i]."\" style=\"border:2px solid #189AE0;float:left; margin:5px 10px 3px 0;\" onclick=\"deleteselect(this,'".$idarray[$i]."','".$namearray[$i]."','DATA_".$elementId."','flow')\" \"><span>".$namearray[$i]."<img src=\"".IMG_PATH."create/close-btn.png\" /></span></div>";
//					}
//				}
//			}
            if($editable){
                $elementStrReturn .='<div class="common_button success" id="openUser_'.$elementId.'" name="openUser_'.$elementId.'" style="margin-top:5px;margin-bottom:5px;">选&nbsp;择</div>'
                    . '<div class="common_button danger" id="cancelUser_'.$elementId.'" style="margin-top:5px;margin-bottom:5px;">清&nbsp;空</div>';
            }
            if($fieldValue){
                $fieldValueArray = explode('|', $fieldValue);
                $userName = explode(',',$fieldValueArray[0]);
                $userId   = explode(',',$fieldValueArray[1]);
                array_pop($userName);
                array_pop($userId);
                $showDiv = '';
                if($editable){
                    foreach($userName as $key => $value){
                        $showDiv .= '<div class="user_select show_user_item" user_id="'.$userId[$key].'" onclick="removeSelectedUser(this)">'.$value.'<div class="show_user_close"></div></div>';
                    }
                }else{
                   foreach($userName as $key => $value){
                        $showDiv .= '<div class="user_select show_user_item_c" user_id="'.$userId[$key].'">'.$value.'<div class="show_user_close" style="display:none;"></div></div>';
                    }
                }
            }
            $elementStrReturn .= '<div id="show_'.$elementId.'" style="width:100%;float:left;">'
                    . '<div class="user_list">'.$showDiv.'</div>'
                    . '<input type="hidden" id="DATA_'.$elementId.'" name="DATA_'.$elementId.'" value="'.$fieldValue.'" required="'.$elementRequire.'">';
            $elementStrReturn .=    '<script language="javascript">$(document).ready(function() {'
                    . '$("#openUser_'.$elementId.'").click(function(){'
                    . 'UserSelect.isFlow = true;'
                    . 'UserSelect.open("show_'.$elementId.'","DATA_'.$elementId.'");});'
                    . '$("#cancelUser_'.$elementId.'").click(function(){'
                    . '$("#show_'.$elementId.'").children(".user_list").html("");'
                    . '$("#DATA_'.$elementId.'").val("");$("#required_'.$elementId.'_span").html("<img src=\"'.IMG_PATH.'required.gif\" align=\"absmiddle\"/>");});'
                    . '});'
                    . '</script>'
                    . '</div>';
			//增加必填字段后面的提示信息
			if($elementRequire)
			{
				if($fieldValue||$this->opFlag != 1)
				{
					$elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
				}
				else
				{
					$elementStrReturn .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
				}
			}
		}

		return $elementStrReturn;
	}
	/**
	*部门选择字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementRequire    是否要必填
	*@param  str   $fieldValue        表单字段值
	*@param  int   $elementId         表单字段序号
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_choosedept($elementStr,$elementRequire,$fieldValue,$elementId,$editable){
        if($fieldValue == '{部门选择框}' || $fieldValue == '|部门选择框}'){
            $fieldValue = '';
        }
		$showvalue = explode("|",$fieldValue);
		if($this->diff=="view"){
			$elementStrReturn = $showvalue[0];
		}else{
			if($editable){
				$elementStrReturn .= "<div style=\"float:left;width:100%;\"><div class=\"common_button success\" style=\"margin:5px 5px 5px 0;\" align=\"center\"  onclick=\"FlowEmobileChoose('dept','".$elementId."');FlowSearchSelect('".$elementId."');\"><span style=\"color:#FFF;\">选&nbsp;择</span></div></div>";
			}
			$elementStrReturn .= "<input type=\"hidden\" id=\"DATA_$elementId\"  field_required='$elementRequire' name=\"DATA_$elementId\" class=\"chooseDeptInput\" value=\"$fieldValue\">";
			if($showvalue[0]!="")
			{
				$idarray = explode(",",$showvalue[1]);
				$namearray = explode(",",$showvalue[0]);
				$idcount = count($idarray);
				if(!$editable){
					for($i=0;$i<$idcount-1;$i++){
						$elementStrReturn .= "<div style=\"border:2px solid #189AE0;float:left; margin:5px 10px 3px 0;\" \"><span>".$namearray[$i]."</span></div>";
					}
				}
				else{
					for($i=0;$i<$idcount-1;$i++){
						$elementStrReturn .= "<div id=\"".$idarray[$i]."\" style=\"border:2px solid #189AE0;float:left; margin:5px 10px 3px 0;\" onclick=\"deleteselect(this,'".$idarray[$i]."','".$namearray[$i]."','DATA_".$elementId."','flow')\" \"><span>".$namearray[$i]."<img src=\"".IMG_PATH."create/close-btn.png\" /></span></div>";
					}
				}
			}
			//$elementStrReturn = $showvalue[0];
	//		$elementStrReturn .= "<br><span class=\"title-other\">(此控件暂不支持编辑)</span>";
	//		$elementStrReturn .= "<input type=\"hidden\" required='$elementRequire' id=\"DATA_$elementId\" name=\"DATA_$elementId\"class=\"chooseDeptInput\" value=\"$fieldValue\">";
			//增加必填字段后面的提示信息
			if($elementRequire)
			{
				if($fieldValue||$this->opFlag != 1)
				{
					$elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
				}
				else
				{
					$elementStrReturn .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
				}
			}
		}

		return $elementStrReturn;
	}
	/**
	*角色选择字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementRequire    是否要必填
	*@param  str   $fieldValue        表单字段值
	*@param  int   $elementId         表单字段序号
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_chooserole($elementStr,$elementRequire,$fieldValue,$elementId,$editable){
        if($fieldValue == '{角色选择框}' || $fieldValue == '|角色选择框}'){
            $fieldValue = '';
        }
		$showvalue = explode("|",$fieldValue);
		if($this->diff=="view"){
			$elementStrReturn = $showvalue[0];
		}else{
			if($editable){
				$elementStrReturn .= "<div style=\"float:left;width:100%;\"><div class=\"common_button success\" style=\"margin:5px 0 5px 0;\" align=\"center\"  onclick=\"FlowEmobileChoose('priv','".$elementId."');FlowSearchSelect('".$elementId."');\"><span style=\"color:#FFF;\">选&nbsp;择</span></div></div>";
			}
			$elementStrReturn .= "<input type=\"hidden\" id=\"DATA_$elementId\"  field_required='$elementRequire' name=\"DATA_$elementId\" class=\"chooseRoleInput\" value=\"$fieldValue\">";
			if($showvalue[0]!="")
			{
				$idarray = explode(",",$showvalue[1]);
				$namearray = explode(",",$showvalue[0]);
				$idcount = count($idarray);
				if(!$editable){
					for($i=0;$i<$idcount-1;$i++){
						$elementStrReturn .= "<div style=\"border:2px solid #189AE0;float:left; margin:5px 10px 3px 0;\" \"><span>".$namearray[$i]."</span></div>";
					}
				}
				else{
					for($i=0;$i<$idcount-1;$i++){
						$elementStrReturn .= "<div id=\"".$idarray[$i]."\" style=\"border:2px solid #189AE0;float:left; margin:5px 10px 3px 0;\" onclick=\"deleteselect(this,'".$idarray[$i]."','".$namearray[$i]."','DATA_".$elementId."','flow')\" \"><span>".$namearray[$i]."<img src=\"".IMG_PATH."create/close-btn.png\" /></span></div>";
					}
				}
			}
			//$elementStrReturn = $showvalue[0];
	//		$elementStrReturn .= "<br><span class=\"title-other\">(此控件暂不支持编辑)</span>";
	//		$elementStrReturn .= "<input type=\"hidden\" required='$elementRequire' id=\"DATA_$elementId\" name=\"DATA_$elementId\" class=\"chooseRoleInput\" value=\"$fieldValue\">";
			//增加必填字段后面的提示信息
			if($elementRequire)
			{
				if($fieldValue||$this->opFlag != 1)
				{
					$elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
				}
				else
				{
					$elementStrReturn .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
				}
			}
		}

		return $elementStrReturn;
	}
	/**
	*明细字段控件
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementTitle      字段的title属性
	*@param  int   $elementId         表单字段序号
	*@param  str   $fieldValue        表单字段值
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_detailchar($elementStr,$elementTitle,$elementId,$fieldValue,$editable,$elementRequire){
	    //detailchar(明细字段)
	    //把设置明细字段的自读设置放到这里处理了，目的，处理方便
	    /*if($this->flowType == "1")
	    {
	        if(!find_id($this->prcsItem,$elementTitle)||$this->opFlag != 1)
	            $fieldReadOnly = "1";
	    }else{
	        if($this->opFlag != 1)
	            $fieldReadOnly = "1";
	    }*/
	    if(!$editable)
	        $fieldReadOnly = "1";
	    //取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
	    $detailCharWidth         = getHtmlObjPropValue($elementStr,"detailcharwidth");
	    $detailCharFormula       = getHtmlObjPropValue($elementStr,"detailcharformula");
	    $detailCharTotal         = getHtmlObjPropValue($elementStr,"detailchartotal");
	    $detailCharName          = getHtmlObjPropValue($elementStr,"detailcharname");
	    //增加明细字段类型
	    $detailCharType          = getHtmlObjPropValue($elementStr,"detailchartype");
	    //获取明细项下拉框的值
	    $detailCharDropValues    = getHtmlObjPropValue($elementStr,"detailchardropvalues");
	    // 列合计时，保留小数点位数
	    $detailCharDecimal       = getHtmlObjPropValue($elementStr,"detailchardecimal");
	    // 列合计时，四舍五入
	    $detailCharRoundoff      = getHtmlObjPropValue($elementStr,"detailcharroundoff");
	    // 行计算时，保留小数点位数&四舍五入
	    $detailCharFormulaFormat = getHtmlObjPropValue($elementStr,"detailcharformulaformat");
	    $detailCharNameArray     = explode("`",$detailCharName);
	    $detailCharWidthArray    = explode("`",$detailCharWidth);
	    $detailCharFormulaArray  = explode("`",$detailCharFormula);
	    $detailCharTotalArray    = explode("`",$detailCharTotal);
	    $detailCharDecimalArray  = explode("`",$detailCharDecimal);
	    $detailCharRoundoffArray = explode("`",$detailCharRoundoff);
	    $detailCharFormulaFormatArray = explode("`",$detailCharFormulaFormat);
	    //增加明细字段类型
	    if($detailCharType)
	        $detailCharTypeArray   = explode("`",$detailCharType);
	    else
	    {
	        for($dti=0;$dti < count($detailCharNameArray);$dti++)
	        {
	            $detailCharTypeArray[$dti]  = "1";
	            $detailCharType            .= "1`";
	        }
	    }
	    if($detailCharDropValues)
	        $detailCharDropArray   = explode("~",$detailCharDropValues);
	    else
	    {
	        for($dti=0;$dti < count($detailCharNameArray);$dti++)
	        {
	            $detailCharDropArray[$dti]  = "";
	            $detailCharDropValues      .= "~";
	        }
	    }
	    $title                  = getHtmlObjPropValue($elementStr,"title");
	    $elementStrReturn  = "<div class='flow-detail-control-auto-width' style='display:inline-block;float:left;overflow-x:auto;'><table width=\"100%\" border=\"1\" cellspace=\"0\" cellpadding=\"3\" id=\""."tableDetailChar_"."$elementId"."_"."$title\" class=\"detailChar\"><tr class=\"tableheader\" ><td width=\"20\">";
	    if($editable)
	        $elementStrReturn .= "<img style=\"padding:3px;\" src='/E-mobile/Public/images/workflow/detail_add.png' onclick=\"addRow('$title','".$_SESSION["LOGIN_THEME"]."','$detailCharWidth','$detailCharFormula','$detailCharTotal','$detailCharDecimal','$detailCharRoundoff','$detailCharFormulaFormat','$detailCharName','$detailCharType','$detailCharDropValues','$elementId')\">";
	    $elementStrReturn .= "</td><td width=\"20\"> </td>";
	    for($i = 0; $i < count($detailCharNameArray);$i++)
	    {
	        $elementStrReturn .= "<td nowrap=\"nowrap\">$detailCharNameArray[$i]</td>";
	    }
	    $elementStrReturn .= "</tr>";
	    $itemRowValueArray  = explode("|＃|",trim($fieldValue,"|＃|"));
	    $detailCharArray    = "";
	    $rowCount           = 0;
	    for($i = 0; $i <count($itemRowValueArray);$i++) {
	        if($itemRowValueArray[$i])
	        {
	            $rowCount++;
	            $elementStrReturn .= "<tr><td valign=\"top\">";
	            if($editable)
	                $elementStrReturn .= "<img style=\"padding:3px;\" src='/E-mobile/Public/images/workflow/detail_del.png' onclick=\"dellRow(this,'".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\">";
	            $elementStrReturn .= "</td><td nowrap=\"nowrap\"><span style=\"padding:5px;\">$rowCount</span></td>";
	            $itemColValueArray = explode("`*`",$itemRowValueArray[$i]);
	            for($j = 0;$j < count($detailCharTotalArray);$j++)
	            {
	                $rowsIndex = $i+1;
	                $colsIndex = $j+1;
	                 if($detailCharFormulaArray[$j]||$fieldReadOnly)
	                 {
	                    $classStr = "class=\"textareaonly detailCharTextArea\" readonly=\"readonly\"";
	                 }
	                 else
	                 {
	                    if($detailCharTypeArray[$j]==4)
	                        $classStr = "class=\"wdate\"";
	                    else
	                        $classStr = "class=\"text detailCharTextArea\"";
	                 }
	                 if($detailCharTypeArray[$j]==1)
	                 {
	                     if(strpos($detailCharWidthArray[$j],"*"))
	                     {
	                        $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
	                        $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
	                        $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
	                        $size = "style=\"width:$fWitdh; height:$fHeight;\"";
	                     } else {
	                         //兼容原来的
	                         $size = "size=\"$detailCharWidthArray[$j]\"";
	                     }
	                     $elementStrReturn .= "<td valign=\"top\"><input type=\"text\" ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" value=\"".$itemColValueArray[$j]."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\"  oninput=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" > </td>";
	                 }
	                 else if($detailCharTypeArray[$j]==2)
	                 {
	                     if(!strpos($detailCharWidthArray[$j],"*"))
	                     {
	                        $detailCharWidthArray[$j] = "90*20";
	                     }
	                     $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
	                     $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
	                     $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
	                     $size = "style=\"width:$fWitdh; height:$fHeight;\"";
	                     $elementStrReturn .= "<td valign=\"top\"><textarea ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\"  oninput=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" >".$itemColValueArray[$j]."</textarea></td>";
	                 }
	                 else if($detailCharTypeArray[$j]==3)
	                 {
	                     if(!strpos($detailCharWidthArray[$j],"*"))
	                     {
	                        $detailCharWidthArray[$j] = "90*20";
	                     }
	                     $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
	                     $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
	                     $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
	                     $size = "style=\"width:$fWitdh; height:$fHeight;\"";

	                     $elementStrReturn .= "<td valign=\"top\"><select ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\"  oninput=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" >";
	                     $dropValueArray = explode(",",$detailCharDropArray[$j]);
	                     for($m=0;$m<count($dropValueArray);$m++)
	                     {
	                        $selected = "";
	                        if($dropValueArray[$m]||$m==0)
	                        {
	                            if($fieldReadOnly)
	                            {
	                                if($itemColValueArray[$j]==$dropValueArray[$m])
	                                {
	                                    $selected = "selected=\"selected\"";
	                                    $elementStrReturn .= "<option value=\"".$dropValueArray[$m]."\" $selected >".$dropValueArray[$m]."</option>";
	                                }
	                            }
	                            else
	                            {
	                                if($itemColValueArray[$j]==$dropValueArray[$m])
	                                    $selected = "selected=\"selected\"";
	                                $elementStrReturn .= "<option value=\"".$dropValueArray[$m]."\" $selected >".$dropValueArray[$m]."</option>";
	                            }
	                        }
	                     }
	                     $elementStrReturn .="</select> </td>";
	                 }
	                 else if($detailCharTypeArray[$j]==4)
	                 {
	                     if(!strpos($detailCharWidthArray[$j],"*"))
	                     {
	                        $detailCharWidthArray[$j] = "90*20";
	                     }
	                     $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
	                     $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
	                     $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
	                     $size = "style=\"width:$fWitdh; height:$fHeight;\"";
	                     $elementStrReturn .= "<td valign=\"top\"><input type=\"text\" ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\"  oninput=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" value=\"".$itemColValueArray[$j]."\" />";
	                    if(!$fieldReadOnly) {
	                        $elementStrReturn .= "<script>
		                    var picker = new Pikaday({
		                        field: document.getElementById('".$title."_".$rowsIndex."_".$colsIndex."'),
		                        firstDay: 1,
		                        onClose:function(){
		                            $('#".$title."_".$rowsIndex."_".$colsIndex."').change();
		                        }
		                    });
		                    </script>";
	                    }
	                    $elementStrReturn .= "</td>";
	                 }
	            }
	            $elementStrReturn .= "</tr>";
	        }

	    }
	    $elementStrReturn .= "<tr id=\"$title"."_"."buttomTr\"><td></td><td></td>";
	    for($i = 0; $i < count($detailCharNameArray);$i++)
	    {
	        $colIndex = $i+1;
	        $elementStrReturn .= "<td nowrap=\"nowrap\" id=\"$title"."_td_$colIndex"."\">&nbsp;</td>";
	    }
	    // 自定义属性 detailcontroltype 为了标示此控件来源，follow.js里面需要判断
	    $elementStrReturn .= "</tr></table></div><input type=\"hidden\" id=\"DATA_$elementId\" name=\"DATA_$elementId\" value=\"$fieldValue\" class=\"detailchar\" detailcontroltype=\"emobile\"><input type=\"hidden\" value=\"".count($itemRowValueArray)."\" name=\"$title"."_hidden_len\" id=\"$title"."_hidden_len\"><script type=\"\">setTimeout(\"refreshDetail('$title','$detailCharTotal','$detailCharDecimal','$detailCharRoundoff','$detailCharFormulaFormat','$detailCharFormula','$elementId')\",2000)</script>";
		//增加必填字段后面的提示信息
		if($elementRequire)
		{
			if($ITEM_VALUE_TEXT||$this->opFlag != 1)
			{
				$elementStrReturn .= "<span style='display:inline-block;float:left;' id=\"required_".$elementId."_span\"></span>";
			}
			else
			{
				$elementStrReturn .= "<span style='display:inline-block;float:left;' id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
			}
		}
	    if(!$editable){
	        $elementStrReturn = ereg_replace("<img src=\"[^\>]+>","",$elementStrReturn);
	        //原来只有单行文本框，设置单行文本框的只读
	        $elementStrReturn = ereg_replace("<input type=\"text\" class=\"text\"","<input type=\"text\" class=\"textareaonly\" readonly=\"readonly\" ",$elementStrReturn);
	    }

	    return $elementStrReturn;
	}
	/**
	*获值字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  str   $elementName       字段名
	*@param  str   $elementValue      表单字段初始
	*@param  str   $fieldValue        表单字段值
	*@param  int   $elementId         表单字段序号
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_getvalue($elementStr,$elementName,$elementValue,$fieldValue,$elementId,$editable){
		if($this->diff=="view"){
			$elementStr = $fieldValue;
		}else{
			//getvalue(获值，大写转换)
			//获值字段的对应的控件id
			$elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
			$elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
			$datasourcetitle = getHtmlObjPropValue($elementStr,"datasourceid");
			$uppercase       = getHtmlObjPropValue($elementStr,"uppercase");
			if($datasourcetitle)
			{
				$this->getValueControl[$elementId]["datasourceid"] = getHtmlObjPropValue($elementStr,"datasourceid");
				$this->getValueControl[$elementId]["uppercase"]    = getHtmlObjPropValue($elementStr,"uppercase");
                $this->getValueControl[$elementId]["fieldValue"]    = $fieldValue;
			}
			if(!$editable){
				//$elementStr = "<$elementName readonly=\"readonly\" disabled=\"disabled\" ".str_replace("<$elementName","",$elementStr);
				$elementStr = "<$elementName readonly=\"readonly\"  ".str_replace("<$elementName","",$elementStr);
				$elementStr = str_replace("class=\"getvalue\"","class=\"textareaonly getvalue\"",$elementStr);
			}
			$elementStr .= "<table class=\"flow-emobile-getvalue-control-transform-button\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" onclick=\"get_value_caps_$elementId();attach_event_$elementId();\" style=\"float:right\"><tr><td class=\"flowform-button-left\"></td><td class=\"flowform-button-center flowform-button-text\" align=\"center\"><span style=\"margin-left:10px; margin-right:10px;\">转换</span></td><td class=\"flowform-button-right\"></td></tr></table>";
		}

		return $elementStr;
	}
	/**
	*动态字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  str   $elementName       字段名
	*@param  str   $elementTitle      字段title属性
	*@param  int   $elementId         表单字段序号
	*@param  str   $elementValue      表单字段初始
	*@param  str   $fieldValue        表单字段值
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_dynamic($elementStr,$elementName,$elementTitle,$elementId,$elementValue,$fieldValue,$elementRequire,$editable){
		if($this->diff=="view"){
			$elementStr = $fieldValue;
		}else{
	        //dynamic(动态联动字段)
	        //赋值
	        if($elementName == "INPUT"){
	            $elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
	            $elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
	        }else if($elementName == "TEXTAREA"){
	            $elementStr = str_replace(">$elementValue<",">$fieldValue<",$elementStr);
	        }else if($elementName == "SELECT"){
	            $elementStr = str_replace("</SELECT>","<option id=\"$fieldValue\" value=\"$fieldValue\">$fieldValue</option></select>",$elementStr);
	        }
	        $relparent  = getHtmlObjPropValue($elementStr,"relparent");
	        $datasource = getHtmlObjPropValue($elementStr,"datasource");
	        $fieldtype  = getHtmlObjPropValue($elementStr,"fieldtype");

	        $this->relationField[$elementId]["relparent"]  = $relparent;
	        $this->relationField[$elementId]["datasource"] = $datasource;
	        $this->relationField[$elementId]["fieldtype"]  = $fieldtype;
	        $str = "DATA_$elementId";
	        $this->relationField[$elementId]["value"]  = $fieldValue;
	        if($elementName != "SELECT")
	        {
	            $itemcp   = 0;
	            if($this->opFlag ==1)
	            {
	                if($this->flowType ==1)
	                {
	                    if(find_id($this->prcsItemCapacity,$elementTitle)){
	                        $itemcp = 1;//智能获值
	                    }
	                    if(find_id($this->prcsItemAuto,$elementTitle)){
	                        $itemcp = 2;//自动获值
	                    }
	                } else{
	                        $itemcp = 1;//自由流程，默认主办人默认是智能获值
	                }
	            }
	            $elementStr = str_replace("<$elementName","<$elementName itemcp=\"$itemcp\"",$elementStr);
	            //设置只读
	            if(!$editable){
	                $elementStr = "<$elementName readonly=\"readonly\" ".str_replace("<$elementName","",$elementStr);
	                $elementStr = str_replace("class=\"dynamic\"","class=\"textareaonly dynamic\"",$elementStr);
	            }
	            //增加必填字段后面的提示信息
	            if($elementRequire)
	            {
	                if($fieldValue||$this->opFlag != 1)
	                {
	                    $elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
	                }
	                else
	                {
	                    $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
	                }
	            }
	        }
	        else
	        {
	            if(!$editable){
	                $elementStr = "<$elementName readonly=\"readonly\" ".str_replace("<$elementName","",$elementStr);
	                $elementStr = str_replace("class=\"dynamic\"","class=\"textareaonly dynamic\"",$elementStr);
	            }
	        }
	    }

	    return $elementStr;
	}
	/**
	*日期时间计算控件
	*@param  str   $elementStr        要处理的字段字符串
	*@param  str   $elementName       字段名
	*@param  str   $elementId         表单字段序号
	*@param  str   $elementValue      表单字段初始
	*@param  str   $fieldValue        表单字段值
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStr        处理后的字符串
	*/
	function html_datecompute($elementStr,$elementName,$elementId,$elementFormat,$elementValue,$fieldValue,$editable){
		if($this->diff=="view"){
			$elementStr = $fieldValue;
		}else{
			//日期时间计算
			//取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
			$elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
			$elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
			$startDateValue      = getHtmlObjPropValue($elementStr,"startdate");
			$startTimeValue      = getHtmlObjPropValue($elementStr,"starttime");
			$endDateValue        = getHtmlObjPropValue($elementStr,"enddate");
			$endTimeValue        = getHtmlObjPropValue($elementStr,"endtime");
			$dayUnitValue        = getHtmlObjPropValue($elementStr,"dayunit");
			$this->dateComputeControl[$elementId]["startdate"] = $startDateValue;
			$this->dateComputeControl[$elementId]["starttime"] = $startTimeValue;
			$this->dateComputeControl[$elementId]["enddate"]   = $endDateValue;
			$this->dateComputeControl[$elementId]["endtime"]   = $endTimeValue;
			$this->dateComputeControl[$elementId]["dayunit"]   = $dayUnitValue;
            $this->dateComputeControl[$elementId]["elementFormat"] = $elementFormat;
			//表单定义中的上午开始时间结束时间，下午开始结束时间
			$this->dateComputeControl[$elementId]["morning_start"]   = getHtmlObjPropValue($elementStr,"morning_start");
			$this->dateComputeControl[$elementId]["morning_end"]     = getHtmlObjPropValue($elementStr,"morning_end");
			$this->dateComputeControl[$elementId]["afternoon_start"] = getHtmlObjPropValue($elementStr,"afternoon_start");
			$this->dateComputeControl[$elementId]["afternoon_end"]   = getHtmlObjPropValue($elementStr,"afternoon_end");
			if(!$editable)
			{
				//$elementStr = "<$elementName readonly=\"readonly\" disabled=\"disabled\" ".str_replace("<$elementName","",$elementStr);
				$elementStr = "<$elementName readonly=\"readonly\"  ".str_replace("<$elementName","",$elementStr);
				$elementStr = str_replace("class=\"datecompute\"","class=\"textareaonly datecompute\"",$elementStr);
			}
			$elementStr .= "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" onclick=\"compute_date_sub_$elementId()\" style=\"float:right;margin-top:7px;margin-right:5px;\"><tr><td class=\"flowform-button-left\"></td><td class=\"flowform-button-center flowform-button-text\" align=\"center\"><span style=\"margin-left:5px; margin-right:5px;\">计算</span></td><td class=\"flowform-button-right\"></td></tr></table>";
		}

		return $elementStr;
	}
	/**
	*计算控件
	*@param  str   $elementStr        要处理的字段字符串
	*@param  str   $elementValue      表单字段初始
	*@param  str   $elementId         表单字段序号
	*@param  str   $elementName       字段名
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_calc($elementStr,$elementValue,$elementClass,$elementId,$fieldValue,$elementName,$elementRequire,$editable){
		if($this->diff=="view"){
			$thouslanformat = getHtmlObjPropValue($elementStr,"thousandformat");
			if($thouslanformat)
			{
				$fieldValue = number_format($fieldValue,"2",".",",");
				if(substr($fieldValue,-3)==".00")
					$fieldValue = substr($fieldValue,0,strlen($fieldValue)-3);
			}
			$elementStrReturn = $fieldValue;
		}else{
			//calc(计算控件)
			//$elementStr = "<$elementName disabled='disabled' ".str_replace("<$elementName","",$elementStr);
			$elementStr = "<$elementName readonly='readonly' ".str_replace("<$elementName","",$elementStr);
			$elementStr = str_replace($elementValue,"",$elementStr);
			if($elementValue!=$fieldValue)
			{
				$elementStr = str_replace("value=\"\"","value=\"$fieldValue\"",$elementStr);
			}
			$thouslanformat = getHtmlObjPropValue($elementStr,"thousandformat");
			$K=0;
			for($J=0; $J<count($this->formElement); $J++)
			{
				$ELEMENT1 = $this->formElement[$J];
				$ETITLE1  = $this->get_attr($ELEMENT1,"TITLE");
				$ECLASS1  = $this->get_attr($ELEMENT1,"CLASS");
				$EID      = $this->get_attr($ELEMENT1,"ID");

				if($ECLASS1 != "DATE"&&$ECLASS1 != "time")
					$K++;
				else
					continue;
				$ETITLE_ARRAY[$EID] = $ETITLE1;
			}
			$EVALUE1 = $elementValue."#";
			$POS    = 0;
			$ECALC1 = "";
			$ECALC2 = "";
			while($POS < strlen($EVALUE1))
			{
				$STR = substr($EVALUE1,$POS,1);
				$POS++;
				if($STR=="+"||$STR=="-"||$STR=="*"||$STR=="/"||$STR=="("||$STR==")"||$STR=="^"||$STR=="#")
				{
					if($ECALC2 != "")
					{
						/*$ARRAY_COUNT = sizeof($ETITLE_ARRAY);
						if($ETITLE_ARRAY[$ARRAY_COUNT-1] == "")
							$ARRAY_COUNT--;
						for($K = 1; $K <= $ARRAY_COUNT; $K++)
						{
							if($ETITLE_ARRAY[$K] == $ECALC2)
							{
								$ECALC1 .= "commafyback(document.form1.DATA_".$K.".value)";
								$ECALC2  = "";
								break;
							}
						}*/
						$eId = "";
						$eId = array_search($ECALC2,$ETITLE_ARRAY);
						if($eId)
						{
							$ECALC1 .= "commafyback(document.form1.".$eId.".value,'calc')";
							$ECALC2  = "";
							//break;
						}
					}
					if($STR != "#")
						$ECALC1 .= $STR;
				}
				else
					$ECALC2 .= $STR;
			}
			$ECALC1 = trim($ECALC1,"+-*/^#");
			if($elementRequire)
			{
				//为计算控件添加特殊处理
				if($elementClass == "CALC")
				{
					if($elementValue==$fieldValue)
					{
						$elementStr .= "<span id=\"required_".$elementId."_span\"><img src='".IMG_PATH."required.gif' align='absmiddle'></span>";
					}
					else
					{
						if($fieldValue || $this->opFlag != 1)
						{
							$elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
						}
						else
						{
							$elementStr .= "<span id=\"required_".$elementId."_span\"><img src='".IMG_PATH."required.gif' align='absmiddle'></span>";
						}
					}
				}
			}
			if($ECALC1){
					$elementStrReturn .= $elementStr."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" onclick=\"calc_$elementId()\" style=\"float:right\"><tr><td class=\"flowform-button-left\"></td><td class=\"flowform-button-center flowform-button-text\" align=\"center\"><span style=\"margin-left:10px; margin-right:10px;\">计算</span></td><td class=\"flowform-button-right\"></td></tr></table>";
					$elementStrReturn .= "<script language='javascript'>
						function calc_$elementId()
						{
							var myvalue = $ECALC1;
							if(!isNaN(myvalue)&&myvalue != Infinity )
							{
								myvalue = (Math.round(myvalue * 100)/100).toString();
								var thouslanformat = '$thouslanformat';
								if(thouslanformat)
								{
									$('#DATA_$elementId').val(myvalue);
									$('#DATA_$elementId').change();
								}
								else
								{
									$('#DATA_$elementId').val(myvalue);
									$('#DATA_$elementId').change();
								}
							}
							else
							{
								$('#DATA_$elementId').val('');
								$('#DATA_$elementId').change();
							}
							setTimeout(\"calc_$elementId();check_calc_value($elementId)\",1000);
						}
						function check_calc_value(item_id)
						{
							if(document.getElementById(\"DATA_\"+item_id).getAttribute(\"field_required\"))
							{
								if(document.getElementById(\"DATA_\"+item_id).value)
								{
									$('#required_'+item_id+'_span').html('');
								}
								else
								{
									$('#required_'+item_id+'_span').html('<img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\">');
								}
							}
						}
						calc_$elementId();
						$(window).bind('load',calc_$elementId);
						</script>";
				}
		}

		return $elementStrReturn;
	}
	/**
	*宏控件
	*@param  str   $elementStr        要处理的字段字符串
	*@param  str   $elementTitle      字段title属性
	*@param  str   $elementName       字段名
	*@param  str   $fieldValue        表单字段值
	*@param  int   $elementId         表单字段序号
	*@param  str   $elementValue      表单字段初始
	*@param  int   $elementRequire    是否要必填
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_auto($elementStr,$elementTitle,$elementName,$EMForm,$fieldValue,$elementId,$elementValue,$elementRequire,$editable){
		global $connection ,$LOGIN_USER_PRIV,$LOGIN_USER_ID,$LOGIN_DEPT_ID;
		if($this->diff=="view"){
			$ITEM_VALUE = $fieldValue;
			$EDATAFLD = get_attr($EMForm,"DATAFLD");
			if($EDATAFLD != "SYS_RUNNAME")
			{
				$ITEM_VALUE = stripslashes($ITEM_VALUE);
				$ITEM_VALUE = str_replace("\r\n","<br />",$ITEM_VALUE);
			}
			if($elementName == "SELECT" && $ITEM_VALUE != "")
			{
				switch($EDATAFLD)
				{
					case "SYS_LIST_DEPT":
						$query_auto  = "SELECT * FROM department WHERE DEPT_ID = '".SecurityFilter($ITEM_VALUE)."'";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW      = mysql_fetch_array($cursor_auto))
							$ITEM_VALUE = $ROW["DEPT_NAME"];
					break;
					case "SYS_LIST_PRIV":
						$query_auto  = "SELECT * FROM user_priv WHERE USER_PRIV = '".SecurityFilter($ITEM_VALUE)."'";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW      = mysql_fetch_array($cursor_auto))
							$ITEM_VALUE = $ROW["PRIV_NAME"];
					break;
					case "SYS_LIST_USER":
					case "SYS_LIST_PRCSUSER1":
					case "SYS_LIST_PRCSUSER2":
						$query_auto  = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($ITEM_VALUE)."'";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW      = mysql_fetch_array($cursor_auto))
							$ITEM_VALUE = $ROW["USER_NAME"];
					break;
					case "SYS_LIST_SQL":
					break;
				}
			}
			$elementStrReturn = $ITEM_VALUE;
		}else{
			$CUR_DATE  = date("Y-m-d");//当期日期
			$CUR_TIME1 = date("H:i:s",time());//当期时间 时分秒
			$CUR_TIME2 = date("H:i",time());//当期时间 时分
			$CUR_TIME  = $CUR_DATE." ".$CUR_TIME1;//当期日期时间
			$EDATAFLD  = $this->get_attr($elementStr,"DATAFLD");
			$itemcp    = 0;

			if(find_id($this->prcsItemCapacity,$elementTitle)&&$this->opFlag == 1){
				$itemcp = 1;//智能获值
			}
			if(find_id($this->prcsItemAuto,$elementTitle)&&$this->opFlag == 1){
				$itemcp = 2;//自动获值
			}
			//自由流程智能获值
			if($this->flowType=="2"){
				$itemcp = 1;
			}
			unset($AUTO_VALUE);
			if($elementName == "INPUT") // 单行输入框，无值时时将自动取值
			{
				switch($EDATAFLD)
				{
					case "SYS_USERCURDEAL" :
							//current deal username 当前主办人姓名
							$runid  = $this->runId;
							$flowid = $this->flowId;
							$prcsid = $this->prcsId;

							$query = "
								select frp.user_id,frp.run_id from flow_run_prcs frp,flow_run fr
								where
								frp.run_id = fr.run_id
								and frp.flow_prcs = fr.current_step
								and frp.op_flag = 1
								and fr.run_id = ".SecurityFilter($runid)."
								order by frp.prcs_id desc
								limit 1
							";
							$result = exequery ( $connection, $query );
							if(mysql_num_rows($result) > 0 ){
								$row = mysql_fetch_array($result);
								$userid = $row['user_id'];
								$query = "
									select user_name from user where user_id = '".SecurityFilter($userid)."' limit 1
								";
								$result = exequery($connection, $query);
								$row = mysql_fetch_array($result);
								$user = $row[0];
							}else{
								$user = '';
							}
							if ($itemcp == 0) {
								$AUTO_VALUE = $fieldValue;
							}
							if ($itemcp == 1) {
								$AUTO_VALUE = ($fieldValue == "") ? $user : $fieldValue;
							}
							if ($itemcp == 2) {
								$AUTO_VALUE = $user;
							}
					break;
					case "SYS_DATE":
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$CUR_DATE:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $CUR_DATE;
						}
					break;
					case "SYS_TIME":
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							if(in_array($elementTitle,$this->timeId)){
								$AUTO_VALUE = ($fieldValue == "")?$CUR_TIME2:$fieldValue;
							}else{
								$AUTO_VALUE = ($fieldValue == "")?$CUR_TIME1:$fieldValue;
							}
						}
						if($itemcp == 2){
							if(in_array($elementTitle,$this->timeId)){
								$AUTO_VALUE = $CUR_TIME2;
							}else{
								$AUTO_VALUE = $CUR_TIME1;
							}
						}
					break;
					case "SYS_DATETIME":
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$CUR_TIME:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $CUR_TIME;
						}
					break;
					case "SYS_USERID":
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$LOGIN_USER_ID:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $LOGIN_USER_ID;
						}
					break;
					case "SYS_USERNAME":
						$query_auto  = "SELECT * from USER where USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW=mysql_fetch_array($cursor_auto)){
							$ITEM_USER_NAME = $ROW["USER_NAME"];
						}
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$ITEM_USER_NAME:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $ITEM_USER_NAME;
						}
					break;
	                case "SYS_USER_JOBNUMBER":
	                    $query_auto  = "SELECT JOB_NUMBER from USER where USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";
	                    $cursor_auto = exequery($connection,$query_auto);
	                    if($ROW=mysql_fetch_array($cursor_auto)){
	                        $ITEM_JOB_NUMBER = $ROW["JOB_NUMBER"];
	                    }
	                    if($itemcp == 0){
	                        $AUTO_VALUE = $fieldValue;
	                    }
	                    if($itemcp == 1){
	                        $AUTO_VALUE = ($fieldValue == "")?$ITEM_JOB_NUMBER:$fieldValue;
	                    }
	                    if($itemcp == 2){
	                        $AUTO_VALUE = $ITEM_JOB_NUMBER;
	                    }
	                break;
                    // 当前用户，账户名
                    case "SYS_ACCOUNTS":
                        $query_auto  = "SELECT USER_ACCOUNTS from USER where USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";
                        $cursor_auto = exequery($connection,$query_auto);
                        if($ROW=mysql_fetch_array($cursor_auto)){
                            $ITEM_USER_ACCOUNTS = $ROW["USER_ACCOUNTS"];
                        }
                        if($itemcp == 0){
                            $AUTO_VALUE = $fieldValue;
                        }
                        if($itemcp == 1){
                            $AUTO_VALUE = ($fieldValue == "")?$ITEM_USER_ACCOUNTS:$fieldValue;
                        }
                        if($itemcp == 2){
                            $AUTO_VALUE = $ITEM_USER_ACCOUNTS;
                        }
                        break;
					//增加当前用户角色
					case "SYS_USERPRIV":
						$query_auto  = "SELECT * FROM user_priv WHERE USER_PRIV ='".SecurityFilter($LOGIN_USER_PRIV)."'";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW = mysql_fetch_array($cursor_auto)){
							$ITEM_USER_PRIV = $ROW["PRIV_NAME"];
						}
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$ITEM_USER_PRIV:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $ITEM_USER_PRIV;
						}
					break;
                //当前用户上级
                case "SYS_USER_SUPERIOR":
                    include_once("api/user.class.php");
                    $user = new user;
                    //获取上级信息
                    $superiorArray    = $user->getSuperiorArrayByUserId($LOGIN_USER_ID);
                    if($superiorArray["id"] && $superiorArray["name"]) {
                        $userSuperiorId   = implode(",", $superiorArray["id"]).",";
                        $userSuperiorName = implode(",", $superiorArray["name"]).",";
                    }
                    $userSuperiorName = trim($userSuperiorName,",");
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$userSuperiorName:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $userSuperiorName;
                    }
                break;
                //当前用户下级
                case "SYS_USER_SUBORDINATE":
                    include_once("api/user.class.php");
                    $user = new user;
                    //获取下级信息
                    $subordinateArray    = $user->getSubordinateArrayByUserId($LOGIN_USER_ID);
                    if($subordinateArray["id"] && $subordinateArray["name"]) {
                        $userSubordinateId   = implode(",", $subordinateArray["id"]).",";
                        $userSubordinateName = implode(",", $subordinateArray["name"]).",";
                    }
                    $userSubordinateName = trim($userSubordinateName,",");
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$userSubordinateName:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $userSubordinateName;
                    }
                break;
					case "SYS_DEPTNAME":
						$ITEM_DEPT_NAME = dept_long_name($LOGIN_DEPT_ID);
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$ITEM_DEPT_NAME:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $ITEM_DEPT_NAME;
						}
					break;
					case "SYS_DEPTNAME_S":
						$ITEM_DEPT_NAME = dept_small_name($LOGIN_DEPT_ID);
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$ITEM_DEPT_NAME:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $ITEM_DEPT_NAME;
						}
					break;
					case "SYS_FORMNAME":
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$this->formName:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $this->formName;
						}
					break;
					case "SYS_RUNNAME":
						//把流水号的从实体转换换回来
						$AUTO_VALUE = html_entity_decode($this->runSeq,ENT_QUOTES,'UTF-8');
					break;
	                case "SYS_FLOWRUNNAME":
	                    //把流水号的从实体转换换回来
	                    $AUTO_VALUE = html_entity_decode($this->runName,ENT_QUOTES,'UTF-8');
	                break;
					case "SYS_RUNDATE":
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$this->prcsDate:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $this->prcsDate;
						}
					break;
					case "SYS_RUNDATETIME":
						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$this->prcsDateTime:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $this->prcsDateTime;
						}
					break;
					case "SYS_SQL":
						$EDATASRC       = $this->get_attr($elementStr,"DATASRC");
						$EDATASRC       = str_replace("`","'",$EDATASRC);
						$EDATASRC = htmlspecialchars_decode($EDATASRC, ENT_QUOTES);
						$cursor_SYS_SQL = exequery($connection,$EDATASRC);
						if($ROW = mysql_fetch_array($cursor_SYS_SQL))
							$SQL_VALUE = $ROW[0];

						if($itemcp == 0){
							$AUTO_VALUE = $fieldValue;
						}
						if($itemcp == 1){
							$AUTO_VALUE = ($fieldValue == "")?$SQL_VALUE:$fieldValue;
						}
						if($itemcp == 2){
							$AUTO_VALUE = $SQL_VALUE;
						}
					break;
				}
				if($EDATAFLD == "SYS_RUNNAME"){
					$elementStrReturn = "<INPUT type=\"hidden\" datafld=\"SYS_RUNNAME\" id=\"DATA_".$elementId."\" name=\"DATA_".$elementId."\" value='".$AUTO_VALUE."' />"."<span id=\"flowNoSpan_".$elementId."\">".$AUTO_VALUE."</span>";
				}else if($EDATAFLD == "SYS_FLOWRUNNAME"){
                	$style = getHtmlObjPropValue($elementStr,"style");
                	$elementStrReturn = "<INPUT type=\"hidden\" class=\"flowRunNameHiddenInputClass\" datafld=\"SYS_FLOWRUNNAME\" name=\"DATA_".$elementId."\" id=\"DATA_".$elementId."\" value='".$AUTO_VALUE."' />"."<span class=\"flowRunNameSpanClass\" id=\"flowRunNameSpan_".$elementId."\" style=\"".$style."\">".$AUTO_VALUE."</span>";
            	}else{
					$datearray = explode("*|*",$this->DateID);
					if(in_array($elementTitle,$datearray)){
						$elementStrReturn = $this->html_input_field($elementStr,$elementName,$elementRequire,$elementClass,$elementThousand,$AUTO_VALUE,$elementId,$AUTO_VALUE,$editable,$elementTitle,'');
					}elseif(in_array($elementTitle,$this->timeId)){
						$elementStrReturn = $this->html_timer($elementStr, $elementRequire, $elementId, $AUTO_VALUE, $editable);
					}else{
						$elementStrReturn = str_replace("value=\"$elementValue\"","",$elementStr);
						$elementStrReturn = str_replace("value=''","",$elementStrReturn);
						$elementStrReturn = str_replace("class=AUTO","",$elementStrReturn);
						$elementStrReturn = str_replace("<$elementName","<$elementName value='$AUTO_VALUE'",$elementStrReturn);
					}
				}
				if(!$editable){
					//$elementStrReturn = "<$elementName readonly=\"readonly\" disabled=\"disabled\" class='textareaonly' ".str_replace("<$elementName","",$elementStrReturn);
					$elementStrReturn = "<$elementName readonly=\"readonly\" class='textareaonly' ".str_replace("<$elementName","",$elementStrReturn);
				}
				//增加必填字段后面的提示信息
				if($elementRequire)
				{
					if($AUTO_VALUE||$this->opFlag != 1)
					{
						$elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
					}
					else
					{
						$elementStrReturn .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
					}
				}
			}
			elseif($elementName == "SELECT")
			{
				$AUTO_VALUE = "<option value=\"\"";
				if($fieldValue == "")
					$AUTO_VALUE .= " selected";
				$AUTO_VALUE .= "></option>\n";
				$ITEM_VALUE_TEXT = "";
				switch($EDATAFLD)
				{
					case "SYS_LIST_DEPT":
						$AUTO_VALUE .= my_dept_tree(0,$fieldValue,0);
						if($fieldValue != "")
						{
							$query_auto  = "SELECT * from DEPARTMENT where DEPT_ID=".SecurityFilter($fieldValue);
							$cursor_auto = exequery($connection,$query_auto);
							if($ROW = mysql_fetch_array($cursor_auto))
								$ITEM_VALUE_TEXT = $ROW["DEPT_NAME"];
						}
					break;
					case "SYS_LIST_USER":
						$query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV AND DEPT_ID > 0 order by PRIV_NO,USER_NAME";
						$cursor_auto = exequery($connection,$query_auto);
						while($ROW=mysql_fetch_array($cursor_auto))
						{
							$USER_ID    = $ROW["USER_ID"];
							$USER_NAME  = $ROW["USER_NAME"];
							$AUTO_VALUE.="<option value=\"$USER_ID\"";
							if($fieldValue == $USER_ID)
							{
								$AUTO_VALUE     .= " selected";
								$ITEM_VALUE_TEXT = $USER_NAME;
							}
							$AUTO_VALUE .= ">$USER_NAME</option>\n";
						}
					break;
					case "SYS_LIST_PRIV":
						$query_auto   = "SELECT * from USER_PRIV order by PRIV_NO";
						$cursor_auto  = exequery($connection,$query_auto);
						while($ROW=mysql_fetch_array($cursor_auto))
						{
							$USER_PRIV   = $ROW["USER_PRIV"];
							$PRIV_NAME   = $ROW["PRIV_NAME"];
							$AUTO_VALUE .= "<option value=\"$PRIV_NAME\"";
							if($fieldValue == $PRIV_NAME)
							{
								$AUTO_VALUE     .= " selected";
								$ITEM_VALUE_TEXT = $PRIV_NAME;
							}
							$AUTO_VALUE .= ">$PRIV_NAME</option>\n";
						}
					break;
					case "SYS_LIST_PRCSUSER1":
						$query_auto  = "select * from FLOW_PROCESS where FLOW_ID='".SecurityFilter($this->flowId)."' order by PRCS_ID";
						$cursor_auto = exequery($connection,$query_auto);
						$PRCS_USER   = "";
						while($ROW   = mysql_fetch_array($cursor_auto))
							$PRCS_USER .= $ROW["PRCS_USER"];

						$query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV order by PRIV_NO,USER_NAME";
						$cursor_auto = exequery($connection,$query_auto);
						while($ROW   = mysql_fetch_array($cursor_auto))
						{
							$USER_ID   = $ROW["USER_ID"];
							$USER_NAME = $ROW["USER_NAME"];
							if(find_id($PRCS_USER,$USER_ID))
							{
								$AUTO_VALUE    .= "<option value=\"$USER_ID\"";
								if($fieldValue == $USER_ID)
								{
									$AUTO_VALUE     .= " selected";
									$ITEM_VALUE_TEXT = $USER_NAME;
								}
								$AUTO_VALUE .= ">$USER_NAME</option>\n";
							}
						}
					break;
					case "SYS_LIST_PRCSUSER2":
						$query_auto  = "select * from FLOW_PROCESS where FLOW_ID='".SecurityFilter($this->flowId)."' AND PRCS_ID='".SecurityFilter($this->flowPrcs)."'";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW      = mysql_fetch_array($cursor_auto))
							$PRCS_USER = $ROW["PRCS_USER"];

						$query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV order by PRIV_NO,USER_NAME";
						$cursor_auto = exequery($connection,$query_auto);
						while($ROW   = mysql_fetch_array($cursor_auto))
						{
							$USER_ID   = $ROW["USER_ID"];
							$USER_NAME = $ROW["USER_NAME"];
							if(find_id($PRCS_USER,$USER_ID)||($fieldValue == $USER_ID))
							{
								$AUTO_VALUE .= "<option value=\"$USER_ID\"";
								if($fieldValue == $USER_ID)
								{
									$AUTO_VALUE     .= " selected";
									$ITEM_VALUE_TEXT = $USER_NAME;
								}
								$AUTO_VALUE.=">$USER_NAME</option>\n";
							}
						}
					break;
					case "SYS_LIST_SQL":
						$EDATASRC       = $this->get_attr($elementStr,"DATASRC");
						$EDATASRC       = str_replace("`","'",$EDATASRC);
						$EDATASRC = htmlspecialchars_decode($EDATASRC, ENT_QUOTES);
						$cursor_SYS_SQL = exequery($connection,$EDATASRC);
						while($ROW      = mysql_fetch_array($cursor_SYS_SQL))
						{
							$AUTO_VALUE_SQL = $ROW[0];
							$AUTO_VALUE    .= "<option value=\"$AUTO_VALUE_SQL\"";
							if($fieldValue == $AUTO_VALUE_SQL)
							{
								$AUTO_VALUE     .= " selected";
								$ITEM_VALUE_TEXT = $AUTO_VALUE_SQL;
							}
							$AUTO_VALUE .= ">$AUTO_VALUE_SQL</option>\n";
						}
						if(!find_id($this->prcsItem,$elementTitle)||$this->opFlag != 1)
						{
							// $AUTO_VALUE = "<option value=\"$fieldValue\" selected>$fieldValue</option>\n";
							$ITEM_VALUE_TEXT = $fieldValue;
						}
					break;
				}
				if(!$editable)
				{
					//宏控件下拉框自读设置
					$elementStr = str_replace($elementValue,"<OPTION value=\"$fieldValue\">$ITEM_VALUE_TEXT</OPTION>",$elementStr);
				}
				//增加必填字段后面的提示信息
				if($elementRequire)
				{
					if($ITEM_VALUE_TEXT||$this->opFlag != 1)
					{
						$elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
					}
					else
					{
						$elementStr .= "<span id=\"required_".$elementId."_span\"><img src=\"".IMG_PATH."required.gif\" align=\"absmiddle\"/></span>";
					}
				}
				$elementStrReturn = str_replace($elementValue,$AUTO_VALUE,$elementStr);
			}
		}

		return $elementStrReturn;
	}
	/**
	*html签章控件字段处理函数
	*@param  str   $elementStr        要处理的字段字符串
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrReturn  处理后的字符串
	*/
	function html_signature_field($elementStr,$elementId,$EMValue,$canEdit)
	{
		$str = "<input type='hidden' name='DATA_$elementId' id='DATA_$elementId' field_required='$REQUIRE' class='HTML_SIGNATURE' value='$EMValue'>";
		$str .= "<span class=\"title-other\">暂不支持此控件！</span>";

		return $str;
	}
	/**
	*手机签章控件字段处理函数
	*@param  str   $elementStr        要处理的字段字符串
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrRetrun  处理后的字符串
	*/
	function phone_signature_field($elementStr,$elementId,$EMValue,$canEdit){
		/*$str = "<input type='hidden' name='DATA_$elementId' id='DATA_$elementId' required='$REQUIRE' class='HTML_SIGNATURE' value='$EMValue'>";
		$str .= "<span class=\"title-other\">暂不支持此控件！</span>";
		return $str;*/
		//手机签章
		if($this->diff=="view"){
			$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' required='$REQUIRE' onchange=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onkeyup=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onblur=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\"",$elementStr);
			preg_match("/<[^\>]*/",$ELEMENT_OUT,$rs);
			$htmlEditTemp = $rs[0];
			//width
			$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
			$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr));
			$subWidthPxStr  = strstr($subWidthStr,"px");
			$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
			//height
			$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
			$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr));
			$subHeightPxStr = strstr($subStylestr,"px");
			$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
			$elementStrRetrun = "<div class='PHONE_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$elementId' id='DATA_SIGNATURE_$elementId' style='height:$height;width:$width;'><div name='DATA_$elementId' id='DATA_$elementId' required='$REQUIRE' class='PHONE_SIGNATURE' value='$EVALUE' style=''></div></div></div>";
		}else{
			preg_match("/<[^\>]*/",$elementStr,$rs);
			$htmlEditTemp = $rs[0];
			//width
			$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
			$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr));
			$subWidthPxStr  = strstr($subWidthStr,"px");
			$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
			//height
			$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
			$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr));
			$subHeightPxStr = strstr($subStylestr,"px");
			$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
			$elementStrRetrun = "<div class='PHONE_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$elementId' id='DATA_SIGNATURE_$elementId' style='height:$height;width:$width;'><input type='hidden' name='DATA_$elementId' id='DATA_$elementId' field_required='$REQUIRE' class='PHONE_SIGNATURE' value='$EVALUE' ></div></div>";
			if(!$canEdit)
				$elementStrRetrun = preg_replace("/<a(.*)>(.*)<\\/a>/","",$elementStrRetrun);
		}


		return $elementStrRetrun;
	}
	//会签字段处理
	function Docountersign($str)
	{
		$re_str = $str;
		//$re_str = str_replace(" ","&nbsp;",$re_str);
		$re_str = str_replace("＃","#",$re_str);
		$re_str = str_replace("＆","&",$re_str);
		$re_str = str_replace("？","?",$re_str);
		$re_str = str_replace("\r\n","<br><div style=\"height:1px; width:100%; background-color:#e7e7e7\"></div><br>",$re_str);
		return $re_str;
	}
	/**
	*动态信息字段
	*@param  str   $elementStr        要处理的字段字符串
	*@param  bool  $editable          表单字是否可以编辑
	*@return str   $elementStrRetrun  处理后的字符串
	*/
	function html_dynamicinfo($elementStr,$elementId,$elementTitle,$fieldValue){
        global $LOGIN_USER_ID;
        preg_match("/<[^\>]*/",$elementStr,$rs);
        $htmlEditTemp = $rs[0];
        $htmlEditTemp = str_replace(" ","",$htmlEditTemp);
        $toReplaceArr = array("width","height","px",":");
        //width
        preg_match("/width:(\d)*px/",$htmlEditTemp,$widthMatch);
        $fromWidthStr   = $widthMatch[0];
        $width   = trim(str_replace($toReplaceArr,"",$fromWidthStr))."px";
        //height
        preg_match("/height:(\d)*px/",$htmlEditTemp,$heightMatch);
        $fromHeightStr   = $heightMatch[0];
        $height   = trim(str_replace($toReplaceArr,"",$fromHeightStr))."px";
        if(!$width)
            $width = "300px";
        if(!$height)
            $height = "150px";
        $datasource     = getHtmlObjPropValue($elementStr,"datasource");
        $itemcp         = 0;
        if($this->opFlag ==1)
        {
            if($this->flowType ==1)
            {
                if(find_id($this->prcsItemCapacity,$elementTitle)){
                    $itemcp = 1;//智能获值
                }
                if(find_id($this->prcsItemAuto,$elementTitle)){
                    $itemcp = 2;//自动获值
                }
            } else{
                    $itemcp = 1;//自由流程，默认主办人默认是智能获值
            }
        }
        if(($itemcp==1&&!$fieldValue)||$itemcp == 2)
        {
            //这里改成一个处理数据源的函数，把datasource转换成curl的url参数
            $newUrl = pathToUrl($datasource,$_GET);
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $newUrl);
            curl_setopt($ch, CURLOPT_HEADER, 0);
            //设置一个名为LOGIN_USER_ID值为$LOGIN_USER_ID的cookie
            curl_setopt($ch, CURLOPT_COOKIE,"LOGIN_USER_ID=$LOGIN_USER_ID");
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $rs =  curl_exec($ch);
            curl_close($ch);
        }
        else
        {
            $fieldValue = str_replace("＃","#",$fieldValue);
            $fieldValue = str_replace("＆","&",$fieldValue);
            $fieldValue = str_replace("？","?",$fieldValue);
            $rs = $fieldValue;
        }
        $elementStrRetrun = '<div name="dynamic_info_$elementId" id="dynamic_info_$elementId" style="height:$height;width:$width;">'.$rs.'</div><textarea style="display:none;" name="DATA_'.$elementId.'" id="DATA_'.$elementId.'">'.$rs.'</textarea>';

        return $elementStrRetrun;
	}
    /**
	*签名图片控件字段处理函数
	*@param  str   $elementStr        要处理的字段字符串
	*@param  int   $elementId         表单字段序号
	*@param  bool  $canEdit           表单字是否可以编辑
	*@param  str   $elementValue      表单字段初始
	*@param  str   $fieldValue        表单字段值
	*@return str   $elementStrRetrun  处理后的字符串
	*/
	function signature_picture_field($elementStr,$EMRequire,$elementId,$canEdit,$elementValue,$fieldValue){
        global $connection;
		//签名图片
        if(!$fieldValue){
            $imageValue = '/E-mobile/Public/images/workflow/no_sign_pic.png';
        }else{
            $fieldValueArray = explode('/', $fieldValue);
            $userId = $fieldValueArray[3];
            $query = "SELECT SIGNATURE_PICTURE_TYPE FROM user WHERE USER_ID='".SecurityFilter($userId)."'";
            $rs = exequery($connection,$query);
            if($rs){
                $row = mysql_fetch_array($rs);
                $AVATAR_TYPE = $row['SIGNATURE_PICTURE_TYPE'];
                if($AVATAR_TYPE){
                    $signPic = '/attachment/personal/'.$userId.'/signature_picture'.$AVATAR_TYPE;
                    if(file_exists(ROOT_PATH.$signPic)){
                        $imageValue = $signPic;
                        $fieldValue = $signPic;
                    }else{
                        $imageValue = '/E-mobile/Public/images/workflow/no_sign_pic.png';
                    }
                }else{
                    $imageValue = '/E-mobile/Public/images/workflow/no_sign_pic.png';
                }
            }else{
                $imageValue = '/E-mobile/Public/images/workflow/no_sign_pic.png';
            }
        }
        if($canEdit && $this->diff != 'view'){
            $border = 'border:1px solid #eaeaea;';
        }
        $elementStrReturn = '<div class="signature-picture-box" style="float:left;width:220px;'.$border.'height:80px;margin-top:5px;margin-bottom:5px;">'
                .'<div class="box-left" style="width:160px;border-right:1px solid #eaeaea;height:80px;float:left;">'
                . '<img src="'.$imageValue.'" style="width:159px;height:78px;" id="PIC_'.$elementId.'">'
                ."<input type='hidden' name='DATA_$elementId' id='DATA_$elementId' field_required='$EMRequire' class='SIGNATURE_PICTURE' value='".$fieldValue."'>"
                . '</div>'
                . '<div class="box-right" style="width:58px;height:80px;float:left;">';
        if($canEdit && $this->diff != 'view'){
            $elementStrReturn .= '<div class="botton-signature ok" onclick="javascript:selectSignaturePicture('.$elementId.');" name="signature_picture_sign_'.$elementId.'" id="signature_picture_sign_'.$elementId.'" style="width:58px;height:39px;float:left;border-bottom:1px solid #eaeaea;text-align:center;line-height:40px;background:#5CB85C;color:#fff;">签名</div>'
                            . '<div class="botton-signature cancel" onclick="javascript:clearSignaturePicture('.$elementId.');" name="signature_picture_clear_'.$elementId.'" id="signature_picture_clear_'.$elementId.'" style="width:58px;height:39px;float:left;text-align:center;line-height:40px;background:#D9534F;color:#fff;">取消</div>';
        }
        if($fieldValue ==''){
            $display = "display:block";
        }else{
            $display = "display:none";
        }
        if($EMRequire == 1){
            $elementStrReturn .= '</div></div><span id="required_'.$elementId.'_span" style="float:left;margin-top:40px;marign-left:5px;'.$display.'">
                                    <img align="absmiddle" src="/E-mobile/Public/images/required.gif">
                                </span>';
        }

        return $elementStrReturn;
	}
}
?>