<?
include_once("api/AnalyticFormBase.class.php");
class AnalyticFormStand extends AnalyticFormBase {
    /**
    *解析表单函
    *@return str   $ELEMENT_OUT    解析处理后的表单字符串
    */
    function analytic_form(){
        //转换表单的值
        $formFieldValue  = $this->formDataTrans();
        for($i = 0;$i <count($this->formElement);$i++)
        {
            //图片类型的控件不需要有id，name
            if($this->elementClass[$i] != "DATE"&&$this->elementClass[$i] != "time")
            {
                //id不再是原来的自增的了，现在是定义表单就生成好了
                $this->itemId = substr($this->elementId[$i],5);
                $this->elementRequire[$i]  = find_id($this->prcsItemRequired,$this->elementTitle[$i]) ;
                //为所有控件增加id，name，必填事件
                $ELEMENT_OUT = $this->addIdNameRequiredEvent($this->elementName[$i],$this->itemId,$this->elementRequire[$i],$this->opFlag,$this->formElement[$i]);
                //计算当前是否可以编辑
                $canEdit = $this->fieldCanEdit($this->elementTitle[$i],$this->elementClass[$i]);
                //if($canEdit)
                //有值的表单字段（date,time不算）的字段title数组，用于8.3新增的动态字段
                $this->fieldArray[$this->itemId] =  $this->elementTitle[$i];
            }
            //根据不同控件做处理
            /*************普通控件-start**************/
            //input 包括text,checkbox
            if($this->elementName[$i] == "INPUT"&&$this->elementClass[$i] != "AUTO"&&$this->elementClass[$i] != "CALC"&&$this->elementClass[$i] != "getvalue"&&$this->elementClass[$i] != "datecompute"&&$this->elementClass[$i] != "dynamic" )
            {
                $inputFormFieldValue = $formFieldValue[$this->itemId];
                $inputFormFieldValue = str_replace("＃", "#", $inputFormFieldValue);
                $inputFormFieldValue = str_replace("＆", "&", $inputFormFieldValue);
                $inputFormFieldValue = str_replace("？", "?", $inputFormFieldValue);
                $ELEMENT_OUT = $this->html_input_field($ELEMENT_OUT,$this->elementName[$i],$this->elementRequire[$i],$this->elementClass[$i],$this->elementThousand[$i],$this->elementFormat[$i],$this->elementValue[$i],$this->itemId,$inputFormFieldValue,$canEdit);
            }
            //textarea
            else if($this->elementName[$i] == "TEXTAREA"&&$this->elementClass[$i] != "EDITOR"&&$this->elementClass[$i] != "countersign"&&$this->elementClass[$i] != "dynamic"){
                $textareaFormFieldValue = $formFieldValue[$this->itemId];
                $textareaFormFieldValue = str_replace("＃", "#", $textareaFormFieldValue);
                $textareaFormFieldValue = str_replace("＆", "&", $textareaFormFieldValue);
                $textareaFormFieldValue = str_replace("？", "?", $textareaFormFieldValue);
                $ELEMENT_OUT = $this->html_textarea($ELEMENT_OUT,$this->elementRequire[$i],$this->elementValue[$i],$this->itemId,$textareaFormFieldValue,$canEdit);
            }
            //select
            else if($this->elementName[$i] == "SELECT" && $this->elementClass[$i]!="AUTO"&&$this->elementClass[$i]!="dynamic")
            {
                $ELEMENT_OUT = $this->html_select($ELEMENT_OUT,$this->elementRequire[$i],$this->elementClass[$i],$this->elementValue[$i],$this->itemId,$formFieldValue[$this->itemId],$canEdit);
            }
            /*************普通控件--end**************/
            /*************特殊控件-start**************/
            //日期
            if($this->elementClass[$i] == "DATE")
            {
                $ELEMENT_OUT = $this->html_date($this->formElement[$i],$this->elementValue[$i],$canEdit);
            }
            //时间
            if($this->elementClass[$i] == "time")
            {
                $ELEMENT_OUT = $this->html_time($this->formElement[$i],$this->elementValue[$i],$canEdit);
            }
            //编辑器字段
            if($this->elementClass[$i] == "EDITOR")
            {
                $ELEMENT_OUT = $this->html_editor($ELEMENT_OUT,$this->elementRequire[$i],$this->itemId,$formFieldValue[$this->itemId],$canEdit);
            }
            //会签字段
            if($this->elementClass[$i] == "countersign"){
                $ELEMENT_OUT = $this->html_countersign($ELEMENT_OUT,$this->elementRequire[$i],$this->elementTitle[$i],$formFieldValue[$this->itemId],$this->itemId,$canEdit);
            }
            //人员选择字段
            if($this->elementClass[$i] == "chooseUser"){
                $ELEMENT_OUT = $this->html_chooseuser($ELEMENT_OUT,$this->elementRequire[$i],$formFieldValue[$this->itemId],$this->itemId,$canEdit);
            }
            //部门选择字段
            if($this->elementClass[$i] == "chooseDept"){
                $ELEMENT_OUT = $this->html_choosedept($ELEMENT_OUT,$this->elementRequire[$i],$formFieldValue[$this->itemId],$this->itemId,$canEdit);
            }
            //角色选择字段
            if($this->elementClass[$i] == "chooseRole"){
                $ELEMENT_OUT = $this->html_chooserole($ELEMENT_OUT,$this->elementRequire[$i],$formFieldValue[$this->itemId],$this->itemId,$canEdit);
            }
            //明细字段
            if($this->elementClass[$i] == "detailChar"){
                $ELEMENT_OUT = $this->html_detailchar($ELEMENT_OUT,$this->elementTitle[$i],$this->itemId,$formFieldValue[$this->itemId],$canEdit,$this->elementRequire[$i]);
            }
            //获值字段
            if($this->elementClass[$i] == "getvalue"){
                $ELEMENT_OUT = $this->html_getvalue($ELEMENT_OUT,$this->elementName[$i],$this->elementValue[$i],$formFieldValue[$this->itemId],$this->itemId,$canEdit);
            }
            //动态字段
            if($this->elementClass[$i] == "dynamic"){
                $ELEMENT_OUT = $this->html_dynamic($ELEMENT_OUT,$this->elementName[$i],$this->elementTitle[$i],$this->itemId,$this->elementValue[$i],$formFieldValue[$this->itemId],$canEdit,$this->elementRequire[$i]);
            }
            //日期时间计算字段
            if($this->elementClass[$i] == "datecompute"){
                $ELEMENT_OUT = $this->html_datecompute($ELEMENT_OUT,$this->elementName[$i],$this->itemId,$this->elementFormat[$i],$this->elementValue[$i],$formFieldValue[$this->itemId],$canEdit);
            }
            //计算控件
            if($this->elementClass[$i] == "CALC"){
                $ELEMENT_OUT = $this->html_calc($ELEMENT_OUT,$this->elementValue[$i],$this->itemId,$this->elementName[$i],$this->elementClass[$i],$this->elementRequire[$i],$formFieldValue[$this->itemId],$canEdit,$this->elementFormat[$i]);
            }
            //宏控件
            if($this->elementClass[$i] == "AUTO"){
                $ELEMENT_OUT = $this->html_auto($ELEMENT_OUT,$this->elementTitle[$i],$this->elementName[$i],$formFieldValue[$this->itemId],$this->itemId,$this->elementValue[$i],$this->elementRequire[$i],$canEdit);
            }
            //html表单签章
            if($this->elementClass[$i] == "HTML_SIGNATURE"){
                $ELEMENT_OUT = $this->html_signature_field($ELEMENT_OUT,$this->itemId,$canEdit,$this->elementRequire[$i],$formFieldValue[$this->itemId]);
            }
            //手机签章
            if($this->elementClass[$i] == "PHONE_SIGNATURE"){
                $ELEMENT_OUT = $this->phone_signature_field($ELEMENT_OUT,$this->itemId,$canEdit);
            }
            //动态信息控件
            if($this->elementClass[$i] == "dynamic_info"){
                $ELEMENT_OUT = $this->html_dynamicinfo($ELEMENT_OUT,$this->itemId,$this->elementTitle[$i],$formFieldValue[$this->itemId]);
            }
            //签名图片控件
            if($this->elementClass[$i] == "SIGNATURE_PICTURE"){
                $ELEMENT_OUT = $this->signature_picture_field($ELEMENT_OUT,$this->itemId,$canEdit,$this->elementValue[$i],$formFieldValue[$this->itemId],$this->elementFormat[$i],$this->elementRequire[$i]);
            }
            /*************特殊控件--end**************/
            //-- 找到代换位置进行控件代换 --
            $POS            = strpos($this->flowForm,$this->formElement[$i],$POS);
            $this->flowForm = substr($this->flowForm,0,$POS).$ELEMENT_OUT.substr($this->flowForm,$POS+strlen($this->formElement[$i]));
        }
        return $this->flowForm;
    }
    /**
    *表单数据值的转换
    *@return array   $formFieldValue     数据库查询结果转换成对应的数组
    */
    function formDataTrans(){
        foreach($this->formData as $key=>$val)
        {
            if(substr($key,0,5) == "DATA_")
            {
                $newKey  = substr($key,5) ;
                $formFieldValue[$newKey]  = $this->fieldValueFilter($val);
            }
        }
        return $formFieldValue;
    }

    /**
    *input类型控件处理，包括text,checkbox
    *@param  str   $elementStr      要处理的字段html
    *@param  str   $elementName     字段名
    *@param  int   $elementRequire  是否必填
    *@param  str   $elementClass    字段class属性
    *@param  int   $elementThousand 字段是否要千位分隔符
    *@param  str   $elementValue    表单字段初始值
    *@param  str   $elementId       字段值
    *@param  str   $fieldValue      字段值
    *@param  bool  $editable        表单字是否可以编辑
    *@return int   $elementStr      处理后的字段html
    */
    function html_input_field($elementStr,$elementName,$elementRequire,$elementClass,$elementThousand,$elementFormat,$elementValue,$elementId,$fieldValue,$editable){
        //text
        if(!strstr($elementStr,"type=\"checkbox\"")) {
            $elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
            $elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);

            //兼容7.x版本千位分隔
            if($elementClass == "thousandformat") {
                $elementStr  = str_replace("onchange=\"","onchange=\"thousandFormat_DATA_$elementId('DATA_$elementId');",$elementStr);
                $elementStr  = str_replace("class=\"thousandformat\"","format=\"thousandformat\"",$elementStr);
                $elementStr .= "<script type='text/javascript'>jQuery(window).bind('load',function(){thousandFormat_DATA_$elementId();});function thousandFormat_DATA_$elementId(){thousandFormat('DATA_$elementId');}
                </script>";
            }
            //兼容8.x版本千位分隔
            else if($elementThousand == "1" && $elementClass != "CALC") {
                $elementStr  = str_replace("onchange=\"","onchange=\"thousandFormat_DATA_$elementId('DATA_$elementId');",$elementStr);
                $ELEMENT_OUT  = str_replace("thousandformat=\"1\"","format=\"thousandformat\"",$ELEMENT_OUT);
                $elementStr .= "<script type='text/javascript'>jQuery(window).bind('load',function(){thousandFormat_DATA_$elementId();});function thousandFormat_DATA_$elementId(){thousandFormat('DATA_$elementId');}
                </script>";
            }
            //9版本单行文本框格式化
            else if($elementFormat != "") {
                if($elementFormat == "thousandformat")
                    $formatFunctionName = "thousandFormat";
                else
                    $formatFunctionName = "flowInputFormat";
                $elementStr  = str_replace("onchange=\"","onchange=\"".$elementFormat."_DATA_$elementId('DATA_$elementId');",$elementStr);
                $elementStr .= "<script type='text/javascript'>jQuery(window).bind('load',function(){".$elementFormat."_DATA_$elementId();});function ".$elementFormat."_DATA_$elementId(){".$formatFunctionName."('DATA_$elementId','".$elementFormat."');}</script>";
            }
            if(!$editable){
                $elementStr = "<$elementName readonly=\"readonly\" class='textareaonly' ".str_replace("<$elementName","",$elementStr);
            }
        }
        //checkbox
        else
        {
            $elementStr   = str_replace(" checked=\"checked\"","",$elementStr);
            if($fieldValue == "on")
                $elementStr = str_replace("<$elementName","<$elementName checked=\"checked\" class=\"checkbox\"",$elementStr);
            else
                $elementStr = str_replace("<$elementName","<$elementName class=\"checkbox\"",$elementStr);
            if(!$editable){
                if(strstr($elementStr," checked=\"checked\""))
                {
                    $elementStr = str_replace("<$elementName","<$elementName disabled=\"disabled\" onclick='this.checked=1;' class=checkbox",$elementStr);
                }
                else
                {
                    $elementStr=str_replace("<$elementName","<$elementName disabled=\"disabled\" onclick='this.checked=0;' class=checkbox",$elementStr);
                }
            }
        }
        //增加必填字段后面的提示信息
        if(!strstr($elementStr,"type=\"checkbox\""))
        {
            if($elementRequire)
            {
                if(trim($fieldValue)||$this->opFlag != 1)
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
                }
                else
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
                }
            }
        }
        return $elementStr;
    }
    /**
    *多行文本框字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementRequire    是否要必填
    *@param  str   $elementValue      表单字段初始值
    *@param  int   $elementId         表单字段序号
    *@param  str   $fieldValue        表单字段值
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStr        处理后的字符串
    */
    function html_textarea($elementStr,$elementRequire,$elementValue,$elementId,$fieldValue,$editable){
        //textarea
        $elementStr = str_replace(">$elementValue<",">$fieldValue<",$elementStr);
        if(!$editable)
            $elementStr = "<TEXTAREA readonly=\"readonly\" class='textareaonly' ".str_replace("<TEXTAREA","",$elementStr);
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
            if(trim($fieldValue)||$this->opFlag != 1)
            {
                $elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
            }
            else
            {
                $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
            }
        }
        return $elementStr;
    }
    /**
    *下拉框字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementRequire    是否要必填
    *@param  str   $elementClass      字段的class属性
    *@param  str   $elementValue      表单字段初始值
    *@param  int   $elementId         表单字段序号
    *@param  str   $fieldValue        表单字段值
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStr        处理后的字符串
    */
    function html_select($elementStr,$elementRequire,$elementClass,$elementValue,$elementId,$fieldValue,$editable){
        //select
        $elementOld = $elementStr;
        $elementStr = str_replace("&middot;","·",$elementStr);
        $elementStr = str_replace("&ldquo;","“",$elementStr);
        $elementStr = str_replace("&rsquo;","‘",$elementStr);
        $elementStr = str_replace("&mdash;","—",$elementStr);
        $elementStr = str_replace("&hellip;","…",$elementStr);
        $elementStr = str_replace("？","?",$elementStr);
        $elementStr = str_replace("＃","#",$elementStr);
        $elementStr = str_replace("＆","&",$elementStr);
        $fieldValue = str_replace("？","?",$fieldValue);
        $fieldValue = str_replace("＃","#",$fieldValue);
        $fieldValue = str_replace("＆","&",$fieldValue);
        $fieldValue = htmlspecialchars($fieldValue);
        $elementStr = str_replace(" selected","",$elementStr);
        $elementStr = str_replace("<OPTION value=\"$fieldValue\">","<OPTION selected value=\"$fieldValue\">",$elementStr);
        //处理必填
        if(!$editable)
        {
            $elementStr = str_replace($elementValue,"<OPTION value=\"$fieldValue\">$fieldValue</OPTION>",$elementOld);
        }
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
            if($fieldValue||$this->opFlag != 1)
            {
                $elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
            }
            else
            {
                $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
            }
        }
        return $elementStr;
    }
    /**
    *日期控件
    *@param  str   $elementStr        要处理的字段字符串
    *@param  str   $elementValue      表单字段初始
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStr        处理后的字符串
    */
    function html_date($elementStr,$elementValue,$editable){
        //date
        $title = getHtmlObjPropValue($elementStr,"title");
        $src   = getHtmlObjPropValue($elementStr,"src");
        //$elementStr = "<img class=\"DATE\" src=\"$src\" align=\"absmiddle\" title=\"$title\" border=\"0\" style=\"cursor:hand;\" onclick=\"td_calendar('$elementValue')\" />";
        $elementStr = '<span class="DATE" relevance="'.$elementValue.'" title="'.$title.'" style="cursor:hand;" onclick="td_calendar(\''.$elementValue.'\')">
                            <i class="fa fa-calendar fa-lg"></i>
                        </span>';
        //设置只读
        if(!$editable){
            //$elementStr = "<img class=\"DATE\" src=\"$src\" align=\"absmiddle\" title=\"$title\" border=\"0\" style=\"cursor:hand;\" onclick=\"td_calendar('$elementValue')\" />";
        }
        return $elementStr;
    }
    /**
    *时间控件
    *@param  str   $elementStr        要处理的字段字符串
    *@param  str   $elementValue      表单字段初始
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStr        处理后的字符串
    */
    function html_time($elementStr,$elementValue,$editable){
        //time
        $title = getHtmlObjPropValue($elementStr,"title");
        $src   = getHtmlObjPropValue($elementStr,"src");
        //$ELEMENT_OUT = "<img src=\"$src\" class=\"time\" align=\"absmiddle\" title=\"$title\" border=\"0\" style=\"cursor:hand;\" onclick=\"td_time('$elementValue')\" />";
        $ELEMENT_OUT = '<span class="time" relevance="'.$elementValue.'" title="'.$title.'" style="cursor:hand;" onclick="td_time(\''.$elementValue.'\')">
                            <i class="fa fa-clock-o fa-lg"></i>
                        </span>';
        if(!$editable){
            //$elementStr = "<img class=\"DATE\" src=\"$src\" align=\"absmiddle\" title=\"$title\" border=\"0\" style=\"cursor:hand;\" onclick=\"td_calendar('$elementValue')\" />";
        }
        return $ELEMENT_OUT;
    }
    /**
    *编辑器控件
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementRequire    是否要必填
    *@param  int   $elementId         表单字段序号
    *@param  str   $fieldValue        表单字段值
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $ELEMENT_OUT       处理后的字符串
    */
    function html_editor($elementStr,$elementRequire,$elementId,$fieldValue,$editable){
        //editor
        $title = getHtmlObjPropValue($elementStr,"title");
        //ELEMENT_OUT当中可能含有多个style="width
        preg_match("/<[^\>]*/",$elementStr,$rs);
        $htmlEditTemp = $rs[0];
        $htmlEditTemp = str_replace(" ","",$htmlEditTemp);
        $toReplaceArr = array("width","height","px",":");
        //width
        preg_match("/width:(\d)*px/",$htmlEditTemp,$widthMatch);
        $fromWidthStr   = $widthMatch[0];
        $width   = trim(str_replace($toReplaceArr,"",$fromWidthStr));
        //height
        preg_match("/height:(\d)*px/",$htmlEditTemp,$heightMatch);
        $fromHeightStr   = $heightMatch[0];
        $height   = trim(str_replace($toReplaceArr,"",$fromHeightStr));
        if(!$width)
            $width = "300";
        if(!$height)
            $height = "150";
        $fieldValue     = changeFullToHalf($fieldValue);
        if(!$editable)
            $ELEMENT_OUT = "<span>".$fieldValue."<textarea id='DATA_$elementId' name='DATA_$elementId' style='display:none;' class=\"EDITOR\" >$fieldValue</textarea></span>";
        else {
            $ELEMENT_OUT    = "<div><script class=\"EDITOR\" id=\"DATA_$elementId\" type=\"text/plain\" name=\"DATA_$elementId\" style=\"width:".$width."px;\">$fieldValue</script></div>".
            "<script type=\"text/javascript\">
            UE.dialogMode = 'modal';
            UE.getEditor('DATA_$elementId',{
                initialFrameWidth:\"$width\",
                initialFrameHeight:\"$height\",
                toolbars: [[
                    'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
                    'fontsize','fontfamily', '|' , 'link', 'unlink', '|', 'insertimage','scrawl','|',
                    'justifyleft', 'justifycenter', 'justifyright'
                ]],
                zIndex:1,
                autoHeightEnabled : false,
                autoFloatEnabled : false
            });
            var isRequire = \"$elementRequire\";
            if(isRequire)
            {
                UE.getEditor(\"DATA_$elementId\").addListener(\"contentChange\",function(){
                    var spanId   = \"required_\"+$elementId+\"_span\";
                    if(UE.getEditor(\"DATA_$elementId\").hasContents())
                    {
                        jQuery(\"#\"+spanId).html('');
                    }
                    else
                    {
                        jQuery(\"#\"+spanId).html('<i class=\"fa fa-exclamation fa-lg\" style=\"color:red;\"></i>');
                    }
                });
                UE.getEditor(\"DATA_$elementId\").addListener(\"ready\",function(editor){
                    jQuery(\"#DATA_$elementId\").attr(\"field_required\",'$elementRequire');
                });
            }
            </script>";
        }
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
            if(preg_replace("/(<p>(&nbsp;){0,}<\/p>)/","",preg_replace("/(<a>(&nbsp;){0,}<\/a>)/","",preg_replace("/(<div>(&nbsp;){0,}<\/div>)/","",$fieldValue)))||$this->opFlag != 1)
            {
                $ELEMENT_OUT .= "<span id=\"required_".$elementId."_span\"></span>";
            }
            else
            {
                $ELEMENT_OUT .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
            }
        }
        return $ELEMENT_OUT;
    }
    /**
    *会签字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementRequire    是否要必填
    *@param  str   $fieldValue        表单字段值
    *@param  int   $elementId         表单字段序号
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStr        处理后的字符串
    */
    function html_countersign($elementStr,$elementRequire,$elementTitle,$fieldValue,$elementId,$editable){
        //countersign(会签字段)
        //取自动获取添加人和时间的值
        $auto_user_value     = substr(strstr($elementStr,"auto_user=\""),11,1);
        $auto_datetime_value = substr(strstr($elementStr,"auto_datetime=\""),15,1);
        //取会签字段的列和行的值
        $cols                = getHtmlObjPropValue($elementStr,"cols");
        $rows                = getHtmlObjPropValue($elementStr,"rows");
        $style               = getHtmlObjPropValue($elementStr,"style");
        $ITEM_VALUE_SHOW     = restore($fieldValue);
        // echo htmlspecialchars($ITEM_VALUE_SHOW)."<br>";
        //添加对会签字段特殊字符处理，为了解决html签章数据验证的问题(dingp)
        $fieldValue          = str_replace("＃","#",$fieldValue);
        $fieldValue          = str_replace("＆","&",$fieldValue);
        $fieldValue          = str_replace("？","?",$fieldValue);
        $elementStr = "<textarea id=\"countersign_input_$elementId\" name =\"countersign_input_$elementId\" auto_user=\"$auto_user_value\" auto_datetime=\"$auto_datetime_value\" rows=\"$rows\" style=\"$style\" cols=\"$cols\" onchange=\"checkRequired(this,'$elementId','$this->opFlag');\" onblur=\"checkRequired(this,'$elementId','$this->opFlag');characters_change_form(event,this);\" onkeyup=\"checkRequired(this,'$elementId','$this->opFlag');\" class=\"countersign\" ></textarea>";
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
            //会签比较特殊,ITEM_VALUE可能是别人填写的值,故不管有没有值,都显示必填
            $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
        }
        $elementStr .= "<div id=\"DIV_$elementId\" class=\"counterSignDiv\" style=\"word-break:break-all;\">";
        // 旧解析
        // $elementStr .= $ITEM_VALUE_SHOW;
        $elementStr .= "<UL>";
        // 新解析
        if($fieldValue) {
            foreach (explode("<BR>", $fieldValue) as $key => $value) {
                // 获取签名人名称
                if($auto_user_value == "1") {
                    preg_match('/(.*)( : <span ){1}?/i',$value,$counterSignUserNameArray);
                    $counterSignUserName = $counterSignUserNameArray[1];
                }
                // 获取签名时间
                if($auto_datetime_value == "1") {
                    preg_match('/<\/span>  \d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}/i',$value,$counterSignDateTimeArray);
                    $counterSignDateTime = trim(strip_tags($counterSignDateTimeArray[0]));
                }
                // 获取签名内容--包含html
                preg_match('/<span.*>(.*)<\/span>/isU',$value,$arr);
                $counterSignContent = $arr[0];
                // 匹配出span的id信息
                preg_match('/<span id="jointlySign_(.*)" style/isU',$value,$arr1);
                $counterSignSpanId = $arr1[1];
                $elementStr .= "<li id=\""."counterSignListLi_".$counterSignSpanId."\">";
                $elementStr .= "<div class=\"counter-sign-div-sign-content-div\">".$counterSignContent."</div>";
                if($counterSignUserName || $counterSignDateTime) {
                    $elementStr .= "<div class=\"counter-sign-div-sign-other-div\">";
                    if($counterSignUserName)
                        $elementStr .= "<span class=\"counter-sign-div-sign-user-name-span\">".$counterSignUserName."</span>&nbsp;&nbsp;&nbsp;&nbsp;";
                    if($counterSignDateTime)
                        $elementStr .= "<span class=\"counter-sign-div-sign-date-time-span\">".$counterSignDateTime."</span>";
                    $elementStr .= "</div>";
                }
                $elementStr .= "</li>";
            }
        }
        $elementStr .= "</UL>";
        $elementStr .= "</div>";
        $elementStr .= "<textarea style=\"display:none;\"  id=\"DATA_$elementId\" name=\"DATA_$elementId\" field_required='$elementRequire' class=\"countersign\" >$fieldValue</textarea>";
        if(!$editable){
            //处理只读
            if(!find_id($this->prcsItem,$elementTitle)&&$this->flowType ==1 ){
                // preg_match('/<div id="DIV_.*" class="counterSignDiv" style="word-break:break-all;"><UL>(.*)<\/UL><\/div>/isU',$elementStr,$arr2);
                // $elementStr = $arr2[0]."<textarea style=\"display:none;\"  id=\"DATA_$elementId\" name=\"DATA_$elementId\" field_required='$elementRequire' class=\"countersign\" >$fieldValue</textarea>";
                // $elementStr = strstr($elementStr,"<div id=\"DIV_$elementId\" class=\"counterSignDiv\" style=\"word-break:break-all;\">$ITEM_VALUE_SHOW</div>");
                $elementStr = strstr($elementStr,"<div id=\"DIV_$elementId\" class=\"counterSignDiv\" style=\"word-break:break-all;\">");
            }
        }
        return $elementStr;
    }
    /**
    *人员选择字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementRequire    是否要必填
    *@param  str   $fieldValue        表单字段值
    *@param  int   $elementId         表单字段序号
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_chooseuser($elementStr,$elementRequire,$fieldValue,$elementId,$editable){
        //chooseuser(人员选择)
        global $_lang;
        //取title,cols,rows的值
        $title = getHtmlObjPropValue($elementStr,"title");
        $cols  = getHtmlObjPropValue($elementStr,"cols");
        $rows  = getHtmlObjPropValue($elementStr,"rows");
        $style = getHtmlObjPropValue($elementStr,"style");
        //分解$ITEM_VALUE得出inputId的值和inputName的值
        $chooseUserInputNameValue = substr($fieldValue,0,strpos($fieldValue,"|"));
        $chooseUserInputIdValue   = substr($fieldValue,strpos($fieldValue,"|")+1,strlen($fieldValue));
        $elementStrReturn = "<input type=\"hidden\" name=\"chooseUserInputId_$elementId\" id=\"chooseUserInputId_$elementId\" value=\"$chooseUserInputIdValue\" ><textarea class=\"chooseUser\" readonly=\"readonly\" name=\"chooseUserInputName_$elementId\" id=\"chooseUserInputName_$elementId\" rows=\"$rows\" cols=\"$cols\" style=\"background-color:#eeeeee;border:1px solid #7F9DB9;$style;\" onpropertychange =\"checkRequired(this,'$elementId','$this->opFlag')\">$chooseUserInputNameValue</textarea><input type=\"hidden\" id=\"DATA_$elementId\" field_required='$elementRequire' name=\"DATA_$elementId\" class=\"chooseUserInput\" value=\"$fieldValue\">&nbsp;<i class=\"fa fa-user fa-lg\" style=\"color:#3276b1;cursor: hand;\" onClick=\"LoadWindowUser('chooseUserInputId_$elementId','chooseUserInputName_$elementId','form1');\" title=\"".$_lang["flow_person_choose"]."：$title\"></i>&nbsp;";
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
            if($chooseUserInputIdValue||$this->opFlag != 1)
            {
                $elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
            }
            else
            {
                $elementStrReturn .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
            }
        }
        if(!$editable){
            $elementStrReturn = substr($elementStrReturn,0,strpos($elementStrReturn,"&nbsp;<i class=\"fa fa-user fa-lg\" style=\""));
        }
        return $elementStrReturn;
    }
    /**
    *部门选择字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementRequire    是否要必填
    *@param  str   $fieldValue        表单字段值
    *@param  int   $elementId         表单字段序号
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_choosedept($elementStr,$elementRequire,$fieldValue,$elementId,$editable){
        //choosedept(部门选择)
        global $_lang;
        //取title,cols,rows的值
        $title = getHtmlObjPropValue($elementStr,"title");
        $cols  = getHtmlObjPropValue($elementStr,"cols");
        $rows  = getHtmlObjPropValue($elementStr,"rows");
        $style = getHtmlObjPropValue($elementStr,"style");
        //分解$ITEM_VALUE得出inputId的值和inputName的值
        $chooseDeptInputNameValue = substr($fieldValue,0,strpos($fieldValue,"|"));
        $chooseDeptInputIdValue   = substr($fieldValue,strpos($fieldValue,"|")+1,strlen($fieldValue));
        $elementStrReturn = "<input type=\"hidden\" name=\"chooseDeptInputId_$elementId\" id=\"chooseDeptInputId_$elementId\" value=\"$chooseDeptInputIdValue\"><textarea class=\"chooseDept\" readonly=\"readonly\" name=\"chooseDeptInputName_$elementId\" id=\"chooseDeptInputName_$elementId\" rows=\"$rows\" cols=\"$cols\" style=\"background-color:#eeeeee;border:1px solid #7F9DB9;$style;\" onpropertychange =\"checkRequired(this,'$elementId','$this->opFlag')\" >$chooseDeptInputNameValue</textarea><input type=\"hidden\" field_required='$elementRequire' id=\"DATA_$elementId\" name=\"DATA_$elementId\"class=\"chooseDeptInput\" value=\"$fieldValue\">&nbsp;<i class=\"fa fa-user fa-lg\" style=\"color:#3276b1;cursor: hand;\" onClick=\"LoadWindowDept('chooseDeptInputId_$elementId','chooseDeptInputName_$elementId','form1');\" title=\"".$_lang["flow_dept_choose"]."：".$title."\"></i>&nbsp;";
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
            if($chooseDeptInputIdValue||$this->opFlag != 1)
            {
                $elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
            }
            else
            {
                $elementStrReturn .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
            }
        }
        if(!$editable){
            $elementStrReturn = substr($elementStrReturn,0,strpos($elementStrReturn,"&nbsp;<i class=\"fa fa-user fa-lg\" style=\""));
        }
        return $elementStrReturn;
    }
    /**
    *角色选择字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementRequire    是否要必填
    *@param  str   $fieldValue        表单字段值
    *@param  int   $elementId         表单字段序号
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_chooserole($elementStr,$elementRequire,$fieldValue,$elementId,$editable){
        //chooserole(角色选择)
        global $_lang;
        //取title,cols,rows的值
        $title = getHtmlObjPropValue($elementStr,"title");
        $cols  = getHtmlObjPropValue($elementStr,"cols");
        $rows  = getHtmlObjPropValue($elementStr,"rows");
        $style = getHtmlObjPropValue($elementStr,"style");
        //分解$ITEM_VALUE得出inputId的值和inputName的值
        $chooseRoleInputNameValue = substr($fieldValue,0,strpos($fieldValue,"|"));
        $chooseRoleInputIdValue   = substr($fieldValue,strpos($fieldValue,"|")+1,strlen($fieldValue));
        $elementStrReturn = "<input type=\"hidden\" name=\"chooseRoleInputId_$elementId\" id=\"chooseRoleInputId_$elementId\" value=\"$chooseRoleInputIdValue\"><textarea class=\"chooseRole\" readonly=\"readonly\" name=\"chooseRoleInputName_$elementId\" id=\"chooseRoleInputName_$elementId\" rows=\"$rows\" cols=\"$cols\" style=\"background-color:#eeeeee;border:1px solid #7F9DB9;$style;\" onpropertychange =\"checkRequired(this,'$elementId','$this->opFlag')\" >$chooseRoleInputNameValue</textarea><input type=\"hidden\" field_required='$elementRequire' id=\"DATA_$elementId\" name=\"DATA_$elementId\" class=\"chooseRoleInput\" value=\"$fieldValue\">&nbsp;<i class=\"fa fa-user fa-lg\" style=\"color:#3276b1;cursor: hand;\" onClick=\"LoadWindowPriv('chooseRoleInputId_$elementId','chooseRoleInputName_$elementId','form1');\" title=\"".$_lang["flow_role_choose"]."：$title\"></i>&nbsp;";
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
            if($chooseRoleInputIdValue||$this->opFlag != 1)
            {
                $elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
            }
            else
            {
                $elementStrReturn .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
            }
        }
        if(!$editable){
            $elementStrReturn = substr($elementStrReturn,0,strpos($elementStrReturn,"&nbsp;<i class=\"fa fa-user fa-lg\" style=\""));
        }
        return $elementStrReturn;
    }
    /**
    *明细字段控件
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementTitle      字段的title属性
    *@param  int   $elementId         表单字段序号
    *@param  str   $fieldValue        表单字段值
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_detailchar($elementStr,$elementTitle,$elementId,$fieldValue,$editable,$elementRequire){
        //detailchar(明细字段)
        //把设置明细字段的自读设置放到这里处理了，目的，处理方便
        /*if($this->flowType == "1")
        {
            if(!find_id($this->prcsItem,$elementTitle)||$this->opFlag != 1)
                $fieldReadOnly = "1";
        }else{
            if($this->opFlag != 1)
                $fieldReadOnly = "1";
        }*/
        if(!$editable)
            $fieldReadOnly = "1";
        //取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
        $detailCharWidth         = getHtmlObjPropValue($elementStr,"detailcharwidth");
        $detailCharFormula       = getHtmlObjPropValue($elementStr,"detailcharformula");
        $detailCharTotal         = getHtmlObjPropValue($elementStr,"detailchartotal");
        $detailCharName          = getHtmlObjPropValue($elementStr,"detailcharname");
        //增加明细字段类型
        $detailCharType          = getHtmlObjPropValue($elementStr,"detailchartype");
        //获取明细项下拉框的值
        $detailCharDropValues    = getHtmlObjPropValue($elementStr,"detailchardropvalues");
        // 列合计时，保留小数点位数
        $detailCharDecimal       = getHtmlObjPropValue($elementStr,"detailchardecimal");
        // 列合计时，四舍五入
        $detailCharRoundoff      = getHtmlObjPropValue($elementStr,"detailcharroundoff");
        // 行计算时，保留小数点位数&四舍五入
        $detailCharFormulaFormat = getHtmlObjPropValue($elementStr,"detailcharformulaformat");
        $detailCharNameArray     = explode("`",$detailCharName);
        $detailCharWidthArray    = explode("`",$detailCharWidth);
        $detailCharFormulaArray  = explode("`",$detailCharFormula);
        $detailCharTotalArray    = explode("`",$detailCharTotal);
        $detailCharDecimalArray  = explode("`",$detailCharDecimal);
        $detailCharRoundoffArray = explode("`",$detailCharRoundoff);
        $detailCharFormulaFormatArray = explode("`",$detailCharFormulaFormat);
        //增加明细字段类型
        if($detailCharType)
            $detailCharTypeArray   = explode("`",$detailCharType);
        else
        {
            for($dti=0;$dti < count($detailCharNameArray);$dti++)
            {
                $detailCharTypeArray[$dti]  = "1";
                $detailCharType            .= "1`";
            }
        }
        if($detailCharDropValues)
            $detailCharDropArray   = explode("~",$detailCharDropValues);
        else
        {
            for($dti=0;$dti < count($detailCharNameArray);$dti++)
            {
                $detailCharDropArray[$dti]  = "";
                $detailCharDropValues      .= "~";
            }
        }
        $title                  = getHtmlObjPropValue($elementStr,"title");
        $elementStrReturn  = "<table width=\"100%\" border=\"0\" cellspace=\"0\" cellpadding=\"3\" id=\""."tableDetailChar_"."$elementId"."_"."$title\" class=\"detailChar\"><tr class=\"tableheader\" ><td width=\"20\">";
        if($editable)
            $elementStrReturn .= "<i class=\"fa fa-plus fa-lg\" style=\"color:#747474;\" onclick=\"addRow('$title','".$_SESSION["LOGIN_THEME"]."','$detailCharWidth','$detailCharFormula','$detailCharTotal','$detailCharDecimal','$detailCharRoundoff','$detailCharFormulaFormat','$detailCharName','$detailCharType','$detailCharDropValues','$elementId')\"></i>";
        $elementStrReturn .= "</td><td width=\"50\"></td>";
        for($i = 0; $i < count($detailCharNameArray);$i++)
        {
            if(($i == (count($detailCharNameArray) - 1)) && $elementRequire) {
                //增加必填字段后面的提示信息
                if($chooseRoleInputIdValue||$this->opFlag != 1)
                {
                    $elementStrReturn .= "<td nowrap=\"nowrap\">".$detailCharNameArray[$i]."<span style='font-size:12px;font-family:\"微软雅黑\",\"Microsoft YaHei\";display:inline-block;float:right' id=\"required_".$elementId."_span\"></span></td>";
                }
                else
                {
                    $elementStrReturn .= "<td nowrap=\"nowrap\">".$detailCharNameArray[$i]."<span style='font-size:12px;font-family:\"微软雅黑\",\"Microsoft YaHei\";display:inline-block;float:right' id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span></td>";
                }
            }else{
                $elementStrReturn .= "<td nowrap=\"nowrap\">$detailCharNameArray[$i]</td>";
            }
        }
        $elementStrReturn .= "</tr>";
        $itemRowValueArray  = explode("|＃|",trim($fieldValue,"|＃|"));
        $detailCharArray    = "";
        $rowCount           = 0;
        for($i = 0; $i <count($itemRowValueArray);$i++)
        {
            if($itemRowValueArray[$i])
            {
                $rowCount++;
                $elementStrReturn .= "<tr><td valign=\"top\">";
                if($editable)
                    $elementStrReturn .= "<i class=\"fa fa-times fa-lg\" style=\"margin-top:3px;color:#d2322d;\" onclick=\"dellRow(this,'".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" ></i>";
                $elementStrReturn .= "</td><td nowrap=\"nowrap\">$rowCount</td>";
                $itemColValueArray = explode("`*`",$itemRowValueArray[$i]);
                for($j = 0;$j < count($detailCharTotalArray);$j++)
                {
                    $rowsIndex = $i+1;
                    $colsIndex = $j+1;
                     if($detailCharFormulaArray[$j]||$fieldReadOnly)
                     {
                        $classStr = "class=\"textareaonly detailCharTextArea\" readonly=\"readonly\"";
                     }
                     else
                     {
                        if($detailCharTypeArray[$j]==4)
                            $classStr = "class=\"wdate\"";
                        else
                            $classStr = "class=\"text detailCharTextArea\"";
                     }
                     if($detailCharTypeArray[$j]==1)
                     {
                         if(strpos($detailCharWidthArray[$j],"*"))
                         {
                            $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
                            $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
                            $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
                            $size = "style=\"width:$fWitdh; height:$fHeight;\"";
                         }
                         else
                             //兼容原来的
                             $size = "size=\"$detailCharWidthArray[$j]\"";
                         $elementStrReturn .= "<td valign=\"top\"><input type=\"text\" ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" value=\"".$itemColValueArray[$j]."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" > </td>";
                     }
                     else if($detailCharTypeArray[$j]==2)
                     {
                         if(!strpos($detailCharWidthArray[$j],"*"))
                         {
                            $detailCharWidthArray[$j] = "90*20";
                         }
                         $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
                         $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
                         $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
                         $size = "style=\"width:$fWitdh; height:$fHeight;\"";
                         $elementStrReturn .= "<td valign=\"top\"><textarea ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" >".$itemColValueArray[$j]."</textarea></td>";
                     }
                     else if($detailCharTypeArray[$j]==3)
                     {
                         if(!strpos($detailCharWidthArray[$j],"*"))
                         {
                            $detailCharWidthArray[$j] = "90*20";
                         }
                         $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
                         $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
                         $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
                         $size = "style=\"width:$fWitdh; height:$fHeight;\"";

                         $elementStrReturn .= "<td valign=\"top\"><select ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" >";
                         $dropValueArray = explode(",",$detailCharDropArray[$j]);
                         for($m=0;$m<count($dropValueArray);$m++)
                         {
                            $selected = "";
                            if($dropValueArray[$m]||$m==0)
                            {
                                if($fieldReadOnly)
                                {
                                    if($itemColValueArray[$j]==$dropValueArray[$m])
                                    {
                                        $selected = "selected=\"selected\"";
                                        $elementStrReturn .= "<option value=\"".$dropValueArray[$m]."\" $selected >".$dropValueArray[$m]."</option>";
                                    }
                                }
                                else
                                {
                                    if($itemColValueArray[$j]==$dropValueArray[$m])
                                        $selected = "selected=\"selected\"";
                                    $elementStrReturn .= "<option value=\"".$dropValueArray[$m]."\" $selected >".$dropValueArray[$m]."</option>";
                                }
                            }
                         }
                         $elementStrReturn .="</select> </td>";
                     }
                     else if($detailCharTypeArray[$j]==4)
                     {
                         if(!strpos($detailCharWidthArray[$j],"*"))
                         {
                            $detailCharWidthArray[$j] = "90*20";
                         }
                         $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
                         $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
                         $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
                         $size = "style=\"width:$fWitdh; height:$fHeight;\"";
                         $elementStrReturn .= "<td valign=\"top\"><input type=\"text\" ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onkeyup=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharDecimal."','".$detailCharRoundoff."','".$detailCharFormulaFormat."','".$detailCharFormula."','".$elementId."')\" value=\"".$itemColValueArray[$j]."\" />";
                        if(!$fieldReadOnly)
                            $elementStrReturn .= "<script>$('#".$title."_".$rowsIndex."_".$colsIndex."').datepicker();</script>";
                        $elementStrReturn .= "</td>";
                     }
                }
                $elementStrReturn .= "</tr>";
            }

        }
        $elementStrReturn .= "<tr id=\"$title"."_"."buttomTr\"><td></td><td></td>";
        for($i = 0; $i < count($detailCharNameArray);$i++)
        {
            $colIndex = $i+1;
            $elementStrReturn .= "<td nowrap=\"nowrap\" id=\"$title"."_td_$colIndex"."\">&nbsp;</td>";
        }
        $elementStrReturn .= "</tr></table><input type=\"hidden\" id=\"DATA_$elementId\" name=\"DATA_$elementId\" value=\"$fieldValue\" class=\"detailchar\" field_required=\"$elementRequire\"><input type=\"hidden\" value=\"".count($itemRowValueArray)."\" name=\"$title"."_hidden_len\" id=\"$title"."_hidden_len\"><script type=\"\">setTimeout(\"refreshDetail('$title','$detailCharTotal','$detailCharDecimal','$detailCharRoundoff','$detailCharFormulaFormat','$detailCharFormula','$elementId')\",2000)</script>";

        if(!$editable){
            $elementStrReturn = ereg_replace("<img src=\"[^\>]+>","",$elementStrReturn);
            //原来只有单行文本框，设置单行文本框的只读
            $elementStrReturn = ereg_replace("<input type=\"text\" class=\"text\"","<input type=\"text\" class=\"textareaonly\" readonly=\"readonly\" ",$elementStrReturn);
        }
        return $elementStrReturn;
    }
    /**
    *获值字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  str   $elementName       字段名
    *@param  str   $elementValue      表单字段初始
    *@param  str   $fieldValue        表单字段值
    *@param  int   $elementId         表单字段序号
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_getvalue($elementStr,$elementName,$elementValue,$fieldValue,$elementId,$editable){
        //getvalue(获值，大写转换)
        //获值字段的对应的控件id
        $elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
        $elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
        if($this->opFlag == 1)
        {
            $datasourcetitle = getHtmlObjPropValue($elementStr,"datasourceid");
            $uppercase       = getHtmlObjPropValue($elementStr,"uppercase");
            if($datasourcetitle)
            {
                $this->getValueControl[$elementId]["datasourceid"] = getHtmlObjPropValue($elementStr,"datasourceid");
                $this->getValueControl[$elementId]["uppercase"]    = getHtmlObjPropValue($elementStr,"uppercase");
            }
        }
        if(!$editable){
            $elementStr = "<$elementName readonly=\"readonly\" ".str_replace("<$elementName","",$elementStr);
            $elementStr = str_replace("class=\"getvalue\"","class=\"textareaonly getvalue\"",$elementStr);
        }
        return $elementStr;
    }
    /**
    *动态字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  str   $elementName       字段名
    *@param  str   $elementTitle      字段title属性
    *@param  int   $elementId         表单字段序号
    *@param  str   $elementValue      表单字段初始
    *@param  str   $fieldValue        表单字段值
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_dynamic($elementStr,$elementName,$elementTitle,$elementId,$elementValue,$fieldValue,$editable,$elementRequire){
        //dynamic(动态联动字段)
        //赋值
        if($elementName == "INPUT"){
            $elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
            $elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
        }else if($elementName == "TEXTAREA"){
            $elementStr = str_replace(">$elementValue<",">$fieldValue<",$elementStr);
        }else if($elementName == "SELECT"){
            $elementStr = str_replace("</SELECT>","<option id=\"$fieldValue\" value=\"$fieldValue\">$fieldValue</option></select>",$elementStr);
        }
        $relparent  = getHtmlObjPropValue($elementStr,"relparent");
        $datasource = getHtmlObjPropValue($elementStr,"datasource");
        $fieldtype  = getHtmlObjPropValue($elementStr,"fieldtype");

        $this->relationField[$elementId]["relparent"]  = $relparent;
        $this->relationField[$elementId]["datasource"] = $datasource;
        $this->relationField[$elementId]["fieldtype"]  = $fieldtype;
        $str = "DATA_$elementId";
        $this->relationField[$elementId]["value"]  = $fieldValue;
        if($elementName != "SELECT")
        {
            $itemcp   = 0;
            if($this->opFlag ==1)
            {
                if($this->flowType ==1)
                {
                    if(find_id($this->prcsItemCapacity,$elementTitle)){
                        $itemcp = 1;//智能获值
                    }
                    if(find_id($this->prcsItemAuto,$elementTitle)){
                        $itemcp = 2;//自动获值
                    }
                } else{
                        $itemcp = 1;//自由流程，默认主办人默认是智能获值
                }
            }
            $elementStr = str_replace("<$elementName","<$elementName itemcp=\"$itemcp\"",$elementStr);
            //设置只读
            if(!$editable){
                $elementStr = "<$elementName readonly=\"readonly\" ".str_replace("<$elementName","",$elementStr);
                $elementStr = str_replace("class=\"dynamic\"","class=\"textareaonly dynamic\"",$elementStr);
            }
            //增加必填字段后面的提示信息
            if($elementRequire)
            {
                if($fieldValue||$this->opFlag != 1)
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
                }
                else
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
                }
            }
        }
        else
        {
            if(!$editable){
                $elementStr = "<$elementName readonly=\"readonly\" ".str_replace("<$elementName","",$elementStr);
                $elementStr = str_replace("class=\"dynamic\"","class=\"textareaonly dynamic\"",$elementStr);
            }
        }
        //这个需要修改
        return $elementStr;
    }
    /**
    *日期时间计算控件
    *@param  str   $elementStr        要处理的字段字符串
    *@param  str   $elementName       字段名
    *@param  str   $elementId         表单字段序号
    *@param  str   $elementFormat     格式化
    *@param  str   $elementValue      表单字段初始
    *@param  str   $fieldValue        表单字段值
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStr        处理后的字符串
    */
    function html_datecompute($elementStr,$elementName,$elementId,$elementFormat,$elementValue,$fieldValue,$editable){
        //日期时间计算
        //取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
        $elementStr = str_replace("value=\"$elementValue\"","",$elementStr);
        $elementStr = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
        if($this->opFlag == 1)
        {
            $startDateValue  = getHtmlObjPropValue($elementStr,"startdate");
            $startTimeValue  = getHtmlObjPropValue($elementStr,"starttime");
            $endDateValue    = getHtmlObjPropValue($elementStr,"enddate");
            $endTimeValue    = getHtmlObjPropValue($elementStr,"endtime");
            $dayUnitValue    = getHtmlObjPropValue($elementStr,"dayunit");
            $this->dateComputeControl[$elementId]["startdate"]       = $startDateValue;
            $this->dateComputeControl[$elementId]["starttime"]       = $startTimeValue;
            $this->dateComputeControl[$elementId]["enddate"]         = $endDateValue;
            $this->dateComputeControl[$elementId]["endtime"]         = $endTimeValue;
            $this->dateComputeControl[$elementId]["dayunit"]         = $dayUnitValue;
            $this->dateComputeControl[$elementId]["elementFormat"]   = $elementFormat;
            //表单定义中的上午开始时间结束时间，下午开始结束时间
            $this->dateComputeControl[$elementId]["morning_start"]   = getHtmlObjPropValue($elementStr,"morning_start");
            $this->dateComputeControl[$elementId]["morning_end"]     = getHtmlObjPropValue($elementStr,"morning_end");
            $this->dateComputeControl[$elementId]["afternoon_start"] = getHtmlObjPropValue($elementStr,"afternoon_start");
            $this->dateComputeControl[$elementId]["afternoon_end"]   = getHtmlObjPropValue($elementStr,"afternoon_end");
            $this->dateComputeControl[$elementId]["excludeVacation"] = getHtmlObjPropValue($elementStr,"exclude_vacation");
            $this->dateComputeControl[$elementId]["relateUser"]      = getHtmlObjPropValue($elementStr,"relate_user");
        }
        if(!$editable)
        {
            $elementStr = "<$elementName readonly=\"readonly\" ".str_replace("<$elementName","",$elementStr);
            $elementStr = str_replace("class=\"datecompute\"","class=\"textareaonly datecompute\"",$elementStr);
        }
        return $elementStr;
    }
    /**
    *计算控件
    *@param  str   $elementStr        要处理的字段字符串
    *@param  str   $elementValue      表单字段初始
    *@param  str   $elementId         表单字段序号
    *@param  str   $elementName       字段名
    *@param  str   $fieldValue        表单字段值
    *@param  bool  $editable          表单字是否可以编辑
    *@param  bool  $elementFormat     保留小数点位数
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_calc($elementStr,$elementValue,$elementId,$elementName,$elementClass,$elementRequire,$fieldValue,$editable,$elementFormat){
        //calc(计算控件)
        global $_lang;
        if(!$elementFormat) {
            $elementFormat = "2";
        }
        // 千位分割
        $thouslanformat = getHtmlObjPropValue($elementStr,"thousandformat");
        // 四舍五入
        $roundoff = getHtmlObjPropValue($elementStr,"round-off");
        $K=0;
        for($J=0; $J<count($this->formElement); $J++)
        {
            $ELEMENT1 = $this->formElement[$J];
            $ETITLE1  = $this->get_attr($ELEMENT1,"TITLE");
            $EID      = $this->get_attr($ELEMENT1,"ID");
            $ECLASS1  = $this->get_attr($ELEMENT1,"CLASS");

            if($ECLASS1 != "DATE"&&$ECLASS1 != "time")
                $K++;
            else
                continue;
            $ETITLE_ARRAY[$EID] = $ETITLE1;
        }
        $EVALUE1 = $elementValue."#";
        $POS    = 0;
        $ECALC1 = "";
        $ECALC2 = "";
        while($POS < strlen($EVALUE1))
        {
            $STR = substr($EVALUE1,$POS,1);
            $POS++;
            if($STR=="+"||$STR=="-"||$STR=="*"||$STR=="/"||$STR=="("||$STR==")"||$STR=="^"||$STR=="#")
            {
                if($ECALC2 != "")
                {
                    /*$ARRAY_COUNT = sizeof($ETITLE_ARRAY);
                    if($ETITLE_ARRAY[$ARRAY_COUNT-1] == "")
                        $ARRAY_COUNT--;
                    for($K = 1; $K <= $ARRAY_COUNT; $K++)
                    {
                        if($ETITLE_ARRAY[$K] == $ECALC2)
                        {
                            $ECALC1 .= "commafyback(document.form1.DATA_".$K.".value,'calc')";
                            $ECALC2  = "";
                            break;
                        }
                    }*/
                    $eId = "";
                    $eId = array_search($ECALC2,$ETITLE_ARRAY);
                    if($eId)
                    {
                        $ECALC1 .= "commafyback(document.form1.".$eId.".value,'calc')";
                        $ECALC2  = "";
                        //break;
                    }
                }
                if($STR != "#")
                    $ECALC1 .= $STR;
            }
            else
                $ECALC2 .= $STR;
        }
        $ECALC1 = trim($ECALC1,"+-*/^#");
        if($elementRequire)
        {
            //为计算控件添加特殊处理
            if($elementClass == "CALC")
            {
                if($this->opFlag != 1)
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
                }
                else
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
                }
            }
        }
        if($ECALC1 && $this->opFlag == 1){
            $elementStrReturn .= $elementStr."<IMG title=\"".$_lang["flow_count"]."\" align=absmiddle style=\"CURSOR: hand\" src=\"/images/form/calc.gif\" border=0 onclick=\"calc_$elementId()\">";
            $elementStrReturn .= "<script>
            function calc_$elementId()
            {
                var myvalue = $ECALC1;
                if(!isNaN(myvalue)&&myvalue != Infinity )
                {
                    myvalue = myvalue.toFixed('12');
                    if('$roundoff' == '0' && myvalue.toString().lastIndexOf(\".\") > 0) {
                        var roundoffBeforePoint = myvalue.toString().substr(0,myvalue.toString().lastIndexOf(\".\"));
                        var roundoffAfterPoint  = myvalue.toString().substr(myvalue.toString().lastIndexOf(\".\")+1,'$elementFormat');
                        myvalue = roundoffBeforePoint+'.'+roundoffAfterPoint;
                    } else {
                        var myvalueNumber = new Number(myvalue);
                        myvalue = myvalueNumber.toFixedCover('".$elementFormat."');
                    }
                    var thouslanformat = '$thouslanformat';
                    if(thouslanformat)
                    {
                        if(myvalue.lastIndexOf(\".\") > 0) {
                            var midValueAfterPoint  = myvalue.substring(myvalue.lastIndexOf(\".\"));
                            var midValueBeforePoint = myvalue.substr(0,myvalue.lastIndexOf(\".\"));
                            document.form1.DATA_$elementId.value = midValueBeforePoint.commafy()+midValueAfterPoint;
                        } else {
                            document.form1.DATA_$elementId.value = myvalue.commafy();
                        }
                    }
                    else
                    {
                        document.form1.DATA_$elementId.value=myvalue;
                    }
                }
                else
                {
                    document.form1.DATA_$elementId.value=\"\";
                }
                jQuery(\"#DATA_".$elementId."\").change();
                setTimeout(\"calc_$elementId();check_calc_value(".$elementId.")\",1000);
            }
            function check_calc_value(item_id)
            {
                if(document.getElementById(\"DATA_\"+item_id).getAttribute(\"field_required\"))
                {
                    if(document.getElementById(\"DATA_\"+item_id).value)
                    {
                        document.getElementById(\"required_\"+item_id+\"_span\").innerHTML = '';
                    }
                    else
                    {
                        document.getElementById(\"required_\"+item_id+\"_span\").innerHTML = \"<i class='fa fa-exclamation fa-lg' style='color:red;'></i>\";
                    }
                }
            }
            jQuery(window).bind('load',calc_$elementId);
            </script>";
        } else if($this->opFlag != 1) {
            $elementStrReturn = str_replace("<$elementName","<$elementName value='$fieldValue'",$elementStr);
        } else {
            $elementStrReturn .= "<script>
            $.pnotify({
                text : '".$_lang['flow_make_sure_calc'].$EITLE.$_lang['flow_sets_have_wrong']."',
                type : 'error',
                delay : 1500,
                addclass: 'stack-topleft',
                styling : 'bootstrap3',
                history : false,
                sticker : false,
                closer : false
            });
            </script>";
        }
        if(!$editable){
            $elementStrReturn = "<$elementName readonly=\"readonly\" class='textareaonly' ".str_replace("<$elementName","",$elementStrReturn);
        }
        return $elementStrReturn;
    }
    /**
    *宏控件
    *@param  str   $elementStr        要处理的字段字符串
    *@param  str   $elementTitle      字段title属性
    *@param  str   $elementName       字段名
    *@param  str   $fieldValue        表单字段值
    *@param  int   $elementId         表单字段序号
    *@param  str   $elementValue      表单字段初始
    *@param  int   $elementRequire    是否要必填
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_auto($elementStr,$elementTitle,$elementName,$fieldValue,$elementId,$elementValue,$elementRequire,$editable){
        global $connection ,$LOGIN_USER_PRIV,$LOGIN_USER_ID,$LOGIN_DEPT_ID;
        $CUR_DATE  = date("Y-m-d");//当期日期
        $CUR_TIME1 = date("H:i:s",time());//当期时间
        $CUR_TIME  = $CUR_DATE." ".$CUR_TIME1;//当期日期时间
        $EDATAFLD  = $this->get_attr($elementStr,"DATAFLD");
        $itemcp    = 0;
        if($this->opFlag ==1)
        {
            if($this->flowType ==1)
            {
                if(find_id($this->prcsItemCapacity,$elementTitle)){
                    $itemcp = 1;//智能获值
                }
                if(find_id($this->prcsItemAuto,$elementTitle)){
                    $itemcp = 2;//自动获值
                }
            } else{
                    $itemcp = 1;//自由流程，默认主办人默认是智能获值
            }
        }
        unset($AUTO_VALUE);
        if($elementName == "INPUT") // 单行输入框，无值时时将自动取值
        {
            switch($EDATAFLD)
            {
                case "SYS_USERCURDEAL" :
                        //current deal username 当前主办人姓名
                        $runid  = $this->runId;
                        $flowid = $this->flowId;
                        $prcsid = $this->prcsId;

                        $query = "
                            select frp.user_id,frp.run_id from flow_run_prcs frp,flow_run fr
                            where
                            frp.run_id = fr.run_id
                            and frp.flow_prcs = fr.current_step
                            and frp.op_flag = 1
                            and fr.run_id = ".SecurityFilter($runid)."
                            order by frp.prcs_id desc
                            limit 1;
                        ";
                        $result = exequery ( $connection, $query );
                        if(mysql_num_rows($result) > 0 ){
                            $row = mysql_fetch_array($result);
                            $userid = $row['user_id'];
                            $query = "
                                select user_name from user where user_id = '".SecurityFilter($userid)."' limit 1;
                            ";
                            $result = exequery($connection, $query);
                            $row = mysql_fetch_array($result);
                            $user = $row[0];
                        }else{
                            $user = '';
                        }
                        if ($itemcp == 0) {
                            $AUTO_VALUE = $fieldValue;
                        }
                        if ($itemcp == 1) {
                            $AUTO_VALUE = ($fieldValue == "") ? $user : $fieldValue;
                        }
                        if ($itemcp == 2) {
                            $AUTO_VALUE = $user;
                        }
                break;
                case "SYS_DATE":
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$CUR_DATE:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $CUR_DATE;
                    }
                break;
                case "SYS_TIME":
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$CUR_TIME1:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $CUR_TIME1;
                    }
                break;
                case "SYS_DATETIME":
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$CUR_TIME:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $CUR_TIME;
                    }
                break;
                case "SYS_USERID":
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$LOGIN_USER_ID:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $LOGIN_USER_ID;
                    }
                break;
                case "SYS_USERNAME":
                    $query_auto  = "SELECT USER_NAME from USER where USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";
                    $cursor_auto = exequery($connection,$query_auto);
                    if($ROW=mysql_fetch_array($cursor_auto)){
                        $ITEM_USER_NAME = $ROW["USER_NAME"];
                    }
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$ITEM_USER_NAME:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $ITEM_USER_NAME;
                    }
                break;
                case "SYS_USER_JOBNUMBER":
                    $query_auto  = "SELECT JOB_NUMBER from USER where USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";
                    $cursor_auto = exequery($connection,$query_auto);
                    if($ROW=mysql_fetch_array($cursor_auto)){
                        $ITEM_JOB_NUMBER = $ROW["JOB_NUMBER"];
                    }
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$ITEM_JOB_NUMBER:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $ITEM_JOB_NUMBER;
                    }
                break;
                // 当前用户，账户名
                case "SYS_ACCOUNTS":
                    $query_auto  = "SELECT USER_ACCOUNTS from USER where USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";
                    $cursor_auto = exequery($connection,$query_auto);
                    if($ROW=mysql_fetch_array($cursor_auto)){
                        $ITEM_USER_ACCOUNTS = $ROW["USER_ACCOUNTS"];
                    }
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$ITEM_USER_ACCOUNTS:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $ITEM_USER_ACCOUNTS;
                    }
                break;
                //增加当前用户角色
                case "SYS_USERPRIV":
                    $query_auto  = "SELECT PRIV_NAME FROM user_priv WHERE USER_PRIV ='".SecurityFilter($LOGIN_USER_PRIV)."'";
                    $cursor_auto = exequery($connection,$query_auto);
                    if($ROW = mysql_fetch_array($cursor_auto)){
                        $ITEM_USER_PRIV = $ROW["PRIV_NAME"];
                    }
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$ITEM_USER_PRIV:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $ITEM_USER_PRIV;
                    }
                break;
                //当前用户上级
                case "SYS_USER_SUPERIOR":
                    include_once("api/user.class.php");
                    $user = new user;
                    //获取上级信息
                    $superiorArray    = $user->getSuperiorArrayByUserId($LOGIN_USER_ID);
                    if($superiorArray["id"] && $superiorArray["name"]) {
                        $userSuperiorId   = implode(",", $superiorArray["id"]).",";
                        $userSuperiorName = implode(",", $superiorArray["name"]).",";
                    }
                    $userSuperiorName = trim($userSuperiorName,",");
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$userSuperiorName:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $userSuperiorName;
                    }
                break;
                //当前用户下级
                case "SYS_USER_SUBORDINATE":
                    include_once("api/user.class.php");
                    $user = new user;
                    //获取下级信息
                    $subordinateArray    = $user->getSubordinateArrayByUserId($LOGIN_USER_ID);
                    if($subordinateArray["id"] && $subordinateArray["name"]) {
                        $userSubordinateId   = implode(",", $subordinateArray["id"]).",";
                        $userSubordinateName = implode(",", $subordinateArray["name"]).",";
                    }
                    $userSubordinateName = trim($userSubordinateName,",");
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$userSubordinateName:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $userSubordinateName;
                    }
                break;
                case "SYS_DEPTNAME":
                    $ITEM_DEPT_NAME = dept_long_name($LOGIN_DEPT_ID);
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$ITEM_DEPT_NAME:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $ITEM_DEPT_NAME;
                    }
                break;
                case "SYS_DEPTNAME_S":
                    $ITEM_DEPT_NAME = dept_small_name($LOGIN_DEPT_ID);
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$ITEM_DEPT_NAME:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $ITEM_DEPT_NAME;
                    }
                break;
                case "SYS_FORMNAME":
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$this->formName:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $this->formName;
                    }
                break;
                case "SYS_RUNNAME":
                    //把流水号的从实体转换换回来
                    $AUTO_VALUE = html_entity_decode($this->runSeq,ENT_QUOTES,'UTF-8');
                break;
                case "SYS_FLOWRUNNAME":
                    //把流水号的从实体转换换回来
                    $AUTO_VALUE = html_entity_decode($this->runName,ENT_QUOTES,'UTF-8');
                break;
                case "SYS_RUNDATE":
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$this->prcsDate:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $this->prcsDate;
                    }
                break;
                case "SYS_RUNDATETIME":
                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$this->prcsDateTime:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $this->prcsDateTime;
                    }
                break;
                case "SYS_SQL":
                    $EDATASRC       = $this->get_attr($elementStr,"DATASRC");
                    $EDATASRC       = str_replace("`","'",$EDATASRC);
                    $EDATASRC = htmlspecialchars_decode($EDATASRC, ENT_QUOTES);
                    $cursor_SYS_SQL = exequery($connection,$EDATASRC);
                    if($ROW = mysql_fetch_array($cursor_SYS_SQL))
                        $SQL_VALUE = $ROW[0];

                    if($itemcp == 0){
                        $AUTO_VALUE = $fieldValue;
                    }
                    if($itemcp == 1){
                        $AUTO_VALUE = ($fieldValue == "")?$SQL_VALUE:$fieldValue;
                    }
                    if($itemcp == 2){
                        $AUTO_VALUE = $SQL_VALUE;
                    }
                break;
            }
            if($EDATAFLD == "SYS_RUNNAME"){
                $elementStrReturn = "<INPUT type=\"hidden\" datafld=\"SYS_RUNNAME\" name=\"DATA_".$elementId."\" id=\"DATA_".$elementId."\" value='".$AUTO_VALUE."' />"."<span id=\"flowNoSpan_".$elementId."\">".$AUTO_VALUE."</span>";
            }else if($EDATAFLD == "SYS_FLOWRUNNAME"){
                $style = getHtmlObjPropValue($elementStr,"style");
                $elementStrReturn = "<INPUT type=\"hidden\" class=\"flowRunNameHiddenInputClass\" datafld=\"SYS_FLOWRUNNAME\" name=\"DATA_".$elementId."\" id=\"DATA_".$elementId."\" value='".$AUTO_VALUE."' />"."<span class=\"flowRunNameSpanClass\" id=\"flowRunNameSpan_".$elementId."\" style=\"".$style."\">".$AUTO_VALUE."</span>";
            }else{
                $elementStrReturn = str_replace("value=\"$elementValue\"","",$elementStr);
                $elementStrReturn = str_replace("value=''","",$elementStrReturn);
                $elementStrReturn = str_replace("class=AUTO","",$elementStrReturn);
                $elementStrReturn = str_replace("<$elementName","<$elementName value='$AUTO_VALUE'",$elementStrReturn);
            }
            if(!$editable){
                $elementStrReturn = "<$elementName readonly=\"readonly\" class='textareaonly' ".str_replace("<$elementName","",$elementStrReturn);
            }
            //增加必填字段后面的提示信息
            if($elementRequire)
            {
                if($AUTO_VALUE||$this->opFlag != 1)
                {
                    $elementStrReturn .= "<span id=\"required_".$elementId."_span\"></span>";
                }
                else
                {
                    $elementStrReturn .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
                }
            }
        }
        elseif($elementName == "SELECT")
        {
            $AUTO_VALUE = "<option value=\"\"";
            if($fieldValue == "")
                $AUTO_VALUE .= " selected";
            $AUTO_VALUE .= "></option>\n";
            $ITEM_VALUE_TEXT = "";
            switch($EDATAFLD)
            {
                case "SYS_LIST_DEPT":
                    $AUTO_VALUE .= my_dept_tree(0,$fieldValue,0);
                    if($fieldValue != "")
                    {
                        $query_auto  = "SELECT * from DEPARTMENT where DEPT_ID=".SecurityFilter($fieldValue);
                        $cursor_auto = exequery($connection,$query_auto);
                        if($ROW = mysql_fetch_array($cursor_auto))
                            $ITEM_VALUE_TEXT = $ROW["DEPT_NAME"];
                    }
                break;
                case "SYS_LIST_USER":
                    $query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV AND DEPT_ID > 0 order by PRIV_NO,USER_NAME";
                    $cursor_auto = exequery($connection,$query_auto);
                    while($ROW=mysql_fetch_array($cursor_auto))
                    {
                        $USER_ID    = $ROW["USER_ID"];
                        $USER_NAME  = $ROW["USER_NAME"];
                        $USER_ZM    = $ROW["USER_NAME_ZM"];
                        $AUTO_VALUE.="<option value=\"$USER_ID\" alt=\"$USER_ZM\"";
                        if($fieldValue == $USER_ID)
                        {
                            $AUTO_VALUE     .= " selected";
                            $ITEM_VALUE_TEXT = $USER_NAME;
                        }
                        $AUTO_VALUE .= ">$USER_NAME</option>\n";
                    }
                break;
                case "SYS_LIST_PRIV":
                    $query_auto   = "SELECT * from USER_PRIV order by PRIV_NO";
                    $cursor_auto  = exequery($connection,$query_auto);
                    while($ROW=mysql_fetch_array($cursor_auto))
                    {
                        $USER_PRIV   = $ROW["USER_PRIV"];
                        $PRIV_NAME   = $ROW["PRIV_NAME"];
                        $PRIV_ZM     = $ROW["PRIV_NAME_ZM"];
                        $AUTO_VALUE .= "<option value=\"$PRIV_NAME\" alt=\"$PRIV_ZM\"";
                        if($fieldValue == $PRIV_NAME)
                        {
                            $AUTO_VALUE     .= " selected";
                            $ITEM_VALUE_TEXT = $PRIV_NAME;
                        }
                        $AUTO_VALUE .= ">$PRIV_NAME</option>\n";
                    }
                break;
                case "SYS_LIST_PRCSUSER1":
                    $query_auto  = "select * from FLOW_PROCESS where FLOW_ID='".SecurityFilter($this->flowId)."' order by PRCS_ID";
                    $cursor_auto = exequery($connection,$query_auto);
                    $PRCS_USER   = "";
                    while($ROW   = mysql_fetch_array($cursor_auto))
                        $PRCS_USER .= $ROW["PRCS_USER"];

                    $query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV order by PRIV_NO,USER_NAME";
                    $cursor_auto = exequery($connection,$query_auto);
                    while($ROW   = mysql_fetch_array($cursor_auto))
                    {
                        $USER_ID   = $ROW["USER_ID"];
                        $USER_NAME = $ROW["USER_NAME"];
                        $USER_ZM   = $ROW["USER_NAME_ZM"];
                        if(find_id($PRCS_USER,$USER_ID))
                        {
                            $AUTO_VALUE    .= "<option value=\"$USER_ID\" alt=\"$USER_ZM\"";
                            if($fieldValue == $USER_ID)
                            {
                                $AUTO_VALUE     .= " selected";
                                $ITEM_VALUE_TEXT = $USER_NAME;
                            }
                            $AUTO_VALUE .= ">$USER_NAME</option>\n";
                        }
                    }
                break;
                case "SYS_LIST_PRCSUSER2":
                    $query_auto  = "select * from FLOW_PROCESS where FLOW_ID='".SecurityFilter($this->flowId)."' AND PRCS_ID='".SecurityFilter($this->flowPrcs)."'";
                    $cursor_auto = exequery($connection,$query_auto);
                    if($ROW      = mysql_fetch_array($cursor_auto))
                        $PRCS_USER = $ROW["PRCS_USER"];

                    $query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV order by PRIV_NO,USER_NAME";
                    $cursor_auto = exequery($connection,$query_auto);
                    while($ROW   = mysql_fetch_array($cursor_auto))
                    {
                        $USER_ID   = $ROW["USER_ID"];
                        $USER_NAME = $ROW["USER_NAME"];
                        $USER_ZM   = $ROW["USER_NAME_ZM"];
                        if(find_id($PRCS_USER,$USER_ID)||($fieldValue == $USER_ID))
                        {
                            $AUTO_VALUE .= "<option value=\"$USER_ID\" alt=\"$USER_ZM\"";
                            if($fieldValue == $USER_ID)
                            {
                                $AUTO_VALUE     .= " selected";
                                $ITEM_VALUE_TEXT = $USER_NAME;
                            }
                            $AUTO_VALUE.=">$USER_NAME</option>\n";
                        }
                    }
                break;
                case "SYS_LIST_SQL":
                    $EDATASRC       = $this->get_attr($elementStr,"DATASRC");
                    $EDATASRC       = str_replace("`","'",$EDATASRC);
                    $EDATASRC = htmlspecialchars_decode($EDATASRC, ENT_QUOTES);
                    $cursor_SYS_SQL = exequery($connection,$EDATASRC);
                    while($ROW      = mysql_fetch_array($cursor_SYS_SQL))
                    {
                        $AUTO_VALUE_SQL = $ROW[0];
                        $AUTO_VALUE    .= "<option value=\"$AUTO_VALUE_SQL\"";
                        if($fieldValue == $AUTO_VALUE_SQL)
                        {
                            $AUTO_VALUE     .= " selected";
                            $ITEM_VALUE_TEXT = $AUTO_VALUE_SQL;
                        }
                        $AUTO_VALUE .= ">$AUTO_VALUE_SQL</option>\n";
                    }
                    if(!find_id($this->prcsItem,$elementTitle)||$this->opFlag != 1)
                    {
                        //$AUTO_VALUE = "<option value=\"$fieldValue\" selected>$fieldValue</option>\n";
                        $ITEM_VALUE_TEXT = $fieldValue;
                    }
                break;
            }
            if(!$editable)
            {
                //宏控件下拉框自读设置
                $elementStr = str_replace($elementValue,"<OPTION value=\"$fieldValue\">$ITEM_VALUE_TEXT</OPTION>",$elementStr);
            }
            //增加必填字段后面的提示信息
            if($elementRequire)
            {
                if($ITEM_VALUE_TEXT||$this->opFlag != 1)
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"></span>";
                }
                else
                {
                    $elementStr .= "<span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
                }
            }
            $elementStrReturn = str_replace($elementValue,$AUTO_VALUE,$elementStr);
        }
        return $elementStrReturn;
    }
    /**
    *html签章控件字段处理函数
    *@param  str   $elementStr        要处理的字段字符串
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrReturn  处理后的字符串
    */
    function html_signature_field($elementStr,$elementId,$canEdit,$elementRequire,$fieldValue)
    {
        //html签章
        global $_lang;
        preg_match("/<[^\>]*/",$elementStr,$rs);
        $htmlEditTemp = $rs[0];
        $htmlEditTemp = str_replace(" ","",$htmlEditTemp);
        $toReplaceArr = array("width","height","px",":");
        //width
        preg_match("/width:(\d)*px/",$htmlEditTemp,$widthMatch);
        $fromWidthStr   = $widthMatch[0];
        $width   = trim(str_replace($toReplaceArr,"",$fromWidthStr))."px";
        //height
        preg_match("/height:(\d)*px/",$htmlEditTemp,$heightMatch);
        $fromHeightStr   = $heightMatch[0];
        $height   = trim(str_replace($toReplaceArr,"",$fromHeightStr))."px";
        if(!$width)
            $width = "300px";
        if(!$height)
            $height = "150px";
        $elementStrReturn = "<div><div style='display:inline-block;float:left'><table border='0' cellpadding='0' cellspacing='0'><tr><td><div class='HTML_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$elementId' id='DATA_SIGNATURE_$elementId' style='position:relative;height:$height;width:$width;'><input type='hidden' name='DATA_$elementId' id='DATA_$elementId' field_required='$elementRequire' class='HTML_SIGNATURE' value='$fieldValue'></div></div></td><td valign='bottom' nowrap='nowrap'><a style=\"display:;\" href=\"#\" name='HTMLSIG_QZ_A_$elementId' id='HTMLSIG_QZ_A_$elementId' title=\"\" onClick=\"showSignature('qz','DATA_SIGNATURE_$elementId','$elementId','$this->runId','$this->flowId','$elementRequire');\"/><font color='#828282'>".$_lang['flow_click_to_signature']."</font></a>&nbsp;&nbsp;<a style=\"display:;\" href=\"#\" name='HTMLSIG_SX_A_$elementId' id='HTMLSIG_SX_A_$elementId' title=\"\" onClick=\"showSignature('sx','DATA_SIGNATURE_$elementId','$elementId','$this->runId','$this->flowId','$elementRequire');\"/><font color='#828282'>".$_lang['flow_click_to_sign']."</font></a></td></tr></table></div>";
            //增加必填字段后面的提示信息
        if($elementRequire)
        {
            if($ITEM_VALUE_TEXT||$this->opFlag != 1)
            {
                // $elementStrReturn .= "<div style='display:inline-block;float:left'><span id=\"required_".$elementId."_span\"></span></div>";
            }
            else
            {
                $elementStrReturn .= "<div style='display:inline-block;float:left'><span id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span></div>";
            }
        }
        $elementStrReturn .= "</div>";
        if(!$canEdit)
            $elementStrReturn = preg_replace("/<a(.*)>(.*)<\\/a>/","",$elementStrReturn);
        return $elementStrReturn;
    }
    /**
    *手机签章控件字段处理函数
    *@param  str   $elementStr        要处理的字段字符串
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrRetrun  处理后的字符串
    */
    function phone_signature_field($elementStr,$elementId,$canEdit){
        //手机签章
        preg_match("/<[^\>]*/",$elementStr,$rs);
        $htmlEditTemp = $rs[0];
        $htmlEditTemp = str_replace(" ","",$htmlEditTemp);
        $toReplaceArr = array("width","height","px",":");
        //width
        preg_match("/width:(\d)*px/",$htmlEditTemp,$widthMatch);
        $fromWidthStr   = $widthMatch[0];
        $width   = trim(str_replace($toReplaceArr,"",$fromWidthStr))."px";
        //height
        preg_match("/height:(\d)*px/",$htmlEditTemp,$heightMatch);
        $fromHeightStr   = $heightMatch[0];
        $height   = trim(str_replace($toReplaceArr,"",$fromHeightStr))."px";
        if(!$width)
            $width = "300px";
        if(!$height)
            $height = "150px";
        $elementStrRetrun = "<div class='PHONE_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$elementId' id='DATA_SIGNATURE_$elementId' style='position:relative;height:$height;width:$width;'><input type='hidden' name='DATA_$elementId' id='DATA_$elementId' field_required='$REQUIRE' class='HTML_SIGNATURE' value='$EVALUE' ></div></div>";
        if(!$canEdit)
            $elementStrRetrun = preg_replace("/<a(.*)>(.*)<\\/a>/","",$elementStrRetrun);
        return $elementStrRetrun;
    }
    /**
    *签名图片控件字段处理函数
    *@param  str   $elementStr        要处理的字段字符串
    *@param  int   $elementId         表单字段序号
    *@param  bool  $canEdit           表单字是否可以编辑
    *@param  str   $elementValue      表单字段初始
    *@param  str   $fieldValue        表单字段值
    *@return str   $elementStrRetrun  处理后的字符串
    */
    function signature_picture_field($elementStr,$elementId,$canEdit,$elementValue,$fieldValue,$elementFormat,$elementRequire){
        //签名图片
        global $_lang;
        preg_match("/<[^\>]*/",$elementStr,$rs);
        $htmlEditTemp = $rs[0];
        $htmlEditTemp = str_replace(" ","",$htmlEditTemp);
        $toReplaceArr = array("width","height","px",":");
        //width
        preg_match("/width:(\d)*px/",$htmlEditTemp,$widthMatch);
        $fromWidthStr   = $widthMatch[0];
        $width   = trim(str_replace($toReplaceArr,"",$fromWidthStr))."px";
        //height
        preg_match("/height:(\d)*px/",$htmlEditTemp,$heightMatch);
        $fromHeightStr   = $heightMatch[0];
        $height   = trim(str_replace($toReplaceArr,"",$fromHeightStr))."px";
        if(!$width)
            $width = "170px";
        if(!$height)
            $height = "75px";
        if($elementFormat == "hiddenborder")
            $elementStrReturn = "<div style='display:inline-block'><div style='display:inline-block;float:left;'><table border='0' cellpadding='2' cellspacing='2' style='display:inline-block;'>";
        else
            $elementStrReturn = "<div style='display:inline-block'><div style='display:inline-block;float:left;'><table border='1' cellpadding='2' cellspacing='2' style='border:1px #CCC solid;'>";
        $elementStrReturn .= "<tr><td><div id='signature-picture-out-side_".$elementId."' style='width:$width;'><div style='color:#A39B9B;width:80%;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;' id='signature-picture-tip-text_".$elementId."' title='".$elementValue."'>".$elementValue."</div><div style=''><img src='".$fieldValue."' style='max-width:100%;' id='signature-picture-main-img_".$elementId."'/></div><input type='hidden' name='DATA_$elementId' id='DATA_$elementId' field_required='$elementRequire' class='SIGNATURE_PICTURE' value='".$fieldValue."'></div></td><td valign='bottom' style='height:$height;width:1px;'><button type='button' onClick='selectSignaturePicture(".$elementId.")' class='signature-picture-sign-click btn btn-primary' title='' name='signature_picture_sign_$elementId' id='signature_picture_sign_$elementId'>".$_lang["flow_signed"]."</button><button type='button' style='margin-top:2px;' onClick='clearSignaturePicture(".$elementId.")' class='signature-picture-clear-click btn btn-danger' title='' name='signature_picture_clear_$elementId' id='signature_picture_clear_$elementId'>".$_lang["common_empty"]."</button></td></tr></table></div>";
        //增加必填字段后面的提示信息
        if($elementRequire)
        {
                if($fieldValue) {
                    $elementStrReturn .= "<span style='display:none;float:left;' id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
                }else{
                    $elementStrReturn .= "<span style='display:inline-block;float:left;' id=\"required_".$elementId."_span\"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>";
                }
        }
        $elementStrReturn .= "</div>";
        if(!$canEdit)
            $elementStrReturn = preg_replace("/<button(.*)>(.*)<\\/button>/","",$elementStrReturn);
        return $elementStrReturn;
    }
    /**
    *动态信息字段
    *@param  str   $elementStr        要处理的字段字符串
    *@param  bool  $editable          表单字是否可以编辑
    *@return str   $elementStrRetrun  处理后的字符串
    */
    function html_dynamicinfo($elementStr,$elementId,$elementTitle,$fieldValue){
        global $LOGIN_USER_ID;
        preg_match("/<[^\>]*/",$elementStr,$rs);
        $htmlEditTemp = $rs[0];
        $htmlEditTemp = str_replace(" ","",$htmlEditTemp);
        $toReplaceArr = array("width","height","px",":");
        //width
        preg_match("/width:(\d)*px/",$htmlEditTemp,$widthMatch);
        $fromWidthStr   = $widthMatch[0];
        $width   = trim(str_replace($toReplaceArr,"",$fromWidthStr))."px";
        //height
        preg_match("/height:(\d)*px/",$htmlEditTemp,$heightMatch);
        $fromHeightStr   = $heightMatch[0];
        $height   = trim(str_replace($toReplaceArr,"",$fromHeightStr))."px";
        if(!$width)
            $width = "300px";
        if(!$height)
            $height = "150px";
        $datasource     = getHtmlObjPropValue($elementStr,"datasource");
        $itemcp         = 0;
        if($this->opFlag ==1)
        {
            if($this->flowType ==1)
            {
                if(find_id($this->prcsItemCapacity,$elementTitle)){
                    $itemcp = 1;//智能获值
                }
                if(find_id($this->prcsItemAuto,$elementTitle)){
                    $itemcp = 2;//自动获值
                }
            } else{
                    $itemcp = 1;//自由流程，默认主办人默认是智能获值
            }
        }
        if(($itemcp==1&&!$fieldValue)||$itemcp == 2)
        {
            //这里改成一个处理数据源的函数，把datasource转换成curl的url参数
            $newUrl = pathToUrl($datasource,$_GET);
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $newUrl);
            curl_setopt($ch, CURLOPT_HEADER, 0);
            //设置一个名为LOGIN_USER_ID值为$LOGIN_USER_ID的cookie
            curl_setopt($ch, CURLOPT_COOKIE,"LOGIN_USER_ID=$LOGIN_USER_ID");
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $rs =  curl_exec($ch);
            curl_close($ch);
        }
        else
        {
            $fieldValue = str_replace("＃","#",$fieldValue);
            $fieldValue = str_replace("＆","&",$fieldValue);
            $fieldValue = str_replace("？","?",$fieldValue);
            $rs = $fieldValue;
        }
        $elementStrRetrun = '<div name="dynamic_info_$elementId" id="dynamic_info_$elementId" style="height:$height;width:$width;">'.$rs.'</div><textarea style="display:none;" name="DATA_'.$elementId.'" id="DATA_'.$elementId.'">'.$rs.'</textarea>';
        return $elementStrRetrun;
    }
}
?>
