<?php
/**
 * @copyright  (C) 2014 - 2015 Weaver Co.Ltd
 * @package    eoffice9.0
 * @name       api/IncomeExpend.class.php
 * @function   收支管理类
 * @author     lizhijun
 * @date       2015-3-27
 */
class PropertyExtend {
  
    /**
     * 获取方案类型列表
     * @return type
     */
    public function CategoryLists(){
        $query  = 'SELECT * FROM property_class WHERE PARENT_ID = 0';
        $lists = $this->_getSqlRows($query);
        return $lists;
    }

    public function FindChildren($id){
        $query  = 'SELECT * FROM property_class WHERE PARENT_ID ='.$id;
        $lists = $this->_getSqlRows($query);
        return $lists;
    }

    public function addClass($data){
        $lists = $this->_executeInsert($data,"property_class",'');
        return mysql_insert_id();
    }

    public function editClass($data){
        $condition['CLASS_ID'] = $data['CLASS_ID'];
        $lists = $this->_executeUpdate($data,"property_class",$condition);
        return $lists;
    }

    public function classInfo($id){
        $query  = 'SELECT * FROM property_class WHERE CLASS_ID ='.$id;
        $lists = $this->_getSqlRow($query);
        return $lists;
    }

    public function deleteInfo($id){
        global $connection;
        $query  =  "DELETE FROM property_class WHERE  CLASS_ID  =".SecurityFilter($id);
        exequery($connection, $query);
    }
    public function propertyLists($data){
        $user = $data['user'];
		$userinfo = $this->_getSqlRow("SELECT * FROM user WHERE USER_ID ='$user' ");
		$deptId = $userinfo['DEPT_ID'];
		$dept = $this->_getSqlRows("SELECT * FROM user WHERE DEPT_ID ='$deptId' ");
		$userCount = sizeof($dept);
		$userStr = ' (';
		foreach ($dept as $k => $v) {
			if ($k == $userCount - 1) {
				$userStr .= "'" . $v['USER_ID'] . "')";
			} else {
				$userStr .= "'" . $v['USER_ID'] . "',";
			}
		}

		$sql = 'FROM property_manage as m LEFT JOIN user as u ON m.USAGE_ID=u.USER_ID 
        LEFT JOIN department as d ON d.DEPT_ID=u.DEPT_ID LEFT JOIN property_class as c ON c.CLASS_ID=m.CLASS_ID  WHERE 1=1 ';

		$POST_PRIV = $userinfo['POST_PRIV'];
		if ($POST_PRIV == 0) {
			$sql .= ' AND m.USAGE_ID IN ' . $userStr;
		}elseif ($POST_PRIV == 1) {
            
        }elseif ($POST_PRIV == 2) {
			$post_dept = $userinfo['POST_DEPT'];
            
			if (empty($post_dept)) {
				$sql.= " AND m.USAGE_ID = '$user'";
			} else {
                if (strpos($post_dept,$deptId) !== false) {
                    $sql .= 'AND u.DEPT_ID IN (' . rtrim($userinfo['POST_DEPT'], ',') . ")";
                }
				
			}
		} else {
			$sql.= " AND m.USAGE_ID = '$user'";
		}
        $where_sql = $data['where_sql'];
        if (!empty($where_sql)) {
            $sql .= "$where_sql";
        }
		
		$class_id = $data['CLASS_ID'];
		if ($class_id) {
			$classinfo = $this->_getSqlRow("SELECT * FROM property_class WHERE CLASS_ID ='$class_id' ");
			$parent_id = $classinfo['PARENT_ID'];
			if ($parent_id == 0) {
				$child = $this->_getSqlRows("SELECT * FROM property_class WHERE PARENT_ID ='$class_id' ");
				$childCount = sizeof($child);
				if ($childCount == 0) {
					$sql.= " AND m.CLASS_ID = '$class_id'";
				} else {
					$childStr = ' (' . "'" . $class_id . "',";
					foreach ($child as $k => $v) {
						if ($k == $childCount - 1) {
							$childStr .= "'" . $v['CLASS_ID'] . "')";
						} else {
							$childStr .= "'" . $v['CLASS_ID'] . "',";
						}
					}
					$sql.= " AND m.CLASS_ID IN " . $childStr;
				}
			} else {
				$sql.= " AND m.CLASS_ID = '$class_id'";
			}
		}
		
		$STATUS = $data['STATUS'];
		
		if (!empty($STATUS) && $STATUS != "all") {
               $sql.= " AND m.STATUS = '$STATUS'"; 
		}
		if ($data['search_field']) {
			$sql.= " AND " . $data['search_field'] . " like '%" . $data['search_str'] . "%'";
		}
		
		$countSql = 'SELECT count(*) as count ';
		$countSql = $countSql . $sql;
        $countArray = $this->_getSqlRow($countSql);
        $count = $countArray['count'];
        $listSql = 'SELECT m.*,u.DEPT_ID,u.USER_NAME,d.DEPT_NAME,c.CLASS_NAME ';
        $listSql = $listSql . $sql;

		
		if ($POST_PRIV == 2 && !empty($post_dept) && strpos($post_dept,$deptId) === false) {
                $sql1 =$listSql. ' AND u.DEPT_ID IN (' . rtrim($userinfo['POST_DEPT'], ',') . ")";
                $sql2 = $listSql." AND m.USAGE_ID = '$user'";
                $listSql = $sql1.' UNION '.$sql2;
                $countSql1 =  $countSql.' AND u.DEPT_ID IN (' . rtrim($userinfo['POST_DEPT'], ',') . ")" ;
                $countSql2 =  $countSql." AND m.USAGE_ID = '$user'";
                $count1 = $this->_getSqlRow($countSql1);
                $count2 = $this->_getSqlRow($countSql2);
                $count = $count1['count'] + $count2['count'];
        }
        $listSql .= " ORDER BY Created DESC";
        // echo $listSql;exit;
		if ($count == 0) {
			return array('totalCount' => 0, 'list' => array());
		}
		
		if (!empty($data['perPage'])) {
			$limitOffset = $data['offset'] * $data['perPage'];
			
			$listSql.= " LIMIT " . $limitOffset . "," . $data['perPage'];
		}
        
		$lists = $this->_getSqlRows($listSql);
		
		if (!empty($lists)) {
			foreach ($lists as $k => $v) {
				$lists[$k]['STATUS'] = $lists[$k]['STATUS'] == "use" ? "使用中" : "未使用";
			}
		}

		return array('totalCount' => $count, 'list' => $lists);
	}

    public function myLists($user,$search_field,$search_str,$perPage,$offset){
          $sql = 'SELECT m.*,u.Dept_Id,u.USER_NAME,d.DEPT_NAME,c.CLASS_NAME FROM property_manage as m LEFT JOIN user as u ON m.USAGE_ID=u.USER_ID 
        LEFT JOIN department as d ON d.DEPT_ID=u.Dept_Id LEFT JOIN property_class as c ON c.CLASS_ID=m.CLASS_ID';
        $sql.= " WHERE USAGE_ID = '$user'";
        if ($search_field) {
            $sql.= "AND ".$search_field." like '%".$search_str."%'";
        }
        $query = $sql;
        $count = count($this->_getSqlRows($sql));
        if (!empty($perPage)) {
            $limitOffset = $offset*$perPage;
            $sql.= " LIMIT ".$limitOffset.",".$perPage;
        }
        $lists = $this->_getSqlRows($sql);
         foreach ($lists as $k => $v) {
            if ( $lists[$k]['STATUS']== "use") {
                $lists[$k]['STATUS'] = "使用中";
            }else{
                $lists[$k]['STATUS'] = "未使用";
            } 
        } 
          
         return array('totalCount'=>$count,'list'=>$lists);

    }

    public function info($id){
        $query = 'SELECT m.*,u.Dept_Id,u.USER_NAME,d.DEPT_NAME,c.CLASS_NAME,a.ATTACHMENT_ID,a.ATTACHMENT_NAME FROM property_manage as m 
        LEFT JOIN user as u ON m.USAGE_ID=u.USER_ID 
        LEFT JOIN department as d ON d.DEPT_ID=u.Dept_Id 
        LEFT JOIN property_class as c ON c.CLASS_ID=m.CLASS_ID 
        LEFT JOIN property_attach as a ON a.PID=m.PROPERTY_ID WHERE PROPERTY_ID='.$id;
        $lists = $this->_getSqlRow($query);
        return $lists;
    }

    public function addProperty($data,$dataSub){
        $lists = $this->_executeInsert($data,"property_manage",'');
        $id =  $this->_executeInsert($dataSub,'property_attach','');
        if ($id && $lists) {
           return "true";
        }else{
            return "false";
        }
    }

    public function updateProperty($data,$dataSub){
        $query  = 'SELECT * FROM property_manage WHERE PROPERTY_ID ='.$data['PROPERTY_ID'];
        $list = $this->_getSqlRow($query);
        $old_user = $list['USAGE_ID'];
        $new_user =$data['USAGE_ID'];
        if ($old_user != $new_user) {
            $logs['PROPERTY_ID'] =$data['PROPERTY_ID'];
            $logs['OLD_USAGE'] = $old_user;
            $logs['NEW_USAGE'] = $new_user;
            $this->_executeInsert($logs,"property_logs",'');
        }
        $condition['PROPERTY_ID'] = $data['PROPERTY_ID'];
        $updateinfo = $this->_executeUpdate($data,"property_manage",$condition);
        $where['PID'] = $dataSub['PID'];
        $attach['ATTACHMENT_ID'] =$dataSub['ATTACHMENT_ID'];
        $attach['ATTACHMENT_NAME'] =$dataSub['ATTACHMENT_NAME'];
        $updateattach = $this->_executeUpdate($attach,"property_attach",$where);
        return "true";
     

    }

    public function deleteList($id){
        global $connection;
        $sql = "DELETE FROM property_manage WHERE PROPERTY_ID =".SecurityFilter($id);
        exequery($connection,$sql);
        return "true";

    }

    public function deleteAttachment($PID, $ATTACHMENT_ID,$ATTACHMENT_NAME){
        if(!$PID){
            return false;
        }
        $condition['PID'] = $PID;
        $data = array('ATTACHMENT_ID' => $ATTACHMENT_ID,'ATTACHMENT_NAME' => $ATTACHMENT_NAME);
        return $this->_executeUpdate($data,"property_attach",$condition);

    }

    public function GetAttach($id){
        $query  = 'SELECT * FROM property_attach WHERE PID ='.$id;
        $lists = $this->_getSqlRow($query);
        return $lists;
    }

    public function GetLogs($id){
        $query  = 'SELECT property_logs.*,user.USER_NAME FROM property_logs LEFT JOIN user  ON property_logs.OLD_USAGE=user.USER_ID  WHERE PROPERTY_ID =' .$id;
        $lists = $this->_getSqlRows($query);
        return $lists;
    }

    public function maxDate(){
        $query  = 'SELECT PROPERTY_ID FROM property_manage ORDER BY PROPERTY_ID DESC limit 1';
        $lists = $this->_getSqlRow($query);
        return $lists;

    }
    public function parent($id){
        $query  = 'SELECT * FROM property_class WHERE PARENT_ID ='.$id;
        $lists = $this->_getSqlRows($query);
        return $lists;
    }
    public function getProperty($id){
        $query  = 'SELECT * FROM property_manage WHERE CLASS_ID ='.$id;
        $lists = $this->_getSqlRows($query);
        return $lists;
    }
    /**
     * 根据sql语句获取多行数据
     * @global type $connection
     * @param type $query
     * @return boolean|array
     */
    private function _getSqlRows($query=''){
        global $connection;
        if($query == ''){
            return false;
        }
        $result = exequery($connection,$query);
        $data = array();
        if($result){
            while ($row = mysql_fetch_array($result,MYSQL_ASSOC)){
                array_push($data, $row);
            }
            mysql_free_result($result);
            return $data;
        }
        return false;
    }
    /**
     * 根据sql语句获取一行数据
     * @global type $connection
     * @param type $query
     * @return boolean
     */
    private function _getSqlRow($query = ''){
        global $connection;
        if($query == ''){
            return false;
        }
        $result = exequery($connection,$query);
        if($result){
            $row = mysql_fetch_array($result,MYSQL_ASSOC);
            mysql_free_result($result);
            return $row;
        }
        return false; 
    }
    /**
     * 执行sql语句
     * @param type $type
     * @param type $data
     * @param type $table
     * @param type $insertId
     * @param type $condition
     * @return boolean
     */
    private function _executeQuery($type = 'INSERT',$data = array(),$table='',$insertId = true,$condition = array()){
        if($table == ''){
            return false;
        }
        switch (strtoupper($type)){
            case 'INSERT':
                if(empty($data)){
                    return false;
                }
                return $this->_executeInsert($data,$table,$insertId);
                break;
            case 'UPDATE':
                if(empty($data) || empty($condition)){
                    return false;
                }
                return $this->_executeUpdate($data,$table,$condition);
                break;
            default:
        }
    }
    /**
     * 执行插入操作
     * @global type $connection
     * @param type $data
     * @param type $table
     * @param type $insertId
     * @return boolean
     */
    private function _executeInsert($data,$table,$insertId){
        global $connection;
        $query      = "INSERT INTO `$table`(";
        $nameQuery  = '';
        $valueQuery = '';
        foreach($data as $k => $v){
            $k      = strtoupper($k);

            $nameQuery .= "`$k`,";

            $valueQuery .= "'$v',";
        }
        $nameQuery  = substr($nameQuery,0,strrpos($nameQuery, ','));
        $valueQuery = substr($valueQuery,0,strrpos($valueQuery, ','));
        $query      .= SecurityFilter($nameQuery).') VALUES('.SecurityFilter($valueQuery).')';
        if(exequery($connection,$query)){
            if($insertId){
                return mysql_insert_id();
            }else{
                return true;
            }
        }
        return false;
    }
    /**
     * 执行更新操作
     * @global type $connection
     * @param type $data
     * @param type $table
     * @param type $condition
     * @return type
     */
    private function _executeUpdate($data,$table,$condition){
        global $connection;
        $query = "UPDATE `$table` SET ";
        foreach($data as $k => $v){
            $k = strtoupper($k);

            $query .= "`$k`='$v',";
        }
        $query  = substr($query,0,strrpos($query, ','));
        $query .= ' WHERE 1=1 ';
        foreach($condition as $k => $v){
            $k = strtoupper($k);
            $query .= " AND `$k` = '$v'";
        }
        return exequery($connection,$query);
    }
    /**
     * 根据具体条件搜索方案列表
     * @param type $selectName
     * @param type $condition
     * @param type $order
     * @param type $group
     * @param type $limit
     * @param type $link
     * @return boolean
     */
    private function _planListSelect($selectName,$condition,$order,$group,$limit,$link = 'AND'){
        $queryList = 'SELECT ';
        if(empty($selectName)){
            $queryList .= '*';
        }else{
            foreach ($selectName as $k => $v){
                $queryList .= "$v,";
            }
            $queryList  = substr($queryList,0,strrpos($queryList, ','));
        }
        $queryList .= ' FROM payment_plan as p LEFT JOIN payment_plan_type as pt ON p.PLAN_TYPE = pt.TYPE_ID WHERE 1=1 ';
        
        $queryID = 'SELECT p.PLAN_ID FROM payment_plan as p WHERE 1=1 ';
        $query   = '';
        if($this->userSelect == true){
           $query .= " AND (p.CREATOR= '$this->userId' OR p.ALL_USER = 2 OR (FIND_IN_SET('".$this->userId."',p.USER_ID) OR FIND_IN_SET('".$this->privId."',p.ROAL_ID) OR FIND_IN_SET('".$this->deptId."',p.DEPT_ID))) ";
        }
        if(!empty($condition['like'])){ 
            $query .= ' AND (';
            foreach ($condition['like'] as $k => $v){
                $query .= $k .' LIKE '. "'%$v%' $link ";
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        if(!empty($condition['eq'])){
            $query .= ' AND (';
            foreach ($condition['eq'] as $k => $v){
                if(is_numeric($v)){
                    $query .= $k .' = '. "$v $link ";
                }else{
                    $query .= $k .' = '. "'$v' $link ";
                }
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        if(!empty($condition['neq'])){
            $query .= ' AND (';
            foreach ($condition['neq'] as $k => $v){
                if(is_numeric($v)){
                    $query .= $k .' != '. "$v $link ";
                }else{
                    $query .= $k .' != '. "'$v' $link ";
                }
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        if(!empty($condition['gt'])){
            $query .= ' AND (';
            foreach ($condition['gt'] as $k => $v){
                if(is_numeric($v)){
                    $query .= $k .' >= '. "$v $link ";
                }else{
                    $query .= $k .' >= '. "'$v' $link ";
                }
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        $countQuery = $query;
        if($group){
            $query .= $group;
        }
        if($order){
            if(empty($condition['like'])){
                $query .= $order;
            }
        }
        if($limit){
            $query .= $limit;
        }
        $planIds  = $this->_getSqlRows($queryID.$query);
        if($planIds){
            $inQuery = 'AND p.PLAN_ID IN (';
            foreach($planIds as $key => $value){
                $inQuery .= $value['PLAN_ID'].",";
            }
            $inQuery  = substr($inQuery,0,strrpos($inQuery,','));
            $inQuery  .= ')';
            $queryList .= $inQuery;            
            $lists  = $this->_getSqlRows($queryList.$order);
            if($condition['count'] == 1){
                $countSql = "SELECT count(*) as count FROM payment_plan as p WHERE 1=1 ".$countQuery;
                $planRow = $this->_getSqlRow($countSql);
                $planCount = $planRow['count'];
                return array('totalCount' => $planCount,'list' => $lists);
            }else{
                return $lists;
            }
        }
        if($condition['count'] == 1){
            $countSql = "SELECT count(*) as count FROM payment_plan as p WHERE 1=1 ".$countQuery;
            $planRow = $this->_getSqlRow($countSql);
            $planCount = $planRow['count'];
            return array('totalCount' => $planCount,'list' => '');
        }else{
            return '';
        }
    }
}
