<?
/**
 * Systemname:       E-Office
 * Filename:
 * Function:
 * Encoding:         utf8
 * Author:           www.weaver.com.cn
 * Date:
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
include_once("inc/utility_all.php");
class Archive {
	var $default_limit = 10;
	var $default_start = 0;
	public $user_id;
	public $dept_id;
	public $priv_id;
	public $curdate;
	function __construct($userinfo=array()){
		global $connection;
		if($userinfo["user_id"]=="")
		{
			$this->user_id = $_SESSION["LOGIN_USER_ID"];
		}
		else
		{
			$this->user_id = $userinfo["user_id"];
		}
		if($this->user_id){
			$sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($this->user_id)."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$this->dept_id = $row["DEPT_ID"];
			$this->priv_id = $row["USER_PRIV"];
		}
		$this->curdate = date("Y-m-d",time());
	}
	/*
	@function:  字段编辑
	@parameter: $DataInfor->    array : 字段数组
	@return:    true/false
	*/
	function Arc_FiledUpdate($DataInfor){
		global $connection;
		if ($DataInfor["filed_id"]!="") {
			//系统字段处理
			$defaultarray = $this->Arc_GetSignleFiled($DataInfor["filed_id"]);
			$defaultfield = $defaultarray["FIELD_DELETE"];
			if($DataInfor["filed_type"] != "5") {
				if($defaultfield=="2"){
					$sqlstr = "FIELD_SHOW='".SecurityFilter($DataInfor["field_name"])."',FIELD_COLUM='".SecurityFilter($DataInfor["field_col"])."',FIELD_LIST='".SecurityFilter($DataInfor["field_list"])."',FIELD_SEARCH='".SecurityFilter($DataInfor["field_search"])."',FIELD_EXPLAIN='".SecurityFilter($DataInfor["field_explain"])."',FIELD_TYPE='".SecurityFilter($DataInfor["filed_type"])."'";
				}else{
					$sqlstr = "FIELD_SHOW='".SecurityFilter($DataInfor["field_name"])."',FIELD_REQUIRE='".SecurityFilter($DataInfor["field_require"])."',FIELD_EDIT='".SecurityFilter($DataInfor["field_edit"])."',FIELD_COLUM='".SecurityFilter($DataInfor["field_col"])."',FIELD_LIST='".SecurityFilter($DataInfor["field_list"])."',FIELD_SEARCH='".SecurityFilter($DataInfor["field_search"])."',FIELD_EXPLAIN='".SecurityFilter($DataInfor["field_explain"])."',FIELD_TYPE='".SecurityFilter($DataInfor["filed_type"])."'";
				}
			} else {
				$sqlstr = "FIELD_SHOW='".SecurityFilter($DataInfor["field_name"])."',FIELD_REQUIRE='1',FIELD_EDIT='1',FIELD_COLUM='2',FIELD_LIST='0',FIELD_SEARCH='0',FIELD_EXPLAIN='".SecurityFilter($DataInfor["field_explain"])."',FIELD_TYPE='5',FIELD_DISPLAY='".SecurityFilter($DataInfor["filed_display"])."'";
			}
			if($DataInfor["filed_type"]=="1" || $DataInfor["filed_type"]=="2"){
				//单行、多行
				$sqlstr .= ",FIELD_DEFAULT='".SecurityFilter($DataInfor["filed_default"])."',FIELD_DEFAULT_VALUE='".SecurityFilter($DataInfor["default_value"])."',FIELD_CHECK='".SecurityFilter($DataInfor["filed_check"])."'";
				$sqlstr .= ",FIELD_COMBO='',FIELD_DATE='',FIELD_GET_DATE=''";
			}else if ($DataInfor["filed_type"]=="3") {
				//下拉
				$ValueArray = array();
				$Allarray = explode("*,*",$DataInfor["field_select"]);
				for($i=0;$i<count($Allarray);$i++){
					if($Allarray[$i]!=""){
						$childarray = explode("|,|",$Allarray[$i]);
						$ValueArray[$i]["id"] =	$childarray[0];
						$ValueArray[$i]["value"] = base64_encode($childarray[1]);
					}
				}
				$selectvalue = json_encode($ValueArray);
				$sqlstr .= ",FIELD_COMBO='".SecurityFilter($selectvalue)."'";
				$sqlstr .= ",FIELD_DEFAULT='',FIELD_DEFAULT_VALUE='',FIELD_CHECK='',FIELD_DATE='',FIELD_GET_DATE=''";
			}else if ($DataInfor["filed_type"]=="4") {
				//日期
				$sqlstr .= ",FIELD_DATE='".SecurityFilter($DataInfor["date_type"])."',FIELD_GET_DATE='".SecurityFilter($DataInfor["default_date"])."'";
				$sqlstr .= ",FIELD_COMBO='',FIELD_DEFAULT='',FIELD_DEFAULT_VALUE='',FIELD_CHECK=''";
			}
			$sql = "UPDATE arc_fieldset SET  ".SecurityFilter($sqlstr)."  WHERE FIELD_ID='".SecurityFilter($DataInfor["filed_id"])."'";
			exequery($connection,$sql);
			return true;
		} else {
			return false;
		}
	}
	/*
	@function:  查找模块对应字段
	@parameter: $modulename->    string : 数据表名称
	@return:    $Data->          array :  字段数组
	*/
	function Arc_GetModuleFiled($modulename){
		global $connection;
		$Data = array();
		$sql = "SELECT *
				FROM arc_fieldset
				WHERE FIELD_TABLE = '".SecurityFilter($modulename)."'
					AND FIELD_DELETE != '1' AND FIELD_ORDER!=0
				ORDER BY FIELD_ORDER";
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs)){
			$Data[] = $row;
		}
		return $Data;
	}
	/*
	@function:  根据字段ID查找字段属性
	@parameter: $fieldid->    int : ID
	@return:    $Data->        array :  字段数组
	*/
	function Arc_GetSignleFiled($fieldid){
		global $connection;
		$Data = array();
		$sql = "SELECT *
				FROM arc_fieldset
				WHERE FIELD_ID = '".SecurityFilter($fieldid)."'";
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs)){
			$Data = $row;
		}
		return $Data;
	}
	/*
	@function:  删除字段
	@parameter: $fieldid->    int : ID
	@return:    $Data->        array :  字段数组
	*/
	function Arc_DeteletFiled($fieldid){
		global $connection;
		$Data = array();
		$sql = "SELECT *
				FROM arc_fieldset
				WHERE FIELD_ID = '".SecurityFilter($fieldid)."'";
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($rs)){
			$check = $row["FIELD_DELETE"];
			$order = $row["FIELD_ORDER"];
			$table = $row["FIELD_TABLE"];
		}
		if($check=="2"){
			return "nodelete";
		}else if($check=="0"){
			$query = "UPDATE arc_fieldset
						SET FIELD_DELETE = '1',FIELD_ORDER=0
						WHERE FIELD_ID = '".SecurityFilter($fieldid)."'";
			exequery($connection,$query);
			//重新排序
			$ordersql = "SELECT *
						FROM arc_fieldset
						WHERE FIELD_TABLE = '".SecurityFilter($table)."'
							AND FIELD_ORDER > ".SecurityFilter($order);
			$orderrs = exequery($connection,$ordersql);
			while($rows = mysql_fetch_assoc($orderrs)){
				if($rows["FIELD_ID"]!=""){
					if($rows["FIELD_ORDER"]>1){
						$neworder = $rows["FIELD_ORDER"]-1;
						$newsql = "UPDATE arc_fieldset
									SET FIELD_ORDER = ".SecurityFilter($neworder)."
									WHERE FIELD_ID = '".SecurityFilter($rows["FIELD_ID"])."'";
						exequery($connection,$newsql);
					}
				}
			}
			return "delete";
		}
	}
	/*
	@function:  添加字段
	@return:    $fieldid
	*/
	function Arc_AddFiled($tablename){
		global $connection;
		$Data = array();
		$sql = "SHOW COLUMNS FROM ".SecurityFilter($tablename);
		$rs = exequery($connection,$sql);
		$fieldstr = "";
		while($row = mysql_fetch_assoc($rs)){
			if(strpos($row["Field"],"IELD_")){
				$check1 = explode("_",$row["Field"]);
				$fieldstr .= $check1[1].",";
			}
		}
		$fiedarry = explode(",",$fieldstr);
		$nummax = max($fiedarry);
		$newnum = $nummax+1;
		$newnum = "FIELD_".$newnum;
		$query = "ALTER TABLE ".SecurityFilter($tablename)." ADD COLUMN ".SecurityFilter($newnum)." TEXT";
		exequery($connection,$query);
		$ordersql = "SELECT
					  MAX(FIELD_ORDER)
					FROM arc_fieldset
					WHERE FIELD_TABLE = '".SecurityFilter($tablename)."'";
		$orderrs = exequery($connection,$ordersql);
		if($rows = mysql_fetch_array($orderrs)){
			$maxorder = $rows[0];
		}
		$neworder = $maxorder+1;
		$setsql = "INSERT INTO arc_fieldset
(FIELD_NAME,FIELD_REQUIRE,FIELD_EDIT,FIELD_TYPE,FIELD_COLUM,FIELD_DEFAULT,FIELD_DEFAULT_VALUE,FIELD_CHECK,FIELD_SEARCH,FIELD_COMBO,FIELD_DELETE,FIELD_TABLE,FIELD_SHOW,FIELD_LIST,FIELD_ORDER) VALUES
('".SecurityFilter($newnum)."','1','0','1','1','1','','1','0','','0','".SecurityFilter($tablename)."','新添字段','0','".SecurityFilter($neworder)."')";
		exequery($connection,$setsql);
		$setId = mysql_insert_id();
		return $setId;
	}
	/*
	@function:  字段排序
	@parameter: $strid->    string : 新的排序
	@return:    $fieldid
	*/
	function Arc_NewFiledSort($strid){
		global $connection;
		if($strid!=""){
			$strarray = explode(",",$strid);
			$strcount = count($strarray);
			$newstrid = "";
			for($i=0;$i<$strcount;$i++){
				if($strarray[$i]!=""){
					$idarray = explode("_",$strarray[$i]);
					$id = $idarray[1];
					$order = $i+1;
					$sql = "UPDATE arc_fieldset
							SET FIELD_ORDER = ".SecurityFilter($order)."
							WHERE FIELD_ID = '".SecurityFilter($id)."'";
					exequery($connection,$sql);
				}
			}
			return true;
		}else{
			return false;
		}
	}
	/*
	@function:  必填项ID
	@parameter: $tablename->    string : 检测表名
	@return:    $fieldid->      string : ID集合
	*/
	function Arc_AllRequireFiled($tablename){
		global $connection;
		$sql = "SELECT FIELD_ID,FIELD_NAME
				FROM arc_fieldset
				WHERE FIELD_REQUIRE = '0'
					AND FIELD_TABLE = '".SecurityFilter($tablename)."'
					AND FIELD_DELETE != '1'";
		$rs = exequery($connection,$sql);
		$fieldstr = "";
		while($row = mysql_fetch_array($rs)){
			$fieldstr .= $row["FIELD_NAME"].",";
		}
		return $fieldstr;
	}
	/*
	@function:  获取查询字段
	@parameter: $tablename->    string : 检测表名
	@return:    $infor->      array
	*/
	function Arc_GetSearchFiled($tablename){
		global $connection;
		$infor = array();
		$sql = "SELECT *
				FROM arc_fieldset
				WHERE FIELD_SEARCH = '1'
					AND FIELD_TABLE = '".SecurityFilter($tablename)."'
					AND FIELD_DELETE != '1' ORDER BY FIELD_ORDER";
		$res    = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($res)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	/*
	@function:  获取列表字段
	@parameter: $tablename->    string : 检测表名
	@return:    $infor->      array
	*/
	function Arc_GetListFiled($tablename){
		global $connection;
		$infor = array();
		$sql = "SELECT *
				FROM arc_fieldset
				WHERE FIELD_LIST = '1'
					AND FIELD_TABLE = '".SecurityFilter($tablename)."'
					AND FIELD_DELETE != '1' ORDER BY FIELD_ORDER";
		$res    = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($res)){
			$infor[] = $row;
		}
		return 	$infor;
	}

	/*
	@function:  卷库管理列表
	@parameter: $tablename->    string : 检测表名
	@return:    $fieldid->      string : ID集合
	*/
	function Arc_Getvolumelibrary($order,$sens,$limit_s,$limit_e,$quickSortParam,$where_array=array()){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query = " arc_volumelibrary WHERE VOLUME_DELETE!=1";
		$wherecount = count($where_array);
		if($wherecount>0){
			for($i=0;$i<$wherecount;$i++){
				if($where_array[$i]["type"]!=""){
					if($where_array[$i]["field"]=="VOLUME_NUMBER"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])." LIKE'%".SecurityFilter($where_array[$i]["value"])."%'";
					}else if($where_array[$i]["field"]=="VOLUME_CREAT"){
						$idstr = "";
						$personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND USER_ACCOUNTS!='' AND DEPT_ID>0" ;
						$personcursor = exequery($connection,$personsql);
						while($perrow = mysql_fetch_assoc($personcursor)){
							$idstr .= "'".$perrow["USER_ID"]."',";
						}
						if($idstr==""){
							$query .= " AND VOLUME_ID=''";
						}else{
							$idstr = substr($idstr,0,-1);
							$query .= " AND VOLUME_CREAT IN (".$idstr.")";
						}
					}else if($where_array[$i]["field"]=="VOLUME_NAME"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])." LIKE'%".SecurityFilter($where_array[$i]["value"])."%'";
					}else if($where_array[$i]["field"]=="VOLUME_READ") {
						if($where_array[$i]["value"] != "") {
							$valuearray = explode(",",$where_array[$i]["value"]);
							$valuecount = count($valuearray);
							$sqlstr = " AND (";
							for($m=0;$m<$valuecount;$m++){
								if($valuearray[$m]!=""){
									$sqlstr .= " INSTR(VOLUME_READ,'".SecurityFilter($valuearray[$m]).",')>0 OR";
								}
							}
							$sqlstr = substr($sqlstr,0,-2);
							$sqlstr .= ")";
							$query .= $sqlstr;
							//$query .= " AND ".$where_array[$i]["field"]." IN ('".$where_array[$i]["value"]."')";
						}
					}else if($where_array[$i]["field"]=="VOLUME_CREATDATE"){
						$checkdate = $where_array[$i]["value"]." 23:59:59";
						$query .= " AND UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".SecurityFilter($checkdate)."')";
					}else{
						if($where_array[$i]["type"]=="1" || $where_array[$i]["type"]=="2"){
							//$query .= " AND ".$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";
							$query .= $this->Arc_AutoDealText("arc_volumelibrary",$where_array[$i]["field"],$where_array[$i]["value"]);
						}else if($where_array[$i]["type"]=="3"){
							$query .= " AND ".SecurityFilter($where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
						}else if($where_array[$i]["type"]=="4"){
							$strArr = strpos($where_array[$i]["value"],"-");
							if($strArr){
								$dealdate = $where_array[$i]["value"]." 23:59:59";
								$query .= " AND (UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".SecurityFilter($dealdate)."') OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}else{
								$dealdate = $where_array[$i]["value"];
								$query .= " AND (".SecurityFilter($where_array[$i]["field"])."<='".SecurityFilter($dealdate)."' OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}
						}
					}
				}
			}
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->Arc_Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit ".SecurityFilter($limit_s).",".SecurityFilter($limit_e);
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	/*
	@function:  案卷管理列表
	@parameter: $tablename->    string : 检测表名
	@return:    $fieldid->      string : ID集合
	*/
	function Arc_GetDocument($order,$sens,$limit_s,$limit_e,$quickSortParam,$where_array=array(),$diff=''){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		if($diff=="delete"){
			$query = " arc_document WHERE DOC_DELETE=1";
		}else if($diff=="read"){
			//检查卷库
			$volumsql = "SELECT COUNT(*) FROM arc_volumelibrary";
			$voluncursor = exequery($connection,$volumsql);
			if($volumrow = mysql_fetch_array($voluncursor)){
				$volumcount = $volumrow[0];
			}
			if($volumcount>0){
				$query = "SELECT arc_document.*
					FROM arc_document
					  JOIN arc_volumelibrary
						ON arc_document.DOC_VOLUME = arc_volumelibrary.VOLUME_ID OR arc_document.DOC_VOLUME=''
					WHERE ((INSTR(arc_volumelibrary.VOLUME_READ,',".SecurityFilter($this->dept_id).",') > 0
								 OR INSTR(arc_volumelibrary.VOLUME_READ,'".SecurityFilter($this->dept_id).",') = 1) OR arc_document.DOC_VOLUME='') AND arc_document.DOC_DELETE!='1'";
			}else{
				$query = "SELECT * FROM arc_document WHERE DOC_DELETE!='1'";
			}
		}else{
			$query = " arc_document WHERE DOC_DELETE!=1";
		}
		$wherecount = count($where_array);
		if($wherecount>0){
			for($i=0;$i<$wherecount;$i++){
				if($where_array[$i]["type"]!=""){
					if($where_array[$i]["field"]=="DOC_LONG" || $where_array[$i]["field"]=="DOC_YEAR" || $where_array[$i]["field"]=="DOC_VOLUME"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
					}else if($where_array[$i]["field"]=="DOC_CREAT"){
						$idstr = "";
						$personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND USER_ACCOUNTS!='' AND DEPT_ID>0" ;
						$personcursor = exequery($connection,$personsql);
						while($perrow = mysql_fetch_assoc($personcursor)){
							$idstr .= "'".SecurityFilter($perrow["USER_ID"])."',";
						}
						if($idstr==""){
							$query .= " AND DOC_ID=''";
						}else{
							$idstr = substr($idstr,0,-1);
							$query .= " AND DOC_CREAT IN (".SecurityFilter($idstr).")";
						}
					}else if($where_array[$i]["field"]=="DOC_NUMBER" || $where_array[$i]["field"]=="DOC_NAME"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])." LIKE'%".SecurityFilter($where_array[$i]["value"])."%'";
					}else if($where_array[$i]["field"]=="DOC_CREATDATE"){
						$checkdate = $where_array[$i]["value"]." 23:59:59";
						$query .= " AND UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".SecurityFilter($checkdate)."')";
					}else{
						if($diff=="read"){
							$addtable = "arc_document.";
						}else{
							$addtable = "";
						}
						if($where_array[$i]["type"]=="1" || $where_array[$i]["type"]=="2"){
							//$query .= " AND ".$addtable.$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";
							$query .= $this->Arc_AutoDealText("arc_document",$where_array[$i]["field"],$where_array[$i]["value"]);
						}else if($where_array[$i]["type"]=="3"){
							$query .= " AND ".SecurityFilter($addtable.$where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
						}else if($where_array[$i]["type"]=="4"){
							$strArr = strpos($where_array[$i]["value"],"-");
							if($strArr){
								$dealdate = $where_array[$i]["value"]." 23:59:59";
								$query .= " AND (UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".$dealdate."') OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}else{
								$dealdate = $where_array[$i]["value"];
								$query .= " AND (".SecurityFilter($where_array[$i]["field"])."<='".SecurityFilter($dealdate)."' OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}
						}
					}
				}
			}
		}
		switch ($quickSortParam)
		{
			case "have-identify" :
				$query .= " AND DOC_IDENTIFY='1'";
				break;
			case "no-identify" :
				$query .= " AND DOC_IDENTIFY='0'";
				break;
		}
		if($diff=="read" && $volumcount>0){
			$query .= " GROUP BY arc_document.DOC_ID";
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		if($diff=="read"){
			$count = $query;
		}else{
			$count  = $search_all.$query;
		}

		$countcourse = exequery($connection,$count);
		$showcount = mysql_num_rows($countcourse);
		$infor['resultCount'] = $showcount;
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit ".SecurityFilter($limit_s).",".SecurityFilter($limit_e);
		if($diff=="read"){
			$search = $query;
		}else{
			$search = $search_all.$query;
		}
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}

		return 	$infor;
	}
	/*
	@function:  文件管理列表
	@parameter: $tablename->    string : 检测表名
	@return:    $fieldid->      string : ID集合
	*/
	function Arc_GetFileInfor($order,$sens,$limit_s,$limit_e,$quickSortParam,$where_array=array(),$diff=''){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		if($diff=="delete"){
			$query = " arc_file WHERE FILE_DELETE=1";
		}else if($diff=="read"){
			//检查卷库
			$volumsql = "SELECT COUNT(*) FROM arc_volumelibrary";
			$voluncursor = exequery($connection,$volumsql);
			if($volumrow = mysql_fetch_array($voluncursor)){
				$volumcount = $volumrow[0];
			}
			if($volumcount>0){
				$idstr = "";
				$readsql = "SELECT arc_document.*
						FROM arc_document
						  JOIN arc_volumelibrary
							ON arc_document.DOC_VOLUME = arc_volumelibrary.VOLUME_ID OR arc_document.DOC_VOLUME=''
						WHERE ((INSTR(arc_volumelibrary.VOLUME_READ,',".SecurityFilter($this->dept_id).",') > 0
									 OR INSTR(arc_volumelibrary.VOLUME_READ,'".SecurityFilter($this->dept_id).",') = 1) OR arc_document.DOC_VOLUME='') AND arc_document.DOC_DELETE!='1' GROUP BY arc_document.DOC_ID";
				$readcursor = exequery($connection,$readsql);
				while($rowe = mysql_fetch_assoc($readcursor)){
					$idstr .= $rowe["DOC_ID"].",";
				}
				if($idstr==""){
					$query = " arc_file WHERE (FILE_DOCUMENT IN ('') OR FILE_DOCUMENT='') AND FILE_DELETE!=1";
				}else{
					$idstr = substr($idstr,0,-1);
					$query .= " arc_file WHERE (FILE_DOCUMENT IN (".SecurityFilter($idstr).") OR FILE_DOCUMENT='') AND FILE_DELETE!=1";
				}
			}else{
				$query = " arc_file WHERE FILE_DELETE!='1'";
			}
		}else{
			$query = " arc_file WHERE FILE_DELETE!='1'";
		}
		$wherecount = count($where_array);
		if($wherecount>0){
			for($i=0;$i<$wherecount;$i++){
				if($where_array[$i]["type"]!=""){
					if($where_array[$i]["field"]=="FILE_DOCUMENT" || $where_array[$i]["field"]=="FILE_YEAR" || $where_array[$i]["field"]=="FILE_LONG"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
					}else if($where_array[$i]["field"]=="FILE_CREAT"){
						$idstr = "";
						$personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND USER_ACCOUNTS!='' AND DEPT_ID>0" ;
						$personcursor = exequery($connection,$personsql);
						while($perrow = mysql_fetch_assoc($personcursor)){
							$idstr .= "'".$perrow["USER_ID"]."',";
						}
						if($idstr==""){
							$query .= " AND FILE_ID=''";
						}else{
							$idstr = substr($idstr,0,-1);
							$query .= " AND FILE_CREAT IN (".SecurityFilter($idstr).")";
						}
					}else if($where_array[$i]["field"]=="FILE_NAME" || $where_array[$i]["field"]=="FILE_NUMBER"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])." LIKE'%".SecurityFilter($where_array[$i]["value"])."%'";
					}else if($where_array[$i]["field"]=="FILE_CREATDATE"){
						$checkdate = $where_array[$i]["value"]." 23:59:59";
						$query .= " AND UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".$checkdate."')";
					}else{
						if($where_array[$i]["type"]=="1" || $where_array[$i]["type"]=="2"){
							//$query .= " AND ".$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";
							$query .= $this->Arc_AutoDealText("arc_file",$where_array[$i]["field"],$where_array[$i]["value"]);
						}else if($where_array[$i]["type"]=="3"){
							$query .= " AND ".SecurityFilter($where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
						}else if($where_array[$i]["type"]=="4"){
							$strArr = strpos($where_array[$i]["value"],"-");
							if($strArr){
								$dealdate = $where_array[$i]["value"]." 23:59:59";
								$query .= " AND (UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".$dealdate."') OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}else{
								$dealdate = $where_array[$i]["value"];
								$query .= " AND (".SecurityFilter($where_array[$i]["field"])."<='".SecurityFilter($dealdate)."' OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}
						}
					}
				}
			}
		}
		switch ($quickSortParam)
		{
			case "have-identify" :
				$query .= " AND FILE_IDENTIFY='1'";
				break;
			case "no-identify" :
				$query .= " AND FILE_IDENTIFY='0'";
				break;
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->Arc_Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit ".SecurityFilter($limit_s).",".SecurityFilter($limit_e);
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	/*
	@function:  借阅审批列表
	@parameter: $tablename->    string : 检测表名
	@return:    $fieldid->      string : ID集合
	*/
	function Arc_GetReadInformation($order,$sens,$limit_s,$limit_e,$quickSortParam,$where_array=array(),$diff='',$other=''){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		if($diff=="record"){
			$query = " arc_read WHERE 1";
		}else if($diff=="my"){
			$query = " arc_read WHERE READ_DELETE!=1 AND READ_APPLYPERSON='".SecurityFilter($this->user_id)."'";
			if($other=="doc"){
				$query .= " AND READ_DIFF='doc'";
			}else if($other=="file"){
				$query .= " AND READ_DIFF='file'";
			}
		}else{
			$query = " arc_read WHERE READ_DELETE!=1";
		}
		$wherecount = count($where_array);
		if($wherecount>0){
			for($i=0;$i<$wherecount;$i++){
				if($where_array[$i]["type"]!=""){
					if($where_array[$i]["field"]=="READ_APPLYPERSON"){
						//$query .= " AND ".$where_array[$i]["field"]."='".$where_array[$i]["value"]."'";
						$idstr = "";
						$personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND USER_ACCOUNTS!='' AND DEPT_ID>0" ;
						$personcursor = exequery($connection,$personsql);
						while($perrow = mysql_fetch_assoc($personcursor)){
							$idstr .= "'".$perrow["USER_ID"]."',";
						}
						if($idstr==""){
							$query .= " AND READ_ID=''";
						}else{
							$idstr = substr($idstr,0,-1);
							$query .= " AND READ_APPLYPERSON IN (".SecurityFilter($idstr).")";
						}
					}else if($where_array[$i]["field"]=="READ_NUMBER"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])." LIKE'%".SecurityFilter($where_array[$i]["value"])."%'";
					}else if($where_array[$i]["field"]=="READ_APPLYDATE" || $where_array[$i]["field"]=="READ_USEDATE" || $where_array[$i]["field"]=="READ_RETURNDATE"){
						$checkdate = $where_array[$i]["value"]." 23:59:59";
						$query .= " AND UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".SecurityFilter($checkdate)."')";
					}else if($where_array[$i]["field"]=="READ_APPLYFILE"){
						if($other=="doc"){
							$docsql = "SELECT DOC_ID FROM arc_document WHERE DOC_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND DOC_DELETE!='1'";
							$doccursor = exequery($connection,$docsql);
							$docidstr = "";
							while($docrow = mysql_fetch_assoc($doccursor)){
								$docidstr .= $docrow["DOC_ID"].",";
							}
							if($docidstr==""){
								$query .= " AND READ_ID=''";
							}else{
								$docidstr = substr($docidstr,0,-1);
								$query .= " AND READ_APPLYFILE IN (".SecurityFilter($docidstr).") AND READ_DIFF='doc'";
							}
						}else if($other=="file"){
							$filesql = "SELECT FILE_ID FROM arc_file WHERE FILE_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND FILE_DELETE!='1'";
							$filecursor = exequery($connection,$filesql);
							$fileidstr = "";
							while($filerow = mysql_fetch_assoc($filecursor)){
								$fileidstr .= $filerow["FILE_ID"].",";
							}
							if($fileidstr==""){
								$query .= " AND READ_ID=''";
							}else{
								$fileidstr = substr($fileidstr,0,-1);
								$query .= " AND READ_APPLYFILE IN (".SecurityFilter($fileidstr).") AND READ_DIFF='file'";
							}
						}else{
							$idstr = "";
							$doc = 0;
							$file = 0;
							$docsql = "SELECT DOC_ID FROM arc_document WHERE DOC_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND DOC_DELETE!='1'";
							$doccursor = exequery($connection,$docsql);
							while($docrow = mysql_fetch_assoc($doccursor)){
								$idstr .= $docrow["DOC_ID"].",";
								$doc++;
							}
							$filesql = "SELECT FILE_ID FROM arc_file WHERE FILE_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND FILE_DELETE!='1'";
							$filecursor = exequery($connection,$filesql);
							while($filerow = mysql_fetch_assoc($filecursor)){
								$idstr .= $filerow["FILE_ID"].",";
								$file++;
							}
							if($idstr==""){
								$query .= " AND READ_ID=''";
							}else{
								$idstr = substr($idstr,0,-1);
								if($doc==0 && $file>0){
									$addsql = " AND READ_DIFF='file'";
								}else if($doc>0 && $file==0){
									$addsql = " AND READ_DIFF='doc'";
								}else{
									$addsql = "";
								}
								$query .= " AND READ_APPLYFILE IN (".SecurityFilter($idstr).")".$addsql;
							}
						}
					}else{
						if($where_array[$i]["type"]=="1" || $where_array[$i]["type"]=="2"){
							//$query .= " AND ".$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";
							$query .= $this->Arc_AutoDealText("arc_read",$where_array[$i]["field"],$where_array[$i]["value"]);
						}else if($where_array[$i]["type"]=="3"){
							$query .= " AND ".SecurityFilter($where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
						}else if($where_array[$i]["type"]=="4"){
							$strArr = strpos($where_array[$i]["value"],"-");
							if($strArr){
								$dealdate = $where_array[$i]["value"]." 23:59:59";
								$query .= " AND (UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".SecurityFilter($dealdate)."') OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}else{
								$dealdate = $where_array[$i]["value"];
								$query .= " AND (".SecurityFilter($where_array[$i]["field"])."<='".SecurityFilter($dealdate)."' OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}
						}
					}
				}
			}
		}
		switch ($quickSortParam)
		{
			case "arc_check" :
				$query .= " AND READ_CHECK='0'";
			break;
			case "arc_pass" :
				$query .= " AND READ_CHECK='1'";
			break;
			case "arc_nopass" :
				$query .= " AND READ_CHECK='2'";
			break;
			case "arc_return" :
				$query .= " AND READ_CHECK='3'";
			break;
			case "arc_noreturn" :
				$query .= " AND READ_CHECK='1'";
			break;
			case "arc_back" :
				$query .= " AND READ_CHECK='4'";
			break;
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->Arc_Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit ".SecurityFilter($limit_s).",".SecurityFilter($limit_e);
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	/*
	@function:  借阅归还
	*/
	function Arc_ReadReturnBack($data){
		global $connection;
		$sql = "UPDATE arc_read SET READ_RETURNDATE='".SecurityFilter($data["READ_RETURNDATE"])."',READ_RETURNMARK='".SecurityFilter($data["READ_RETURNMARK"])."',READ_CHECK='3' WHERE READ_ID='".SecurityFilter($data["READ_ID"])."'";
		exequery($connection,$sql);
		return true;
	}
	/*
	@function:  借阅审批
	*/
	function Arc_ReadCheck($data){
		global $connection;
		$sql = "UPDATE arc_read SET READ_EXAMINEPERSON='".SecurityFilter($data["READ_EXAMINEPERSON"])."',READ_EXAMINEDATE='".SecurityFilter($data["READ_EXAMINEDATE"])."',READ_EXAMINEREMARK='".SecurityFilter($data["READ_EXAMINEREMARK"])."',READ_CHECK='".SecurityFilter($data["READ_CHECK"])."' WHERE READ_ID='".SecurityFilter($data["READ_ID"])."'";
		exequery($connection,$sql);
		return true;
	}
	/*
	@function:  借阅收回
	*/
	function Arc_ReadBACK($data){
		global $connection;
		$sql = "UPDATE arc_read SET READ_BACKPERSON='".SecurityFilter($data["READ_BACKPERSON"])."',READ_BACKDATE='".SecurityFilter($data["READ_BACKDATE"])."',READ_BACKMARK='".SecurityFilter($data["READ_BACKMARK"])."',READ_CHECK='4' WHERE READ_ID='".SecurityFilter($data["READ_ID"])."'";
		exequery($connection,$sql);
		return true;
	}
	/*
	@function:  产生数据总数
	@parameter: $query->          string : 查询语句
	@return:    $resultCount->    string ：总数
	*/
	function Arc_Getsumnumber($query)
	{
		global $connection;
		$getCountResult = exequery($connection, $query);
		if ($getCountRow = mysql_fetch_array($getCountResult))
		{
			$resultCount = $getCountRow[0];
		}
		if($resultCount=="")
		{
			return 0;
		}
		else
		{
			return $resultCount;
		}
	}
	/*
	@function:  根据ID查找数据
	@parameter: $fieldid->          string : 数据ID
	@return:    $infor->            array
	*/
	function Arc_GetDataInfor($fieldid,$tablename,$other=''){
		global $connection;
		$infor = array();
		$fieldname = "";
		switch($tablename){
			case "arc_volumelibrary":
				$fieldname = "VOLUME_ID";
			break;
			case "arc_document":
				$fieldname = "DOC_ID";
			break;
			case "arc_file":
				$fieldname = "FILE_ID";
			break;
			case "arc_read":
				$fieldname = "READ_ID";
			break;
			case "arc_appraisal":
				$fieldname = "APP_FILE";
				$fieldother = " AND APP_STATE='".SecurityFilter($other)."'";
			break;
			case "arc_destory":
				$fieldname = "DES_FILE";
				$fieldother = " AND DES_STATE='".SecurityFilter($other)."'";
			break;
		}
		$sql = "SELECT *
				FROM ".$tablename."
				WHERE ".SecurityFilter($fieldname)." = '".SecurityFilter($fieldid)."' ".$fieldother;
		$cursor = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($cursor)){
			$infor = $row;
		}
		return 	$infor;
	}
	/*
	@function:  获取单条数据详情
	@parameter: $fieldid->          string : 数据ID
	@parameter: $tablename->        string : 数据表名
	@return:    $infor->            array
	*/
	function Arc_GetSingleFieldInfor($fieldid,$tablename,$other=''){
		global $connection;
		$infor = array();
		$filedarray = $this->Arc_GetModuleFiled($tablename);
		$datearray = $this->Arc_GetDataInfor($fieldid,$tablename,$other);
		for($i=0;$i<count($filedarray);$i++){
			$infor[$i]["FIELD_NAME"]    = $filedarray[$i]["FIELD_NAME"];
			$infor[$i]["FIELD_SHOW"]    = $filedarray[$i]["FIELD_SHOW"];
			$infor[$i]["FIELD_EXPLAIN"] = $filedarray[$i]["FIELD_EXPLAIN"];
			$infor[$i]["FIELD_COLUM"]   = $filedarray[$i]["FIELD_COLUM"];
			$infor[$i]["FIELD_TYPE"]    = $filedarray[$i]["FIELD_TYPE"];
			$infor[$i]["FIELD_DELETE"]  = $filedarray[$i]["FIELD_DELETE"];
			$infor[$i]["FIELD_DEFAULT"] = $filedarray[$i]["FIELD_DEFAULT"];
			$infor[$i]["FIELD_DEFAULT_VALUE"] = $filedarray[$i]["FIELD_DEFAULT_VALUE"];
			$infor[$i]["FIELD_DISPLAY"]       = $filedarray[$i]["FIELD_DISPLAY"];

			if($filedarray[$i]["FIELD_DELETE"]=="2"){
				if($infor[$i]["FIELD_TYPE"] != "5") {
					$infor[$i]["FIELD_VALUE"] = $datearray[$filedarray[$i]["FIELD_NAME"]];
				} else {
					$infor[$i]["FIELD_VALUE"] =  array("ID"=>$datearray[$filedarray[$i]["FIELD_NAME"]."_ID"],
						  "NAME"=>$datearray[$filedarray[$i]["FIELD_NAME"]."_NAME"]);
				}
			}else{
				if($infor[$i]["FIELD_TYPE"]=="1" || $infor[$i]["FIELD_TYPE"]=="2"){
					if($infor[$i]["FIELD_DEFAULT"] != "3") {
						$infor[$i]["FIELD_VALUE"] = $datearray[$filedarray[$i]["FIELD_NAME"]];
					} else {
						switch($infor[$i]["FIELD_DEFAULT_VALUE"]) {
							case "1":
								$infor[$i]["FIELD_VALUE"] = getUsernameStr(substr($datearray[$filedarray[$i]["FIELD_NAME"]],0,-1));
								break;
							case "2":
								$infor[$i]["FIELD_VALUE"] = getDeptStr($datearray[$filedarray[$i]["FIELD_NAME"]]);
								break;
							case "3":
								$infor[$i]["FIELD_VALUE"] = getPrivStr($datearray[$filedarray[$i]["FIELD_NAME"]]);
								break;
						}
					}
				}else if($infor[$i]["FIELD_TYPE"]=="3"){
					$comboxarray = json_decode($filedarray[$i]["FIELD_COMBO"],true);
					$comboxcount = count($comboxarray);
					for($j=0;$j<$comboxcount;$j++){
						if($comboxarray[$j]["id"]==$datearray[$filedarray[$i]["FIELD_NAME"]]){
							$infor[$i]["FIELD_VALUE"] = base64_decode($comboxarray[$j]["value"]);
						}
					}
				}else if($infor[$i]["FIELD_TYPE"]=="4"){
					if($datearray[$filedarray[$i]["FIELD_NAME"]]=="0000-00-00 00:00:00" || $datearray[$filedarray[$i]["FIELD_NAME"]]=="0000-00-00" || $datearray[$filedarray[$i]["FIELD_NAME"]]=="00:00:00" || $datearray[$filedarray[$i]["FIELD_NAME"]]==""){
						$infor[$i]["FIELD_VALUE"] = "";
					}else{
						$infor[$i]["FIELD_VALUE"] = $datearray[$filedarray[$i]["FIELD_NAME"]];
					}
				}
			}
		}
		return $infor;
	}
	/*
	@function:  数据恢复
	@parameter: $fieldid->          string : 数据ID
	@parameter: $tablename->        string : 数据表名
	@return:
	*/
	function Arc_BackData($fieldid,$tablename){
		global $connection;
		$fieldname = "";
		$fieldkey = "";
		switch($tablename){
			case "arc_volumelibrary":
				$fieldname = "VOLUME_DELETE";
				$fieldkey = "VOLUME_ID";
			break;
			case "arc_document":
				$fieldname = "DOC_DELETE";
				$fieldkey = "DOC_ID";
			break;
			case "arc_file":
				$fieldname = "FILE_DELETE";
				$fieldkey = "FILE_ID";
			break;
			case "arc_read":
				$fieldname = "READ_DELETE";
				$fieldkey = "READ_ID";
			break;
		}
		$sql = "UPDATE ".SecurityFilter($tablename)." SET ".SecurityFilter($fieldname)."='0' WHERE ".SecurityFilter($fieldkey)."='".SecurityFilter($fieldid)."'";
		exequery($connection,$sql);
		return true;
	}
	/*
	@function:  数据删除（假删除）
	@parameter: $fieldid->          string : 数据ID
	@parameter: $tablename->        string : 数据表名
	@return:
	*/
	function Arc_FalseDeleteData($fieldid,$tablename){
		global $connection;
		$fieldname = "";
		$fieldkey = "";
		switch($tablename){
			case "arc_volumelibrary":
				$fieldname = "VOLUME_DELETE";
				$fieldkey = "VOLUME_ID";
			break;
			case "arc_document":
				$fieldname = "DOC_DELETE";
				$fieldkey = "DOC_ID";
			break;
			case "arc_file":
				$fieldname = "FILE_DELETE";
				$fieldkey = "FILE_ID";
			break;
			case "arc_read":
				$fieldname = "READ_DELETE";
				$fieldkey = "READ_ID";
			break;
		}
		$sql = "UPDATE ".SecurityFilter($tablename)." SET ".SecurityFilter($fieldname)."='1' WHERE ".SecurityFilter($fieldkey)."='".SecurityFilter($fieldid)."'";
		exequery($connection,$sql);
		return true;
	}
	/*
	@function:  数据删除（真删除）
	@parameter: $fieldid->          string : 数据ID
	@parameter: $tablename->        string : 数据表名
	@return:
	*/
	function Arc_TrueDeleteData($fieldid,$tablename,$other=''){
		global $connection;
		$fieldname = "";
		$fieldkey = "";
		switch($tablename){
			case "arc_volumelibrary":
				$fieldkey = "VOLUME_ID";
			break;
			case "arc_document":
				$fieldkey = "DOC_ID";
			break;
			case "arc_file":
				$fieldkey = "FILE_ID";
			break;
			case "arc_read":
				//分两种情况，如果带第三个参数，当彻底删除案卷的时候删除所有相关的借阅记录，反之只删除单独的借阅记录
				if($other){
					$fieldkey = "READ_APPLYFILE";
				}else{
					$fieldkey = "READ_ID";
				}
			break;
			case "arc_destory":
				$fieldkey = "DES_FILE";
				$othersql = " AND DES_STATE='".$other."'";
			break;
			case "arc_appraisal":
				$fieldkey = "APP_FILE";
				$othersql = " AND APP_STATE='".$other."'";
			break;
		}
		$sql = "DELETE FROM ".SecurityFilter($tablename)." WHERE ".SecurityFilter($fieldkey)."='".SecurityFilter($fieldid)."'".SecurityFilter($othersql);
		exequery($connection,$sql);
		return true;
	}
	/*
	@function:  数据新建
	@parameter: $field->            string : 字段名称
	@parameter: $fieldvalue->       string : 字段值
	@parameter: $tablename->        string : 数据表名
	@return:
	*/
	function Arc_DataNew($field,$fieldvalue,$tablename){
		global $connection;
		$sql = "INSERT INTO ".SecurityFilter($tablename)."(".SecurityFilter($field).") VALUES (".SecurityFilter($fieldvalue).")";
		exequery($connection,$sql);
		$insertid = mysql_insert_id();
		return $insertid;
	}
	/*
	@function:  数据编辑
	@parameter: $fieldid->          string : 数据ID
	@parameter: $sqlstr->           string : sql语句
	@parameter: $tablename->        string : 数据表名
	@return:
	*/
	function Arc_DataEdit($fieldid,$sqlstr,$tablename){
		global $connection;
		switch($tablename){
			case "arc_volumelibrary":
				$fieldkey = "VOLUME_ID";
			break;
			case "arc_document":
				$fieldkey = "DOC_ID";
			break;
			case "arc_file":
				$fieldkey = "FILE_ID";
			break;
			case "arc_read":
				$fieldkey = "READ_ID";
			break;
		}
		$sql = "UPDATE ".SecurityFilter($tablename)." SET ".SecurityFilter($sqlstr)." WHERE ".SecurityFilter($fieldkey)."='".SecurityFilter($fieldid)."'";
		exequery($connection,$sql);
		return true;
	}
	/*
	@function:  文件组卷
	*/
	function Arc_FileToDoc($filestr,$docid){
		global $connection;
		$filearray = explode(",",$filestr);
		for($i=0;$i<count($filearray);$i++){
			if($filearray[$i]!=""){
				$sql = "UPDATE arc_file
						SET FILE_DOCUMENT = '".SecurityFilter($docid)."'
						WHERE FILE_ID = '".SecurityFilter($filearray[$i])."'";
				exequery($connection,$sql);
				//增加日志
				Arc_CreatDiary($filearray[$i],"arc_file","addfile");
			}
		}
		$docsql = "UPDATE arc_document
					SET DOC_STATE = '1'
					WHERE DOC_ID = '".SecurityFilter($docid)."'";
		exequery($connection,$docsql);
		return true;
	}
	/*
	@function:  获取封卷/拆卷信息
	*/
	function Arc_GetDocOpenOrColse($diff,$order,$sens,$limit_s,$limit_e,$quickSortParam,$where_array=array()){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query = " arc_document WHERE DOC_DELETE!=1";
		if($diff=="open"){
			//拆卷
			$query .= " AND DOC_STATE='2'";
		}else if($diff=="close"){
			//封卷
			$query .= " AND DOC_STATE='1'";
		}
		$wherecount = count($where_array);
		if($wherecount>0){
			for($i=0;$i<$wherecount;$i++){
				if($where_array[$i]["type"]!=""){
					if($where_array[$i]["field"]=="DOC_CREAT" || $where_array[$i]["field"]=="DOC_LONG" || $where_array[$i]["field"]=="DOC_YEAR" || $where_array[$i]["field"]=="DOC_VOLUME"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
					}else if($where_array[$i]["field"]=="DOC_NUMBER" || $where_array[$i]["field"]=="DOC_NAME"){
						$query .= " AND ".SecurityFilter($where_array[$i]["field"])." LIKE'%".SecurityFilter($where_array[$i]["value"])."%'";
					}else if($where_array[$i]["field"]=="DOC_CREATDATE"){
						$checkdate = $where_array[$i]["value"]." 23:59:59";
						$query .= " AND UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".SecurityFilter($checkdate)."')";
					}else{
						if($where_array[$i]["type"]=="1" || $where_array[$i]["type"]=="2"){
							$query .= " AND ".SecurityFilter($where_array[$i]["field"])." LIKE'%".SecurityFilter($where_array[$i]["value"])."%'";
						}else if($where_array[$i]["type"]=="3"){
							$query .= " AND ".SecurityFilter($where_array[$i]["field"])."='".SecurityFilter($where_array[$i]["value"])."'";
						}else if($where_array[$i]["type"]=="4"){
							$strArr = strpos($where_array[$i]["value"],"-");
							if($strArr){
								$dealdate = $where_array[$i]["value"]." 23:59:59";
								$query .= " AND (UNIX_TIMESTAMP(".SecurityFilter($where_array[$i]["field"]).")<=UNIX_TIMESTAMP('".SecurityFilter($dealdate)."') OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}else{
								$dealdate = $where_array[$i]["value"];
								$query .= " AND (".SecurityFilter($where_array[$i]["field"])."<='".SecurityFilter($dealdate)."' OR ".SecurityFilter($where_array[$i]["field"])." IS NULL)";
							}
						}
					}
				}
			}
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->Arc_Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit ".SecurityFilter($limit_s).",".SecurityFilter($limit_e);
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		$checknum = 0;
		while($row = mysql_fetch_assoc($cursor)){
			//去除没有文件的案卷，并修改状态
			$checksql = "SELECT
						  COUNT(*)
						FROM arc_file
						WHERE FILE_DOCUMENT = '".SecurityFilter($row["DOC_ID"])."'
							AND FILE_DELETE != '1'";
			$checkcursor = exequery($connection,$checksql);
			if($checkrow = mysql_fetch_array($checkcursor)){
				$undernum = $checkrow[0];
			}
			if($undernum>0){
				$infor[] = $row;
			}else{
				$checknum++;
				$resetsql = "UPDATE arc_document
								SET DOC_STATE = '0'
								WHERE DOC_ID = '".SecurityFilter($row["DOC_ID"])."'";
				exequery($connection,$resetsql);
			}
		}
		$infor['resultCount'] = $infor['resultCount']-$checknum;
		return 	$infor;
	}
	/*
	@function:  卷库下属案卷
	*/
	function Arc_volumInvoDoc($volumid,$diff){
		global $connection;
		$infor = array();
		if($diff=="all"){
			$sql = "SELECT *
						FROM arc_document
						WHERE DOC_VOLUME = '".SecurityFilter($volumid)."'
						ORDER BY DOC_ID DESC ";
		}else if($diff=="check"){
			$sql = "SELECT *
						FROM arc_document
						WHERE DOC_VOLUME = '".SecurityFilter($volumid)."'
							AND DOC_DELETE != '1'
						ORDER BY DOC_ID DESC ";
		}
		$cursor = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($cursor)) {
			$infor[] 	   = $row;
		}
		return 	$infor;
	}
	/*
	@function:  案卷下属文件
	*/
	function Arc_DocInvolFile($docid,$diff='',$rows='',$offset='') {
		global $connection;
		$infor = array();
		if($diff=="back") {
			//删除或者恢复案卷下文件
			$sql = "SELECT * FROM arc_file
					    WHERE FILE_DOCUMENT = '".SecurityFilter($docid)."'
					    ORDER BY FILE_ID DESC";
		} else {
			$sql = "SELECT * FROM arc_file
					    WHERE FILE_DOCUMENT = '".SecurityFilter($docid)."'
					    AND FILE_DELETE!='1'";
			$res  = exequery($connection,$sql);
			$nums = mysql_num_rows($res);
			$sql .= " ORDER BY FILE_ID DESC";
			if($rows!=''&&$offset!=''){
				if($offset) {
					$rows    = $rows*$offset;
					//批量删除最后一页的数据，页面无跳转的问题的问题的修复
					if($rows>=$nums)
					{
						$rows = max(0,$rows-$offset);
					}
					$sql .= " limit ".$rows.",".$offset;
				}
			}
		}

		$cursor = exequery($connection,$sql);
		while(@$row = mysql_fetch_assoc($cursor)) {
			$infor[] 	   = $row;
		}

		if($diff!="back") {
			$infor["count"] = $nums;
		}
		return 	$infor;
	}
	/*
	@function:  案卷拆卷/封卷
	*/
	function Arc_DocDoopenOrclose($docid,$diff){
		global $connection;
		if($diff=="close"){
			$sql = "UPDATE arc_document
					SET DOC_STATE = '2'
					WHERE DOC_ID = '".SecurityFilter($docid)."'";
		}else if($diff=="open"){
			$sql = "UPDATE arc_document
					SET DOC_STATE = '1'
					WHERE DOC_ID = '".SecurityFilter($docid)."'";
		}
		exequery($connection,$sql);
		return true;
	}
	/**
	*是否有显示的附件上传字段
	*@param $tablename
	*@return
	*/
	function Arc_isAttachment($tablename) {
		global $connection;
		$query = "SELECT * FROM arc_fieldset
				      WHERE FIELD_TABLE='".SecurityFilter($tablename)."'
				      AND FIELD_TYPE='5'
				      AND FIELD_DISPLAY='1'";
		$res   = exequery($connection,$query);
		if(mysql_num_rows($res) > 0) {
			$reStr = "1";
		} else {
			$reStr = "2";
		}
		return $reStr;
	}
	/*
	@function:  查找鉴定/销毁的信息
	*/
	function Arc_GetIdenORDestoryInfor($showid,$diff,$check){
		global $connection;
		$infor=array();
		if($diff=="identify"){
			$sql = "SELECT * FROM arc_appraisal WHERE APP_FILE='".SecurityFilter($showid)."' AND APP_STATE='".SecurityFilter($check)."'";

		}else if($diff=="destory"){
			$sql = "SELECT * FROM arc_destory WHERE DES_FILE='".SecurityFilter($showid)."' AND DES_STATE='".SecurityFilter($check)."'";
		}
		$cursor = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($cursor)){
			$infor = $row;
		}
		return 	$infor;

	}
	/*
	@function:  档案销毁
	*/
	function Arc_DestoryDo($data){
		global $connection;
		$sql = "INSERT INTO arc_destory
				(DES_FILE,
				 DES_DESTORYPERSON,
				 DES_DESTORYDATE,
				 DES_DESTORYMARK,
				 DES_STATE)
				VALUES ('".SecurityFilter($data["id"])."',
						'".SecurityFilter($data["person"])."',
						'".SecurityFilter($data["time"])."',
						'".SecurityFilter($data["content"])."',
						'".SecurityFilter($data["state"])."')";
		exequery($connection,$sql);
		$insertid = mysql_insert_id();
		return $insertid;
	}
	/*
	@function:  判断文件所属案卷是否已销毁
	*/
	function Arc_CheckFileUpDocDes($fileid){
		global $connection;
		$sql = "SELECT * FROM arc_file WHERE FILE_ID='".SecurityFilter($fileid)."'";
		$cursor = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($cursor)){
			$doc = $row["FILE_DOCUMENT"];
		}
		$docsql = "SELECT * FROM arc_document WHERE DOC_ID='".SecurityFilter($doc)."'";
		$doccursor = exequery($connection,$docsql);
		$check = "";
		if($rows = mysql_fetch_assoc($doccursor)){
			$check = $rows["DOC_DELETE"];
		}
		if($check=="0"){
			return "have";
		}else{
			return "delete";
		}
	}
	/*
	@function:  文件所属案卷信息
	*/
	function Arc_GetFileUPDoc($fileid){
		global $connection;
		$infor = array();
		$sql = "SELECT * FROM arc_file WHERE FILE_ID='".SecurityFilter($fileid)."'";
		$cursor = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($cursor)){
			$doc = $row["FILE_DOCUMENT"];
		}
		$docsql = "SELECT * FROM arc_document WHERE DOC_ID='".SecurityFilter($doc)."'";
		$doccursor = exequery($connection,$docsql);
		if($row = mysql_fetch_assoc($doccursor)){
			$infor = $row;
		}
		return 	$infor;
	}
	/*
	@function:  单行、多行文本框自动获取/选择处理
	*/
	function Arc_AutoDealText($tablename,$fieldname,$fieldvalue){
		global $connection;
		$checkid = "";
		switch($tablename){
			case "arc_volumelibrary":
				$checkid = "VOLUME_ID";
			break;
			case "arc_document":
				$checkid = "DOC_ID";
			break;
			case "arc_file":
				$checkid = "FILE_ID";
			break;
			case "arc_read":
				$checkid = "READ_ID";
			break;
		}
		$fieldsql = "SELECT *
						FROM arc_fieldset
						WHERE FIELD_NAME = '".SecurityFilter($fieldname)."'
							AND FIELD_TABLE = '".SecurityFilter($tablename)."'";
		$fieldcursor = exequery($connection,$fieldsql);
		if($row = mysql_fetch_assoc($fieldcursor)){
			if($row["FIELD_DEFAULT"]=="1" || $row["FIELD_DEFAULT"]=="2"){
				$query .= " AND ".SecurityFilter($fieldname)." LIKE'%".SecurityFilter($fieldvalue)."%'";
			}else{
				$rowshow = "";
				if($row["FIELD_DEFAULT_VALUE"]=="1"){
					$sql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%".SecurityFilter($fieldvalue)."%' AND USER_ACCOUNTS!='' AND DEPT_ID>0" ;
					$rowshow = "USER_ID";
				}else if($row["FIELD_DEFAULT_VALUE"]=="2"){
					$sql = "SELECT DEPT_ID FROM department WHERE DEPT_NAME LIKE '%".SecurityFilter($fieldvalue)."%'" ;
					$rowshow = "DEPT_ID";
				}else if($row["FIELD_DEFAULT_VALUE"]=="3"){
					$sql = "SELECT USER_PRIV FROM user_priv WHERE PRIV_NAME LIKE '%".SecurityFilter($fieldvalue)."%'" ;
					$rowshow = "USER_PRIV";
				}
				$sqlcursor = exequery($connection,$sql);
				$sqlstr = " AND (";
				$checknum = 0;
				while($rows = mysql_fetch_assoc($sqlcursor)) {
					  $sqlstr .= " INSTR(".SecurityFilter($fieldname).",'".SecurityFilter($rows[$rowshow]).",')>0 OR";
					  $checknum++;
				}
				if($checknum>0){
					$sqlstr = substr($sqlstr,0,-2);
					$sqlstr .= ")";
					$query = $sqlstr;
				}else{
					$query = " AND ".SecurityFilter($checkid)."=''";
				}
			}
		}
		return $query;
	}

	function getQuickSort($mainid){
		global $connection;
		$query = "select * from quicksort where MAIN_ID='".SecurityFilter($mainid)."'";
		$getListResult = exequery($connection, $query);
		while ($ROW = mysql_fetch_assoc($getListResult)) {
			$list[] = $ROW;
		}

		return $list;
	}

}
?>
