<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         api/commonphrase.class.php
 *@function:         常用短语类
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2015-2-27
 *@file Version:     1.0
 *@eoffice Version:  9.0
 */
class commonPhrase {
	/**
	*构造函数
	*/
	function __construct (){
		global $connection;
		$this->connection = $connection;
	}

	/**
	*获取列表数量
	*@access public
	*@return str  $count 列表数量
	*/
	function getCommonPhraseListCount() {
		$result = exequery($this->connection,$this->countSql);
		if($row = mysql_fetch_array($result))
			$count = $row["CNT"];
		return $count;
	}
	/**
	*获取列表明细
	*@access public
	*@return array  $returnArray 列表明细
	*/
	function getCommonPhraseListDetail() {
		$result = exequery($this->connection,$this->detailSql);
		while($row = mysql_fetch_array($result,MYSQL_ASSOC))
		{
			$returnList[] = $row;
		}
		return $returnList;
	}

	/**
	 * 获取某个用户的非固定常用短语
	 * @access public
	 * @param array $getListParam 参数
	 * @return array $returnArray 短语数组
	 */
	function getNotFixedCommonPhrase($getListParam){
		$customSql = "";
		if($getListParam["FORMAT_SEARCH"]) {
			foreach($getListParam["FORMAT_SEARCH"] as $value) {
				$customSql .= $value;
			}
		}
		//获取数量
		$countSql = "
					SELECT count(*) CNT 
					FROM common_phrase
					WHERE USER_ID = '".SecurityFilter($getListParam["TABLE_COMMON"]["LOGIN_USER_ID"])."'
					".$customSql;
		$this->countSql = $countSql;
		$totalCount = $this->getCommonPhraseListCount();
		$returnArray["totalCount"] =  $totalCount;
		if($getListParam["TABLE_COMMON"]["GETLISTTYPE"] == "count")
			return $returnArray;
		else {
			//对分页的特殊处理
			while($getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"]*$getListParam["TABLE_COMMON"]["PAGINATIONROWS"] >=$totalCount &&$getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"])
				$getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"] = $getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"]- 1;
			//获取明细
			$detailSql = "
						SELECT * FROM common_phrase
						WHERE USER_ID = '".SecurityFilter($getListParam["TABLE_COMMON"]["LOGIN_USER_ID"])."'
						".$customSql."
						ORDER BY ".SecurityFilter($getListParam["TABLE_COMMON"]["SORTFIELD"])." ".SecurityFilter($getListParam["TABLE_COMMON"]["SORTTYPE"])." 
						LIMIT ".$getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"]*$getListParam["TABLE_COMMON"]["PAGINATIONROWS"].",".$getListParam["TABLE_COMMON"]["PAGINATIONROWS"];
			$this->detailSql = $detailSql;
			$list = $this->getCommonPhraseListDetail();
			$returnArray["list"] =  $list;
			return $returnArray;
		}
	}

	/**
	 * 获取某个用户的固定常用短语
	 * @access public
	 * @param array $getListParam 参数
	 * @return array $returnArray 短语数组
	 */
	function getFixedCommonPhrase($getListParam){
		$query = "SELECT * FROM common_phrase 
					WHERE USER_ID = '".SecurityFilter($getListParam["LOGIN_USER_ID"])."'
					AND FAVORITE = 'YES'
					ORDER BY ORDER_NUMBER ASC ";
		$this->detailSql = $query;
		$returnArray = $this->getCommonPhraseListDetail();
		return $returnArray;
	}

	/**
	 * 新用户初始化
	 * @param string $USER_ID 用户id
	 * @return true 初始化完成
	 */
	function newUserAddCommonPhrase($USER_ID) {
        $USER_ID = SecurityFilter($USER_ID);
		$sql = "
				INSERT INTO `common_phrase`
				(`USER_ID`,`CONTENT`,`ORDER_NUMBER`,`CREATE_TIME`,`FAVORITE`)
				 VALUES 
				('".$USER_ID."','同意。','0',now(),'YES')
				";
		exequery($this->connection, $sql);
		unset($sql);
		$sql = "
				INSERT INTO `common_phrase`
				(`USER_ID`,`CONTENT`,`ORDER_NUMBER`,`CREATE_TIME`,`FAVORITE`)
				 VALUES 
				('".$USER_ID."','不同意。','1',now(),'YES')
				";
		exequery($this->connection, $sql);
		unset($sql);
		$sql = "
				INSERT INTO `common_phrase`
				(`USER_ID`,`CONTENT`,`ORDER_NUMBER`,`CREATE_TIME`,`FAVORITE`)
				 VALUES 
				('".$USER_ID."','已阅。','2',now(),'YES')
				";
		exequery($this->connection, $sql);
		unset($sql);
		$sql = "
				INSERT INTO `common_phrase`
				(`USER_ID`,`CONTENT`,`ORDER_NUMBER`,`CREATE_TIME`,`FAVORITE`)
				 VALUES 
				('".$USER_ID."','请予批示。','3',now(),'YES')
				";
		exequery($this->connection, $sql);
		unset($sql);
		$sql = "
				INSERT INTO `common_phrase`
				(`USER_ID`,`CONTENT`,`ORDER_NUMBER`,`CREATE_TIME`,`FAVORITE`)
				 VALUES 
				('".$USER_ID."','请修改后重报。','4',now(),'YES')
				";
		exequery($this->connection, $sql);
		unset($sql);
		return true;
	}

	/**
	 * 保存对短语的编辑
	 * @access public
	 * @param array $editParam 参数
	 * @return string success 保存成功
	 */
	function editCommonPhrase($editParam){
		$sql = "UPDATE common_phrase SET CONTENT = '".SecurityFilter($editParam["phrase_content"])."' WHERE PHRASE_ID = '".SecurityFilter($editParam["phrase_id"])."'";
		exequery($this->connection, $sql);
		return "success";
	}

	/**
	 * 删除短语
	 * @access public
	 * @param array $deleteParam 参数
	 * @return string success 删除成功
	 */
	function deleteCommonPhrase($deleteParam){
		$sql = "DELETE FROM common_phrase WHERE PHRASE_ID = '".SecurityFilter($deleteParam["phrase_id"])."'";
		exequery($this->connection, $sql);
		return "success";
	}

	/**
	 * 新建短语
	 * @access public
	 * @param array $newParam 参数
	 * @return string success 保存成功
	 */
	function newCommonPhrase($newParam){
		$sql = "
				INSERT INTO `common_phrase`
				(`USER_ID`,`CONTENT`,`ORDER_NUMBER`,`CREATE_TIME`,`FAVORITE`)
				 VALUES 
				('".SecurityFilter($newParam["LOGIN_USER_ID"])."','".SecurityFilter($newParam["PHRASE_CONTENT"])."','".SecurityFilter($newParam["ORDER_NUMBER"])."',now(),'".SecurityFilter($newParam["FAVORITE"])."')
				";
		exequery($this->connection, $sql);
		return "success";
	}

	/**
	 * 检查重复
	 * @access public
	 * @param array $repeatParam 参数
	 * @return string 查询到的数据数量
	 */
	function checkPhraseRepeat($repeatParam){
		$query = "SELECT COUNT(*) CNT FROM common_phrase WHERE USER_ID = '".SecurityFilter($repeatParam["LOGIN_USER_ID"])."' AND CONTENT = '".SecurityFilter($repeatParam["CHECK_CONTENT"])."'";
		$this->countSql = $query;
		$repeatCount = $this->getCommonPhraseListCount();
		return $repeatCount;
	}

	/**
	 * 删除最旧的一条非固定常用短语
	 * @access public
	 * @param string $USER_ID 用户
	 * @return string success 删除成功
	 */
	function deleteOldNotFixedPhrase($USER_ID){
		$sql = "
				DELETE FROM `common_phrase` WHERE PHRASE_ID = (
					SELECT getpi.PHRASE_ID FROM (
						SELECT PHRASE_ID FROM common_phrase 
						WHERE USER_ID = '".SecurityFilter($USER_ID)."' AND FAVORITE != 'YES' 
						ORDER BY CREATE_TIME ASC 
						LIMIT 0,1
					) getpi
				)
				";
		exequery($this->connection, $sql);
		return "success";
	}

	/**
	 * 删除最旧的一条固定常用短语
	 * @access public
	 * @param string $USER_ID 用户
	 * @return string success 删除成功
	 */
	function deleteOldFixedPhrase($USER_ID){
		$sql = "
				DELETE FROM `common_phrase` WHERE PHRASE_ID = (
					SELECT getpi.PHRASE_ID FROM (
						SELECT PHRASE_ID FROM common_phrase 
						WHERE USER_ID = '".SecurityFilter($USER_ID)."' AND FAVORITE = 'YES' 
						ORDER BY ORDER_NUMBER DESC 
						LIMIT 0,1
					) getpi
				)
				";
		exequery($this->connection, $sql);
		return "success";
	}

	/**
	 * 设置为固定短语
	 * @access public
	 * @param array $addFixedParam 参数
	 * @return string success 设置成功
	 */
	function setToFixed($addFixedParam){
		$sql = "UPDATE common_phrase SET FAVORITE = 'YES',ORDER_NUMBER = '".SecurityFilter($addFixedParam["ORDER_NUMBER"])."' WHERE PHRASE_ID = '".SecurityFilter($addFixedParam["phrase_id"])."'";
		exequery($this->connection, $sql);
		return "success";
	}

	/**
	 * 从固定短语移除为非固定短语
	 * @access public
	 * @param array $removeFixedParam 参数
	 * @return string success 设置成功
	 */
	function removeFixed($removeFixedParam){
		$sql = "UPDATE common_phrase SET FAVORITE = 'NO',ORDER_NUMBER = '0' WHERE PHRASE_ID = '".SecurityFilter($removeFixedParam["phrase_id"])."'";
		exequery($this->connection, $sql);
		return "success";
	}

	/**
	 * 保存固定短语排序
	 * @access public
	 * @param array $orderParam 参数
	 * @return string success 排序成功
	 */
	function saveCommonPhraseOrder($saveOrderParam){
		$phrase_id_str = trim($saveOrderParam["phrase_id_str"],",");
		$phrase_id_array = explode(",", $phrase_id_str);
		$order_number = 0;
		foreach($phrase_id_array as $key=>$value){
			if($value) {
				$sql = "UPDATE common_phrase SET ORDER_NUMBER = '".SecurityFilter($key)."' WHERE PHRASE_ID = '".SecurityFilter($value)."'";
				exequery($this->connection, $sql);
			}
		}
		return "success";
	}
}
?>
