<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         api/cooperation.class.php
 *@function:         协作
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2014-04-23
 *@file Version:     1.0
 *@eoffice Version:  9.0
*/
class cooperation{
	function __construct($theme_id=""){
		global $connection;
		if($theme_id) {
			$sql      = "SELECT * FROM coop_theme WHERE THE_ID = ". SecurityFilter($theme_id) ."";
			$res     = exequery($connection,$sql);
			if($row = mysql_fetch_array($res,MYSQL_ASSOC)) {
				$this->THE_ID          = $row["THE_ID"];
				$this->COOP_ID         = $row["COOP_ID"];
				$this->THE_SUBJECT     = $row["THE_SUBJECT"];
				$this->THE_EXPLAIN     = $row["THE_EXPLAIN"];
				$this->THE_START       = $row["THE_START"];
				$this->THE_END         = $row["THE_END"];
				$this->THE_TIME        = $row["THE_TIME"];
				$this->THE_CREATER     = $row["THE_CREATER"];
				$this->THE_MANAGE      = $row["THE_MANAGE"];
				$this->THE_IMPOR       = $row["THE_IMPOR"];
				$this->THE_ORDER       = $row["THE_ORDER"];
				$this->THE_USER        = $row["THE_USER"];
				$this->THE_PRIV        = $row["THE_PRIV"];
				$this->THE_DEPT        = $row["THE_DEPT"];
				$this->SMS_REMIND      = $row["SMS_REMIND"];
				$this->SMSTEL_REMIND   = $row["SMSTEL_REMIND"];
				$this->EMAIL_REMIND    = $row["EMAIL_REMIND"];
				$this->ATTACHMENT_ID   = $row["ATTACHMENT_ID"];
				$this->ATTACHMENT_NAME = $row["ATTACHMENT_NAME"];
				$this->LAST_REV_TIME   = $row["LAST_REV_TIME"];
			}
		}
	}

	/**
	*获取协作类别的列表
	*@param  array $type           取值参数
	*@param  array $search         查询参数
	*@param  array $page           翻页参数
	*@param  array $other          自定义参数
	*@return array $returnArray    返回结果
	*/
	function getCoopSortTable($type=array(),$search=array(),$page=array(),$other=array())
	{
		global $connection;
		//返回的固定格式的数组
		$returnArray = array("totalCount"=>"","list"=>array());
		/*******************************总条数sql******************************************************/
		$countSqlPre  = "SELECT cs.COOP_ID ";
		$sqlPublicPre = "
						FROM coop_sort cs
						LEFT JOIN (
							SELECT COOP_ID,COUNT(THE_ID) CNT
							FROM coop_theme
							GROUP BY COOP_ID
						) ct ON cs.COOP_ID = ct.COOP_ID
						WHERE 1
						";
		//拼接筛选、自定义查询等条件
		$sqlPublicPre .= $search["CUSTOMPARAM"];
		$countSql = $countSqlPre.$sqlPublicPre;
		$cntRs = exequery($connection,$countSql);
		//因为含有group by 获取总数的方法有点不一样
		$totalCount = mysql_affected_rows();
		$returnArray["totalCount"] =  $totalCount;
		while($page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"] >=$totalCount &&$page["PAGINATIONOFFSET"])
			$page["PAGINATIONOFFSET"] = $page["PAGINATIONOFFSET"]- 1;
		//是否要获取列表，如果不要的话，只返回总数
		if($type["CONSTAINLIST"])
		{
			$idSqlPre = "SELECT ct.CNT,cs.* ";
			$idSql    = $idSqlPre.$sqlPublicPre;
			$idSql   .= " ORDER BY  ".$page["SORTFIELD"]." ".$page["SORTTYPE"];
			$idSql   .= " LIMIT ".$page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"].",".$page["PAGINATIONROWS"];
			$rs     = exequery($connection,$idSql);
			while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				$detailRows[] = $row;
			}
			$returnArray["list"] = $detailRows;
		}
		//返回结果
		return $returnArray;
	}
	/**
	*获取协作列表
	*@param  array $type           取值参数
	*@param  array $search         查询参数
	*@param  array $page           翻页参数
	*@param  array $other          自定义参数
	*@return array $returnArray    返回结果
	*/
	function getCoopListMain($type=array(),$search=array(),$page=array(),$other=array())
	{
		global $connection;
		//返回的固定格式的数组
		$returnArray = array("totalCount"=>"","list"=>array());
		/*******************************总条数sql******************************************************/
		$countSqlPre  = "SELECT ct.COOP_ID ";
		$sqlPublicPre = "
						FROM coop_theme ct
						LEFT JOIN coop_sort cs ON ct.COOP_ID = cs.COOP_ID
						LEFT JOIN coop_privy cp ON ct.THE_ID = cp.THE_ID
						
						WHERE cp.USER_ID = '".SecurityFilter($search["USER_ID"])."'
						";
		//标志是取筛选数据，需要屏蔽未开始和过期的
		if($type["TYPE"] == "tablefilter")
		{
			$now_time  = date("Y-m-d H:i:s",time());
			//排除掉未生效和过期协作
			$sqlPublicPre .= " AND (ct.THE_START <= '".SecurityFilter($now_time)."' AND (ct.THE_END>='".SecurityFilter($now_time)."' OR ct.THE_END='0000-00-00 00:00:00'))";
		}
		//拼接筛选、自定义查询等条件
		$sqlPublicPre .= $search["CUSTOMPARAM"];
		$countSql = $countSqlPre.$sqlPublicPre;
		$cntRs = exequery($connection,$countSql);
		//因为含有group by 获取总数的方法有点不一样
		$totalCount = mysql_affected_rows();
		$returnArray["totalCount"] =  $totalCount;
		while($page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"] >=$totalCount &&$page["PAGINATIONOFFSET"])
			$page["PAGINATIONOFFSET"] = $page["PAGINATIONOFFSET"]- 1;
		//是否要获取列表，如果不要的话，只返回总数
		if($type["CONSTAINLIST"])
		{
			//$idSql    = "SELECT c_rev.LAST_TIME,cp.PRIVY_TIME,ct.*,cp.PRIVY_IMPOR ";
			$idSql    = "
						SELECT cp.PRIVY_TIME,ct.*,cp.PRIVY_IMPOR,
						CASE
						WHEN cp.PRIVY_TIME <= ct.LAST_REV_TIME
							OR cp.PRIVY_TIME = '0000-00-00 00:00:00' 
						THEN 'noread'
						ELSE '' END noRead ";
			$idSql   .= $sqlPublicPre;
			$idSql   .= "ORDER BY CP.PRIVY_ORDER ASC,CT.THE_TIME DESC ";
			if($page["PAGINATIONROWS"])
				$idSql   .= "LIMIT ".$page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"].",".$page["PAGINATIONROWS"]."";
			$rs     = exequery($connection,$idSql);
			while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				if($type["GETFIELDSTYPE"] == "part") {
					$partFieldsArray["COOP_ID"]     = $row["COOP_ID"];
					$partFieldsArray["PRIVY_IMPOR"] = $row["PRIVY_IMPOR"];
					$partFieldsArray["THE_ID"]      = $row["THE_ID"];
					$partFieldsArray["THE_IMPOR"]   = $row["THE_IMPOR"];
					$partFieldsArray["THE_SUBJECT"] = $row["THE_SUBJECT"];
					$partFieldsArray["THE_CREATER"] = $row["THE_CREATER"];
					$partFieldsArray["THE_MANAGE"]  = $row["THE_MANAGE"];
					$partFieldsArray["noRead"]      = $row["noRead"];
					$detailRows[] = $partFieldsArray;
				} else {
					$detailRows[] = $row;
				}
			}
			$returnArray["list"] = $detailRows;
		}
		//返回结果
		return $returnArray;
	}
	/**
	*获取有权限的协作类别
	*@param  array $search         查询参数
	*@param  array $other          自定义参数
	*@return array $returnArray    返回结果
	*/
	function getRightsSortList($search=array(),$other=array())
	{
		global $connection;
		$returnArray = array();
		$sql = "SELECT * FROM coop_sort WHERE COOP_ID IN (SELECT COOP_ID FROM coop_theme WHERE "; 
		if($search["USER_ID"] != 'admin'){
			$sql.= "(THE_DEPT = 'ALL_DEPT'
					OR 
					(INStr(THE_DEPT,',".SecurityFilter($search["DEPT_ID"]).",')>0 or INStr(THE_DEPT,'".SecurityFilter($search["DEPT_ID"]).",')=1) 
					OR
					(INStr(THE_PRIV,',".SecurityFilter($search["PRIV_ID"]).",')>0 or INStr(THE_PRIV,'".SecurityFilter($search["PRIV_ID"]).",')=1)
					OR 
					(INStr(THE_USER,',".SecurityFilter($search["USER_ID"]).",')>0 or INStr(THE_USER,'".SecurityFilter($search["USER_ID"]).",')=1)
					OR 
					(INStr(THE_MANAGE,',".SecurityFilter($search["USER_ID"]).",')>0 or INStr(THE_MANAGE,'".SecurityFilter($search["USER_ID"]).",')=1)
					OR THE_CREATER = '".SecurityFilter($search["USER_ID"])."'
					) ";
		}
		else
		{
			$sql.= "1 ";
		}
		$sql.=	"GROUP BY COOP_ID
				)
				ORDER BY COOP_ORDER ASC, COOP_TIME ASC";
		$rs  = exequery($connection,$sql);
		while($row=mysql_fetch_array($rs))
		{
			$returnArray[] = $row;
		}
		//返回结果
		return $returnArray;
	}
	/**
	*获取回复内容
	*@param  array $type           取值参数
	*@param  array $search         查询参数
	*@param  array $page           翻页参数
	*@param  array $other          自定义参数
	*@return array $returnArray    返回结果
	*/
	function getCoopRevert($type=array(),$search=array(),$page=array(),$other=array())
	{
		global $connection;
		//返回的固定格式的数组
		$returnArray  = array("totalCount"=>"","list"=>array());
		$sqlPublicPre = "";
		$countSql     = "   SELECT cr.REV_ID 
							FROM coop_revert cr 
							WHERE cr.THE_ID = '".SecurityFilter($type["THEME_ID"])."' ";
		$idSql  = "	SELECT cr.*,u.USER_NAME AS REV_USER_NAME
					FROM coop_revert cr 
					LEFT JOIN user u ON u.USER_ID = cr.REV_USER
					WHERE cr.THE_ID = '".SecurityFilter($type["THEME_ID"])."' ";
		//公共条件
		if($type["SEARCH_TYPE"] == "first")
			$sqlPublicPre .= " AND cr.REV_PARENT = 0 ";
		else if($type["SEARCH_TYPE"] == "advanced")
			$sqlPublicPre .= " AND cr.REV_PARENT != 0 ";
		else if($type["SEARCH_TYPE"] == "REV_PARENT")
			$sqlPublicPre .= " AND cr.REV_PARENT = '".SecurityFilter($search["REV_PARENT"])."' ";
		//拼接筛选、自定义查询等条件
		$sqlPublicPre .= $search["CUSTOMPARAM"];
		//查总数
		$countSql .= $sqlPublicPre;
		$cntRs = exequery($connection,$countSql);
		//因为含有group by 获取总数的方法有点不一样
		$totalCount = mysql_affected_rows();
		$returnArray["totalCount"] =  $totalCount;
		while($page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"] >=$totalCount &&$page["PAGINATIONOFFSET"])
			$page["PAGINATIONOFFSET"] = $page["PAGINATIONOFFSET"]- 1;
		//是否要获取列表，如果不要的话，只返回总数
		if($type["CONSTAINLIST"])
		{
			$idSql .= $sqlPublicPre;
			$idSql .= " ORDER BY cr.REV_TOP DESC,cr.REV_TOP_TIME DESC,cr.REV_TIME DESC";
			if($type["SEARCH_TYPE"] == "first")
				$idSql   .= " LIMIT ".$page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"].",".$page["PAGINATIONROWS"];
			$rs     = exequery($connection,$idSql);
			while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				$detailRows[] = $row;
			}
			$returnArray["list"] = $detailRows;
		}
		//返回结果
		return $returnArray;
	}
	/**
	*获取相关文档列表
	*@param  array $type           取值参数
	*@param  array $search         查询参数
	*@param  array $page           翻页参数
	*@param  array $other          自定义参数
	*@return array $returnArray    返回结果
	*/
	function getCoopDoc($type=array(),$search=array(),$page=array(),$other=array())
	{
		global $connection;
		//返回的固定格式的数组
		$returnArray = array("totalCount"=>"","list"=>array());
		if($type["getCoopDocType"] == "revert" && $type["getDocByRevId"])
		{
			$REV_DOC_STR = $type["getDocByRevId"];
		}
		else
		{
			//先查所有文档ID的串
			$query = "
						SELECT REV_DOC FROM coop_revert
						WHERE THE_ID = '".SecurityFilter($type["THEME_ID"])."' 
						AND REV_DOC != ''
					";
			$cursor= exequery($connection,$query);
			$REV_DOC_STR = "";
			while($ROW   = mysql_fetch_array($cursor)){
				$REV_DOC      = $ROW["REV_DOC"];
				$REV_DOC_STR .= $REV_DOC;
			}
		}
		$REV_DOC_STR_ARR   = explode(",",trim($REV_DOC_STR,","));
		$REV_DOC_STR_ARRAY = array_unique($REV_DOC_STR_ARR);
		$REV_DOC_ALL_STR   = "'".implode("','",$REV_DOC_STR_ARRAY)."'";

		$countSqlPre  = "SELECT fc.CONTENT_ID ";
		$sqlPublicPre = "
						FROM file_content fc 
						LEFT JOIN user u ON u.USER_ID = fc.USER_ID 
						WHERE fc.CONTENT_ID IN ( ".SecurityFilter($REV_DOC_ALL_STR)." ) 
						";
		//拼接筛选、自定义查询等条件
		//$sqlPublicPre .= $search["CUSTOMPARAM"];
		$countSql = $countSqlPre.$sqlPublicPre;
		$cntRs = exequery($connection,$countSql);
		//因为含有group by 获取总数的方法有点不一样
		$totalCount = mysql_affected_rows();
		$returnArray["totalCount"] =  $totalCount;
		while($page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"] >=$totalCount &&$page["PAGINATIONOFFSET"])
			$page["PAGINATIONOFFSET"] = $page["PAGINATIONOFFSET"]- 1;
		//是否要获取列表，如果不要的话，只返回总数
		if($type["CONSTAINLIST"])
		{
			$idSql    = "SELECT fc.*,u.USER_NAME AS USER_NAME ";
			$idSql   .= $sqlPublicPre;
			$idSql   .= " LIMIT ".$page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"].",".$page["PAGINATIONROWS"];
			$rs     = exequery($connection,$idSql);
			while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				$detailRows[] = $row;
			}
			$returnArray["list"] = $detailRows;
		}
		//返回结果
		return $returnArray;
	}
	/**
	*获取相关附件列表
	*@param  array $type           取值参数
	*@param  array $search         查询参数
	*@param  array $page           翻页参数
	*@param  array $other          自定义参数
	*@return array $returnArray    返回结果
	*/
	function getCoopAtt($type=array(),$search=array(),$page=array(),$other=array())
	{
		global $connection;
		//返回的固定格式的数组
		$returnArray = array("totalCount"=>"","list"=>array());
		//先查所有文档ID的串
		$query = "
					SELECT ATTACHMENT_ID,ATTACHMENT_NAME FROM coop_revert
					WHERE THE_ID = '".SecurityFilter($type["THEME_ID"])."' 
					AND ATTACHMENT_ID != ''
				";
		$cursor= exequery($connection,$query);
		while($ROW   = mysql_fetch_array($cursor)){
			$ATTACHMENT_ID        = $ROW['ATTACHMENT_ID'];
			$ATTACHMENT_NAME      = $ROW['ATTACHMENT_NAME'];
			$ATTACHMENT_ID_ALL   .= $ATTACHMENT_ID;
			$ATTACHMENT_NAME_ALL .= $ATTACHMENT_NAME;
		}
		if($ATTACHMENT_ID_ALL != "")
		{
			$ATTACHMENT_ID_ARRAY   = explode(",",trim($ATTACHMENT_ID_ALL,","));
			$ATTACHMENT_NAME_ARRAY = explode("*",trim($ATTACHMENT_NAME_ALL,"*"));
			$ARRAY_COUNT = sizeof($ATTACHMENT_ID_ARRAY);
			$returnArray["totalCount"] = $ARRAY_COUNT;
			while($page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"] >=$ARRAY_COUNT &&$page["PAGINATIONOFFSET"])
				$page["PAGINATIONOFFSET"] = $page["PAGINATIONOFFSET"]- 1;
			$limit_start = $page["PAGINATIONOFFSET"]*$page["PAGINATIONROWS"];
			$limit_end   = $page["PAGINATIONROWS"];
			for($I=$limit_start;$I<$ARRAY_COUNT;$I++)
			{
				if($ATTACHMENT_ID_ARRAY[$I]=="")
					break;
				$ATTACH_IMAGE = fileTypeToFontIcon($ATTACHMENT_NAME_ARRAY[$I]);
				$doc_size     = attach_size($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I]);
				$doc_size_convert = "";
				if ($doc_size > 1024){
					$doc_size_convert = round($doc_size/1024,0);
				}
				if ($doc_size >= 1024*1024){
					$doc_size_convert = round($doc_size/(1024*1024),2);
				}
				//关于操作权限
				if(isPicOfFile($ATTACHMENT_NAME_ARRAY[$I]))
				{
					$picType = strtolower(getFileSuffix($ATTACHMENT_NAME_ARRAY[$I]));
					if($picType == "jpg"||$picType == "gif"||$picType == "jpeg"||$picType == "png")
					{
						$HANDLE_TYPE = "1";
					}
					else
					{
						$HANDLE_TYPE = "2";
					}
				}
				if(getFilesuffix($ATTACHMENT_NAME_ARRAY[$I]) == 'pdf')
				{
					$HANDLE_TYPE = "3";
				}
				?>
				<?
				if(isOfficeOfFile($ATTACHMENT_NAME_ARRAY[$I]))
				{
					$HANDLE_TYPE = "4";
				}
				$Rows["HANDLE_TYPE"]     = $HANDLE_TYPE;
				$Rows["DOC_SIZE_CONVERT"]= $doc_size_convert;
				$Rows["DOC_SIZE"]        = $doc_size;
				$Rows["ATTACHMENT_ID"]   = $ATTACHMENT_ID_ARRAY[$I];
				$Rows["ATTACHMENT_NAME"] = $ATTACHMENT_NAME_ARRAY[$I];
				$Rows["ATTACH_IMAGE"]    = $ATTACH_IMAGE;
				$Rows["ATTACHMENT_ID_CODE"]   = $ATTACHMENT_ID_ARRAY[$I]*3+2;
				$Rows["ATTACHMENT_NAME_CODE"] = urlencode($ATTACHMENT_NAME_ARRAY[$I]);
				$detailRows[] = $Rows;
				$counter++;
				if($counter == $limit_end)
					break;
			}
			$returnArray["list"] = $detailRows;
			return $returnArray;
		}
		else
		{
			//返回结果
			return $returnArray;
		}
	}
	/**
	*将协作的最后回复时间更新
	*@param  string $themeId        协作id
	*@return string $returnArray    返回结果，执行成功返回true
	*/
	function updateLastRevertTimeByThemeId($themeId) {
		global $connection;
		$sql = "UPDATE coop_theme ct 
				INNER JOIN (
					SELECT MAX(REV_TIME) AS LAST_TIME,THE_ID FROM  coop_revert
					WHERE the_id = '".SecurityFilter($themeId)."'
					GROUP BY THE_ID
				) cr ON ct.THE_ID = cr.THE_ID
				SET ct.LAST_REV_TIME = cr.LAST_TIME";
		exequery($connection,$sql);
		return true;
	}
}
?>
