<?
/**
 * Systemname:     Saas
 * Filename:       api/dept.class.php
 * Function:       $function
 * Encoding:       $_lang['encoding']
 * Author:         xiulin.liu www.weaver.com.cn
 * Date:           2010-9-9
 * Version:        1.x
 * Saas Version:   1.x
*/

class department{

	public $deptid;

	public function __construct(){

	}

	public function setDeptID($deptid){
		$this->deptid = $deptid;
	}


	/*
	@ 添加部门信息
	*/
	public function insertDept($inArray=array()){
		global $connection;
		if(!is_array($inArray)){
			return false;
		}

		if(trim($inArray["deptname"]) == ""){
			return false;
		}


		//$deptid = $inArray["deptid"];
		$deptname = $inArray["deptname"];
		$telno = $inArray["telno"];
		$faxno = $inArray["faxno"];
		$deptno = $inArray["deptno"];
		$deptparent = $inArray["deptparent"]?$inArray["deptparent"]:0;
		$SORT_LEVEL_ID = $this->getLevelStrById($deptparent);
		$deptNamePy    = convertPy($deptname);
		$sql  = "
			INSERT INTO department
				(DEPT_NAME,TEL_NO,FAX_NO,DEPT_NO,DEPT_PARENT,SORT_LEVEL_ID,DEPT_NAME_PY,DEPT_NAME_ZM)
				VALUES
				('".SecurityFilter($deptname)."','".SecurityFilter($telno)."','".SecurityFilter($faxno)."','".SecurityFilter($deptno)."','".SecurityFilter($deptparent)."','".SecurityFilter($SORT_LEVEL_ID)."','".SecurityFilter($deptNamePy[0])."','".SecurityFilter($deptNamePy[1])."')

			"
			;
		exequery($connection,$sql);

	}

	/*
	@ 修改部门信息
	*/
	public function updateDept($inArray){
		global $connection;

		if(!is_array($inArray)){
			return false;
		}

		if($inArray["deptname"] == ""){
			return false;
		}

		if($inArray["deptid"] == ""){
			return false;
		}
		$deptid = $inArray["deptid"];
		$deptInfo = $this->getDeptInfo($deptid);
		$oldParent = $deptInfo[0]["deptparent"];
		$deptname = $inArray["deptname"];
		$telno = $inArray["telno"];
		$faxno = $inArray["faxno"];
		$deptno = $inArray["deptno"];
		$deptparent = $inArray["deptparent"]?$inArray["deptparent"]:0;
		$deptNamePy    = convertPy($deptname);
		$sql  = "
			UPDATE department SET
				DEPT_NAME = '".SecurityFilter($deptname)."',
				TEL_NO = '".SecurityFilter($telno)."',
				FAX_NO = '".SecurityFilter($faxno)."',
				DEPT_NO = '".SecurityFilter($deptno)."',
				DEPT_PARENT = '".SecurityFilter($deptparent)."',
				DEPT_NAME_PY='".SecurityFilter($deptNamePy[0])."',
				DEPT_NAME_ZM='".SecurityFilter($deptNamePy[1])."'
				WHERE DEPT_ID=".SecurityFilter($deptid)
		;

		exequery($connection,$sql);
		//层级处理
		if($oldParent != $deptparent)
		{
			$this->UpdateSortLevel($deptparent);
		}
		return true;
	}


	/*
	@ 部门查询
	*/
	public function getDeptDataList($searchArray=array(),$otherArray=array()){
		global $connection;

		if (!$otherArray['start']){
			$otherArray['start'] = 0;
		}

		if (!$otherArray['limit']){
			$otherArray['limit'] = 100;
		}

		if (!$otherArray['term']){
			$otherArray['term'] = "or";
		}

		$searchArray['d_parent'] = $searchArray['d_parent']?$searchArray['d_parent']:0;

		// 查询条件
		$term = ($otherArray['term'] == "or")?"OR":"AND";

		$sql = "SELECT * FROM department WHERE DEPT_PARENT='".SecurityFilter($searchArray['d_parent'])."' ";

		if($searchArray['key_dname']){
			$match .= $term." DEPT_NAME LIKE '%".SecurityFilter($searchArray['key_dname'])."%' ";
		}

		if($searchArray['key_dno']){
			$match .= $term." DEPT_NO = '".SecurityFilter($searchArray['key_dno'])."' ";
		}

		if($term == "AND"){
			$sqlt .= " AND ( 1=1 ".$match." )";
		}
		elseif($term == "OR" && $match != ""){
			$sqlt .= " AND ( 1=2 ".$match." )";
		}

		//排序
		switch($otherArray['orderby']){
			case 'dname':
				$bystr = "DEPT_NAME";
				break;
			case 'dno':
				$bystr = "DEPT_NO";
				break;
			case 'dtel':
				$bystr = "TEL_NO";

			default:
				$bystr = "DEPT_NO";
				break;
		}

		switch($otherArray['ordertype']){
			case 'ASC':
				$bytype = " ASC ";
				break;
			case 'DESC':
				$bytype = " DESC ";
				break;
			default:
				$bytype = " ASC ";
				break;
		}

		$start = $otherArray['start']?$otherArray['start']:0;
		$limit = $otherArray['limit']?$otherArray['limit']:20;

		$range =" LIMIT ".$start.",".$limit;
		$order =" ORDER BY ".$bystr." ".$bytype." ";

		$sql = $sql.$sqlt.$order.$range;

		$rs = exequery($connection,$sql);
		$i = 0;
		while($row = mysql_fetch_array($rs)){

			$ar[$i]['deptid'] = $row['DEPT_ID'];
			$ar[$i]['deptname'] = $row['DEPT_NAME'];
			$ar[$i]['telno'] = $row['TEL_NO'];
			$ar[$i]['faxno'] = $row['FAX_NO'];
			$ar[$i]['deptno'] = $row['DEPT_NO'];
			$ar[$i]['deptparent'] = $row['DEPT_PARENT'];

			$i++;

		}

		$sqla = "SELECT COUNT(*) AS cnt FROM department WHERE DEPT_PARENT='".$searchArray['d_parent']."' ".$sqlt;

		$rsa = exequery($connection,$sqla);
		$rowa = mysql_fetch_array($rsa);
		$amount = $rowa['cnt'];

		$rear['amount'] = $amount;
		$rear['list'] = $ar;

		return $rear;
	}

	/*
	@ 部门信息
	*/
	public function getDeptInfo($deptid){
		global $connection;
		if($deptid == ""){
			return false;
		}

		$sql = " SELECT * FROM department WHERE 1 AND DEPT_ID=".SecurityFilter($deptid);

		$rs = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$ar[0]['deptid'] = $row['DEPT_ID'];
		$ar[0]['deptname'] = $row['DEPT_NAME'];
		$ar[0]['telno'] = $row['TEL_NO'];
		$ar[0]['faxno'] = $row['FAX_NO'];
		$ar[0]['deptno'] = $row['DEPT_NO'];
		$ar[0]['deptparent'] = $row['DEPT_PARENT'];
		$ar[0]['SORT_LEVEL_ID'] = $row['SORT_LEVEL_ID'];
		return $ar;
	}

	/*
	* 返回部门数组，ID为第一维下标

	*/
	function getDeptArrayInfo(){
		global $connection;
		$sql = "SELECT * FROM department";
		$rs  = exequery($connection,$sql);
		while($row = mysql_fetch_array($rs)){
			$arrayData[$row['DEPT_ID']]['dname'] = $row['DEPT_NAME'];
		}
		return $arrayData;

	}

	/*
	* 删除部门
	*/
	public function deleteDept($deptid){
		global $connection;
		if($deptid == ""){
			return false;
		}
		if(!$this->checkDeptNoUser($deptid)){
			return false;
		}
		$sql = "DELETE FROM department WHERE DEPT_ID='".SecurityFilter($deptid)."'";
		exequery($connection,$sql);
		return true;
	}

	/*
	* 检查部门下是否有用户

	*/
	public function checkDeptNoUser($deptid){
		global $connection;
		if($deptid == ""){
			return false;
		}
		$sql = "SELECT COUNT(*) AS cnt FROM USER WHERE DEPT_ID='".SecurityFilter($deptid)."'";
		$rs = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		if($row['cnt'] > 0){
			return false;
		}
		return true;
	}
	/*
	*获取所有部门
	*/
	public function GetAllDeptInfor($search){
		global $connection;
		$Infor = array();
		$sql = "SELECT * FROM department WHERE 1";
		if($search!="")
		{
			$sql .= " AND DEPT_NAME LIKE '%".SecurityFilter($search)."%'";
		}
		$sql .= " ORDER BY DEPT_NO ASC";
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs))
		{
			$Infor[] = $row;
		}
		return $Infor;
	}

/*
	*@function 获取父部门以及通过参数可以获取部门下的子部门
	*
	*/
	public function getDeptById($searchInfo) {
		global $connection;
		$Infor = array();
		$sql = "SELECT * FROM department WHERE 1 ";
		if($searchInfo["parentId"] != "") {

			$sql .= " AND DEPT_PARENT='".SecurityFilter($searchInfo["parentId"])."'";
		} else {
			$sql .= " AND DEPT_PARENT='0'";
		}
		$sql .= " ORDER BY DEPT_NO ASC";
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs))
		{
			$Infor[] = $row;
			if($this->checkIsParentDept($row["DEPT_ID"])) {
				$this->getDeptById(array("parentId"=>$row["DEPT_ID"]));
			}
		}
		return $Infor;
	}

	/**
	*@function 获取当前部门及其所有子部门
	*@param    id
	*/
	public function getDeptAndChild($searchInfo) {
		global $connection;
		$Infor = array();
		$query = "SELECT * FROM department WHERE 1";
		if($searchInfo["DEPT_ID"] != "") {
			$query .= " AND DEPT_PARENT='".SecurityFilter($searchInfo["DEPT_ID"])."'";
		}
		$res = exequery($connection,$query);

		while($row = mysql_fetch_array($res)) {
			array_push($Infor,$row);
			if($this->checkIsParentDept($row["DEPT_ID"])) {
				$this->getDeptAndChild(array("DEPT_ID"=>$row["DEPT_ID"]));
			}
		}
		return $Infor;
	}

	/**
	*@function 检测当前部门是否为父部门
	*@param    deptId
	*/
	public function checkIsParentDept($deptId) {
		global $connection;

		$sql   = "SELECT * FROM department WHERE 1 AND DEPT_PARENT='".SecurityFilter($deptId)."' ORDER BY DEPT_NO ASC";
		$res   = exequery($connection,$sql);
		$deptNums = mysql_num_rows($res);
		$returnStr = 0;
		if($deptNums != 0) {
			$returnStr = 1;
		}
		return $returnStr;
	}

	/*
	*获取部门下属人员
	*/
	public function GetUnderDeptUser($deptid,$start,$limit){
		global $connection;
		$Infor = array();
		$sql = "SELECT *
				FROM USER
				WHERE DEPT_ID = '".SecurityFilter($deptid)."'
					AND USER_ACCOUNTS != ''
				ORDER BY LISTNUMBER ASC ";
		$start = $start?$start:0;
		$limit = $limit?$limit:5;
		$sql  .= " LIMIT ".SecurityFilter($start).",".SecurityFilter($limit);
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs))
		{
			$Infor[] = $row;
		}
		return $Infor;
	}

	/*
	*层级关系更新
	*/
	public function UpdateSortLevel($sortParentID, $temp = "") {
		global $connection;
		$query = "SELECT * FROM DEPARTMENT WHERE DEPT_PARENT = '" . SecurityFilter($sortParentID) . "'";
		$result = exequery($connection, $query);
		while ($row = mysql_fetch_array($result)) {
			$sortID = $row["DEPT_ID"];
			if($sortParentID) {
				$sortLevelID = $temp . $sortParentID . "|";
				$updateSQL = "UPDATE DEPARTMENT SET SORT_LEVEL_ID ='|" . SecurityFilter($sortLevelID) . "' WHERE DEPT_ID = '" . SecurityFilter($sortID) . "'";
				exequery($connection, $updateSQL);
			} else if($sortParentID == 0) {
				$updateSQL = "UPDATE DEPARTMENT SET SORT_LEVEL_ID ='' WHERE DEPT_ID = '" . SecurityFilter($sortID) . "'";
				exequery($connection, $updateSQL);
			}
			$this->UpdateSortLevel($sortID, $sortLevelID);
		}
	}

	//部门获取层级
	public function getLevelStrById($parentId)
	{
		global $connection;
		if($parentId == 0)
			return "";
		$getSortLevelSQL = "SELECT SORT_LEVEL_ID FROM DEPARTMENT WHERE DEPT_ID = '".SecurityFilter($parentId)."'";
		$getSortLevelResult = exequery($connection,$getSortLevelSQL);
		if($getSortLevelRow = mysql_fetch_array($getSortLevelResult)){
			$sortLevel = $getSortLevelRow["SORT_LEVEL_ID"];
		}
		if($sortLevel == ""){
			$sortLevel = "|" . $parentId . "|";
		}
		else{
			$sortLevel = $sortLevel . $parentId . "|";
		}
		return $sortLevel;
	}

	//向下所有部门
	function getDownPath($DEPT_ID) {
		global $connection;
		$query  = "SELECT DEPT_ID FROM DEPARTMENT WHERE INStr(SORT_LEVEL_ID ,'|$DEPT_ID|' ) > '0' " ;
		$cursor = exequery($connection,$query);
		while ( $rows = mysql_fetch_array($cursor)) {
			$subDeptIds .= $rows ['DEPT_ID'].',';
		}
		return $subDeptIds;
	}

	/**
	*更新某个部门的负责人信息
	*@param  array   $directorParam      所有参数的数组，deptDirectorId：负责人用户id字符串，deptDirectorName：负责人用户名称字符串，DEPT_ID：当前部门id
	*@return bool   true      更新成功返回true
	*/
    function updateDeptDirectorByDeptId($directorParam){
        global $connection;
		$deptDirectorIdString   = $directorParam["deptDirectorId"];
		// $deptDirectorNameString = $directorParam["deptDirectorName"];
		$deptId                 = $directorParam["DEPT_ID"];
		if($deptDirectorIdString) {
			$deptDirectorIdArray   = explode(",", $deptDirectorIdString);
			// $deptDirectorNameArray = explode(",", $deptDirectorNameString);
			//先查现有的负责人信息，根据负责人用户id判断是否已经存在
			$sql    = "SELECT * FROM department_director WHERE DEPT_ID = '".SecurityFilter($deptId)."'";
			$result = exequery($connection, $sql);
			while ($row = mysql_fetch_assoc($result)) {
				$directorUserId = $row["DIRECTOR_USER_ID"];
				$deptDirectorIdArrayKey = array_search($directorUserId, $deptDirectorIdArray);
				//如果在，将此id从数组里删掉
				if($deptDirectorIdArrayKey) {
					$deptDirectorIdArray[$deptDirectorIdArrayKey]   = "";
					// $deptDirectorNameArray[$deptDirectorIdArrayKey] = "";
				} else {
					//如果不在，将此条负责人信息删掉
					$sql = "DELETE FROM department_director WHERE DIRECTOR_ID = '".SecurityFilter($row["DIRECTOR_ID"])."'";
					exequery($connection, $sql);
				}
			}
			//查找之后的数组，循环，将值插入数据库
			foreach ($deptDirectorIdArray as $key => $value) {
				if($value) {
					// 这里插入[DIRECTOR_USER_NAME]的改掉，并且，所有用到这个字段的地方都改掉，用户名即时查询，不再用数据库里的字段了，表设计的有问题
					$sql = "INSERT INTO department_director
							(dept_id,DIRECTOR_USER_ID,DIRECTOR_USER_NAME)
							VALUE
							('".SecurityFilter($deptId)."','".SecurityFilter($value)."','')";
					exequery($connection, $sql);
				}
			}
		} else {
			//删除所有当前部门的负责人数据
			$sql = "DELETE FROM department_director WHERE DEPT_ID = '".SecurityFilter($deptId)."'";
			exequery($connection, $sql);
		}
		return true;
    }
    /**
	*获取某个部门的负责人信息
	*@param  string  $deptId        需要获取部门负责人的部门id
	*@return array   $directorArray 返回查询到的结果数组，id：负责人的用户id数组，name：负责人的用户name数组
	*/
	function getDirectorArrayByDeptId($deptId) {
		global $connection;
		// $sql = "SELECT * FROM department_director WHERE DEPT_ID = '".$deptId."'";
		$sql = "
				SELECT dd.DIRECTOR_ID,dd.DEPT_ID,dd.DIRECTOR_USER_ID,u.user_name DIRECTOR_USER_NAME FROM department_director dd
				LEFT JOIN USER u ON u.USER_ID = dd.DIRECTOR_USER_ID
				WHERE dd.DEPT_ID = '".SecurityFilter($deptId)."'
				";
		$result = exequery($connection, $sql);
		while ($row = mysql_fetch_assoc($result)) {
			if($row["DIRECTOR_USER_ID"] && $row["DIRECTOR_USER_NAME"]) {
				$directorUserIdArray[]   = $row["DIRECTOR_USER_ID"];
				$directorUserNameArray[] = $row["DIRECTOR_USER_NAME"];
			}
		}
		$directorArray["id"]   = $directorUserIdArray;
		$directorArray["name"] = $directorUserNameArray;
		return $directorArray;
	}
	/**
	*删除某个部门的负责人信息
	*@param  string  $deptId        需要删除部门负责人的部门id
	*@return bool   true            删除成功返回true
	*/
	function deleteDepartmentDirectorByDeptId($deptId) {
		global $connection;
		$sql = "DELETE FROM department_director WHERE DEPT_ID = '".SecurityFilter($deptId)."'";
		exequery($connection, $sql);
		return true;
	}
	/**
	*获取完整的多级部门名称和ID
	*@param  string  $separator     分隔符
	*@return array   $fullDeptName  多级部门名称和ID数组，ID：id数组，NAME：name数组
	*/
	function getMultiLevelDeptName($separator="") {
		global $connection;
		$sql = "
			SELECT
			d2.DEPT_ID new_dept_id,
			d2.DEPT_NAME new_dept_name,
			d1.DEPT_ID
			FROM department d1
			LEFT JOIN department d2 ON
			CASE
				WHEN d1.SORT_LEVEL_ID IS NULL OR d1.SORT_LEVEL_ID = '' THEN d1.DEPT_ID = d2.DEPT_ID
				ELSE INSTR(CONCAT(d1.SORT_LEVEL_ID,d1.DEPT_ID,'|'),CONCAT('|',d2.DEPT_ID,'|') ) > '0'
			END
			ORDER BY FIND_IN_SET(d2.DEPT_ID,REPLACE(TRIM(BOTH '|' FROM CONCAT(d1.SORT_LEVEL_ID,d1.DEPT_ID)),'|',','))
		";
		if(!$separator)
			$separator = "/";
		$fullDeptName = array();
		$res = exequery($connection,$sql);
		while ($ROW=mysql_fetch_assoc($res)){
			$fullDeptName["NAME"][$ROW["DEPT_ID"]] .= $ROW["new_dept_name"].$separator;
			$fullDeptName["ID"][$ROW["DEPT_ID"]]   .= $ROW["new_dept_id"].$separator;
		}
		return $fullDeptName;
	}
}
?>
