<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/system/world_time/index.php
 *@function:         流程
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-11-23
 *@file Version:     3.0
 *@eoffice Version:  8.0
*/
include_once("general/workflow/flow_expr_run.php");
class flow{
	var $default_limit = 20;
	var $default_start = 0;

	/*
	@ 流程配置数据
	*/
	var  $flowid;
	var  $flowname;
	var  $flowtype;
	var  $flowprocess;
	var  $prcsmax;

	/*
	@ 流程运行数据
	*/
	var  $runid;
	var  $runname;
	var  $flowprcs;//流程节点id
	var  $prcsid;//运行中的步骤id
	var  $creatorid;//创建人


	var  $createtime;
	var  $attachid;
	var  $attachname;	
	var  $flowrunprcs;
	var  $handlerid;//节点主办人


	var  $prcsto;//流出节点
	var  $prcschooseto;
	
	/*
	@ 其他
	*/
	var  $deptid;
	var  $uesrpriv;
	var  $userid;
	var  $curdate;
	var  $formId ;
	function __construct($userinfo=array()){
		global $connection;
		if($userinfo["user_id"]=="")
		{
			$this->userid = $_SESSION["LOGIN_USER_ID"];	
		}
		else
		{
			$this->userid = $userinfo["user_id"];		
		}
		if($this->userid){
			$sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($this->userid)."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$this->deptid = $row["DEPT_ID"];
			$this->uesrpriv = $row["USER_PRIV"];
		}
		$this->curdate = date("Y-m-d H:i:s",time());
	}

	/*
	@ function 初始化流程配置数据


	*/
	function initFlow($flowid){

		if(empty($flowid) || $flowid == ""){
			exit("Failed to initialize flow!");
		}

		$flowData = $this->getFlowInfo($flowid);

		$this->flowid = $flowid;
		$this->flowname = $flowData["FLOW_NAME"];
        $this->formId   = $flowData['FORM_ID'];
		$this->flowtype	= $flowData;

		$flowPrcsData = $this->getFlowPrcsInfo($flowid);

		$this->flowprocess		= $flowPrcsData;

		$this->getPrcsMax($flowid);
	
	}

	/*
	@ function 初始化流程运行数据


	*/
	function initRunFlow($runid){
		if(empty($runid) || $runid == ""){
			exit("Failed to initialize flow!");
		}

		$this->getRunInfo($runid);
	}


	/*
	@ function 待办事宜总个数
	*/
	function getFlowAmount(){
		global $connection;
		$sql = "SELECT frp.RUN_ID 
				FROM flow_run_prcs frp,flow_run fr,flow_type ft
			  	WHERE USER_ID='".SecurityFilter($this->userid)."' 
				AND frp.RUN_ID = fr.RUN_ID 
				AND fr.FLOW_ID = ft.FLOW_ID 
				AND ft.FLOW_TYPE != 2 
				AND ( 
						( 
							( 
								(SAVEFORM_TIME IS NULL AND OP_FLAG=0) 
								OR 
								(PRCS_FLAG='2' AND OP_FLAG=1)
							) 
							OR PRCS_FLAG='1' 
						)
					)
				  GROUP BY RUN_ID";					
		$rs = exequery($connection,$sql);
		$amount = mysql_num_rows($rs);

		return $amount;


	}

	/*
	@ function 未查看的待办事宜总数
	*/
	function getNewFlowAmount(){
		global $connection;
		$sql = "SELECT frp.RUN_ID 
				FROM flow_run_prcs AS frp,flow_run AS fr,flow_type AS ft   
				WHERE USER_ID='".SecurityFilter($this->userid)."' 
				AND frp.PRCS_FLAG='1'  
				AND frp.RUN_ID = fr.RUN_ID 
				AND fr.FLOW_ID = ft.FLOW_ID
				AND ft.FLOW_TYPE != 2
				GROUP BY RUN_ID ";
		$rs = exequery($connection,$sql);
		$amount = mysql_num_rows($rs);
		return $amount;
	}

	/*
	@ function 返回待办数组
	*/
	function getFlowRunInfo($limit=0,$start=0){
		global $connection;
		$limit = $limit>0?$limit:$this->default_limit;
		$start = $start>0?$start:$this->default_start;

		$sql = "SELECT frp.*,MAX(PRCS_ID) AS PRCS_ID_MAX 
				FROM flow_run_prcs frp,flow_run fr,flow_type ft 
				WHERE USER_ID  = '".SecurityFilter($this->userid)."' 
				AND frp.RUN_ID = fr.RUN_ID 
				AND fr.FLOW_ID = ft.FLOW_ID 
				AND ft.FLOW_TYPE != 2 
				AND ( 
						( 
							( 
								(SAVEFORM_TIME IS NULL AND OP_FLAG=0) 
								OR 
								(PRCS_FLAG='2' AND OP_FLAG=1) 
							) 
							OR PRCS_FLAG='1' 
						) 
					)
				GROUP BY RUN_ID ";
		$sql .= " ORDER BY RUN_ID DESC LIMIT ".SecurityFilter($start).",".SecurityFilter($limit)."";
		$rs = exequery($connection,$sql);
		$i = $start;
		while($row = mysql_fetch_array($rs)){
			$flowRunData[$i]['RUN_ID'] = $row['RUN_ID'];
			$flowRunData[$i]['PRCS_ID'] = $row['PRCS_ID_MAX'];

			$flowRunPrcs = $this->getFlowRunPrcs($flowRunData[$i]['RUN_ID'],$flowRunData[$i]['PRCS_ID']);

			$flowRunData[$i]['FLOW_PRCS'] = $flowRunPrcs['FLOW_PRCS'];
			$flowRunData[$i]['PRCS_FLAG'] = $flowRunPrcs['PRCS_FLAG'];
			$flowRunData[$i]['OP_FLAG'] = $flowRunPrcs['OP_FLAG'];
			$flowRunData[$i]['BY_AGENT_ID'] = $flowRunPrcs['BY_AGENT_ID'];
			$flowRunData[$i]['USER_ID'] = $flowRunPrcs['USER_ID'];
			$flowRunData[$i]['PRCS_TIME'] = $flowRunPrcs['PRCS_TIME'];

			$runInfo = $this->getRunInfo($flowRunData[$i]['RUN_ID']);

			$flowRunData[$i]['FLOW_ID'] = $runInfo['FLOW_ID'];
			$flowRunData[$i]['RUN_NAME'] = $runInfo['RUN_NAME'];
			$flowRunData[$i]['RUN_SEQ'] = $runInfo['RUN_SEQ'];
			$flowRunData[$i]['CREATOR'] = $runInfo['CREATOR'];
			$flowRunData[$i]['CREATE_TIME'] = $runInfo['CREATE_TIME'];

			$i++;
		}
		
		return $flowRunData;
	}

	/*
	@ function 返回表单字段以及数值
	*/
	function getFormRunValue($runid,$PRCS_ITEM="",$OP_FLAG=""){
		global $connection;
		$runInfo = $this->getRunInfo($runid);
		$flowid = $runInfo["FLOW_ID"];

		$flowInfo = $this->getFlowInfo($flowid);
		$formid = $flowInfo["FORM_ID"];

		$formInfo = $this->getFormInfo($formid);
		$PRINT_MODEL = $formInfo["PRINT_MODEL"];

		$query = "SELECT * FROM FLOW_RUN_DATA WHERE RUN_ID=".SecurityFilter($runid)." ORDER BY ITEM_ID";
		$cursor= exequery($connection,$query);
		while($ROW=mysql_fetch_array($cursor)){
			$ITEM_ID=$ROW["ITEM_ID"];
			$ITEM_DATA=$ROW["ITEM_DATA"];

			$STR="DATA_".$ITEM_ID;
			$$STR=$ITEM_DATA;
		}

		$ELEMENT_ARRAY=html_element($PRINT_MODEL);

		$ITEM_ID_MAX=sizeof($ELEMENT_ARRAY);
		$ITEM_ID=0;
		for($I=0;$I<$ITEM_ID_MAX;$I++)
		{
			$ELEMENT= $ELEMENT_ARRAY[$I];
			$ENAME  = get_attr($ELEMENT,"NAME");
			$EVALUE = get_attr($ELEMENT,"VALUE");
			$ECLASS = get_attr($ELEMENT,"CLASS");
			$EITLE  = get_attr($ELEMENT,"TITLE");
			//不能编辑
			if(!find_id($PRCS_ITEM,$EITLE)||$OP_FLAG != 1)
			{
				$ITEM_PRCS = "0";
			}
			else
			{
				$ITEM_PRCS = "1";
			}
			if($ECLASS!="DATE" && $ECLASS != "time")
			{
				$ITEM_ID++;
				$STR="DATA_".$ITEM_ID;
				$ITEM_VALUE=$$STR;

				if($ECLASS=="DATE" )
				{
					$ITEM_VALUE="";
				}
				else if($ECLASS == "HTML_SIGNATURE" || $ECLASS == "PHONE_SIGNATURE")
				{
					$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME name='DATA_$ITEM_ID'  id='DATA_$ITEM_ID' required='$REQUIRE' onchange=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onblur=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\"",$ELEMENT);
					preg_match("/<[^\>]*/",$ELEMENT_OUT,$rs);
					$htmlEditTemp = $rs[0];
					//width
					$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
					$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr)); 
					$subWidthPxStr  = strstr($subWidthStr,"px");
					$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
					//height
					$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
					$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr)); 
					$subHeightPxStr = strstr($subStylestr,"px");
					$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
					$ITEM_WIDTH = $width;
					$ITEM_HEIGHT = $height;
				}
				else if($ECLASS=="AUTO" && $ENAME=="SELECT" && $ITEM_VALUE!="") //--- 列表型宏控件 ---
				{
					$EDATAFLD=get_attr($ELEMENT,"DATAFLD");
					switch($EDATAFLD)
					{
						case "SYS_LIST_DEPT":
									  $query_auto="SELECT * from DEPARTMENT where DEPT_ID=".SecurityFilter($ITEM_VALUE);
									   $cursor_auto = exequery($connection,$query_auto);
									  if($ROW=mysql_fetch_array($cursor_auto))
										 $ITEM_VALUE=$ROW["DEPT_NAME"];
									  break;
						case "SYS_LIST_PRIV":
									  break;
						case "SYS_LIST_USER":
						case "SYS_LIST_PRCSUSER1":
						case "SYS_LIST_PRCSUSER2":
									  $query_auto="SELECT * from USER where USER_ID='".SecurityFilter($ITEM_VALUE)."'";
									  $cursor_auto = exequery($connection,$query_auto);
									  if($ROW=mysql_fetch_array($cursor_auto))
										 $ITEM_VALUE=$ROW["USER_NAME"];
									  break;
						case "SYS_LIST_SQL":
									  break;
					}

				}
				else if($ECLASS=="detailChar")
				{
					$detailCharWidth        = $this->GetHtmlAnaly($ELEMENT,"detailcharwidth");
					$detailCharFormula      = $this->GetHtmlAnaly($ELEMENT,"detailcharformula");
					$detailCharTotal        = $this->GetHtmlAnaly($ELEMENT,"detailchartotal");
					$detailCharName         = $this->GetHtmlAnaly($ELEMENT,"detailcharname");
					$detailCharNameArray    = explode("`",$detailCharName);
					$detailCharWidthArray   = explode("`",$detailCharWidth);
					$detailCharFormulaArray = explode("`",$detailCharFormula);
					$detailCharTotalArray   = explode("`",$detailCharTotal);
					$title                  = $this->GetHtmlAnaly($ELEMENT,"title");
					$ITEM_VALUE = "<table border=\"0\" cellspace=\"0\" cellpadding=\"2\"><tr>";
					for($i = 0; $i < count($detailCharNameArray);$i++)
					{
						$ITEM_VALUE .= "<td >$detailCharNameArray[$i]</td>";
					}
					$ITEM_VALUE .= "</tr>";
					$itemRowValueArray  = explode("|＃|",trim($$STR,"|＃|"));
					$detailCharArray    = "";
					$totalnum = array();
					for($i = 0; $i <count($itemRowValueArray);$i++)
					{
						if($itemRowValueArray[$i])
						{
							$ITEM_VALUE .= "<tr>";
							$itemColValueArray = explode("`*`",$itemRowValueArray[$i]);
							for($j = 0;$j < count($detailCharTotalArray);$j++)
							{
								$ITEM_VALUE .= "<td>".$itemColValueArray[$j]."</td>";
								$totalnum[$i][$j] = $itemColValueArray[$j];
							}
							$ITEM_VALUE .= "</tr>";
						}
					}
					$ITEM_VALUE .= "<tr>";
					$counttotal = count($totalnum);
					$newsubnum = array();
					for($num=0;$num<$counttotal;$num++)
					{
						$newsubnum = $this->getArrayMerge($totalnum[$num],$newsubnum);	
					}
					for($i = 0; $i < count($detailCharNameArray);$i++)
					{
						if($detailCharTotalArray[$i]==0)
						{
							$ITEM_VALUE .= "<td></td>";	
						}
						else
						{
							$ITEM_VALUE .= "<td>".$newsubnum[$i]."</td>";	
						}
					}
					$ITEM_VALUE .= "</tr>";
					$ITEM_VALUE .= "</table>";
				}
				else //--- 普通控件 ---
				{
					$EDATAFLD=get_attr($ELEMENT,"DATAFLD");
					if($ECLASS=="AUTO" && $ITEM_VALUE=="{宏控件}"||$ITEM_VALUE=="{会签字段}")
						$ITEM_VALUE="";
					if($EDATAFLD != "SYS_RUNNAME"){
						//$ITEM_VALUE=str_replace("<","&lt",$ITEM_VALUE);
						//$ITEM_VALUE=str_replace(">","&gt",$ITEM_VALUE);
						$ITEM_VALUE=stripslashes($ITEM_VALUE);
						$ITEM_VALUE=str_replace("\r\n","<br>",$ITEM_VALUE);
						$ITEM_VALUE=str_replace(" ","&nbsp;",$ITEM_VALUE);
					}

					if($ENAME=="INPUT" && strstr($ELEMENT,"type=\"checkbox\""))
					{
						if($ITEM_VALUE=="on")
							$ITEM_VALUE='<img src="images/flow/selected.png">';
						else
							$ITEM_VALUE='<img src="images/flow/unselected.png">';
					}
				}
				$formrunData[$ITEM_ID]["name"]  = $ENAME;
				$formrunData[$ITEM_ID]["title"] = $EITLE;
				$formrunData[$ITEM_ID]["class"] = $ECLASS;
				$formrunData[$ITEM_ID]["value"] = $ITEM_VALUE;
				$formrunData[$ITEM_ID]["prcs"]  = $ITEM_PRCS;
				$formrunData[$ITEM_ID]["width"] = $ITEM_WIDTH;
				$formrunData[$ITEM_ID]["height"]= $ITEM_HEIGHT;
			}
		}
		return $formrunData;
	}
	//数组键值相同的相加
	private function getArrayMerge($descs,$json_wares)
	{
	   if (is_array($descs) && is_array($json_wares)) {
		$arrayMerge = array();
		foreach ($json_wares as $key=>$value) {
		 if (array_key_exists($key, $descs)) {
		  $arrayMerge[$key] = $value + $descs[$key];
		  unset($descs[$key]);
		 } else {
		  $arrayMerge[$key] = $value;
		 }
		}
		$subarray = $arrayMerge+$descs;
		return $subarray;
	   } else {
		return false;
	   }
	} 
	
	//解析html
	private function GetHtmlAnaly($objStr,$PropName)
	{
		$PropStr     = $PropName."=\"";
		$fromPropStr = strstr($objStr,$PropStr);
		$subPropStr  = substr($fromPropStr,strlen($PropStr),strlen($fromPropStr)); 
		$subQuotStr  = strstr($subPropStr,"\"");
		$propValue   = substr($subPropStr,0,strlen($subPropStr)-strlen($subQuotStr));
		return $propValue;
	}

	/*
	@ function  flow_run_prcs 数据
	*/
	function getFlowRunPrcs($runid,$prcsid){
		global $connection;
		$sql = "SELECT * FROM flow_run_prcs WHERE USER_ID='".SecurityFilter($this->userid)."' AND RUN_ID=".SecurityFilter($runid)." AND PRCS_ID=".SecurityFilter($prcsid);
		$rs    = exequery($connection,$sql);
		$row   = mysql_fetch_array($rs);
	
		$prcsData['FLOW_PRCS']		 = $row['FLOW_PRCS'];
		$prcsData['PRCS_FLAG']		 = $row['PRCS_FLAG'];
		$prcsData['OP_FLAG']		 = $row['OP_FLAG'];
		$prcsData['BY_AGENT_ID']	 = $row['BY_AGENT_ID'];
		$prcsData['USER_ID']		 = $row['USER_ID'];
		$prcsData['PRCS_TIME']		 = $row['PRCS_TIME'];
		$this->flowrunprcs = $prcsData;
		$this->prcsid = $prcsid;
		$this->flowprcs = $row['FLOW_PRCS'];
		return $prcsData;
	}

	/*
	@ function flow_run 数据
	*/
	function getRunInfo($runid){
		global $connection;
		$sql = "SELECT * FROM flow_run WHERE RUN_ID=".SecurityFilter($runid);
		$rs    = exequery($connection,$sql);
		$row   = mysql_fetch_array($rs);
	
		$runData["FLOW_ID"]          = $row["FLOW_ID"];
		$runData["RUN_NAME"]         = $row["RUN_NAME"];
		$runData["RUN_SEQ"]          = $row["RUN_SEQ"];
		$runData["CREATOR"]          = $row["CREATOR"];
		$runData["CREATE_TIME"]      = $row["CREATE_TIME"];
		$runData["ATTACHMENT_ID"]    = $row["ATTACHMENT_ID"];
		$runData["ATTACHMENT_NAME"]  = $row["ATTACHMENT_NAME"];

		$this->runid		= $runid;
		$this->runname		= $runData["RUN_NAME"];
		$this->creatorid	= $runData["CREATOR"];
		$this->createtime	= $runData["CREATE_TIME"];
		$this->attachid		= $runData["ATTACHMENT_ID"];
		$this->attachname	= $runData["ATTACHMENT_NAME"];

		return $runData;
	}

	/*
	@ function flow_type 数据
	*/
	function getFlowInfo($flowid=""){
		global $connection;
		$flowid = $flowid>0?$flowid:$this->flowid;
		$sql = "SELECT * FROM flow_type WHERE FLOW_ID=".SecurityFilter($flowid);
		$rs= exequery($connection,$sql);
		$row=mysql_fetch_array($rs);

		$flowData["FLOW_NAME"]          = $row["FLOW_NAME"];
		$flowData["FLOW_TYPE"]         = $row["FLOW_TYPE"];
		$flowData["FORM_ID"]          = $row["FORM_ID"];
		$flowData["FORM_TYPE"]          = $row["FORM_TYPE"];

		$this->flowid		= $flowid;
		$this->flowname		= $flowData["FLOW_NAME"];
		$this->flowtype		= $flowData;

		return $flowData;
	}

	/*
	@ function flow_process 数据
	*/
	function getFlowPrcsInfo($flowid=""){
		global $connection;
		$flowid = $flowid>0?$flowid:$this->flowid;
		$sql = "SELECT * FROM flow_process WHERE FLOW_ID=".SecurityFilter($flowid);
		$rs= exequery($connection,$sql);
		while($row=mysql_fetch_array($rs)){
			$prcsid = $row["PRCS_ID"];

			$flowPrcsData[$prcsid]["ID"]                   = $row["ID"];
			$flowPrcsData[$prcsid]["FLOW_ID"]              = $row["FLOW_ID"];
			$flowPrcsData[$prcsid]["PRCS_ID"]              = $row["PRCS_ID"];
			$flowPrcsData[$prcsid]["PRCS_NAME"]            = $row["PRCS_NAME"];
			$flowPrcsData[$prcsid]["PRCS_USER"]            = $row["PRCS_USER"];
			$flowPrcsData[$prcsid]["PRCS_ITEM"]            = $row["PRCS_ITEM"];
			$flowPrcsData[$prcsid]["PRCS_DEPT"]            = $row["PRCS_DEPT"];
			$flowPrcsData[$prcsid]["PRCS_PRIV"]            = $row["PRCS_PRIV"];
			$flowPrcsData[$prcsid]["PRCS_TO"]              = $row["PRCS_TO"];
			$flowPrcsData[$prcsid]["PRCS_CONCOURSE"]       = $row["PRCS_CONCOURSE"];
			$flowPrcsData[$prcsid]["PRCS_OPTYPE"]          = $row["PRCS_OPTYPE"];
			$flowPrcsData[$prcsid]["PRCS_DEFAULT_USER"]    = $row["PRCS_DEFAULT_USER"];
			$flowPrcsData[$prcsid]["PRCS_DEFAULT_TYPE"]    = $row["PRCS_DEFAULT_TYPE"];
			$flowPrcsData[$prcsid]["PRCS_DEFAULT_MANAGE"]  = $row["PRCS_DEFAULT_MANAGE"];
			$flowPrcsData[$prcsid]["PRCS_ITEM_VIEW"]       = $row["PRCS_ITEM_VIEW"];
			$flowPrcsData[$prcsid]["PRCS_ITEM_CAPACITY"]   = $row["PRCS_ITEM_CAPACITY"];
			$flowPrcsData[$prcsid]["PRCS_ITEM_AUTO"]       = $row["PRCS_ITEM_AUTO"];
			$flowPrcsData[$prcsid]["PRCS_TERM"]            = $row["PRCS_TERM"];
			$flowPrcsData[$prcsid]["PRCS_AUTO_GET_USER"]   = $row["PRCS_AUTO_GET_USER"];
			$flowPrcsData[$prcsid]["END_WORKFLOW"]         = $row["END_WORKFLOW"];
			$flowPrcsData[$prcsid]["SUB_WORKFLOW_IDS"]     = $row["SUB_WORKFLOW_IDS"];
			$flowPrcsData[$prcsid]["RUN_WAYS"]             = $row["RUN_WAYS"];
		}
		$this->flowprocess		= $flowPrcsData;
		//print_r($flowPrcsData);
		return $flowPrcsData;
	}

	/*
	@ function 设置主办人


	*/
	function setMainHandler($runid,$flowprcs,$prcsid){
		global $connection;
		$fpdata = $this->flowprocess;
		$PRCS_OPTYPE = $fpdata[$flowprcs]["PRCS_OPTYPE"];

		switch($PRCS_OPTYPE){
			//第一个接收设置为主办人
			case 1:
				//判断是否已经确定主办人了,如果是则不去修改主办人,原因是监控提交须确定主办人,可能出现监控设置了主办人,等经办人回来查看时再被设为主办人
				$maxOpFlag = $this->opFlagIsExist($prcsid);
				if($maxOpFlag > 0)
				{
					return ;
				}
				$sql = "SELECT COUNT(*) AS cnt FROM flow_run_prcs WHERE RUN_ID=".SecurityFilter($runid)." AND PRCS_ID=".SecurityFilter($prcsid)." AND FLOW_PRCS=".SecurityFilter($flowprcs)." AND PRCS_TIME IS NOT NULL";
				$rs  = exequery($connection,$sql);
				$row = mysql_fetch_array($rs);
				$haveOpTag = $row['cnt'];
				if($haveOpTag == 0){
					$sql = "UPDATE flow_run_prcs SET OP_FLAG=1 WHERE RUN_ID=".SecurityFilter($runid)." AND PRCS_ID=".SecurityFilter($prcsid)." AND FLOW_PRCS=".SecurityFilter($flowprcs)." AND USER_ID='".SecurityFilter($this->userid)."'";
					exequery($connection,$sql);
				
				}
				break;
			//最后一个接收设置为主办人

			case 2:
				$maxOpFlag = $this->opFlagIsExist($prcsId);
				if($maxOpFlag > 0)
				{
					return ;
				}
				$sql = "SELECT COUNT(DISTINCT(USER_ID)) AS cnt FROM flow_run_prcs WHERE RUN_ID=".SecurityFilter($runid)." AND PRCS_ID=".SecurityFilter($prcsid)." AND FLOW_PRCS=".SecurityFilter($flowprcs)." AND PRCS_TIME IS  NULL ";
				$rs  = exequery($connection,$sql);
				$row = mysql_fetch_array($rs);
				$haveOpTag = $row['cnt'];

				$sql = "SELECT COUNT(*) AS cnt FROM flow_run_prcs WHERE RUN_ID=".SecurityFilter($runid)." AND PRCS_ID=".SecurityFilter($prcsid)." AND FLOW_PRCS=".SecurityFilter($flowprcs)." AND PRCS_TIME IS  NULL AND USER_ID='".SecurityFilter($this->userid)."' ";
				$rs  = exequery($connection,$sql);
				$row = mysql_fetch_array($rs);
				$haveOpTagSelf = $row['cnt'];

				if($haveOpTag == 1 && $haveOpTagSelf > 0){
					$sql = "UPDATE flow_run_prcs SET OP_FLAG=1 WHERE RUN_ID=".SecurityFilter($runid)." AND PRCS_ID=".SecurityFilter($prcsid)." AND FLOW_PRCS=".SecurityFilter($flowprcs)." AND USER_ID='".SecurityFilter($this->userid)."'";
					exequery($connection,$sql);
				}
				break;
			case 3:
				break;
			default:

		}
	
	}

	/*
	@ function prcsmax 
	*/
	function getPrcsMax($flowid=""){
		global $connection;
		$flowid = $flowid>0?$flowid:$this->flowid;
		$sql = "SELECT MAX(PRCS_ID) AS PRCS_MAX FROM flow_process WHERE FLOW_ID=".SecurityFilter($flowid);
		$rs = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$prcsmax = $row["PRCS_MAX"];
		$this->prcsmax = $prcsmax;

		return $prcsmax;
	}

	/*
	@ function 设置接收标志、时间 
	*/
	function setReceiveFlag(){
		global $connection;
		$flowrunprcs = $this->flowrunprcs;

		$PRCS_FLAG=$flowrunprcs["PRCS_FLAG"];
		$PRCS_TIME=$flowrunprcs["PRCS_TIME"];

		if($PRCS_FLAG==1)
		{
			$sql = "UPDATE flow_run_prcs SET PRCS_FLAG='2',PRCS_TIME='".SecurityFilter($this->curdate)."'";
		}
		elseif($PRCS_TIME == NULL){
			$sql = "UPDATE flow_run_prcs SET PRCS_TIME='".SecurityFilter($this->curdate)."' ";
		}
		if($PRCS_FLAG==1 || $PRCS_TIME == NULL){
			$sql .= " WHERE USER_ID='".SecurityFilter($this->userid)."' AND RUN_ID='".SecurityFilter($this->runid)."' AND PRCS_ID='".SecurityFilter($this->prcsid)."'";
		
		}
		exequery($connection,$sql);
	}

	/*
	@ function 设置上一步节点为已完成状态 
	*/
	function setLastStepOver(){
		global $connection;
		$PRCS_ID1=($this->prcsid)-1;
		$sql = "UPDATE flow_run_prcs SET PRCS_FLAG='4' WHERE RUN_ID='".SecurityFilter($this->runid)."' AND PRCS_ID='".SecurityFilter($PRCS_ID1)."'";
		exequery($connection,$sql);
	}

	/*
	@ function 是否需要会签  
	*/
	function isCountersignature(){
		global $connection;
		$sql = "
				SELECT PRCS_CONCOURSE FROM FLOW_PROCESS 
					WHERE FLOW_ID=".SecurityFilter($this->flowid)."
					   AND PRCS_ID=".SecurityFilter($this->flowprcs)."
				 ";
		$rs = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$isconcourse  = $row['PRCS_CONCOURSE'];
		return $isconcourse;
	
	}

	/*
	@ function 流程节点主办人  
	*/
	function getMainHandler(){
		global $connection;
		$sql = "SELECT USER_ID FROM flow_run_prcs WHERE RUN_ID= '".SecurityFilter($this->runid)."' AND PRCS_ID= '".SecurityFilter($this->prcsid)."' AND OP_FLAG = '1' ";
		$rs  = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$handlerid = $row['USER_ID'];
		$this->handlerid  = $handlerid;
		return $handlerid;
	}

	/*
	@ function 获取所有未会签的人  
	*/
	function getUnConcourse(){
		global $connection;
		$sql = "
				  SELECT u.USER_NAME,u.USER_ID FROM user u,flow_run_prcs frp 
					   WHERE RUN_ID=".SecurityFilter($this->runid)." 
						 AND PRCS_ID=".SecurityFilter($this->prcsid)." 
						 AND u.USER_ID=frp.USER_ID 
						 AND frp.OP_FLAG<>1 
						 AND (frp.PRCS_FLAG=1 OR (frp.PRCS_FLAG=2
							AND frp.SAVEFORM_TIME IS NULL))
						 AND  frp.USER_ID != '".SecurityFilter($this->handlerid)."'
		";
		$rs = exequery($connection,$sql);
		while($row=mysql_fetch_array($rs)){
			$userData[]["USER_ID"] = $row["USER_ID"];
			$userData[]["USER_NAME"] = $row["USER_NAME"];
		}
		return $userData;
	}

	/*
	@ function 是否需要条件判断  
	*/
	function getHaveTerm(){
		$ishaveTerm = 0;
		$sql = "SELECT COUNT(*) AS cnt FROM flow_term WHERE LEFT(PRC_PRC,INSTR(PRC_PRC,'-'))=".SecurityFilter($this->flowprcs)." AND FLOW_ID=".SecurityFilter($this->flowid);
		$rs = exequery($connection,$sql);
		$row = mysql_Fetch_array($rs);
		if($row['cnt']>0){
			$haveTerm = 1;
		}
		return $haveTerm;
	}


	/*
	@ function 获取当前节点流出节点(配置)
	*/
	function getPrcstoid(){
		$prcsto = $this->flowprocess[$this->flowprcs]["PRCS_TO"];
		return $prcsto;
	}

	/*
	@ function 获取当前节点流出节点(运行)
	*/
	function getCurrentNextPrcstoid(){
		global $_lang;
		$prcsto = $this->getPrcstoid();
		if($this->flowprcs == $this->prcsmax){
			$toArray[0]["FLOW_PRCS"]= -1;
			$toArray[0]["PRCS_NAME"]= $_lang["wap_flow_finished"];
			$toArray[0]["CHECKED"]= 1;
			//return $toArray;
		}
		$prcsto = $this->getPrcstoid();

		if($prcsto == ""&& $this->flowprcs != $this->prcsmax){
			$prcsto = $this->flowprcs+1;
		}

		if($prcsto!="")
		{
			$MY_ARRAY=explode(",",$prcsto);
			$ARRAY_COUNT=sizeof($MY_ARRAY);
			if($MY_ARRAY[$ARRAY_COUNT-1]=="")$ARRAY_COUNT--;
			if($PRCS_TO_CHOOSE=="")$PRCS_TO_CHOOSE=0;

			$isHavePass = 0;
			$n = count($toArray);
			for($I=0;$I<$ARRAY_COUNT;$I++)
			{
				$PRCS_ID_TO=$MY_ARRAY[$I];

				$exprRunPass = 0;
				$PRC_PRC = $this->flowprcs."-".$PRCS_ID_TO;
				if(exprRun($this->flowid,$this->runid,$PRC_PRC)){
					$exprRunPass = 1;
					$isHavePass++;
				}

				$PRCS_NAME=$this->flowprocess[$PRCS_ID_TO]["PRCS_NAME"];

				if($exprRunPass == 1){
					$toArray[$n]["FLOW_PRCS"]=$PRCS_ID_TO;
					$toArray[$n]["PRCS_NAME"]=$PRCS_NAME;
					$toArray[$n]["CHECKED"]= $PRCS_TO_CHOOSE==$I?1:0;
					$n++;
				}

			}
		}
		return $toArray;
	}

	/*
	@ function 获取当前办理人


	*/
	function getCurrentHandler($flowprcs){
		global $connection;

		$prcsuser = $this->flowprocess[$flowprcs]["PRCS_USER"];
		$prcsdept = $this->flowprocess[$flowprcs]["PRCS_DEPT"];
		$prcspriv = $this->flowprocess[$flowprcs]["PRCS_PRIV"];
		
		$prcsautouser = $this->flowprocess[$flowprcs]["PRCS_AUTO_GET_USER"];

		$prcsdfuser = $this->flowprocess[$flowprcs]["PRCS_DEFAULT_USER"];
		$prcsdftype = $this->flowprocess[$flowprcs]["PRCS_DEFAULT_TYPE"];
		$prcsdfmanage = $this->flowprocess[$flowprcs]["PRCS_DEFAULT_MANAGE"];
		if($prcsautouser)
		{
			$proRuleArray = explode("|",$prcsautouser);
			$returnArray  = "";
			//创建人

			if($proRuleArray[0] == 1)
			{
				//创人人本人

				if($proRuleArray[1] == 1)
				{
					//获取流程创建人本人

					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE USER_ID = (SELECT u.USER_ID FROM user as u,flow_run as fr WHERE  RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR)";
				}
				//创建人同一部门的所有人
				else if($proRuleArray[1] == 2)
				{
					//和创建人同一部门的所有人
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR) AND DEPT_ID > 0";			
				}
				//创建人同一角色的所有人
				else if($proRuleArray[1] == 3)
				{
					//和创建人同一角色的所有人
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE USER_PRIV = (SELECT u.USER_PRIV FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR) AND DEPT_ID > 0";
				}
				//创建人同一部门的某个角色

				else if($proRuleArray[1] == 4)
				{
					//和创建人同一部门的某个角色

					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR) AND USER_PRIV = '".SecurityFilter($proRuleArray[2])."' AND DEPT_ID > 0 ";
				}
				//创建人同一角色的某个部门

				else if($proRuleArray[1] == 5)
				{
					//和创建人同一角色的某个部门

					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE USER_PRIV = (SELECT u.USER_PRIV FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR) AND DEPT_ID = '".SecurityFilter($proRuleArray[2])."' ";	
				}
                //上级部门的所有人
				else if($proRuleArray[1] == 11)
				{
					//上级部门的所有人
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT DEPT_PARENT FROM department WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR))";
				}
				//上级部门的某个角色
				else if($proRuleArray[1] == 12)
				{
					//上级部门的某个角色
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT DEPT_PARENT FROM department WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR)) AND USER_PRIV = '".SecurityFilter($proRuleArray[2])."'";
				}
				//所在部门的根部门的所有人
				else if($proRuleArray[1] == 13)
				{
					$query1 = "SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR";
					$res1   = exequery($connection,$query1);
					$row1   = mysql_fetch_array($res1);
					$first_dept_id = $row1["DEPT_ID"];
					$i=$first_dept_id;
					$end_dept = "";
					do
					{
						$que = "SELECT DEPT_PARENT FROM department WHERE DEPT_ID ='".SecurityFilter($i)."'";
						$ree = exequery($connection,$que);
						$roe = mysql_fetch_array($ree);
						$end_dept = $i;
						$i   = $roe["DEPT_PARENT"];
						if($i=="")
							$i="0";
					}
					while ($i!="0");
					//所在部门的根部门的所有人
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = '".SecurityFilter($end_dept)."'";
				}
				//所在部门的根部门的某个角色
				else if($proRuleArray[1] == 14)
				{
					$query1 = "SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR";
					$res1   = exequery($connection,$query1);
					$row1   = mysql_fetch_array($res1);
					$first_dept_id = $row1["DEPT_ID"];
					$i=$first_dept_id;
					$end_dept = "";
					do
					{
						$que = "SELECT DEPT_PARENT FROM department WHERE DEPT_ID ='".SecurityFilter($i)."'";
						$ree = exequery($connection,$que);
						$roe = mysql_fetch_array($ree);
						$end_dept = $i;
						$i   = $roe["DEPT_PARENT"];
						if($i=="")
							$i="0";
					}
					while ($i!="0");
					//所在部门的根部门的某个角色
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = '".SecurityFilter($end_dept)."' 
							AND USER_PRIV = '".SecurityFilter($proRuleArray[2])."' 
							";
				}
				//创建人同一部门的某个权限级别
				else if($proRuleArray[1] == 20)
				{
					$all_prive_arr = explode("@_@",$proRuleArray[2]);
					//选择的权限级别
					$priv_no  = $all_prive_arr["0"];
					//当前权限级别对应的角色号的字符串
					$priv_str = $all_prive_arr["1"];
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID 
								FROM user u,user_priv up
								WHERE u.USER_PRIV = up.USER_PRIV AND up.PRIV_NO = '".SecurityFilter($priv_no)."'
								AND DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR) AND u.DEPT_ID > 0";
				}
				//创建人上级部门的某个权限级别
				else if($proRuleArray[1] == 21)
				{
					$all_prive_arr = explode("@_@",$proRuleArray[2]);
					//选择的权限级别
					$priv_no  = $all_prive_arr["0"];
					//当前权限级别对应的角色号的字符串
					$priv_str = $all_prive_arr["1"];
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID 
								FROM user u,user_priv up
								WHERE u.USER_PRIV = up.USER_PRIV AND up.PRIV_NO = '".SecurityFilter($priv_no)."'
								AND DEPT_ID = (SELECT DEPT_PARENT FROM department WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run AS fr WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND u.USER_ID = fr.CREATOR)) AND u.DEPT_ID > 0";
				}
			}
			//某个节点主办人

			else if($proRuleArray[0] == 2)
			{
				//某个节点的主办人本人
				if($proRuleArray[2] == 6)
				{
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE USER_ID = (SELECT USER_ID FROM flow_run_prcs WHERE FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1) AND DEPT_ID >0 ";
				}
				//某个节点的主办人同一部门所有人
				else if($proRuleArray[2] == 7)
				{
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1) AND DEPT_ID >0 ";
				}
				//某个节点的主办人同一角色所有人
				else if($proRuleArray[2] == 8)
				{
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE USER_PRIV = (SELECT u.USER_PRIV FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1) AND DEPT_ID >0 ";
				}
				//某个节点的主办人同一部门的某个角色


				else if($proRuleArray[2] == 9)
				{
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1) AND DEPT_ID > 0 AND USER_PRIV = '".SecurityFilter($proRuleArray[3])."'";
				}
				//某个节点的主办人同一角色的某个部门


				else if($proRuleArray[2] == 10)
				{
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE USER_PRIV = (SELECT u.USER_PRIV FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1) AND DEPT_ID = '".SecurityFilter($proRuleArray[3])."'";
				}
                //上级部门的所有人
				else if($proRuleArray[2] == 15)
				{
					//上级部门的所有人
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT DEPT_PARENT FROM department WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1))";
				}
				//上级部门的某个角色
				else if($proRuleArray[2] == 16)
				{
					//上级部门的某个角色
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = (SELECT DEPT_PARENT FROM department WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1)) AND USER_PRIV = '".SecurityFilter($proRuleArray[3])."'";
				}
				//所在部门的根部门的所有人
				else if($proRuleArray[2] == 17)
				{
					$query1 = "SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1";
					$res1   = exequery($connection,$query1);
					$row1   = mysql_fetch_array($res1);
					$first_dept_id = $row1["DEPT_ID"];
					$i=$first_dept_id;
					$end_dept = "";
					do
					{
						$que = "SELECT DEPT_PARENT FROM department WHERE DEPT_ID ='".SecurityFilter($i)."'";
						$ree = exequery($connection,$que);
						$roe = mysql_fetch_array($ree);
						$end_dept = $i;
						$i   = $roe["DEPT_PARENT"];
						if($i=="")
							$i="0";
					}
					while ($i!="0");
					//所在部门的根部门的所有人
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = '".SecurityFilter($end_dept)."'";
				}
				//所在部门的根部门的某个角色
				else if($proRuleArray[2] == 18)
				{
					$query1 = "SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1";
					$res1   = exequery($connection,$query1);
					$row1   = mysql_fetch_array($res1);
					$first_dept_id = $row1["DEPT_ID"];
					$i=$first_dept_id;
					$end_dept = "";
					do
					{
						$que = "SELECT DEPT_PARENT FROM department WHERE DEPT_ID ='".SecurityFilter($i)."'";
						$ree = exequery($connection,$que);
						$roe = mysql_fetch_array($ree);
						$end_dept = $i;
						$i   = $roe["DEPT_PARENT"];
						if($i=="")
							$i="0";
					}
					while ($i!="0");
					//所在部门的根部门的某个角色
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = '".SecurityFilter($end_dept)."' 
							AND USER_PRIV = '".SecurityFilter($proRuleArray[3])."' 
							";
				}
				//某个节点的主办人同一部门的某个权限级别
				else if($proRuleArray[2] == 19)
				{
					$all_prive_arr = explode("@_@",$proRuleArray[3]);
					//选择的权限级别
					$priv_no  = $all_prive_arr["0"];
					//当前权限级别对应的角色号的字符串
					$priv_str = $all_prive_arr["1"];
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID 
								FROM user u,user_priv up
								WHERE u.USER_PRIV = up.USER_PRIV AND up.PRIV_NO = '".SecurityFilter($priv_no)."'
								AND DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1) AND DEPT_ID >0";
				}
				//某个节点的主办人上级部门的某个权限级别
				else if($proRuleArray[2] == 23)
				{
					$all_prive_arr = explode("@_@",$proRuleArray[3]);
					//选择的权限级别
					$priv_no  = $all_prive_arr["0"];
					//当前权限级别对应的角色号的字符串
					$priv_str = $all_prive_arr["1"];
					$sql = "SELECT USER_ID,USER_NAME,DEPT_ID 
								FROM user u,user_priv up
								WHERE u.USER_PRIV = up.USER_PRIV AND up.PRIV_NO = '".SecurityFilter($priv_no)."'
								AND DEPT_ID = (SELECT DEPT_PARENT FROM department WHERE DEPT_ID = (SELECT u.DEPT_ID FROM user AS u,flow_run_prcs AS frp WHERE u.USER_ID = frp.USER_ID AND FLOW_PRCS = '".SecurityFilter($proRuleArray[1])."' AND RUN_ID = '".SecurityFilter($this->runid)."' AND OP_FLAG ='1' ORDER BY PRCS_ID DESC LIMIT 0,1)) AND DEPT_ID >0";
				}
			}
			//人力资源 
			else if($proRuleArray[0] == 3)
			{
				$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE DEPT_ID = '".SecurityFilter($proRuleArray[1])."' AND USER_PRIV = '".SecurityFilter($proRuleArray[2])."' ";
			}
            //流程表单里的某个字段的值
			else if($proRuleArray[0] == 4)
			{
				$getUserSql = "SELECT * FROM zzzz_flow_data_".SecurityFilter($this->formId)." WHERE RUN_ID = '".SecurityFilter($this->runid)."'";
				$resGetUser   = exequery($connection,$getUserSql);
				if($rowGetUser   = mysql_fetch_array($resGetUser)) {
					$autoUserStr = $rowGetUser[$proRuleArray[1]];
					//判断为人员选择框
					if(strpos($autoUserStr,",|WV") || strpos($autoUserStr,",|admin")) {
						$autoUserStr = trim(substr($autoUserStr,strpos($autoUserStr,"|")+1),",");
						$autoUserStr = str_replace(",","','",$autoUserStr);
					} else {
						//其余的内容，需要查询数据库
						$userConvert = str_replace(",","','",trim(str_replace("，",",",$autoUserStr)));
						$sqlConvert  = "SELECT USER_ID FROM user WHERE USER_NAME IN ('".SecurityFilter($userConvert)."') AND DEPT_ID>0";
						$resConvert  = exequery($connection,$sqlConvert);
						$autoUserStr = "";
						while($rowConvert   = @mysql_fetch_array($resConvert)) {
							$autoUserStr .= $rowConvert["USER_ID"].",";
						}
						$autoUserStr = str_replace(",","','",trim($autoUserStr,","));
					}
				} else {
					$autoUserStr = "";
				}
				$sql = "SELECT USER_ID,USER_NAME,DEPT_ID FROM user WHERE USER_ID IN ('".SecurityFilter($autoUserStr)."')";
			}
		}
		else
		{
			$sql = "SELECT * FROM user WHERE (0 ";
			$prcsuser = trim($prcsuser,",");
			$prcspriv = trim($prcspriv,",");
			$prcsdept = trim($prcsdept,",");			
			if($prcsuser)
			{
				$prcsuser = str_replace(",","','",$prcsuser);
				$sql     .= " OR USER_ID IN ('".SecurityFilter($prcsuser)."') ";
			}
			if($prcspriv)
			{
				$sql     .= " OR USER_PRIV IN (".SecurityFilter($prcspriv).") ";
			}
			if($prcsdept)
			{
				$sql     .= " OR DEPT_ID IN (".SecurityFilter($prcsdept).") ";
			}
		}
		$sql .= ") AND DEPT_ID > 0 ";
		$rs = exequery($connection,$sql);
		$i=0;
		while(@$row =mysql_fetch_array($rs)){
			$reArray["user"][$i]["id"] = $row["USER_ID"];
			$reArray["user"][$i]["name"] = $row["USER_NAME"];
			$reArray["user"][$i]["deptid"] = $row["DEPT_ID"];
			if(strpos(",".$prcsdfuser,$row["USER_ID"])>0){
				$reArray["user"][$i]["checked"] = 1;
			}
			else{
				$reArray["user"][$i]["checked"] = 0;
			}
			if($prcsdfmanage == $row["USER_ID"]){
				$reArray["user"][$i]["manage"] = 1;
			}
			else{
				$reArray["user"][$i]["manage"] = 0;
			}

			$i++;
		
		}
		if($prcsdftype == 1){
			$reArray["type"] = 0;
		}
		elseif($prcsdfuser != ""){
			$reArray["type"] = 1;
		}
		return $reArray;
	}
	/*
	@ function 判断退回节点是否操作过，并获取办理人


	*/
	function getBackhandler($FLOW_PRCS){
		global $connection;
		$sqlLM = "
				   SELECT MAX(PRCS_ID) AS maxpid FROM flow_run_prcs 
					   WHERE RUN_ID=".SecurityFilter($this->runid)." 
							AND  FLOW_PRCS=".SecurityFilter($FLOW_PRCS)."
				  ";
		$resLM =  exequery($connection,$sqlLM);
		$rowLM = mysql_fetch_array($resLM);
		$tmppid = $rowLM['maxpid'];

		//退回的节点已经被操作过
		if($tmppid != ""){
			$sqlu = "
				 SELECT u.USER_NAME,frp.USER_ID,frp.OP_FLAG FROM flow_run_prcs frp,user u 
					 WHERE u.USER_ID=frp.USER_ID 
						AND frp.RUN_ID=".SecurityFilter($this->runid)." 
						AND frp.FLOW_PRCS=".SecurityFilter($FLOW_PRCS)." 
						AND  PRCS_ID =".SecurityFilter($tmppid)."
				 ";
			$resu =  exequery($connection,$sqlu);
			$ci = 0;
			while($rowu = mysql_fetch_array($resu)){
				
				$reArray["user"][$ci]['name'] = $rowu['USER_NAME'];
				$reArray["user"][$ci]['id'] = $rowu['USER_ID'];
				$reArray["user"][$ci]['manage'] = $rowu['OP_FLAG'];
				$reArray["user"][$ci]['checked'] = 1;
				$ci++;
			}
		}
		if($tmppid > 0){
			$reArray["type"] = 1;
		}
		else{
			$reArray["type"] = 0;
		}

		return $reArray;
		
	}


	/*
	@ function 流程扭转到下一步


	*/
	function flowTurnNext($FLOW_PRCS,$PRCS_ID,$PRCS_USER,$PRCS_OP_USER){
		global $connection,$_lang;
		
		$RUN_NAME = $this->runname;
		$CUR_TIME = date("Y-m-d H:i:s");
		$RUN_ID  = $this->runid;
		$FLOW_ID = $this->flowid;
		$LOGIN_USER_ID = $this->userid;

		//最后一步，结束流程
		if($FLOW_PRCS=="")
		{
			//更新流程的状态

			$query = "UPDATE flow_run SET 
						CURRENT_STEP = '0' 
						WHERE 
						RUN_ID = '".SecurityFilter($RUN_ID)."'";
			exequery($connection,$query);
			$query = " 
					UPDATE flow_run_prcs SET 
						DELIVER_TIME='".SecurityFilter($CUR_TIME)."',
						PRCS_FLAG='4' 
						WHERE 
						RUN_ID=".SecurityFilter($RUN_ID)." 
						AND 
						PRCS_ID=".SecurityFilter($PRCS_ID);
			exequery($connection,$query);
			$query = "UPDATE flow_run_prcs SET 
						SAVEFORM_TIME ='".SecurityFilter($CUR_TIME)."' 
						WHERE 
						RUN_ID = '".SecurityFilter($RUN_ID)."' 
						AND USER_ID='".SecurityFilter($LOGIN_USER_ID)."' 
						AND OP_FLAG = '0' 
						AND ((SAVEFORM_TIME = '0000-00-00 00:00:00') OR (SAVEFORM_TIME is NULL))";
			exequery($connection,$query);			
			//短信通知流程所有的办理人

			$SMS_CONTENT = $_lang["wap_flow_flowsmscontent"].$RUN_NAME." ".$_lang["wap_flow_have_finished"];
			$smstype     = 7;
			$tablename   = "flow_run";
			$TABLE_ID    = $RUN_ID;
			$SMS_REMIND  = 1;
			$sms_to_sql  = "SELECT DISTINCT (USER_ID) FROM flow_run_prcs WHERE RUN_ID = '".$RUN_ID."' ";
			$sms_to_rs   = exequery($connection,$sms_to_sql);
			$to_str      = "";      
			while($sms_to_rows = mysql_fetch_array($sms_to_rs))
			{
				$to_str .= $sms_to_rows["USER_ID"].",";
			}
			$TABLE_VAR   = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|$FLOW_ID,$RUN_ID,$PRCS_ID,$FLOW_PRCS,";
			sendSms($LOGIN_USER_ID,$to_str,$SMS_CONTENT,$SMS_REMIND,$smstype,$tablename,$TABLE_ID,$TABLE_VAR);
			//短信通知流程所有的办理人

		   //流程归档
			$query_f = "
						SELECT FLOW_TO_DOC FROM `flow_others` 
							WHERE FLOW_ID = ".SecurityFilter($FLOW_ID) ."
						";
			$res = exequery($connection,$query_f);
			$ROW_F = mysql_fetch_array($res);
			$FLOW_TO_DOC = $ROW_F['FLOW_TO_DOC']; 

			//流程归档
			if($FLOW_TO_DOC==1){
				$flowToDoc = new flowToDoc($FLOW_ID,$RUN_ID);
			}
		}
		//转交下一步骤
		else
		{
			//更新流程的状态

			$query = "UPDATE flow_run SET 
						CURRENT_STEP = '$FLOW_PRCS' 
						WHERE 
						RUN_ID = '".SecurityFilter($RUN_ID)."'";
			exequery($connection,$query);
			//提交流程结束上一步，保存提交时间(DELIVER_TIME)
			$query = "UPDATE flow_run_prcs SET 
						DELIVER_TIME = '".SecurityFilter($CUR_TIME)."',
						PRCS_FLAG = '3' 
						WHERE 
						RUN_ID='".SecurityFilter($RUN_ID)."' 
						AND 
						PRCS_ID = '".SecurityFilter($PRCS_ID)."'";
			exequery($connection,$query);
			//--增加保存表单的时间--改成所有步骤的--经办人---------------------------------------
			$query = "UPDATE flow_run_prcs SET 
						SAVEFORM_TIME = '".SecurityFilter($CUR_TIME)."' 
						WHERE 
						RUN_ID = '".SecurityFilter($RUN_ID)."' 
						AND USER_ID = '".SecurityFilter($LOGIN_USER_ID)."' 
						AND OP_FLAG = '0' 
						AND ((SAVEFORM_TIME = '0000-00-00 00:00:00') OR (SAVEFORM_TIME is NULL)) ";
			exequery($connection,$query);
			$PRCS_ID_NEXT = $PRCS_ID+1;
		    $TOK          = strtok($PRCS_USER,",");
		  
		    while($TOK!="")
		    {
				if($TOK==$PRCS_OP_USER)
					$OP_FLAG=1;
				else
					$OP_FLAG=0;

				//2007-8-6 lxl 办理方式PRCS_OPTYPE>0无主办人
				$fpdata = $this->flowprocess;
				$PRCS_OPTYPE = $fpdata[$FLOW_PRCS]["PRCS_OPTYPE"];

				if($PRCS_OPTYPE > 0 ){
					$OP_FLAG = 0;
				}
				//判断每个办理人是否有委托流程
				$haveAgent = flowHaveAgent($FLOW_ID,$TOK);
				if($haveAgent)
				{
					$haveAgentArray = explode("|",$haveAgent);
					$agentFlowId    = $haveAgentArray[0];
					$agentUserId    = $haveAgentArray[1];
					$query = "INSERT INTO  FLOW_RUN_PRCS(RUN_ID,PRCS_ID,USER_ID,PRCS_FLAG,FLOW_PRCS,OP_FLAG,LIMIT_DATE,BY_AGENT_ID,FLOW_AGENCY_ID) values (".SecurityFilter($RUN_ID) . ",".SecurityFilter($PRCS_ID_NEXT).",'".SecurityFilter($agentUserId)."','1',".SecurityFilter($FLOW_PRCS).",'".SecurityFilter($OP_FLAG)."','','".SecurityFilter($TOK)."','".SecurityFilter($agentFlowId)."')";

					//给haveAgent增加流程文档权限
					if(!find_id($PRCS_USER,$agentUserId))
					{
						$PRCS_USER = $PRCS_USER.$agentUserId.",";
					}
					//流程的短信提醒也转发到代理人那里
					$TOK = $agentUserId;
				}
				else
				{
					$query="INSERT INTO  FLOW_RUN_PRCS(RUN_ID,PRCS_ID,USER_ID,PRCS_FLAG,FLOW_PRCS,OP_FLAG,LIMIT_DATE) values (".SecurityFilter($RUN_ID).",".SecurityFilter($PRCS_ID_NEXT).",'".SecurityFilter($TOK)."','1',".SecurityFilter($FLOW_PRCS).",'".SecurityFilter($OP_FLAG)."','".SecurityFilter($LIMIT_DATE)."')";
				}
				exequery($connection, $query);
				//---------- 短信提醒 ----------
				$SMS_CONTENT= $_lang["wap_flow_flowsmscontent"].$RUN_NAME;
				$smstype = 7;
				$tablename = "flow_run";
				$TABLE_ID = $RUN_ID;
				$SMS_REMIND = 1;
				$TABLE_VAR = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|$FLOW_ID,$RUN_ID,$PRCS_ID,$FLOW_PRCS,";
				sendSms($LOGIN_USER_ID,$TOK,$SMS_CONTENT,$SMS_REMIND,$smstype,$tablename,$TABLE_ID,$TABLE_VAR);

				//手机短信 2006-4-11 lxl
				if (ifSendMbSms()){
					if ($MOBILE_SMS_REMIND=="1"){
						$newSms = new MobileSms();
						$newSms->SelfSendMore($TOK,$_REQUEST['mobilect']);
					}
				}

				$TOK = strtok(",");
		   }
		    //关联文档保存到数据库 sm
			if($DOC_ID != ''){
				$query_doc="update flow_run  set LINK_DOC='".SecurityFilter($DOC_ID)."' where RUN_ID=".SecurityFilter($RUN_ID);
				exequery($connection, $query_doc);
				//添加共享
				addDocViewPur($DOC_ID,$PRCS_USER,$RUN_ID);
			}
		}
		return 1;	
	}
	/*
	@ function 获取流程表单信息

	*/
	function getFormInfo($formid){
		global $connection;
		$sql = "SELECT * FROM flow_form_type WHERE FORM_ID=".SecurityFilter($formid);
		$rs  = exequery($connection,$sql);
		$row =mysql_fetch_array($rs);
		
		$formData["FORM_NAME"]          = $row["FORM_NAME"];
		$formData["PRINT_MODEL"]         = $row["PRINT_MODEL"];

		return $formData;
	}
	/*
	@ function 获取流程签办反馈

	*/
	function getCommentInfo($runid){
		global $connection;
		$sql = "SELECT * FROM flow_run_feedback WHERE RUN_ID=".SecurityFilter($runid)." ORDER BY EDIT_TIME DESC";
		$rs  = exequery($connection,$sql);
		$i = 0;
		while($row =mysql_fetch_array($rs)){
			$commentData[$i]["USER_ID"] = $row["USER_ID"];
			$commentData[$i]["CONTENT"] = $row["CONTENT"];
			$commentData[$i]["ATTACHMENT_ID"] = $row["ATTACHMENT_ID"];
			$commentData[$i]["ATTACHMENT_NAME"] = $row["ATTACHMENT_NAME"];
			$commentData[$i]["EDIT_TIME"] = $row["EDIT_TIME"];
			$commentData[$i]["SEQ_ID"] = $row["SEQ_ID"];
			$commentData[$i]["FLOW_PRCS"] = $row["FLOW_PRCS"];
			$i++;
		}
		return $commentData;
	}
	/*
	@ function 增加签办反馈

	*/
	function insertComment($data){
		global $connection;
		$sql="
				INSERT INTO FLOW_RUN_FEEDBACK (RUN_ID,USER_ID,CONTENT,ATTACHMENT_ID,ATTACHMENT_NAME,EDIT_TIME,SEQ_ID,FLOW_PRCS) VALUES (".SecurityFilter($data["runid"]).",'".SecurityFilter($data["userid"])."','".SecurityFilter($data["content"])."','".SecurityFilter($data["attchid"])."','".SecurityFilter($data["attachname"])."','".SecurityFilter($data["datetime"])."','".SecurityFilter($data["seqid"])."','".SecurityFilter($data["flowprcs"])."')";
		if($rs = exequery($connection,$sql)){
			return true;
		}
		else{
			return false;
		}
	
	}


	private function returnSqlPar($pars){
		$sqlPar = is_array($pars)?implode(",",$pars):$pars;
		if (substr($sqlPar,-1,1) == ","){
			$sqlPar = substr($sqlPar,0,strlen($sqlPar)-1);
		}
		
		$sqlPar = "'".str_replace(",","','",$sqlPar)."'";
		return $sqlPar;
	}
	/*
	@ function 记录最后一次查看流程的时间

	*/
	function recordLastVisitdTime()
	{
		global $connection;
		$curDateTime = date("Y-m-d H:i:s",time());
		$sql = "UPDATE flow_run_prcs SET LAST_VISITED_TIME = '".SecurityFilter($curDateTime)."' WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND PRCS_ID = '".SecurityFilter($this->prcsid)."' AND USER_ID = '".SecurityFilter($this->userid)."' ";
		$rs  = exequery($connection,$sql);
	}
	/*
	@ function 是否是主办人

	*/
	function isOpFlag()
	{
		global $connection;
		$query   = "SELECT OP_FLAG FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND USER_ID='".SecurityFilter($this->userid)."' AND PRCS_ID = '".SecurityFilter($this->prcsid)."'";
		$cursor  = exequery($connection,$query);
		while($rows = mysql_fetch_array($cursor))
		{
			$OP_FLAG = $rows['OP_FLAG'];
			if($OP_FLAG == 1)
				break;
		}
		return $OP_FLAG;
	}
	/*
	@ function 获取流程流转过程中的上一步骤信息

	*/
	function getPreFlowRunPrcs()
	{
		global $connection;
		$PRCS_ID = $this->prcsid - 1;
		$sql = "SELECT * FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND PRCS_ID = '".SecurityFilter($PRCS_ID)."' ";
		$rs  = exequery($connection,$sql);
		while($rows = mysql_fetch_array($rs))
		{
			$reArray[] = $rows;
		}
		return $reArray;
	}
	/*
	@ function 判断子流程是否结束


	*/
	function haveSubFlowFinished()
	{
		global $connection;
		$sub_run_id_sql  = "SELECT SUB_FLOW_RUN_IDS FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runid)."' AND PRCS_ID = '".SecurityFilter($this->prcsid)."' AND USER_ID ='".SecurityFilter($this->userid)."' ";
		$sub_run_id_rs   = exequery($connection,$sub_run_id_sql);
		if($sub_run_id_rows = mysql_fetch_array($sub_run_id_rs))
		{
			$sub_run_ids    = $sub_run_id_rows["SUB_FLOW_RUN_IDS"];
		}
		if($sub_run_ids)
		{
			if(!is_workflow_finished($sub_run_ids))
			{
				$is_finished = "false";
			}
			else
			{
				$is_finished = "true";
			}
		}
		else
		{
			$is_finished = "true";
		}
		return $is_finished;	
	}
	/*
	@ function 经办人办理流程，保存表单修改时间

	*/
	function saveForm()
	{
		global $connection;
		$saveFormTime = date("Y-m-d H:i:s",time());
		$query        = "UPDATE flow_run_prcs SET  SAVEFORM_TIME='".SecurityFilter($saveFormTime)."' WHERE RUN_ID='".SecurityFilter($this->runid)."' AND USER_ID='".SecurityFilter($this->userid)."' AND ((SAVEFORM_TIME = '0000-00-00 00:00:00') OR (SAVEFORM_TIME is NULL))" ;
		exequery($connection,$query);
	}
	/*
	@ function 获取一个流程的运行状态

	
	*/
	function getAllPrcsInfo()
	{
		global $connection;
		$sql = "SELECT * FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runid)."' ORDER BY PRCS_ID ASC";
		$rs  = exequery($connection,$sql);
		while($rows = mysql_fetch_array($rs))
		{
			$prcsId                = $rows["PRCS_ID"];
			$infoArray[$prcsId][]  = $rows;			
		}
		//添加抄送信息
		$prcsStr = implode(',',array_keys($infoArray));
		$copyInfoSql = "SELECT * FROM flow_copy WHERE run_id = '".SecurityFilter($this->runid)."' AND PRCS_ID in (".SecurityFilter($prcsStr).") ORDER BY PRCS_ID ASC,COPY_TIME ASC";
		$copyInfoResult  = exequery($connection,$copyInfoSql);
		while($copyInfoRows = mysql_fetch_array($copyInfoResult))
		{
			$infoArray[$copyInfoRows['PRCS_ID']]['copyInfo'][] = $copyInfoRows;
		}
		return $infoArray;
	}
	/**
	*是否已经存在主办人
	*@access public
	*@param  int $prcsId   当前步骤号
	*@return int $maxOpFlag 1、已经存在，0、不存在
	*/
	function opFlagIsExist($prcsId)
	{
		global $connection;
		$sql = "SELECT MAX(OP_FLAG) AS OP_FLAG FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND PRCS_ID = '".SecurityFilter($prcsId)."' ";
		$rs  = exequery($connection,$sql);
		if($rows = mysql_fetch_array($rs))
		{
			return $maxOpFlag = $rows["OP_FLAG"];
		}
	}
	/**
	 * 获取wap手机签章当前页面的签章按钮相关的信息
	 * @access public
	 * @return array
	*/
	function getSigButtonId($getbuttonid,$PRCS_ITEM,$OP_FLAG,$sig_type)
	{
		$sigbuttonidarr = array();
		$formValue = $this->getFormRunValue($getbuttonid,$PRCS_ITEM,$OP_FLAG);
		while(list($key,$var)=each($formValue))
		{
			if($var["class"] != "DATE"&&$var["class"] != "time")
			{
				$var["value"] = $var["value"]==""?"&nbsp;":strip_tags($var["value"]);
				if($var["class"] == $sig_type)
				{
					$sigbuttonidarr[0][] = $key;
					$sigbuttonidarr[1][] = $var["value"];
					$sigbuttonidarr[2][] = $var["prcs"];
					$sigbuttonidarr[3][] = $var["title"];
				}
			}
		}
		return $sigbuttonidarr;
	}
	/**
	 * 获取流程的运行步骤数据
	 * @access public
	 * @return array
	*/
	function getPrcsInfo($run_id)
	{
		global $connection;
		$sql = "SELECT * FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($run_id)."' ORDER BY PRCS_ID";
		$rs  = exequery($connection,$sql);
		while($row = mysql_fetch_array($rs))
		{
			$rows[] = $row;
		}
		if($rows)
			return $rows;
		else
			return array();
	}
	/**
	 * 获取当前用户的keysn
	 * @access public
	 * @return keysn
	*/
	function getUserKeySN($user_id)
	{
		global $connection;
		$sql = "SELECT KEYSN FROM sys_integration WHERE USER_ID ='".SecurityFilter($user_id)."'";
		$rs  = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		return $row["KEYSN"];
	}
}
?>