<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      文件夹类
* @encoding      $_lang['encoding']
* @name          api/folder.class.php
* @version       1
* @author        sun|www.weaver.com.cn
* @date          2013-05-09
*/

class folder
{
    private static $SORT_ID      = "";     //文件夹id
    private static $SORT_NAME    = "";     //文件夹名称
    private static $SORT_PARENT  = 0;      //文件夹上级文件夹id
    private static $SORT_TYPE    = "";     //文件夹类型
    private static $CREATE_TIME  = "";     //文件夹创建时间
    private static $USER_ID      = "";     //文件夹创建人

    /**
    *构造函数
    *@para   int $SORT_ID
    *@access public
    */
    function __construct($SORT_ID = ''){
        global $connection;
        if($SORT_ID)
        {
            $sql = "SELECT * FROM file_sort WHERE SORT_ID='".SecurityFilter($SORT_ID)."'";
            $rs  = exequery($connection,$sql);
            if($row = mysql_fetch_array($rs,MYSQL_ASSOC))
            {
                $this->SORT_ID     = $row["SORT_ID"];
                $this->SORT_NAME   = $row["SORT_NAME"];
                $this->SORT_PARENT = $row["SORT_PARENT"];
                $this->SORT_TYPE   = $row["SORT_TYPE"];
                $this->CREATE_TIME = $row["CREATE_TIME"];
                $this->USER_ID     = $row["USER_ID"];
                $this->MODE_ID     = $row["MODE_ID"];
            }
        }
    }
    /**
    *给某个属性赋值
    *@access public
    */
    function __set($property,$value){
        $this->$property = $value;
    }
    /**
    *获取某属性的值
    *@access public
    *@return int $this->property
    */
    function __get($property){
        return $this->$property;
    }
    /**
    *新建文件夹
    *@access public
    *@para   array $folderInfo
    *@return bool
    */
    function newFolder($folderInfo)
    {
        global $connection;
        $sql = "INSERT INTO file_sort (SORT_ID) VALUES(NULL)";
        $rs  = exequery($connection,$sql);
        $this->SORT_ID = mysql_insert_id();
        return $this->eidtFolder($folderInfo);
    }
    /**
    *编辑文件夹
    *@access public
    *@para   array $properties
    *@return bool
    */
    function eidtFolder($properties)
    {
        $update_str = $this->prop_serial($properties);
        if($properties['WHERE']){
            $condition = $properties['WHERE'];
        }else{
            $condition = ' SORT_ID = '.SecurityFilter($this->SORT_ID);
        }
        $tables = "file_sort";
        return $this->update($tables,$update_str,$condition);
    }
    /**
    *删除文件夹
    *@access public
    *@para   array $properties
    *@return str   $str
    */
    function deleteFolder($sortId,$sortType,$userId)
    {
        global $connection, $_lang;
        if ($sortType == "2") {
            $type = $_lang ['file_person_doc_name'];
        }
        if ($sortType == "1") {
            $type = $_lang ['file_public_doc_name'];
        }
        $sortIdStr = "'".$sortId."','";
        $sortQuery = "SELECT SORT_ID FROM file_sort WHERE INStr(SORT_LEVEL_ID,'|".SecurityFilter($sortId)."|') > 0 ";
        $sortRs    = exequery($connection,$sortQuery);
        while($sortRows = mysql_fetch_array($sortRs))
        {
            $sortIdStr .= $sortRows["SORT_ID"]."','";
        }
        $sortIdStr = rtrim($sortIdStr,"','")."'";
        //-- 删除文档的附件 --
        $fileQuery = "SELECT * FROM file_content WHERE SORT_ID IN (".SecurityFilter($sortIdStr).")  ";
        $fileRs    = exequery ( $connection, $fileQuery );
        while ( $fileRow = mysql_fetch_array ( $fileRs ) ) {
            $fileIdStr      .= $fileRow ["CONTENT_ID"]."','";
            $ATTACHMENT_ID   = $fileRow ["ATTACHMENT_ID"];
            $ATTACHMENT_NAME = $fileRow ["ATTACHMENT_NAME"];

            $ATTACHMENT_ID_ARRAY   = explode ( ",", $ATTACHMENT_ID );
            $ATTACHMENT_NAME_ARRAY = explode ( "*", $ATTACHMENT_NAME );

            $ARRAY_COUNT = sizeof ( $ATTACHMENT_ID_ARRAY );
            for($I = 0; $I < $ARRAY_COUNT; $I ++) {
                if ($ATTACHMENT_ID_ARRAY [$I] == "")
                    break;
                if ($ATTACHMENT_NAME_ARRAY [$I] != "")
                    delete_attach ( $ATTACHMENT_ID_ARRAY [$I], $ATTACHMENT_NAME_ARRAY [$I] );
            }
        }
        //删除日志
        $fileIdStr = "'".rtrim($fileIdStr,"','")."'";
        //删除文件
        if($fileIdStr)
        {
            $delLogQuery = "DELETE FROM  sys_op_log WHERE SEQ_ID IN (".SecurityFilter($fileIdStr).")" ;
            exequery ( $connection, $delLogQuery );
            $deleteFilequery = "DELETE FROM file_content WHERE CONTENT_ID IN (".SecurityFilter($fileIdStr).")";
            exequery ( $connection, $deleteFilequery );
            //删除共享表中的文件
            $deleteFilequery1 = "DELETE FROM file_share WHERE CONTENT_ID IN (".SecurityFilter($fileIdStr).")";
            exequery ( $connection, $deleteFilequery1 );
            //删除文件对应的回复记录
            $deleteRevertquery = "DELETE FROM file_revert WHERE CONTENT_ID IN (".SecurityFilter($fileIdStr).")";
            exequery ( $connection, $deleteRevertquery );
        }
        //删除文件对应的权限记录
        $deletePurviewquery = "DELETE FROM file_purview WHERE SORT_ID IN (".SecurityFilter($sortIdStr).")";
        exequery ( $connection, $deletePurviewquery );

        //写入日志准备数据
        //获取操作者的中文名
        $sql_u    = "SELECT USER_NAME FROM user WHERE USER_ID = '".SecurityFilter($userId)."'";
        $cursor_u = exequery ( $connection, $sql_u );
        if($row_u = mysql_fetch_row ( $cursor_u ))
            $user_name_u = $row_u [0];
        //所有将被删除的文件夹名称和路径
        $sortNameSql = "SELECT * FROM file_sort WHERE SORT_ID IN (".SecurityFilter($sortIdStr).")" ;
        $sortNameRs = exequery ( $connection, $sortNameSql );
        while ($sortNameRows = mysql_fetch_array ( $sortNameRs )) {
            $folders["id"][]        = $sortNameRows["SORT_ID"];
            $folders["SORT_NAME"][] = $sortNameRows["SORT_NAME"];
            $folders["path"][]      = $sortNameRows["SORT_LEVEL_ID"];
        }
        //写入log日志文件
        $webroot  = get_cfg_var ( 'doc_root' );
        $filepath = substr ( $webroot, 0, - 8 );
        $filepath_s = $filepath . "/logs/document_all_log.txt";
        $handle = fopen ( $filepath_s, "a" );
        foreach($folders["id"] as $key=>$val)
        {
            $sort_name = $folders["SORT_NAME"][$key];
            $path = trim($folders["path"][$key],"|") ;
            $pathArray = explode("|",$path);
            for($i=0;$i < count($pathArray);$i++)
            {
                $index = array_search($pathArray[$i],$folders["id"]);
                $path  = str_replace($pathArray[$i],$folders["SORT_NAME"][$index],$path );
            }
            fwrite ( $handle, "[" . date ( "Y-m-d H:i:s" ) . "]" . $_lang ['common_accounts_n'] . ":" .$userId . "(" . $user_name_u . ")" . $_lang ['file_folder_name'] . ":" . $sort_name . "||" . $_lang ['file_folder_path'] . ":" . $type . $path . "  \r\n" );
        }
        fclose($handle);
        //删除该文件夹
        $sql = "DELETE FROM file_sort WHERE SORT_ID IN (".SecurityFilter($sortIdStr).") ";
        $rs  = exequery($connection,$sql);
        return $rs;
    }
    /**
    *批量删除文件夹
    *@access public
    *@para   str  $sortIds
    *@return bool
    */
    function deleteFolders($sortIds,$sortType,$userId)
    {
        if($sortIds)
        {
            $sortIdArray = explode(",",trim($sortIds,","));
            for($i = 0; $i < count($sortIdArray);$i++)
            {
                $this->deleteFolder($sortIdArray[$i],$sortType,$userId);
            }
        }
    }
    /**
    *文件夹转移
    *@access public
    *@para   str $sourceFolder  源文件夹
    *@para   str $destFolder    目标文件夹
    *@return bool
    */
    function transfer($sourceFolder,$destFolder)
    {
        global $connection;
        //源目录的所有下级目录
        $subFoldersStr  = ",".getDownPath($sourceFolder);
        $destFolderStr  = ",".$destFolder.",";
        //要转移到的目录如果是当前目录的下
        if(strstr($subFoldersStr,$destFolderStr)){
            $query   = "SELECT * FROM file_sort WHERE SORT_ID = '".SecurityFilter($sourceFolder)."'";
            $res     = exequery($connection,$query);
            $row     = mysql_fetch_array($res);
            $SORT_PARENT    = $row['SORT_PARENT'];
            $SORT_LEVEL_ID  = $row['SORT_LEVEL_ID'];
            $query_a = "UPDATE file_sort SET SORT_PARENT = '".SecurityFilter($destFolder)."' WHERE SORT_ID = '".SecurityFilter($sourceFolder)."'";
            exequery($connection,$query_a);
            $query_b = "UPDATE file_sort SET SORT_PARENT = '".SecurityFilter($SORT_PARENT)."' WHERE SORT_ID = ".SecurityFilter($destFolder) ." ";
            exequery($connection,$query_b);
            //改变修改后的目录SORT_LEVEL_ID
            UpdateSortLevel($destFolder,$SORT_LEVEL_ID);
        }
        //不是它的下级目录
        else
        {
            $sql = " UPDATE file_sort SET SORT_PARENT = '".SecurityFilter($destFolder)."' WHERE SORT_ID = '".SecurityFilter($sourceFolder)."'";
            $rs = exequery($connection,$sql);
            //改变修改后的目录SORT_LEVEL_ID
            $query   = "SELECT * FROM file_sort WHERE SORT_ID = '".SecurityFilter($destFolder)."'";
            $res     = exequery($connection,$query);
            $row     = mysql_fetch_array($res);
            $SORT_LEVEL_ID  = $row['SORT_LEVEL_ID'];
            UpdateSortLevel($destFolder,$SORT_LEVEL_ID);
        }
        return true;
    }
    /**
    *搜索文件夹
    *@access public
    *@para   array $conditions
    *@return array $rs
    */
    function seach($conditions)
    {

    }
    /**
    *遍历文件夹
    *@access public
    *@para   array $conditions
    *@return array $rs
    */
    function traversal($conditions)
    {

    }
    /**
    *将数据库字段名和值数组转换成字符串
    *@access public
    *@para   array $properties
    *@return str   $str
    */
    function prop_serial($properties)
    {
        while(list($key,$val) = each($properties)){
            if($key != 'WHERE'){
                $str .= ",".$key."='".$val."'";
            }
        }
        if($str)
            $str = ltrim($str,",");
        return $str;
    }
    /**
    *封装执行sql语句
    *@access public
    *@para   str  $tables     要更新的表名
    *@para   str  $properties 要更新的字段和值
    *@para   str  $conditions 更新语句的条件
    *@para   str  $others     其他sql语句信息字符串
    *@return bool $rs
    */
    function update($tables,$properties,$conditions,$others='')
    {
        global $connection;
        $sql = "UPDATE ".$tables." SET ".$properties. " WHERE ".$conditions;
        if($others)
            $sql .= " ".$others;
        $rs  = exequery($connection,$sql);
        return $rs;
    }
    /**
    *获取文件夹层级标识字符串
    *@access public
    *@para   str  $parentId   父级文件夹的ID
    *@return bool $rs
    */
    function getLevelStrById($parentId)
    {
        global $connection;
        if($parentId == 0)
            return "";
        $getSortLevelSQL = "SELECT SORT_LEVEL_ID FROM file_sort WHERE SORT_ID = '".SecurityFilter($parentId)."'";
        $getSortLevelResult = exequery($connection,$getSortLevelSQL);
        if($getSortLevelRow = mysql_fetch_array($getSortLevelResult)){
            $sortLevel = $getSortLevelRow["SORT_LEVEL_ID"];
        }
        if($sortLevel == ""){
            $sortLevel = "|" . $parentId . "|";
        }
        else{
            $sortLevel = $sortLevel . $parentId . "|";
        }
        return $sortLevel;
    }
    //add for mobile
    function getSonFolder($pId,$userId){
        global $connection;
        $FILE_READ_ALL  = getReadAllFile($userId);
        $SHARE_GET_FILE = getMobileShareFilePath(1,$userId);
        $SORT_FILE      = $FILE_READ_ALL.$SHARE_GET_FILE;
        $sortFileAll    = substr($SORT_FILE,0,-1);
        //公共文档，查看需要加上临时目录
        $sortFileAll = "-1,".$sortFileAll;
        if($sortFileAll==""){
            $sortFileAll="''";
        }
        $query = "
                    SELECT * FROM file_sort
                     WHERE SORT_PARENT=".SecurityFilter($pId)."
                     AND SORT_ID IN (".SecurityFilter($sortFileAll).")
                     ORDER BY FILE_SORTING,CREATE_TIME DESC
                     ";
        $result = exequery ( $connection, $query );
        $floder = array();
        while( $row = mysql_fetch_array( $result,MYSQLI_ASSOC) ) {
            array_push($floder, $row);
        }
        return $floder;
    }
    function getFolderByName($folderName,$userId){
        global $connection;
        $FILE_READ_ALL  = getReadAllFile($userId);
        $SHARE_GET_FILE = getShareFilePath(1,$userId);
        $SORT_FILE      = $FILE_READ_ALL.$SHARE_GET_FILE;
        $sortFileAll    = substr($SORT_FILE,0,-1);
        //公共文档，查看需要加上临时目录
        $sortFileAll = "-1,".$sortFileAll;
        if($sortFileAll==""){
            $sortFileAll="''";
        }
        $query = "
                    SELECT * FROM file_sort
                     WHERE SORT_NAME LIKE '%".SecurityFilter($folderName)."%'
                     AND SORT_ID IN (".SecurityFilter($sortFileAll).")
                     ORDER BY FILE_SORTING,CREATE_TIME DESC
                     ";
        $result = exequery ( $connection, $query );
        $floder = array();
        while( $row = mysql_fetch_array( $result,MYSQLI_ASSOC) ) {
            array_push($floder, $row);
        }
        return $floder;
    }
    /**
    *@access public
    *根据文件夹ID等条件，获取其子文件夹相关信息
    *@para   str  $pId           父文件夹的ID
    *@para   str  $userId        用户ID
    *@para   str  $otherParam    传入的调用树的条件
    *@return bool $nodesDataArr
    */
    function getFolderTreeNodesData($pId,$userId,$otherParam,$sortFileAll="")
    {
        global $connection;
        $param    = base64_decode($otherParam);
        $param    = json_decode($param,true);
        $fileSort = $param["fileSort"];
        //用来计算子文件夹ID字符串，判断是否是父文件夹
        $query_one = "
                    SELECT  DISTINCT  `SORT_LEVEL_ID` AS LEVEL_STR
                     FROM  `file_sort`
                     WHERE
                     SORT_LEVEL_ID IS NOT NULL
                     AND SORT_LEVEL_ID != ''
                    ";
        if($fileSort == "")
        {
            //文件夹设置
            if ($userId == 'admin') {
                $query_two = "
                            SELECT * FROM file_sort WHERE
                             SORT_PARENT = " . SecurityFilter($pId) ."
                             AND SORT_TYPE!=4
                             -- AND SORT_ID != -1
                             ORDER BY FILE_SORTING,CREATE_TIME DESC
                            ";
            }
            else
            {
                $FILE_MANAGE_ALL = getPublicFilePurviewAll ( 'MANAGE' );
                $sortFileAll = substr ( $FILE_MANAGE_ALL, 0, - 1 );
                if($sortFileAll == "")
                    $sortFileAll = "''";
                $query_two = "
                         SELECT * FROM file_sort WHERE
                         SORT_PARENT = " . SecurityFilter($pId) ."
                         AND SORT_TYPE!=4
                         AND (SORT_ID IN (".SecurityFilter($sortFileAll).") OR USER_ID = '".SecurityFilter($userId)."')
                         ORDER BY FILE_SORTING,CREATE_TIME DESC
                         ";
            }
        }
        else if($fileSort == "1")
        {
            //文件夹选择相关
            if($param["select"])
            {
                $GETWHAT = $param["select"]["getwhat"];
                if ($GETWHAT == 'MANAGE') {
                    $FILE_MANAGE_ALL_P = getPublicFilePurviewAll( 'MANAGE' );
                    $sortFileAll = substr ( $FILE_MANAGE_ALL_P, 0, -1 );
                }
                else
                {
                    if ($GETWHAT == 'new') {
                        $FILE_MANAGE_ALL_M = getPublicFilePurviewAll( 'MANAGE' );
                        $FILE_MANAGE_ALL_N = getPublicFilePurviewAll( 'NEW', $FILE_MANAGE_ALL_M );
                        $sortFileAll = substr ( $FILE_MANAGE_ALL_N, 0, -1 );
                    } else {
                        $FILE_READ_ALL  = getReadAllFile();
                        $SHARE_GET_FILE = getShareFilePath($fileSort);
                        $SORT_FILE      = $FILE_READ_ALL.$SHARE_GET_FILE;
                        $sortFileAll    = substr($SORT_FILE,0,-1);
                        //公共文档，查看需要加上临时目录
                        $sortFileAll = "-1,".$sortFileAll;
                    }
                }
                if ($GETWHAT != 'all') {
                    //文件夹选择
                    if($sortFileAll==""){
                        $sortFileAll="''";
                    }
                    $query_two = "
                                SELECT * FROM file_sort
                                 WHERE SORT_PARENT=".SecurityFilter($pId)."
                                 AND SORT_ID IN (".SecurityFilter($sortFileAll).")
                                 ";
                    if($GETWHAT != "readfile")
                        $query_two .= " AND SORT_ID != -1";
                    $query_two .= "
                                 ORDER BY FILE_SORTING,CREATE_TIME DESC
                                 ";
                }else if($GETWHAT == 'all') {
                    //屏蔽临时目录
                    $query_two = "
                                 SELECT * from file_sort
                                 WHERE  SORT_PARENT = " . SecurityFilter($pId). "
                                 AND SORT_TYPE != 4
                                 AND SORT_ID != -1
                                 ORDER BY FILE_SORTING,CREATE_TIME DESC
                                ";
                    $sortFileAll = "";
                }
            }
            else
            {
                $FILE_READ_ALL  = getReadAllFile();
                $SHARE_GET_FILE = getShareFilePath($fileSort);
                $SORT_FILE      = $FILE_READ_ALL.$SHARE_GET_FILE;
                $sortFileAll    = substr($SORT_FILE,0,-1);
                //公共文档，查看需要加上临时目录
                $sortFileAll = "-1,".$sortFileAll;
                if($sortFileAll==""){
                    $sortFileAll="''";
                }
                $query_two = "
                            SELECT * FROM file_sort
                             WHERE SORT_PARENT=".SecurityFilter($pId)."
                             AND SORT_ID IN (".SecurityFilter($sortFileAll).")
                             ORDER BY FILE_SORTING,CREATE_TIME DESC
                             ";
            }
        }
        else if($fileSort == "2")
        {
            //个人文档 || 文件夹选择相关
            $query_two = "
                        SELECT * FROM file_sort
                         WHERE SORT_TYPE=4
                         AND USER_ID='".SecurityFilter($userId)."'
                         AND SORT_PARENT= ".SecurityFilter($pId)."
                         ORDER BY FILE_SORTING,CREATE_TIME DESC
                         ";
        }
        if($fileSort != "2")
        {
            if($pId == 0)
            {
                $query_one .= " AND 1";
            }
            else
            {
                $query_one .= "
                             AND INSTR( SORT_LEVEL_ID,  '|".SecurityFilter($pId)."|' ) >  '0'
                             ";
            }
            if($sortFileAll && $sortFileAll!="''")
            {
                if($fileSort == "")
                    $query_one .= "
                                 AND ( SORT_ID IN ( ".SecurityFilter($sortFileAll)." ) OR USER_ID = '".SecurityFilter($userId)."' )
                                 ";
                else
                    $query_one .= "
                                 AND SORT_ID IN ( ".SecurityFilter($sortFileAll)." )
                                 ";
            }
        }
        else
        {
            if($pId == 0)
            {
                $query_one .= " AND USER_ID='".SecurityFilter($userId)."'";
            }
            else
            {
                $query_one .= "
                             AND INSTR( SORT_LEVEL_ID,  '|".SecurityFilter($pId)."|' ) > '0'
                             AND  USER_ID='".SecurityFilter($userId)."'
                             ";
            }
        }
        $cur_one = exequery ( $connection, $query_one );
        while( $row_one = mysql_fetch_array( $cur_one ) ) {
            $sortLevelIdStr .= $row_one["LEVEL_STR"].",";
        }
        $sortLevelIdStr = str_replace(",|","",$sortLevelIdStr);
        $sortLevelIdStr = trim($sortLevelIdStr,"|");
        $sortLevelIdArr = explode("|",$sortLevelIdStr);
        $sortLevelIdArr = array_unique($sortLevelIdArr);
        $cur_two = exequery( $connection, $query_two );
        $count   = 0;
        while( $row_two = mysql_fetch_array( $cur_two ) ) {
            $SORT_NAME = $row_two['SORT_NAME'];
            $fiArr = array("'","\"");
            $reArr = array("\'","\\\"");
            $SORT_NAME = str_replace($fiArr,$reArr,$SORT_NAME);
            $nodesDataArr[$count]["SORT_ID"]      = $row_two['SORT_ID'];
            $nodesDataArr[$count]["SORT_NAME"]    = $SORT_NAME;
            $nodesDataArr[$count]["USER_ID"]      = $row_two['USER_ID'];
            $nodesDataArr[$count]["SORT_PARENT"]  = $row_two['SORT_PARENT'];
            $nodesDataArr[$count]["SORT_TYPE"]    = $row_two['SORT_TYPE'];
            $nodesDataArr[$count]["DEPT_ID"]      = $row_two['DEPT_ID'];
            $nodesDataArr[$count]["FILE_SORTING"] = $row_two['FILE_SORTING'];

            if($fileSort == "")
            {
                if(opinionPurview('MANAGE', $row_two['SORT_ID']) || $userId == 'admin' || $userId == $row_two['USER_ID'])
                {
                    $nodesDataArr[$count]["MANAGE"] = "MANAGE";
                }
                else
                {
                    $nodesDataArr[$count]["MANAGE"] = "";
                }
            }
            else if($fileSort == "1")
            {
                //文件夹选择相关
                if($param["select"])
                {
                    if ($fileSort == 1 && $GETWHAT != 'all' && $GETWHAT != 'readfile') {
                        if ($GETWHAT == 'new') {
                            $SORT_PURVIEW = (opinionPurview ( 'NEW', $row_two['SORT_ID'] ) || opinionPurview ( 'MANAGE', $row_two['SORT_ID'] ));
                        } else {
                            $SORT_PURVIEW = opinionPurview ( 'MANAGE', $row_two['SORT_ID'] );
                        }
                    } else {
                        $SORT_PURVIEW = 1;
                    }
                    if($SORT_PURVIEW)
                    {
                        $nodesDataArr[$count]["MANAGE"] = "MANAGE";
                    }
                    else
                    {
                        $nodesDataArr[$count]["MANAGE"] = "";
                    }
                }
                else
                {
                    $nodesDataArr[$count]["MANAGE"] = "MANAGE";
                }
            }
            else if($fileSort == "2")
            {
                $nodesDataArr[$count]["MANAGE"] = "MANAGE";
            }
            $count++;
        }
        $nodesDataArr["sortLevelIdArr"] = $sortLevelIdArr;
        return $nodesDataArr;
    }
    /**
    *@access public
    *查询文件夹
    *@para   str  $searchKey     查询关键字
    *@para   str  $userId        用户ID
    *@para   str  $otherParam    传入的调用树的条件
    *@return bool $returnArray
    */
    function getFolderSearchData($searchKey,$userId,$otherParam,$sortFileAll="")
    {
        global $connection;
        $param    = base64_decode($otherParam);
        $param    = json_decode($param,true);
        $fileSort = $param["fileSort"];
        if($fileSort == "")
        {
            //文件夹设置
            if ($userId == 'admin') {
                $query_two = "
                            SELECT * FROM file_sort WHERE
                             SORT_NAME like '%".SecurityFilter($searchKey)."%'
                             AND SORT_TYPE!=4
                             AND SORT_ID != -1
                             ORDER BY FILE_SORTING,CREATE_TIME DESC
                            ";
            }
            else
            {
                $FILE_MANAGE_ALL = getPublicFilePurviewAll ( 'MANAGE' );
                $sortFileAll = substr ( $FILE_MANAGE_ALL, 0, - 1 );
                if($sortFileAll == "")
                    $sortFileAll = "''";
                $query_two = "
                         SELECT * FROM file_sort WHERE
                         SORT_NAME like '%".SecurityFilter($searchKey)."%'
                         AND SORT_TYPE!=4
                         AND (SORT_ID IN (".SecurityFilter($sortFileAll).") OR USER_ID = '".SecurityFilter($userId)."')
                         ORDER BY FILE_SORTING,CREATE_TIME DESC
                         ";
            }
        }
        else if($fileSort == "1")
        {
            //文件夹选择相关
            if($param["select"])
            {
                $GETWHAT = $param["select"]["getwhat"];
                if ($GETWHAT == 'MANAGE') {
                    $FILE_MANAGE_ALL_P = getPublicFilePurviewAll( 'MANAGE' );
                    $sortFileAll = substr ( $FILE_MANAGE_ALL_P, 0, -1 );
                }
                else
                {
                    if ($GETWHAT == 'new') {
                        $FILE_MANAGE_ALL_M = getPublicFilePurviewAll( 'MANAGE' );
                        $FILE_MANAGE_ALL_N = getPublicFilePurviewAll( 'NEW', $FILE_MANAGE_ALL_M );
                        $sortFileAll = substr ( $FILE_MANAGE_ALL_N, 0, -1 );
                    } else {
                        $FILE_READ_ALL  = getReadAllFile();
                        $SHARE_GET_FILE = getShareFilePath($fileSort);
                        $SORT_FILE      = $FILE_READ_ALL.$SHARE_GET_FILE;
                        $sortFileAll    = substr($SORT_FILE,0,-1);
                        //公共文档，查看需要加上临时目录
                        $sortFileAll = "-1,".$sortFileAll;
                    }
                }
                if ($GETWHAT != 'all') {
                    //文件夹选择
                    if($sortFileAll==""){
                        $sortFileAll="''";
                    }
                    $query_two = "
                                SELECT * FROM file_sort
                                 WHERE
                                 SORT_NAME like '%".SecurityFilter($searchKey)."%'
                                 AND SORT_ID IN (".SecurityFilter($sortFileAll).")
                                 ";
                    if($GETWHAT != "readfile")
                        $query_two .= " AND SORT_ID != -1";
                    $query_two .= "
                                 ORDER BY FILE_SORTING,CREATE_TIME DESC
                                 ";
                }else if($GETWHAT == 'all') {
                    //屏蔽临时目录
                    $query_two = "
                                 SELECT * from file_sort
                                 WHERE
                                 SORT_NAME like '%".SecurityFilter($searchKey)."%'
                                 AND SORT_TYPE != 4
                                 AND SORT_ID != -1
                                 ORDER BY FILE_SORTING,CREATE_TIME DESC
                                ";
                    $sortFileAll = "";
                }
            }
            else
            {
                $FILE_READ_ALL  = getReadAllFile();
                $SHARE_GET_FILE = getShareFilePath($fileSort);
                $SORT_FILE      = $FILE_READ_ALL.$SHARE_GET_FILE;
                $sortFileAll    = substr($SORT_FILE,0,-1);
                //公共文档，查看需要加上临时目录
                $sortFileAll = "-1,".$sortFileAll;
                if($sortFileAll==""){
                    $sortFileAll="''";
                }
                $query_two = "
                            SELECT * FROM file_sort
                             WHERE
                             SORT_NAME like '%".SecurityFilter($searchKey)."%'
                             AND SORT_ID IN (".SecurityFilter($sortFileAll).")
                             ORDER BY FILE_SORTING,CREATE_TIME DESC
                             ";
            }
        }
        else if($fileSort == "2")
        {
            //个人文档 || 文件夹选择相关
            $query_two = "
                        SELECT * FROM file_sort
                         WHERE SORT_TYPE=4
                         AND USER_ID='".SecurityFilter($userId)."'
                         ORDER BY FILE_SORTING,CREATE_TIME DESC
                         ";
        }
        $returnArray = array("totalCount"=>"1","list"=>array());
        $cur_two = exequery( $connection, $query_two );
        while($row_two = mysql_fetch_array($cur_two,MYSQL_ASSOC))
        {
            //权限判断
            if($fileSort == "")
            {
                if(opinionPurview('MANAGE', $row_two['SORT_ID']) || $userId == 'admin' || $userId == $row_two['USER_ID'])
                {
                    $row_two["MANAGE"] = "MANAGE";
                }
                else
                {
                    $row_two["MANAGE"] = "";
                }
            }
            else if($fileSort == "1")
            {
                //文件夹选择相关
                if($param["select"])
                {
                    if ($fileSort == 1 && $GETWHAT != 'all' && $GETWHAT != 'readfile') {
                        if ($GETWHAT == 'new') {
                            $SORT_PURVIEW = (opinionPurview ( 'NEW', $row_two['SORT_ID'] ) || opinionPurview ( 'MANAGE', $row_two['SORT_ID'] ));
                        } else {
                            $SORT_PURVIEW = opinionPurview ( 'MANAGE', $row_two['SORT_ID'] );
                        }
                    } else {
                        $SORT_PURVIEW = 1;
                    }
                    if($SORT_PURVIEW)
                    {
                        $row_two["MANAGE"] = "MANAGE";
                    }
                    else
                    {
                        $row_two["MANAGE"] = "";
                    }
                }
                else
                {
                    $row_two["MANAGE"] = "MANAGE";
                }
            }
            else if($fileSort == "2")
            {
                $row_two["MANAGE"] = "MANAGE";
            }
            $returnArray["list"][] = $row_two;
        }
        $returnArray["totalCount"] = count($returnArray["list"]);
        return $returnArray;
    }
}
?>
