<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      公共文件夹类
* @encoding      $_lang['encoding']
* @name          api/folder.public.class.php
* @version       1
* @author        sun|www.weaver.com.cn
* @date          2013-05-09
*/
include_once("folder.class.php");
class folder_public extends folder
{
	private static $USER_MANAGE = "";     //文件夹和文件的管理权限-用户
	private static $DEPT_MANAGE = "";     //文件夹和文件的管理权限-部门
	private static $PRIV_MANAGE = "";     //文件夹和文件的管理权限-角色	
	
	private static $USER_NEW    = "";     //文件的新建权限-用户
	private static $DEPT_NEW    = "";     //文件的新建权限-部门
	private static $PRIV_NEW    = "";     //文件的新建权限-角色	
	
	private static $USER_VIEW   = "";     //文件的查看权限-用户
	private static $DEPT_VIEW   = "";     //文件的查看权限-部门
	private static $PRIV_VIEW   = "";     //文件的查看权限-角色
	
	private static $USER_DOWN   = "";     //office类型附件的下载打印权限-用户
	private static $DEPT_DOWN   = "";     //office类型附件的下载打印权限-部门
	private static $PRIV_DOWN   = "";     //office类型附件的下载打印权限-角色
	
	private static $USER_RE     = "";     //文件的回复权限-用户
	private static $DEPT_RE     = "";     //文件的回复权限-部门
	private static $PRIV_RE     = "";     //文件的回复权限-角色
	private static $MODE_ID     = "";     //文件夹下，文件的显示样式
	private static $FILE_SORTING = "";     //文件夹排序
	private static $TPL_ID       = "";     //文件夹下，文件新建时使用的模板
	private static $PUR_METHOD   = "";     //文件夹是否继承权限的属性
	/**
	*构造函数
	*@para   int $SORT_ID
	*@access public
	*/
	function __construct($SORT_ID = ''){ 
		global $connection;
		if($SORT_ID)
		{
			$sql = "SELECT * FROM file_sort WHERE SORT_ID='".SecurityFilter($SORT_ID)."'";	
			$rs  = exequery($connection,$sql);
			if($row = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				$this->SORT_ID     = $row["SORT_ID"];
				$this->SORT_NAME   = $row["SORT_NAME"];
				$this->SORT_PARENT = $row["SORT_PARENT"];
				$this->SORT_TYPE   = $row["SORT_TYPE"];
				$this->CREATE_TIME = $row["CREATE_TIME"];
				$this->USER_ID     = $row["USER_ID"];
				
				$this->USER_MANAGE = $row["USER_MANAGE"];
				$this->DEPT_MANAGE = $row["DEPT_MANAGE"];
				$this->PRIV_MANAGE = $row["PRIV_MANAGE"];
				
				$this->USER_NEW    = $row["USER_NEW"];
				$this->DEPT_NEW    = $row["DEPT_NEW"];
				$this->PRIV_NEW    = $row["PRIV_NEW"];
				
				$this->USER_VIEW   = $row["USER_VIEW"];
				$this->DEPT_VIEW   = $row["DEPT_VIEW"];
				$this->PRIV_NEW    = $row["PRIV_NEW"];
				
				$this->USER_DOWN   = $row["USER_DOWN"];
				$this->DEPT_DOWN   = $row["DEPT_DOWN"];
				$this->PRIV_DOWN   = $row["PRIV_DOWN"];
				
				$this->USER_RE     = $row["USER_RE"];
				$this->DEPT_RE     = $row["DEPT_RE"];
				$this->PRIV_RE     = $row["PRIV_RE"];
				$this->MODE_ID     = $row["MODE_ID"];
				$this->FILE_SORTING= $row["FILE_SORTING"];
				$this->TPL_ID      = $row["TPL_ID"];
				$this->PUR_METHOD  = $row["PUR_METHOD"];
			}
		}
	}
	
	/**
	*设置公共文件夹的权限
	*@access public
	*@para   array  $properties
	*@return bool 
	*/
	function setPriv($properties){ 
		
	}
	/**
	*添加一条公共文件夹的权限
	*@access public
	*@para   str  $parent_id  上级文件夹名称
	*@para   str  $pur_method 权限继承方式
	*@return bool
	*/
	function addPriv($parent_id,$pur_method){
		global $connection;
		$PUR_TYPE = '1';
		if ($pur_method == 1) {
			$query_p = "
						SELECT * FROM `file_purview` WHERE SORT_ID = ".SecurityFilter($parent_id);
			$rc_p  = exequery($connection, $query_p);
			$ROW_P = mysql_fetch_array($rc_p);
			$PUR_TYPE = $ROW_P['SORT_TYPE'];

			$USER_MANAGE = $ROW_P['USER_MANAGE'];
			$DEPT_MANAGE = $ROW_P['DEPT_MANAGE'];
			$PRIV_MANAGE = $ROW_P['PRIV_MANAGE'];

			$USER_NEW = $ROW_P['USER_NEW'];
			$DEPT_NEW = $ROW_P['DEPT_NEW'];
			$PRIV_NEW = $ROW_P['PRIV_NEW'];

			$USER_VIEW = $ROW_P['USER_VIEW'];
			$DEPT_VIEW = $ROW_P['DEPT_VIEW'];
			$PRIV_VIEW = $ROW_P['PRIV_VIEW'];

			$USER_DOWN = $ROW_P['USER_DOWN'];
			$DEPT_DOWN = $ROW_P['DEPT_DOWN'];
			$PRIV_DOWN = $ROW_P['PRIV_DOWN'];

			$USER_RE = $ROW_P['USER_RE'];
			$DEPT_RE = $ROW_P['DEPT_RE'];
			$PRIV_RE = $ROW_P['PRIV_RE'];
		}
		$query = "
				INSERT INTO `file_purview` (`SORT_ID` ,`SORT_TYPE` ,`DEPT_MANAGE` ,`DEPT_NEW` ,`DEPT_VIEW` ,`DEPT_DOWN` ,`DEPT_RE` ,`PRIV_MANAGE` ,`PRIV_NEW` ,`PRIV_VIEW` ,`PRIV_DOWN` ,`PRIV_RE` ,`USER_MANAGE` ,`USER_NEW` ,`USER_VIEW` ,`USER_DOWN` ,`USER_RE` )
				 VALUES 
				('".SecurityFilter($this->SORT_ID)."','".SecurityFilter($PUR_TYPE)."','".SecurityFilter($DEPT_MANAGE)."','".SecurityFilter($DEPT_NEW)."','".SecurityFilter($DEPT_VIEW)."','".SecurityFilter($DEPT_DOWN)."','".SecurityFilter($DEPT_RE)."','".SecurityFilter($PRIV_MANAGE)."','".SecurityFilter($PRIV_NEW)."','".SecurityFilter($PRIV_VIEW)."','".SecurityFilter($PRIV_DOWN)."','".SecurityFilter($PRIV_RE)."','".SecurityFilter($USER_MANAGE)."', '".SecurityFilter($USER_NEW)."','".SecurityFilter($USER_VIEW)."','".SecurityFilter($USER_DOWN)."','".SecurityFilter($USER_RE)."')
				";
		$rc = exequery($connection, $query);
		return $rs;
	}
	/**
	*格式化数组，传入有id，parentid的数组之后，会自动排列成多级的，有顺序结构的数组
	*@access public
	*@para   arr  $rows     需要格式化的数组
	*@para   str  $id       用id区分数据
	*@para   str  $pid      父级的id
	*@para   str  $child    子级放在$child的数组里面
	*@return bool
	*/
	function getFormatArrayTree($rows, $id='id',$pid = 'parentid',$child = 'child',$root=0)
	{
		$tree = array();
		if(is_array($rows)){
			$array = array();
			foreach ($rows as $key=>$item){
				$array[$item[$id]] =& $rows[$key];
			}
			foreach($rows as $key=>$item){
				$parentId = $item[$pid];
				if($root == $parentId){
					$tree[] =&$rows[$key];
				}else{
					if(isset($array[$parentId])){
						$parent =&$array[$parentId];
						$parent[$child][]=&$rows[$key];
					}
				}
			}
		}
		return $tree;
	}
	/**
	*获取所有部门数据
	*@access public
	*@return $folderDataArray  包含所有数据的数组
	*/
	function getDeptTreeList($searchKeyVal="")
	{
		global $connection;
		if($searchKeyVal == "")
			$query   = "SELECT * from DEPARTMENT where 1 order by DEPT_NO";
		else
			$query   = "SELECT * from DEPARTMENT where DEPT_NAME like '%".SecurityFilter($searchKeyVal)."%' order by DEPT_NO";
		$cursor  = exequery($connection,$query);
		while($ROW=mysql_fetch_array($cursor))
		{
			$deptCount++;
			$deptId    = $ROW["DEPT_ID"];
			$DEPT_NAME = $ROW["DEPT_NAME"];
			$PARENT_ID = $ROW["DEPT_PARENT"];
			$DEPT_NAME = str_replace("<","&lt",$DEPT_NAME);
			$DEPT_NAME = str_replace(">","&gt",$DEPT_NAME);
			$DEPT_NAME = stripslashes($DEPT_NAME);
			$folderDataArray[$deptCount]["id"]        = $deptId;
			$folderDataArray[$deptCount]["DEPT_NAME"] = $DEPT_NAME;
			$folderDataArray[$deptCount]["parentid"]  = $PARENT_ID;
		}
		return $folderDataArray;
	}
	/**
	*获取所有用户
	*@access public
	*@para   arr  $searchKeyVal     查询条件
	*@return $rows               包含所有数据的数组
	*/
	function getUserList($searchKeyVal="",$pinYinParam="")
	{
		global $connection;
		$query = "SELECT USER_ID,USER_NAME FROM user WHERE DEPT_ID<>-1 AND DEPT_ID<>0";
//		$query = "SELECT * FROM user u,user_priv up,department d,user_status us,attend_config ac
//				 WHERE d.DEPT_ID=u.DEPT_ID
//				 AND ac.DUTY_ID=u.DUTY_TYPE
//				 AND u.USER_PRIV=up.USER_PRIV
//				 AND u.USER_STATUS=us.STATUS_ID
//				 AND u.DEPT_ID>0";
		if($searchKeyVal != "")
			$query .= " AND ( USER_NAME like '%".SecurityFilter($searchKeyVal)."%' OR USER_NAME_ZM like '%".SecurityFilter($searchKeyVal)."%' OR USER_NAME_PY like '%".SecurityFilter($searchKeyVal)."%' )";
		$cursor  = exequery($connection,$query);
		while($ROW=mysql_fetch_array($cursor,MYSQL_ASSOC))
		{
			$rows[] = $ROW;
		}
		return $rows;
	}
	/**
	*获取所有角色
	*@access public
	*@para   arr  $searchKeyVal     查询条件
	*@return $rows               包含所有数据的数组
	*/
	function getPrivList($searchKeyVal="")
	{
		global $connection;
		if($searchKeyVal == "")
			$query = "SELECT USER_PRIV,PRIV_NAME FROM user_priv WHERE 1 ORDER BY PRIV_NO ASC ";
		else
			$query = "SELECT USER_PRIV,PRIV_NAME FROM user_priv WHERE PRIV_NAME like '%".SecurityFilter($searchKeyVal)."%' ORDER BY PRIV_NO ASC ";
		$cursor  = exequery($connection,$query);
		while($ROW=mysql_fetch_array($cursor,MYSQL_ASSOC))
		{
			$rows[] = $ROW;
		}
		return $rows;
	}
	/**
	*保存权限设置
	*@access public
	*@para   str  $SORT_ID        查询条件
	*@para   str  $THIS_TYPE      保存类型
	*@para   str  $TYPE_MANAGE    管理权限
	*@para   str  $TYPE_DOWN      下载权限
	*@para   str  $TYPE_RE        回复权限
	*@para   str  $TYPE_NEW       新建权限
	*@para   str  $TYPE_VIEW      查看权限
	*@para   str  $searchKeyWord  查询条件
	*@return $cursor              sql执行结果
	*/
	function seaveFilePurview($SORT_ID,$THIS_TYPE,$TYPE_MANAGE,$TYPE_DOWN,$TYPE_RE,$TYPE_NEW,$TYPE_VIEW,$searchKeyWord,$pinYinParam)
	{
		global $connection;
		$THIS_MANAGE = $THIS_TYPE.'_MANAGE';
		$THIS_DOWN   = $THIS_TYPE.'_DOWN';
		$THIS_RE     = $THIS_TYPE.'_RE';
		$THIS_NEW    = $THIS_TYPE.'_NEW';
		$THIS_VIEW   = $THIS_TYPE.'_VIEW';
		$sql    = "SELECT * FROM file_purview WHERE SORT_ID=".SecurityFilter($SORT_ID);
		$cursor = exequery($connection,$sql);
		if($row = mysql_fetch_array($cursor)){
			if($searchKeyWord == "")
			{
				$query = "
						UPDATE `file_purview` SET  $THIS_MANAGE = '".SecurityFilter($TYPE_MANAGE)."',$THIS_DOWN = '".SecurityFilter($TYPE_DOWN)."',$THIS_RE = '".SecurityFilter($TYPE_RE)."',$THIS_NEW = '".SecurityFilter($TYPE_NEW)."',$THIS_VIEW = '".SecurityFilter($TYPE_VIEW)."'
							WHERE SORT_ID = ".SecurityFilter($SORT_ID)."
						";
			}
			else
			{
				//针对查询之后的保存特殊处理
				$oldManage = $row[$THIS_MANAGE];
				$oldDown   = $row[$THIS_DOWN];
				$oldRe     = $row[$THIS_RE];
				$oldNew    = $row[$THIS_NEW];
				$oldView   = $row[$THIS_VIEW];
				switch ($THIS_TYPE) {
					case 'DEPT':
						$searchRes = $this->getDeptTreeList($searchKeyWord);
						for ($i=1; $i <= count($searchRes); $i++) {
							$deptId    = $searchRes[$i]["id"].",";
							$oldManage = str_replace($deptId,"",$oldManage);
							$oldDown   = str_replace($deptId,"",$oldDown);
							$oldRe     = str_replace($deptId,"",$oldRe);
							$oldNew    = str_replace($deptId,"",$oldNew);
							$oldView   = str_replace($deptId,"",$oldView);
						}
						break;
					case 'PRIV':
						$searchRes = $this->getPrivList($searchKeyWord);
						for ($i=0; $i < count($searchRes); $i++) {
							$userPriv  = $searchRes[$i]["USER_PRIV"].",";
							$oldManage = str_replace($userPriv,"",$oldManage);
							$oldDown   = str_replace($userPriv,"",$oldDown);
							$oldRe     = str_replace($userPriv,"",$oldRe);
							$oldNew    = str_replace($userPriv,"",$oldNew);
							$oldView   = str_replace($userPriv,"",$oldView);
						}
						break;
					case 'USER':
						$searchRes = $this->getUserList($searchKeyWord,$pinYinParam);
						for ($i=0; $i < count($searchRes); $i++) {
							$userId    = $searchRes[$i]["USER_ID"].",";
							$oldManage = str_replace($userId,"",$oldManage);
							$oldDown   = str_replace($userId,"",$oldDown);
							$oldRe     = str_replace($userId,"",$oldRe);
							$oldNew    = str_replace($userId,"",$oldNew);
							$oldView   = str_replace($userId,"",$oldView);
						}
						break;
					default:
						break;
				}
				$oldManage .= $TYPE_MANAGE;
				$oldDown   .= $TYPE_DOWN;
				$oldRe     .= $TYPE_RE;
				$oldNew    .= $TYPE_NEW;
				$oldView   .= $TYPE_VIEW;
				$query = "
						UPDATE `file_purview` SET  $THIS_MANAGE = '".SecurityFilter($oldManage)."',$THIS_DOWN = '".SecurityFilter($oldDown)."',$THIS_RE = '".SecurityFilter($oldRe)."',$THIS_NEW = '".SecurityFilter($oldNew)."',$THIS_VIEW = '".SecurityFilter($oldView)."'
							WHERE SORT_ID = 
						".SecurityFilter($SORT_ID);
			}
		}else{
			$query = "
					INSERT INTO  `file_purview` (`SORT_ID` ,`$THIS_MANAGE`,`$THIS_DOWN`,`$THIS_RE`,`$THIS_NEW`,`$THIS_VIEW`)
						VALUES('".SecurityFilter($SORT_ID)."','".SecurityFilter($TYPE_MANAGE)."','".SecurityFilter($TYPE_DOWN)."','".SecurityFilter($THIS_RE)."','".SecurityFilter($TYPE_NEW)."','".SecurityFilter($TYPE_VIEW)."')
					";
		}
		$cursor = exequery($connection,$query);
		return $cursor;
	}
	/**
	*保存样式设置等
	*@access public
	*@para   str  $sort_id       文件夹ID
	*@para   str  $mode_id       显示样式ID
	*@para   str  $mode_obj      设置的字段
	*/
	function saveModeDo($sort_id,$mode_id,$mode_obj)
	{
		global $connection;
		if($sort_id!=0){
			$query = "
						UPDATE file_sort SET $mode_obj = '".SecurityFilter($mode_id)."'
							WHERE  SORT_ID = '".SecurityFilter($sort_id)."'
						";
			exequery($connection,$query);
		}else{
			//更新现有的用户指定默认
			$sql = "
					UPDATE show_mode SET MODE_TYPE=1
							WHERE  MODE_TYPE=3
					";
			exequery($connection,$sql);
			$query = "
						UPDATE show_mode SET MODE_TYPE=3
							WHERE  MODE_ID = '".SecurityFilter($mode_id)."'
						";
			exequery($connection,$query);
		}
	}
	/**
	*保存文件夹转移
	*@access public
	*@para   str  $CHANGE_FILE       原文件夹ID
	*@para   str  $GO_FILE           转移到文件夹ID
	*@para   str  $this_down_par     原文件夹正向文档路径权限
	*/
	function saveFileChange($GO_FILE,$CHANGE_FILE,$this_down_par)
	{
		global $connection;
		$go_file_par = ",".$GO_FILE.",";
		//得到转移到文件夹的SORT_LEVEL_ID
		$sql_1 = "SELECT SORT_LEVEL_ID FROM file_sort WHERE SORT_ID = ".SecurityFilter($GO_FILE);
		$res_1 = exequery($connection,$sql_1);
		$row_1 = mysql_fetch_array($res_1);
		$goFileLevelId = $row_1["SORT_LEVEL_ID"];
		if($goFileLevelId)
			$newFileLevelId = $goFileLevelId.$GO_FILE."|";
		else
			$newFileLevelId  = "|".$GO_FILE."|";
		if(strstr($this_down_par,$go_file_par)){
			$goFileNewLevelId     = str_replace("|".$CHANGE_FILE."|","|",$goFileLevelId);
			$changeFileNewLevelId = $goFileNewLevelId.$GO_FILE."|";
			if(rtrim($goFileNewLevelId,"|") == "")
				$goFileNewLevelId = "";
			$query = "
					SELECT SORT_PARENT,SORT_LEVEL_ID FROM file_sort WHERE SORT_ID = ".SecurityFilter($CHANGE_FILE) ."
					";
			$res = exequery($connection,$query);
			$ROW = mysql_fetch_array($res);
			$SORT_PARENT = $ROW['SORT_PARENT'];
			$query_a = "
						UPDATE file_sort SET SORT_PARENT = '".SecurityFilter($GO_FILE)."',SORT_LEVEL_ID = '".SecurityFilter($changeFileNewLevelId)."' WHERE SORT_ID = ".SecurityFilter($CHANGE_FILE) ."
						";
			exequery($connection,$query_a);
			$query_b = "
						UPDATE file_sort SET SORT_PARENT = '".SecurityFilter($SORT_PARENT)."',SORT_LEVEL_ID = '".SecurityFilter($goFileNewLevelId)."' WHERE SORT_ID = ".SecurityFilter($GO_FILE) ."
						";
			exequery($connection,$query_b);
			$this_down_par = str_replace(",".$GO_FILE.",",",",$this_down_par);
			$this_down_par = trim($this_down_par,",");
			if($this_down_par)
			{
				//go_file的子字符串，SORT_LEVEL_ID里去掉change_file
				$go_file_son_str = getDownPath($GO_FILE);
				$go_file_son_str = trim($go_file_son_str,",");
				if($go_file_son_str)
				{
					$query_c         = "SELECT SORT_ID,SORT_LEVEL_ID FROM file_sort WHERE SORT_ID in (".SecurityFilter($go_file_son_str).")";
					$res_c           = exequery($connection,$query_c);
					while($row_c     = mysql_fetch_array($res_c))
					{
						$sortid_c      = $row_c["SORT_ID"];
						$sortlevelid_c = $row_c["SORT_LEVEL_ID"];
						$sortlevelid_c = str_replace("|".$CHANGE_FILE."|","|",$sortlevelid_c);
						$updateSonSql  = "UPDATE file_sort SET SORT_LEVEL_ID = '".SecurityFilter($sortlevelid_c)."' WHERE SORT_ID = ".SecurityFilter($sortid_c);
						exequery($connection,$updateSonSql);
					}
				}
				//change_file的子字符串，去掉go_file和go_file的子字符串，然后SORT_LEVEL_ID里的change_file替换成go_file+change_file
				if($go_file_son_str != "")
				{
					$change_file_son_str = str_replace(",".$go_file_son_str.",",",",",".$this_down_par.",");
					$change_file_son_str = trim($change_file_son_str,",");
				}
				else
				{
					$change_file_son_str = $this_down_par;
				}
				if($change_file_son_str)
				{
					$query_d         = "SELECT SORT_ID,SORT_LEVEL_ID FROM file_sort WHERE SORT_ID in (".SecurityFilter($change_file_son_str).")";
					$res_d           = exequery($connection,$query_d);
					while($row_d     = mysql_fetch_array($res_d))
					{
						$sortid_d      = $row_d["SORT_ID"];
						$sortlevelid_d = $row_d["SORT_LEVEL_ID"];
						$sortlevelid_d = str_replace("|".$CHANGE_FILE."|","|".$GO_FILE."|".$CHANGE_FILE."|",$sortlevelid_d);
						$updateSonSql2 = "UPDATE file_sort SET SORT_LEVEL_ID = '".SecurityFilter($sortlevelid_d)."' WHERE SORT_ID = ".SecurityFilter($sortid_d);
						exequery($connection,$updateSonSql2);
					}
				}
			}
		}else{
			$sql = "
					UPDATE file_sort SET SORT_PARENT = '".$GO_FILE."',SORT_LEVEL_ID = '".SecurityFilter($newFileLevelId)."' WHERE SORT_ID = ".SecurityFilter($CHANGE_FILE) ."
					";
			exequery($connection,$sql);
			//对原文件夹下所有子文件夹的SORT_LEVEL_ID的修改
			$this_down_par = trim($this_down_par,",");
			if(!$this_down_par)
				$this_down_par = "''";
			$query_c       = "SELECT SORT_ID,SORT_LEVEL_ID FROM file_sort WHERE SORT_ID in (".SecurityFilter($this_down_par).")";
			$res_c         = exequery($connection,$query_c);
			while($row_c   = mysql_fetch_array($res_c))
			{
				$sortid_c      = $row_c["SORT_ID"];
				$sortlevelid_c = $row_c["SORT_LEVEL_ID"];
				//首先找到子文件夹的SORT_LEVEL_ID里，$CHANGE_FILE的位置，此位置之前的，要被替换成$GO_FILE的SORT_LEVEL_ID
				$sortlevelid_c = $newFileLevelId.substr($sortlevelid_c,strpos($sortlevelid_c,(string)$CHANGE_FILE));
				$updateSonSql  = "UPDATE file_sort SET SORT_LEVEL_ID = '".SecurityFilter($sortlevelid_c)."' WHERE SORT_ID = ".SecurityFilter($sortid_c);
				exequery($connection,$updateSonSql);
			}
		}
	}
}
?>