<?php

class Infocenter {


	function __construct(){		
	}
	/**
	 * get the amount of infocenter
	 */
	public function getInfoAmount($words = null){
		global $connection;
		$sql = array();
		$sql[] = "SELECT COUNT(*) FROM news";
		if(isset($words)){
			$sql[] = "WHERE SUBJECT LIKE '%".SecurityFilter($words)."%' ";
		}
		$query = implode(' ', $sql);
		$result = exequery($connection,$query);
		if(!$result){
			return 0;
		}
		$row = mysql_fetch_array($result);
		return $row[0];
	}
	/**
	 * 获取已发布的新闻。
	 *
	 * @return array $result
	 */
	public function getNews($others = array()){
		
		global $connection;
		$sql = array();
		$sql[] = " SELECT NEWS_ID, SUBJECT, PROVIDER, NEWS_TIME, CLICK_COUNT, PUTIP FROM NEWS ";
		if(isset( $others['words'] )){
			$words = $others['words'];
			$sql[] = " WHERE SUBJECT LIKE '%".SecurityFilter($words)."%' ";
		}
		$sql[] = "ORDER BY putip DESC,news_time DESC";
		$page = $others['page']?$others['page']:1;
		$limit = $others['limit']?$others['limit']:10;
		$start = ($page-1)*$limit;
		$sql[] = "limit $start,$limit";
		$query = implode(' ', $sql);
		$cursor = exequery( $connection, $query );

		while( $row = mysql_fetch_array( $cursor, MYSQL_ASSOC) ){
			$result[] = $row;
		}
		
		if( !empty($result) )
			return $result;
		else
			return false;
	}

	/**
	 * 根据id获取一条新闻。
	 *
	 * @param int $id
	 * @return array 
	 */
	public function getNewsById($id){
		
		global $connection;
		
		$sql = " SELECT NEWS_ID, SUBJECT, CONTENT, PROVIDER, NEWS_TIME, CLICK_COUNT, PUBLIC, PUTIP FROM NEWS WHERE NEWS_ID ='".SecurityFilter($id)."' ";
	
		$cursor = exequery( $connection, $sql );
		$result = mysql_fetch_assoc ( $cursor );
		
		if( !empty($result) )
			return $result;
		else
			return false;

	}

	/*
	 * 新增一条新闻。
	 *
	 * @param array $data
	 * @return bool
	 */

	public function addNews($data){
		
		global $connection;

		$provider = SecurityFilter($_SESSION['LOGIN_USER_ID']);
		$date = date("Y-m-d H:i:s",time());

		$sql = "INSERT INTO news(
					SUBJECT,
					CONTENT,
					PROVIDER,
					NEWS_TIME,
					CLICK_COUNT,
					PUTIP,
					PUBLIC,
					NEWS_TYPE_ID,
					ALLOW_REPLY
				)
				VALUES(
					'". SecurityFilter($data['subject']) . "',
					'". SecurityFilter($data['content']) . "',
					'$provider',
					'$date',
					0,
					'". SecurityFilter($data["putip"]) ."',
					'". SecurityFilter($data['public'])."',
					'00000',
					'1'
				);";
		
		exequery( $connection, $sql );
		return mysql_insert_id();
	}

	/*
	 * 修改一条新闻。
	 *
	 * @param array $data
	 * @return bool
	 */
	public function updateNewsById( $data, $id ){
		
		global $connection;
		$date = date("Y-m-d H:i:s",time());
		$sql = "UPDATE news 
				SET SUBJECT = '". SecurityFilter($data['subject']) . "', 
					CONTENT = '". SecurityFilter($data['content']) . "', 
					PUTIP   = '". SecurityFilter($data['putip'])   . "', 
					PUBLIC  = '". SecurityFilter($data['public'])  . "',
					NEWS_TIME = '$date'
				WHERE news_id = '".SecurityFilter($id)."' ";
		
		//echo $sql;die;
		exequery($connection, $sql );
		return true;

	}


	/**
	 * 修改新闻置顶状态
	 *
	 * @param  int $id
	 * @param  int $status  0|1
	 * @return bool 
	 */
	public function stickNewsById( $id, $status ){
		
		global $connection;

		$sql = "UPDATE news 
				SET PUTIP = '". SecurityFilter($status). "'
				WHERE news_id = '".SecurityFilter($id)."' ";

		
		exequery( $connection, $sql );

		return true;
	}

	/**
	 * 通过id删除一条新闻信息
	 *
	 * @param  string $id
	 * @return bool 
	 */

	public function delNewsById( $id ){
		global $connection;

		if( !empty($id) ){
			$sql = " DELETE FROM news WHERE NEWS_ID = '".SecurityFilter($id)."' ";
			exequery( $connection, $sql );
			return true;
		}
		else
			return false;

	}

	/**
	 * 通过id删除多条新闻信息
	 *
	 * @param array $id
	 * @return bool 
	 */

	public function delNewsByIds( $ids ){
		global $connection;

		if( is_array( $ids ) ){

			foreach( $ids as $id ){
				$id_str .= "'".$id."'," ;
			}

			$id_str = substr( $id_str, 0, -1 ) ;
		}
		
		$sql = " DELETE FROM news WHERE NEWS_ID IN(".SecurityFilter($id_str).") ";
		
		exequery( $connection, $sql );

		return true;
	}
	
	/**
	 * news owner check
	 * @param string user_id
	 * @return bool
	 */
	public function isNewsOwner($user_id){
		global $connection;
		$q = "SELECT USER_ID FROM ";
	}
}


?>