<?
/**
 * Systemname:       E-Office
 * Filename:         标签管理
 * Function:         api
 * Encoding:         utf8
 * Author:           www.weaver.com.cn
 * Date:             2013-09-11
 * File Version:     1.0
 * Eoffice Version:  8.x
*/
include_once("inc/utility_all.php");
class labels {
	var $default_limit = 10;
	var $default_start = 0;
	public $user_id;
	public $dept_id;
	public $priv_id;
	public $cur_date;
	public $cur_time;
	function __construct($userinfo=array()){
		global $connection;
		if($userinfo["user_id"]=="")
		{
			$this->user_id = $_SESSION["LOGIN_USER_ID"];	
		}
		else
		{
			$this->user_id = $userinfo["user_id"];	
		}
		if($this->user_id){
			$sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($this->user_id)."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$this->dept_id = $row["DEPT_ID"];
			$this->priv_id = $row["USER_PRIV"];
		}
		$this->cur_date = date("Y-m-d",time());
		$this->cur_time = date("Y-m-d H:i:s",time());
	}
	/*
	@function:  新建
	@parameter: $dataInfor->    array : 字段数组
	@parameter: $tablename->    string: 数据库表名	
	@return:    $insertid->     string: 新建数据ID         
	*/
	public function lab_CreateData($dataInfor,$tablename){
		global $connection;
		switch($tablename){
			case "labels":
				$sql = "INSERT INTO labels (
						  LAB_NAME,
						  LAB_USECOUNT,
						  LAB_REMARK,
						  LAB_CREATER,
						  LAB_CREATDATE
						) 
						VALUES
						  ('".SecurityFilter($dataInfor["LAB_NAME"])."', '".SecurityFilter($dataInfor["LAB_USECOUNT"])."', '".SecurityFilter($dataInfor["LAB_REMARK"])."', '".SecurityFilter($dataInfor["LAB_CREATER"])."', '".SecurityFilter($dataInfor["LAB_CREATDATE"])."')";
			break;
		}
		exequery($connection,$sql);
		$insertid = mysql_insert_id();
		return $insertid;	
	} 
	/*
	@function:  编辑
	@parameter: $dataInfor->    array : 字段数组
	@parameter: $tablename->    string: 数据库表名	
	@return:    true/false         
	*/
	public function lab_EditData($dataInfor,$tablename,$dataId){
		global $connection;
		switch($tablename){
			case "labels":
				$sql = "UPDATE 
						  labels 
						SET
						  LAB_NAME = '".SecurityFilter($dataInfor["LAB_NAME"])."',
						  LAB_REMARK = '".SecurityFilter($dataInfor["LAB_REMARK"])."'
						WHERE LAB_ID = '".SecurityFilter($dataId)."'";
			break;
		}
		$curose = exequery($connection,$sql);	
		if($curose){
			return true;	
		}else{
			return false;	
		}
	}
	/*
	@function:  引用次数修改
	@return:    true/false         
	*/
	public function lab_ChangeLabUseCount($oldIdStr,$idStr,$diff=""){
		global $connection;
		$idArray = explode(",",$idStr);
		$idcount = count($idArray);
		$oldIdStr = ",,".$oldIdStr;
		for($i=0;$i<$idcount;$i++){
			if($idArray[$i]){
				$checkId = ",".$idArray[$i].",";
				if(!strpos($oldIdStr,$checkId)){
					$sql = "UPDATE 
							  labels 
							SET
							  LAB_USECOUNT = LAB_USECOUNT + 1 
							WHERE LAB_ID = '".SecurityFilter($idArray[$i])."' ";
					$curose = exequery($connection,$sql);
				}
			}	
		}
	}
	/*
	@function:  可配数据删除
	@parameter: $dataId->       string: 数据Id
	@parameter: $tablename->    string: 数据库表名	
	@return:    true/false         
	*/
	public function lab_DeleteData($tablename,$sql){
		global $connection;	
		$sql = "DELETE FROM ".$tablename." WHERE 1 ".$sql;
		$curose = exequery($connection,$sql);
		if($curose){
			return true;	
		}else{
			return false;	
		}		
	}
	/*
	@function:  查找单条数据
	@parameter: $tablename->    string: 数据库表名
	@parameter: $dataId->       string: 数据ID	
	@return:    $dataInfor->    array : 字段数组
	*/
	function labelSearchSingleData($tablename,$consql){
		global $connection;
		$sql = "SELECT * FROM ".$tablename." WHERE 1 ".$consql;
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($rs)){
			$dataInfor = $row;
		}					
		return $dataInfor;	
	}
	/*
	@function:  获取总数据
	@parameter: $tablename->    string: 数据库表名
	@parameter: $sql->          string: 条件	
	@return:    $dataInfor->    array : 字段数组
	*/
	public function lab_SearchAllData($tablename,$con_sql){
		global $connection;
		$dataInfor = array();
		$sql = "SELECT * FROM ".$tablename." WHERE 1 ".$con_sql;
		$cursor = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($cursor)){
			$dataInfor[] = $row;
		}
		return $dataInfor;
	}
	/*
	@function:  项目类型列表数据
	@return:    $dataInfor->    array : 字段数组
	*/
	public function lab_ListData($order,$sens,$limit_s="",$limit_e="",$quickSortParam,$where_array=array()){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query = " labels WHERE 1";
		if(!empty($where_array)){	
			foreach($where_array as $key=>$value) 
			{
				if($key == "LAB_NAME")
				{
					$query .= " AND LAB_NAME LIKE'%".SecurityFilter($value)."%'";
				}
			}	
		}	
		$query .= " ORDER BY ".$order." ".$sens;
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->lab_Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".$limit_s.",".$limit_e;	
		}
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;			
	}	
	/*
	@function:  产生数据总数
	@parameter: $query->          string : 查询语句
	@return:    $resultCount->    string ：总数
	*/
	private function lab_Getsumnumber($query)
	{
		global $connection;
		$getCountResult = exequery($connection, $query);
		if ($getCountRow = mysql_fetch_array($getCountResult)) 
		{
			$resultCount = $getCountRow[0];
		}
		if($resultCount=="")
		{
			return 0;	
		}
		else
		{
			return $resultCount;	
		}
	}
}
?>
