<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      会议api
* @encoding      $_lang['encoding']
* @name          api/meeting.class.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/function_page_01.php");
class meeting
{
	/*
	@function:  新建
	@parameter: $table_name->    string : 插入表的名称/区别名称
	@parameter: $info->          array  : 插入表的信息
	*/
	function creat_info($table_name,$info)
	{
		global $connection;
		switch($table_name)
		{
			case 'meeting_equipment':
				$query = "INSERT INTO $table_name (E_NAME,E_MODEL,E_USE,E_REMARK,E_PERSON,ATTACHMENT_ID,ATTACHMENT_NAME)
							VALUES
						('".SecurityFilter($info['e_name'])."','".SecurityFilter($info['e_model'])."','".SecurityFilter($info['input_use'])."','".SecurityFilter($info['input_remark'])."','".SecurityFilter($info['create_person'])."','".SecurityFilter($info['ATTACHMENT_ID'])."','".SecurityFilter($info['ATTACHMENT_NAME'])."')";
				exequery($connection,$query);
				break;
			case 'meeting_rooms':
				$query = "INSERT INTO $table_name (R_NAME,R_PHONE,R_SPACE,E_ID,R_REMARK,ATTACHMENT_ID,ATTACHMENT_NAME)
							VALUES
						('".SecurityFilter($info[0])."','".SecurityFilter($info[1])."','".SecurityFilter($info[2])."','".SecurityFilter($info[3])."','".SecurityFilter($info[4])."','".SecurityFilter($info[5])."','".SecurityFilter($info[6])."')";
				exequery($connection,$query);
				break;
			case 'meeting_apply':
				$cur_date = date("Y-m-d H:i:s");
				$query = "INSERT INTO $table_name (R_ID,A_SUBJECT,A_APPLY_PERSON,A_JOIN_PERSON,A_OTHER_JOIN,A_TYPE,A_BEGIN_TIME,A_END_TIME,A_REMARK,A_STATE,ATTACHMENT_ID,ATTACHMENT_NAME,SMS_REMIND,SMSTEL_REMIND,EMAIL_REMIND,FALSE_DELETE,A_REQUEST_TIME) VALUES
						('".SecurityFilter($info[0])."','".SecurityFilter($info[1])."','".SecurityFilter($info[2])."','".SecurityFilter($info[3])."','".SecurityFilter($info[4])."','".SecurityFilter($info[5])."','".SecurityFilter($info[6])."','".SecurityFilter($info[7])."','".SecurityFilter($info[8])."','1','".SecurityFilter($info[9])."','".SecurityFilter($info[10])."','".SecurityFilter($info[11])."','".SecurityFilter($info[12])."','".SecurityFilter($info[13])."','0','".SecurityFilter($cur_date)."')";
				exequery($connection,$query);
				break;
			case 'meeting_recorde':
				if(trim($_REQUEST['content'])!="")
				{
					$query = "INSERT INTO $table_name (C_A_ID,C_PERSON,C_TIME,C_CONTENT) VALUES ('".SecurityFilter($_REQUEST['apply_id'])."','".SecurityFilter($_REQUEST['person_id'])."','".SecurityFilter($_REQUEST['re_time'])."','".SecurityFilter($_REQUEST['content'])."')";
					exequery($connection,$query);
				}
				break;
				case 'e_manynew':
					$num = count($info['name'])-1;
					for($I=0;$I<$num;$I++)
					{
						if($info['name'][$I]!="")
						{
							$query = "INSERT INTO meeting_equipment (E_NAME,E_MODEL,E_PERSON) VALUES ('".SecurityFilter(trim($info['name'][$I]))."','".SecurityFilter(trim($info['model'][$I]))."','".SecurityFilter($info['creat_person'])."')";
							exequery($connection,$query);
						}
					}
				break;
				case 'room_manynew':
					$num = count($info['room_name'])-1;
					for($I=0;$I<$num;$I++)
					{
						if($info['room_name'][$I]!="")
						{
							$query = "INSERT INTO meeting_rooms (R_NAME,R_PHONE) VALUES ('".SecurityFilter(trim($info['room_name'][$I]))."','".SecurityFilter(trim($info['room_phone'][$I]))."')";
							exequery($connection,$query);
						}
					}
				break;


		}
	}

	/*
	@function:  编辑
	@parameter: $table_name->    string : 表的名称/区别名称
	@parameter: $info->          array  : 编辑的信息
	*/
	function edit_info($table_name,$info)
	{
		global $connection;
		switch($table_name)
		{
			case 'meeting_equipment':
				$query = "UPDATE meeting_equipment SET E_NAME='".SecurityFilter($info[0])."',E_MODEL='".SecurityFilter($info[1])."',E_USE='".SecurityFilter($info[2])."',E_REMARK='".SecurityFilter($info[3])."',ATTACHMENT_ID='".SecurityFilter($info[4])."',ATTACHMENT_NAME='".SecurityFilter($info[5])."' WHERE E_ID='".SecurityFilter($info[6])."'";
				exequery($connection,$query);
				break;
			case 'meeting_rooms':
				$query = "UPDATE meeting_rooms SET E_ID='".SecurityFilter($info[4])."',R_NAME='".SecurityFilter($info[1])."',R_PHONE='".SecurityFilter($info[2])."',R_SPACE='".SecurityFilter($info[3])."',R_REMARK='".SecurityFilter($info[5])."',ATTACHMENT_ID='".SecurityFilter($info[6])."',ATTACHMENT_NAME='".SecurityFilter($info[7])."' WHERE R_ID='".SecurityFilter($info[0])."'";
				exequery($connection,$query);
				break;
			case 'meeting_apply':
				$query = "UPDATE meeting_apply SET R_ID='".SecurityFilter($info[1])."',A_SUBJECT='".SecurityFilter($info[2])."',A_APPLY_PERSON='".SecurityFilter($info[3])."',A_JOIN_PERSON='".SecurityFilter($info[4])."',A_OTHER_JOIN='".SecurityFilter($info[5])."',A_TYPE='".SecurityFilter($info[6])."',A_BEGIN_TIME='".SecurityFilter($info[7])."',A_END_TIME='".SecurityFilter($info[8])."',A_REMARK='".SecurityFilter($info[9])."',ATTACHMENT_ID='".SecurityFilter($info[10])."',ATTACHMENT_NAME='".SecurityFilter($info[11])."',SMS_REMIND='".SecurityFilter($info[12])."',SMSTEL_REMIND='".SecurityFilter($info[13])."',EMAIL_REMIND='".SecurityFilter($info[14])."' WHERE A_ID='".SecurityFilter($info[0])."'";
				exequery($connection,$query);
				break;
			case 'apply_do':
				$query = "UPDATE meeting_apply SET A_APPLY_ADVISE='".SecurityFilter($_REQUEST['advise'])."',A_STATE='".SecurityFilter($_REQUEST['update_do'])."' WHERE A_ID='".SecurityFilter($_REQUEST['apply_id'])."'";
				exequery($connection,$query);
				break;
			case 'remind_begin':
				$query = "UPDATE meeting_apply SET A_BEGIN_TIME='".SecurityFilter($_REQUEST['re_time'])."',A_BEGIN_ADVISE='".SecurityFilter($_REQUEST['content'])."',A_STATE=4 WHERE A_ID='".SecurityFilter($_REQUEST['apply_id'])."'";
				exequery($connection,$query);
				break;
			case 'remind_end':
				$query = "UPDATE meeting_apply SET A_END_TIME='".SecurityFilter($_REQUEST['re_time'])."',A_STATE=5 WHERE A_ID='".SecurityFilter($_REQUEST['apply_id'])."'";
				exequery($connection,$query);
				break;
			case 'check':
				$query = "UPDATE meeting_apply SET A_CHECK_TIME='".date("Y-m-d H:i")."' WHERE A_ID='".SecurityFilter($info)."'";
				exequery($connection,$query);
				break;
			case 'deleteattach':
				$query = "UPDATE meeting_apply SET ATTACHMENT_ID='".SecurityFilter($info['ATTACHMENT_ID'])."',ATTACHMENT_NAME='".SecurityFilter($info['ATTACHMENT_NAME'])."' WHERE A_ID='".SecurityFilter($info['applyid'])."'";
				exequery($connection,$query);
				break;
			case 'my_false_delete':
				$query = "UPDATE meeting_apply SET FALSE_DELETE='1' WHERE A_ID='".SecurityFilter($info)."'";
				exequery($connection,$query);
				break;
			case 'examine_false_delete':
				$query = "UPDATE meeting_apply SET FALSE_DELETE='2' WHERE A_ID='".SecurityFilter($info)."'";
				exequery($connection,$query);
				break;
		}
	}

	/*
	@function:  删除
	@parameter: $table_name->    string : 插入表的名称
	@parameter: $table_id->      string : 删除的记录的ID号
	*/
	function delete_meeting($table_name,$table_id)
	{
		global $connection;
		switch($table_name)
		{
			case 'meeting_equipment':
				$filed = "E_ID";
				break;
			case 'meeting_rooms':
				$filed = "R_ID";
				break;
			case 'meeting_apply':
				$filed = "A_ID";
				break;
			case 'meeting_recorde':
				$filed = "C_A_ID";
				break;
		}
		$query = "DELETE FROM ".SecurityFilter($table_name)." WHERE ".SecurityFilter($filed)."='".SecurityFilter($table_id)."'";
		exequery($connection,$query);
	}

	/*
	@function:  检查会议室状态
	@return:    $info->             Array   :列表详细信息
	*/
	function check_state()
	{
		global $connection;
		$info = array();
		$all_room = "";
		$use      = "";
		$all_rooms = "SELECT R_ID FROM meeting_rooms";
		$All_result   = exequery($connection,$all_rooms);
		while($ROW=mysql_fetch_array($All_result))
		{
			$all_room .= $ROW['R_ID'].",";
		}
		$search_use = "SELECT R_ID,A_BEGIN_TIME,A_END_TIME FROM meeting_apply WHERE (A_STATE=2 OR A_STATE=4)";
		$use_result = exequery($connection,$search_use);
		$J=1;
		while($ROW=mysql_fetch_array($use_result))
		{
			$use .= $ROW['V_ID'].",";
			$info['use']['date'][$J]['id']         = $ROW['R_ID'];
			$info['use']['date'][$J]['begin_time'] = $ROW['A_BEGIN_TIME'];
			$info['use']['date'][$J]['end_time']   = $ROW['A_END_TIME'];
			$J++;
		}
		$info['all'] = $all_room;
		$info['use']['use_id'] = $use;
		return $info;
	}
	/*
	@function:  返回会议室状态
	@parameter: $data->             Array   : 数据；
	@return:    $info->             Array   :列表详细信息
	*/
	function return_state($data)
	{
		$info = array();
		$cur_date = strtotime(date("Y-m-d H:i:s"));
		$use      = $data['use']['use_id'];
		$use_arr  = explode(',',$use);
		$use_arr  = array_unique($use_arr);
		$use_str  = implode(',',$use_arr);
		$all_room = explode(",",$data['all']);
		$use_room = explode(",",$use_str);
		//空闲会议室
		$diff_rest = array_diff($all_room,$use_room);
		foreach($diff_rest as $key=>$value)
		{
			$rest_room .= $value.",";
		}
		//会议室状态
		for($I=1;$I<=count($data['use']['date']);$I++)
		{
			$begin_time = strtotime($data['use']['date'][$I]['begin_time']);
			$end_time   = strtotime($data['use']['date'][$I]['end_time']);
			if($cur_date>=$begin_time && $cur_date<=$end_time)
			{
				//使用中
				$use_room_id .= $data['use']['date'][$I]['id'].",";
			}
			else
			{
				//空闲
				//$rest_room_id .= $data['use']['date'][$I]['id'].",";
			}
		}
		$rest_strid = $rest_room.$rest_room_id;
		$use_strid  = $use_room_id;
		$rest_array = explode(",",$rest_strid);
		$use_array  = explode(",",$use_strid);
		$delete     = array_intersect($rest_array,$use_array);
		$delete     = implode(',',$delete);
		//空闲id
		$rest_strid         = $rest_room.$rest_room_id;
		$rest_strid         = str_replace($delete,"",$rest_strid);
		$info['rest_strid'] = str_replace(",","','",trim($rest_strid,","));
		//使用id
		$use_strid         = $use_room_id;
		$info['use_strid'] = str_replace(",","','",trim($use_strid,","));
		return $info;
	}

	/*
	@function:  会议室列表
	@parameter: $order->         string  : 排序；
	@parameter: $sens->          string  : 正序或者倒序；
	@return:    $info->          Array   :列表详细信息
	*/
	function m_room($order,$sens,$limit_s="",$limit_e="",$quickSortParam,$where_str=array())
	{
		global $connection;
		$info  = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query  = " meeting_rooms WHERE 1";
		if($quickSortParam!="" && $quickSortParam!="all")
		{
	        $data        = $this->check_state();
			$stuate_date = $this->return_state($data);
			switch ($quickSortParam)
			{
				case "rest" :
					$query = " meeting_rooms WHERE R_ID IN ('".SecurityFilter($stuate_date['rest_strid'])."')";
					break;
				case "use" :
					$query = " meeting_rooms WHERE R_ID IN ('".SecurityFilter($stuate_date['use_strid'])."')";
					break;
			}
		}
		if(!empty($where_str)){
			foreach($where_str as $key=>$value)
			{
				if($key == "roomName")
				{
					$query .= " AND R_NAME LIKE'%".$value."%'";
				}
			}
		}
		$query .= " ORDER BY ".$order." ".$sens;
		$count  = $search_count.$query;
		$info['resultCount'] = $this->get_sumnumber($count);
		if($limit_s>=$info['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".$limit_s.",".$limit_e;
		}
		//$query .= " limit ".$limit_s.",".$limit_e;
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		$I=0;
		while($ROW=mysql_fetch_array($cursor))
		{
			$info[$I]['r_id']            = $ROW['R_ID'];
			$info[$I]['r_equipment']     = $ROW['E_ID'];
			$info[$I]['r_name']          = $ROW['R_NAME'];
			$info[$I]['r_phone']         = $ROW['R_PHONE'];
			$info[$I]['r_space']         = $ROW['R_SPACE'];
			$info[$I]['ATTACHMENT_ID']   = $ROW['ATTACHMENT_ID'];
			$info[$I]['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
			$query_use  = "SELECT COUNT(*) FROM meeting_apply WHERE R_ID='".SecurityFilter($info[$I]['r_id'])."' AND  (A_STATE=2 OR A_STATE=4) AND (UNIX_TIMESTAMP(NOW()) BETWEEN UNIX_TIMESTAMP(A_BEGIN_TIME) AND UNIX_TIMESTAMP(A_END_TIME))";
			$cursor_use = exequery($connection,$query_use);
			if($rows=mysql_fetch_array($cursor_use))
			{
				$info[$I]['use'] = $rows[0];
			}
			$I++;
		}
		return $info;

	}
	/*
	@function:  会议室状态
	@parameter: $roomid->        string  : 会议室id；
	@return:    $num->           int     : 会议室使用数量
	*/
	function useroom_num($roomid)
	{
		global $connection;
		$query = "SELECT COUNT(*) FROM meeting_apply WHERE R_ID='".SecurityFilter($roomid)."' AND (UNIX_TIMESTAMP(NOW()) BETWEEN UNIX_TIMESTAMP(A_BEGIN_TIME) AND UNIX_TIMESTAMP(A_END_TIME))";
		$cursor = exequery($connection,$query);
		if($ROW=mysql_fetch_array($cursor))
		{
			$num = 	$ROW[0];
		}
		return $num;

	}
	/*
	@function:  显示所有会议室(批量新建)
	@return:    $info->          Array   :列表详细信息
	*/
	function manynew_show()
	{
		global $connection;
		$info = array();
		$query = "SELECT * FROM meeting_rooms";
		$cursor = exequery($connection,$query);
		$I=1;
		while($ROW=mysql_fetch_array($cursor))
		{
			$info[$I]['room_id']         = $ROW['R_ID'];
			$info[$I]['room_equipment']  = $ROW['E_ID'];
			$info[$I]['room_name']       = $ROW['R_NAME'];
			$info[$I]['room_phone']      = $ROW['R_PHONE'];
			$info[$I]['room_space']      = $ROW['R_SPACE'];
			$info[$I]['room_remark']     = $ROW['R_REMARK'];
			$info[$I]['ATTACHMENT_ID']   = $ROW['ATTACHMENT_ID'];
			$info[$I]['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
			$I++;
		}
		return $info;
	}

	/*
	@function:  显示所有会议室(会议室状态)
	@return:    $info->          Array   :列表详细信息
	*/
	function room_all_show($num="")
	{
		global $connection;
		$info = array();
		$query = "SELECT * FROM meeting_rooms ORDER BY R_ID";
		if($num!="")
		{
			$query = page($query,$num);
		}
		$cursor = exequery($connection,$query);
		$I=1;
		while($ROW=mysql_fetch_array($cursor))
		{
			$info[$I]['room_id']         = $ROW['R_ID'];
			$info[$I]['room_equipment']  = $ROW['E_ID'];
			$info[$I]['room_name']       = $ROW['R_NAME'];
			$info[$I]['room_phone']      = $ROW['R_PHONE'];
			$info[$I]['room_space']      = $ROW['R_SPACE'];
			$info[$I]['room_remark']     = $ROW['R_REMARK'];
			$info[$I]['ATTACHMENT_ID']   = $ROW['ATTACHMENT_ID'];
			$info[$I]['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
			$I++;
		}
		return $info;
	}

	/*
	@function:  会议室详细信息
	@parameter: $id->            string  : id号
	@return:    $info->          Array   :列表详细信息
	*/
	function rooms_show($id)
	{
		global $connection;
		$info = array();
		$query = "SELECT * FROM meeting_rooms WHERE R_ID='".SecurityFilter($id)."'";
		$cursor = exequery($connection,$query);
		if($ROW=mysql_fetch_array($cursor))
		{
			$info['r_id']            = $ROW['R_ID'];
			$info['r_equipment']     = $ROW['E_ID'];
			$info['r_name']          = $ROW['R_NAME'];
			$info['r_phone']         = $ROW['R_PHONE'];
			$info['r_space']         = $ROW['R_SPACE'];
			$info['r_remark']        = $ROW['R_REMARK'];
			$info['ATTACHMENT_ID']   = $ROW['ATTACHMENT_ID'];
			$info['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
		}
		return $info;
	}

	/*
	@function:  设备管理列表
	@parameter: $order->         string  : 排序；
	@parameter: $sens->          string  : 正序或者倒序；
	@return:    $info->          Array   :列表详细信息
	*/
	function m_equipment($order,$sens,$limit_s="",$limit_e="",$quickSortParam,$where_str='')
	{
		global $connection;
		$info  = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query = " meeting_equipment WHERE E_ID!=''";
		if($where_str != "")
		{
			foreach($where_str as $key=>$value)
			{
				$value = SecurityFilter($value);
				if($key == "e_name")
				{
					$query .= " AND E_NAME LIKE'%".$value."%'";
				}
				else if($key == "e_model")
				{
					$query .= " AND E_MODEL LIKE'%".$value."%'";
				}
				else if($key == "e_use")
				{
					$query .= " AND E_USE LIKE'%".$value."%'";
				}
				else if($key == "create_person")
				{
					$query .= " AND E_PERSON='".$value."'";
				}
			}
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;
		$info['resultCount'] = $this->get_sumnumber($count);
		if($limit_s>=$info['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".SecurityFilter($limit_s).",".SecurityFilter($limit_e);
		}
		//$query .= " limit ".$limit_s.",".$limit_e;
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		$I=0;
		while($ROW=mysql_fetch_array($cursor))
		{
			$info[$I]['m_id']     = $ROW['E_ID'];
			$info[$I]['m_name']   = $ROW['E_NAME'];
			$info[$I]['m_model']  = $ROW['E_MODEL'];
			$info[$I]['m_person'] = $ROW['E_PERSON'];
			$info[$I]['m_remark'] = $ROW['E_REMARK'];
			$info[$I]['m_use']    = $ROW['E_USE'];
			$info[$I]['ATTACHMENT_ID']   = $ROW['ATTACHMENT_ID'];
			$info[$I]['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
			$I++;
		}
		return $info;
	}
	/*
	@function:  设备详细信息
	@parameter: $id->            string  : id号
	@return:    $info->          Array   :列表详细信息
	*/
	function equipment_show($id)
	{
		global $connection;
		$info = array();
		$query = "SELECT * FROM meeting_equipment WHERE E_ID='".SecurityFilter($id)."'";
		$cursor = exequery($connection,$query);
		if($ROW=mysql_fetch_array($cursor))
		{
			$info['m_id']            = $ROW['E_ID'];
			$info['m_name']          = $ROW['E_NAME'];
			$info['m_model']         = $ROW['E_MODEL'];
			$info['m_use']           = $ROW['E_USE'];
			$info['m_remark']        = $ROW['E_REMARK'];
			$info['ATTACHMENT_ID']   = $ROW['ATTACHMENT_ID'];
			$info['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
		}
		return $info;
	}
	/*
	@function:  显示所有设备
	@return:    $info->          Array   :列表详细信息
	*/
	function equipment_all_show()
	{
		global $connection;
		$info = array();
		$query = "SELECT * FROM meeting_equipment";
		$cursor = exequery($connection,$query);
		$I=1;
		while($ROW=mysql_fetch_array($cursor))
		{
			$info[$I]['m_id']    = $ROW['E_ID'];
			$info[$I]['m_name']  = $ROW['E_NAME'];
			$info[$I]['m_model'] = $ROW['E_MODEL'];
			$info[$I]['m_use']   = $ROW['E_USE'];
			$I++;
		}
		return $info;
	}

	/*
	@function:  设备ID转化为名称
	@parameter: $str->        string   :设备ID字符串
	@parameter: $diff->       string  :是否为编辑页面
	@return:    $info->       string   :设备名称字符串
	*/
	function convert_id($str,$diff='')
	{
		global $connection;
		$id   = explode(",",$str);
		$info = "";
		for($i=0;$i<=count($id);$i++)
		{
			$query  = "SELECT * FROM meeting_equipment WHERE E_ID='".SecurityFilter($id[$i])."'";
			$cursor = exequery($connection,$query);
			if($ROW=mysql_fetch_array($cursor))
			{
				if($diff!='')
				{
					$info .= $ROW['E_NAME'].",";
				}
				else
				{
					$info .= $ROW['E_NAME']."、";
				}

			}
		}
		return $info;
	}

	/*
	@function:  我的申请列表
	@parameter: $id->           int  : ID号
	@parameter: $tablename->    string : 表名
	@return:    $info->         Array   :详细信息
	*/
	function myapply_show($order,$sens,$limit_s,$limit_e,$quickSortParam,$login_use_id,$where_str='')
	{
		$cur_time = date("Y-m-d H:i:00",time());
		global $connection;
		$info = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query = " meeting_apply WHERE (A_APPLY_PERSON='".SecurityFilter($login_use_id)."' OR (A_JOIN_PERSON LIKE '%".SecurityFilter($login_use_id)."%' AND A_STATE!='1' AND A_STATE!='3')) AND FALSE_DELETE!='1'";
		if($where_str != "")
		{
			foreach($where_str as $key=>$value)
			{
				$value = SecurityFilter($value);
				if($key == "begin_date")
				{
					$query .= " AND UNIX_TIMESTAMP(A_BEGIN_TIME)>=UNIX_TIMESTAMP('".$value." 00:00:00')";
				}
				else if($key == "end_date")
				{
					$query .= " AND UNIX_TIMESTAMP(A_BEGIN_TIME)<=UNIX_TIMESTAMP('".$value." 23:59:59')";
				}
				else if($key == "m_subject")
				{
					$query .= " AND A_SUBJECT LIKE '%".$value."%'";
				}
				else if($key == "m_state")
				{
					if($value=='1')
					{
						$query .= " AND A_CHECK_TIME IS NULL AND A_STATE='".$value."'";
					}
					else if($value=='2')
					{
						$query .= " AND A_CHECK_TIME IS NOT NULL AND A_STATE='1'";
					}
					else if($value=='3')
					{
						$query .= " AND A_STATE='2'";
					}
					else if($value=='4')
					{
						$query .= " AND A_STATE='3'";
					}
					else if($value=='5')
					{
						$query .= " AND A_STATE='4'";
					}
					else if($value=='6')
					{
						$query .= " AND A_STATE='5'";
					}
				}
				else if($key == "m_type")
				{
					$query .= " AND A_TYPE='".$value."'";
				}
				else if($key == "m_room")
				{
					$query .= " AND R_ID='".$value."'";
				}
				else if($key == "join_person")
				{
					$query .= " AND A_JOIN_PERSON LIKE '%".$value."%'";
				}
				else if($key == "m_other")
				{
					$query .= " AND A_OTHER_JOIN LIKE '%".$value."%'";
				}
			}
		}
		switch ($quickSortParam)
		{
			case "state_wait" :
				$query .= " AND A_CHECK_TIME IS NULL AND A_STATE='1'";
				break;
			case "state_waiting" :
				$query .= " AND A_CHECK_TIME IS NOT NULL AND A_STATE='1'";
				break;
			case "state_pass" :
				$query .= " AND A_STATE='2'";
				break;
			case "state_start" :
				$query .= " AND A_STATE='4'";
				break;
			case "D-1" :
				$query .= " AND (DATE_FORMAT(A_BEGIN_TIME,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(A_END_TIME,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(A_BEGIN_TIME,'%Y-%m-%d') AND DATE_FORMAT(A_END_TIME,'%Y-%m-%d')))";
				break;
			case "W-1" :
				$query .= " AND (YEARWEEK(A_BEGIN_TIME,1)=YEARWEEK(NOW(),1) OR YEARWEEK(A_END_TIME,1)=YEARWEEK(NOW(),1))";
				break;
			case "M-1" :
				//$query .= " AND ((MONTH(DATE_FORMAT(A_BEGIN_TIME,'%Y-%m-%d'))=MONTH(CURDATE()) OR MONTH(DATE_FORMAT(A_END_TIME,'%Y-%m-%d'))=MONTH(CURDATE())))";
				$query .= " AND (DATE_FORMAT(A_BEGIN_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m') OR DATE_FORMAT(A_END_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m'))";
				break;
			case "my_join" :
				$query .= " AND FIND_IN_SET('".SecurityFilter($login_use_id)."',A_JOIN_PERSON)";
				break;
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens).",A_CHECK_TIME ASC";
		$count  = $search_count.$query;
		$info['resultCount'] = $this->get_sumnumber($count);
		if($limit_s>=$info['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		$I=0;
		while($ROW=mysql_fetch_array($cursor))
		{
			$info[$I]['apply_id']     = $ROW['A_ID'];
			$info[$I]['room_id']      = $ROW['R_ID'];
			$info[$I]['subject']      = $ROW['A_SUBJECT'];
			$info[$I]['state']        = $ROW['A_STATE'];
			$info[$I]['apply_person'] = $ROW['A_APPLY_PERSON'];
			$info[$I]['begin_time']   = $ROW['A_BEGIN_TIME'];
			$info[$I]['end_time']     = $ROW['A_END_TIME'];
			$info[$I]['check_time']   = $ROW['A_CHECK_TIME'];
			$sqlRoom = "SELECT * FROM meeting_rooms WHERE R_ID='".SecurityFilter($info[$I]['room_id'])."'";
			$cursorRoom = exequery($connection,$sqlRoom);
			if($rowRoom=mysql_fetch_array($cursorRoom))
			{
				$info[$I]['room_name'] = $rowRoom['R_NAME'];
			}
			else
			{
				$info[$I]['room_name'] = '';
			}
			$I++;
		}
		return $info;

	}
	/*
	@function:  产生数据总数
	@parameter: $query->          string : 查询语句
	@return:    $resultCount->    string ：总数
	*/
	function get_sumnumber($query)
	{
		global $connection;
		$getCountResult = exequery($connection, $query);
		if ($getCountRow = mysql_fetch_array($getCountResult))
		{
			$resultCount = $getCountRow[0];
		}
		if($resultCount=="")
		{
			return 0;
		}
		else
		{
			return $resultCount;
		}
	}

	/*
	@function:  申请详情
	@parameter: $id->           int  : ID号
	@return:    $info->         Array   :详细信息
	*/
	function myapply_detail($id)
	{
		global $connection;
		$info   = array();
		$query  = "SELECT * FROM meeting_apply WHERE A_ID='".SecurityFilter($id)."'";
		$cursor = exequery($connection,$query);
		if($ROW=mysql_fetch_array($cursor))
		{
			$info['apply_id']        = $ROW['A_ID'];
			$info['room_id']         = $ROW['R_ID'];
			$info['subject']         = $ROW['A_SUBJECT'];
			$info['apply_person']    = $ROW['A_APPLY_PERSON'];
			$info['join_person']     = $ROW['A_JOIN_PERSON'];
			$info['other']           = $ROW['A_OTHER_JOIN'];
			$info['type']            = $ROW['A_TYPE'];
			$info['remark']          = $ROW['A_REMARK'];
			$info['state']           = $ROW['A_STATE'];
			$info['begin_time']      = $ROW['A_BEGIN_TIME'];
			$info['end_time']        = $ROW['A_END_TIME'];
			$info['check_time']      = $ROW['A_CHECK_TIME'];
			$info['SMS_REMIND']      = $ROW['SMS_REMIND'];
			$info['SMSTEL_REMIND']   = $ROW['SMSTEL_REMIND'];
			$info['EMAIL_REMIND']    = $ROW['EMAIL_REMIND'];
			$info['ATTACHMENT_ID']   = $ROW['ATTACHMENT_ID'];
			$info['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
			$info['apply_advise']    = $ROW['A_APPLY_ADVISE'];
			$info['false_delete']    = $ROW['FALSE_DELETE'];
			$info['A_BEGIN_ADVISE']  = $ROW['A_BEGIN_ADVISE'];
			$info['A_END_ADVISE']    = $ROW['A_END_ADVISE'];
		}
		return $info;
	}

	/*
	@function:  会议审核列表
	@parameter: $id->           int  : ID号
	@return:    $info->         Array   :详细信息
	*/
	function meeting_examine($order,$sens,$limit_s,$limit_e,$quickSortParam,$where_str='')
	{
		global $connection;
		$info   = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query = " meeting_apply WHERE FALSE_DELETE!='2' ";
		if($where_str != "")
		{
			foreach($where_str as $key=>$value)
			{
				$value = SecurityFilter($value);
				if($key == "begin_date")
				{
					$query .= " AND UNIX_TIMESTAMP(A_BEGIN_TIME)>=UNIX_TIMESTAMP('".$value." 00:00:00')";
				}
				else if($key == "end_date")
				{
					$query .= " AND UNIX_TIMESTAMP(A_BEGIN_TIME)<=UNIX_TIMESTAMP('".$value." 23:59:59')";
				}
				else if($key == "m_subject")
				{
					$query .= " AND A_SUBJECT LIKE '%".$value."%'";
				}
				else if($key == "m_state")
				{
					if($value=='1')
					{
						$query .= " AND A_CHECK_TIME IS NULL AND A_STATE='".$value."'";
					}
					else if($value=='2')
					{
						$query .= " AND A_CHECK_TIME IS NOT NULL AND A_STATE='1'";
					}
					else if($value=='3')
					{
						$query .= " AND A_STATE='2'";
					}
					else if($value=='4')
					{
						$query .= " AND A_STATE='3'";
					}
					else if($value=='5')
					{
						$query .= " AND A_STATE='4'";
					}
					else if($value=='6')
					{
						$query .= " AND A_STATE='5'";
					}
					else if($value=='7')
					{
						$query .= " AND A_STATE='1'";
					}
				}
				else if($key == "m_room")
				{
					$query .= " AND R_ID='".$value."'";
				}
				else if($key == "apply_person")
				{
					$query .= " AND A_APPLY_PERSON='".$value."'";
				}
			}
		}
		switch ($quickSortParam)
		{
			case "D-1" :
				$query .= " AND (DATE_FORMAT(A_BEGIN_TIME,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(A_END_TIME,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(A_BEGIN_TIME,'%Y-%m-%d') AND DATE_FORMAT(A_END_TIME,'%Y-%m-%d')))";
				break;
			case "D-3" :
				$query .= " AND ((DATE_FORMAT(A_BEGIN_TIME,'%Y-%m-%d') BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()) OR (DATE_FORMAT(A_END_TIME,'%Y-%m-%d')
BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()))";
				break;
			case "state_wait" :
				$query .= " AND A_CHECK_TIME IS NULL AND A_STATE='1'";
				break;
			case "state_checking" :
				$query .= " AND A_CHECK_TIME IS NOT NULL AND A_STATE='1'";
				break;
			case "state_pass" :
				$query .= " AND A_STATE='2'";
				break;
			case "state_refuse" :
				$query .= " AND A_STATE='3'";
				break;
			case "state_start" :
				$query .= " AND A_STATE='4'";
				break;
			case "state_end" :
				$query .= " AND A_STATE='5'";
				break;
			case "conflict":
				$conflict_num = $this->num_conflict();
				$applyID = substr($conflict_num['apply_id'],0,-1);
				if ($applyID) {
					$query = " meeting_apply WHERE A_ID IN (".SecurityFilter($applyID).")";
				}else{
					$query = " meeting_apply WHERE A_ID=''";
				}
			break;
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens).",A_CHECK_TIME ASC";
		$count  = $search_count.$query;
		$info['resultCount'] = $this->get_sumnumber($count);
		if($limit_s>=$info['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		$I=0;
		while($ROW=mysql_fetch_array($cursor))
		{
			$info[$I]['apply_id']     = $ROW['A_ID'];
			$info[$I]['subject']      = $ROW['A_SUBJECT'];
			$info[$I]['state']        = $ROW['A_STATE'];
			$info[$I]['apply_person'] = $ROW['A_APPLY_PERSON'];
			$info[$I]['begin_time']   = $ROW['A_BEGIN_TIME'];
			$info[$I]['end_time']     = $ROW['A_END_TIME'];
			$info[$I]['check_time']   = $ROW['A_CHECK_TIME'];
			$info[$I]['room_id']      = $ROW['R_ID'];
			$sqlRoom = "SELECT * FROM meeting_rooms WHERE R_ID='".SecurityFilter($info[$I]['room_id'])."'";
			$cursorRoom = exequery($connection,$sqlRoom);
			if($rowRoom=mysql_fetch_array($cursorRoom))
			{
				$info[$I]['room_name'] = $rowRoom['R_NAME'];
			}
			else
			{
				$info[$I]['room_name'] = '';
			}
			$I++;
		}
		return $info;
	}

	/*
	@function:  查找用户名称
	@parameter: $user_id->       int    : 用户ID号
	@return:    $info->          string :用户名称
	*/
	function person_name($user_id)
	{
		if(empty($user_id)) return '';
		global $connection;
		$str = "";
		if(strstr($user_id,',')==true)
		{
			$id = explode(',',$user_id);
			$num = count($id);
			for($i=0;$i<=$num;$i++)
			{
				if(!empty($id[$i])){
				$query = "SELECT * FROM USER WHERE USER_ID='".SecurityFilter($id[$i])."'";
				$cursor = exequery($connection,$query);
				if($rows=mysql_fetch_array($cursor))
				{
					$str .= $rows['USER_NAME'].",";
				}
				}
			}
		}
		else
		{
			$query = "SELECT * FROM USER WHERE USER_ID='".SecurityFilter($user_id)."'";
			$cursor = exequery($connection,$query);
			if($rows=mysql_fetch_array($cursor))
			{
				$str .= $rows['USER_NAME'];
			}
		}
		return $str;
	}

	/*
	@function:  会议记录
	@parameter: $apply_id->      string    : 会议申请ID
	@return:    $info->          array :详情
	*/
	function meeting_record($order,$sens,$limit_s=0,$limit_e=10,$apply_id)
	{
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$query = " meeting_recorde WHERE 1";
		$query .= " AND C_A_ID='".SecurityFilter($apply_id)."'";
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->get_sumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		$query .= " limit ".$limit_s.",".$limit_e;
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;

	}

	/*
	@function:  返回时间
	@parameter: $beg_time->      string : 开始时间
	@parameter: $end_time->      string : 结束时间
	@return:    $info->          string : 时间显示数组
	*/
	function explode_time($beg_time,$end_time)
	{
		$info = array();
		$begin              = explode(" ",$beg_time);
		$info['begin_date'] = $begin[0];
		$info['begin_time'] = substr($begin[1],0,5);
		$end                = explode(" ",$end_time);
		$info['end_date']   = $end[0];
		$info['end_time']   = substr($end[1],0,5);
		return $info;
	}

	/*
	@function:  产生日期数组
	@parameter: $id->    int  : 会议室id号
	@return:    $info->  Array   : 详细信息
	*/
	function meeting_calendar($room_id)
	{
		global $connection;
		$info   = array();
		$info[$room_id]['id']     = $room_id;
		$query  = "SELECT * FROM meeting_apply WHERE R_ID='".SecurityFilter($room_id)."'";
		$cursor = exequery($connection,$query);
		while($rows=mysql_fetch_array($cursor))
		{
			$apply_id     = $rows['A_ID'];
			$info[$room_id]['apply'][$apply_id]['state']           = $rows['A_STATE'];
			$info[$room_id]['apply'][$apply_id]['begin_time']      = $rows['A_BEGIN_TIME'];
			$info[$room_id]['apply'][$apply_id]['end_time']        = $rows['A_END_TIME'];
			$info[$room_id]['apply'][$apply_id]['apply_person']    = $this->person_name($rows['A_APPLY_PERSON']);
		}
		return json_encode($info[$room_id]);
	}
/*
@function:  获取当前月的开始时间和结束时间
@parameter: $date->     datetime  : 传入时间
@return:    $ret->      Array     : 时间所在月的开始和结束
*/
function getMonthRange($date)
{
     $ret = array();
     $timestamp    = strtotime($date);
     $mdays        = date('t',$timestamp);
     $ret['sdate'] = date('Y-m-1 00:00:00',$timestamp);
     $ret['edate'] = date('Y-m-'.$mdays.' 23:59:59',$timestamp);
     return $ret;
}

/*
@function:  显示冲突会议室
@return:    $num->          int  :冲突条数
*/
function room_conflict()
{
	global $connection;
	$info   = array();
	$id_subnum  = "";
	$apply_subnum = "";
	$query = "SELECT
r.R_ID,r.R_NAME,r.R_PHONE,r.R_SPACE,r.ATTACHMENT_ID,r.ATTACHMENT_NAME,a.A_ID,a.A_STATE,a.A_BEGIN_TIME,a.A_END_TIME,a.A_APPLY_PERSON FROM meeting_rooms r LEFT JOIN meeting_apply a ON r.R_ID=a.R_ID WHERE a.A_STATE=1 OR a.A_STATE=2";
	$cursor = exequery($connection,$query);
	while($rows=mysql_fetch_array($cursor))
	{
		$room_id    = $rows['R_ID'];
		$apply_id   = $rows['A_ID'];
		$info[$room_id]['id']     = $rows['R_ID'];
		$info[$room_id]['name']   = $rows['R_NAME'];
		$info[$room_id]['phone']  = $rows['R_PHONE'];
		$info[$room_id]['space']  = $rows['R_SPACE'];
		$info[$room_id]['ATTACHMENT_ID']    = $rows['ATTACHMENT_ID'];
		$info[$room_id]['ATTACHMENT_NAME']  = $rows['ATTACHMENT_NAME'];
		$info[$room_id]['apply'][$apply_id]['begin_time']       = $rows['A_BEGIN_TIME'];
		$info[$room_id]['apply'][$apply_id]['end_time']         = $rows['A_END_TIME'];
		$info[$room_id]['apply'][$apply_id]['apply_person']     = $this->person_name($rows['A_APPLY_PERSON']);
		$info[$room_id]['apply'][$apply_id]['state']            = $rows['A_STATE'];
		$info[$room_id]['apply'][$apply_id]['apply_id']         = $rows['A_ID'];
		$info[$room_id]['apply_id'] .= $apply_id.",";
		$id_subnum .= $room_id.",";
		$apply_subnum .= $apply_id.",";
	}
	$info['id_subnum'] = $id_subnum;
	$info['apply_subnum'] = $apply_subnum;
	return $info;
}
function compare_date($date)
{
	$info      = array();
	$id_subnum = explode(",",$date['id_subnum']);;
	$id_num    = array_unique($id_subnum);
	$id = "";
	foreach($id_num as $value)
	{
		if($value!='')
		$id .= $value.",";
	}
	$room_id = explode(",",$id);
	for($i=0;$i<count($room_id)-1;$i++)
	{
		$apply_id_str = $date[$room_id[$i]]['apply_id'];
		$apply_id     = explode(",",$apply_id_str);
		for($J=0;$J<count($apply_id)-1;$J++)
		{
			$start_time   = strtotime($date[$room_id[$i]]['apply'][$apply_id[$J]]['begin_time']);
			$end_time     = strtotime($date[$room_id[$i]]['apply'][$apply_id[$J]]['end_time']);
			$state        = $date[$room_id[$i]]['apply'][$apply_id[$J]]['state'];
			$apply_person = $date[$room_id[$i]]['apply'][$apply_id[$J]]['apply_person'];
			$applyID      = $date[$room_id[$i]]['apply'][$apply_id[$J]]['apply_id'];
			for($m=$J+1;$m<count($apply_id);$m++)
			{
				$com_start_time   = strtotime($date[$room_id[$i]]['apply'][$apply_id[$m]]['begin_time']);
				$com_end_time     = strtotime($date[$room_id[$i]]['apply'][$apply_id[$m]]['end_time']);
				$com_state        = $date[$room_id[$i]]['apply'][$apply_id[$m]]['state'];
				$com_apply_person = $date[$room_id[$i]]['apply'][$apply_id[$m]]['apply_person'];
				$com_applyID      = $date[$room_id[$i]]['apply'][$apply_id[$m]]['apply_id'];
				if(($start_time>=$com_start_time && $start_time<=$com_end_time) || ($end_time>$com_start_time && $end_time<$com_end_time) || ($com_start_time>$start_time && $com_start_time<$end_time) || ($com_end_time>$start_time && $com_end_time<$end_time))
				{
					if($state==2 && $com_state==2)
					{
					}
					else
					{
						$id_str .= $room_id[$i].",";
						$info[$room_id[$i]]['id']              = $date[$room_id[$i]]['id'];
						$info[$room_id[$i]]['name']            = $date[$room_id[$i]]['name'];
						$info[$room_id[$i]]['phone']           = $date[$room_id[$i]]['phone'];
						$info[$room_id[$i]]['space']           = $date[$room_id[$i]]['space'];
						$info[$room_id[$i]]['ATTACHMENT_ID']   = $date[$room_id[$i]]['ATTACHMENT_ID'];
						$info[$room_id[$i]]['ATTACHMENT_NAME'] = $date[$room_id[$i]]['ATTACHMENT_NAME'];
						$info[$room_id[$i]]['apply'][$apply_id[$J]]['begin_time']   = date("Y-m-d H:i:s",$start_time);
						$info[$room_id[$i]]['apply'][$apply_id[$J]]['end_time']     = date("Y-m-d H:i:s",$end_time);
						$info[$room_id[$i]]['apply'][$apply_id[$J]]['apply_person'] = $apply_person;
						$info[$room_id[$i]]['apply'][$apply_id[$J]]['state']        = $state;
						$info[$room_id[$i]]['apply'][$apply_id[$J]]['applyID']      = $applyID;
						$info[$room_id[$i]]['apply'][$apply_id[$m]]['begin_time']   = date("Y-m-d H:i:s",$com_start_time);
						$info[$room_id[$i]]['apply'][$apply_id[$m]]['end_time']     = date("Y-m-d H:i:s",$com_end_time);
						$info[$room_id[$i]]['apply'][$apply_id[$m]]['apply_person'] = $com_apply_person;
						$info[$room_id[$i]]['apply'][$apply_id[$m]]['applyID']      = $com_applyID;
					}
				}
			}
		}
	}
	$info['room_id'] = $id_str;
	return $info;
}
/*
@function:  显示冲突条数
@return:    $num->          int  :冲突条数
*/
function num_conflict()
{
	$conflict = array();
	$date = $this->room_conflict();
	$info = $this->compare_date($date);
	$id = explode(",",$info['room_id']);
	$arr = array_unique($id);
	$str = implode(',',$arr);
	$number = count(explode(",",$str));
	$id = explode(",",$str);
	$subnum = 0;
	$applyIDStr = "";
	for($I=0;$I<$number-1;$I++)
	{
		$room_id = $id[$I];
		$num = count($info[$room_id]['apply']);
		foreach($info[$room_id]['apply'] as $key=>$val)
		{
			$strid .= $key.",";
			foreach($info[$room_id]['apply'][$key] as $key2=>$val2){
				if($key2=="applyID"){
					$applyIDStr .= $val2.",";
				}
			}
		}
		$subnum += $num;
	}
	$conflict['subnum'] = $subnum;
	$conflict['room_id'] = $strid;
	$conflict['apply_id'] = $applyIDStr;
	return $conflict;
}
	/*
	@function:  检查车牌号是否重名
	@parameter: $string->    string : 检查重复的值
	@parameter: $string->    string : 对应的不同表
	@parameter:              int    : 重复的次数
	*/
	function meeting_checknum($name,$tablename)
	{
		global $connection;
		if($tablename=='room')
		{
			$sql = "SELECT COUNT(*) FROM meeting_rooms WHERE R_NAME=\"".SecurityFilter(dhtmlspecialchars(stripslashes($name)))."\"";
		}
		else if($tablename=='equiptment')
		{
			$sql = "SELECT COUNT(*) FROM meeting_equipment WHERE E_NAME=\"".SecurityFilter(dhtmlspecialchars(stripslashes($name)))."\"";
		}
		$num = exequery($connection, $sql);
		if($row = mysql_fetch_array($num))
		{
			return $row[0];
		}
	}

	/*
	@function:  判断是否正在审核
	@parameter: $apply_id->      int    : 申请ID
	@return:    $info->          string :审核时间
	*/
	function check_examine($apply_id)
	{
		global $connection;
		$query    = "SELECT A_CHECK_TIME FROM meeting_apply WHERE A_ID='".SecurityFilter($apply_id)."'";
		$cursor   = exequery($connection,$query);
		if($ROW=mysql_fetch_array($cursor))
		{
			return $ROW['A_CHECK_TIME'];
		}
	}
	/*
	@function:  判断权限
	@parameter: $apply_id->      int    : 记录ID
	@parameter: $diff->          string : read阅读权限；edit编辑权限；examine审核权限
	@return:    true有权限；false无权限
	*/
	function MeetLimitsPower($apply_id,$diff)
	{
		global $connection,$_SESSION;
		$LOGIN_USER_ID = $_SESSION['LOGIN_USER_ID'];
		//判断登录人是否有审核权限
		$sql_check = "SELECT COUNT(*) FROM user_priv,USER
						WHERE user.USER_PRIV=user_priv.USER_PRIV
						AND user.USER_ID='".SecurityFilter($LOGIN_USER_ID)."'
						AND  INSTR(FUNC_ID_STR,',703,') > 0
						AND user.DEPT_ID > 0";
		$check     = exequery($connection,$sql_check);
		if($row=mysql_fetch_array($check))
		{
			$exist =  $row[0];
		}
		if($diff=='read')
		{
			$query    = "SELECT A_APPLY_PERSON,A_JOIN_PERSON FROM meeting_apply WHERE A_ID='".SecurityFilter($apply_id)."'";
			$cursor   = exequery($connection,$query);
			if($ROW=mysql_fetch_array($cursor))
			{
				$apply_person = $ROW["A_APPLY_PERSON"];
				$join_person  = $ROW["A_JOIN_PERSON"];
			}
			$person = $apply_person.",".$join_person;
			$show = strstr($person,$LOGIN_USER_ID.",");
			if($show!=false || $exist>0)
				return true;
			else
				return false;
		}
		else if($diff=='edit')
		{
			$query    = "SELECT A_APPLY_PERSON FROM meeting_apply WHERE A_ID='".SecurityFilter($apply_id)."'";
			$cursor   = exequery($connection,$query);
			if($ROW=mysql_fetch_array($cursor))
			{
				$apply_person = $ROW["A_APPLY_PERSON"];
			}
			if($apply_person==$LOGIN_USER_ID)
				return	true;
			else
				return false;
		}
		else if($diff=='examine')
		{
			if($exist>0)
				return true;
			else
				return false;
		}
	}
	/*
	@function:  查找单条数据
	@parameter: $tablename->    string: 数据库表名
	@parameter: $dataId->       string: 数据ID
	@return:    $dataInfor->    array : 字段数组
	*/
	function meetingsSearchSingleData($tablename,$consql){
		global $connection;
		$sql = "SELECT * FROM ".SecurityFilter($tablename)." WHERE 1 ".$consql;
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($rs)){
			$dataInfor = $row;
		}
		return $dataInfor;
	}
	/*
	@function:  查找多条数据
	@parameter: $tablename->    string: 数据库表名
	@parameter: $dataId->       string: 数据ID
	@return:    $dataInfor->    array : 字段数组
	*/
	function meetingsSearchManyData($tablename,$sql){
		global $connection;
		$sql = "SELECT * FROM ".SecurityFilter($tablename)." WHERE 1 ".$sql;
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs)){
			$dataInfor[] = $row;
		}
		return $dataInfor;
	}
	/*
	@function:  新建数据（新）
	@parameter: $tablename->    string: 数据库表名
	@parameter: $dataId->       string: 数据ID
	@return:    $dataInfor->    array : 字段数组
	*/
	function meetings_CreateData($dataInfor,$tablename){
		global $connection;
		switch($tablename){
			case "meeting_apply":
				$sql = "INSERT INTO meeting_apply (
						  R_ID,
						  A_SUBJECT,
						  A_APPLY_PERSON,
						  A_JOIN_PERSON,
						  A_OTHER_JOIN,
						  A_TYPE,
						  A_BEGIN_TIME,
						  A_END_TIME,
						  A_REMARK,
						  A_STATE,
						  ATTACHMENT_ID,
						  ATTACHMENT_NAME,
						  SMS_REMIND,
						  SMSTEL_REMIND,
						  EMAIL_REMIND,
						  FALSE_DELETE,
						  A_REQUEST_TIME
						)
						VALUES
						  (
							'".SecurityFilter($dataInfor["R_ID"])."',
							'".SecurityFilter($dataInfor["A_SUBJECT"])."',
							'".SecurityFilter($dataInfor["A_APPLY_PERSON"])."',
							'".SecurityFilter($dataInfor["A_JOIN_PERSON"])."',
							'".SecurityFilter($dataInfor["A_OTHER_JOIN"])."',
							'".SecurityFilter($dataInfor["A_TYPE"])."',
							'".SecurityFilter($dataInfor["A_BEGIN_TIME"])."',
							'".SecurityFilter($dataInfor["A_END_TIME"])."',
							'".SecurityFilter($dataInfor["A_REMARK"])."',
							'".SecurityFilter($dataInfor["A_STATE"])."',
							'".SecurityFilter($dataInfor["ATTACHMENT_ID"])."',
							'".SecurityFilter($dataInfor["ATTACHMENT_NAME"])."',
							'".SecurityFilter($dataInfor["SMS_REMIND"])."',
							'".SecurityFilter($dataInfor["SMSTEL_REMIND"])."',
							'".SecurityFilter($dataInfor["EMAIL_REMIND"])."',
							'".SecurityFilter($dataInfor["FALSE_DELETE"])."',
							'".SecurityFilter($dataInfor["A_REQUEST_TIME"])."'
						  )";
			break;
			case 'meeting_recorde':
				$sql = "INSERT INTO meeting_recorde (C_A_ID, C_PERSON, C_TIME, C_CONTENT, ATTACHMENT_ID, ATTACHMENT_NAME)
						VALUES
						  (
							'".SecurityFilter($dataInfor['C_A_ID'])."',
							'".SecurityFilter($dataInfor['C_PERSON'])."',
							'".SecurityFilter($dataInfor['C_TIME'])."',
							'".SecurityFilter($dataInfor['C_CONTENT'])."',
							'".SecurityFilter($dataInfor['ATTACHMENT_ID'])."',
							'".SecurityFilter($dataInfor['ATTACHMENT_NAME'])."'
						  )";
			break;
		}
		exequery($connection,$sql);
		$insertid = mysql_insert_id();
		return $insertid;
	}
	/*
	@function:  编辑数据（新）
	@parameter: $tablename->    string: 数据库表名
	@parameter: $dataId->       string: 数据ID
	@return:    $dataInfor->    array : 字段数组
	*/
	function meetings_EditData($dataInfor,$tablename,$editid){
		global $connection;
		switch($tablename){
			case "meeting_apply":
				$sql = "UPDATE
						  meeting_apply
						SET
						  R_ID = '".SecurityFilter($dataInfor["R_ID"])."',
						  A_SUBJECT = '".SecurityFilter($dataInfor["A_SUBJECT"])."',
						  A_APPLY_PERSON = '".SecurityFilter($dataInfor["A_APPLY_PERSON"])."',
						  A_JOIN_PERSON = '".SecurityFilter($dataInfor["A_JOIN_PERSON"])."',
						  A_OTHER_JOIN = '".SecurityFilter($dataInfor["A_OTHER_JOIN"])."',
						  A_TYPE = '".SecurityFilter($dataInfor["A_TYPE"])."',
						  A_BEGIN_TIME = '".SecurityFilter($dataInfor["A_BEGIN_TIME"])."',
						  A_END_TIME = '".SecurityFilter($dataInfor["A_END_TIME"])."',
						  A_REMARK = '".SecurityFilter($dataInfor["A_REMARK"])."',
						  ATTACHMENT_ID = '".SecurityFilter($dataInfor["ATTACHMENT_ID"])."',
						  ATTACHMENT_NAME = '".SecurityFilter($dataInfor["ATTACHMENT_NAME"])."',
						  SMS_REMIND = '".SecurityFilter($dataInfor["SMS_REMIND"])."',
						  SMSTEL_REMIND = '".SecurityFilter($dataInfor["SMSTEL_REMIND"])."',
						  EMAIL_REMIND = '".SecurityFilter($dataInfor["EMAIL_REMIND"])."'
						WHERE A_ID = '".SecurityFilter($editid)."' ";
			break;
		}
		exequery($connection,$sql);
		return $editid;
	}

}











?>
