<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         api/news.class.php
 *@function:         新闻
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-23
 *@file Version:     2.0
 *@eoffice Version:  8.0
*/
include_once ("inc/function_picture.php");
class news{
	var $default_limit = 20;
	var $default_start = 0;
	function __construct(){
		
	}
	
	/*
	@function:  获取新闻总数量
	@parameter: 无
	@return:    $amount->       string   :新闻的数量
	*/
	function getNewsAmount(){
		global $connection;
		$sql = "SELECT COUNT(NEWS_ID) AS CNT FROM news WHERE PUBLIC = 1 ";
		$rs = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$amount = $row["CNT"];
		return $amount;
	}
	
	/*
	@function:  获取新闻数量(webservice)
	@parameter: $search array
	@return:    $amount->       string   :新闻的数量
	*/
	function GetNewsCount($search=array()){
		global $connection;
		$sql = "SELECT COUNT(NEWS_ID) AS CNT FROM news WHERE PUBLIC = 1 ";
		if($search["NewsSubject"]!="")
		{
			$sql .= " AND SUBJECT like '%".SecurityFilter($search["NewsSubject"])."%'";	
		}
		if($search["NewsSort"]!="")
		{
			$sql .= " AND NEWS_TYPE_ID='".SecurityFilter($search["NewsSort"])."'";
		}
		$rs = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$amount = $row["CNT"];
		return $amount;
	}
    public function getAllTypeCount($userId){
        global $connection;
        $query = "SELECT NEWS_TYPE_ID ,count(NEWS_TYPE_ID) as count FROM news WHERE (PUBLIC = 1 OR (PROVIDER = '$userId' AND (PUBLIC = 0  OR PUBLIC = 2) ) ) GROUP BY NEWS_TYPE_ID";
        $rs = exequery($connection,$query);
        $count = array();
        if($rs){
            while($row = mysql_fetch_array($rs)){
                $count[$row['NEWS_TYPE_ID']] = $row['count'];
            }
        }
        return $count;
    }
     /**
     * 获取新闻类型列表
     * @param  array  $whereInfor [description]
     * @return [type]             [description]
     */
    function getAllNewType($whereInfor = array() , $includeDetail = false) {
        global $connection;
        
        $query = "SELECT NEWS_TYPE_ID,NEWS_TYPE_NAME,NEWS_TYPE_PRO,NEWS_TYPE_PARENT FROM news_types 
                  WHERE 1=1 ";
        if ($whereInfor['search']) {
            foreach ($whereInfor['search'] as $key => $value) {
                $query.= " AND " . SecurityFilter($value[0]) . SecurityFilter($value[1]) . "'" . SecurityFilter($value[2]) . "'";
            }
        }
        
        if ($whereInfor["limit"]) {
            $query.= " LIMIT " . SecurityFilter($whereInfor["limit"]) . "," . SecurityFilter($whereInfor["rows"]);
        }
        
        $query.= " ORDER BY NEWS_TYPE_ID";
        
        $result = exequery($connection, $query);
        
        $chargeTypeList = array();
        while ($row = mysql_fetch_assoc($result)) {
            $chargeTypeParent = $row['NEWS_TYPE_PARENT'];
            $chargeTypeID = $row['NEWS_TYPE_ID'];
            
            if ($chargeTypeParent == 0) {
                $chargeTypeList[$chargeTypeID] = $row;
                $chargeTypeList[$chargeTypeID]["lazySubItems"] = array();
            }else {    
                array_push($chargeTypeList[$chargeTypeParent]["lazySubItems"], $row);
            }
        }
        
        
        return $chargeTypeList;
    }
	/*
	@function:  获取新闻类别信息(webservice)
	@parameter: $search array
	@return:    $amount->       string   :新闻的数量
	*/
	function GetNewsSortInformation($SortId=""){
		global $connection;
		$Infor = array();
		$result = array();
		$sql = "SELECT * FROM news_types WHERE 1 ";
		if($SortId!="")
		{
			$sql .= " AND NEWS_TYPE_ID='".SecurityFilter($SortId)."'";	
		}
		$sql .= " ORDER BY NEWS_TYPE_PRO ASC";
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_array($rs))
		{
			$Infor["NEWS_TYPE_ID"]   = $row["NEWS_TYPE_ID"];
			$Infor["NEWS_TYPE_NAME"] = $row["NEWS_TYPE_NAME"];
			$Infor["NEWS_TYPE_PRO"]  = $row["NEWS_TYPE_PRO"];
			$Infor["count"]          = $this->getNewsCountByType($row["NEWS_TYPE_ID"]);     
			array_push($result,$Infor);
		}
		return $result;
	}	

	/**
	*@function  获取新闻类别数量
	*@param     $typeId
	*@return    $nums
	*/
	function getNewsCountByType($NewsType) {
		global $connection;
		$query = "SELECT count(*) as count FROM news WHERE 1 AND PUBLIC='1' AND NEWS_TYPE_ID='".SecurityFilter($NewsType)."'";
		$res   = exequery($connection,$query);
        $row = mysql_fetch_array($res);
		return $row['count'];
	}
	
	/*
	@function:  获取新闻信息(new)
	@parameter: $searchArray->    Array  :要查询的新闻信息
				$otherArray->     Array  :查询条件及排序和显示方式
	@return:    $newsData->       Array  :新闻的详细信息
	*/
	public function getNewsDataList($searchArray,$otherArray) {
		global $connection,$_lang;

		if (!$otherArray['start']){
			$otherArray['start'] = 0;
		}

		if (!$otherArray['limit']){
			$otherArray['limit'] = 1000;
		}

		if (!$otherArray['term']){
			$otherArray['term'] = "or";
		}

		// 查询条件
		$term = ($otherArray['term'] == "or")?"OR":"AND";
		$sql  = "SELECT * FROM news WHERE 1 ";
		if($searchArray['key_nname']){
			$match .= $term." SUBJECT LIKE '%".SecurityFilter($searchArray['key_pname'])."%' ";
		} 	
		//新闻类别
		if($searchArray['news_type']) {
			$match .= $term." NEWS_TYPE_ID='".SecurityFilter($searchArray['news_type'])."'";
		}
		//获取审核列表
		if($searchArray['inspect']) {
			$match .= $term." PUBLIC='".SecurityFilter($searchArray['inspect'])."'";
		}
		

		if($searchArr['NEWS_TIME']) {
			switch($searchArr['NEWS_TIME']) {
				case "all":
					break;
				case "days":
					$match .= SecurityFilter($term)." NEWS_TIME<=CURDATE() AND NEWS_TIME>=DATE_SUB(CURDATE(),INTERVAL 2 DAY)";
					break;
				case "weeks":
					$match .= SecurityFilter($term)." NEWS_TIME<=CURDATE() AND NEWS_TIME>=DATE_SUB(CURDATE(),INTERVAL 6 DAY)";
					break;
				case "months":
					$match .= SecurityFilter($term)." NEWS_TIME<=CURDATE() AND NEWS_TIME>=DATE_SUB(CURDATE(),INTERVAL 29 DAY)";
					break;
			}
		}

		if($term == "AND"){
			$sqlt .= " AND ( 1=1 ".SecurityFilter($match)." )";
		} elseif($term == "OR" && $match != ""){
			$sqlt .= " AND ( 1=2 ".SecurityFilter($match)." )";
		}
		
		//排序
		switch($otherArray['orderby']){
			case 'nname':
				$bystr = "SUBJECT";
				break;
			case 'ntime':
				$bystr = "NEWS_TIME";
				break;
			case 'SUBJECT':
				$bystr = "SUBJECT";
				break;
			case 'CLICK_COUNT':
				$bystr = "CLICK_COUNT";
				break;
			case 'NEWS_TIME':
				$bystr = "NEWS_TIME";
				break;
			case 'NEWS_PROVIDER':
				$bystr = "NEWS_PROVIDER";
				break;
			default:
				$bystr = "NEWS_ID";
				break;
		}

		switch($otherArray['ordertype']){
			case 'ASC':
				$bytype = " ASC ";
				break;
			case 'DESC':
				$bytype = " DESC ";
				break;
			default:
				$bytype = " ASC ";
				break;
		}

		$sqla = "SELECT COUNT(*) AS cnt FROM news WHERE (1) ".$sqlt;
		$rsa  = exequery($connection,$sqla);
		$rowa = mysql_fetch_array($rsa);
		$amount = $rowa['cnt'];

		$start = $otherArray['start']?$otherArray['start']:0;
		$limit = $otherArray['limit']?$otherArray['limit']:20;
		if($start>=$amount)
		{
			$start = max(0,$start-$limit);
		}
		$range = " LIMIT ".$start.",".$limit;
		$order = " ORDER BY ".$bystr." ".$bytype;
		$sql   = $sql.$sqlt.$order.$range;		
		$rs    = exequery($connection,$sql);
		$i 	   = 0;
		while($row = mysql_fetch_array($rs)) {
			$ar[$i]['NEWS_ID']     = $row['NEWS_ID'];
			$ar[$i]['SUBJECT']     = $row['SUBJECT'];
			$ar[$i]['PROVIDER']    = $row['PROVIDER'];
			$ar[$i]['USER_PRIV']   = $row['USER_PRIV'];
			$ar[$i]['NEWS_TIME']   = $row['NEWS_TIME'];
			$ar[$i]['CLICK_COUNT'] = $row['CLICK_COUNT'];
			$ar[$i]['CONTENT'] 	   = $row['CONTENT'];
			$ar[$i]['ATTACHMENT_ID']   = $row['ATTACHMENT_ID'];
			$ar[$i]['ATTACHMENT_NAME'] = $row['ATTACHMENT_NAME'];
			$ar[$i]['PUBLIC']          = $row['PUBLIC'];
			$newsReply = $this->GetNewsReply($row['NEWS_ID']);
			$ar[$i]['NEWS_NUM']    = $newsReply["count"]!=""?$newsReply["count"]:"0";
			$ar[$i]['NEWS_STATUS'] = $row["PUBLIC"];
			$ar[$i]['NEWS_TYPE']   = $row["NEWS_TYPE_ID"];
			$newsTypeInfo          = $this->GetNewsSortInformation($row["NEWS_TYPE_ID"]);
			$ar[$i]['NEWS_TYPE_NAME'] = $newsTypeInfo[0]["NEWS_TYPE_NAME"]!=''?$newsTypeInfo[0]["NEWS_TYPE_NAME"]:$_lang["news_no_category_news"];
			$i++;		
		}

		$rear['amount'] = $amount;
		$rear['list']   = $ar;
		return $rear;
	}

	/*
	@function:  获取新闻信息(old,目前手机版正在使用)
	@parameter: $limit->          string  :每页显示的条数
				$start->          string  :当前页从第几条开始显示
				$newsid->         string  :需要获取新闻的ID号
	@return:    $newsData->       Array   :新闻的详细信息
	*/
	function getNewsInfo($limit=0,$start=0,$newsid="",$search=array()) {
		global $connection;
		$limit = $limit>0?$limit:$this->default_limit;
		$start = $start>0?$start:$this->default_start;
		if($newsid == "") {
			$sql = "SELECT * FROM news WHERE PUBLIC = 1 ";
		} else {
			$sqlPar = $this->returnSqlPar($newsid);
			$sql    = "SELECT * FROM news WHERE NEWS_ID IN (".$sqlPar.") AND PUBLIC = 1 ";
		}
		
		if($search["NewsSubject"]!="")
		{
			$sql .= " AND SUBJECT like '%".SecurityFilter($search["NewsSubject"])."%'";	
		}
		if($search["NewsSort"]!="")
		{
			$sql .= " AND NEWS_TYPE_ID='".SecurityFilter($search["NewsSort"])."'";
		}
		if($search["NEWSID"] != "") {
			$sql .= " AND NEWS_ID='".SecurityFilter($search["NEWSID"])."'";
		}
		$sql .= "ORDER BY PUTIP DESC,NEWS_TIME DESC LIMIT ".SecurityFilter($start).",".SecurityFilter($limit)."";
		$rs   = exequery($connection,$sql);
		$i    = $start;
		while($row = mysql_fetch_array($rs)){
  			$newsData[$i]['NEWS_ID']       = $row['NEWS_ID'];
			$newsData[$i]['SUBJECT']       = $row['SUBJECT'];
			$newsData[$i]['PROVIDER']      = $row['PROVIDER'];
			$newsData[$i]['PROVIDER_NAME'] = "";
			if($newsData[$i]['PROVIDER']!="")
			{
				$sql_name = "SELECT USER_NAME FROM user 
								WHERE USER_ID='".$newsData[$i]['PROVIDER']."'";
				$rs_name  = exequery($connection,$sql_name);
				$row_name = mysql_fetch_array($rs_name);
				$newsData[$i]['PROVIDER_NAME'] = $row_name['USER_NAME'];
			}
			$newsData[$i]['USER_PRIV']       = $row['USER_PRIV'];
			$newsData[$i]['NEWS_TIME']       = $row['NEWS_TIME'];
			$newsData[$i]['CLICK_COUNT']     = $row['CLICK_COUNT'];
			$newsData[$i]['CONTENT']         = $row['CONTENT'];
			$newsData[$i]['ATTACHMENT_ID']   = $row['ATTACHMENT_ID'];
			$newsData[$i]['ATTACHMENT_NAME'] = $row['ATTACHMENT_NAME'];
			$newsData[$i]['NEWS_TYPE_ID']    = $row['NEWS_TYPE_ID'];
			$newsData[$i]['ALLOW_REPLY']     = $row['ALLOW_REPLY'];
			$newsData[$i]['news_reader']     = $row['news_reader'];
			$newsData[$i]['PICTURE_DIR']     = "";
			if($newsData[$i]["ATTACHMENT_ID"]!=""){
				global $ATTACH_PATH;
				$img_src     = "/attachment/".$row['ATTACHMENT_ID']."/".$row['ATTACHMENT_NAME'];
				$source_src  = ROOT_PATH.$img_src;
				$source_src1 = iconv("utf-8","gbk",$source_src);
				//为了兼容流程创建新闻时，从流程的fck里取图片，做特殊处理
				$img_src_alb     = "/attachment/album/".$row['ATTACHMENT_ID']."/".$row['ATTACHMENT_NAME'];
				$source_src_alb  = ROOT_PATH.$img_src_alb;
				$source_src_alb1 = iconv("utf-8","gbk",$source_src_alb);
				if(is_file($source_src1) || is_file($source_src_alb1))
				{
					if(is_file($source_src1))
					{
						$source_src_new = $source_src;
						$img_src_new = $img_src;
					} else if(is_file($source_src_alb1)) {
						$source_src_new = $source_src_alb;
						$img_src_new = $img_src_alb;
					}
					$ImgSrc          = createJpeg3($source_src_new,$row['ATTACHMENT_NAME'],"200","198",$row['ATTACHMENT_ID']);
					$Imageurl        = parse_url($ImgSrc);
					$ShowImgSrc      = $Imageurl["path"];
					$newsData[$i]['PICTURE_DIR'] = $ShowImgSrc;
				} else {
					$newsData[$i]['PICTURE_DIR'] = "";	
				}
			}
			if($newsid!="")
			{
				$newsData[$i]['CLICK_COUNT']++;
				$query1 = "update NEWS set CLICK_COUNT='".SecurityFilter($newsData[$i]['CLICK_COUNT'])."' 
							where NEWS_ID='".SecurityFilter($newsData[$i]['NEWS_ID'])."'";
    			exequery($connection,$query1);	
			}
			$i++;
		}		
		return $newsData;
	}
	
	/*
	@function:  获取单条新闻(webservice)
	@parameter: $newsid->       Sting   :新闻的ID
	@return:    $newsData->     Array   :新闻的详细信息
	*/
	function GetSingalNewsDetail($newsid)
	{
		global $connection;
		$sql = "SELECT * FROM news n,user u WHERE 1 AND n.PROVIDER=u.USER_ID AND NEWS_ID='".SecurityFilter($newsid)."'";
		$rs  = exequery($connection,$sql);
		$newsData = array();
		while($row = mysql_fetch_assoc($rs))
		{
			$newsData[] = $row;	
		}
		return $newsData;	
	}
	
	/*
	@function:  获取新闻回复(webservice)
	@parameter: $newsid->         string  :需要获取新闻的ID号
	@return:    $Data->           Array   :回复的信息
	*/
	function GetNewsReply($newsid)
	{
		global $connection;
		$sql = "SELECT * FROM news_comment nc,USER u WHERE u.USER_ID=nc.USER_ID AND NEWS_ID='".SecurityFilter($newsid)."' ORDER BY RE_TIME ASC";
		$rs  = exequery($connection,$sql);
		$replyCount = mysql_num_rows($rs);
		$Data = array();
		while($row = mysql_fetch_assoc($rs))
		{
			$Data[] = $row;	
		}
		$Data["count"] = $replyCount;
		return $Data;
	}
	/**
     * 获取新闻评论和回复
     */
    public function getNewsCommentAndReply($newsid){
        global $connection;
		$sql = "SELECT * FROM news_comment nc,USER u WHERE u.USER_ID=nc.USER_ID AND PARENT_ID=0 AND NEWS_ID='".SecurityFilter($newsid)."' ORDER BY RE_TIME DESC";
		$rs  = exequery($connection,$sql);
		$replyCount = mysql_num_rows($rs);
		$Data = array();
		while($row = mysql_fetch_assoc($rs))
		{
			$Data[] = $row;	
            $temp = $this->getCommentReply($row['COMMENT_ID'],$newsid);
            $Data = array_merge($Data,$temp);
		}
		$Data["count"] = sizeof($Data);
		return $Data;
    }
    public function getCommentReply($commentId = 0,$newId){
        global $connection;
        if($commentId == 0){
            return false;
        }
        $sql = "SELECT * FROM news_comment nc,USER u WHERE u.USER_ID=nc.USER_ID AND PARENT_ID='".SecurityFilter($commentId)."' AND NEWS_ID='".SecurityFilter($newId)."' ORDER BY RE_TIME ASC";
		$rs  = exequery($connection,$sql);
        $data = array();
		while($row = mysql_fetch_assoc($rs))
		{
			$data[] = $row;	
		}
        return $data;
    }
	/*
	@function:  获取新闻上级回复(webservice)
	@parameter: $newsid->         string  :需要获取新闻的ID号
	@return:    $Data->           Array   :回复的信息
	*/
	function GetNewsUpReply($parentid)
	{
		global $connection;
		$sql = "SELECT * FROM news_comment WHERE COMMENT_ID='".SecurityFilter($parentid)."'";
		$rs  = exequery($connection,$sql);
		$Data = array();
		if($row = mysql_fetch_assoc($rs))
		{
			$Data[] = $row;	
		}
		return $Data;
	}	

	/*
	@function:  新闻的翻篇
	@parameter: $newsid->                string  :当前所看新闻的ID号
				$flag->                  string  :传进的值是"next"或者"pre"
	@return:    $newsData->              Array   :新闻的详细信息
	*/
	function getPreNextNews($newsid,$flag="next"){
		global $connection;
		if($newsid){
			$sql = "SELECT NEWS_TIME,PUTIP FROM news WHERE NEWS_ID=".SecurityFilter($newsid);
			$rs = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$newstime = $row["NEWS_TIME"];
			$putip = $row["PUTIP"];
			switch ($flag){
				case "next":
					if($putip == 1){
						$asc = "PUTIP ASC,";
					}
					else{
						$asc = "";
					}
					$sql = "SELECT NEWS_ID,SUBJECT FROM news WHERE PUBLIC = 1 AND NEWS_TIME>'".SecurityFilter($newstime)."' ORDER BY ".SecurityFilter($asc)."NEWS_TIME ASC LIMIT 0,1";
					break;
				case "pre":
					if($putip == 1){
						$desc = "PUTIP DESC,";
					}
					else{
						$desc = "";
					}
					$sql = "SELECT NEWS_ID,SUBJECT FROM news WHERE PUBLIC = 1 AND NEWS_TIME>'".SecurityFilter($newstime)."' ORDER BY ".SecurityFilter($desc)."NEWS_TIME DESC LIMIT 0,1";
					break;
			}
			$rs = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$renewsid = $row["NEWS_ID"];
			$resubject = $row["SUBJECT"];
		}
		$newsData["newsid"] = $renewsid;
		$newsData["subject"] = $resubject;
		return $newsData;
	}
	/*
	@function:  获取新闻未读数量(webservice)
	@parameter: $UserId->            string   :用户ID号
	@return:    $Sum->               int   :返回未读信息总数
	*/
	public function NewUnreadSum($UserId)
	{
		global $connection;
		$sql = "SELECT COUNT(*) FROM news WHERE (news_reader NOT LIKE '%".SecurityFilter($UserId).",%' OR news_reader IS NULL) AND PUBLIC='1'";
		$rs  = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		return $row[0];
	}
	
	/*
	@function:  添加新闻阅读人员(webservice)
	@parameter: $UserId->            string   :用户ID号
	@return:    $Sum->               int   :返回未读信息总数
	*/
	public function AddNewsReader($NewsId,$UserId)
	{
		global $connection;
		$query   = "SELECT * FROM news WHERE NEWS_ID='".SecurityFilter($NewsId)."'";
		$search  = exequery($connection,$query);
		$ROW     = mysql_fetch_array($search);
		$READERS = $ROW["news_reader"];
		if(!strstr($READERS,$UserId.","))
		{
			$Reader = $READERS.$UserId.",";
			$sql = "UPDATE news SET news_reader='".SecurityFilter($Reader)."' WHERE NEWS_ID='".SecurityFilter($NewsId)."'";
			if(exequery($connection,$sql))
			{
				return true;	
			} else {
				return false;	
			}	
		} else {
			return true;	
		}
	}	
	
	/*
	@function:  格式化新闻ID号
	@parameter: $pars->              string   :需要重新调整的ID号
	@return:    $sqlPar->            string   :返回能够被查询的ID号
	*/
	private function returnSqlPar($pars){
		$sqlPar = is_array($pars)?implode(",",$pars):$pars;
		if (substr($sqlPar,-1,1) == ","){
			$sqlPar = substr($sqlPar,0,strlen($sqlPar)-1);
		}
		
		$sqlPar = "'".str_replace(",","','",$sqlPar)."'";
		return $sqlPar;
	}
	
	/*
	@function:  新闻权限判断
	@parameter: $pars->   string OR arary :需要判断的新闻ID号
	@return:    $sqlPar-> string OR array :返回有权限的新闻ID号
	*/
	function newsAccessControl($pars)
	{
		global $connection;
		$news_id_str = array();
		if(!is_array($pars))
			$news_id_arr = $pars;
		else
			$news_id_arr = join(",",$pars);
		$query = "SELECT NEWS_ID FROM NEWS WHERE PUBLIC = 1 AND NEWS_ID in ($news_id_arr)";
		$result = exequery ( $connection, $query );
		while($row = mysql_fetch_array($result))
		{
			$news_id_str[] = $row["NEWS_ID"];
		}
		return $news_id_str;
	}

	/*
	@function:  获取新闻信息(new)
	@parameter: $searchArray->    Array  :要查询的新闻信息
				$otherArray->     Array  :查询条件及排序和显示方式
	@return:    $newsData->       Array  :新闻的详细信息
	*/
	public function getNewsList($searchArray,$otherArray,$fieldArray = array()) {
		global $connection;
		// 查询条件
        if(empty($fieldArray)){
            $fieldStr = 'n.*';
        }else{
            $fieldStr = '';
            foreach($fieldArray as $k => $v){
                $fieldStr .= 'n.'.$v.',';
            }
            $fieldStr  = substr($fieldStr,0,strrpos($fieldStr,','));
        }
		if($searchArray["provider"] == "admin") {
			$sql = "SELECT $fieldStr,u.USER_NAME as PROVIDER_NAME FROM news n,user u 
					    WHERE 1 AND n.PROVIDER=u.USER_ID ";
		} else {
			$sql = "SELECT $fieldStr,u.USER_NAME as PROVIDER_NAME FROM news n,user u 
					    WHERE 1 AND n.PROVIDER=u.USER_ID 
						AND PROVIDER='".SecurityFilter($searchArray["provider"])."'";
		}
		if($searchArray['key_nname']){
			$sql .= " AND SUBJECT LIKE '%".SecurityFilter($searchArray['key_nname'])."%' ";
		} 	
		//新闻类别
		if($searchArray['news_type']) {
			$sql .= " AND NEWS_TYPE_ID='".SecurityFilter($searchArray['news_type'])."'";
		}
		//获取审核列表
		if($searchArray['inspect']) {
			$sql .= " AND PUBLIC='".SecurityFilter($searchArray['inspect'])."'";
		}
        if($searchArray["FILTER"]){
            switch($searchArray["FILTER"]) 
            {
                case "unread":
                    $sql .= " AND NOT FIND_IN_SET('".SecurityFilter($searchArray["USERID"])."',news_reader)";
                    break;
                case 'read':
                    $sql .= " AND FIND_IN_SET('".SecurityFilter($searchArray["USERID"])."',news_reader)";
                    break;
                case "day":
                    $sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 3
    DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
                    break;
                case "week":
                    $sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 6
    DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
                    break;
                case "month":
                    $sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 30
    DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
                    break;		
            }
        }
        
		//排序
		switch($otherArray['orderby'])
		{
			case 'SUBJECT':
				$bystr = "SUBJECT";
				break;
			case 'CLICK_COUNT':
				$bystr = "CLICK_COUNT";
				break;
			case 'NEWS_TIME':
				$bystr = "NEWS_TIME";
				break;
			case 'NEWS_PROVIDER':
				$bystr = "NEWS_PROVIDER";
				break;
			default:
				$bystr = "PUTIP";
				break;
		}

		switch($otherArray['ordertype'])
		{
			case 'ASC':
				$bytype = " ASC ";
				break;
			case 'DESC':
				$bytype = " DESC ";
				break;
			default:
				$bytype = " ASC ";
				break;
		}
		$bytype .= ",NEWS_ID DESC ";
		$order = " ORDER BY ".SecurityFilter($bystr)." ".SecurityFilter($bytype);		
		$start = $otherArray['start']?$otherArray['start']:0;
		$limit = $otherArray['limit']?$otherArray['limit']:20;
		$range = " LIMIT ".$start.",".$limit;
		$sql   = $sql.$order.$range;
		$rs    = exequery($connection,$sql);
		$newsList = array();
		while($row = mysql_fetch_array($rs)) {
			array_push($newsList,$row);
		}
		return $newsList;
	}
	
	/**
	*@function 获取新闻类别
	*
	*/
	function GetNewsTypeInfor($typeId="") {
		global $connection;
		$sqls  = $typeId != ""?" AND NEWS_TYPE_ID='".SecurityFilter($typeId)."'":"";
		$query = "SELECT NEWS_TYPE_ID,NEWS_TYPE_NAME FROM news_types WHERE 1".SecurityFilter($sqls);
		$res   = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			$typeInfos[$row["NEWS_TYPE_ID"]] = $row["NEWS_TYPE_NAME"];
		}
		return $typeInfos;
	}

	/**
	*@function 删除新闻
	*
	*/
	function DelNews($newsId,$batchFlag) {
		global $connection;
		$query  = "DELETE FROM news WHERE 1";
		$query .= $batchFlag!=""?" AND NEWS_ID IN('".SecurityFilter(str_replace(",","','",$newsId))."')":" AND NEWS_ID='".SecurityFilter($newsId)."'";
		exequery($connection,$query);
		return true;
	}

	/**
	*@function 新闻置顶/取消置顶
	*
	*/
	function PutipNews($newsId,$putipOpt) {
		global $connection;
		$putipValue = $putipOpt == "putip"?"1":"0";
		$query = "UPDATE news SET PUTIP='".SecurityFilter($putipValue)."',TOP_TIME=null WHERE NEWS_ID='".SecurityFilter($newsId)."'";
		exequery($connection,$query);
		return true;
	}

	/*
	@function:  获取新闻评论
	@parameter: $newsid->         string  :需要获取新闻的ID号
	@return:    $Data->           Array   :回复的信息
	*/
	function GetNewsComment($newsId)
	{
		global $connection;
		$sql = "SELECT * FROM news_comment nc,USER u 
					WHERE u.USER_ID=nc.USER_ID 
					AND PARENT_ID=0
					AND NEWS_ID='".SecurityFilter($newsId)."' ORDER BY RE_TIME DESC";
		$rs  = exequery($connection,$sql);
		$replyCount = mysql_num_rows($rs);
		$replyInfo = array();
		while($row = mysql_fetch_assoc($rs))
		{
			array_push($replyInfo,$row);	
		}

		return $replyInfo;
	}
    function getNewsCommentCount($newsId){
        global $connection;
        $sql    = 'SELECT count(*) as COUNT FROM news_comment WHERE NEWS_ID='.SecurityFilter($newsId);
        $rs     = exequery($connection,$sql);
        $row = mysql_fetch_assoc($rs);
        return $row['COUNT'];
    }
	/**
	*@function 获取新闻评论的回复
	*
	*/
	function GetNewsReplys($commentId) 
	{
		global $connection;
		$query = "SELECT * FROM news_comment nc,USER u
					  WHERE u.USER_ID=nc.USER_id
					  AND PARENT_ID='".SecurityFilter($commentId)."' ORDER BY RE_TIME DESC";
		$res   = exequery($connection,$query);
		$commentReply = array();
		while($row = mysql_fetch_array($res))
		{
			array_push($commentReply,$row);
		}
		return $commentReply;
	}

	/**
	*@function 删除评论的回复
	*@param    commentId
	*/
	function DelComment($newsId,$commentId='')
	{
		global $connection;
		$query = "DELETE FROM news_comment WHERE 1 AND NEWS_ID='".SecurityFilter($newsId)."'";
		$query .= $commentId != ""?" AND COMMENT_ID='".SecurityFilter($commentId)."'":"";
		exequery($connection,$query);
	}
    public function getNewCounts($searchArray){
        global $connection;
		// 查询条件
		// // 清除过期置顶
		$this->CancelTopExpired();
		$sql = "SELECT count(*) as count FROM news
				    WHERE 1 AND (PUBLIC=1 ";						
	
		$sql .= $searchArray["provider"] != "" && $searchArray["FILTER"] !="unread"?" OR (PROVIDER='".SecurityFilter($searchArray["provider"])."' AND (PUBLIC=0 OR PUBLIC=2)))":")";

		$sql .= $searchArray["USERID"] != ""?" AND PROVIDER IN ('".SecurityFilter($searchArray["USERID"])."')":"";
		$sql .= $searchArray['key_name'] != "" ?" AND SUBJECT LIKE '%".SecurityFilter($searchArray['key_name'])."%' ":"";
		//新闻类别
		$sql .= $searchArray['news_type'] != "" ?" AND NEWS_TYPE_ID='".SecurityFilter($searchArray['news_type'])."'":"";
		//获取审核列表
		$sql .= $searchArray['PUBLIC'] != "" ? " AND PUBLIC='".SecurityFilter($searchArray['PUBLIC'])."'":"";
		if($searchArray["NEWS_TIME"] != "")
		{
			if(strstr($searchArray["NEWS_TIME"],"~"))
			{
				$newsTime = explode("~",$searchArray["NEWS_TIME"]);

				$sql .= " AND (DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')>='".SecurityFilter(trim($newsTime[0]))."' AND DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')<='".trim($newsTime[1])."')";
			}
			else
			{
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')='".SecurityFilter($searchArray["NEWS_TIME"])."'";
			}
		}


		switch($searchArray["FILTER"]) 
		{
			case "unread":
				$sql .= " AND NOT FIND_IN_SET('".SecurityFilter($searchArray["provider"])."',news_reader)";
				break;
			case "days":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 2
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;
			case "week":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 6
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;
			case "month":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 30
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;	
		}
        $res  = exequery($connection,$sql);
        if($res){
            $row = mysql_fetch_array($res);
            return $row['count'];
        }
        return 0;
    }
    public function getNewLists($searchArray,$otherArray,$fildsArray=array()){
        global $connection;
        // 清除过期置顶
		$this->CancelTopExpired();
		// 查询条件
		$sql = "SELECT NEWS_ID FROM news
				    WHERE 1 AND (PUBLIC=1 ";						
		$sql .= $searchArray["provider"] != "" && $searchArray["FILTER"] !="unread"?" OR (PROVIDER='".SecurityFilter($searchArray["provider"])."' AND (PUBLIC=0 OR PUBLIC=2)))":")";
		$sql .= $searchArray["USERID"] != ""?" AND PROVIDER IN ('".SecurityFilter($searchArray["USERID"])."')":"";
		$sql .= $searchArray['key_name'] != "" ?" AND SUBJECT LIKE '%".SecurityFilter($searchArray['key_name'])."%' ":"";
		//新闻类别
		$sql .= $searchArray['news_type'] != "" ?" AND NEWS_TYPE_ID='".SecurityFilter($searchArray['news_type'])."'":"";
		//获取审核列表
		$sql .= $searchArray['PUBLIC'] != "" ? " AND PUBLIC='".SecurityFilter($searchArray['PUBLIC'])."'":"";
		if($searchArray["NEWS_TIME"] != "")
		{
			if(strstr($searchArray["NEWS_TIME"],"~"))
			{
				$newsTime = explode("~",$searchArray["NEWS_TIME"]);

				$sql .= " AND (DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')>='".SecurityFilter(trim($newsTime[0]))."' AND DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')<='".SecurityFilter(trim($newsTime[1]))."')";
			}
			else
			{
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')='".SecurityFilter($searchArray["NEWS_TIME"])."'";
			}
		}
		switch($searchArray["FILTER"]) 
		{
			case "unread":
				$sql .= " AND NOT FIND_IN_SET('".SecurityFilter($searchArray["provider"])."',news_reader)";
				break;
			case "days":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 2
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;
			case "week":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 6
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;
			case "month":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 30
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;	
		}
		//排序
		switch($otherArray['orderby'])
		{
			case 'SUBJECT':
				$bystr = "SUBJECT";
				break;
			case 'CLICK_COUNT':
				$bystr = "CLICK_COUNT";
				break;
			case 'NEWS_TIME':
				$bystr = "NEWS_TIME";
				break;
			case 'NEWS_TYPE':
				$bystr = "NEWS_TYPE_ID";
				break;
			default:
				$bystr = "PUTIP";
				break;
		}
		switch($otherArray['ordertype'])
		{
			case 'ASC':
				$bytype = " ASC ";
				break;
			case 'DESC':
				$bytype = " DESC ";
				break;
			default:
				$bytype = " ASC ";
				break;
		}
		$bytype .= ",NEWS_ID DESC ";
		$order = " ORDER BY ".SecurityFilter($bystr)." ".SecurityFilter($bytype);		
		$start = $otherArray['start']?$otherArray['start']:0;
		$limit = $otherArray['limit']?$otherArray['limit']:20;
		$range = " LIMIT ".$start.",".$limit;
		$sql   = $sql.$order.$range;	
        $rs    = exequery($connection,$sql);
        if($rs){
            $newsId = '';
            while($row = mysql_fetch_array($rs)){
                $newsId .= $row['NEWS_ID'] . ',';
            }
            $newsId  = substr($newsId,0,strrpos($newsId, ','));
        }
        if($newsId){
            if (empty($fildsArray)) {
                $fieldStr = 'n.*';
            } else {
                $fieldStr = '';
                foreach ($fildsArray as $k => $v) {
                    $fieldStr .= 'n.' . strtoupper($v) . ',';
                }
                $fieldStr = substr($fieldStr, 0, strrpos($fieldStr, ','));
            }
            $query = "SELECT $fieldStr,u.USER_NAME as PROVIDER_NAME FROM news n,user u 
				    WHERE 1 AND n.PROVIDER=u.USER_ID AND NEWS_ID IN(".SecurityFilter($newsId).") ".SecurityFilter($order);
            $rs    = exequery($connection,$query);
            $newsList = array();
            while($row = mysql_fetch_array($rs)) {
                array_push($newsList,$row);
            }
            return $newsList;
        }
        return false;
    }
		/*
	@function:  获取新闻信息(new)
	@parameter: $searchArray->    Array  :要查询的新闻信息
				$otherArray->     Array  :查询条件及排序和显示方式
	@return:    $newsData->       Array  :新闻的详细信息
	*/
	public function getNewsLists($searchArray,$otherArray) {
		global $connection,$_lang;
		// 查询条件
		// 清除过期置顶
		$this->CancelTopExpired();
		$sql = "SELECT n.*,u.USER_NAME as PROVIDER_NAME FROM news n,user u 
				    WHERE 1 AND n.PROVIDER=u.USER_ID AND (PUBLIC=1 ";						
	
		$sql .= $searchArray["provider"] != "" && $searchArray["FILTER"] !="unread"?" OR (PROVIDER='".SecurityFilter($searchArray["provider"])."' AND (PUBLIC=0 OR PUBLIC=2)))":")";

		$sql .= $searchArray["USERID"] != ""?" AND PROVIDER IN ('".SecurityFilter($searchArray["USERID"])."')":"";
		$sql .= $searchArray['key_name'] != "" ?" AND SUBJECT LIKE '%".SecurityFilter($searchArray['key_name'])."%' ":"";
		//新闻类别
		$sql .= $searchArray['news_type'] != "" ?" AND NEWS_TYPE_ID='".SecurityFilter($searchArray['news_type'])."'":"";
		//获取审核列表
		$sql .= $searchArray['PUBLIC'] != "" ? " AND PUBLIC='".SecurityFilter($searchArray['PUBLIC'])."'":"";
		if($searchArray["NEWS_TIME"] != "")
		{
			if(strstr($searchArray["NEWS_TIME"],"~"))
			{
				$newsTime = explode("~",$searchArray["NEWS_TIME"]);

				$sql .= " AND (DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')>='".SecurityFilter(trim($newsTime[0]))."' AND DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')<='".SecurityFilter(trim($newsTime[1]))."')";
			}
			else
			{
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%c-%e')='".SecurityFilter($searchArray["NEWS_TIME"])."'";
			}
		}


		switch($searchArray["FILTER"]) 
		{
			case "unread":
				$sql .= " AND NOT FIND_IN_SET('".SecurityFilter($searchArray["provider"])."',news_reader)";
				break;
			case "days":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 2
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;
			case "week":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 6
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;
			case "month":
				$sql .= " AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')>=DATE_SUB(CURDATE(),INTERVAL 30
DAY) AND DATE_FORMAT(NEWS_TIME,'%Y-%m-%d')<=CURDATE() ";
				break;	
		}

		//排序
		switch($otherArray['orderby'])
		{
			case 'SUBJECT':
				$bystr = "SUBJECT";
				break;
			case 'CLICK_COUNT':
				$bystr = "CLICK_COUNT";
				break;
			case 'NEWS_TIME':
				$bystr = "NEWS_TIME";
				break;
			case 'NEWS_TYPE':
				$bystr = "NEWS_TYPE_ID";
				break;
			default:
				$bystr = "PUTIP";
				break;
		}

		switch($otherArray['ordertype'])
		{
			case 'ASC':
				$bytype = " ASC ";
				break;
			case 'DESC':
				$bytype = " DESC ";
				break;
			default:
				$bytype = " ASC ";
				break;
		}
		$bytype .= ",NEWS_ID DESC ";
		$order = " ORDER BY ".SecurityFilter($bystr)." ".SecurityFilter($bytype);		
		$queryPage = $sql.$sqlt.$order;
		$res  = exequery($connection,$queryPage);
		$totalCount= mysql_num_rows($res);
		$start = $otherArray['start']?$otherArray['start']:0;
		$limit = $otherArray['limit']?$otherArray['limit']:20;
		if($start>=$totalCount)
		{
			$start = max(0,$start-$limit);
		}
		$range = " LIMIT ".$start.",".$limit;
		$sql   = $sql.$sqlt.$order.$range;		
        
		$rs    = exequery($connection,$sql);
		$newsList = array();
		while($row = mysql_fetch_array($rs)) {
			array_push($newsList,$row);
		}
		return array("totalCount"=>$totalCount,"list"=>$newsList);
	}
    public function getCountByNewType($typeId,$provider){
        global $connection;
        $query = "SELECT COUNT(*)  AS COUNT FROM news WHERE (PUBLIC = 1 OR (PROVIDER = '$provider' AND (PUBLIC = 0  OR PUBLIC = 2) ) ) AND NEWS_TYPE_ID = '$typeId'";
        $rs    = exequery($connection,$query);
        $row = mysql_fetch_array($rs);
        return $row['COUNT'];
    }
	/**
	*@function  审核新闻
	*@newsId    需要审核的新闻ID
	*/
	function inspectionNews($inspecttype,$newsId)
	{
		global $connection;
		$sql = "UPDATE news SET";
		$sql .= $inspecttype == "approve"?" PUBLIC='1'":" PUBLIC='0'";
		$sql .= " WHERE 1 AND NEWS_ID='".SecurityFilter($newsId)."'";
		exequery($connection,$sql);
	}

	/**
	*@function   撤回新闻
	*@newsId     撤回操作的新闻ID
	*/
	function GetbackNews($newsId)
	{
		global $connection;
		$sql = "UPDATE news SET PUBLIC='0' WHERE 1 AND NEWS_ID='".SecurityFilter($newsId)."'";
		exequery($connection,$sql);
        $sql = "DELETE FROM sms WHERE TABLE_ID='$newsId'";
        exequery($connection,$sql);
	}
	/**
	*@function 新闻限时置顶
	*
	*/
	function TopNews($newsId,$endDate,$no_select) {
		global $connection;
		$putipValue = "1";
		if(isset($endDate) && $endDate!=""){
			$query = "UPDATE news SET PUTIP='".SecurityFilter($putipValue)."',TOP_TIME='".SecurityFilter($endDate)."' WHERE NEWS_ID='".SecurityFilter($newsId)."'";
		}elseif(isset($no_select)&&$no_select!=""){
			$query = "UPDATE news SET PUTIP='".SecurityFilter($putipValue)."' WHERE NEWS_ID='".SecurityFilter($newsId)."'";
		}else{
			$query = "UPDATE news SET PUTIP='".SecurityFilter($putipValue)."' WHERE NEWS_ID='".SecurityFilter($newsId)."'";
		}
		exequery($connection,$query);
		return true;
	}
	//更新过时置顶
	    public function CancelTopExpired(){
        global $connection;
        $currentDate = date("Y-m-d H:i:s",time());
        $query = "UPDATE news SET PUTIP = 0 ,TOP_TIME = null WHERE  (PUTIP = 1 AND TOP_TIME is not null  AND TOP_TIME < '".SecurityFilter($currentDate)."')";
        return exequery($connection,$query);
    }
}
?>
