<?
/**
 * Systemname:     Saas
 * Filename:       api/dept.class.php
 * Function:       $function
 * Encoding:       $_lang['encoding']
 * Author:         xiulin.liu www.weaver.com.cn
 * Date:           2010-9-9
 * Version:        1.x
 * Saas Version:   1.x
*/

class position{

	public $positionid; 

	public function __construct(){
		
	}

	public function setPositionID($positionid){
		$this->positionid = $positionid;
	}


	/*
	@ 添加职位信息
	*/
	public function insertPosition($inArray=array()){
		global $connection;
		if(!is_array($inArray)){
			return false;
		}

		if(trim($inArray["positionname"]) == ""){
			return false;
		}

		
		//$positionid = $inArray["positionid"];
		$positionname = $inArray["positionname"];
		$positionno = $inArray["positionno"];
		$positionnote = $inArray["positionnote"];

		$sql  = "
			INSERT INTO position 
				(POSITION_NAME,POSITION_NO,POSITION_NOTE) 
				VALUES
				('".SecurityFilter($positionname)."','".SecurityFilter($positionno)."','".SecurityFilter($positionnote)."')
		
			"
			;
		exequery($connection,$sql);

	}

	/*
	@ 修改职位信息 
	*/
	public function updatePosition($inArray){
		global $connection;
	
		if(!is_array($inArray)){
			return false;
		}

		if($inArray["positionname"] == ""){
			return false;
		}

		if($inArray["positionid"] == ""){
			return false;
		}

		$positionid = $inArray["positionid"];
		$positionname = $inArray["positionname"];
		$positionno = $inArray["positionno"];
		$positionnote = $inArray["positionnote"];

		$sql  = "
			UPDATE position SET 
				POSITION_NAME = '".SecurityFilter($positionname)."',
				POSITION_NO = '".SecurityFilter($positionno)."',
				POSITION_NOTE  = '".SecurityFilter($positionnote)."'
				WHERE POSITION_ID=".SecurityFilter($positionid)
		;
		exequery($connection,$sql);

		return true;
	}


	/*
	@ 职位查询
	*/
	public function getPositionDataList($searchArray=array(),$otherArray=array()){
		global $connection;

		if (!$otherArray['start']){
			$otherArray['start'] = 0;
		}

		if (!$otherArray['limit']){
			$otherArray['limit'] = 1000;
		}

		if (!$otherArray['term']){
			$otherArray['term'] = "or";
		}

		// 查询条件
		$term = ($otherArray['term'] == "or")?"OR":"AND";

		$sql = "SELECT * FROM position WHERE (1) ";

		if($searchArray['key_pname']){
			$match .= $term." POSITION_NAME LIKE '%".$searchArray['key_pname']."%' ";
		}

		if($searchArray['key_pno']){
			$match .= $term." POSITION_NO = '".$searchArray['key_pno']."' ";
		}

		if($term == "AND"){
			$sqlt .= " AND ( 1=1 ".$match." )";
		}
		elseif($term == "OR" && $match != ""){
			$sqlt .= " AND ( 1=2 ".$match." )";
		}

		//排序
		switch($otherArray['orderby']){
			case 'pname':
				$bystr = "POSITION_NAME";
				break;
			case 'pno':
				$bystr = "POSITION_NO";
				break;
			case 'pnote':
				$bystr = "POSITION_NOTE";

			default:
				$bystr = "POSITION_NO";
				break;
		}

		switch($otherArray['ordertype']){
			case 'ASC':
				$bytype = " ASC ";
				break;
			case 'DESC':
				$bytype = " DESC ";
				break;
			default:
				$bytype = " ASC ";
				break;
		}

		$start = $otherArray['start']?$otherArray['start']:0;
		$limit = $otherArray['limit']?$otherArray['limit']:20;

		$range =" LIMIT ".SecurityFilter($start).",".SecurityFilter($limit);
		$order =" ORDER BY ".SecurityFilter($bystr)." ".SecurityFilter($bytype)." ";

		$sql = $sql.$sqlt.$order.$range;

		$rs = exequery($connection,$sql);
		$i = 0;
		while($row = mysql_fetch_array($rs)){

			$ar[$i]['positionid'] = $row['POSITION_ID'];
			$ar[$i]['positionname'] = $row['POSITION_NAME'];
			$ar[$i]['positionno'] = $row['POSITION_NO'];
			$ar[$i]['positionnote'] = $row['POSITION_NOTE'];
			
			$i++;
		
		}

		$sqla = "SELECT COUNT(*) AS cnt FROM position WHERE (1) ".$sqlt;

		$rsa = exequery($connection,$sqla);
		$rowa = mysql_fetch_array($rsa);
		$amount = $rowa['cnt'];

		$rear['amount'] = $amount;
		$rear['list'] = $ar;

		return $rear;
	}


	/*
	* 返回职位数组，ID为第一维下标

	*/
	function getPositionArrayInfo(){
		global $connection;
		$sql = "SELECT * FROM position";
		$rs  = exequery($connection,$sql);
		while($row = mysql_fetch_array($rs)){
			$arrayData[$row['POSITION_ID']]['pname'] = $row['POSITION_NAME'];
		}
		return $arrayData;
	
	}

	/*
	* 返回职位名称字符串

	*/
	function getMorePositionName($strid,$arrayInfo=array()){
		global $connection;
		if(!is_array($arrayInfo)){
			$arrayInfo = $this->getPositionArrayInfo();
		}

		$arrayStr = explode(",",$strid);
		for($i=0;$i<count($arrayStr);$i++){
			$positionid = $arrayStr[$i];
			$arrayName[$i] = $arrayInfo[$positionid]['pname'];
		}

		$strname = implode(",",$arrayName);
		return $strname;
	
	}


	/*
	@ 职位信息
	*/
	public function getPositionInfo($deptid){
		global $connection;
		if($deptid == ""){
			return false;
		}

		$sql = " SELECT * FROM position WHERE 1 AND POSITION_ID=".SecurityFilter($positionid);

		$rs = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$ar[0]['positionid'] = $row['POSITION_ID'];
		$ar[0]['positionname'] = $row['POSITION_NAME'];
		$ar[0]['positionno'] = $row['POSITION_NO'];
		$ar[0]['positionnote'] = $row['POSITION_NOTE'];
		return $ar;
	}

	/*
	* 删除职位
	*/
	public function deletePosition($positionid){
		global $connection;
		if($positionid == ""){
			return false;
		}

		$sql = "DELETE FROM position WHERE POSITION_ID='".SecurityFilter($positionid)."'";
		exequery($connection,$sql);
		return true;
	}




}
?>