<?

/**
 * Systemname:       E-Office
 * Filename:         项目管理
 * Function:         api
 * Encoding:         utf8
 * Author:           www.weaver.com.cn
 * Date:             2013-09-11
 * File Version:     1.0
 * Eoffice Version:  8.x
 */
include_once("inc/utility_all.php");

class Projects {

    var $default_limit = 10;
    var $default_start = 0;
    public $user_id;
    public $dept_id;
    public $priv_id;
    public $cur_date;
    public $cur_time;

    function __construct($userinfo = array()) {
        global $connection;
        if ($userinfo["user_id"] == "") {
            $this->user_id = $_SESSION["LOGIN_USER_ID"];
        } else {
            $this->user_id = $userinfo["user_id"];
        }
        if ($this->user_id) {
            $sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='" . SecurityFilter($this->user_id) . "'";
            $rs = exequery($connection, $sql);
            $row = mysql_fetch_array($rs);
            $this->dept_id = $row["DEPT_ID"];
            $this->priv_id = $row["USER_PRIV"];
        }
        $this->cur_date = date("Y-m-d", time());
        $this->cur_time = date("Y-m-d H:i:s", time());
    }

    /*
      @function:  新建
      @parameter: $dataInfor->    array : 字段数组
      @parameter: $tablename->    string: 数据库表名
      @return:    $insertid->     string: 新建数据ID
     */

    public function pro_CreateData($dataInfor, $tablename) {
        global $connection, $_lang;
        switch ($tablename) {
            case "project_type":
                $sql = "INSERT INTO project_type (
						  TYPE_NAME,
						  TYPE_ORDER,
						  TYPE_CREATER,
						  TYPE_CREAT_TIME,
						  TYPE_EXPLAIN,
						  TYPE_REMARK
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["TYPE_NAME"]) . "', '" . SecurityFilter($dataInfor["TYPE_ORDER"]) . "', '" . SecurityFilter($dataInfor["TYPE_CREATER"]) . "', '" . SecurityFilter($dataInfor["TYPE_CREAT_TIME"]) . "', '" . SecurityFilter($dataInfor["TYPE_EXPLAIN"]) . "', '" . SecurityFilter($dataInfor["TYPE_REMARK"]) . "')";
                break;
            case "project_priv":
                $sql = "INSERT INTO project_priv (
						  PRIV_NAME,
						  PRIV_ORDER,
						  PRIV_EXPLAIN,
						  PRIV_REMARK,
						  PRIV_CREATER,
						  PRIV_CREAT_TIME
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["PRIV_NAME"]) . "', '" . SecurityFilter($dataInfor["PRIV_ORDER"]) . "', '" . SecurityFilter($dataInfor["PRIV_EXPLAIN"]) . "', '" . SecurityFilter($dataInfor["PRIV_REMARK"]) . "', '" . SecurityFilter($dataInfor["PRIV_CREATER"]) . "', '" . SecurityFilter($dataInfor["PRIV_CREAT_TIME"]) . "')";
                break;
            case "project_examine":
                $sql = "INSERT INTO project_examine (
						  EXAM_PERSON,
						  EXAM_MANAGER,
						  EXAM_CREATER,
						  EXAM_CREAT_TIME,
						  EXAM_REMARK
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["EXAM_PERSON"]) . "', '" . SecurityFilter($dataInfor["EXAM_MANAGER"]) . "', '" . SecurityFilter($dataInfor["EXAM_CREATER"]) . "', '" . SecurityFilter($dataInfor["EXAM_CREAT_TIME"]) . "', '" . SecurityFilter($dataInfor["EXAM_REMARK"]) . "')";
                break;
            case "project_monitor":
                $sql = "INSERT INTO project_monitor (
						  MONITOR_PERSON,
						  MONITOR_ORDER,
						  MONITOR_CREATER,
						  MONITOR_CREAT_TIME,
						  MONITOR_REMARK
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["MONITOR_PERSON"]) . "', '" . SecurityFilter($dataInfor["MONITOR_ORDER"]) . "', '" . SecurityFilter($dataInfor["MONITOR_CREATER"]) . "', '" . SecurityFilter($dataInfor["MONITOR_CREAT_TIME"]) . "', '" . SecurityFilter($dataInfor["MONITOR_REMARK"]) . "')";
                break;
            case "project_fieldset":
                $ordersql = "SELECT
					  MAX(FIELD_ORDER)
					FROM project_fieldset
					WHERE FIELD_PROJECT = '" . SecurityFilter($dataInfor["categoryid"]) . "' AND FIELD_DELETE='0'";
                $orderrs = exequery($connection, $ordersql);
                if ($rows = mysql_fetch_array($orderrs)) {
                    $maxorder = $rows[0];
                }
                $neworder = $maxorder + 1;
                $sql = "INSERT INTO project_fieldset (
						  FIELD_NAME,
						  FIELD_PROJECT,
						  FIELD_ORDER,
						  FIELD_CREATER,
						  FIELD_CREAT_TIME
						) 
						VALUES
						  (
							'" . SecurityFilter($_lang["project_fileds_add_new"]) . "',
							'" . SecurityFilter($dataInfor["categoryid"]) . "',
							'" . SecurityFilter($neworder) . "',
							'" . SecurityFilter($this->user_id) . "',
							'" . SecurityFilter($this->cur_time) . "'
						  )";
                break;
            case "project_manager":
                $sql = "INSERT INTO project_manager (
						  MANAGER_NAME,
						  MANAGER_NUMBER,
						  MANAGER_BEGINTIME,
						  MANAGER_ENDTIME,
						  MANAGER_TYPE,
						  MANAGER_PERSON,
						  MANAGER_EXAMINE,
						  MANAGER_MONITOR,
						  MANAGER_STATE,
						  MANAGER_EXPLAIN,
						  MANAGER_CREAT_TIME,
						  MANAGER_CREATER,
						  MANAGER_REMARK,
						  MANAGER_FAST,
						  MANAGER_LEVEL 
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["MANAGER_NAME"]) . "', '" . SecurityFilter($dataInfor["MANAGER_NUMBER"]) . "', '" . SecurityFilter($dataInfor["MANAGER_BEGINTIME"]) . "', '" . $dataInfor["MANAGER_ENDTIME"] . "', '" . SecurityFilter($dataInfor["MANAGER_TYPE"]) . "', '" . SecurityFilter($dataInfor["MANAGER_PERSON"]) . "', '" . SecurityFilter($dataInfor["MANAGER_EXAMINE"]) . "', '" . SecurityFilter($dataInfor["MANAGER_MONITOR"]) . "','1', '" . SecurityFilter($dataInfor["MANAGER_EXPLAIN"]) . "','" . SecurityFilter($dataInfor["MANAGER_CREAT_TIME"]) . "','" . SecurityFilter($dataInfor["MANAGER_CREATER"]) . "','" . SecurityFilter($dataInfor["MANAGER_REMARK"]) . "','" . SecurityFilter($dataInfor["MANAGER_FAST"]) . "','" . SecurityFilter($dataInfor["MANAGER_LEVEL"]) . "')";
                break;
            case "project_team":
                $sql = "INSERT INTO project_team (
						  TEAM_PROJECT,
						  TEAM_PRIV,
						  TEAM_PERSON
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["TEAM_PROJECT"]) . "', '" . SecurityFilter($dataInfor["TEAM_PRIV"]) . "', '" . SecurityFilter($dataInfor["TEAM_PERSON"]) . "')";
                break;
            case "project_fieldvalue":
                $sql = "INSERT INTO project_fieldvalue (
						  VALUE_FIELD,
						  VALUE_PROID,
						  VALUE_VALUE
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["VALUE_FIELD"]) . "', '" . SecurityFilter($dataInfor["VALUE_PROID"]) . "', '" . SecurityFilter($dataInfor["VALUE_VALUE"]) . "')";
                break;
            case "project_template":
                $sql = "INSERT INTO project_template (
						  TEMPLATE_NAME,
						  TEMPLATE_TYPE,
						  TEMPLATE_EXPLAIN,
						  TEMPLATE_CREATER,
						  TEMPLATE_CREAT_TIME
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["TEMPLATE_NAME"]) . "', '" . SecurityFilter($dataInfor["TEMPLATE_TYPE"]) . "', '" . SecurityFilter($dataInfor["TEMPLATE_EXPLAIN"]) . "', '" . SecurityFilter($dataInfor["TEMPLATE_CREATER"]) . "', '" . SecurityFilter($dataInfor["TEMPLATE_CREAT_TIME"]) . "')";
                break;
            case "project_task":
                $sql = "INSERT INTO project_task (
						  TASK_PROJECT,
						  TASK_COMPLATE,
						  TASK_NAME,
						  TASK_PERSONDO,
						  TASK_FRONTID,
						  TASK_BEGINTIME,
						  TASK_ENDTIME,
						  TASK_EXPLAIN,
						  TASK_LEVEL,
						  TASK_MARK,
						  TASK_REMARK,
						  TASK_CREATER,
						  TASK_CREAT_TIME,
                                                  ATTACHMENT_ID,
						  ATTACHMENT_NAME
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["TASK_PROJECT"]) . "', '" . SecurityFilter($dataInfor["TASK_COMPLATE"]) . "', '" . SecurityFilter($dataInfor["TASK_NAME"]) . "', '" . SecurityFilter($dataInfor["TASK_PERSONDO"]) . "', '" . SecurityFilter($dataInfor["TASK_FRONTID"]) . "', '" . SecurityFilter($dataInfor["TASK_BEGINTIME"]) . "', '" . SecurityFilter($dataInfor["TASK_ENDTIME"]) . "', '" . SecurityFilter($dataInfor["TASK_EXPLAIN"]) . "', '" . SecurityFilter($dataInfor["TASK_LEVEL"]) . "', '" . SecurityFilter($dataInfor["TASK_MARK"]) . "', '" . SecurityFilter($dataInfor["TASK_REMARK"]) . "', '" . SecurityFilter($dataInfor["TASK_CREATER"]) . "','" . SecurityFilter($dataInfor["TASK_CREAT_TIME"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_ID"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_NAME"]) . "')";
                break;
            case "project_discuss":
                $sql = "INSERT INTO project_discuss (
						  DISCUSS_PROJECT,
						  DISCUSS_ORDER,
						  DISCUSS_REPLYID,
						  DISCUSS_CONTENT,
						  DISCUSS_TIME,
						  DISCUSS_PERSON,
						  ATTACHMENT_ID,
						  ATTACHMENT_NAME
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["DISCUSS_PROJECT"]) . "', '" . SecurityFilter($dataInfor["DISCUSS_ORDER"]) . "','" . SecurityFilter($dataInfor["DISCUSS_REPLYID"]) . "', '" . SecurityFilter($dataInfor["DISCUSS_CONTENT"]) . "', '" . SecurityFilter($dataInfor["DISCUSS_TIME"]) . "', '" . SecurityFilter($dataInfor["DISCUSS_PERSON"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_ID"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_NAME"]) . "')";
                break;
            case "project_document":
                $sql = "INSERT INTO project_document (
						  DOC_PROJECT,
						  DOC_FILE,
						  DOC_NAME,
						  DOC_EXPLAIN,
						  ATTACHMENT_ID,
						  ATTACHMENT_NAME,
						  DOC_CREATER,
						  DOC_CREATTIME
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["DOC_PROJECT"]) . "', '" . SecurityFilter($dataInfor["DOC_FILE"]) . "', '" . SecurityFilter($dataInfor["DOC_NAME"]) . "', '" . SecurityFilter($dataInfor["DOC_EXPLAIN"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_ID"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_NAME"]) . "', '" . SecurityFilter($dataInfor["DOC_CREATER"]) . "', '" . SecurityFilter($dataInfor["DOC_CREATTIME"]) . "')";
                break;
            case "project_task_diary":
                $sql = "INSERT INTO project_task_diary (
						  TASKDIARY_TASK,
						  TASKDIARY_PROJECT,
						  TASKDIARY_CURTIME,
						  TASKDIARY_CREATER,
						  TASKDIARY_PERSENT,
						  TASKDIARY_NAME,
						  TASKDIARY_EXPLAIN,
						  ATTACHMENT_ID,
						  ATTACHMENT_NAME
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["TASKDIARY_TASK"]) . "', '" . SecurityFilter($dataInfor["TASKDIARY_PROJECT"]) . "', '" . SecurityFilter($dataInfor["TASKDIARY_CURTIME"]) . "', '" . SecurityFilter($dataInfor["TASKDIARY_CREATER"]) . "', '" . SecurityFilter($dataInfor["TASKDIARY_PERSENT"]) . "', '" . SecurityFilter($dataInfor["TASKDIARY_NAME"]) . "', '" . SecurityFilter($dataInfor["TASKDIARY_EXPLAIN"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_ID"]) . "', '" . SecurityFilter($dataInfor["ATTACHMENT_NAME"]) . "')";
                break;
            case "project_question":
                $sql = "INSERT INTO project_question (
						  QUESTION_PROJECT,
						  QUESTION_TASK,
						  QUESTION_NAME,
						  QUESTION_LEVEL,
						  QUESTION_EXPLAIN,
						  QUESTION_PERSON,
						  QUESTION_DOPERSON,
						  QUESTION_ENDTIME,
						  QUESTION_CREATER,
						  QUESTION_CERATTIME,
						  QUESTION_STATE,
						  ATTACHMENT_ID,
						  ATTACHMENT_NAME,
						  SMS_REMIND,
						  SMSTEL_REMIND,
						  EMAIL_REMIND
						) 
						VALUES
						  ('" . SecurityFilter($dataInfor["QUESTION_PROJECT"]) . "','" . SecurityFilter($dataInfor["QUESTION_TASK"]) . "','" . SecurityFilter($dataInfor["QUESTION_NAME"]) . "','" . SecurityFilter($dataInfor["QUESTION_LEVEL"]) . "','" . SecurityFilter($dataInfor["QUESTION_EXPLAIN"]) . "','" . SecurityFilter($dataInfor["QUESTION_PERSON"]) . "','" . SecurityFilter($dataInfor["QUESTION_DOPERSON"]) . "','" . SecurityFilter($dataInfor["QUESTION_ENDTIME"]) . "','" . SecurityFilter($dataInfor["QUESTION_CREATER"]) . "','" . SecurityFilter($dataInfor["QUESTION_CERATTIME"]) . "','" . SecurityFilter($dataInfor["QUESTION_STATE"]) . "','" . SecurityFilter($dataInfor["ATTACHMENT_ID"]) . "','" . SecurityFilter($dataInfor["ATTACHMENT_NAME"]) . "','" . SecurityFilter($dataInfor["SMS_REMIND"]) . "','" . SecurityFilter($dataInfor["SMSTEL_REMIND"]) . "','" . SecurityFilter($dataInfor["EMAIL_REMIND"]) . "')";
                break;
        }
        exequery($connection, $sql);
        $insertid = mysql_insert_id();
        return $insertid;
    }

    /*
      @function:  编辑
      @parameter: $dataInfor->    array : 字段数组
      @parameter: $tablename->    string: 数据库表名
      @return:    true/false
     */

    public function pro_EditData($dataInfor, $tablename, $dataId) {
        global $connection;
        switch ($tablename) {
            case "project_type":
                $sql = "UPDATE 
						  project_type 
						SET
						  TYPE_NAME = '" . $dataInfor["TYPE_NAME"] . "',
						  TYPE_ORDER = '" . $dataInfor["TYPE_ORDER"] . "',
						  TYPE_CREATER = '" . $dataInfor["TYPE_CREATER"] . "',
						  TYPE_CREAT_TIME = '" . $dataInfor["TYPE_CREAT_TIME"] . "',
						  TYPE_EXPLAIN = '" . $dataInfor["TYPE_EXPLAIN"] . "',
						  TYPE_REMARK = '" . $dataInfor["TYPE_REMARK"] . "' 
						WHERE TYPE_ID = '" . $dataId . "'";
                break;
            case "project_priv":
                $sql = "UPDATE 
						  project_priv 
						SET
						  PRIV_NAME = '" . $dataInfor["PRIV_NAME"] . "',
						  PRIV_ORDER = '" . $dataInfor["PRIV_ORDER"] . "',
						  PRIV_EXPLAIN = '" . $dataInfor["PRIV_EXPLAIN"] . "',
						  PRIV_REMARK = '" . $dataInfor["PRIV_REMARK"] . "',
						  PRIV_CREATER = '" . $dataInfor["PRIV_CREATER"] . "',
						  PRIV_CREAT_TIME = '" . $dataInfor["PRIV_CREAT_TIME"] . "' 
						WHERE PRIV_ID = '" . $dataId . "'";
                break;
            case "project_examine":
                $sql = "UPDATE 
						  project_examine 
						SET
						  EXAM_PERSON = '" . $dataInfor["EXAM_PERSON"] . "',
						  EXAM_MANAGER = '" . $dataInfor["EXAM_MANAGER"] . "',
						  EXAM_CREATER = '" . $dataInfor["EXAM_CREATER"] . "',
						  EXAM_CREAT_TIME = '" . $dataInfor["EXAM_CREAT_TIME"] . "',
						  EXAM_REMARK = '" . $dataInfor["EXAM_REMARK"] . "' 
						WHERE EXAM_ID = '" . $dataId . "'";
                break;
            case "project_monitor":
                $sql = "UPDATE 
						  project_monitor 
						SET
						  MONITOR_PERSON = '" . $dataInfor["MONITOR_PERSON"] . "',
						  MONITOR_ORDER = '" . $dataInfor["MONITOR_ORDER"] . "',
						  MONITOR_CREATER = '" . $dataInfor["MONITOR_CREATER"] . "',
						  MONITOR_CREAT_TIME = '" . $dataInfor["MONITOR_CREAT_TIME"] . "',
						  MONITOR_REMARK = '" . $dataInfor["MONITOR_REMARK"] . "' 
						WHERE MONITOR_ID = '" . $dataId . "'";
                break;
            case "project_fieldset":
                $sql = "UPDATE 
						  project_fieldset 
						SET
						  FIELD_NAME = '" . $dataInfor["FIELD_NAME"] . "',
						  FIELD_REQUIRE = '" . $dataInfor["FIELD_REQUIRE"] . "',
						  FIELD_TYPE = '" . $dataInfor["FIELD_TYPE"] . "',
						  FIELD_CHECK = '" . $dataInfor["FIELD_CHECK"] . "',
						  FIELD_EXPLAIN = '" . $dataInfor["FIELD_EXPLAIN"] . "'
						WHERE FIELD_ID = '" . $dataId . "'";
                break;
            case "project_manager":
                switch ($dataInfor["diff"]) {
                    case "step1":
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_NAME = '" . $dataInfor["MANAGER_NAME"] . "',
								  MANAGER_NUMBER = '" . $dataInfor["MANAGER_NUMBER"] . "',
								  MANAGER_BEGINTIME = '" . $dataInfor["MANAGER_BEGINTIME"] . "',
								  MANAGER_ENDTIME = '" . $dataInfor["MANAGER_ENDTIME"] . "',
								  MANAGER_TYPE = '" . $dataInfor["MANAGER_TYPE"] . "',
								  MANAGER_PERSON = '" . $dataInfor["MANAGER_PERSON"] . "',
								  MANAGER_EXAMINE = '" . $dataInfor["MANAGER_EXAMINE"] . "',
								  MANAGER_MONITOR = '" . $dataInfor["MANAGER_MONITOR"] . "',
								  MANAGER_REMARK = '" . $dataInfor["MANAGER_REMARK"] . "',
								  MANAGER_FAST = '" . $dataInfor["MANAGER_FAST"] . "',
								  MANAGER_LEVEL = '" . $dataInfor["MANAGER_LEVEL"] . "',
								  MANAGER_EXPLAIN = '" . $dataInfor["MANAGER_EXPLAIN"] . "' 
								WHERE MANAGER_ID = '" . $dataId . "' ";
                        break;
                    case "step3":
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_TEMPLATE = '" . SecurityFilter($dataInfor["MANAGER_TEMPLATE"]) . "' 
								WHERE MANAGER_ID = '" . SecurityFilter($dataId) . "'";
                        //添加任务模板数据
                        $task_sql = "SELECT * FROM project_task WHERE TASK_COMPLATE='" . SecurityFilter($dataInfor["MANAGER_TEMPLATE"]) . "' ORDER BY TASK_ID ASC";
                        $task_cursor = exequery($connection, $task_sql);

                        while ($task_row = mysql_fetch_assoc($task_cursor)) {

                            $new_sql = "INSERT INTO project_task (
                                                                TASK_PROJECT,
                                                                TASK_NAME,
                                                                TASK_PERSONDO,
                                                                TASK_FRONTID,
                                                                TASK_BEGINTIME,
                                                                TASK_ENDTIME,
                                                                TASK_EXPLAIN,
                                                                TASK_LEVEL,
                                                                TASK_MARK,
                                                                TASK_REMARK,
                                                                TASK_CREATER,
                                                                TASK_CREAT_TIME
							 ) 
					  VALUES
							  ('" . SecurityFilter($dataInfor["pro_id"]) . "', '" . SecurityFilter($task_row["TASK_NAME"]) . "', '" . SecurityFilter($task_row["TASK_PERSONDO"]) . "', '" . SecurityFilter($task_row["TASK_FRONTID"]) . "', '" . SecurityFilter($task_row["TASK_BEGINTIME"]) . "', '" . SecurityFilter($task_row["TASK_ENDTIME"]) . "', '" . SecurityFilter($task_row["TASK_EXPLAIN"]) . "', '" . SecurityFilter($task_row["TASK_LEVEL"]) . "', '" . SecurityFilter($task_row["TASK_MARK"]) . "', '" . SecurityFilter($task_row["TASK_REMARK"]) . "', '" . SecurityFilter($this->user_id) . "','" . SecurityFilter($this->cur_time) . "')";
                            exequery($connection, $new_sql);
                        }


                        break;
                    case "step4":
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_CREAT_TIME = '" . $dataInfor["MANAGER_CREAT_TIME"] . "',
								  MANAGER_CREATER = '" . $dataInfor["MANAGER_CREATER"] . "',
								  MANAGER_REMARK = '" . $dataInfor["MANAGER_REMARK"] . "',
								  MANAGER_FAST = '" . $dataInfor["MANAGER_FAST"] . "',
								  MANAGER_LEVEL = '" . $dataInfor["MANAGER_LEVEL"] . "'
								WHERE MANAGER_ID = '" . $dataId . "' ";
                        break;
                    case "examine":
                        //提交审批	
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_STATE = '2' 
								WHERE MANAGER_ID = '" . $dataId . "'";
                        break;
                    case "pro_ok":
                        //批准	
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_STATE = '4' 
								WHERE MANAGER_ID = '" . $dataId . "'";
                        break;
                    case "pro_back":
                        //退回	
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_STATE = '3' 
								WHERE MANAGER_ID = '" . $dataId . "'";
                        break;
                    case "proEnd":
                        //结束	
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_STATE = '5' 
								WHERE MANAGER_ID = '" . $dataId . "'";
                        break;
                    case "proRestart":
                        //重新启动	
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_STATE = '4' 
								WHERE MANAGER_ID = '" . $dataId . "'";
                        break;
                    case "save_all":
                        $sql = "UPDATE 
								  project_manager 
								SET
								  MANAGER_NAME = '" . $dataInfor["MANAGER_NAME"] . "',
								  MANAGER_NUMBER = '" . $dataInfor["MANAGER_NUMBER"] . "',
								  MANAGER_BEGINTIME = '" . $dataInfor["MANAGER_BEGINTIME"] . "',
								  MANAGER_ENDTIME = '" . $dataInfor["MANAGER_ENDTIME"] . "',
								  MANAGER_TYPE = '" . $dataInfor["MANAGER_TYPE"] . "',
								  MANAGER_PERSON = '" . $dataInfor["MANAGER_PERSON"] . "',
								  MANAGER_EXAMINE = '" . $dataInfor["MANAGER_EXAMINE"] . "',
								  MANAGER_MONITOR = '" . $dataInfor["MANAGER_MONITOR"] . "',
								  MANAGER_EXPLAIN = '" . $dataInfor["MANAGER_EXPLAIN"] . "',
								  MANAGER_REMARK = '" . $dataInfor["MANAGER_REMARK"] . "',
								  MANAGER_FAST = '" . $dataInfor["MANAGER_FAST"] . "',
								  MANAGER_LEVEL = '" . $dataInfor["MANAGER_LEVEL"] . "' 
								WHERE MANAGER_ID = '" . $dataId . "' ";
                        break;
                }
                break;
            case "project_team":
                $sql = "UPDATE 
							project_team 
						  SET
							TEAM_PROJECT = '" . $dataInfor["TEAM_PROJECT"] . "',
							TEAM_PRIV = '" . $dataInfor["TEAM_PRIV"] . "',
							TEAM_PERSON = '" . $dataInfor["TEAM_PERSON"] . "' 
						  WHERE TEAM_ID = '" . $dataId . "'";
                break;
            case "project_fieldvalue":
                $sql = "UPDATE 
						  project_fieldvalue 
						SET
						  VALUE_VALUE = '" . $dataInfor["VALUE_VALUE"] . "' 
						WHERE VALUE_FIELD = '" . $dataInfor["VALUE_FIELD"] . "' 
						  AND VALUE_PROID = '" . $dataInfor["VALUE_PROID"] . "' ";
                break;
            case "project_template":
                $sql = "UPDATE 
						  project_template 
						SET
						  TEMPLATE_NAME = '" . $dataInfor["TEMPLATE_NAME"] . "',
						  TEMPLATE_TYPE = '" . $dataInfor["TEMPLATE_TYPE"] . "',
						  TEMPLATE_EXPLAIN = '" . $dataInfor["TEMPLATE_EXPLAIN"] . "',
						  TEMPLATE_CREATER = '" . $dataInfor["TEMPLATE_CREATER"] . "',
						  TEMPLATE_CREAT_TIME = '" . $dataInfor["TEMPLATE_CREAT_TIME"] . "' 
						WHERE TEMPLATE_ID = '" . $dataId . "' ";
                break;
            case "project_task":
                $sql = "UPDATE 
						  project_task 
						SET
						  TASK_PROJECT = '" . $dataInfor["TASK_PROJECT"] . "',
						  TASK_COMPLATE = '" . $dataInfor["TASK_COMPLATE"] . "',
						  TASK_NAME = '" . $dataInfor["TASK_NAME"] . "',
						  TASK_PERSONDO = '" . $dataInfor["TASK_PERSONDO"] . "',
						  TASK_FRONTID = '" . $dataInfor["TASK_FRONTID"] . "',
						  TASK_BEGINTIME = '" . $dataInfor["TASK_BEGINTIME"] . "',
						  TASK_ENDTIME = '" . $dataInfor["TASK_ENDTIME"] . "',
						  TASK_EXPLAIN = '" . $dataInfor["TASK_EXPLAIN"] . "',
						  TASK_LEVEL = '" . $dataInfor["TASK_LEVEL"] . "',
						  TASK_MARK = '" . $dataInfor["TASK_MARK"] . "',
						  TASK_REMARK = '" . $dataInfor["TASK_REMARK"] . "',
						  TASK_CREATER = '" . $dataInfor["TASK_CREATER"] . "',
						  TASK_CREAT_TIME = '" . $dataInfor["TASK_CREAT_TIME"] . "' ,
                                                 ATTACHMENT_ID = '" . $dataInfor["ATTACHMENT_ID"] . "',
						  ATTACHMENT_NAME = '" . $dataInfor["ATTACHMENT_NAME"] . "' 
						WHERE TASK_ID = '" . $dataId . "' ";
                break;
            case "project_discuss":
                $sql = "UPDATE 
						  project_discuss 
						SET
						  DISCUSS_CONTENT = '" . $dataInfor["DISCUSS_CONTENT"] . "',
						  ATTACHMENT_ID = '" . $dataInfor["ATTACHMENT_ID"] . "',
						  ATTACHMENT_NAME = '" . $dataInfor["ATTACHMENT_NAME"] . "' 
						WHERE DISCUSS_ID = '" . $dataId . "' ";
                break;
            case "project_document":
                $sql = "UPDATE 
						  project_document 
						SET
						  DOC_PROJECT = '" . $dataInfor["DOC_PROJECT"] . "',
						  DOC_FILE = '" . $dataInfor["DOC_FILE"] . "',
						  DOC_NAME = '" . $dataInfor["DOC_NAME"] . "',
						  DOC_EXPLAIN = '" . $dataInfor["DOC_EXPLAIN"] . "',
						  ATTACHMENT_ID = '" . $dataInfor["ATTACHMENT_ID"] . "',
						  ATTACHMENT_NAME = '" . $dataInfor["ATTACHMENT_NAME"] . "' 
						WHERE DOC_ID = '" . $dataId . "' ";
                break;
            case "project_task_diary":
                $sql = "UPDATE 
						  project_task_diary 
						SET
						  TASKDIARY_TASK = '" . $dataInfor["TASKDIARY_TASK"] . "',
						  TASKDIARY_PROJECT = '" . $dataInfor["TASKDIARY_PROJECT"] . "',
						  TASKDIARY_CURTIME = '" . $dataInfor["TASKDIARY_CURTIME"] . "',
						  TASKDIARY_CREATER = '" . $dataInfor["TASKDIARY_CREATER"] . "',
						  TASKDIARY_PERSENT = '" . $dataInfor["TASKDIARY_PERSENT"] . "',
						  TASKDIARY_NAME = '" . $dataInfor["TASKDIARY_NAME"] . "',
						  TASKDIARY_EXPLAIN = '" . $dataInfor["TASKDIARY_EXPLAIN"] . "',
						  ATTACHMENT_ID = '" . $dataInfor["ATTACHMENT_ID"] . "',
						  ATTACHMENT_NAME = '" . $dataInfor["ATTACHMENT_NAME"] . "' 
						WHERE TASKDIARY_ID = '" . $dataId . "'";
                break;
            case "project_question":
                if ($dataInfor["diff"] == "creat_question") {
                    $sql = "UPDATE 
							  project_question 
							SET
							  QUESTION_PROJECT = '" . $dataInfor["QUESTION_PROJECT"] . "',
							  QUESTION_TASK = '" . $dataInfor["QUESTION_TASK"] . "',
							  QUESTION_NAME = '" . $dataInfor["QUESTION_NAME"] . "',
							  QUESTION_LEVEL = '" . $dataInfor["QUESTION_LEVEL"] . "',
							  QUESTION_EXPLAIN = '" . $dataInfor["QUESTION_EXPLAIN"] . "',
							  QUESTION_PERSON = '" . $dataInfor["QUESTION_PERSON"] . "',
							  QUESTION_DOPERSON = '" . $dataInfor["QUESTION_DOPERSON"] . "',
							  QUESTION_ENDTIME = '" . $dataInfor["QUESTION_ENDTIME"] . "',
							  QUESTION_CREATER = '" . $dataInfor["QUESTION_CREATER"] . "',
							  QUESTION_CERATTIME = '" . $dataInfor["QUESTION_CERATTIME"] . "',
							  QUESTION_STATE = '" . $dataInfor["QUESTION_STATE"] . "',
							  ATTACHMENT_ID = '" . $dataInfor["ATTACHMENT_ID"] . "',
							  ATTACHMENT_NAME = '" . $dataInfor["ATTACHMENT_NAME"] . "',
							  SMS_REMIND = '" . $dataInfor["SMS_REMIND"] . "',
							  SMSTEL_REMIND = '" . $dataInfor["SMSTEL_REMIND"] . "',
							  EMAIL_REMIND = '" . $dataInfor["EMAIL_REMIND"] . "' 
							WHERE QUESTION_ID = '" . $dataId . "'";
                } else if ($dataInfor["diff"] == "deal_question") {
                    $sql = "UPDATE 
							  project_question 
							SET
							  QUESTION_DOTIME = '" . SecurityFilter($dataInfor["QUESTION_DOTIME"]) . "',
							  QUESTION_DO = '" . SecurityFilter($dataInfor["QUESTION_DO"]) . "',
							  QUESTION_BACK = '" . SecurityFilter($dataInfor["QUESTION_BACK"]) . "',
							  QUESTION_BACKTIME = '" . SecurityFilter($dataInfor["QUESTION_BACKTIME"]) . "',
							  QUESTION_STATE = '" . SecurityFilter($dataInfor["QUESTION_STATE"]) . "' 
							WHERE QUESTION_ID = '" . SecurityFilter($dataId) . "' ";
                }
                break;
        }

        $curose = exequery($connection, $sql);
        if ($curose) {
            return true;
        } else {
            return false;
        }
    }

    //讨论查看过处理
    public function pro_DicussHaveRead($dataid) {
        global $connection;
        $sql = "UPDATE project_discuss SET DISCUSS_READTIME='" . date("Y-m-d H:i:s", time()) . "' WHERE DISCUSS_ID='" . SecurityFilter($dataid) . "'";
        $curose = exequery($connection, $sql);
        if ($curose) {
            return true;
        } else {
            return false;
        }
    }

    /*
      @function:  列表快捷编辑
      @parameter: $dataInfor->    array : 字段数组
      @parameter: $tablename->    string: 数据库表名
      @return:    true/false
     */

    public function pro_QuickEditData($tablename, $dosql) {
        global $connection;
        $sql = "UPDATE " . $tablename . " SET " . $dosql;
        $curose = exequery($connection, $sql);
        if ($curose) {
            return true;
        } else {
            return false;
        }
    }

    /*
      @function:  删除附件
     */

    public function pro_DeleteAttachment($tablename, $info) {
        global $connection;
        $query = "UPDATE " . SecurityFilter($tablename) . " SET ATTACHMENT_ID='" . SecurityFilter($info['ATTACHMENT_ID']) . "',ATTACHMENT_NAME='" . SecurityFilter($info['ATTACHMENT_NAME']) . "' WHERE 1" . SecurityFilter($info["sql"]);
        exequery($connection, $query);
    }

    /*
      @function:  可配数据删除
      @parameter: $dataId->       string: 数据Id
      @parameter: $tablename->    string: 数据库表名
      @return:    true/false
     */

    public function pro_freeDeleteData($tablename, $sql) {
        global $connection;
        $sql = "DELETE FROM " . SecurityFilter($tablename) . " WHERE 1 " . $sql;
        $curose = exequery($connection, $sql);
        if ($curose) {
            return true;
        } else {
            return false;
        }
    }

    /*
      @function:  数据删除
      @parameter: $dataId->       string: 数据Id
      @parameter: $tablename->    string: 数据库表名
      @return:    true/false
     */

    public function pro_DeleteData($dataId, $tablename) {
        global $connection;
        switch ($tablename) {
            case "project_type":
                $sql = "DELETE FROM project_type WHERE TYPE_ID='" . $dataId . "'";
                //删除自定义字段下的表记录
                $fieldset_sql = "DELETE FROM project_fieldset WHERE FIELD_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $fieldset_sql);
                break;
            case "project_priv":
                $sql = "DELETE FROM project_priv WHERE PRIV_ID='" . $dataId . "'";
                break;
            case "project_examine":
                $sql = "DELETE FROM project_examine WHERE EXAM_ID='" . $dataId . "'";
                break;
            case "project_monitor":
                $sql = "DELETE FROM project_monitor WHERE MONITOR_ID='" . $dataId . "'";
                break;
            case "project_template":
                $sql = "DELETE FROM project_template WHERE TEMPLATE_ID='" . $dataId . "'";
                //删除模板下属任务
                $task_sql = "DELETE FROM project_task WHERE TASK_COMPLATE='" . SecurityFilter($dataId) . "'";
                exequery($connection, $task_sql);
                break;
            case "project_task":
                $sql = "DELETE FROM project_task WHERE TASK_ID='" . $dataId . "'";
                break;
            case "project_discuss":
                $sql = "DELETE FROM project_discuss WHERE DISCUSS_ID='" . $dataId . "'";
                break;
            case "project_document":
                $sql = "DELETE FROM project_document WHERE DOC_ID='" . $dataId . "'";
                break;
            case "project_manager":
                $sql = "DELETE FROM project_manager WHERE MANAGER_ID='" . $dataId . "'";
                //删除项目相关任务
                $task_sql = "DELETE FROM project_task WHERE TASK_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $task_sql);
                //删除项目相关任务进度
                $jindu_sql = "DELETE FROM project_task_diary WHERE TASKDIARY_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $jindu_sql);
                //删除项目相关讨论
                $dic_sql = "DELETE FROM project_discuss WHERE DISCUSS_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $dic_sql);
                //删除项目相关问题
                $ques_sql = "DELETE FROM project_question WHERE QUESTION_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $ques_sql);
                //删除项目相关文档
                $doc_sql = "DELETE FROM project_document WHERE DOC_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $doc_sql);
                //删除项目相关团队
                $team_sql = "DELETE FROM project_team WHERE TEAM_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $team_sql);
                //删除项目相关字段
                $file1_sql = "DELETE FROM project_fieldvalue WHERE VALUE_PROID='" . SecurityFilter($dataId) . "'";
                exequery($connection, $file1_sql);
                $file2_sql = "DELETE FROM project_fieldset WHERE FIELD_PROJECT='" . SecurityFilter($dataId) . "'";
                exequery($connection, $file2_sql);
                break;
            case "project_task_diary":
                $sql = "DELETE FROM project_task_diary WHERE TASKDIARY_ID='" . SecurityFilter($dataId) . "'";
                break;
            case "project_question":
                $sql = "DELETE FROM project_question WHERE QUESTION_ID='" . SecurityFilter($dataId) . "'";
                break;
        }
        $curose = exequery($connection, $sql);
        if ($curose) {
            return true;
        } else {
            return false;
        }
    }

    /*
      @function:  字段数据删除排序
      @parameter: $dataId->       string: 数据Id
      @parameter: $tablename->    string: 数据库表名
      @return:    true/false
     */

    public function pro_FieldDeleteSort($fieldid, $categoryid) {
        global $connection;
        $sql = "SELECT *
				FROM project_fieldset
				WHERE FIELD_ID = '" . SecurityFilter($fieldid) . "'";
        $rs = exequery($connection, $sql);
        if ($row = mysql_fetch_assoc($rs)) {
            $order = $row["FIELD_ORDER"];
        }
        $query = "UPDATE 
				  project_fieldset 
				SET
				  FIELD_DELETE = '1' 
				WHERE FIELD_ID = '" . SecurityFilter($fieldid) . "'";
        exequery($connection, $query);
        //重新排序
        $ordersql = "SELECT *
					FROM project_fieldset
					WHERE FIELD_PROJECT = '" . SecurityFilter($categoryid) . "'
						AND FIELD_ORDER > " . SecurityFilter($order);
        $orderrs = exequery($connection, $ordersql);
        while ($rows = mysql_fetch_assoc($orderrs)) {
            if ($rows["FIELD_ID"] != "") {
                if ($rows["FIELD_ORDER"] > 1) {
                    $neworder = $rows["FIELD_ORDER"] - 1;
                    $newsql = "UPDATE project_fieldset
								SET FIELD_ORDER = " . SecurityFilter($neworder) . "
								WHERE FIELD_ID = '" . SecurityFilter($rows["FIELD_ID"]) . "'";
                    exequery($connection, $newsql);
                }
            }
        }
    }

    /*
      @function:  字段数据重新排序
      @parameter: $str->       string: 字段ID序列
      @return:    true/false
     */

    public function pro_FieldOrderSort($strid) {
        global $connection;
        if ($strid != "") {
            $strarray = explode(",", $strid);
            $strcount = count($strarray);
            $newstrid = "";
            for ($i = 0; $i < $strcount; $i++) {
                if ($strarray[$i] != "") {
                    $idarray = explode("_", $strarray[$i]);
                    $id = $idarray[1];
                    $order = $i + 1;
                    $sql = "UPDATE project_fieldset
							SET FIELD_ORDER = " . SecurityFilter($order) . "
							WHERE FIELD_ID = '" . SecurityFilter($id) . "'";
                    exequery($connection, $sql);
                }
            }
            return true;
        } else {
            return false;
        }
    }

    /*
      @function:  查找单条数据
      @parameter: $tablename->    string: 数据库表名
      @parameter: $dataId->       string: 数据ID
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_SearchSingleData($tablename, $dataId) {
        global $connection;
        $checkfield = "";
        $dataInfor = array();
        switch ($tablename) {
            case "project_type":
                $checkfield = "TYPE_ID";
                break;
            case "project_priv":
                $checkfield = "PRIV_ID";
                break;
            case "project_examine":
                $checkfield = "EXAM_ID";
                break;
            case "project_monitor":
                $checkfield = "MONITOR_ID";
                break;
            case "project_fieldset":
                $checkfield = "FIELD_ID";
                break;
            case "project_manager":
                $checkfield = "MANAGER_ID";
                break;
            case "project_template":
                $checkfield = "TEMPLATE_ID";
                break;
            case "project_team":
                $checkfield = "TEAM_ID";
                break;
            case "project_task":
                $checkfield = "TASK_ID";
                break;
            case "project_discuss":
                $checkfield = "DISCUSS_ID";
                break;
            case "project_document":
                $checkfield = "DOC_ID";
                break;
            case "project_task_diary":
                $checkfield = "TASKDIARY_ID";
                break;
            case "project_question":
                $checkfield = "QUESTION_ID";
                break;
        }
        $sql = "SELECT * FROM " . SecurityFilter($tablename) . " WHERE " . SecurityFilter($checkfield) . "='" . SecurityFilter($dataId) . "'";

        $rs = exequery($connection, $sql);
        if ($row = mysql_fetch_assoc($rs)) {
            $dataInfor = $row;
        }
        return $dataInfor;
    }

    /*
      @function:  获取总数据
      @parameter: $tablename->    string: 数据库表名
      @parameter: $sql->          string: 条件
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_SearchAllData($tablename, $con_sql, $changestr = "", $sortField = "", $sortType = "") {
        global $connection;
        $dataInfor = array();
        if ($con_sql != "" && $changestr != "") {
            switch ($changestr) {
                case "changeuser":
                    $con_sql = str_replace("changeuser", $this->user_id, $con_sql);
                    break;
                case "changedept":
                    $con_sql = str_replace("changedept", $this->dept_id, $con_sql);
                    break;
                case "changepriv":
                    $con_sql = str_replace("changepriv", $this->priv_id, $con_sql);
                    break;
            }
        }
        $sql = "SELECT * FROM " . $tablename . " WHERE 1 " . $con_sql;
        if ($sortField != "" && $sortType != "") {
            $sql .= ' ORDER BY ' . SecurityFilter($sortField) . ' ' . SecurityFilter($sortType);
        }
        $cursor = exequery($connection, $sql);
        while ($row = @mysql_fetch_assoc($cursor)) {
            $dataInfor[] = $row;
        }
        return $dataInfor;
    }

    /*
      @function:  项目类型列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListCategoryData($order, $sens, $limit_s = "", $limit_e = "", $quickSortParam, $where_array = array()) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_type WHERE 1";
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "TYPE_NAME") {
                    $query .= " AND TYPE_NAME LIKE'%" . $value . "%'";
                } else if ($key == "TYPE_CREATER") {
                    $idstr = "";
                    $personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%" . SecurityFilter($value) . "%' AND USER_ACCOUNTS!='' AND DEPT_ID>0";
                    $personcursor = exequery($connection, $personsql);
                    while ($perrow = mysql_fetch_assoc($personcursor)) {
                        $idstr .= "'" . $perrow["USER_ID"] . "',";
                    }
                    if ($idstr == "") {
                        $query .= " AND TYPE_ID=''";
                    } else {
                        $idstr = substr($idstr, 0, -1);
                        $query .= " AND TYPE_CREATER IN (" . $idstr . ")";
                    }
                } else if ($key == "TYPE_CREAT_TIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(TYPE_CREAT_TIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
            }
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  项目角色列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListPrivData($order, $sens, $limit_s = "", $limit_e = "", $quickSortParam, $where_array = array()) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_priv WHERE 1";
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "PRIV_NAME") {
                    $query .= " AND PRIV_NAME LIKE'%" . $value . "%'";
                } else if ($key == "PRIV_CREATER") {
                    $idstr = "";
                    $personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%" . SecurityFilter($value) . "%' AND USER_ACCOUNTS!='' AND DEPT_ID>0";
                    $personcursor = exequery($connection, $personsql);
                    while ($perrow = mysql_fetch_assoc($personcursor)) {
                        $idstr .= "'" . $perrow["USER_ID"] . "',";
                    }
                    if ($idstr == "") {
                        $query .= " AND PRIV_ID=''";
                    } else {
                        $idstr = substr($idstr, 0, -1);
                        $query .= " AND PRIV_CREATER IN (" . $idstr . ")";
                    }
                } else if ($key == "PRIV_CREAT_TIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(PRIV_CREAT_TIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
            }
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  项目角色列表数据2
      @return:    $dataInfor->    array : 字段数组
     */

    function pro_ListTeamOtherData($order, $sens, $limit_s = "", $limit_e = "", $pro_id) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_team 
				  LEFT JOIN project_priv 
				    ON project_priv.`PRIV_ID` = project_team.`TEAM_PRIV` 
				WHERE project_team.`TEAM_PROJECT` = '" . $pro_id . "' 
				  AND project_team.`TEAM_PERSON` != '' ";
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  审批权限列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListExamineData($order, $sens, $limit_s, $limit_e) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_examine WHERE 1";
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  监控权限列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListMonitorData($order, $sens, $limit_s, $limit_e) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_monitor WHERE 1";
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  模板列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListTemplateData($order, $sens, $limit_s = "", $limit_e = "", $categoryid, $where_array = array()) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_template WHERE 1";
        if ($categoryid) {
            $query .= " AND TEMPLATE_TYPE='" . $categoryid . "'";
        }
        //查询
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "TEMPLATE_NAME") {
                    $query .= " AND TEMPLATE_NAME LIKE'%" . $value . "%'";
                }
            }
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  任务列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListTaskData($order, $sens, $limit_s = "", $limit_e = "", $pro_id, $pro_temp, $checkdiff = "", $where_array = array(), $quickParam = "") {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM project_task t";
        $search_count = "SELECT COUNT(*) FROM project_task t";
        $query = " WHERE 1";
        $isFilter = false;

        if ($pro_id == "" && $checkdiff == "all") {
            $checkCurDate = date("Y-m-d", time()) . " 23:59:59";
            $query .= " AND (TASK_CREATER='" . $this->user_id . "' OR TASK_PERSONDO='" . $this->user_id . "') AND (UNIX_TIMESTAMP(TASK_ENDTIME)>=UNIX_TIMESTAMP('" . $checkCurDate . "')) ";
        } else if ($pro_id != "" && $pro_id != "0") {
            $query .= " AND TASK_PROJECT='" . $pro_id . "'";
        } else {
            $query .= " AND TASK_COMPLATE='" . $pro_temp . "'";
        }
        //查询
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "TASK_BEGINTIME") {
                    $checkdate = $value . " 00:00:00";
                    $query .= " AND UNIX_TIMESTAMP(TASK_BEGINTIME)>=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
                if ($key == "TASK_ENDTIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(TASK_ENDTIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
                if ($key == "TASK_LEVEL") {
                    $query .= " AND TASK_LEVEL='" . $value . "'";
                }
                if ($key == "TASK_MARK") {
                    $query .= " AND TASK_MARK='" . $value . "'";
                }
                if ($key == "TASK_NAME") {
                    $query .= " AND TASK_NAME LIKE'%" . $value . "%'";
                }
                if ($key == "TASK_PERSONDO") {
                    $query .= " AND TASK_PERSONDO='" . $value . "'";
                }
                if ($key == "TASK_FRONTID") {
                    if ($value == "0") {
                        $query .= " AND TASK_FRONTID=0";
                    } else if ($value == "1") {
                        $query .= " AND TASK_FRONTID!=0";
                    }
                }
            }
        }
        $count_where = $query;
        //快速筛选
        switch ($quickParam) {
            case "today":
                $query .= " AND (TO_DAYS(TASK_BEGINTIME)=TO_DAYS(now()) OR TO_DAYS(TASK_ENDTIME)=TO_DAYS(now()))";
                break;
            case "nearlyThreeDays":
                //$query .= " AND ((TASK_BEGINTIME BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()) OR (TASK_ENDTIME BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()))";
                //$query .= " AND (DATE_SUB(CURDATE(), INTERVAL 3 DAY) <= date(TASK_BEGINTIME) OR DATE_SUB(CURDATE(), INTERVAL 3 DAY) <= date(TASK_ENDTIME))";
                $query .= " AND TASK_BEGINTIME BETWEEN DATE_SUB(CURDATE() , INTERVAL 2 DAY ) AND DATE_ADD(CURDATE() , INTERVAL 2 DAY)";
                break;
            case "nearlyOneWeek":
                //$query .= " AND (DATE_SUB(CURDATE(), INTERVAL 7 DAY) <= date(TASK_BEGINTIME) OR DATE_SUB(CURDATE(), INTERVAL 7 DAY) <= date(TASK_ENDTIME))";
                $query .= " AND TASK_BEGINTIME BETWEEN DATE_SUB(CURDATE() , INTERVAL 6 DAY ) AND DATE_ADD(CURDATE() , INTERVAL 6 DAY)";
                break;
            case "nearlyOneMonth":
                //$query .= " AND (DATE_SUB(CURDATE(), INTERVAL 30 DAY) <= date(TASK_BEGINTIME) OR DATE_SUB(CURDATE(), INTERVAL 30 DAY) <= date(TASK_ENDTIME))";
                $query .= " AND TASK_BEGINTIME BETWEEN DATE_SUB(CURDATE() , INTERVAL 1 MONTH ) AND DATE_ADD(CURDATE() , INTERVAL 1 MONTH)";
                break;
            case "level1":
                $query .= " AND TASK_LEVEL='0'";
                break;
            case "level2":
                $query .= " AND TASK_LEVEL='1'";
                break;
            case "level3":
                $query .= " AND TASK_LEVEL='2'";
                break;
            case "level4":
                $query .= " AND TASK_LEVEL='3'";
                break;
            case "haveno":
                $search_all = 'select t.*, ifnull(sum(d.TASKDIARY_PERSENT), 0) sum from PROJECT_TASK t left join PROJECT_TASK_DIARY d on t.TASK_ID = d.TASKDIARY_TASK';
                $query .= " group by t.TASK_ID having sum < 100";
                $isFilter = true;
                break;
            case "havedone":
                $search_all = 'select t.*, ifnull(sum(d.TASKDIARY_PERSENT), 0) sum from PROJECT_TASK t left join PROJECT_TASK_DIARY d on t.TASK_ID = d.TASKDIARY_TASK';
                $query .= " group by t.TASK_ID having sum = 100";
                $isFilter = true;
                break;
        }
        /* if($pro_id!="" && $pro_id!="0"){
          $query .= " AND TASK_PROJECT='".$pro_id."'";
          }else{
          $query .= " AND TASK_COMPLATE='".$pro_temp."'";
          } */
        $query .= " ORDER BY " . SecurityFilter($order) . " " . SecurityFilter($sens);

        if (!$isFilter) {
            $count_where = $query;
            $count = $search_count . $count_where;

            $infor['resultCount'] = $this->pro_Getsumnumber($count);
        } else {
            $search = $search_all . $query;
            $cursor = exequery($connection, $search);
            $infor['resultCount'] = mysql_num_rows($cursor);
        }
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }

        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  项目讨论列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListProjectDicuss($order, $sens, $limit_s = 0, $limit_e = 20, $pro_id) {
        global $connection;
        //$sql = "SELECT * FROM project_discuss WHERE DISCUSS_PROJECT='".$pro_id."' ORDER BY DISCUSS_ORDER DESC";	
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_discuss WHERE 1";
        $query .= " AND DISCUSS_PROJECT='" . $pro_id . "'";
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  我的项目列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListMyProjectData($order, $sens, $limit_s = "", $limit_e = "", $quickSortParam, $where_array = array()) {
        global $connection;
        //项目团队ID汇总
        $idstr = "";
        $team_sql = "SELECT * FROM project_team WHERE (INSTR(TEAM_PERSON,'," . $this->user_id . ",') > 0 OR INSTR(TEAM_PERSON,'" . $this->user_id . ",') = 1)";

        $team_cursor = exequery($connection, $team_sql);
        while ($team_row = mysql_fetch_assoc($team_cursor)) {
            $idstr .= $team_row["TEAM_PROJECT"] . ",";
        }

        $id_array = explode(",", $idstr);
        $id_array2 = array_unique($id_array);
        $new_idstr = implode(",", $id_array2);
        $new_idstr = substr($new_idstr, 0, -1);
        $manageIdstr1 = "";
        $manageIdstr2 = "";
        if ($new_idstr) {
            $manageIdstr1 = " OR MANAGER_ID IN (" . $new_idstr . ")";
            $manageIdstr2 = " AND MANAGER_ID!=''";
        }
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        //$query = " project_manager WHERE (((MANAGER_PERSON='".$this->user_id."' OR MANAGER_EXAMINE='".$this->user_id."') OR MANAGER_MONITOR='".$this->user_id."' ".$manageIdstr1.") OR (MANAGER_CREATER='".$this->user_id."' AND MANAGER_STATE='1'))";

        $query = " project_manager WHERE (((MANAGER_CREATER='" . $this->user_id . "' OR MANAGER_PERSON='" . $this->user_id . "') AND MANAGER_STATE='1') OR ((MANAGER_EXAMINE='" . $this->user_id . "' OR MANAGER_PERSON='" . $this->user_id . "') AND MANAGER_STATE='2') OR ((MANAGER_CREATER='" . $this->user_id . "' OR MANAGER_PERSON='" . $this->user_id . "' OR MANAGER_EXAMINE='" . $this->user_id . "') AND MANAGER_STATE='3') OR (((MANAGER_PERSON='" . $this->user_id . "' OR MANAGER_EXAMINE='" . $this->user_id . "') OR MANAGER_MONITOR='" . $this->user_id . "' " . $manageIdstr1 . ") AND (MANAGER_STATE='4' OR MANAGER_STATE='5')))";

        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "MANAGER_NUMBER") {
                    $query .= " AND MANAGER_NUMBER LIKE'%" . $value . "%'";
                } else if ($key == "MANAGER_NAME") {
                    $query .= " AND MANAGER_NAME LIKE'%" . $value . "%'";
                } else if ($key == "MANAGER_BEGINTIME") {
                    $checkdate = $value . " 00:00:00";
                    $query .= " AND UNIX_TIMESTAMP(MANAGER_BEGINTIME)>=UNIX_TIMESTAMP('" . $checkdate . "')";
                } else if ($key == "MANAGER_ENDTIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(MANAGER_ENDTIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                } else if ($key == "MANAGER_TYPE") {
                    $query .= " AND MANAGER_TYPE='" . $value . "'";
                } else if ($key == "MANAGER_STATE") {
                    $query .= " AND MANAGER_STATE='" . $value . "'";
                } else if ($key == "MANAGER_FAST") {
                    $query .= " AND MANAGER_FAST='" . $value . "'";
                } else if ($key == "MANAGER_LEVEL") {
                    $query .= " AND MANAGER_LEVEL='" . $value . "'";
                } else if ($key == "MANAGER_EXAMINE") {
                    $query .= " AND MANAGER_EXAMINE='" . $value . "'";
                } else if ($key == "MANAGER_MONITOR") {
                    $query .= " AND MANAGER_MONITOR='" . $value . "'";
                } else if ($key == "MANAGER_PERSON") {
                    $query .= " AND MANAGER_PERSON='" . $value . "'";
                } else if ($key == "MANAGER_CREATER") {
                    $query .= " AND MANAGER_CREATER='" . $value . "'";
                }
            }
        }
        switch ($quickSortParam) {
            case "pro_myjoin" :
                $query .= $manageIdstr2;
                break;
            case "pro_mymanage" :
                $query .= " AND MANAGER_PERSON='" . $this->user_id . "'";
                break;
            case "pro_mymontior" :
                $query .= " AND MANAGER_MONITOR='" . $this->user_id . "'";
                break;
            case "pro_examine" :
                $query .= " AND MANAGER_EXAMINE='" . $this->user_id . "'";
                break;
            case "pro_create" :
                $query .= " AND MANAGER_CREATER='" . $this->user_id . "'";
                break;
            /* case "pro_create" :
              $query .= " AND MANAGER_STATE='1'";
              break;
              case "pro_examining" :
              $query .= " AND MANAGER_STATE='2'";
              break;
              case "pro_doing" :
              $query .= " AND MANAGER_STATE='3'";
              break;
              case "pro_done" :
              $query .= " AND MANAGER_STATE='4'";
              break; */
            case "state_1" :
                $query .= " AND MANAGER_STATE='1'";
                break;
            case "state_2" :
                $query .= " AND MANAGER_STATE='2'";
                break;
            case "state_3" :
                $query .= " AND MANAGER_STATE='3'";
                break;
            case "state_4" :
                $query .= " AND MANAGER_STATE='4'";
                break;
            case "state_5" :
                $query .= " AND MANAGER_STATE='5'";
                break;
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }
        $search = $search_all . $query;

        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  我的任务列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListMyTaskData($order, $sens, $limit_s, $limit_e, $quickSortParam, $where_array = array()) {
        global $connection;
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_task WHERE 1 AND TASK_PERSONDO='" . $this->user_id . "' AND TASK_PROJECT!='0'";
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "TASK_NAME") {
                    $query .= " AND TASK_NAME LIKE'%" . $value . "%'";
                }
                if ($key == "TASK_PROJECT") {
                    $query .= " AND TASK_PROJECT='" . $value . "'";
                }
                if ($key == "TASK_LEVEL") {
                    $query .= " AND TASK_LEVEL='" . $value . "'";
                }
                if ($key == "TASK_MARK") {
                    $query .= " AND TASK_MARK='" . $value . "'";
                }
                if ($key == "TASK_BEGINTIME") {
                    $checkdate = $value . " 00:00:00";
                    $query .= " AND UNIX_TIMESTAMP(TASK_BEGINTIME)>=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
                if ($key == "TASK_ENDTIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(TASK_ENDTIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
                if ($key == "TASK_CREATER") {
                    $query .= " AND TASK_CREATER='" . $value . "'";
                }
                if ($key == "TASK_CREAT_TIME") {
                    $checkdate = $value . " 00:00:00";
                    $query .= " AND UNIX_TIMESTAMP(TASK_CREAT_TIME)>=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
            }
        }
        switch ($quickSortParam) {
            case "pro_level1" :
                $query .= " AND TASK_LEVEL='0'";
                break;
            case "pro_level2" :
                $query .= " AND TASK_LEVEL='1'";
                break;
            case "pro_level3" :
                $query .= " AND TASK_LEVEL='2'";
                break;
            case "pro_level4" :
                $query .= " AND TASK_LEVEL='3'";
                break;
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  项目文档列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListDocumentData($pro_id, $order, $sens, $limit_s, $limit_e, $quickSortParam, $where_array = array()) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_document WHERE 1 AND DOC_PROJECT='" . $pro_id . "'";
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "DOC_NAME") {
                    $query .= " AND DOC_NAME LIKE'%" . $value . "%'";
                } else if ($key == "DOC_FILE") {
                    $query .= " AND DOC_FILE='" . $value . "'";
                } else if ($key == "DOC_CREATER") {
                    $idstr = "";
                    $personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%" . $value . "%' AND USER_ACCOUNTS!='' AND DEPT_ID>0";
                    $personcursor = exequery($connection, $personsql);
                    while ($perrow = mysql_fetch_assoc($personcursor)) {
                        $idstr .= "'" . $perrow["USER_ID"] . "',";
                    }
                    if ($idstr == "") {
                        $query .= " AND DOC_ID=''";
                    } else {
                        $idstr = substr($idstr, 0, -1);
                        $query .= " AND DOC_CREATER IN (" . $idstr . ")";
                    }
                } else if ($key == "DOC_CREATTIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(DOC_CREATTIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                }
            }
        }
        switch ($quickSortParam) {
            case "today":
                $query .= " AND to_days(DOC_CREATTIME)=to_days(now())";
                break;
            case "nearlyThreeDays":
                //$query .= " AND DOC_CREATTIME BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()";
                $query .= " AND DATE_SUB(CURDATE(), INTERVAL 2 DAY) <= date(DOC_CREATTIME)";
                break;
            case "nearlyOneWeek":
                $query .= " AND DATE_SUB(CURDATE(), INTERVAL 6 DAY) <= date(DOC_CREATTIME)";
                break;
            case "nearlyOneMonth":
                $query .= " AND DATE_SUB(CURDATE(), INTERVAL 29 DAY) <= date(DOC_CREATTIME)";
                break;
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  任务进度列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListTaskPlanLogData($order, $sens, $limit_s = 0, $limit_e = 20, $task_id) {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_task_diary WHERE 1";
        if ($task_id) {
            $query .= " AND TASKDIARY_TASK='" . $task_id . "'";
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  项目问题列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListQuestionData($order, $sens, $limit_s = "", $limit_e = "", $quickSortParam, $where_array = array(), $pro_id = '') {
        global $connection;
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        if ($pro_id) {
            //$query = " project_question WHERE 1 AND QUESTION_PROJECT='".$pro_id."' AND QUESTION_STATE!='0'";	
            $query = " project_question WHERE 1 AND QUESTION_PROJECT='" . $pro_id . "' AND ((QUESTION_STATE='0' AND (QUESTION_CREATER='" . $this->user_id . "' OR QUESTION_PERSON='" . $this->user_id . "')) OR (QUESTION_STATE!='0'))";
        } else {
            $query = " project_question WHERE 1 AND (QUESTION_PERSON='" . $this->user_id . "' OR QUESTION_DOPERSON='" . $this->user_id . "' OR QUESTION_CREATER='" . $this->user_id . "')";
        }
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "QUESTION_PROJECT") {
                    $query .= " AND QUESTION_PROJECT='" . $value . "'";
                } else if ($key == "QUESTION_TASK") {
                    $query .= " AND QUESTION_TASK='" . $value . "'";
                } else if ($key == "QUESTION_LEVEL") {
                    $query .= " AND QUESTION_LEVEL='" . $value . "'";
                } else if ($key == "QUESTION_STATE") {
                    $query .= " AND QUESTION_STATE='" . $value . "'";
                } else if ($key == "QUESTION_NAME") {
                    $query .= " AND QUESTION_NAME LIKE'%" . $value . "%'";
                } else if ($key == "QUESTION_ENDTIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(QUESTION_ENDTIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                } else if ($key == "QUESTION_CREATER") {
                    $query .= " AND QUESTION_CREATER='" . $value . "'";
                } else if ($key == "QUESTION_CERATTIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(QUESTION_CERATTIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                } else if ($key == "QUESTION_PERSON") {
                    $query .= " AND QUESTION_PERSON='" . $value . "'";
                } else if ($key == "QUESTION_DOPERSON") {
                    $query .= " AND QUESTION_DOPERSON='" . $value . "'";
                }
            }
        }
        switch ($quickSortParam) {
            case "today":
                //$query .= " AND (DATE_FORMAT(QUESTION_ENDTIME,'%Y-%m-%d')=CURDATE()";
                $query .= " AND TO_DAYS(QUESTION_ENDTIME)=TO_DAYS(now())";
                break;
            case "nearlyThreeDays":
                //$query .= " AND QUESTION_ENDTIME BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()";
                $query .= " AND DATE_SUB(CURDATE(), INTERVAL 3 DAY) <= date(QUESTION_ENDTIME)";
                break;
            case "nearlyOneWeek":
                $query .= " AND DATE_SUB(CURDATE(), INTERVAL 7 DAY) <= date(QUESTION_ENDTIME)";
                break;
            case "nearlyOneMonth":
                $query .= " AND DATE_SUB(CURDATE(), INTERVAL 30 DAY) <= date(QUESTION_ENDTIME)";
                break;
            case "pro_nosubmit" :
                $query .= " AND QUESTION_STATE='0'";
                break;
            case "pro_havesubmit" :
                $query .= " AND QUESTION_STATE='1'";
                break;
            case "pro_dealing" :
                $query .= " AND QUESTION_STATE='2'";
                break;
            case "pro_havedeal" :
                $query .= " AND QUESTION_STATE='3'";
                break;
            case "pro_nosolve" :
                $query .= " AND QUESTION_STATE='4'";
                break;
            case "pro_havesolve" :
                $query .= " AND QUESTION_STATE='5'";
                break;
        }

        if ($where_array["subNum"] == "mylist") {
            $numQuery = " AND (QUESTION_STATE!=0 OR (QUESTION_CREATER='" . $this->user_id . "' OR QUESTION_PERSON='" . $this->user_id . "'))";
        } else {
            $numQuery = "";
        }
        $count = $search_count . $query . $numQuery;
        $query .= " ORDER BY " . $order . " " . $sens;

        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  项目监控列表数据
      @return:    $dataInfor->    array : 字段数组
     */

    public function pro_ListMyMonitorData($order, $sens, $limit_s, $limit_e, $quickSortParam, $where_array = array()) {
        global $connection;
        //项目团队ID汇总
        $infor = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " project_manager WHERE MANAGER_MONITOR='" . $this->user_id . "'";
        if (!empty($where_array)) {
            foreach ($where_array as $key => $value) {
                if ($key == "MANAGER_NUMBER") {
                    $query .= " AND MANAGER_NUMBER LIKE'%" . $value . "%'";
                } else if ($key == "MANAGER_NAME") {
                    $query .= " AND MANAGER_NAME LIKE'%" . $value . "%'";
                } else if ($key == "MANAGER_BEGINTIME") {
                    $checkdate = $value . " 00:00:00";
                    $query .= " AND UNIX_TIMESTAMP(MANAGER_BEGINTIME)>=UNIX_TIMESTAMP('" . $checkdate . "')";
                } else if ($key == "MANAGER_ENDTIME") {
                    $checkdate = $value . " 23:59:59";
                    $query .= " AND UNIX_TIMESTAMP(MANAGER_ENDTIME)<=UNIX_TIMESTAMP('" . $checkdate . "')";
                } else if ($key == "MANAGER_TYPE") {
                    $query .= " AND MANAGER_TYPE='" . $value . "'";
                } else if ($key == "MANAGER_STATE") {
                    $query .= " AND MANAGER_STATE='" . $value . "'";
                } else if ($key == "MANAGER_FAST") {
                    $query .= " AND MANAGER_FAST='" . $value . "'";
                } else if ($key == "MANAGER_LEVEL") {
                    $query .= " AND MANAGER_LEVEL='" . $value . "'";
                } else if ($key == "MANAGER_EXAMINE") {
                    $query .= " AND MANAGER_EXAMINE='" . $value . "'";
                } else if ($key == "MANAGER_MONITOR") {
                    $query .= " AND MANAGER_MONITOR='" . $value . "'";
                } else if ($key == "MANAGER_PERSON") {
                    $query .= " AND MANAGER_PERSON='" . $value . "'";
                } else if ($key == "MANAGER_CREATER") {
                    $query .= " AND MANAGER_CREATER='" . $value . "'";
                }
            }
        }
        $query .= " ORDER BY " . $order . " " . $sens;
        $count = $search_count . $query;
        $infor['resultCount'] = $this->pro_Getsumnumber($count);
        if ($limit_s >= $infor['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        while ($row = mysql_fetch_assoc($cursor)) {
            $infor[] = $row;
        }
        return $infor;
    }

    /*
      @function:  产生数据总数
      @parameter: $query->          string : 查询语句
      @return:    $resultCount->    string ：总数
     */

    private function pro_Getsumnumber($query) {
        global $connection;
        $getCountResult = exequery($connection, $query);
        if ($getCountRow = mysql_fetch_array($getCountResult)) {
            $resultCount = $getCountRow[0];
        }
        if ($resultCount == "") {
            return 0;
        } else {
            return $resultCount;
        }
    }

    //计算项目进度
    public function calculateProjectProgress($dataid) {
        global $connection;
        $task_sql = " AND TASK_PROJECT='" . $dataid . "'";
        $task_data = $this->pro_SearchAllData("project_task", $task_sql);
        $task_count = count($task_data);
        $have_persend = 0;
        for ($i = 0; $i < $task_count; $i++) {
            if ($task_data[$i]["TASK_ID"]) {
                $have_sql = " AND TASKDIARY_TASK='" . $task_data[$i]["TASK_ID"] . "'";
                $have_data = $this->pro_SearchAllData("project_task_diary", $have_sql);
                $have_count = count($have_data);
                for ($m = 0; $m < $have_count; $m++) {
                    if ($have_data[$m]["TASKDIARY_ID"]) {
                        $have_persend += $have_data[$m]["TASKDIARY_PERSENT"];
                    }
                }
            }
        }
        $sum = $task_count * 100;
        $persent = $have_persend / $sum * 100;
        return round($persent);
        //return $dataid;
    }

    //人员组织架构
    public function pro_CompanyUserShow($deptid = "") {
        global $connection;
        $dataInfor = array();
        if ($deptid == "") {
            $sql = "SELECT DEPT_ID,DEPT_NAME FROM department WHERE DEPT_PARENT=0 ORDER BY DEPT_NO ASC";
        } else {
            $sql = "SELECT DEPT_ID,DEPT_NAME FROM department WHERE DEPT_PARENT='" . SecurityFilter($deptid) . "' ORDER BY DEPT_NO ASC";
        }
        $rs = exequery($connection, $sql);
        $i = 0;
        while ($row = mysql_fetch_array($rs)) {
            $dataInfor[$i]["id"] = $row["DEPT_ID"];
            $dataInfor[$i]["name"] = $row["DEPT_NAME"];
            //下级部门
            $sqlc = "SELECT COUNT(*) AS cnt FROM department WHERE DEPT_PARENT='" . SecurityFilter($row["DEPT_ID"]) . "'";
            $rsc = exequery($connection, $sqlc);
            $rowc = mysql_fetch_array($rsc);
            $cntc = $rowc['cnt'];
            //部门人员
            $sqlu = "SELECT COUNT(*) AS cnt FROM user WHERE DEPT_ID='" . SecurityFilter($row["DEPT_ID"]) . "'";
            $rsu = exequery($connection, $sqlu);
            $rowu = mysql_fetch_array($rsu);
            $cntu = $rowu['cnt'];
            if ($cntc > 0 || $cntu > 0) {
                $dataInfor[$i]["isParent"] = true;
            } else {
                $dataInfor[$i]["isParent"] = false;
            }
            $i++;
        }
        if ($deptid) {
            $userdata = $this->pro_DeptUnderUser($deptid);
            $dataInfor = array_merge($dataInfor, $userdata);
        }
        return $dataInfor;
    }

    public function pro_DeptUnderUser($deptid) {
        global $connection;
        $dataInfor = array();
        $sql = "SELECT USER_ID,USER_NAME FROM USER left join USER_PRIV  on  USER.USER_PRIV=USER_PRIV.USER_PRIV where DEPT_ID>=0 AND DEPT_ID='" . SecurityFilter($deptid) . "'  ORDER BY USER.LISTNUMBER ASC,PRIV_NO,USER_NAME";
        $rs = exequery($connection, $sql);
        $i = 0;
        while ($row = mysql_fetch_array($rs)) {
            $dataInfor[$i]["id"] = $row["USER_ID"];
            $dataInfor[$i]["name"] = $row["USER_NAME"];
            $i++;
        }
        return $dataInfor;
    }

    public function pro_ProjectTeamList($pro_id) {
        global $connection;
        $teamList = array();
        if (!$pro_id) {
            return $teamList;
        }
        $team_sql = "SELECT * FROM project_team WHERE TEAM_PROJECT = $pro_id";
        $team_cursor = exequery($connection, $team_sql);
        $str = "";
        while ($team_row = mysql_fetch_assoc($team_cursor)) {
            if (isset($team_row["TEAM_PERSON"])) {
                $str.= $team_row["TEAM_PERSON"] . ",";
            }
        }

        $teamList = explode(",", $str);
        return $teamList;
    }

    public function pro_ProjectTaskDetailBywhere($where) {
        global $connection;
        $task_sql = "SELECT * FROM project_task WHERE 1 = 1  $where";

        $task_cursor = exequery($connection, $task_sql);
        $dataInfo = array();
        while ($row = mysql_fetch_assoc($task_cursor)) {
            $dataInfo[] = $row;
        }
        if (count($dataInfo) == 1) {
            return $dataInfo[0];
        } else {
            return $dataInfo;
        }
    }

    public function pro_UpdateTaskFront($frontId, $where) {
        global $connection;
        $fontsql = "UPDATE project_task SET TASK_FRONTID = $frontId  WHERE 1 = 1  $where";
        return exequery($connection, $fontsql);
    }

    public function pro_updateTemplateTaskFront($pro_id) {

        //先获取项目下的ID
        $w1 = " and TASK_PROJECT = '" . $pro_id . "' and TASK_FRONTID >0";
        $taskList = $this->pro_ProjectTaskDetailBywhere($w1);

        //获取当前前置任务的详细
        foreach ($taskList as $task) {
            $w2 = " and TASK_ID ='" . $task["TASK_FRONTID"] . "'";
            $fronTaskInfo = $this->pro_ProjectTaskDetailBywhere($w2);

            //获取真正的插入的ID
            $w3 = " and TASK_PROJECT = '" . $pro_id . "' and TASK_NAME ='" . $fronTaskInfo["TASK_NAME"] . "' and TASK_PERSONDO ='" . $fronTaskInfo
                    ["TASK_PERSONDO"] . "' and TASK_BEGINTIME ='" . $fronTaskInfo["TASK_BEGINTIME"] . "' and TASK_ENDTIME ='" . $fronTaskInfo["TASK_ENDTIME"] . "'";
            $insertInfo = $this->pro_ProjectTaskDetailBywhere($w3);
            $insertId = $insertInfo["TASK_ID"];

            //更新本来插入的
            $w4 = " and TASK_ID ='" . $task["TASK_ID"] . "'";
            $this->pro_UpdateTaskFront($insertId, $w4);
        }
    }

}

?>
