<?php
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.3
 * @function      用户api
 * @encoding      $_lang['encoding']
 * @name          api/user.class.php
 * @version       3
 * @author        sun|www.weaver.com.cn
 * @date          2013-01-14
 */
include_once ("inc/function_picture.php");
include_once("inc/utility_all.php");
class user {
	var $default_limit = 20;
	var $default_start = 0;
	function __construct() {

	}

	/**
	*封装执行sql语句
	*@access public
	*@para   str  $tables     要更新的表名
	*@para   str  $properties 要更新的字段和值
	*@para   str  $conditions 更新语句的条件
	*@para   str  $others     其他sql语句信息字符串
	*@return bool $rs
	*/
	function update($tables,$properties,$conditions,$others='')
	{
		global $connection;
		$sql = "UPDATE ".SecurityFilter($tables)." SET ".$properties. " WHERE ".$conditions;
		if($others)
			$sql .= " ".$others;
		$rs  = exequery($connection,$sql);
		return $rs;
	}

	/*
@function:  用户统计，在线统计
@parameter: $status->         string  :用户的状态
			$online->         string  :是否在线
@return:    $amount->         string  :返回人员的数目
*/
	function getUserAmount($status = "", $online = "") {
		global $connection;
		if ($online) {
			$sql .= "
					SELECT COUNT(u.USER_ID) AS CNT FROM user u,user_online uo WHERE 1
					AND U.USER_ID=uo.USER_ID
					AND ABS(UNIX_TIMESTAMP(NOW())-UNIX_TIMESTAMP(VISIT_TIME))<150
					";
		} else {
			$sql = "SELECT COUNT(USER_ID) AS CNT FROM user u WHERE 1";

		}
		if ($status) {
			$sql .= " AND u.DEPT_ID>0 ";
		}

		$rs = exequery ( $connection, $sql );
		$row = mysql_fetch_array ( $rs );
		$amount = $row ["CNT"];

		return $amount;
	}

	/*
@function:  添加用户
@parameter: $inArray->    Array  :添加用户的详细信息
@return:    $USER_ID      string :返回添加过用户的ID
*/
	function insertUser($inArray) {
		global $connection;

		$USER_ACCOUNTS = $inArray ['useraccounts'];
		if (trim ( $USER_ACCOUNTS ) == "") {
			return false;
		}
		if (strstr ( $USER_ACCOUTNS, "\'" )) {
			return false;
		}

		if (! $this->checkNotExistUser ( $USER_ACCOUNTS )) {
			return false;
		}

		$USER_ID = $this->getNewUserID ();
		if (! $USER_ID) {
			return false;
		}

		$USER_NAME = $inArray ['username'];
		if (! $USER_NAME) {
			$USER_NAME = $USER_ACCOUNTS;
		}

		$PASSWORD = $inArray ['password'];
		if (strstr ( $PASSWORD, "\'" )) {
			return false;
		}
		$PASSWORD = crypt ( $PASSWORD );

		$USER_PRIV = $inArray ['userpriv'] ? $inArray ['userpriv'] : $this->getAuserpriv ();
		$POST_PRIV = $inArray ['postpriv'] ? $inArray ['postpriv'] : 0;
		$POST_DEPT = $inArray ['postdept'];
		$POST_DEPT = $POST_PRIV == "2" ? $POST_DEPT : "";

		$DEPT_ID = $inArray ['deptid'];
		$SEX = $inArray ['sex'] ? $inArray ['sex'] : 0;
		$BIRTHDAY = $inArray ['birthday'];
		$TEL_NO_DEPT = $inArray ['telnodept'];
		$FAX_NO_DEPT = $inArray ['faxnodept'];
		$ADD_HOME = $inArray ['addhome'];
		$POST_NO_HOME = $inArray ['postnohome'];
		$TEL_NO_HOME = $inArray ['telnohome'];
		$MOBIL_NO = $inArray ['mobileno'];
		$BP_NO = $inArray ['bpno'];
		$EMAIL = $inArray ['email'];
		$OICQ_NO = $inArray ['qicqno'];
		$ICQ_NO = $inArray ['icqno'];
		$MSN = $inArray ['msn'];
		$NICK_NAME = $inArray ['nickname'];
		$AVATAR = $inArray ['avatar'] ? $inArray ['avatar'] : 1;
		$CALL_SOUND = $inArray ['callsound'] ? $inArray ['callsound'] : 1;
		$BBS_SIGNATURE = $inArray ['bbssignature'];
		$BBS_COUNTER = $inArray ['bbscounter'];
		$DUTY_TYPE = $inArray ['dutytype'] ? $inArray ['dutytype'] : 1;
		$LAST_VISIT_TIME = $inArray ['lastvisittime'];
		$SMS_ON = $inArray ['smson'] ? $inArray ['smson'] : 1;
		$MENU_TYPE = $inArray ['menutype'] ? $inArray ['menutype'] : 1;
		$MENU_HIDE = $inArray ['menuhide'] ? $inArray ['menuhide'] : 2;
		$UIN = $inArray ['uin'];
		$PIC_ID = $inArray ['picid'];
		$AUTHORIZE = $inArray ['authorize'];
		$CANBROADCAST = $inArray ['canbroadcast'];
		$DISABLED = $inArray ['disabled'];
		$MOBILE_SP = $inArray ['mobilesp'];
		$MOBILE_PS1 = $inArray ['mobileps1'];
		$MOBILE_PS2 = $inArray ['mobileps2'];
		$LAST_PASS_TIME = $inArray ['lastpasstime'];
		$THEME = $inArray ['theme'];
		//$SHORTCUT = $this->getUserPrivFuncIDStr ( $USER_PRIV );
		//判断权限
		$sql = "SELECT * FROM user_priv WHERE USER_PRIV=".SecurityFilter($USER_PRIV);
		$cursor= exequery($connection,$sql);
		if($row = mysql_fetch_array($cursor))
		$u_priv = $row['FUNC_ID_STR'];
		$u_priv	= explode(",", $u_priv);
		$str	= explode(",","2,3,315,28,25,245,");
		for($i=0;$i<sizeof($u_priv);$i++)
		{
			if(in_array($str[$i],$u_priv)&&$str[$i]!="")
				$SHORTCUT	.= $str[$i].",";
		}

		$PANEL = $inArray ['panerl'] ? $inArray ['panerl'] : 1;
		$SMS_TIME = $inArray ['smstime'] ? $inArray ['smstime'] : 30;
		$SMS_LOGIN = $inArray ['smslogin'];

		$LISTNUMBER = $inArray ['listnumber'];
		if (! $LISTNUMBER) {
			$LISTNUMBER = 100;
		}

		$NOTES = $inArray ['notes'];
		$WAP_ALLOW = $inArray ['wapallow'];
		$LOGIN_USBKEY = $inArray ['loginusbkey'] ? $inArray ['loginusbkey'] : 0;
		$USBKEY_PIN   = $inArray ['usbkeypin'];
		$USER_STATUS  = $inArray ['userstatus'] ? $inArray ['userstatus'] : 1;

		$sql = "INSERT INTO user (
					USER_ID,
					USER_ACCOUNTS,
					USER_NAME,
					PASSWORD,
					USER_PRIV,
					POST_PRIV,
					POST_DEPT,
					DEPT_ID,
					SEX,
					BIRTHDAY,
					TEL_NO_DEPT,
					FAX_NO_DEPT,
					ADD_HOME,
					POST_NO_HOME,
					TEL_NO_HOME,
					MOBIL_NO,
					BP_NO,
					EMAIL,
					OICQ_NO,
					ICQ_NO,
					MSN,
					NICK_NAME,
					AVATAR,
					CALL_SOUND,
					BBS_SIGNATURE,
					BBS_COUNTER,
					DUTY_TYPE,
					LAST_VISIT_TIME,
					SMS_ON,
					MENU_TYPE,
					MENU_HIDE,
					UIN,
					PIC_ID,
					AUTHORIZE,
					CANBROADCAST,
					DISABLED,
					MOBILE_SP,
					MOBILE_PS1,
					MOBILE_PS2,
					LAST_PASS_TIME,
					THEME,
					SHORTCUT,
					PANEL,
					SMS_TIME,
					SMS_LOGIN,
					LISTNUMBER,
					NOTES,
					WAP_ALLOW,
					LOGIN_USBKEY,
					USBKEY_PIN,
					USER_STATUS
					) VALUES (
					'" . SecurityFilter($USER_ID) . "',
					'" . SecurityFilter($USER_ACCOUNTS) . "',
					'" . SecurityFilter($USER_NAME) . "',
					'" . SecurityFilter($PASSWORD) . "',
					'" . SecurityFilter($USER_PRIV) . "',
					'" . SecurityFilter($POST_PRIV) . "',
					'" . SecurityFilter($POST_DEPT) . "',
					'" . SecurityFilter($DEPT_ID) . "',
					'" . SecurityFilter($SEX) . "',
					'" . SecurityFilter($BIRTHDAY) . "',
					'" . SecurityFilter($TEL_NO_DEPT) . "',
					'" . SecurityFilter($FAX_NO_DEPT) . "',
					'" . SecurityFilter($ADD_HOME) . "',
					'" . SecurityFilter($POST_NO_HOME) . "',
					'" . SecurityFilter($TEL_NO_HOME) . "',
					'" . SecurityFilter($MOBIL_NO) . "',
					'" . SecurityFilter($BP_NO) . "',
					'" . SecurityFilter($EMAIL) . "',
					'" . SecurityFilter($OICQ_NO) . "',
					'" . SecurityFilter($ICQ_NO) . "',
					'" . SecurityFilter($MSN) . "',
					'" . SecurityFilter($NICK_NAME) . "',
					'" . SecurityFilter($AVATAR) . "',
					'" . SecurityFilter($CALL_SOUND) . "',
					'" . SecurityFilter($BBS_SIGNATURE) . "',
					'" . SecurityFilter($BBS_COUNTER) . "',
					'" . SecurityFilter($DUTY_TYPE) . "',
					'" . SecurityFilter($LAST_VISIT_TIME) . "',
					'" . SecurityFilter($SMS_ON) . "',
					'" . SecurityFilter($MENU_TYPE) . "',
					'" . SecurityFilter($MENU_HIDE) . "',
					'" . SecurityFilter($UIN) . "',
					'" . SecurityFilter($PIC_ID) . "',
					'" . SecurityFilter($AUTHORIZE) . "',
					'" . SecurityFilter($CANBROADCAST) . "',
					'" . SecurityFilter($DISABLED) . "',
					'" . SecurityFilter($MOBILE_SP) . "',
					'" . SecurityFilter($MOBILE_PS1) . "',
					'" . SecurityFilter($MOBILE_PS2) . "',
					'" . SecurityFilter($LAST_PASS_TIME) . "',
					'" . SecurityFilter($THEME) . "',
					'" . SecurityFilter($SHORTCUT) . "',
					'" . SecurityFilter($PANEL) . "',
					'" . SecurityFilter($SMS_TIME) . "',
					'" . SecurityFilter($SMS_LOGIN) . "',
					'" . SecurityFilter($LISTNUMBER) . "',
					'" . SecurityFilter($NOTES) . "',
					'" . SecurityFilter($WAP_ALLOW) . "',
					'" . SecurityFilter($LOGIN_USBKEY) . "',
					'" . SecurityFilter($USBKEY_PIN) . "',
					'" . SecurityFilter($USER_STATUS). "'
					)";
		exequery ( $connection, $sql );
		add_log ( 6, $USER_ID, $_SESSION ['LOGIN_USER_ID'] );

		$this->createUserMenu ( $USER_ID );
		return $USER_ID;
	}

	/*
@function:  编辑用户
@parameter: $inArray->    Array  :编辑用户的详细信息
@return:    $USER_ID      string :返回编辑用户的ID
*/
	function editUser($inArray) {
		global $connection;

		$USER_ID = $inArray ['userid'];
		if (! $USER_ID) {
			return false;
		}

		$USER_ACCOUNTS = $inArray ['useraccounts'];
		if (trim($USER_ACCOUNTS) == "") {
			return false;
		}

		if (strstr ( $USER_ACCOUTNS, "\'" )) {
			return false;
		}

		if (! $this->checkNotExistUser ( $USER_ACCOUNTS, $USER_ID )) {
			return false;
		}

		$USER_NAME = $inArray ['username'];
		if (! $USER_NAME) {
			$USER_NAME = $USER_ACCOUNTS;
		}
		$getOldUserInforSQL="SELECT * FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
		$getOldUserInforResult=exequery($connection, $getOldUserInforSQL);
		$OldUserInforArray=mysql_fetch_array($getOldUserInforResult,MYSQL_ASSOC );

		$USER_PRIV = $inArray ['userpriv'] == "" ? $OldUserInforArray ['USER_PRIV'] : $inArray ['userpriv'];
		$POST_PRIV = $inArray ['postpriv'] == "" ? $OldUserInforArray ['POST_PRIV'] : $inArray ['postpriv'];

		$POST_DEPT = $inArray ['postdept'] == "" ? $OldUserInforArray ['POST_DEPT'] : $inArray ['postdept'];

		$DEPT_ID = $inArray ['deptid'] == "" ? $OldUserInforArray ['DEPT_ID'] : $inArray ['deptid'];
		$SEX = $inArray ['sex'] == "" ? $OldUserInforArray ['SEX'] : $inArray ['sex'];
		$BIRTHDAY = $inArray ['birthday'] == "" ? $OldUserInforArray ['BIRTHDAY'] : $inArray ['birthday'];
		$TEL_NO_DEPT = $inArray ['telnodept'] == "" ? $OldUserInforArray ['TEL_NO_DEPT'] : $inArray ['telnodept'];
		$FAX_NO_DEPT = $inArray ['faxnodept'] == "" ? $OldUserInforArray ['FAX_NO_DEPT'] : $inArray ['faxnodept'];
		$ADD_HOME = $inArray ['addhome'] == "" ? $OldUserInforArray ['ADD_HOME'] : $inArray ['addhome'];
		$POST_NO_HOME = $inArray ['postnohome'] == "" ? $OldUserInforArray ['POST_NO_HOME'] : $inArray ['postnohome'];
		$TEL_NO_HOME = $inArray ['telnohome'] == "" ? $OldUserInforArray ['TEL_NO_HOME'] : $inArray ['telnohome'];
		$MOBIL_NO = $inArray ['mobileno'] == "" ? $OldUserInforArray ['MOBIL_NO'] : $inArray ['mobileno'];
		$BP_NO = $inArray ['bpno'] == "" ? $OldUserInforArray ['BP_NO'] : $inArray ['bpno'];
		$EMAIL = $inArray ['email'] == "" ? $OldUserInforArray ['EMAIL'] : $inArray ['email'];
		$OICQ_NO = $inArray ['qicqno'] == "" ? $OldUserInforArray ['OICQ_NO'] : $inArray ['qicqno'];
		$ICQ_NO = $inArray ['icqno'] == "" ? $OldUserInforArray ['ICQ_NO'] : $inArray ['icqno'];
		$MSN = $inArray ['msn'] == "" ? $OldUserInforArray ['MSN'] : $inArray ['msn'];
		$NICK_NAME = $inArray ['nickname'] == "" ? $OldUserInforArray ['NICK_NAME'] : $inArray ['nickname'];
		$AVATAR = $inArray ['avatar'] == "" ? $OldUserInforArray ['AVATAR'] : $inArray ['avatar'];
		$CALL_SOUND = $inArray ['callsound'] == "" ? $OldUserInforArray ['CALL_SOUND'] : $inArray ['callsound'];
		$BBS_SIGNATURE = $inArray ['bbssignature'] == "" ? $OldUserInforArray ['BBS_SIGNATURE'] : $inArray ['bbssignature'];
		$BBS_COUNTER = $inArray ['bbscounter'] == "" ? $OldUserInforArray ['BBS_COUNTER'] : $inArray ['bbscounter'];
		$DUTY_TYPE = $inArray ['dutytype'] == "" ? $OldUserInforArray ['DUTY_TYPE'] : $inArray ['dutytype'];
		$LAST_VISIT_TIME = $inArray ['lastvisittime'] == "" ? $OldUserInforArray ['LAST_VISIT_TIME'] : $inArray ['lastvisittime'];
		$SMS_ON = $inArray ['smson'] == "" ? $OldUserInforArray ['SMS_ON'] : $inArray ['smson'];
		$MENU_TYPE = $inArray ['menutype'] == "" ? $OldUserInforArray ['MENU_TYPE'] : $inArray ['menutype'];
		$MENU_HIDE = $inArray ['menuhide'] == "" ? $OldUserInforArray ['MENU_HIDE'] : $inArray ['menuhide'];
		$UIN = $inArray ['uin'] == "" ? $OldUserInforArray ['UIN'] : $inArray ['uin'];
		$PIC_ID = $inArray ['picid'] == "" ? $OldUserInforArray ['PIC_ID'] : $inArray ['picid'];
		$AUTHORIZE = $inArray ['authorize'] == "" ? $OldUserInforArray ['AUTHORIZE'] : $inArray ['authorize'];
		$CANBROADCAST = $inArray ['canbroadcast'] == "" ? $OldUserInforArray ['CANBROADCAST'] : $inArray ['canbroadcast'];
		$DISABLED = $inArray ['disabled'] == "" ? $OldUserInforArray ['DISABLED'] : $inArray ['disabled'];
		$MOBILE_SP = $inArray ['mobilesp'] == "" ? $OldUserInforArray ['MOBILE_SP'] : $inArray ['mobilesp'];
		$MOBILE_PS1 = $inArray ['mobileps1'] == "" ? $OldUserInforArray ['MOBILE_PS1'] : $inArray ['mobileps1'];
		$MOBILE_PS2 = $inArray ['mobileps2'] == "" ? $OldUserInforArray ['MOBILE_PS2'] : $inArray ['mobileps2'];
		$LAST_PASS_TIME = $inArray ['lastpasstime'] == "" ? $OldUserInforArray ['LAST_PASS_TIME'] : $inArray ['lastpasstime'];
		$THEME = $inArray ['theme'] == "" ? $OldUserInforArray ['THEME'] : $inArray ['theme'];
		//$SHORTCUT = $this->getUserPrivFuncIDStr ( $USER_PRIV );
		//判断权限
		$sql    = "SELECT * FROM user_priv WHERE USER_PRIV=".SecurityFilter($USER_PRIV);
		$cursor = exequery($connection,$sql);
		if($row = mysql_fetch_array($cursor))
		$u_priv = $row['FUNC_ID_STR'];
		$u_priv	= explode(",", $u_priv);
		$str	= explode(",","2,3,315,28,25,245,");
		for($i=0;$i<sizeof($u_priv);$i++)
		{
			if(in_array($str[$i],$u_priv)&&$str[$i]!="")
				$SHORTCUT	.= $str[$i].",";
		}
		$PANEL = $inArray ['panerl'] == "" ? $OldUserInforArray ['PANEL'] : $inArray ['panerl'];
		$SMS_TIME = $inArray ['smstime'] == "" ? $OldUserInforArray ['SMS_TIME'] : $inArray ['smstime'];
		$SMS_LOGIN = $inArray ['smslogin'] == "" ? $OldUserInforArray ['SMS_LOGIN'] : $inArray ['smslogin'];
		$LISTNUMBER = $inArray ['listnumber'] == "" ? $OldUserInforArray ['LISTNUMBER'] : $inArray ['listnumber'];
		$NOTES = $inArray ['notes'] == "" ? $OldUserInforArray ['NOTES'] : $inArray ['notes'];
		$WAP_ALLOW = $inArray ['wapallow'] == "" ? $OldUserInforArray ['WAP_ALLOW'] : $inArray ['wapallow'];
		$LOGIN_USBKEY = $inArray ['loginusbkey'] == "" ? $OldUserInforArray ['LOGIN_USBKEY'] : $inArray ['loginusbkey'];
		$USBKEY_PIN = $inArray ['usbkeypin'] == "" ? $OldUserInforArray ['USBKEY_PIN'] : $inArray ['usbkeypin'];
		$PASSWORD = $inArray ['password'] == "" ? $OldUserInforArray ['PASSWORD'] : $inArray ['password'];
		$USER_STATUS = $inArray ['userstatus'] =="" ? $OldUserInforArray ['USER_STATUS'] : $inArray ['userstatus'];

		$sql = "UPDATE user SET
					USER_ACCOUNTS='" . SecurityFilter($USER_ACCOUNTS) . "',
					USER_NAME='" . SecurityFilter($USER_NAME) . "',
					PASSWORD='" . SecurityFilter($PASSWORD) . "',
					USER_PRIV='" . SecurityFilter($USER_PRIV) . "',
					POST_PRIV='" . SecurityFilter($POST_PRIV) . "',
					POST_DEPT='" . SecurityFilter($POST_DEPT) . "',
					DEPT_ID='" . SecurityFilter($DEPT_ID) . "',
					SEX='" . SecurityFilter($SEX) . "',
					BIRTHDAY='" . SecurityFilter($BIRTHDAY) . "',
					TEL_NO_DEPT='" . SecurityFilter($TEL_NO_DEPT) . "',
					FAX_NO_DEPT='" . SecurityFilter($FAX_NO_DEPT) . "',
					ADD_HOME='" . SecurityFilter($ADD_HOME) . "',
					POST_NO_HOME='" . SecurityFilter($POST_NO_HOME) . "',
					TEL_NO_HOME='" . SecurityFilter($TEL_NO_HOME) . "',
					MOBIL_NO='" . SecurityFilter($MOBIL_NO) . "',
					BP_NO='" . SecurityFilter($BP_NO) . "',
					EMAIL='" . SecurityFilter($EMAIL) . "',
					OICQ_NO='" . SecurityFilter($OICQ_NO) . "',
					ICQ_NO='" . SecurityFilter($ICQ_NO) . "',
					MSN='" . SecurityFilter($MSN) . "',
					NICK_NAME='" . SecurityFilter($NICK_NAME) . "',
					AVATAR='" . SecurityFilter($AVATAR) . "',
					CALL_SOUND='" . SecurityFilter($CALL_SOUND) . "',
					BBS_SIGNATURE='" . SecurityFilter($BBS_SIGNATURE) . "',
					BBS_COUNTER='" . SecurityFilter($BBS_COUNTER) . "',
					DUTY_TYPE='" . SecurityFilter($DUTY_TYPE) . "',
					LAST_VISIT_TIME='" . SecurityFilter($LAST_VISIT_TIME) . "',
					SMS_ON='" . SecurityFilter($SMS_ON) . "',
					MENU_TYPE='" . SecurityFilter($MENU_TYPE) . "',
					MENU_HIDE='" . SecurityFilter($MENU_HIDE) . "',
					UIN='" . SecurityFilter($UIN) . "',
					PIC_ID='" . SecurityFilter($PIC_ID) . "',
					AUTHORIZE='" . SecurityFilter($AUTHORIZE) . "',
					CANBROADCAST='" . SecurityFilter($CANBROADCAST) . "',
					DISABLED='" . SecurityFilter($DISABLED) . "',
					MOBILE_SP='" . SecurityFilter($MOBILE_SP) . "',
					MOBILE_PS1='" . SecurityFilter($MOBILE_PS1) . "',
					MOBILE_PS2='" . SecurityFilter($MOBILE_PS2) . "',
					LAST_PASS_TIME='" . SecurityFilter($LAST_PASS_TIME) . "',
					THEME='" . SecurityFilter($THEME) . "',
					SHORTCUT='" . SecurityFilter($SHORTCUT) . "',
					PANEL='" . SecurityFilter($PANEL) . "',
					SMS_TIME='" . SecurityFilter($SMS_TIME) . "',
					SMS_LOGIN='" . SecurityFilter($SMS_LOGIN) . "',
					LISTNUMBER='" . SecurityFilter($LISTNUMBER) . "',
					NOTES='" . SecurityFilter($NOTES) . "',
					WAP_ALLOW='" . SecurityFilter($WAP_ALLOW) . "',
					LOGIN_USBKEY='" . SecurityFilter($LOGIN_USBKEY) . "',
					USBKEY_PIN='" . SecurityFilter($USBKEY_PIN) . "',
					USER_STATUS='" . SecurityFilter($USER_STATUS) . "'
				WHERE USER_ID='" . SecurityFilter($USER_ID) . "'";
		exequery ( $connection, $sql );
		return $USER_ID;
	}

	/*
	@function:  检测用户数是否超过最大限制
	@parameter: 无
	@return:    true/false    bool   :true没有超过限制，false已超过限制
	*/
	function checkUserLimit() {
		global $connection;
		$sql = "SELECT COUNT(*) AS cnt FROM user WHERE DEPT_ID>0";
		$rs  = exequery ( $connection, $sql );
		$row = mysql_fetch_array ( $rs );
		$nowcount = $row ["cnt"];
		$caccount = $_SESSION ['SESSION_LOGIN_CACCOUNT'];
		$webroot  = $_SERVER ["DOCUMENT_ROOT"];
		$cpini    = str_replace ( "/", DIRECTORY_SEPARATOR, $webroot . "/saas/saasconfig/eoffice_" . $caccount . "/" . $caccount . "_config.ini" );
		$ini_array = @parse_ini_file ( $cpini );

		if ($nowcount < $ini_array ['caccounts']) {
			return true;
		} else {
			return false;
		}
	}

	/*
	@function:  生成userid
	@parameter: 无
	@return:    $userid_next->    string   :生成的用户ID号
	*/
	function getNewUserID() {
		global $connection;
		$sql = "SELECT USER_ID FROM user WHERE LENGTH(USER_ID)=10 AND LEFT(USER_ID,2)='WV' ORDER BY USER_ID DESC";
		$rs = exequery ( $connection, $sql );
		if ($row = mysql_fetch_array ( $rs )) {
			$userid = $row ['USER_ID'];
			$id_max = abs ( str_replace ( 'WV', '', $userid ) );
			$id_max ++;
			$id_max_str = '';
			for($i = 0; $i < (8 - strlen ( $id_max )); $i ++) {
				$id_max_str .= '0';
			}
			$userid_next = "WV" . $id_max_str . $id_max;
		} else {
			$userid_next = 'WV00000001';
		}
		return $userid_next;

	}

	/*
@function:  生成用户菜单
@parameter: $userid->     string  :当前用户ID
@return:    true/false    Array   :true生成成功，false不成功
*/
	function createUserMenu($userid) {
		global $connection;
		if ($userid == "") {
			return false;
		}
		$sql = "SELECT * FROM sys_function ORDER BY MENU_ID ASC";
		$rs = exequery ( $connection, $sql );
		$menu_cnt = 0;
		$order_c1 = 0;
		$order_c2 = 0;
		$order_c3 = 0;
		$defaultMenuArray = array("2", "3", "252", "311", "316", "310", "315", "207", "217", "253", "219", "29", "363", "130", "131");
		while ( $row = mysql_fetch_array ( $rs ) ) {
			$menu_cnt ++;
			$user_id = $userid;
			$func_id = $row ['FUNC_ID'];
			$menu_id = $row ['MENU_ID'];
			if (strlen ( $menu_id ) == 2) {
				$order_c1 ++;
				$order_c = $order_c1;
			}
			if (strlen ( $menu_id ) == 4) {
				$order_c2 ++;
				$order_c = $order_c2;
			}
			if (strlen ( $menu_id ) == 6) {
				$order_c3 ++;
				$order_c = $order_c3;
			}

			$order_id = $order_c;
			$func_isshow = 1;
			$func_issys = 1;
			$func_name = $row ['FUNC_NAME'];
			$func_code = $row ['FUNC_CODE'];
			$func_follow = $row ['FUNC_FOLLOW'];
			$func_type = 0;
			if(in_array($func_id, $defaultMenuArray)){
				$frequency  = 2;
			}
			else{
				$frequency  = 1;
			}

			$sql_i = "INSERT INTO user_menu VALUES(
						'".SecurityFilter($user_id)."',
						".SecurityFilter($func_id).",
						'".SecurityFilter($menu_id)."',
						".SecurityFilter($order_id).",
						".SecurityFilter($func_isshow).",
						".SecurityFilter($func_issys).",
						'".SecurityFilter($func_name)."',
						'".SecurityFilter($func_code)."',
						".SecurityFilter($func_follow).",
						".SecurityFilter($func_type).",
						'".SecurityFilter($func_type_id)."',
						'".SecurityFilter($frequency)."',
						'',
						'',
						''
			)";
			exequery ( $connection, $sql_i );
		}
		return true;
	}

	/*
@function:  检测帐号是否存在
@parameter: $account->    string  :登录用户名
			$userid->     string  :登录用户ID
@return:    true/false    Array   :true存在，false不存在
*/
	function checkNotExistUser($account, $userid = "") {
		global $connection;
		if (trim ( $account ) != "") {
			$sql = "SELECT COUNT(*) AS cnt FROM user WHERE USER_ACCOUNTS='" . SecurityFilter($account) . "'";
			if ($userid) {
				$sql .= " AND USER_ID<>'" . SecurityFilter($userid) . "'";
			}
			//echo $sql;
			$rs = exequery ( $connection, $sql );
			$row = mysql_fetch_array ( $rs );
			if ($row ['cnt'] > 0) {
				return false;
			} else {
				return true;
			}
		}
		return false;
	}

	/**
	 * 检查帐号是否存在
	 * @param string $userAccount
	 * @return false_不存在，true_存在
	 */
	function CheckUserAccount($userAccount) {
		global $connection;
		if (trim ( $userAccount ) == "") {
			return false;
		}
		$sql = "SELECT COUNT(*) AS cnt FROM user WHERE USER_ACCOUNTS='" . SecurityFilter($userAccount) . "'";
		$rs = exequery ( $connection, $sql );
		$row = mysql_fetch_array ( $rs );
		if ($row ['cnt'] > 0) {
			return true;
		} else {
			return false;
		}
	}
	/*
@function:  取默认角色，非管理员
@parameter: 无
@return:    $userpriv      Array   :默认角色的ID
*/
	function getAuserpriv() {
		global $connection;
		$sql = "SELECT USER_PRIV FROM user_priv WHERE USER_PRIV>1 LIMIT 0,1";
		$rs = exequery ( $connection, $sql );
		$row = mysql_fetch_array ( $rs );
		$userpriv = $row ['USER_PRIV'];

		return $userpriv;
	}

	/*
@function:  角色权限判断
@parameter: $userpriv->     string  :用户角色的ID号
@return:    $funcidstr      Array   :当前用户角色的权限
*/
	function getUserPrivFuncIDStr($userpriv) {
		global $connection;
		$sql = "SELECT FUNC_ID_STR FROM user_priv WHERE USER_PRIV='" . SecurityFilter($userpriv) . "'";
		$rs = exequery ( $connection, $sql );
		$row = mysql_fetch_array ( $rs );
		$funcidstr = $row ['FUNC_ID_STR'];

		return $funcidstr;
	}

	/*
@function:  删除用户
@parameter: $userid->       string  :删除用户的ID
@return:    true/false      bool    :true删除成功,false失败
*/
	function deleteUser($userid) {
		global $connection;
		if (! $userid) {
			return false;
		} else {
			$query = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($userid)."'";

			$res   = exequery($connection,$query);
			if($row = mysql_fetch_array($res)) {

				if($row["USER_ACCOUNTS"] == '') {
					return false;
				}
			} else {
				return false;
			}
		}

		$sql = "UPDATE user SET DEPT_ID='-1',USER_ACCOUNTS='' WHERE USER_ID='" . SecurityFilter($userid) . "'";
		exequery ( $connection, $sql );

		return true;
	}

	/*
@function:  用户离职
@parameter: $userid->       string  :离职用户的ID
@return:    true/false      bool    :true设置离职成功,false失败
*/
	function dimissionUser($userid) {
		global $connection;
		if (! $userid) {
			return false;
		}

		$sql = "UPDATE user SET DEPT_ID='0',USER_ACCOUNTS='',LISTNUMBER='150' WHERE USER_ID='" . SecurityFilter($userid) . "'";
		exequery ( $connection, $sql );

		return true;
	}
	/*
@function:  密码验证
@parameter: $userid->       string  :登录用户的ID
			$password->     string  :登录用户的密码
@return:    true/false      bool    :true验证成功，false验证失败
*/
	function checkOldPassword($userid, $password) {
		global $connection;
		if (! $userid) {
			return false;
		}

		$sql = "SELECT PASSWORD FROM user WHERE USER_ID='" . SecurityFilter($userid) . "'";
		$rs = exequery ( $connection, $sql );
		$row = mysql_fetch_array ( $rs );

		$PWD = $row ['PASSWORD'];

		if (crypt ( $password, $PWD ) != $PWD) {
			return false;

		} else {
			return true;
		}
	}
	/*
@function:  修改密码
@parameter: $userid->       string  :要修改的用户ID号
			$password->     string  :旧密码
			$oldpassword->  string  :新密码
@return:    $userid->       string  :返回用户ID
*/
	function updatePassword($userid, $password, $oldpassword) {
		global $connection;
		if (! $userid) {
			return false;
		}

		if (! $this->checkOldPassword ( $userid, $oldpassword )) {
			return false;
		}

		$password = crypt ( $password );
		$curtime = date ( "Y-m-d H:i:s", time () );

		$sql = "UPDATE user SET PASSWORD='" . SecurityFilter($password) . "',LAST_PASS_TIME='" . SecurityFilter($curtime) . "' WHERE USER_ID='" . SecurityFilter($userid) . "'";
		exequery ( $connection, $sql );

		return $userid;
	}

	/*
@function:  获取用户信息(old,目前手机版正在使用)
@parameter: $userid->          string  :查看用户ID号
			$useraccount->     string  :用户账户
			$status->          string  :用户状态
			$limit->           string  :每页显示的用户数
			$start->           string  :下一页从第几个用户开始
			$online->          string  :是否在线
@return:    $user_info->       Array  :用户的详细信息
*/
	function getUserInfo($userid = "", $useraccount = "", $status = "", $limit = 10, $start = 0, $online = 0) {
		global $connection;
		$limit = $limit>0?$limit:$this->default_limit;
		$start = $start>0?$start:$this->default_start;
		if ($useraccount == "" && $userid == "") {
			$sql = "SELECT * FROM user";
		} else {

			$userpar = (is_array ( $userid ) || $userid != "") ? $userid : $useraccount;
			$fieldname = (is_array ( $useridArray ) || $userid != "") ? "USER_ID" : "USER_ACCOUNTS";
			$sqlPar = $this->returnSqlPar ( $userpar );

			$sql = "SELECT * FROM user WHERE " . SecurityFilter($fieldname) . " IN (" . SecurityFilter($sqlPar) . ")";
		}
		if ($status) {
			$sql .= " AND DEPT_ID>0 ";
		}
		if($online == 1)
		{
			$sql = "SELECT * FROM USER,user_online
					WHERE USER.USER_ID=user_online.USER_ID
					AND ABS(UNIX_TIMESTAMP(NOW())-UNIX_TIMESTAMP(user_online.VISIT_TIME))<150";
		}
		$sql .= " ORDER BY LISTNUMBER ASC LIMIT ".SecurityFilter($start).",".SecurityFilter($limit)."";
		$rs   = exequery($connection,$sql);
		$i    = $start;
		while ( $row = mysql_fetch_array($rs))
		{
			$userData [$i] ['USER_ID']       = $row ['USER_ID'];
			$userData [$i] ['USER_ACCOUNTS'] = $row ['USER_ACCOUNTS'];
			$userData [$i] ['USER_NAME']     = $row ['USER_NAME'];
			$userData [$i] ['USER_PRIV']     = $row ['USER_PRIV'];
			$userData [$i] ['DEPT_ID']       = $row ['DEPT_ID'];
			$userData [$i] ['SEX']           = $row ['SEX'];
			$userData [$i] ['BIRTHDAY']      = $row ['BIRTHDAY'];
			$userData [$i] ['MOBIL_NO']      = $row ['MOBIL_NO'];
			$userData [$i] ['EMAIL']         = $row ['EMAIL'];
			$userData [$i] ['TEL_NO_DEPT']   = $row ['TEL_NO_DEPT'];
			$userData [$i] ['ADD_HOME']      = $row ['ADD_HOME'];
			$userData [$i] ['POST_NO_HOME']  = $row ['POST_NO_HOME'];
			$userData [$i] ['FAX_NO_DEPT']   = $row ['FAX_NO_DEPT'];
			$userData [$i] ['AVATAR_TYPE']   = $row ['AVATAR_TYPE'];
			$i ++;
		}
		return $userData;
	}
	/*
@function:  获取用户信息(new,webservice)
@parameter: $userid->          string  :查看用户ID号
			$username->        string  :用户名称
			$limit->           string  :每页显示的用户数
			$start->           string  :下一页从第几个用户开始
@return:    $user_info->       Array  :用户的详细信息
*/
	public function GetUserInforList($userid="",$username="",$start,$limit)
	{
		global $connection;
		$Infor = array();
		$limit = $limit>0?$limit:$this->default_limit;
		$start = $start>0?$start:$this->default_start;
		$sql = "SELECT * FROM USER WHERE 1 AND DEPT_ID!='-1'";
		if($userid!="")
		{
			$sql .= " AND USER_ID='".SecurityFilter($userid)."'";
		}
		if($username!="")
		{
			$sql .= " AND USER_NAME LIKE '%".SecurityFilter($username)."%'";
		}
		$sql .= " ORDER BY LISTNUMBER ASC LIMIT ".SecurityFilter($start).",".SecurityFilter($limit)."";
		$rs   = exequery($connection,$sql);
		while ( $row = mysql_fetch_assoc($rs))
		{
			$Infor[] = $row;
		}
		return $Infor;
	}
	/*
@function:  获取所有用户信息
@parameter: $userid->          string  :查看用户ID号
			$username->        string  :用户名称
			$limit->           string  :每页显示的用户数
			$start->           string  :下一页从第几个用户开始
@return:    $user_info->       Array  :用户的详细信息
*/
	public function GetAllUserInfor($search,$start,$limit)
	{
		global $connection;
		$Infor = array();
		$sql   = "SELECT
					  USER_ID,
					  USER_NAME,
					  USER_PRIV,
					  DEPT_ID,
					  USER_NAME_PY,
					  USER_NAME_ZM
					FROM USER
					WHERE DEPT_ID>0 AND USER_ACCOUNTS != ''";
		if($search!="")
		{
			$x = mb_strlen($search,'gb2312');
		    $y = strlen($search);
			if($x==$y)
			{
				$sql .= " AND (USER_NAME_PY LIKE '".SecurityFilter($search)."%' OR USER_NAME_ZM LIKE '".SecurityFilter($search)."%') ";
			}
			else
			{
				$sql .= " AND USER_NAME LIKE '%".SecurityFilter($search)."%' ";
			}
		}
		$sql  .= " ORDER BY LISTNUMBER ASC";
		$start = $start?$start:0;
		$limit = $limit?$limit:5;
		$sql  .= " LIMIT ".SecurityFilter($start).",".SecurityFilter($limit);
		$rs   = exequery($connection,$sql);
		while ( $row = mysql_fetch_assoc($rs))
		{
			$Infor[] = $row;
		}
		return $Infor;
	}
	/*
@function:  查找用户数(new,webservice)
@parameter: $userid->          string  :查看用户ID号
			$username->        string  :用户名称
@return:    $user_info->       Array  :用户的数量
*/
	public function GetSearchUserAmount($userid="",$username="")
	{
		global $connection;
		$sql = "SELECT COUNT(*) AS CNT FROM USER WHERE 1 AND DEPT_ID!='-1'";
		if($userid!="")
		{
			$sql .= " AND USER_ID='".SecurityFilter($userid)."'";
		}
		if($username!="")
		{
			$sql .= " AND USER_NAME LIKE '%".SecurityFilter($username)."%'";
		}
		$rs   = exequery($connection,$sql);
		$row = mysql_fetch_array ( $rs );
		$amount = $row ["CNT"];
		return $amount;
	}


	/*
@function:  用户查询(new)
@parameter: $searchArray->    Array  :要查询的用户信息
			$otherArray->     Array  :查询条件及排序和显示方式
@return:    $user_info->      Array  :用户的详细信息
*/
	public function getUserDataList($searchArray = array(), $otherArray = array()) {
		global $connection;

		if (! $otherArray ['start']) {
			$otherArray ['start'] = 0;
		}

		if (! $otherArray ['limit']) {
			$otherArray ['limit'] = 100;
		}

		if (! $otherArray ['term']) {
			$otherArray ['term'] = "or";
		}

		// 查询条件
		$term = ($otherArray ['term'] == "or") ? "OR" : "AND";

		$sql = "SELECT * FROM user WHERE DEPT_ID>-1 ";

		if ($searchArray ['key_uname']) {
			$match .= $term . " USER_NAME LIKE '%" . SecurityFilter($searchArray ['key_pname']) . "%' ";
		}

		if ($searchArray ['key_uaccounts']) {
			$match .= $term . " USER_ACCOUNTS LIKE '%" . SecurityFilter($searchArray ['key_uaccounts']) . "%' ";
		}

		if ($searchArray ['key_uid']) {
			$match .= $term . " USER_ID = '" . SecurityFilter($searchArray ['key_uid']) . "' ";
		}

		if ($term == "AND") {
			$sqlt .= " AND ( 1=1 " . $match . " )";
		} elseif ($term == "OR" && $match != "") {
			$sqlt .= " AND ( 1=2 " . $match . " )";
		}

		//排序
		switch ($otherArray ['orderby']) {
			case 'pname' :
				$bystr = "POSITION_NAME";
				break;
			case 'pno' :
				$bystr = "POSITION_NO";
				break;
			case 'pnote' :
				$bystr = "POSITION_NOTE";

			default :
				$bystr = "LISTNUMBER";
				break;
		}

		switch ($otherArray ['ordertype']) {
			case 'ASC' :
				$bytype = " ASC ";
				break;
			case 'DESC' :
				$bytype = " DESC ";
				break;
			default :
				$bytype = " ASC ";
				break;
		}

		$start = $otherArray ['start'] ? $otherArray ['start'] : 0;
		$limit = $otherArray ['limit'] ? $otherArray ['limit'] : 20;

		$range = " LIMIT " . SecurityFilter($start) . "," . SecurityFilter($limit);
		$order = " ORDER BY " . SecurityFilter($bystr) . " " . SecurityFilter($bytype) . " ";

		$sql = $sql . $sqlt . $order . $range;

		$rs = exequery ( $connection, $sql );
		$i = 0;
		while ( $row = mysql_fetch_array ( $rs ) ) {

			$ar [$i] ['userid'] = $row ['USER_ID'];
			$ar [$i] ['useraccounts'] = $row ['USER_ACCOUNTS'];
			$ar [$i] ['username'] = $row ['USER_NAME'];
			$ar [$i] ['userpriv'] = $row ['USER_PRIV'];
			$ar [$i] ['deptid'] = $row ['DEPT_ID'];
			$ar [$i] ['sex'] = $row ['SEX'];
			$ar [$i] ['birthday'] = $row ['BIRTHDAY'];
			$ar [$i] ['mobileno'] = $row ['MOBIL_NO'];
			$ar [$i] ['email'] = $row ['EMAIL'];
			$ar [$i] ['userid'] = $row ['USER_ID'];
			$ar [$i] ['telnodept'] = $row ['TEL_NO_DEPT'];
			$ar [$i] ['addhome'] = $row ['ADD_HOME'];
			$ar [$i] ['listnumber'] = $row ['LISTNUMBER'];

			$ar [$i] ['positionstr'] = $row ['POSITION_STR'];

			$i ++;

		}

		$sqla = "SELECT COUNT(*) AS cnt FROM user WHERE DEPT_ID>-1 " . $sqlt;

		$rsa = exequery ( $connection, $sqla );
		$rowa = mysql_fetch_array ( $rsa );
		$amount = $rowa ['cnt'];

		$rear ['amount'] = $amount;
		$rear ['list'] = $ar;

		return $rear;
	}
	/*
@function:  检查用户是否存在
@parameter: $userid->         string  :要查询的用户ID
@return:    true/false        bool    :true存在，false不存在
*/
	function checkIsExist($userid) {
		global $connection;
		$sql = "SELECT COUNT(*) As cnt FROM user WHERE USER_ID='" . SecurityFilter($userid) . "'";
		$rs = exequery ( $connection, $sql );
		$row = mysql_fetch_array ( $rs );
		if ($row ['cnt'] > 0) {
			return true;
		} else {
			return false;
		}
	}
	/*
@function:  获取图片
@parameter: $a->              string  :查看用户的ID号
@return:    $user_hrinfo->    Array   :查看用户ID号和图片
*/
	function getHrInfo($userid) {
		global $connection;
		if ($userid != "") {
			$sql = "SELECT * FROM hrms WHERE USER_ID='" . SecurityFilter($userid) . "'";
			$rs = exequery ( $connection, $sql );
			$row = mysql_fetch_array ( $rs );
			$hrData ["USER_ID"] = $row ["USER_ID"];
			$hrData ["PHOTO"] = $row ["PHOTO"];
			$hrData ["PICTURE_DIR"] = "";
			if ($hrData ["PHOTO"] != "") {
				global $ATTACH_PATH;
				$picname = $hrData ["PHOTO"];
				$rootpic = $ATTACH_PATH . "hrms_pic/" . $picname;
				$urlpic = createimage ( $rootpic, $picname, 80 );
				$hrData ["PICTURE_DIR"] = $urlpic;
			}
		}
		return $hrData;
	}
	/*
@function:  获取用户部门
@parameter: $deptid->          string  :查看用户的部门ID号
@return:    $user_deptinfo->   Array   :查看用户的部门ID号和部门名称
*/
	function getDeptInfo($deptid) {
		global $connection;
		$arrayd = array ();
		if ($deptid != "") {
			$sql = "SELECT * FROM department WHERE DEPT_ID='".SecurityFilter($deptid)."'";
			$rs = exequery ( $connection, $sql );
			$row = mysql_fetch_array ( $rs );
			$arrayd ["DEPT_ID"]      = $row ["DEPT_ID"];
			$arrayd ["DEPT_NAME"]    = $row ["DEPT_NAME"];
			$arrayd ["DEPT_PARENT"] = $row ["DEPT_PARENT"];
		}
		return $arrayd;
	}
	/*
	@function:  获取部门信息
	@return:    $DeptInfo->   Array   :所有部门信息
	*/
	public function GetAllDeptInfo($DeptId="")
	{
		global $connection;
		$DeptInfo = array ();
		$sql = "SELECT * FROM department WHERE 1";
		if($DeptId!="")
		{
			$sql .= " AND DEPT_ID='".SecurityFilter($DeptId)."'";
		}
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_array($rs))
		{
			$info["DEPT_ID"]     = $row["DEPT_ID"];
			$info["DEPT_NAME"]   = $row["DEPT_NAME"];
			$info["TEL_NO"]      = $row["TEL_NO"];
			$info["FAX_NO"]      = $row["FAX_NO"];
			$info["DEPT_NO"]     = $row["DEPT_NO"];
			$info["DEPT_PARENT"] = $row["DEPT_PARENT"];
			array_push($DeptInfo,$info);
		}
		return $DeptInfo;

	}

	/*
@function:  获取用户角色
@parameter: $userpriv->        string  :查看用户的权限角色ID号
@return:    $user_deptinfo->   Array   :查看用户的角色ID号和角色名称
*/
	function getPrivInfo($userpriv) {
		global $connection;
		$arrayd = array ();
		if ($userpriv != "") {
			$sql = "SELECT * FROM user_priv WHERE USER_PRIV='" . SecurityFilter($userpriv) . "'";
			$rs = exequery ( $connection, $sql );
			$row = mysql_fetch_array ( $rs );
			$arrayd ["USER_PRIV"] = $row ["USER_PRIV"];
			$arrayd ["PRIV_NAME"] = $row ["PRIV_NAME"];

		}
		return $arrayd;
	}
	/*
@function:  获取所有用户名称
@parameter: 无
@return:    $arrayData->   Array   :用户名称
*/
	function getUserArrayInfo() {
		global $connection;
		$sql = "SELECT * FROM user WHERE DEPT_ID<>'-1'";
		$rs = exequery ( $connection, $sql );
		while ( $row = mysql_fetch_array ( $rs ) ) {
			$arrayData [$row ['USER_ID']] = $row ['USER_NAME'];

		}
		return $arrayData;

	}

	/*
@function:  获取所有部门名称
@parameter: 无
@return:    $arrayData->   Array   :部门名称
*/
	function getDeptArrayInfo() {
		global $connection;
		$sql = "SELECT * FROM department";
		$rs = exequery ( $connection, $sql );
		while ( $row = mysql_fetch_array ( $rs ) ) {
			$arrayData [$row ['DEPT_ID']] = $row ['DEPT_NAME'];

		}
		return $arrayData;

	}

	function getPositionInfo($positionid) {
		global $connection;
		$arrayd = array ();
		if ($positionid != "") {
			$sql = "SELECT * FROM position WHERE POSITION_ID='" . SecurityFilter($positionid) . "'";
			$rs = exequery ( $connection, $sql );
			$row = mysql_fetch_array ( $rs );
			$arrayd ["POSITION_ID"] = $row ["POSITION_ID"];
			$arrayd ["POSITION_NAME"] = $row ["POSITION_NAME"];

		}
		return $arrayd;
	}
	/*
	@function:  格式化用户ID号
	@parameter: $pars->              string  :需要重新调整的ID号
	@return:    $sqlPar->            string  :返回能够被查询的ID号
	*/
	private function returnSqlPar($pars) {
		$sqlPar = is_array ( $pars ) ? implode ( ",", $pars ) : $pars;
		if (substr ( $sqlPar, - 1, 1 ) == ",") {
			$sqlPar = substr ( $sqlPar, 0, strlen ( $sqlPar ) - 1 );
		}

		$sqlPar = "'" . str_replace ( ",", "','", $sqlPar ) . "'";
		return $sqlPar;
	}

	function getUserIDByUserAccount($userAccount) {
		global $connection;
		$sql = "SELECT USER_ID FROM user WHERE USER_ACCOUNTS='" . SecurityFilter($userAccount) . "'";
		$rs = exequery ( $connection, $sql );
		if ($row = mysql_fetch_array ( $rs )) {
			return $row ['USER_ID'];
		} else {
			return false;
		}
	}
	/*
	@function:  获取某部门下人员信息(webservice)
	@parameter: $DeptId->            int   :部门ID
	@return:    $UserInfor->          array :人员信息
	*/
	public function GetAllDeptUser($Infor)
	{
		global $connection;
		$UserInfor = array();
		switch($Infor["Search"])
		{
			case "All":
				$condition = " AND (USER_PRIV='".SecurityFilter($Infor["PrivId"])."' ".SecurityFilter($Infor["Relation"])." DEPT_ID='".SecurityFilter($Infor["DeptId"])."')";
				break;
			case "Priv":
				$condition = " AND USER_PRIV='".SecurityFilter($Infor["PrivId"])."' ";
				break;
			case "Dept":
				$condition = " AND DEPT_ID='".SecurityFilter($Infor["DeptId"])."' ";
				break;
			default:
				$condition = "";
				break;
		}
		$query = "SELECT USER_ID,USER_NAME FROM user WHERE 1 AND DEPT_ID>0 ".$condition;
		$rs = exequery($connection,$query);
		while($row = mysql_fetch_array($rs))
		{
			$info["USER_ID"]   = $row["USER_ID"];
			$info["USER_NAME"] = $row["USER_NAME"];
			array_push($UserInfor,$info);
		}
		return $UserInfor;
	}
	/*
	@function:  获取用户图片类型
	@parameter: $userid->            string:用户ID
	@return:    $UserInfor->         array :人员信息
	*/
	public function GetUserOtherInfor($userid)
	{
		global $connection;
		$UserInfor = array();
		$query = "SELECT * FROM USER WHERE USER_ID='".SecurityFilter($userid)."'";
		$rs    = exequery($connection,$query);
		if($row = mysql_fetch_array($rs))
		{
			$UserInfor["USER_NAME"]   = $row["USER_NAME"];
			$UserInfor["AVATAR_TYPE"] = $row["AVATAR_TYPE"];
		}
		return $UserInfor;
	}
	/*
	@function:  获取所有角色
	*/
	public function GetAllPrivInfor($search)
	{
		global $connection;
		$Infor = array();
		$sql = "SELECT * FROM user_priv WHERE 1";
		if($search!="")
		{
			$sql .= " AND PRIV_NAME LIKE '%".SecurityFilter($search)."%'";
		}
		$sql .= " ORDER BY PRIV_NO ASC";
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs))
		{
			$Infor[] = $row;
		}
		return $Infor;
	}
	/*
	@function:  获取下属人员
	*/
	public function GetUnderPrivUser($privid,$start,$limit)
	{
		global $connection;
		$Infor = array();
		$sql = "SELECT *
				FROM USER
				WHERE USER_PRIV = '".SecurityFilter($privid)."'
					AND USER_ACCOUNTS != '' AND DEPT_ID>0
				ORDER BY LISTNUMBER ASC ";
		$start = $start?$start:0;
		$limit = $limit?$limit:5;
		$sql  .= " LIMIT ".$start.",".$limit;
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs))
		{
			$Infor[] = $row;
		}
		return $Infor;
	}

	/**
	*@function   获取当前系统下所有有效用户
	*
	*/
	function getAllUser($searchInfo) {
		global $connection;
		$rowStart = $searchInfo["ROWSTART"] != ""?15*$searchInfo["ROWSTART"]:0;
		$limitNum = $searchInfo["LIMITNUM"] != ""?15*$searchInfo["LIMITNUM"]:15;
		$query = "SELECT * FROM user WHERE 1 AND DEPT_ID>0";
		$query .= $searchInfo["USER_NAME"] != "" ? " AND USER_NAME LIKE '%".$searchInfo["USER_NAME"]."%'":"";
		$query .= $searchInfo["DEPT_ID"] != "" ?" AND DEPT_ID='".$searchInfo["DEPT_ID"]."'":"";
		$query .= $searchInfo["USER_ID"] != "" ?" AND USER_ID='".$searchInfo["USER_ID"]."'":"";
		$query .= " ORDER BY DEPT_ID LIMIT ".SecurityFilter($rowStart).",".SecurityFilter($limitNum);
		$rs    = exequery($connection,$query);
		$userArr = array();
		while($row = mysql_fetch_array($rs)) {
			array_push($userArr,$row);
		}
		$userCount = mysql_num_rows($rs);
		$userArr["Count"] = $userCount;
		return $userArr;
	}

	/**
     * 获取同角色的用户ID
     * @param  [type] $userID [description]
     * @return [type]         [description]
     */
    function getSamePrivUser($userID) {
        global $connection;
        $query = 'SELECT USER_ID,USER_NAME
                    FROM user
                    WHERE DEPT_ID > 0
                    AND USER_PRIV = (
                            SELECT USER_PRIV
                            FROM user
                            WHERE USER_ID = "' . SecurityFilter($userID) . '")';
        $result = exequery($connection, $query);
        $userIDList = array();
        while ($row = mysql_fetch_assoc($result)) {
            array_push($userIDList, $row['USER_ID']);
        }
        return $userIDList;
    }

    /**
     * 获取同部门的用户
     * @param  [type] $userID [description]
     * @return [type]         [description]
     */
    function getSameDeptUser($userID) {
        global $connection;
        $query = 'SELECT USER_ID
                    FROM user
                    WHERE DEPT_ID > 0
                    AND DEPT_ID = (
                            SELECT DEPT_ID
                            FROM user
                            WHERE USER_ID = "' . SecurityFilter($userID) . '")';
        $result = exequery($connection, $query);
        $userIDList = array();
        while ($row = mysql_fetch_assoc($result)) {
            array_push($userIDList, $row['USER_ID']);
        }
        return $userIDList;
    }

    /**
     * 获取某部门下的所有人员 包含下级部门的人员
     * @param  [type] $deptID [description]
     * @return [type]         [description]
     */
    function getDeptUser($deptID) {
        global $connection;

        $query = "SELECT u.USER_ID,u.USER_NAME
                        FROM user AS u LEFT JOIN department AS d ON u.DEPT_ID = d.DEPT_ID
                        WHERE u.DEPT_ID > 0
                        AND (INSTR(d.SORT_LEVEL_ID, '" . SecurityFilter($deptID) . "') > 0
                            OR u.DEPT_ID = '" . SecurityFilter($deptID) . "')";

        $result = exequery($connection, $query);
        while ($row = mysql_fetch_assoc($result)) {
            $userList[$row["USER_ID"]] = $row;
        }
        return $userList;
    }

    /**
	*更新某个用户的上级信息
	*@param  array   $superiorParam      所有参数的数组，userSuperiorId：上级用户id字符串，userSuperiorName：上级用户名称字符串，USER_ID：当前用户id
	*@return bool   true      更新成功返回true
	*/
    function updateUserSuperiorByUserId($superiorParam){
        global $connection;
		$userSuperiorIdString   = $superiorParam["userSuperiorId"];
		$userSuperiorNameString = $superiorParam["userSuperiorName"];
		$userId                 = $superiorParam["USER_ID"];
		if($userSuperiorIdString) {
			$userSuperiorIdArray   = explode(",", $userSuperiorIdString);
			$userSuperiorNameArray = explode(",", $userSuperiorNameString);
			//先查现有的上级信息，根据上级用户id判断是否已经存在
			$sql    = "SELECT * FROM user_superior WHERE USER_ID = '".SecurityFilter($userId)."'";
			$result = exequery($connection, $sql);
			while ($row = mysql_fetch_assoc($result)) {
				$superiorUserId = $row["SUPERIOR_USER_ID"];
				$userSuperiorIdArrayKey = array_search($superiorUserId, $userSuperiorIdArray);
				//如果在，将此id从数组里删掉
				if($userSuperiorIdArrayKey !== false) {
					$userSuperiorIdArray[$userSuperiorIdArrayKey]   = "";
					$userSuperiorNameArray[$userSuperiorIdArrayKey] = "";
				} else {
					//如果不在，将此条上级信息删掉
					$sql = "DELETE FROM user_superior WHERE SUPERIOR_ID = '".SecurityFilter($row["SUPERIOR_ID"])."'";
					exequery($connection, $sql);
				}
			}
			//查找之后的数组，循环，将值插入数据库
			foreach ($userSuperiorIdArray as $key => $value) {
				if($value) {
					$sql = "INSERT INTO USER_SUPERIOR
							(user_id,superior_user_id,superior_user_name)
							VALUE
							('".SecurityFilter($userId)."','".SecurityFilter($value)."','".SecurityFilter($userSuperiorNameArray[$key])."')";
					exequery($connection, $sql);
				}
			}
		} else {
			//删除所有当前用户的上级数据
			$sql = "DELETE FROM user_superior WHERE USER_ID = '".SecurityFilter($userId)."'";
			exequery($connection, $sql);
		}
		return true;
    }
    /**
	*获取某个用户的上级信息
	*@param  string  $userId        需要获取用户上级的用户id
	*@return array   $superiorArray 返回查询到的结果数组，id：上级的用户id数组，name：上级的用户name数组
	*/
	function getSuperiorArrayByUserId($userId) {
		global $connection;
		$sql = "
				SELECT us.*,u.USER_NAME SUPERIOR_USER_NAME
				FROM user_superior us
				LEFT JOIN USER u ON us.SUPERIOR_USER_ID = u.user_id
				WHERE us.user_id = '".SecurityFilter($userId)."'";
		$result = exequery($connection, $sql);
		while ($row = mysql_fetch_assoc($result)) {
			if($row["SUPERIOR_USER_ID"] && $row["SUPERIOR_USER_NAME"]) {
				$superiorUserIdArray[]   = $row["SUPERIOR_USER_ID"];
				$superiorUserNameArray[] = $row["SUPERIOR_USER_NAME"];
			}
		}
		$superiorArray["id"]   = $superiorUserIdArray;
		$superiorArray["name"] = $superiorUserNameArray;
		return $superiorArray;
	}
	/**
	*获取某个用户的下级信息
	*@param  string  $userId        需要获取用户下级的用户id
	*@return array   $subordinateArray 返回查询到的结果数组，id：下级的用户id数组，name：下级的用户name数组
	*/
	function getSubordinateArrayByUserId($userId) {
		global $connection;
		$sql = "
				SELECT us.*,u.USER_NAME
				FROM user_superior us
				LEFT JOIN USER u ON us.user_id = u.user_id
				WHERE us.SUPERIOR_USER_ID = '".SecurityFilter($userId)."'";
		$result = exequery($connection, $sql);
		while ($row = mysql_fetch_assoc($result)) {
			if($row["USER_ID"] && $row["USER_NAME"]) {
				$subordinateUserIdArray[]   = $row["USER_ID"];
				$subordinateUserNameArray[] = $row["USER_NAME"];
			}
		}
		$subordinateArray["id"]   = $subordinateUserIdArray;
		$subordinateArray["name"] = $subordinateUserNameArray;
		return $subordinateArray;
	}
	/**
	*更新某个用户的下级信息
	*@param  array   $subordinateParam      所有参数的数组， userSubordinateId ：下级用户id字符串， USER_NAME ：当前用户NAME，USER_ID：当前用户id
	*@return bool   true      更新成功返回true
	*/
    function updateUserSubordinateByUserId($subordinateParam){
        global $connection;
		$userSubordinateIdString = $subordinateParam["userSubordinateId"];
		$userName                = $subordinateParam["USER_NAME"];
		$userId                  = $subordinateParam["USER_ID"];
		if($userSubordinateIdString) {
			$userSubordinateIdArray   = explode(",", $userSubordinateIdString);
			//先查现有的下级信息，根据下级用户id判断是否已经存在
			$sql    = "SELECT * FROM user_superior WHERE SUPERIOR_USER_ID = '".SecurityFilter($userId)."'";
			$result = exequery($connection, $sql);
			while ($row = mysql_fetch_assoc($result)) {
				$subordinateUserId = $row["USER_ID"];
				$userSubordinateIdArrayKey = array_search($subordinateUserId, $userSubordinateIdArray);
				//如果在，将此id从数组里删掉
				if($userSubordinateIdArrayKey !== false) {
					$userSubordinateIdArray[$userSubordinateIdArrayKey]   = "";
				} else {
					//如果不在，将此条下级信息删掉
					$sql = "DELETE FROM user_superior WHERE SUPERIOR_ID = '".SecurityFilter($row["SUPERIOR_ID"])."'";
					exequery($connection, $sql);
				}
			}
			//查找之后的数组，循环，将值插入数据库
			foreach ($userSubordinateIdArray as $key => $value) {
				if($value) {
					$sql = "INSERT INTO USER_SUPERIOR
							(user_id,superior_user_id,superior_user_name)
							VALUE
							('".SecurityFilter($value)."','".SecurityFilter($userId)."','".SecurityFilter($userName)."')";
					exequery($connection, $sql);
				}
			}
		} else {
			//删除所有当前用户的下级数据
			$sql = "DELETE FROM user_superior WHERE SUPERIOR_USER_ID = '".SecurityFilter($userId)."'";
			exequery($connection, $sql);
		}
		return true;
    }
}
?>