<?
/**
 * @copyright  (C) 2010 - 2011 Weaver Co.Ltd
 * @package    eoffice8.0
 * @name       api/workflow.list.class.php
 * @function   流程列表类
 * @version    7
 * @author     sunx|www.weaver.com.cn
 * @date       2011-10-21
 */
class listItem {
	private $type;
	private $search;
	private $page;
	private $other;
	private $connection;
	/**
	*构造函数
	* @param  array  $type   类别信息数组
	* @param  array  $search 条件信息数组
	* @param  array  $page   分页信息数组
	* @param  array  $other  其它信息数组
	* @return void
	*/
	function __construct ($type=array(),$search=array(),$page=array(),$other=array()){
		global $connection;
		$this->connection = $connection;
		$this->type       = $type;
		$this->search     = $search;
		$this->page       = $page;
		$this->other      = $other;
	}
	/**
	*获取列表
	*@return array $returnArray|array(totalCount,list)
	*/

	function getList()
	{
		//根据类别判断执行取什么类别的列表
		switch ($this->type["TYPE"])
		{
			case "recent_create" :
				break;
			//待办事宜
			case "to_do_list" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"1","list"=>array());
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sqlPublicStr .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				$sqlMainPub = "
								FROM flow_run_prcs frp
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								INNER JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
								AND
								(
									(
										(
											( SAVEFORM_TIME IS NULL AND OP_FLAG = 0)
											OR
											(PRCS_FLAG = '2' AND OP_FLAG = 1)
										)
										OR PRCS_FLAG = '1'
									)
								)
								".$sqlPublicStr."
								GROUP BY frp.RUN_ID
							 ";
				//查总数
				$countSql = "
							SELECT COUNT(frp.RUN_ID ) CNT
							FROM (
							SELECT frp.RUN_ID
							".$sqlMainPub."
							) frp
							";
				$cntRs = exequery($this->connection,$countSql);
                if(!$cntRs) return false;
				if($cntRow = mysql_fetch_array($cntRs))
					$totalCount = $cntRow["CNT"];
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					//先查run_id串
					$runIdStrSql = "SELECT GROUP_CONCAT(frp.RUN_ID Separator \"','\") runidstr
									FROM (
									SELECT frp.RUN_ID
									".$sqlMainPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"])."
									) frp";
					$runIdStrRs  = exequery($this->connection,$runIdStrSql);
					if($runIdStrRow = mysql_fetch_array($runIdStrRs))
						$runIdStr = "'".$runIdStrRow["runidstr"]."'";
					//主sql
					$idSql = "
								SELECT
								frp.M_PRCS_ID,frp.FLOW_PRCS,
								frp_self.*,
								-- frp_self.PRCS_ID,frp_self.PRCS_FLAG,frp_self.OP_FLAG,frp_self.PRCS_TIME,
								fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fp_self.PRCS_NAME SELF_PRCS_NAME,fr.CREATOR CREATOR_ID,us.USER_NAME AS CREATOR
								FROM
								(
									SELECT MAX(frp.PRCS_ID) M_PRCS_ID ,frp.RUN_ID,frp.PRCS_ID,frp.PRCS_FLAG,frp.FLOW_PRCS,frp.OP_FLAG
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp
								LEFT JOIN (
									SELECT u.USER_NAME,frp.PRCS_ID,frp.RUN_ID
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									LEFT JOIN USER u ON u.USER_ID = frp.USER_ID
									WHERE frp.RUN_ID IN (".$runIdStr.")
								) frp_u ON ( frp_u.RUN_ID = frp.RUN_ID AND frp_u.PRCS_ID = frp.M_PRCS_ID)
								INNER JOIN (
									SELECT frp.RUN_ID,MAX(frp.PRCS_ID) MAX_PRCS_ID
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND
									(
										(
											(
												( SAVEFORM_TIME IS NULL AND OP_FLAG = 0)
												OR
												(PRCS_FLAG = '2' AND OP_FLAG = 1)
											)
											OR PRCS_FLAG = '1'
										)
									)
									AND frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp_prcs_id ON frp_prcs_id.RUN_ID = frp.RUN_ID
								LEFT JOIN (
									SELECT frp.*
									-- frp.RUN_ID,frp.PRCS_ID,frp.PRCS_FLAG,frp.FLOW_PRCS,frp.OP_FLAG,frp.PRCS_TIME
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND
									(
										(
											(
												( SAVEFORM_TIME IS NULL AND OP_FLAG = 0)
												OR
												(PRCS_FLAG = '2' AND OP_FLAG = 1)
											)
											OR PRCS_FLAG = '1'
										)
									)
									AND frp.RUN_ID IN (".$runIdStr.")
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp_self ON (frp_self.RUN_ID = frp.RUN_ID AND frp_self.PRCS_ID = frp_prcs_id.MAX_PRCS_ID)
								LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								LEFT JOIN flow_process AS fp_self ON (fp_self.FLOW_ID = ft.FLOW_ID AND fp_self.PRCS_ID = frp_self.FLOW_PRCS)
								GROUP BY frp.RUN_ID
								ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
							";
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$returnArray["list"][] = $detailRow;
					}
				}
				return $returnArray;
				break;
			//已办
			case "finished_list" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"1","list"=>array());
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sqlPublicStr .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				$sqlMainPub = "
								FROM flow_run_prcs frp
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								INNER JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								WHERE fr.CURRENT_STEP <> 0
								AND frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
								AND
								(
									(frp.OP_FLAG=1 AND frp.DELIVER_TIME<>'NULL')
									OR
									(frp.OP_FLAG=0 AND frp.SAVEFORM_TIME<>'NULL')
								)
								".$sqlPublicStr."
								GROUP BY frp.RUN_ID
							 ";
				//查总数
				$countSql = "
							SELECT COUNT(frp.RUN_ID ) CNT
							FROM (
							SELECT frp.RUN_ID
							".$sqlMainPub."
							) frp
							";
				$cntRs = exequery($this->connection,$countSql);
				if($cntRow = mysql_fetch_array($cntRs))
					$totalCount = $cntRow["CNT"];
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					//先查run_id串
					$runIdStrSql = "SELECT GROUP_CONCAT(frp.RUN_ID Separator \"','\") runidstr
									FROM (
									SELECT frp.RUN_ID
									".$sqlMainPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"])."
									) frp";
					$runIdStrRs  = exequery($this->connection,$runIdStrSql);
					if($runIdStrRow = mysql_fetch_array($runIdStrRs))
						$runIdStr = "'".$runIdStrRow["runidstr"]."'";
					//主sql
					$idSql = "
								SELECT
								frp_prcs_id.self_prcs_id_op_flag,
								GROUP_CONCAT(DISTINCT frp_u.USER_NAME) AS CURRENT_DEAL,frp.M_PRCS_ID,frp.FLOW_PRCS,frp_self.PRCS_ID,frp_self.PRCS_FLAG,frp_self.OP_FLAG,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,us.USER_NAME AS CREATOR,fr.CREATOR CREATOR_ID
								FROM
								(
									SELECT MAX(frp.PRCS_ID) M_PRCS_ID ,frp.RUN_ID,frp.PRCS_ID,frp.PRCS_FLAG,frp.FLOW_PRCS,frp.OP_FLAG
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE fr.CURRENT_STEP <> 0
									AND frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp
								LEFT JOIN (
									SELECT u.USER_NAME,frp.PRCS_ID,frp.RUN_ID
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									LEFT JOIN USER u ON u.USER_ID = frp.USER_ID
									WHERE fr.CURRENT_STEP <> 0
									AND frp.RUN_ID IN (".$runIdStr.")
								) frp_u ON ( frp_u.RUN_ID = frp.RUN_ID AND frp_u.PRCS_ID = frp.M_PRCS_ID)
								INNER JOIN (
									SELECT frp.RUN_ID,MAX(frp.PRCS_ID) MAX_PRCS_ID,
									GROUP_CONCAT(DISTINCT CONCAT(frp.PRCS_ID,'-',frp.OP_FLAG)) AS self_prcs_id_op_flag
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE fr.CURRENT_STEP <> 0
									AND frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND
									(
										(frp.OP_FLAG=1 AND frp.DELIVER_TIME<>'NULL')
										OR
										(frp.OP_FLAG=0 AND frp.SAVEFORM_TIME<>'NULL')
									)
									AND frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp_prcs_id ON frp_prcs_id.RUN_ID = frp.RUN_ID
								INNER JOIN (
									-- SELECT frp.RUN_ID,frp.PRCS_ID,frp.PRCS_FLAG,frp.FLOW_PRCS,frp.OP_FLAG,
									-- GROUP_CONCAT(DISTINCT CONCAT(frp.PRCS_ID,'-',frp.OP_FLAG)) AS self_prcs_id_op_flag
									SELECT frp.*
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE fr.CURRENT_STEP <> 0
									AND frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND
									(
										(frp.OP_FLAG=1 AND frp.DELIVER_TIME<>'NULL')
										OR
										(frp.OP_FLAG=0 AND frp.SAVEFORM_TIME<>'NULL')
									)
									AND frp.RUN_ID IN (".$runIdStr.")
									-- GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp_self ON (frp_self.RUN_ID = frp.RUN_ID AND frp_self.PRCS_ID = frp_prcs_id.MAX_PRCS_ID)
								LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								GROUP BY frp.RUN_ID
								ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
							";
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$returnArray["list"][] = $detailRow;
					}
				}
				return $returnArray;
				break;
			//办结
			case "passed_list" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"1","list"=>array());
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sqlPublicStr .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				$sqlMainPub = "
								FROM flow_run_prcs frp
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								INNER JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								WHERE fr.CURRENT_STEP = '0'
								AND frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
								AND
								(
									(SAVEFORM_TIME IS NOT NULL AND SAVEFORM_TIME <> '0000-00-00 00:00:00' AND OP_FLAG ='0')
									OR
									( DELIVER_TIME IS NOT NULL AND DELIVER_TIME <> '0000-00-00 00:00:00' AND OP_FLAG ='1')
								)
								".$sqlPublicStr."
								GROUP BY frp.RUN_ID
							 ";
				//查总数
				$countSql = "
							SELECT COUNT(frp.RUN_ID ) CNT
							FROM (
							SELECT frp.RUN_ID
							".$sqlMainPub."
							) frp
							";
				$cntRs = exequery($this->connection,$countSql);
				if($cntRow = mysql_fetch_array($cntRs))
					$totalCount = $cntRow["CNT"];
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					//先查run_id串
					$runIdStrSql = "SELECT GROUP_CONCAT(frp.RUN_ID Separator \"','\") runidstr
									FROM (
									SELECT frp.RUN_ID
									".$sqlMainPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"])."
									) frp";
					$runIdStrRs  = exequery($this->connection,$runIdStrSql);
					if($runIdStrRow = mysql_fetch_array($runIdStrRs))
						$runIdStr = "'".$runIdStrRow["runidstr"]."'";
					//主sql
					$idSql = "
								SELECT fr.*,ft.*,us.USER_NAME AS CREATOR,fr.CREATOR CREATOR_ID
								FROM flow_run_prcs AS frp
								LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN USER us ON us.USER_ID = fr.CREATOR
								WHERE frp.RUN_ID IN (".$runIdStr.")
								GROUP BY frp.RUN_ID
								ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
							";
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$returnArray["list"][] = $detailRow;
					}
				}
				//返回结果
				return $returnArray;
				break;
			//我的请求
			case "my_request" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"1","list"=>array());
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sqlPublicStr .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				$sqlMainPub = "
								FROM flow_run_prcs frp
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								INNER JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								WHERE fr.CREATOR ='".SecurityFilter($this->search["USER_ID"])."'
								".$sqlPublicStr."
								GROUP BY frp.RUN_ID
							 ";
				//查总数
				$countSql = "
							SELECT COUNT(frp.RUN_ID ) CNT
							FROM (
							SELECT frp.RUN_ID
							".$sqlMainPub."
							) frp
							";
				$cntRs = exequery($this->connection,$countSql);
				if($cntRow = mysql_fetch_array($cntRs))
					$totalCount = $cntRow["CNT"];
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					//先查run_id串
					$runIdStrSql = "SELECT GROUP_CONCAT(frp.RUN_ID Separator \"','\") runidstr
									FROM (
									SELECT frp.RUN_ID
									".$sqlMainPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"])."
									) frp";
					$runIdStrRs  = exequery($this->connection,$runIdStrSql);
					if($runIdStrRow = mysql_fetch_array($runIdStrRs))
						$runIdStr = "'".$runIdStrRow["runidstr"]."'";
					//主sql
					$idSql = "
								SELECT MAX(frp.PRCS_ID) AS PRCS_ID,cdeal.RUN_ID AS canDeal,
									cdeal.PRCS_ID AS dealPrcsId,cdeal.FLOW_PRCS AS dealFlowPrcs,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,us.USER_NAME AS CREATOR,fr.CREATOR CREATOR_ID
								FROM flow_run_prcs frp
								LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								LEFT JOIN (
									SELECT frp.RUN_ID,frp.PRCS_ID,frp.FLOW_PRCS
									FROM flow_run_prcs frp
									WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND (
										frp.PRCS_TIME IS NULL
										OR
										(frp.SAVEFORM_TIME IS NULL AND frp.OP_FLAG = 0)
										OR
										( frp.DELIVER_TIME IS NULL AND frp.OP_FLAG = 1)
									)
									AND frp.RUN_ID IN (".$runIdStr.")
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) cdeal ON cdeal.RUN_ID = frp.RUN_ID
								WHERE frp.RUN_ID IN (".$runIdStr.")
								GROUP BY frp.RUN_ID
								ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
							";
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$returnArray["list"][] = $detailRow;
					}
				}
				return $returnArray;
				break;
			//流程查询
			case "flow_query" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"1","list"=>array());
				//字段查询
				if($this->search["FLOW_ID"])
				{
					//算出要查询的那个物理表
					$formSql = "SELECT * FROM flow_type WHERE FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."'";
					$formRs  = exequery($this->connection,$formSql);
					if($formRow = mysql_fetch_array($formRs))
						$form_id = $formRow["FORM_ID"];
					if($form_id)
						$tableName = "zzzz_flow_data_$form_id";

				}
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sqlPublicStr .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				//流程权限条件
				if ($this->search["USER_ID"] != "admin") {
					$sqlPublicStr .= " AND (find_in_set('" . SecurityFilter($this->search["USER_ID"]) . "',ft.MANAGE_USER) OR frp.USER_ID='" . SecurityFilter($this->search["USER_ID"]) . "' OR fr.CREATOR = '" . SecurityFilter($this->search["USER_ID"]) . "') ";
				}
				$sqlMainPub = "
								FROM flow_run_prcs frp
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								INNER JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
							";
				if($tableName)
				{
					$sqlMainPub .= "INNER JOIN ".SecurityFilter($tableName)." fd ON(fd.RUN_ID = fr.RUN_ID)";
				}
				$sqlMainPub .= "
								WHERE 1
								".$sqlPublicStr."
								GROUP BY frp.RUN_ID
							 ";
				//查总数
				$countSql = "
							SELECT COUNT(frp.RUN_ID ) CNT
							FROM (
							SELECT frp.RUN_ID
							".$sqlMainPub."
							) frp
							";
				$cntRs = exequery($this->connection,$countSql);
				if($cntRow = mysql_fetch_array($cntRs))
					$totalCount = $cntRow["CNT"];
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					//先查run_id串
					$runIdStrSql = "SELECT GROUP_CONCAT(frp.RUN_ID Separator \"','\") runidstr
									FROM (
									SELECT frp.RUN_ID
									".$sqlMainPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"])."
									) frp";
					$runIdStrRs  = exequery($this->connection,$runIdStrSql);
					if($runIdStrRow = mysql_fetch_array($runIdStrRs))
						$runIdStr = "'".$runIdStrRow["runidstr"]."'";
					//如果需要导出，需要查出run_id字符串
					if(strpos($this->search["CUSTOMPARAM"],"FLOW_SORT") !== false && strpos($this->search["CUSTOMPARAM"],"FLOW_ID") !== false)
					{
						$exportRunId = array();
						$exportSql = "
									SELECT frp.RUN_ID
									".$sqlMainPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									";
						$exportCount = 0;
						$exportRs  = exequery($this->connection,$exportSql);
						while($exportRow = mysql_fetch_array($exportRs,MYSQL_ASSOC))
						{
							$exportRunId[]= $exportRow["RUN_ID"];
						}
						//处理一下
						$exportRunIdArr = array();
						for($i=0;$i<ceil($totalCount/500);$i++)
						{
							//echo ($i*500+1)."--".($i*500+500)."<br>";
							$exportRunIdArr[] = array_slice($exportRunId,$i*500,500);
						}
					}
					//主sql
					$idSql = "
								SELECT frp.M_PRCS_ID AS PRCS_ID,cdeal.RUN_ID canDeal,cdeal.PRCS_ID dealPrcsId,cdeal.FLOW_PRCS dealFlowPrcs,croll.RUN_ID canRoll,croll.PRCS_ID crollPrcsId,
								fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,ft.MANAGE_USER,fp.PRCS_NAME,fp_deal.PRCS_NAME DEAL_PRCS_NAME,frp_prcs_id.MAX_PRCS_ID,us.USER_NAME AS CREATOR,fr.CREATOR CREATOR_ID
								FROM
								(
									SELECT frp.PRCS_ID M_PRCS_ID,frp.RUN_ID,frp.FLOW_PRCS
									FROM flow_run_prcs frp
									INNER JOIN (
										SELECT MAX(frp.PRCS_ID) M_PRCS_ID,RUN_ID
										FROM flow_run_prcs frp
										WHERE frp.RUN_ID IN (".$runIdStr.")
										GROUP BY frp.RUN_ID
										ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
									) frpM ON (frpM.M_PRCS_ID = frp.PRCS_ID AND frpM.RUN_ID = frp.RUN_ID)
									WHERE frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp
								LEFT JOIN (
									SELECT frp.RUN_ID,MAX(frp.PRCS_ID) MAX_PRCS_ID,MAX(frp.FLOW_PRCS) MAX_FLOW_PRCS
									FROM flow_run_prcs frp
									WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND (
										frp.PRCS_TIME IS NULL
										OR
										(frp.SAVEFORM_TIME IS NULL AND frp.OP_FLAG = 0)
										OR
										( frp.DELIVER_TIME IS NULL AND frp.OP_FLAG = 1)
									)
									AND frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp_prcs_id ON frp_prcs_id.RUN_ID = frp.RUN_ID
								LEFT JOIN (
									SELECT frp.RUN_ID,frp.PRCS_ID,frp.FLOW_PRCS
									FROM flow_run_prcs frp
									WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND (
										frp.PRCS_TIME IS NULL
										OR
										(frp.SAVEFORM_TIME IS NULL AND frp.OP_FLAG = 0)
										OR
										( frp.DELIVER_TIME IS NULL AND frp.OP_FLAG = 1)
									)
									AND frp.RUN_ID IN (".$runIdStr.")
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) cdeal ON (cdeal.RUN_ID = frp.RUN_ID AND cdeal.PRCS_ID = frp_prcs_id.MAX_PRCS_ID)
								LEFT JOIN (
									SELECT frp.RUN_ID,frp.PRCS_ID
									FROM flow_run_prcs frp
									WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND frp.PRCS_FLAG ='3'
									AND frp.OP_FLAG ='1'
									AND frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) croll ON croll.RUN_ID = frp.RUN_ID
								LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN USER us ON us.USER_ID = fr.CREATOR
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = frp.FLOW_PRCS)
								LEFT JOIN flow_process AS fp_deal ON (fp_deal.FLOW_ID = ft.FLOW_ID AND fp_deal.PRCS_ID = frp_prcs_id.MAX_FLOW_PRCS)
								GROUP BY frp.RUN_ID
								ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
							";
					$detailCount = 0;
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						if($detailCount == 0)
						{
							$detailRow["exportRunId"] = $exportRunIdArr;
							$detailRow["exportCount"] = $totalCount;
						}
						$detailCount++;
						$returnArray["list"][] = $detailRow;
					}
				}
				return $returnArray;
				break;
			//流程查询
			case "flow_query2" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"","list"=>array());
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sqlPublicStr .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				$sqlMainPub = "
								FROM flow_run_prcs frp
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								INNER JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								INNER JOIN (
									SELECT MAX(frp.PRCS_ID) AS maxPrcsId,cdeal.RUN_ID AS canDeal,
									cdeal.PRCS_ID AS dealPrcsId,cdeal.FLOW_PRCS AS dealFlowPrcs,
									croll.RUN_ID AS canRoll,croll.PRCS_ID AS crollPrcsId,frp.RUN_ID
									FROM flow_run_prcs frp
									INNER JOIN flow_run as fr ON (fr.RUN_ID = frp.RUN_ID )
									INNER JOIN flow_type as ft ON (fr.FLOW_ID = ft.FLOW_ID )
									INNER JOIN flow_sort as fs ON (ft.FLOW_SORT = fs.ID )
									INNER JOIN user AS us ON ( fr.CREATOR = us.USER_ID )
									LEFT JOIN (
										SELECT frp.RUN_ID,frp.PRCS_ID,frp.FLOW_PRCS FROM flow_run_prcs frp
										WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
										AND (
											frp.PRCS_TIME IS NULL
											OR
											(frp.SAVEFORM_TIME IS NULL AND frp.OP_FLAG = 0)
											OR
											( frp.DELIVER_TIME IS NULL AND frp.OP_FLAG = 1)
										)
										GROUP BY frp.RUN_ID
									) cdeal ON cdeal.RUN_ID = frp.RUN_ID
									LEFT JOIN (
										SELECT frp.RUN_ID,frp.PRCS_ID FROM flow_run_prcs frp
										WHERE frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
										AND frp.PRCS_FLAG ='3' AND frp.OP_FLAG ='1'
										GROUP BY frp.RUN_ID
									) croll ON croll.RUN_ID = frp.RUN_ID
									WHERE 1
									 ".$sqlPublicStr." GROUP BY frp.RUN_ID
								) mfp ON ( mfp.RUN_ID = frp.RUN_ID AND mfp.maxPrcsId = frp.PRCS_ID)
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								GROUP BY mfp.RUN_ID
								";
				//查总数
				$countSql = "
							SELECT COUNT(mfp.RUN_ID) AS CNT
							".$sqlMainPub;
				$cntRs = exequery($this->connection,$countSql);
				//因为含有group by 获取总数的方法有点不一样
				$totalCount = mysql_affected_rows();
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					$idSql  = "
								SELECT mfp.maxPrcsId AS PRCS_ID,mfp.canDeal,mfp.dealPrcsId,mfp.dealFlowPrcs,mfp.canRoll,mfp.crollPrcsId,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,us.USER_NAME AS CREATOR
								".$sqlMainPub;
					$idSql .= " ORDER BY  ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"]);
					$idSql .= " LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"]);
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$detailRows[] = $detailRow;
					}
					$returnArray["list"] = $detailRows;
				}
				return $returnArray;
				break;
			//流程监控
			case "flow_manage" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"1","list"=>array());
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sqlPublicStr .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				$sqlMainPub = "
								FROM flow_run_prcs frp
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								INNER JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
								WHERE fr.CURRENT_STEP != '0'
								AND (
										(ft.MANAGE_USER LIKE '%,".SecurityFilter($this->search["USER_ID"]).",%')
										OR LEFT(ft.MANAGE_USER,".strlen(SecurityFilter($this->search["USER_ID"])).")='".SecurityFilter($this->search["USER_ID"])."'
									)
								".$sqlPublicStr."
								GROUP BY frp.RUN_ID
							 ";
				//查总数
				$countSql = "
							SELECT COUNT(frp.RUN_ID ) CNT
							FROM (
							SELECT frp.RUN_ID
							".$sqlMainPub."
							) frp
							";
				$cntRs = exequery($this->connection,$countSql);
				if($cntRow = mysql_fetch_array($cntRs))
					$totalCount = $cntRow["CNT"];
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					//先查run_id串
					$runIdStrSql = "SELECT GROUP_CONCAT(frp.RUN_ID Separator \"','\") runidstr
									FROM (
									SELECT frp.RUN_ID
									".$sqlMainPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"])."
									) frp";
					$runIdStrRs  = exequery($this->connection,$runIdStrSql);
					if($runIdStrRow = mysql_fetch_array($runIdStrRs))
						$runIdStr = "'".$runIdStrRow["runidstr"]."'";
					//主sql
					$idSql = "
								SELECT
								GROUP_CONCAT(DISTINCT frp_u.USER_NAME) AS HAVE_DEAL,
								GROUP_CONCAT(DISTINCT frp_u1.USER_NAME) AS ALL_DEAL,
								frp.M_PRCS_ID PRCS_ID,frp_max.PRCS_FLAG,frp_max.FLOW_PRCS,frp_max.OP_FLAG maxOpFlag,fp.END_WORKFLOW,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,us.USER_NAME AS CREATOR,fr.CREATOR CREATOR_ID
								FROM
								(
									SELECT MAX(frp.PRCS_ID) M_PRCS_ID,frp.RUN_ID
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE fr.CURRENT_STEP != '0'
									AND frp.RUN_ID IN (".$runIdStr.")
									GROUP BY frp.RUN_ID
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp
								INNER JOIN (
									SELECT
									frp.RUN_ID,frp.PRCS_ID,frp.PRCS_FLAG,frp.FLOW_PRCS,frp.OP_FLAG
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									WHERE fr.CURRENT_STEP != '0'
									AND frp.RUN_ID IN (".$runIdStr.")
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
								) frp_max ON ( frp_max.RUN_ID = frp.RUN_ID AND frp_max.PRCS_ID = frp.M_PRCS_ID)
								LEFT JOIN (
									SELECT u.USER_NAME,frp.PRCS_ID,frp.RUN_ID,frp.OP_FLAG,frp.SAVEFORM_TIME
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									LEFT JOIN USER u ON u.USER_ID = frp.USER_ID
									WHERE fr.CURRENT_STEP != '0'
									AND frp.SAVEFORM_TIME IS NOT NULL
									AND frp.SAVEFORM_TIME != '0000-00-00 00:00:00'
									AND frp.RUN_ID IN (".$runIdStr.")
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr."),
									PRCS_ID DESC
								) frp_u ON ( frp_u.RUN_ID = frp.RUN_ID AND frp_u.PRCS_ID = frp.M_PRCS_ID)
								LEFT JOIN (
									SELECT u.USER_NAME,frp.PRCS_ID,frp.RUN_ID,frp.OP_FLAG,frp.SAVEFORM_TIME
									FROM flow_run_prcs frp
									INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
									LEFT JOIN USER u ON u.USER_ID = frp.USER_ID
									WHERE fr.CURRENT_STEP != '0'
									AND frp.RUN_ID IN (".$runIdStr.")
									ORDER BY FIELD(frp.RUN_ID,".$runIdStr."),
									PRCS_ID DESC
								) frp_u1 ON ( frp_u1.RUN_ID = frp.RUN_ID AND frp_u1.PRCS_ID = frp.M_PRCS_ID)
								LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN USER us ON us.USER_ID = fr.CREATOR
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								GROUP BY frp.RUN_ID
								ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
							";
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$returnArray["list"][] = $detailRow;
					}
				}
				//返回结果
				return $returnArray;
				break;
			//超时查询
			case "overtime" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"","list"=>array(),"customParam"=>"");
				//查询条件
				$condition = "";
				//流程分类
				if ($this->search["SEARCH_STR"]["FLOW_SORT"]) {
					$condition .= " AND ft.FLOW_SORT = '" . SecurityFilter($this->search["SEARCH_STR"]["FLOW_SORT"]) . "' ";
				}
				//流程ID(名称)
				if ($this->search["SEARCH_STR"]["FLOW_ID"]) {
					$condition .= " AND ft.FLOW_ID = '" . SecurityFilter($this->search["SEARCH_STR"]["FLOW_ID"]) . "' ";
				}
				//流程节点
				if ($this->search["SEARCH_STR"]["FLOW_PRCS"]) {
					$condition .= " AND frp.FLOW_PRCS = '" . SecurityFilter($this->search["SEARCH_STR"]["FLOW_PRCS"]) . "' ";
				}
				//流程状态
				if ($this->search["SEARCH_STR"]["FLOW_STATUS"] == "0") {
					$condition .= " AND fr.CURRENT_STEP <> 0 ";
				} else if ($this->search["SEARCH_STR"]["FLOW_STATUS"] == "1") {
					$condition .= " AND fr.CURRENT_STEP = 0  ";
				}
				//流程紧急程度
				if ($this->search["SEARCH_STR"]["instancy_type"] != "" && $this->search["SEARCH_STR"]["instancy_type"] != "ALL") {
					$condition .= " AND fr.INSTANCY_TYPE = '" . SecurityFilter($this->search["SEARCH_STR"]["instancy_type"]) . "' ";
				}
				//流程创建人
				if ($this->search["SEARCH_STR"]["flow_creator_id"]) {
					$condition .= " AND fr.CREATOR = '" . SecurityFilter($this->search["SEARCH_STR"]["flow_creator_id"]) . "' ";
				}
				//超时人员
				if ($this->search["SEARCH_STR"]["flow_overtime_id"]) {
					$condition .= " AND frp.USER_ID = '" . SecurityFilter($this->search["SEARCH_STR"]["flow_overtime_id"]) . "' ";
				}
				//流水号
				if ($this->search["SEARCH_STR"]["FLOW_DESCP"] != "") {
					$condition .= " AND fr.RUN_SEQ LIKE '%" . SecurityFilter($this->search["SEARCH_STR"]["FLOW_DESCP"]) . "%' ";
				}
				//标题
				if ($this->search["SEARCH_STR"]["RUN_NAME"] != "") {
					$condition .= " AND fr.RUN_NAME LIKE '%" . SecurityFilter($this->search["SEARCH_STR"]["RUN_NAME"]) . "%' ";
				}
				//流程开始时间起始
				if ($this->search["SEARCH_STR"]["PRCS_DATE1"] != '') {
					$condition .= " AND fr.CREATE_TIME >= '" . SecurityFilter($this->search["SEARCH_STR"]["PRCS_DATE1"]) . "' ";
				}
				//流程开始时间结束
				if ($this->search["SEARCH_STR"]["PRCS_DATE2"] != '') {
					$time_stamp = strtotime ( $this->search["SEARCH_STR"]["PRCS_DATE2"] );
					$start_time_end = date ( "Y-m-d", mktime ( 0, 0, 0, date ( "m", $time_stamp ), date ( "d", $time_stamp ) + 1, date ( "Y", $time_stamp ) ) );
					$condition .= " AND fr.CREATE_TIME < '" . SecurityFilter($start_time_end) . "' ";
				}
				$sql1 = "
							SELECT
							frp.*,fr.*,ft.*,fp.PRCS_NAME
							";
				$sql2 = "
							FROM flow_run_prcs frp
							LEFT JOIN flow_run fr  ON(frp.RUN_ID = fr.RUN_ID)
							LEFT JOIN flow_type ft ON(ft.FLOW_ID = fr.FLOW_ID)
							LEFT JOIN flow_sort fs ON fs.ID = ft.FLOW_SORT
							LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
							LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = frp.FLOW_PRCS )
							WHERE frp.LIMIT_DATE IS NOT NULL AND frp.LIMIT_DATE != '0000-00-00 00:00:00'
							AND (
									(
										 frp.OP_FLAG = 1 AND (
											(DELIVER_TIME IS NOT NULL AND DELIVER_TIME > LIMIT_DATE)
											OR
											(DELIVER_TIME IS NULL AND NOW() > LIMIT_DATE)
										)
									)
									OR
									(
										 frp.OP_FLAG = 0 AND (
											(SAVEFORM_TIME IS NOT NULL AND SAVEFORM_TIME > LIMIT_DATE)
											OR
											(SAVEFORM_TIME IS NULL AND NOW() > LIMIT_DATE)
										)
									)
								)
							";
				//流程权限判断
				if ($this->search["USER_ID"] != "admin") {
					$sql2 .= " AND (find_in_set('" . SecurityFilter($this->search["USER_ID"]) . "',ft.MANAGE_USER) OR frp.USER_ID='" . SecurityFilter($this->search["USER_ID"]) . "' OR fr.CREATOR = '" . SecurityFilter($this->search["USER_ID"]) . "') ";
				}
				$sql2  .= $condition;
				//某个类别的流程
				if($this->search["FLOW_ID"])
					$sql2 .= " AND fr.FLOW_ID = '".SecurityFilter($this->search["FLOW_ID"])."' ";
				//拼接筛选、自定义查询等条件
				$sql2 .= $this->search["CUSTOMPARAM"];
				//分页参数_偏移量
				$offset = $this->page["PAGINATIONOFFSET"];
				//分页参数_最大数目
				$rows1  = $this->page["PAGINATIONROWS"];
				$offset = $offset*$rows1;
				$sql    = $sql1 . $sql2;
				$getCountQuery   = "SELECT COUNT(*) AS CNT " . $sql2;

				$getCountResult  = exequery($this->connection, $getCountQuery);
				if ($getCountRow = mysql_fetch_array($getCountResult)) {
					$totalCount  = $getCountRow['CNT'];
				}
				$returnArray["totalCount"] =  $totalCount;
				if($rows1) {
					if($offset>=$totalCount)
					{
						$offset = max(0,$offset-$rows1);
					}
				}
				$sql .= " ORDER BY " . SecurityFilter($this->page["SORTFIELD"]) . " " . SecurityFilter($this->page["SORTTYPE"]).",frp.PRCS_ID ASC";
				$customParam = $sql;
				if($this->other["GETVALUELIMIT"] == "export")
					$sql .= " LIMIT ".SecurityFilter($this->page["LIMIT_START"]).",".SecurityFilter($this->page["LIMIT_END"]);
				else
					$sql .= " LIMIT ".SecurityFilter($offset).",".SecurityFilter($rows1);
				//是否要获取列表，如果不要的话，只返回总数
				if($this->type["CONSTAINLIST"])
				{
					$rs = exequery($this->connection,$sql);
					while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$returnArray["list"][] = $row;
					}
				}
				$returnArray["totalCount"]  = $totalCount;
				// $returnArray["customParam"] = $customParam;
				$returnArray["customParam"] = array("sql"=>$customParam,"count"=>$totalCount);
				//返回结果
				return $returnArray;
				break;
			case "overtime_export" :
				//返回的固定格式的数组
				$returnArray   = array("totalCount"=>"","list"=>array());
				$customParam   = $this->other["customParam"];
				$sql    = $customParam;
				$start  = $this->other["start"];
				$limits = $this->other["limits"];
				if(is_numeric($start) && is_numeric($limits))
					$sql .= " LIMIT ".SecurityFilter($start).",".SecurityFilter($limits);
				//是否要获取列表，如果不要的话，只返回总数
				if($this->type["CONSTAINLIST"])
				{
					$rs        = exequery($this->connection,$sql);
					while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$detailRows[] = $row;
					}
					$returnArray["list"] = $detailRows;
				}
				//返回结果
				return $returnArray;
				break;
			//流程委托
			case "flow_agency" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"","list"=>array());
				switch ($this->other["agencyType"]){
					//我的委托规则
					case "myAgencyRule":
						//$getTypeSql = "SELECT fa.*,user.USER_NAME FROM flow_agency AS fa,user WHERE user.USER_ID = fa.BY_AGENT_ID AND BY_AGENT_ID = '".$this->search["USER_ID"]."' AND fa.STATUS != 1 ";
						$agencySql = "
									fa.BY_AGENT_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND fa.STATUS != 1
									";
						break;
					//被委托规则
					case "byAgencyRule":
						//$getTypeSql = "SELECT fa.*,user.USER_NAME FROM flow_agency AS fa,user WHERE user.USER_ID = fa.AGENT_ID AND AGENT_ID = '".$this->search["USER_ID"]."' AND fa.STATUS != 1 ";
						$agencySql = "
									fa.AGENT_ID = '".SecurityFilter($this->search["USER_ID"])."'
									AND fa.STATUS != 1
									";
						break;
					//其他委托规则
					case "otherAgencyRule":
						//$getTypeSql = "SELECT * FROM flow_agency WHERE AGENT_ID != '".$this->search["USER_ID"]."' AND BY_AGENT_ID != '".$this->search["USER_ID"]."' AND STATUS != 1 ";
						$agencySql = "
									fa.AGENT_ID != '".SecurityFilter($this->search["USER_ID"])."'
									AND BY_AGENT_ID != '".SecurityFilter($this->search["USER_ID"])."'
									AND fa.STATUS != 1
									";
						break;
				}
				//这里连dp1给被委托规则用，dp给我的委托规则用
				$detailSqlPub = "
								FROM (
									SELECT DISTINCT u.USER_ID,u1.USER_ID AS USER_ID1,dp.DEPT_ID,dp1.DEPT_ID AS DEPT_ID1,u.USER_NAME as AGENT_NAME,u1.USER_NAME as BY_AGENT_NAME,fa. * , substring_index( substring_index( SUBSTRING( fa.FLOW_ID_STR, 1, length( fa.FLOW_ID_STR ) -1 ) , ',', b.help_topic_id +1 ) , ',', -1 ) FLOW_ID
									FROM flow_agency fa
									JOIN mysql.help_topic b ON b.help_topic_id <= ( length( SUBSTRING( fa.FLOW_ID_STR, 1, length( fa.FLOW_ID_STR ) -1 ) ) - length( replace( SUBSTRING( fa.FLOW_ID_STR, 1, length( fa.FLOW_ID_STR ) -1 ) , ',', '' ) ) +1 )
									LEFT JOIN user u ON u.USER_ID = fa.AGENT_ID
									LEFT JOIN user u1 ON u1.USER_ID = fa.BY_AGENT_ID
									LEFT JOIN DEPARTMENT dp1 ON u1.DEPT_ID = dp1.DEPT_ID
									LEFT JOIN DEPARTMENT dp ON u.DEPT_ID = dp.DEPT_ID
									WHERE
									".$agencySql."
								) ad
								INNER JOIN FLOW_TYPE ft ON ad.FLOW_ID = ft.FLOW_ID
								LEFT JOIN FLOW_SORT fs ON fs.ID = ft.FLOW_SORT
								WHERE 1
								";
				//拼接筛选、自定义查询等条件
				$detailSqlPub .= $this->search["CUSTOMPARAM"];
				//取总数
				$getCountQuery   = "SELECT ft.*,fs.*,ad.* " . $detailSqlPub;
				$getCountResult  = exequery($this->connection, $getCountQuery);
				$totalCount = mysql_affected_rows();
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//是否要获取列表，如果不要的话，只返回总数
				if($this->type["CONSTAINLIST"])
				{
					//取明细
					$detailSql = "SELECT ft.*,fs.*,ad.* " . $detailSqlPub;
					if($this->page["SORTFIELD"] && $this->page["SORTTYPE"])
						$detailSql .= " ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])." ";
					if($this->other["getDataType"] == "notPage") {
					} else {
						if($this->page["PAGINATIONOFFSET"] || $this->page["PAGINATIONROWS"])
							$detailSql .= " LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"]);
					}

					$detailRs   = exequery($this->connection,$detailSql);
					while($detailRows = mysql_fetch_array($detailRs))
					{
						$detailRow[] = $detailRows;
					}
					$returnArray["list"] = $detailRow;
				}
				//返回结果
				return $returnArray;
				break;
			//流程委托--委托记录--9.0new
			case "flow_agency_record" :
				//返回的固定格式的数组
				$returnArray = array("totalCount"=>"1","list"=>array());
				//拼接筛选、自定义查询等条件
				$sqlPublicStr .= $this->search["CUSTOMPARAM"];
				switch ($this->other["agencyType"]){
					//我的委托记录
					case "myAgencyRuleRecord":
						//事前：frp里面，FLOW_AGENCY_ID和"我的委托规则"里的AGENCY_ID吻合的
						//事后：frp里，BY_AGENT_ID等于login_user_id，
						$detailSqlPub = "
								FROM flow_run_prcs frp
								LEFT JOIN flow_run fr ON frp.RUN_ID = fr.RUN_ID
								LEFT JOIN user u ON u.USER_ID = frp.USER_ID
								LEFT JOIN DEPARTMENT dp ON u.DEPT_ID = dp.DEPT_ID
								LEFT JOIN FLOW_TYPE ft ON fr.FLOW_ID = ft.FLOW_ID
								LEFT JOIN FLOW_SORT fs ON fs.ID = ft.FLOW_SORT
								WHERE ( ( frp.FLOW_AGENCY_ID != ''
								AND frp.BY_AGENT_ID = '".SecurityFilter($this->search["USER_ID"])."' )
								OR ( frp.BY_AGENT_ID = '".SecurityFilter($this->search["USER_ID"])."' ) )
								".$sqlPublicStr."
								";
					break;
					//被委托记录
					case "byAgencyRuleRecord":
						//事前：frp里面，FLOW_AGENCY_ID和"被委托规则"里的FLOW_AGENCY_ID吻合的
						//事后：frp里，USER_ID等于login_user_id，且BY_AGENT_ID不为空
						$detailSqlPub = "
								FROM flow_run_prcs frp
								LEFT JOIN flow_run fr ON frp.RUN_ID = fr.RUN_ID
								LEFT JOIN user u ON u.USER_ID = frp.BY_AGENT_ID
								LEFT JOIN DEPARTMENT dp ON u.DEPT_ID = dp.DEPT_ID
								LEFT JOIN FLOW_TYPE ft ON fr.FLOW_ID = ft.FLOW_ID
								LEFT JOIN FLOW_SORT fs ON fs.ID = ft.FLOW_SORT
								WHERE ( ( frp.BY_AGENT_ID != ''
								AND frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."' )
								OR ( frp.BY_AGENT_ID != ''
								AND frp.FLOW_AGENCY_ID != ''
								AND frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."' ) )
								".$sqlPublicStr."
								";
					break;
				}
				//查总数
				$countSql = "
							SELECT COUNT(frp.RUN_ID ) CNT
							FROM (
							SELECT frp.RUN_ID
							".$detailSqlPub."
							) frp
							";
				$cntRs = exequery($this->connection,$countSql);
				if($cntRow = mysql_fetch_array($cntRs))
					$totalCount = $cntRow["CNT"];
				$returnArray["totalCount"] =  $totalCount;
				while($this->page["PAGINATIONOFFSET"]*$this->page["PAGINATIONROWS"] >=$totalCount &&$this->page["PAGINATIONOFFSET"])
					$this->page["PAGINATIONOFFSET"] = $this->page["PAGINATIONOFFSET"]- 1;
				//查明细
				if($this->type["CONSTAINLIST"])
				{
					//先查run_id串
					$runIdStrSql = "SELECT GROUP_CONCAT(frp.RUN_ID Separator \"','\") runidstr
									FROM (
									SELECT frp.RUN_ID
									".$detailSqlPub."
									ORDER BY ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"])."
									LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"])*SecurityFilter($this->page["PAGINATIONROWS"]).",".SecurityFilter($this->page["PAGINATIONROWS"])."
									) frp";
					// file_put_contents("D:".$this->other["agencyType"].".txt", $runIdStrSql);
					$runIdStrRs  = exequery($this->connection,$runIdStrSql);
					if($runIdStrRow = mysql_fetch_array($runIdStrRs))
						$runIdStr = "'".$runIdStrRow["runidstr"]."'";
					//主sql
					switch ($this->other["agencyType"]){
						//我的委托记录
						case "myAgencyRuleRecord":
							//事前：frp里面，FLOW_AGENCY_ID和"我的委托规则"里的AGENCY_ID吻合的
							//事后：frp里，BY_AGENT_ID等于login_user_id，
							$idSql = "
										SELECT
										frp.M_PRCS_ID PRCS_ID,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,frp_self.USER_ID,us.USER_NAME AGENT_NAME
										FROM
										(
											SELECT MAX(frp.PRCS_ID) M_PRCS_ID,frp.RUN_ID
											FROM flow_run_prcs frp
											INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
											WHERE frp.RUN_ID IN (".$runIdStr.")
											GROUP BY frp.RUN_ID
											ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
										) frp
										LEFT JOIN (
											SELECT frp.RUN_ID,frp.USER_ID
											".$detailSqlPub."
										) frp_self ON frp_self.RUN_ID = frp.RUN_ID
										LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
										LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
										LEFT JOIN USER us ON us.USER_ID = frp_self.USER_ID
										LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
										GROUP BY frp.RUN_ID
										ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
									";
						break;
						//被委托记录
						case "byAgencyRuleRecord":
							//事前：frp里面，FLOW_AGENCY_ID和"被委托规则"里的FLOW_AGENCY_ID吻合的
							//事后：frp里，USER_ID等于login_user_id，且BY_AGENT_ID不为空
							$idSql = "
										SELECT
										frp.M_PRCS_ID PRCS_ID,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,frp_self.BY_AGENT_ID,us.USER_NAME BY_AGENT_NAME
										FROM
										(
											SELECT MAX(frp.PRCS_ID) M_PRCS_ID,frp.RUN_ID
											FROM flow_run_prcs frp
											INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
											WHERE frp.RUN_ID IN (".$runIdStr.")
											GROUP BY frp.RUN_ID
											ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
										) frp
										LEFT JOIN (
											SELECT frp.RUN_ID,frp.BY_AGENT_ID
											".$detailSqlPub."
										) frp_self ON frp_self.RUN_ID = frp.RUN_ID
										LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
										LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
										LEFT JOIN USER us ON us.USER_ID = frp_self.BY_AGENT_ID
										LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
										GROUP BY frp.RUN_ID
										ORDER BY FIELD(frp.RUN_ID,".$runIdStr.")
									";
						break;
					}
					$rs     = exequery($this->connection,$idSql);
					while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
					{
						$returnArray["list"][] = $detailRow;
					}
				}
				//返回结果
				return $returnArray;
				break;
			case "my_create" :
				break;
			case "flow_type" :
				break;
			case "flow_sort" :
				break;
			case "sub_folders" :
				break;
			case "unread_to_do_count" :
				break;
			//新建流程页面，获取常用流程
			case "flow_often":
				$sqloften = "
							SELECT ft.FLOW_NAME,ft.FORM_ID,fr.FLOW_ID, COUNT( * ) AS flowCount,ft.FLOW_TYPE,MAX(CREATE_TIME) AS LastTime
                            FROM flow_run fr
                            INNER JOIN (
                                SELECT ft.FLOW_ID,ft.FLOW_NAME,ft.FORM_ID,ft.FLOW_TYPE FROM flow_type ft
                                LEFT JOIN FLOW_PROCESS fp
                                  ON (
                                    fp.FLOW_ID = ft.FLOW_ID
                                    AND fp.PRCS_ID = 1
                                  )
                                  WHERE ((
                                    ft.FLOW_TYPE = 1
                                    AND (
                                            (INSTR(fp.PRCS_DEPT,',".SecurityFilter($this->search["LOGIN_DEPT_ID"]).",')>0 OR INSTR(fp.PRCS_DEPT,'".SecurityFilter($this->search["LOGIN_DEPT_ID"]).",')=1)
											OR
											(INSTR(fp.PRCS_PRIV,',".SecurityFilter($this->search["LOGIN_USER_PRIV"]).",')>0 OR INSTR(fp.PRCS_PRIV,'".SecurityFilter($this->search["LOGIN_USER_PRIV"]).",')=1)
											OR
											(INSTR(fp.PRCS_USER,',".SecurityFilter($this->search["LOGIN_USER_ID"]).",')>0 OR INSTR(fp.PRCS_USER,'".SecurityFilter($this->search["LOGIN_USER_ID"]).",')=1)
                                        )
                                    )
                                    OR
                                    (
                                        ft.FLOW_TYPE = 2
                                        AND (
                                            (INSTR(ft.CREATE_DEPT,',".SecurityFilter($this->search["LOGIN_DEPT_ID"]).",')>0 OR INSTR(ft.CREATE_DEPT,'".SecurityFilter($this->search["LOGIN_DEPT_ID"]).",')=1)
											OR
											(INSTR(ft.CREATE_PRIV,',".SecurityFilter($this->search["LOGIN_USER_PRIV"]).",')>0 OR INSTR(ft.CREATE_PRIV,'".SecurityFilter($this->search["LOGIN_USER_PRIV"]).",')=1)
											OR
											(INSTR(ft.CREATE_USER,',".SecurityFilter($this->search["LOGIN_USER_ID"]).",')>0 OR INSTR(ft.CREATE_USER,'".SecurityFilter($this->search["LOGIN_USER_ID"]).",')=1)
                                        )
                                    ))
                                    AND ft.IS_USING = '1'
                            ) ft ON ft.flow_id = fr.flow_id
                            WHERE fr.CREATOR = '".SecurityFilter($this->search["LOGIN_USER_ID"])."'
                            AND fr.IS_EFFECT = '1'
                            GROUP BY FLOW_ID
                            ORDER BY flowCount DESC,LastTime DESC
                            LIMIT 0,6;
							";
				$rsoften  = exequery($this->connection,$sqloften);
				while($rowoften = mysql_fetch_array($rsoften) ){
					$outoften[] = $rowoften;
				}
				return $outoften;
				break;
			default :
				exit("Never assign category type !");
		}
	}
	/**
	*获取类型数据
	*@return array $returnArray|array(totalCount,list)
	*/
	function getSortList()
	{
		//根据类别判断执行取什么类别的列表
		switch ($this->type["TYPE"])
		{
			//待办事宜
			case "to_do_list" :
			$detailSql = "
						SELECT frpy.CNT `unRead`,fr.CNT `ALL`,ft.*,fs.*
						FROM flow_type ft
						INNER JOIN flow_sort AS fs ON ( fs.ID = ft.FLOW_SORT )
						INNER JOIN (
							SELECT COUNT(frp.RUN_ID) CNT,frp.*,fr.FLOW_ID FROM (


								SELECT frs.RUN_ID FROM flow_run_step frs
								WHERE frs.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
								AND frs.USER_RUN_TYPE = '1'
								GROUP BY frs.RUN_ID

							) frp
							INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
							WHERE fr.IS_EFFECT = '1'
							GROUP BY fr.FLOW_ID
						) fr ON fr.FLOW_ID = ft.FLOW_ID
						LEFT JOIN (

								SELECT COUNT(frs.RUN_ID) CNT,fr.FLOW_ID FROM flow_run_step frs
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
								INNER JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								WHERE frs.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
								AND frs.USER_RUN_TYPE = '1'
								AND (PRCS_TIME IS NULL OR PRCS_TIME = '')
								AND fr.IS_EFFECT = '1'
								GROUP BY ft.FLOW_ID
						) AS frpy ON ( fr.FLOW_ID = frpy.FLOW_ID )
						WHERE 1
						".$this->search["CUSTOMPARAM"]."
						ORDER BY fs.NOORDER ASC
					";
			break;
			//已办事宜
			case "finished_list" :
			$detailSql = "
						SELECT COUNT(frp.RUN_ID) `ALL`,ft.*,fs.*
						FROM (
							SELECT frs.RUN_ID FROM flow_run_step frs
							WHERE  frs.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
							AND frs.USER_RUN_TYPE = '2'
						) frp
						INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
						INNER JOIN flow_type ft ON ft.FLOW_ID = fr.FLOW_ID
						LEFT JOIN flow_sort fs ON fs.ID = ft.FLOW_SORT
						WHERE fr.CURRENT_STEP <> 0
						".$this->search["CUSTOMPARAM"]."
						GROUP BY fr.FLOW_ID
						ORDER BY fs.NOORDER ASC
					";
			break;
			//办结事宜
			case "passed_list" :
			$detailSql = "
						SELECT COUNT(frp.RUN_ID) `ALL`,ft.*,fs.*
						FROM (
							SELECT frs.RUN_ID FROM flow_run_step frs
							WHERE  frs.USER_ID = '".SecurityFilter($this->search["USER_ID"])."'
							AND frs.USER_RUN_TYPE = '3'
						) frp
						INNER JOIN flow_run AS fr ON (fr.RUN_ID = frp.RUN_ID )
						INNER JOIN flow_type ft ON ft.FLOW_ID = fr.FLOW_ID
						LEFT JOIN flow_sort fs ON fs.ID = ft.FLOW_SORT
						WHERE fr.CURRENT_STEP = '0'
						".$this->search["CUSTOMPARAM"]."
						GROUP BY fr.FLOW_ID
						ORDER BY fs.NOORDER ASC
					";
			break;
			//我的请求
			case "my_request" :
			$detailSql = "
						SELECT COUNT(fr.RUN_ID) AS `ALL`,ft.*,fs.*
						FROM flow_run fr
						INNER JOIN flow_type AS ft ON ( ft.FLOW_ID = fr.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON ( fs.ID = ft.FLOW_SORT )
						WHERE
						fr.CREATOR ='".SecurityFilter($this->search["USER_ID"])."'
						".$this->search["CUSTOMPARAM"]."
						GROUP BY ft.FLOW_ID
						ORDER BY fs.NOORDER ASC
					";
			break;
			//流程查询
			case "flow_query" :
			$detailSql = "
						SELECT fr.CNT AS `ALL`,ft.*,fs.*
						FROM flow_type ft
						INNER JOIN (
							SELECT COUNT(fr.RUN_ID) AS CNT,fr.FLOW_ID
							FROM flow_run fr
							GROUP BY fr.FLOW_ID
						) fr ON ( ft.FLOW_ID = fr.FLOW_ID )
						INNER JOIN flow_sort AS fs ON ( fs.ID = ft.FLOW_SORT )
						WHERE 1
						".$this->search["CUSTOMPARAM"]."
						ORDER BY fs.NOORDER ASC
					";
			break;
			//流程监控
			case "flow_manage" :
			$detailSql = "
						SELECT COUNT(fr.RUN_ID) AS `ALL`,ft.*,fs.*
						FROM flow_run AS fr
						INNER JOIN flow_type AS ft ON ( ft.FLOW_ID = fr.FLOW_ID )
						LEFT JOIN flow_sort fs ON fs.ID = ft.FLOW_SORT
						WHERE fr.CURRENT_STEP != '0'
						AND (
							 (ft.MANAGE_USER LIKE '%,".SecurityFilter($this->search["USER_ID"]).",%')
							 OR LEFT(ft.MANAGE_USER,".strlen($this->search["USER_ID"]).")='".SecurityFilter($this->search["USER_ID"])."'
							 )
						".$this->search["CUSTOMPARAM"]."
						GROUP BY fr.FLOW_ID
						ORDER BY fs.NOORDER ASC
						";
			break;
			//超时查询
			case "overtime" :
			$detailSql = "
						SELECT COUNT(fr.RUN_ID) AS `ALL`,frCnt.*,fs.*
						FROM flow_run fr
						INNER JOIN (
							SELECT fr.RUN_ID,ft.*
							FROM flow_run AS fr
							INNER JOIN flow_run_prcs AS frp ON ( fr.RUN_ID = frp.RUN_ID )
							INNER JOIN flow_type AS ft ON ( ft.FLOW_ID = fr.FLOW_ID )
							WHERE frp.LIMIT_DATE IS NOT NULL AND frp.LIMIT_DATE != '0000-00-00 00:00:00'
							AND (
									(
										 frp.OP_FLAG = 1 AND (
											(DELIVER_TIME IS NOT NULL AND DELIVER_TIME > LIMIT_DATE)
											OR
											(DELIVER_TIME IS NULL AND NOW() > LIMIT_DATE)
										)
									)
									OR
									(
										 frp.OP_FLAG = 0 AND (
											(SAVEFORM_TIME IS NOT NULL AND SAVEFORM_TIME > LIMIT_DATE)
											OR
											(SAVEFORM_TIME IS NULL AND NOW() > LIMIT_DATE)
										)
									)
								)
							".$this->search["CUSTOMPARAM"]."
							";
			if ($this->search["USER_ID"] != "admin") {
				$detailSql .= "
							AND (
									find_in_set('" . SecurityFilter($this->search["USER_ID"]) . "',ft.MANAGE_USER)
									OR
									frp.USER_ID='" . SecurityFilter($this->search["USER_ID"]) . "'
									OR
									fr.CREATOR = '" . SecurityFilter($this->search["USER_ID"]) . "'
								)
							";
			}
			$detailSql .= "
							GROUP BY fr.RUN_ID
						) frCnt ON frCnt.RUN_ID = fr.RUN_ID
						LEFT JOIN flow_sort fs ON fs.ID = frCnt.FLOW_SORT
						GROUP BY fr.FLOW_ID
						ORDER BY fs.NOORDER ASC
						";
			break;
			//新建流程
			case "new_flow" :
			$detailSql = "
							SELECT ft.*,fs.*, fp.PRCS_USER, fp.PRCS_DEPT, fp.PRCS_PRIV
							FROM flow_type ft
							LEFT JOIN flow_sort fs ON ( fs.ID = ft.FLOW_SORT )
							LEFT JOIN FLOW_PROCESS fp ON ( fp.FLOW_ID = ft.FLOW_ID
							AND fp.PRCS_ID =1 )
							WHERE
							(
								(
									FLOW_TYPE = 1
									AND (
										(INStr(prcs_user,',".SecurityFilter($this->search["USER_ID"]).",')>0 or INStr(prcs_user,'".SecurityFilter($this->search["USER_ID"]).",')=1)
										 or
										(INStr(prcs_dept,',".SecurityFilter($this->search["DEPT_ID"]).",')>0 or INStr(prcs_dept,'".SecurityFilter($this->search["DEPT_ID"]).",')=1)
										 or
										(INStr(prcs_priv,',".SecurityFilter($this->search["PRIV_ID"]).",')>0 or INStr(prcs_priv,'".SecurityFilter($this->search["PRIV_ID"]).",')=1)
									)
								)
								OR
								(
									FLOW_TYPE = 2
									AND (
										(INStr(CREATE_USER,',".SecurityFilter($this->search["USER_ID"]).",')>0 or INStr(CREATE_USER,'".SecurityFilter($this->search["USER_ID"]).",')=1)
										 or
										(INStr(CREATE_DEPT,',".SecurityFilter($this->search["DEPT_ID"]).",')>0 or INStr(CREATE_DEPT,'".SecurityFilter($this->search["DEPT_ID"]).",')=1)
										 or
										(INStr(CREATE_PRIV,',".SecurityFilter($this->search["PRIV_ID"]).",')>0 or INStr(CREATE_PRIV,'".SecurityFilter($this->search["PRIV_ID"]).",')=1)
									)
								)
							)
							".$this->search["CUSTOMPARAM"]."
							GROUP BY ft.FLOW_ID
							ORDER BY fs.NOORDER ASC
							";
			break;
			//流程模板
			case "flow_template_select" :
			$detailSql = "
						SELECT ft.*,fs.*
						FROM flow_type ft
						INNER JOIN flow_sort AS fs ON ( fs.ID = ft.FLOW_SORT )
						WHERE 1
						".$this->search["CUSTOMPARAM"]."
						ORDER BY fs.NOORDER ASC
					";
			break;
			default :
			$detailSql = "";
		}
		// file_put_contents("D:1.txt", $detailSql);
		//是否要获取列表，如果不要的话，只返回总数
		if($this->type["CONSTAINLIST"])
		{
			//查询列表
			$detailRs  = exequery($this->connection,$detailSql);
			while($detailRow = mysql_fetch_array($detailRs,MYSQL_ASSOC))
			{
				$FLOW_SORT = $detailRow["FLOW_SORT"];
				$FLOW_NAME = $detailRow["FLOW_NAME"];
				$FLOW_ID   = $detailRow["FLOW_ID"];
				$FLOW_TYPE = $detailRow["FLOW_TYPE"];
				$ownName   = $detailRow["TITLE"];
				if($detailRows[$FLOW_SORT])
				{
					array_push($detailRows[$FLOW_SORT]["sonArr"],array("flow_id"=>$FLOW_ID,"flow_name"=>$FLOW_NAME,"flow_type"=>$FLOW_TYPE,"all"=>$detailRow["ALL"],"un_read"=>$detailRow["unRead"]));
				}
				else
				{
					$flowSortSonArr = array(array("flow_id"=>$FLOW_ID,"flow_name"=>$FLOW_NAME,"flow_type"=>$FLOW_TYPE,"all"=>$detailRow["ALL"],"un_read"=>$detailRow["unRead"]));
					$detailRows[$FLOW_SORT] = array("ownName"=>$ownName,"sonArr"=>$flowSortSonArr);
				}
			}
			if($detailRows)
				$returnArray  = array("count"=>"1","list"=>$detailRows);
			else
				$returnArray  = array("count"=>"0","list"=>array());
		}
		return $returnArray;
	}
	/**
	*获取抄送列表的类型数据
	* @param  array  $getSortListParam 条件信息数组
	* @return array $returnArray|array
	*/
	function getFlowCopySortList($getSortListParam)
	{
		$sql = "
				SELECT COUNT(fc.run_id) CNT,fc.FLOW_ID FROM flow_copy fc
				LEFT JOIN flow_run fr ON fc.run_id = fr.run_id
				WHERE fc.BY_USER_ID = '".SecurityFilter($getSortListParam["LOGIN_USER_ID"])."'
				AND fr.IS_EFFECT = '1'
				GROUP BY fc.FLOW_ID
				";
		$rs  = exequery($this->connection,$sql);
		$returnArray = "";
		while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
		{
			$FLOW_ID      = $row["FLOW_ID"];
			$lazySubItems = "";
			$lazySubItems["flow_id"]         = $FLOW_ID;
			$lazySubItems["totalFlowCount"] = $row["CNT"];
			$sql1 = "
					SELECT ID,TITLE,NOORDER,FLOW_NAME
					FROM flow_type ft
					LEFT JOIN flow_sort fs ON fs.ID = ft.FLOW_SORT
					WHERE ft.flow_id = '".SecurityFilter($FLOW_ID)."'
					".$getSortListParam["CUSTOMPARAM"]."
					";
			$rs1  = exequery($this->connection,$sql1);
			while($rows = mysql_fetch_array($rs1,MYSQL_ASSOC))
			{
				$lazySubItems["flow_name"] = $rows["FLOW_NAME"];
				//查询
				if($getSortListParam["CUSTOMPARAM"]) {
					$lazySubItems["NOORDER"]  = $rows["NOORDER"];
					$returnArray[] = $lazySubItems;
				} else {
					if(isset($returnArray[$rows["ID"]])) {
						$returnArray[$rows["ID"]]["lazySubItems"][$FLOW_ID] = $lazySubItems;
						$returnArray[$rows["ID"]]["flowCount"] = $returnArray[$rows["ID"]]["flowCount"]+1;
					} else {
						$returnArray[$rows["ID"]]["flowTypeId"]   = $rows["ID"];
						$returnArray[$rows["ID"]]["flowTypeName"] = $rows["TITLE"];
						$returnArray[$rows["ID"]]["flowCount"]    = "1";
						$returnArray[$rows["ID"]]["NOORDER"]      = $rows["NOORDER"];
						$returnArray[$rows["ID"]]["lazySubItems"][$FLOW_ID] = $lazySubItems;
					}
				}
			}
		}
		return $returnArray;
	}
	//获取待办事宜列表
	function getToDoList($getListParam) {
		//默认获取数量和明细，传count，只返回数量
		$getListType = $getListParam["GETLISTTYPE"];
		//查数量
		$countSql = "
						SELECT count(frs.RUN_ID) CNT
						FROM flow_run_step frs
						LEFT JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						WHERE 1
						".$getListParam["CUSTOMPARAM"];
		$cntRs    = exequery($this->connection,$countSql);
		if($cntRow = mysql_fetch_array($cntRs))
			$totalCount = $cntRow["CNT"];
		$returnArray["totalCount"] =  $totalCount;
		if($getListType == "count")
			return $returnArray;
		else {
			//对分页的特殊处理
			while($getListParam["PAGINATIONOFFSET"]*$getListParam["PAGINATIONROWS"] >=$totalCount &&$getListParam["PAGINATIONOFFSET"])
				$getListParam["PAGINATIONOFFSET"] = $getListParam["PAGINATIONOFFSET"]- 1;
			//查明细
			$sortField = $getListParam["SORTFIELD"];
			if($sortField == "fr.TRANSACT_TIME") {
				$sortField = "frs.TRANSACT_TIME";
			}
			$detailSql = "
						SELECT frs.*,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fo.FIRST_NODE_DELETE_FLOW
						FROM flow_run_step frs
						LEFT JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_others AS fo ON (fo.FLOW_ID = fr.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = frs.FLOW_PRCS)
						WHERE 1
						".$getListParam["CUSTOMPARAM"]."
						ORDER BY ".SecurityFilter($sortField)." ".SecurityFilter($getListParam["SORTTYPE"])."
						LIMIT ".SecurityFilter($getListParam["PAGINATIONOFFSET"])*SecurityFilter($getListParam["PAGINATIONROWS"]).",".SecurityFilter($getListParam["PAGINATIONROWS"]);
			$rs     = exequery($this->connection,$detailSql);
			while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				//拼接flow_run_prcs里的一些字段
				$frpDetailSql = "
								SELECT RUN_ID,DELIVER_TIME,SAVEFORM_TIME,PRCS_FLAG,LIMIT_DATE,IS_REMIND,BY_AGENT_ID,FLOW_AGENCY_ID,SUB_FLOW_RUN_IDS,FORWARD_USER_ID,LAST_VISITED_TIME,MONITOR_SUBMIT,PRCS_ID,OP_FLAG,USER_ID
								FROM flow_run_prcs
								WHERE RUN_ID = '".SecurityFilter($detailRow["RUN_ID"])."'
								-- AND USER_ID = '".SecurityFilter($detailRow["USER_ID"])."'
								-- AND PRCS_ID = '".SecurityFilter($detailRow["PRCS_ID"])."'
								ORDER BY BY_AGENT_ID ASC
								";
				$frpRs     = exequery($this->connection,$frpDetailSql);
				while($frpDetail = mysql_fetch_array($frpRs,MYSQL_ASSOC))
				{
					if($detailRow["USER_ID"] == $frpDetail["USER_ID"]) {
						if($detailRow["PRCS_ID"] == $frpDetail["PRCS_ID"]) {
							//用户、步骤都匹配的，拼接流程步骤的其他信息
							$detailRow = array_merge($detailRow,$frpDetail);
						}
					}
					//将所有步骤信息一起返回
					$detailRow["ALL_STEP"][] = $frpDetail;
				}
				$returnArray["list"][] = $detailRow;
			}
			return $returnArray;
		}
	}
	//获取已办事宜列表
	function getFinishedList($getListParam) {
		//默认获取数量和明细，传count，只返回数量
		$getListType = $getListParam["GETLISTTYPE"];
		//查数量
		$countSql = "
						SELECT count(frs.RUN_ID) CNT
						FROM flow_run_step frs
						LEFT JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						WHERE 1
						".$getListParam["CUSTOMPARAM"];
		$cntRs    = exequery($this->connection,$countSql);
		if($cntRow = mysql_fetch_array($cntRs))
			$totalCount = $cntRow["CNT"];
		$returnArray["totalCount"] =  $totalCount;
		if($getListType == "count")
			return $returnArray;
		else {
			//对分页的特殊处理
			while($getListParam["PAGINATIONOFFSET"]*$getListParam["PAGINATIONROWS"] >=$totalCount &&$getListParam["PAGINATIONOFFSET"])
				$getListParam["PAGINATIONOFFSET"] = $getListParam["PAGINATIONOFFSET"]- 1;
			//查明细
			$sortField = $getListParam["SORTFIELD"];
			if($sortField == "fr.TRANSACT_TIME") {
				$sortField = "frs.TRANSACT_TIME";
			}
			$detailSql = "
						SELECT frs.*,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME
						FROM flow_run_step frs
						LEFT JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
						WHERE 1
						".$getListParam["CUSTOMPARAM"]."
						ORDER BY ".SecurityFilter($sortField)." ".SecurityFilter($getListParam["SORTTYPE"])."
						LIMIT ".SecurityFilter($getListParam["PAGINATIONOFFSET"])*SecurityFilter($getListParam["PAGINATIONROWS"]).",".SecurityFilter($getListParam["PAGINATIONROWS"]);
			$rs     = exequery($this->connection,$detailSql);
			while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				//查每条流程的所有步骤信息
				$frpDetailSql = "
								SELECT *
								FROM flow_run_prcs
								WHERE RUN_ID = '".$detailRow["RUN_ID"]."' ORDER BY BY_AGENT_ID ASC";
				$frpRs     = exequery($this->connection,$frpDetailSql);
				while($frpDetail = mysql_fetch_array($frpRs,MYSQL_ASSOC))
				{
					if($detailRow["USER_ID"] == $frpDetail["USER_ID"]) {
						if($detailRow["PRCS_ID"] == $frpDetail["PRCS_ID"]) {
							//用户、步骤都匹配的，拼接流程步骤的其他信息
							$detailRow = array_merge($detailRow,$frpDetail);
						}
					}
					//将所有步骤信息一起返回
					$detailRow["ALL_STEP"][] = $frpDetail;
				}
				$returnArray["list"][] = $detailRow;
			}
			return $returnArray;
		}
	}
	//获取办结事宜列表
	function getPassedList($getListParam) {
		//默认获取数量和明细，传count，只返回数量
		$getListType = $getListParam["GETLISTTYPE"];
		//查数量
		$countSql = "
						SELECT count(frs.RUN_ID) CNT
						FROM flow_run_step frs
						LEFT JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						WHERE 1
						".$getListParam["CUSTOMPARAM"];
		$cntRs    = exequery($this->connection,$countSql);
		if($cntRow = mysql_fetch_array($cntRs))
			$totalCount = $cntRow["CNT"];
		$returnArray["totalCount"] =  $totalCount;
		if($getListType == "count")
			return $returnArray;
		else {
			//对分页的特殊处理
			while($getListParam["PAGINATIONOFFSET"]*$getListParam["PAGINATIONROWS"] >=$totalCount &&$getListParam["PAGINATIONOFFSET"])
				$getListParam["PAGINATIONOFFSET"] = $getListParam["PAGINATIONOFFSET"]- 1;
			//查明细
			$sortField = $getListParam["SORTFIELD"];
			if($sortField == "fr.TRANSACT_TIME") {
				$sortField = "frs.TRANSACT_TIME";
			}
			$detailSql = "
						SELECT frs.*,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME
						FROM flow_run_step frs
						LEFT JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = frs.FLOW_PRCS)
						WHERE 1
						".$getListParam["CUSTOMPARAM"]."
						ORDER BY ".SecurityFilter($sortField)." ".SecurityFilter($getListParam["SORTTYPE"])."
						LIMIT ".SecurityFilter($getListParam["PAGINATIONOFFSET"])*SecurityFilter($getListParam["PAGINATIONROWS"]).",".SecurityFilter($getListParam["PAGINATIONROWS"]);
			$rs     = exequery($this->connection,$detailSql);
			while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				//拼接flow_run_prcs里的一些字段
				$frpDetailSql = "
								SELECT *
								FROM flow_run_prcs
								WHERE RUN_ID = '".SecurityFilter($detailRow["RUN_ID"])."' AND USER_ID = '".SecurityFilter($detailRow["USER_ID"])."' AND PRCS_ID = '".SecurityFilter($detailRow["PRCS_ID"])."'";
				$frpRs     = exequery($this->connection,$frpDetailSql);
				if($frpDetail = mysql_fetch_array($frpRs,MYSQL_ASSOC))
				{
					$detailRow = array_merge($detailRow,$frpDetail);
				}
				$returnArray["list"][] = $detailRow;
			}
			return $returnArray;
		}
	}
	//获取我的请求列表
	function getMyRequestList($getListParam) {
		//默认获取数量和明细，传count，只返回数量
		$getListType = $getListParam["GETLISTTYPE"];
		//查数量
		$countSql = "
						SELECT count(fr.RUN_ID) CNT
						FROM flow_run fr
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						WHERE 1
						".$getListParam["CUSTOMPARAM"];
		$cntRs    = exequery($this->connection,$countSql);
		if($cntRow = mysql_fetch_array($cntRs))
			$totalCount = $cntRow["CNT"];
		$returnArray["totalCount"] =  $totalCount;
		if($getListType == "count")
			return $returnArray;
		else {
			//对分页的特殊处理
			while($getListParam["PAGINATIONOFFSET"]*$getListParam["PAGINATIONROWS"] >=$totalCount &&$getListParam["PAGINATIONOFFSET"])
				$getListParam["PAGINATIONOFFSET"] = $getListParam["PAGINATIONOFFSET"]- 1;
			//查明细
			$detailSql = "
						SELECT fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fp.PRCS_ID
						FROM flow_run fr
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
						WHERE 1
						".$getListParam["CUSTOMPARAM"]."
						ORDER BY ".SecurityFilter($getListParam["SORTFIELD"])." ".SecurityFilter($getListParam["SORTTYPE"])."
						LIMIT ".SecurityFilter($getListParam["PAGINATIONOFFSET"])*SecurityFilter($getListParam["PAGINATIONROWS"]).",".SecurityFilter($getListParam["PAGINATIONROWS"]);
			$rs     = exequery($this->connection,$detailSql);
			while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				//查每条流程的所有步骤信息
				$frpDetailSql = "
								SELECT *
								FROM flow_run_prcs
								WHERE RUN_ID = '".SecurityFilter($detailRow["RUN_ID"])."' ORDER BY BY_AGENT_ID ASC";
				$frpRs     = exequery($this->connection,$frpDetailSql);
				while($frpDetail = mysql_fetch_array($frpRs,MYSQL_ASSOC))
				{
					if($detailRow["CREATOR"] == $frpDetail["USER_ID"]) {
						//if($detailRow["PRCS_ID"] == $frpDetail["PRCS_ID"]) {
							if(!$frpDetail['PRCS_TIME'] || (!$frpDetail['SAVEFORM_TIME'] && $frpDetail['OP_FLAG'] == '0') || (!$frpDetail['DELIVER_TIME'] && $frpDetail['OP_FLAG'] == '1')){
								$frpDetail["canDeal"] = 1;
								//用户、步骤都匹配的，拼接流程步骤的其他信息
								$detailRow = array_merge($detailRow,$frpDetail);
							}
						// }
					}
					//将所有步骤信息一起返回
					$detailRow["ALL_STEP"][] = $frpDetail;
				}
				$returnArray["list"][] = $detailRow;
			}
			return $returnArray;
		}
	}
	//获取流程监控列表
	function getFlowManageList($getListParam) {
		//默认获取数量和明细，传count，只返回数量
		$getListType = $getListParam["GETLISTTYPE"];
		//查数量
		$countSql = "
						SELECT count(fr.RUN_ID) CNT
						FROM flow_run fr
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						WHERE 1
						".$getListParam["CUSTOMPARAM"];
		$cntRs    = exequery($this->connection,$countSql);
		if($cntRow = mysql_fetch_array($cntRs))
			$totalCount = $cntRow["CNT"];
		$returnArray["totalCount"] =  $totalCount;
		if($getListType == "count")
			return $returnArray;
		else {
			//查明细
			$detailSql = "
						SELECT fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fp.END_WORKFLOW
						FROM flow_run AS fr
						LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN USER AS us ON ( fr.CREATOR = us.USER_ID )
						LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
						WHERE 1
						".$getListParam["CUSTOMPARAM"]."
						ORDER BY ".SecurityFilter($getListParam["SORTFIELD"])." ".SecurityFilter($getListParam["SORTTYPE"]);
			//导出准备
			$returnArray["customParam"] = array("sql"=>$detailSql,"count"=>$totalCount);
			//分页，正常列表分页
			if($getListParam["PAGINATIONOFFSET"] !== null && $getListParam["PAGINATIONROWS"] !== null) {
				//对分页的特殊处理
				while($getListParam["PAGINATIONOFFSET"]*$getListParam["PAGINATIONROWS"] >=$totalCount &&$getListParam["PAGINATIONOFFSET"])
					$getListParam["PAGINATIONOFFSET"] = $getListParam["PAGINATIONOFFSET"]- 1;
				$detailSql .= "
								LIMIT ".SecurityFilter($getListParam["PAGINATIONOFFSET"])*SecurityFilter($getListParam["PAGINATIONROWS"]).",".SecurityFilter($getListParam["PAGINATIONROWS"]);
			} else if($getListParam["LIMIT_START"] !== null && $getListParam["LIMIT_END"] !== null) {
				//分页，导出分页
				$detailSql .= "
								LIMIT ".SecurityFilter($getListParam["LIMIT_START"]).",".SecurityFilter($getListParam["LIMIT_END"]);
			} else {
				$detailSql .= " LIMIT 0,0 ";
			}
			$rs     = exequery($this->connection,$detailSql);
			while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				//查每条流程的所有步骤信息
				$frpDetailSql = "
								SELECT *
								FROM flow_run_prcs
								WHERE RUN_ID = '".SecurityFilter($detailRow["RUN_ID"])."' ORDER BY BY_AGENT_ID ASC";
				$frpRs     = exequery($this->connection,$frpDetailSql);
				while($frpDetail = mysql_fetch_array($frpRs,MYSQL_ASSOC))
				{
					if($detailRow["MAX_PRCS_ID"] == $frpDetail["PRCS_ID"]) {
							//最大步骤匹配的，拼接流程步骤的其他信息
							$detailRow = array_merge($detailRow,$frpDetail);
					}
					//将所有步骤信息一起返回
					$detailRow["ALL_STEP"][] = $frpDetail;
				}
				$returnArray["list"][] = $detailRow;
			}
			return $returnArray;
		}
	}
	//获取流程查询列表
	function getFlowQueryList($getListParam) {
		//默认获取数量和明细，传count，只返回数量
		$getListType   = $getListParam["GETLISTTYPE"];
		$LOGIN_USER_ID = $getListParam["LOGIN_USER_ID"];
		//如果不是admin，会进行权限判断，改进后不用OR，用union
		if($LOGIN_USER_ID != "admin") {
			$unionSqlMain = "(
								SELECT fr.RUN_ID,fr.MAX_PRCS_ID,fr.TRANSACT_TIME,fr.FLOW_ID,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fp.END_WORKFLOW,fr.CREATE_TIME
								FROM flow_run AS fr
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								LEFT JOIN flow_type_manage_user ftmu ON (fr.flow_id = ftmu.flow_id)
								".$getListParam["SQLJOINPARAM"]."
								WHERE
								ftmu.user_id = '".SecurityFilter($LOGIN_USER_ID)."'
								".$getListParam["CUSTOMPARAM"]."
							) UNION (
								SELECT fr.RUN_ID,fr.MAX_PRCS_ID,fr.TRANSACT_TIME,fr.FLOW_ID,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fp.END_WORKFLOW,fr.CREATE_TIME
								FROM flow_run_step frs
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								".$getListParam["SQLJOINPARAM"]."
								WHERE frs.USER_ID='".SecurityFilter($LOGIN_USER_ID)."'
								".$getListParam["CUSTOMPARAM"]."
							) UNION (
								SELECT fr.RUN_ID,fr.MAX_PRCS_ID,fr.TRANSACT_TIME,fr.FLOW_ID,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fp.END_WORKFLOW,fr.CREATE_TIME
								FROM flow_run AS fr
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								".$getListParam["SQLJOINPARAM"]."
								WHERE fr.CREATOR = '".SecurityFilter($LOGIN_USER_ID)."'
								".$getListParam["CUSTOMPARAM"]."
							)";
			$unionSqlMainCount = "(
								SELECT fr.RUN_ID
								FROM flow_run AS fr
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								LEFT JOIN flow_type_manage_user ftmu ON (fr.flow_id = ftmu.flow_id)
								".$getListParam["SQLJOINPARAM"]."
								WHERE
								ftmu.user_id = '".SecurityFilter($LOGIN_USER_ID)."'
								".$getListParam["CUSTOMPARAM"]."
							) UNION (
								SELECT fr.RUN_ID
								FROM flow_run_step frs
								INNER JOIN flow_run AS fr ON (fr.RUN_ID = frs.RUN_ID )
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								".$getListParam["SQLJOINPARAM"]."
								WHERE frs.USER_ID='".SecurityFilter($LOGIN_USER_ID)."'
								".$getListParam["CUSTOMPARAM"]."
							) UNION (
								SELECT fr.RUN_ID
								FROM flow_run AS fr
								LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
								LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
								LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
								".$getListParam["SQLJOINPARAM"]."
								WHERE fr.CREATOR = '".SecurityFilter($LOGIN_USER_ID)."'
								".$getListParam["CUSTOMPARAM"]."
							)";
			//查数量
			$countSql = "
							SELECT count(*) CNT
							FROM (".$unionSqlMainCount.") flowCnt";
			$cntRs    = exequery($this->connection,$countSql);
			if($cntRow = mysql_fetch_array($cntRs))
				$totalCount = $cntRow["CNT"];
			$returnArray["totalCount"] =  $totalCount;
			//导出的sql
			$exportSql = "
							SELECT fr.RUN_ID
							FROM (".$unionSqlMain.") fr";
			//明细的sql
			$detailSql = "
							SELECT *
							FROM (".$unionSqlMain.") fr";
		} else {
			//如果是admin
			//查数量
			$countSql = "
							SELECT count(fr.RUN_ID) CNT
							FROM flow_run fr
							LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
							LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
							".$getListParam["SQLJOINPARAM"]."
							WHERE 1
							".$getListParam["CUSTOMPARAM"];
			$cntRs    = exequery($this->connection,$countSql);
			if($cntRow = mysql_fetch_array($cntRs))
				$totalCount = $cntRow["CNT"];
			$returnArray["totalCount"] =  $totalCount;
			//导出的sql
			$exportSql = "
							SELECT fr.RUN_ID
							FROM flow_run AS fr
							LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
							LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
							".$getListParam["SQLJOINPARAM"]."
							WHERE 1
							".$getListParam["CUSTOMPARAM"];
			//明细的sql
			$detailSql = "
							SELECT fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME,fp.END_WORKFLOW
							FROM flow_run AS fr
							LEFT JOIN flow_type AS ft ON (fr.FLOW_ID = ft.FLOW_ID )
							LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
							LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
							".$getListParam["SQLJOINPARAM"]."
							WHERE 1
							".$getListParam["CUSTOMPARAM"];
		}
		if($getListType == "count")
			return $returnArray;
		else {
			//对分页的特殊处理
			while($getListParam["PAGINATIONOFFSET"]*$getListParam["PAGINATIONROWS"] >=$totalCount &&$getListParam["PAGINATIONOFFSET"])
				$getListParam["PAGINATIONOFFSET"] = $getListParam["PAGINATIONOFFSET"]- 1;
			//根据标识，查导出的ID串
			if($getListParam["GETEXPORTRUNID"])
			{
				$exportRunId = array();
				$exportSql .=" ORDER BY ".SecurityFilter($getListParam["SORTFIELD"])." ".SecurityFilter($getListParam["SORTTYPE"]);
				$exportCount = 0;
				$exportRs  = exequery($this->connection,$exportSql);
				while($exportRow = mysql_fetch_array($exportRs,MYSQL_ASSOC))
				{
					$exportRunId[]= $exportRow["RUN_ID"];
				}
				//处理一下
				$exportRunIdArr = array();
				for($i=0;$i<ceil($totalCount/2000);$i++)
				{
					$exportRunIdArr[] = array_slice($exportRunId,$i*2000,2000);
				}
			}
			//查明细
			$detailSql .="
							ORDER BY ".SecurityFilter($getListParam["SORTFIELD"])." ".SecurityFilter($getListParam["SORTTYPE"])."
							LIMIT ".SecurityFilter($getListParam["PAGINATIONOFFSET"])*SecurityFilter($getListParam["PAGINATIONROWS"]).",".SecurityFilter($getListParam["PAGINATIONROWS"]);
			$detailCount = 0;
			$rs     = exequery($this->connection,$detailSql);
			while($detailRow = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				//查每条流程的所有步骤信息
				if($detailRow["FLOW_TYPE"] == "1") {
					$frpDetailSql = "
									SELECT fr.RUN_NAME,fr.RUN_SEQ,fr.CREATE_TIME,fr.CREATOR,fr.CURRENT_STEP,fr.INSTANCY_TYPE,frp.*,fp.PRCS_NAME
									FROM flow_run_prcs frp
									LEFT JOIN flow_process AS fp ON fp.PRCS_ID = frp.FLOW_PRCS
									LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
									WHERE frp.RUN_ID = '".SecurityFilter($detailRow["RUN_ID"])."'
									AND fp.FLOW_ID = '".SecurityFilter($detailRow["FLOW_ID"])."'
									ORDER BY frp.BY_AGENT_ID ASC
									";
				} else {
					$frpDetailSql = "
									SELECT fr.RUN_NAME,fr.RUN_SEQ,fr.CREATE_TIME,fr.CREATOR,fr.CURRENT_STEP,fr.INSTANCY_TYPE,frp.*
									FROM flow_run_prcs frp
									LEFT JOIN flow_run fr ON fr.RUN_ID = frp.RUN_ID
									WHERE frp.RUN_ID = '".SecurityFilter($detailRow["RUN_ID"])."' ORDER BY BY_AGENT_ID ASC";
				}
				$frpRs     = exequery($this->connection,$frpDetailSql);
				$flowRunInfoJointFlag = false;
				while($frpDetail = mysql_fetch_array($frpRs,MYSQL_ASSOC))
				{
					if($detailRow["MAX_PRCS_ID"] == $frpDetail["PRCS_ID"]) {
							//最大步骤匹配的，拼接流程步骤的其他信息
							$detailRow = array_merge($detailRow,$frpDetail);
					}
					//将所有步骤信息一起返回
					$detailRow["ALL_STEP"][] = $frpDetail;
					if(!$flowRunInfoJointFlag) {
						$flowRunInfoJointFlag       = true;
						$detailRow["RUN_NAME"]      = $frpDetail["RUN_NAME"];
						$detailRow["RUN_SEQ"]       = $frpDetail["RUN_SEQ"];
						$detailRow["CREATE_TIME"]   = $frpDetail["CREATE_TIME"];
						$detailRow["CREATOR"]       = $frpDetail["CREATOR"];
						$detailRow["CURRENT_STEP"]  = $frpDetail["CURRENT_STEP"];
						$detailRow["INSTANCY_TYPE"] = $frpDetail["INSTANCY_TYPE"];
					}
				}
				//导出字符串相关
				if($detailCount == 0)
				{
					$detailRow["exportRunId"] = $exportRunIdArr;
					$detailRow["exportCount"] = $totalCount;
				}
				$detailCount++;
				$returnArray["list"][] = $detailRow;
			}
			return $returnArray;
		}
	}
	/**
	*获取流程抄送列表（逻辑层）
	*@access public
	*@param  array  $getListParam  取列表所需要的所有参数
	*@return array  $returnArray   流程抄送列表数据
	*/
	function getFlowCopyList($getListParam) {
		//数组记录需要连接的表
		$joinTableName = array("fr"=>"","ft"=>"","fs"=>"","us"=>"");
		$joinTableSql  = "";
		$customSql     = "";
		//固定格式的查询参数
		if($getListParam["FORMAT_SEARCH"]) {
			foreach($getListParam["FORMAT_SEARCH"] as $value) {
				if($value["RELATION"] == "like")
					$customSql .= " AND ".SecurityFilter($value["TABLE_ABBR"]).".".SecurityFilter($value["FIELD"])." ".SecurityFilter($value["RELATION"])." '%".SecurityFilter($value["VALUE"])."%' ";
				else if($value["RELATION"] == "other")
					$customSql .= " AND ".SecurityFilter($value["VALUE"]);
				else
					$customSql .= " AND ".SecurityFilter($value["TABLE_ABBR"]).".".SecurityFilter($value["FIELD"])." ".SecurityFilter($value["RELATION"])." ".SecurityFilter($value["VALUE"])." ";
				$joinTableName[$value["TABLE_ABBR"]] = $value["TABLE"];
			}
			if(array_search("flow_sort",$joinTableName) && !array_search("flow_type",$joinTableName))
				$joinTableName["ft"] = "flow_type";
			if(array_search("user",$joinTableName) && !array_search("flow_run",$joinTableName))
				$joinTableName["fr"] = "flow_run";
			foreach($joinTableName as $tableAbbr=>$tableName) {
				if($tableName) {
					if($tableName == "flow_run")
						$joinTableSql .= " LEFT JOIN ".SecurityFilter($tableName)." ".SecurityFilter($tableAbbr)." ON fr.RUN_ID = fc.RUN_ID";
					else if($tableName == "flow_type")
						$joinTableSql .= " LEFT JOIN ".SecurityFilter($tableName)." ".SecurityFilter($tableAbbr)." ON ft.FLOW_ID = fc.FLOW_ID ";
					else if($tableName == "flow_sort")
						$joinTableSql .= " LEFT JOIN ".SecurityFilter($tableName)." ".SecurityFilter($tableAbbr)." ON ft.FLOW_SORT = fs.ID ";
					else if($tableName == "user")
						$joinTableSql .= " LEFT JOIN ".SecurityFilter($tableName)." ".SecurityFilter($tableAbbr)." ON fr.CREATOR = us.USER_ID ";
				}
			}
		}
		if (isset($getListParam["TABLE_COMMON"]["CUSTOMPARAM"]) && !empty($getListParam["TABLE_COMMON"]["CUSTOMPARAM"])) {
			$joinTableSql = str_replace("LEFT JOIN flow_type ft ON ft.FLOW_ID = fc.FLOW_ID", "", $joinTableSql);
			$joinTableSql .= " LEFT JOIN flow_type ft ON ft.FLOW_ID = fc.FLOW_ID ";
		}
		//列表其余参数
		$BY_USER_ID = $getListParam["TABLE_COMMON"]["LOGIN_USER_ID"];
		//获取数量
		$countSql = "
					SELECT count(*) CNT
					FROM flow_copy fc
					".$joinTableSql."
					WHERE fc.BY_USER_ID = '".SecurityFilter($BY_USER_ID)."'
					".$customSql;
		if (isset($getListParam["TABLE_COMMON"]["CUSTOMPARAM"]) && !empty($getListParam["TABLE_COMMON"]["CUSTOMPARAM"])) {
			$countSql .= " ".$getListParam["TABLE_COMMON"]["CUSTOMPARAM"];
		}
		$this->countSql = $countSql;
		$totalCount = $this->getFlowListCount();
		$returnArray["totalCount"] =  $totalCount;
		if($getListParam["TABLE_COMMON"]["GETLISTTYPE"] == "count")
			return $returnArray;
		else {
			//获取明细
			$detailSql = "
						SELECT fc.COPY_ID,fc.PRCS_ID,fc.COPY_USER,fc.RECEIVE_TIME,fc.COPY_TIME,fc.COPY_TYPE,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME
						FROM flow_copy fc
						LEFT JOIN flow_run AS fr ON (fr.RUN_ID = fc.RUN_ID )
						LEFT JOIN flow_type AS ft ON (fc.FLOW_ID = ft.FLOW_ID )
						LEFT JOIN flow_sort AS fs ON (ft.FLOW_SORT = fs.ID )
						LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = fc.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP)
						LEFT JOIN user us ON fr.CREATOR = us.USER_ID
						WHERE fc.BY_USER_ID = '".SecurityFilter($BY_USER_ID)."'
						".$customSql;
			if (isset($getListParam["TABLE_COMMON"]["CUSTOMPARAM"]) && !empty($getListParam["TABLE_COMMON"]["CUSTOMPARAM"])) {
				$detailSql .= " ".$getListParam["TABLE_COMMON"]["CUSTOMPARAM"];
			}
			$detailSql .= " ORDER BY ".$getListParam["TABLE_COMMON"]["SORTFIELD"]." ".$getListParam["TABLE_COMMON"]["SORTTYPE"];
			//导出准备
			$returnArray["customParam"] = array("sql"=>$detailSql,"count"=>$totalCount);
			//分页，正常列表分页
			if($getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"] !== null && $getListParam["TABLE_COMMON"]["PAGINATIONROWS"] !== null) {
				//对分页的特殊处理
				while($getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"]*$getListParam["TABLE_COMMON"]["PAGINATIONROWS"] >=$totalCount &&$getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"])
					$getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"] = $getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"]- 1;
				$detailSql .= "
								LIMIT ".SecurityFilter($getListParam["TABLE_COMMON"]["PAGINATIONOFFSET"])*SecurityFilter($getListParam["TABLE_COMMON"]["PAGINATIONROWS"]).",".SecurityFilter($getListParam["TABLE_COMMON"]["PAGINATIONROWS"]);
			} else if($getListParam["TABLE_COMMON"]["LIMIT_START"] !== null && $getListParam["TABLE_COMMON"]["LIMIT_END"] !== null) {
				//分页，导出分页
				$detailSql .= "
								LIMIT ".SecurityFilter($getListParam["TABLE_COMMON"]["LIMIT_START"]).",".SecurityFilter($getListParam["TABLE_COMMON"]["LIMIT_END"]);

			} else {
				$detailSql .= " LIMIT 0,0 ";
			}
			$this->detailSql = $detailSql;
			$list = $this->getFlowListDetail();
			$returnArray["list"] = $list;
			return $returnArray;
		}
	}
	/**
	*获取流程列表数量
	*@access public
	*@return str  $count   流程列表数量
	*/
	function getFlowListCount() {
		$result = exequery($this->connection,$this->countSql);
		if($row = mysql_fetch_array($result))
			$count = $row["CNT"];
		return $count;
	}
	/**
	*获取流程列表明细
	*@access public
	*@return array  $returnArray   流程列表明细
	*/
	function getFlowListDetail() {
		$result = exequery($this->connection,$this->detailSql);
		while($row = mysql_fetch_array($result,MYSQL_ASSOC))
		{
			$returnList[] = $row;
		}
		return $returnList;
	}
}
?>
