<?php
/**
 * @copyright  (C) 2014 - 2015 Weaver Co.Ltd
 * @package    eoffice9.0
 * @name       api/IncomeExpend.class.php
 * @function   收支管理类
 * @author     lizhijun
 * @date       2015-3-27
 */
class workwechat {

    /**
     * 获取方案类型列表
     * @return type
     */
    public function wechatData(){
        $query  = 'SELECT * FROM work_wechat';
        $lists = $this->_getSqlRow($query);
        return $lists;
    }

    public function saveWechat($data){
        global $connection;
        $query = 'TRUNCATE TABLE work_wechat';
        exequery($connection, $query);
        $lists = $this->_executeInsert($data,"work_wechat",'');
        return $lists;
    }

    public function saveApp($data){
        $lists = $this->_executeInsert($data,"work_wechat_app",'');
        return $lists;
    }

    public function tranferAgent($sourceID){
        $query = "SELECT * FROM work_wechat_app where menu_id = ".SecurityFilter($sourceID);
        $list = $this->_getSqlRow($query);
        if (!empty($list)) {
           return $list['agentid'];
        }else{
            return "";
        }
    }
    public function getFlow(){
        $sql = "select FLOW_PRCS,PRCS_ID from flow_run_prcs where RUN_ID=".SecurityFilter($runID)." and USER_ID='".SecurityFilter($uid)."' order by PRCS_ID desc limit 1";
        return  $this->_getSqlRow($sql);
    }

    public function wechatApp($data){

        $query  = 'SELECT * FROM work_wechat_app';
        if (!empty($data['perPage'])) {
            $limitOffset = $data['offset'] * $data['perPage'];

            $query.= " LIMIT " . SecurityFilter($limitOffset) . "," . SecurityFilter($data['perPage']);
        }
        $lists = $this->_getSqlRows($query);
        $countsql = 'SELECT COUNT(*) as count FROM work_wechat_app';
        $count = $this->_getSqlRow($countsql);
        return array('totalCount' => $count['count'], 'list' => $lists);
    }

    public function getAppById($id){
        $query  = 'SELECT * FROM work_wechat_app WHERE agentid ='.SecurityFilter($id);
        $list = $this->_getSqlRow($query);
        return $list;
    }

    public function updateApp($data,$condition){
        $lists = $this->_executeUpdate($data,"work_wechat_app",$condition);
        return $lists;
    }

     function checkUserInfo($where){
     global $connection;
     $sql = " SELECT USER_ID  FROM user WHERE ".$where;
     $result = exequery($connection, $sql);
     $row = mysql_fetch_assoc($result);
        if ($row) {
                return $row;
        }
        return false;

    }
    function deleteApp($id){
        global $connection;
        $sql = "DELETE FROM work_wechat_app WHERE agentid =".SecurityFilter($id);
        exequery($connection,$sql);
        return "true";
    }

    public function saveWechatUser($data){
        $lists = $this->_executeInsert($data,"work_wechat_user",'');
        return $lists;
    }
    public function truncateWechatUser(){
        global $connection;
        $sql = "Truncate Table work_wechat_user";
        exequery($connection,$sql);
        return "true";

    }
    public function getWorkWechatUserIdById($userId){
        $sql = " SELECT *  FROM work_wechat_user WHERE oa_id = '".SecurityFilter($userId)."'";
        $lists = $this->_getSqlRow($sql);
        return $lists;

    }

     public function getUser(){
        global $connection;
        $query = " select  user.USER_NAME as user_name , user.USER_ID as user_id , user.SEX as sex , user.BP_NO as bp_no ,  user.MOBIL_NO as mobile_no,
         user.EMAIL as email, user.DEPT_ID as dept_id, user.USER_PRIV as user_priv ,department.DEPT_NAME as dept_name,user_priv.PRIV_NAME as priv_name ,
        department.DEPT_PARENT as dept_parent , department.SORT_LEVEL_ID as sort_level from user  inner join user_priv on user_priv.USER_PRIV = user.USER_PRIV
        inner join department on department.DEPT_ID = user.DEPT_ID and user.USER_ACCOUNTS !='' and (user.BP_NO != '' or user.MOBIL_NO != '' or user.EMAIL != '')";
        $lists = $this->_getSqlRows($query);
        return $lists;
    }

    public function getRootID(){
        $sql = 'select DEPT_PARENT from department order by DEPT_NO ASC ,DEPT_PARENT ASC';
        $lists = $this->_getSqlRows($sql);
        return $lists;
    }

    public function getChild($pid){
         $sql = "select DEPT_ID, DEPT_NAME, DEPT_PARENT from department where DEPT_PARENT = " . SecurityFilter($pid) . " order by DEPT_NO DESC,DEPT_PARENT DESC,DEPT_ID DESC";
         $lists = $this->_getSqlRows($sql);
        return $lists;
    }
    public function getDepartment(){
        $sql = "SELECT DEPT_ID,DEPT_NAME,DEPT_PARENT FROM department ORDER BY DEPT_NO DESC";
        $lists = $this->_getSqlRows($sql);
        return $lists;
    }


    /**
     * 根据sql语句获取多行数据
     * @global type $connection
     * @param type $query
     * @return boolean|array
     */
    private function _getSqlRows($query=''){
        global $connection;
        if($query == ''){
            return false;
        }
        $result = exequery($connection,$query);
        $data = array();
        if($result){
            while ($row = mysql_fetch_array($result,MYSQL_ASSOC)){
                array_push($data, $row);
            }
            mysql_free_result($result);
            return $data;
        }
        return false;
    }
    /**
     * 根据sql语句获取一行数据
     * @global type $connection
     * @param type $query
     * @return boolean
     */
    private function _getSqlRow($query = ''){
        global $connection;
        if($query == ''){
            return false;
        }
        $result = exequery($connection,$query);
        if($result){
            $row = mysql_fetch_array($result,MYSQL_ASSOC);
            mysql_free_result($result);
            return $row;
        }
        return false;
    }
    /**
     * 执行sql语句
     * @param type $type
     * @param type $data
     * @param type $table
     * @param type $insertId
     * @param type $condition
     * @return boolean
     */
    private function _executeQuery($type = 'INSERT',$data = array(),$table='',$insertId = true,$condition = array()){
        if($table == ''){
            return false;
        }
        switch (strtoupper($type)){
            case 'INSERT':
                if(empty($data)){
                    return false;
                }
                return $this->_executeInsert($data,$table,$insertId);
                break;
            case 'UPDATE':
                if(empty($data) || empty($condition)){
                    return false;
                }
                return $this->_executeUpdate($data,$table,$condition);
                break;
            default:
        }
    }
    /**
     * 执行插入操作
     * @global type $connection
     * @param type $data
     * @param type $table
     * @param type $insertId
     * @return boolean
     */
    private function _executeInsert($data,$table,$insertId){
        global $connection;
        $query      = "INSERT INTO `$table`(";
        $nameQuery  = '';
        $valueQuery = '';
        foreach($data as $k => $v){
            $k      = strtoupper($k);

            $nameQuery .= "`$k`,";

            $valueQuery .= "'$v',";
        }
        $nameQuery  = substr($nameQuery,0,strrpos($nameQuery, ','));
        $valueQuery = substr($valueQuery,0,strrpos($valueQuery, ','));
        $query      .= $nameQuery.') VALUES('.SecurityFilter($valueQuery).')';
        if(exequery($connection,$query)){
            if($insertId){
                return mysql_insert_id();
            }else{
                return true;
            }
        }
        return false;
    }
    /**
     * 执行更新操作
     * @global type $connection
     * @param type $data
     * @param type $table
     * @param type $condition
     * @return type
     */
    private function _executeUpdate($data,$table,$condition){
        global $connection;
        $query = "UPDATE `$table` SET ";
        foreach($data as $k => $v){
            $v = SecurityFilter($v);
            $k = SecurityFilter(strtoupper($k));

            $query .= "`$k`='$v',";
        }
        $query  = substr($query,0,strrpos($query, ','));
        $query .= ' WHERE 1=1 ';
        foreach($condition as $k => $v){
            $v = SecurityFilter($v);
            $k = SecurityFilter(strtoupper($k));
            $query .= " AND `$k` = '$v'";
        }
        return exequery($connection,$query);
    }
    /**
     * 根据具体条件搜索方案列表
     * @param type $selectName
     * @param type $condition
     * @param type $order
     * @param type $group
     * @param type $limit
     * @param type $link
     * @return boolean
     */
    private function _planListSelect($selectName,$condition,$order,$group,$limit,$link = 'AND'){
        $queryList = 'SELECT ';
        if(empty($selectName)){
            $queryList .= '*';
        }else{
            foreach ($selectName as $k => $v){
                $v = SecurityFilter($v);
                $queryList .= "$v,";
            }
            $queryList  = substr($queryList,0,strrpos($queryList, ','));
        }
        $queryList .= ' FROM payment_plan as p LEFT JOIN payment_plan_type as pt ON p.PLAN_TYPE = pt.TYPE_ID WHERE 1=1 ';

        $queryID = 'SELECT p.PLAN_ID FROM payment_plan as p WHERE 1=1 ';
        $query   = '';
        if($this->userSelect == true){
           $query .= " AND (p.CREATOR= '".SecurityFilter($this->userId)."' OR p.ALL_USER = 2 OR (FIND_IN_SET('".SecurityFilter($this->userId)."',p.USER_ID) OR FIND_IN_SET('".SecurityFilter($this->privId)."',p.ROAL_ID) OR FIND_IN_SET('".SecurityFilter($this->deptId)."',p.DEPT_ID))) ";
        }
        $link = SecurityFilter($link);
        if(!empty($condition['like'])){
            $query .= ' AND (';
            foreach ($condition['like'] as $k => $v){
                $k = SecurityFilter($k);
                $v = SecurityFilter($v);
                $query .= $k .' LIKE '. "'%$v%' $link ";
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        if(!empty($condition['eq'])){
            $query .= ' AND (';
            foreach ($condition['eq'] as $k => $v){
                $k = SecurityFilter($k);
                $v = SecurityFilter($v);
                if(is_numeric($v)){
                    $query .= $k .' = '. "$v $link ";
                }else{
                    $query .= $k .' = '. "'$v' $link ";
                }
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        if(!empty($condition['neq'])){
            $query .= ' AND (';
            foreach ($condition['neq'] as $k => $v){
                $k = SecurityFilter($k);
                $v = SecurityFilter($v);
                if(is_numeric($v)){
                    $query .= $k .' != '. "$v $link ";
                }else{
                    $query .= $k .' != '. "'$v' $link ";
                }
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        if(!empty($condition['gt'])){
            $query .= ' AND (';
            foreach ($condition['gt'] as $k => $v){
                $k = SecurityFilter($k);
                $v = SecurityFilter($v);
                if(is_numeric($v)){
                    $query .= $k .' >= '. "$v $link ";
                }else{
                    $query .= $k .' >= '. "'$v' $link ";
                }
            }
            $query  = substr($query,0,strrpos($query,$link));
            $query  .= ')';
        }
        $countQuery = $query;
        $group = SecurityFilter($group);
        $order = SecurityFilter($order);
        $limit = SecurityFilter($limit);
        if($group){
            $query .= $group;
        }
        if($order){
            if(empty($condition['like'])){
                $query .= $order;
            }
        }
        if($limit){
            $query .= $limit;
        }
        $planIds  = $this->_getSqlRows($queryID.$query);
        if($planIds){
            $inQuery = 'AND p.PLAN_ID IN (';
            foreach($planIds as $key => $value){
                $inQuery .= SecurityFilter($value['PLAN_ID']).",";
            }
            $inQuery  = substr($inQuery,0,strrpos($inQuery,','));
            $inQuery  .= ')';
            $queryList .= $inQuery;
            $lists  = $this->_getSqlRows($queryList.$order);
            if($condition['count'] == 1){
                // 这里$countQuery不需要处理，前面拼接时已过滤
                $countSql = "SELECT count(*) as count FROM payment_plan as p WHERE 1=1 ".$countQuery;
                $planRow = $this->_getSqlRow($countSql);
                $planCount = $planRow['count'];
                return array('totalCount' => $planCount,'list' => $lists);
            }else{
                return $lists;
            }
        }
        if($condition['count'] == 1){
            $countSql = "SELECT count(*) as count FROM payment_plan as p WHERE 1=1 ".$countQuery;
            $planRow = $this->_getSqlRow($countSql);
            $planCount = $planRow['count'];
            return array('totalCount' => $planCount,'list' => '');
        }else{
            return '';
        }
    }
}
