<?php
/**
*@page  动态令牌配置页面
*
*/
include_once("inc/conn.php");
include_once("building/backmgr/loginauth.php");

$sql = "SELECT * FROM sys_para WHERE 1 AND (PARA_NAME='DYNAMI_CODE' OR PARA_NAME='DYNAMI_ADDR')";
$res = exequery($connection,$sql);
while($row = mysql_fetch_array($res))
{
	if($row["PARA_NAME"] == "DYNAMI_CODE")
	{
		$DYNAMI_CODE = $row["PARA_VALUE"];
	}
	if($row["PARA_NAME"] == "DYNAMI_ADDR")
	{
		$DYNAMI_ADDR = $row["PARA_VALUE"];
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>动态令牌配置页面</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
</head>
<body>	
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip">动态令牌配置</span>
	</span>
	<button type="button" class="btn btn-primary" id="submit">保存</button>
</div>
<div style="width:100%;">
	<form name="form1" id="form1" method="POST" action="config_do.php?op=dlkey">
		<table border="0" cellspacing="0" width="90%" class="form_table" cellpadding="5">
			<tr>
			    <td class="title">动态密码登录</td>
			    <td align="left" id="usetd">
			      <select name="DYNAMI_USED" id="DYNAMI_USED">
			          <option value="0" <?if($DYNAMI_CODE == '0') {?> selected <?}?>>不使用</option>
			          <option value="1" <?if($DYNAMI_CODE == '1') {?> selected <?}?>>使用</option>
			      </select>
			    </td>  
			 </tr>	
	  		<div id="addrshow"  style="display:<?=$displaystr?>;">
	  			<tr style="height:0px;">
		  			<td class="title">服务器地址</td>
		  			<td>
		  				<input type="text" name="DYNAMI_ADDR" id="DYNAMI_ADDR" value="<?=$DYNAMI_ADDR?>" size="30">
		  				<span>,请正确配置好服务器地址格式,如:127.0.0.1:8080</span>
		  			</td>
	  			</tr>
	  		</div>
		</table>
	</form>
</div>
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript">
	$(function() {
		$.pnotify.defaults.styling = "bootstrap3";
		$.pnotify.defaults.sticker = false;
		$.pnotify.defaults.history = false;
		$.pnotify.defaults.delay   = 2000;

		$("#DYNAMI_USED").selectpicker({
			width:200,
			dataSource:[{key:"unuse",title:"不使用"},{key:"use",title:"使用"}]
		});

		$("#DYNAMI_USED").change(function() {
			var dynamiUsed = $('#DYNAMI_USED').val();
			dynamiUsed == '1'?$('#DYNAMI_ADDR').removeAttr('readonly'):$('#DYNAMI_ADDR').val('').attr('readonly','readonly');
		});

		if("<?=$DYNAMI_CODE?>" == 1)
		{
			$("#addrshow").css("display","block");
		}
		else
		{
			$("#addrshow").css("display","none");
		}

		//提交表单
		$('#submit').click(function() {
			var dynamiUsed = $('#DYNAMI_USED').val();
			var dynamiAddr = $.trim($('#DYNAMI_ADDR').val());
			if(dynamiUsed == '1' && dynamiAddr == '')
			{
				$.pnotify({
					text:'服务器地址不能为空',
					type:'error'
				});
				return false;
			}
			$('#form1').ajaxSubmit({
				success:function(resp)
				{
					if(resp)
					{
						$.pnotify({
							text:'保存成功',
							type:'success'
						});
					}
				}
			});
		});		

		//服务器地址检查
		$('#DYNAMI_ADDR').click(function() {
			var dynamiUsed = $('#DYNAMI_USED').val();
			if(dynamiUsed == '1')
			{
				$('#DYNAMI_ADDR').removeAttr('readonly');
			}
			else
			{
				$('#DYNAMI_ADDR').attr('readonly','readonly')
				$.pnotify({
					text:'动态密码登录未使用',
					type:'error'
				});
			}
		});

		$('#DYNAMI_USED').val() == '1'?$('#DYNAMI_ADDR').removeAttr('readonly'):$('#DYNAMI_ADDR').attr('readonly','readonly');
		
	});
</script>
