<?php
include_once 'inc/conn.php';

$reimbursementUserID = SecurityFilter($_REQUEST['LOGIN_USER_ID']);
//$reimbursementUserID='admin';
// file_
// print_r($_REQUEST);

$op = $_REQUEST['op'];

switch ($op) {

        //获取预警方式


    case 'getAlertMethod':
        $alertMethod = getAlertMethod($reimbursementUserID);
        switch ($alertMethod) {
            case 'year':
                $alertMethodStr = '年';
                break;

            case 'quarter':
                $alertMethodStr = '季度';
                break;

            case 'week':
                $alertMethodStr = '周';
                break;
        }
        echo json_encode(array(
            $alertMethodStr
        ));
        break;

        //获取预警值


    case 'getAlertValue':
        $query = "SELECT ALERT_VALUE FROM charge_setting
                    WHERE USER_ID = '" . $reimbursementUserID . "'";
        $result = exequery($connection, $query);
        if ($row = mysql_fetch_assoc($result)) {
            $alertValue = $row['ALERT_VALUE'];
        }
        echo json_encode(array(
            $alertValue
        ));
        break;

        //获取已报销金额


    case 'getChargeTotal':

        //获取预警方式
        $alertMethod = getAlertMethod($reimbursementUserID);
        switch ($alertMethod) {
            case 'year':

                //获取本年的报销总额
                $query = 'SELECT SUM(CHARGE_COST) AS TOTAL FROM `charge_list`
                            WHERE YEAR(PAYMENT_DATE) = YEAR(NOW())
                            AND USER_ID = "' . $reimbursementUserID . '"';
                break;

                //获取本年的报销总额


            case 'quarter':

                $query = "SELECT SUM(CHARGE_COST) AS TOTAL FROM `charge_list`
                        WHERE QUARTER(PAYMENT_DATE) = QUARTER(NOW());";
                break;

                //获取本周的报销总额


            case 'week':
                $query = "SELECT SUM(CHARGE_COST) AS TOTAL FROM  `charge_list`
                            WHERE YEARWEEK(DATE_FORMAT(PAYMENT_DATE,'%Y-%m-%d')) = YEARWEEK(NOW())";
                break;

            default:
        }
        $total = 0;
        $result = exequery($connection, $query);
        if ($row = mysql_fetch_assoc($result)) {
            $total = $row['TOTAL'];
        }

        echo json_encode(array(
            $total
        ));

        break;

    case 'insertCharge':
        for ($i = 1; $i <= 5; $i++) {
            $reimbursementReason = stripslashes($_REQUEST['报销事由' . $i]);
            $reimbursementAmount = str_replace(',', '', $_REQUEST['报销金额' . $i]);
            $reimbursementDate = $_REQUEST['报销日期' . $i];
            $reimbursementType = stripslashes($_REQUEST['报销科目' . $i."2"]);

            if ($reimbursementReason && $reimbursementAmount && $reimbursementDate) {
                $query = "INSERT INTO charge_list (USER_ID,
                                            CHARGE_TYPE_ID,
                                            CHARGE_COST,
                                            REASON,
                                            PAYMENT_DATE,
                                            CREATE_DATE)
                                  VALUES ('" . $reimbursementUserID . "',
                                          '" . getTypeIDByValue(SecurityFilter($reimbursementType)) . "',
                                          '" . SecurityFilter($reimbursementAmount) . "',
                                          '" . SecurityFilter($reimbursementReason) . "',
                                          '" . SecurityFilter($reimbursementDate) . "',
                                            NOW())";
                exequery($connection, $query);
            }
        }
        break;

    default:

        break;
}

function getTypeIDByValue($reimbursementType) {
    global $connection;

    $query = "SELECT CHARGE_TYPE_ID FROM charge_type
                WHERE CHARGE_TYPE_NAME = '" . $reimbursementType . "'";
    $result = exequery($connection, $query);
    if ($row = mysql_fetch_assoc($result)) {
        return $row['CHARGE_TYPE_ID'];
    } else {
        return "";
    }
}

/**
 * 获取用户预警方式
 * @param  [type] $userID [description]
 * @return [type]         [description]
 */
function getAlertMethod($userID) {
    global $connection;
    $query = "SELECT ALERT_METHOD FROM charge_setting
                WHERE USER_ID = '" . $userID . "'";
    $result = exequery($connection, $query);
    if ($row = mysql_fetch_assoc($result)) {
        $alertMethod = $row['ALERT_METHOD'];
    }
    return $alertMethod;
}
?>