<?php
include_once 'inc/conn.php';
$baseData = array(
    "plan" => array(
        "title" => "方案管理",
        "list" => array(
            array(
                "title"=> "关联方案",
                "url"=> "/building/income_expend/plan_name.php"
            ),
            array(
                "title"=> "方案ID",
                "url"=> "/building/income_expend/plan_id.php"
            ),
            array(
               "title"=> "支出预算",
                "url"=> "/building/income_expend/expense_budget.php"
            ),
             array(
               "title"=> "收入预算",
                "url"=> "/building/income_expend/revenue_budget.php"
            ),
             array(
                "title"=> "已支出",
                "url"=> "/building/income_expend/real_expense.php"
            ),
             array(
                "title"=> "已收入",
                "url"=> "/building/income_expend/real_revenue.php"
            ),
            array(
                 "title"=> "支出超额预警",
                "url"=> "/building/income_expend/over_alert.php"
            ),
        ),
    ),
    "charge" =>array(
        "title" => " 费用管理",
        "list" => array(
            array(
                "title"=> "部门费用预警方式",
                "url"=> "/building/charge/charge.php?op=getAlertMethodDept"
            ),
            array(
               "title"=> "部门费用预警值",
                "url"=> "/building/charge/charge.php?op=getAlertValueDept"
            ),
            array(
               "title"=> "个人费用预警方式",
                "url"=> "/building/charge/getAlertMethod.php"
            ),
            array(
                "title"=> "个人费用预警值",
                "url"=> "/building/charge/charge.php?op=getAlertValue"
            ),
            array(
                "title"=> "部门已报销总额",
                "url"=> "/building/charge/charge.php?op=getChargeTotal"
            ),
            array(
                 "title"=> "个人已报销总额",
                "url"=> "/building/charge/charge.php?op=getChargeUserTotal"
            ),
            array(
                "title"=> "部门科目预警值总额",
                "url"=> "/building/charge/charge.php?op=deptSubjectTotal"
            ),
            array(
              "title"=> "部门科目剩余报销总额",
                "url"=> "/building/charge/charge.php?op=deptSubjectRemain"
            ),
            array(
                "title"=> "个人科目预警值总额",
                "url"=> "/building/charge/charge.php?op=userSubjectTotal"
            ),
             array(
                "title"=> "个人科目剩余报销总额",
                "url"=> "/building/charge/charge.php?op=userSubjectRemain"
            ),
             array(
                "title"=> "部门费用一级科目列表",
                "url"=> "/building/charge/charge.php?op=getTopChargeTypeListByDeptId"
            ),
             array(
                "title"=> "个人费用一级科目列表",
                "url"=> "/building/charge/charge.php?op=getTopChargeTypeListByUserId"
            ),
             array(
                "title"=> "费用二级科目列表",
                "url"=> "/building/charge/charge.php?op=getChildChargeTypeList"
            )
        ),
    ),
    
    'project' => array(
            "title" => " 项目管理",
            "list" => array(
                array(
                    "title"=> "我的项目",
                    "url"=> "/building/project/my-project.php"
                 ),
                array(
                    "title"=> "我的【未结束】项目",
                    "url"=> "/building/project/project-schedule.php?status=0"
                 ),
                array(
                    "title"=> "我的【已结束】项目",
                    "url"=> "/building/project/project-schedule.php?status=1"
                 ),
                array(
                    "title"=> "项目团队",
                    "url"=> "/building/project/project-team.php"
                 ),
            ),
    ),
);

//获取当前的项目角色
$projectRole =array();
$roleSql = "select * from project_priv ";  
$cursor = exequery($connection, $roleSql);
while ($row = mysql_fetch_assoc($cursor)) {
   $privId = $row["PRIV_ID"];
   $projectRole["title"]  = "项目角色【".$row["PRIV_NAME"]."】的成员";
   $projectRole["url"]  = "/building/project/project-priv-team.php?priv_id=".$privId;
   array_push($baseData["project"]["list"],$projectRole);
}
 
 
echo json_encode($baseData);
 