<?
/*
*@filename:
*@package          eoffice building
*@function:        Default chinese language file.
*@encoding:        utf-8
*@author:          www.weaver.com.cn
*@date:            2012-03-21
*@version:         1
*/
if(!defined('LOGONIN_ADMIN')) {
	exit('Access Denied');
}
$configdir  = ROOT_PATH.DIRECTORY_SEPARATOR."building".DIRECTORY_SEPARATOR."config";
$configfile = $configdir.DIRECTORY_SEPARATOR.$_R['actcg']."_config.ini";
$ini_array  = @parse_ini_file($configfile);

if($ini_array['state'] == 1) {
	$checked = "checked";
} else {
	$checked = "";
}

if($ini_array['sms'] == 1) {
	$sms_rtx = "checked";
} else {
	$sms_rtx = "";
}

if($ini_array['offline_sms'] == 1) {
	$offline_sms = "checked";
} else {
	$offline_sms = "";
}

if($ini_array['any_sms'] == 1) {
	$any_sms = "checked";
} else {
	$any_sms = "";
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<title>RTX配置中心</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta content="Comsenz Inc." name="Copyright" />
<link rel="stylesheet" href="./sources/css/style_admin.css" type="text/css" media="all" />
<link rel="stylesheet" type="text/css" href="/building/sources/button/btn.css" />
<script type="text/javascript" src="/building/button/btn.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript">

	function SaveData() {

		var state_val;
		var sms_rtx;
		var offline_sms;
		var any_sms;
		if($("#rtx_state").attr("checked")== true) {
			state_val = 1;
		}else{
			state_val = 0;
		}
		
		if($("#sms_rtx").attr("checked")== true) {
			sms_rtx = 1;
		}else{
			sms_rtx = 0;
		}
		
		if($("#offline_sms").attr("checked")== true) {
			offline_sms = 1;
		}else{
			offline_sms = 0;
		}
		
		if($("#any_sms").attr("checked")== true) {
			any_sms = 1;
		}else{
			any_sms = 0;
		}
		
		$.ajax({
			type : "POST",
			url : "admin.php?action=im&actcg=rtx&operation=do",
			data : "do=saveconfig&rtx_ip="+$("#rtx_ip").val()+"&rtx_port="+$("#rtx_port").val()+"&rtx_login_port="+$("#rtx_login_port").val()+"&rtx_sdk_port="+$("#rtx_sdk_port").val()+"&rtx_state="+state_val+"&sms_rtx="+sms_rtx+"&rtx_time="+$("#rtx_time").val()+"&id="+$('#mh_Id').val()+"&any_sms="+any_sms+"&offline_sms="+offline_sms,
			success : function(result) {
				alert("保存成功");
			}
		});
	}

	function syncall() {
	   if(confirm("确认一键同步！")){
		$.ajax({
			type : "POST",
			url : "/building/sync/syncUsers.php",
			data: "SyncFor=all",
			success : function(result) {	
				if(result==1) {
					alert("同步成功！");
				}
			}
		});
	 }else{
	    return false;
	 }
	}

	$(document).ready(function(){
		$("#savedata,#syncall").ajaxStart(function(){
			$("#loading").css("display","inline");
			
			
		}).ajaxStop(function(){
			$("#loading").css("display","none");
		});
	});
	
	function highconfig(){
	  location.href="admin.php?action=im&actcg=rtx&operation=highconfig";
	}
	
	function checkSms(id){
	   
	   if(document.getElementById(id).checked){
		   if(confirm("请您确保有短信服务支持")){
			   document.getElementById(id).checked=true;
		   }else{
			 document.getElementById(id).checked=false;
		   }
	   }else
	   {
	   		if(confirm("确定要取消短信服务吗？")){
			 document.getElementById(id).checked=false;
			}
	   }
	}
</script>
</head>
<body  >
<div id="loading" style=" margin:0; padding:0;width:100%;  background: #ffffff; position:absolute; left:0; right:0; top:0; bottom:0; -moz-opacity:0.5; filter:alpha(opacity=80);z-index:99; height:100%;display:none;"><img src="/building/sources/images/loading.gif" /></div>
<a class="btn blue big" id="savedata" style="margin-left:10px;margin-top:5px;" href="#" onClick="SaveData()">保存配置</a>
<a class="btn blue big" id="syncall" style="margin-left:10px;margin-top:5px;" href="#" onClick="syncall()">一键同步</a>
<a class="btn blue big" id="syncall" style="margin-left:10px;margin-top:5px;" href="#" onClick="highconfig()">高级配置</a>
<br>

<table class="dataintable">
	<tr>
		<th>项</th>
		<th>值</th>
	</tr>
	<tr>
		<td width="150px">RTX服务器IP地址</td>
		<td><input name="rtx_ip" id="rtx_ip" size="20" maxlength="20" value="<?=$ini_array['ip']?>" />(不在同一台应用服务器上,需添加本机IP到RTX服务器目录下的AppConnConfig.xml、SDKProrpery.xml)</td>
	</tr>
	<tr>
		<td>RTX服务器端口</td>
		<td><input name="rtx_port" id="rtx_port" size="5" maxlength="8" value="<?=$ini_array['port']?>" />(消息提醒接口端口)</td>
	</tr>
	<tr>
		<td>RTX登录端口</td>
		<td><input name="rtx_login_port" id="rtx_login_port" size="5" maxlength="8" value="<?=$ini_array['login_port']?>"  />(单点登录端口)</td>
	</tr>
	<tr>
		<td>RTXServerSDK端口</td>
		<td><input name="rtx_sdk_port" id="rtx_sdk_port" size="5" maxlength="8" value="<?=$ini_array['sdk_port']?>"  />(用户同步数据SDK端口)</td>
	</tr>
	</tr>
	<tr>
		<td>是否启用状态感知</td>
		<td><input type="checkbox" name="rtx_state" id="rtx_state" <?=$checked?>/>(启用后在系统的用户中出现和RTX即时通讯的小图标) </td>
	</tr>
	<tr>
		<td>是否启用RTX消息提醒</td>
		<td><input type="checkbox" name="sms_rtx" id="sms_rtx" <?=$sms_rtx?>/>(启用该功能，有内部消息提醒的模块，也会收到RTX消息提醒)</td>
	</tr>
	<tr>
		<td>设置提醒消息停留时间</td>
		<td><input name="rtx_time" id="rtx_time" size="10" maxlength="10" value="<?=$ini_array['time']?>"/>秒(0秒表示一直停留)</td>
	</tr>
	<tr>
		<td>微门户ID</td>
		<td><input name="mh_Id" id="mh_Id" size="10" maxlength="10" value="<?=$ini_array['id']?>"/>(客户端展示的门户ID)</td>
	</tr>
	<tr>
		<td>是否启用发送短信</td>
		<td>
		  <input type="checkbox" onClick="checkSms('offline_sms')" name="offline_sms" id="offline_sms" <?=$offline_sms?>/> 离线
		  <input type="checkbox" onClick="checkSms('any_sms')"  name="any_sms" id="any_sms" <?=$any_sms?>/> 任何状态(OA提醒会以短信方式发送到手机。<font color="#FF0000">注：在没有安装短信插件的条件下不要启用短信，否则会导致OA中某些功能失效)</font>
		</td>
	</tr>

</table>
</body>
</html>

