<?
include_once("inc/conn.php");
include_once("building/function.php");
include_once("inc/utility_all.php");
$conn = OpenConnection();

$ini_array = read_ini_file();
if($ini_array['imtype'] == 'rtx') {
	$infoarray = read_ini_file($ini_array['imtype']);
}

try{
	$RTXSvrApi = new COM("RTXSAPIRootObj.RTXSAPIRootObj");
	$RTXSvrApi -> ServerIP	 = $infoarray['ip'];
	$RTXSvrApi -> ServerPort = $infoarray['port'];

	$UserManagerObj = $RTXSvrApi->UserManager;
	$DeptManagerObj = $RTXSvrApi->DeptManager;
} catch(Exception $e) {
	$errstr		= $e->getMessage();
	$splitstr	= explode(':', $errstr, -1);
	$errstrlast = $splitstr[count($splitstr)-1];
	echo $errstr;
	exit();
}

if($SyncFor == "department") {
	try {
		$DEPT_ID = $_REQUEST["DEPT_ID"];
		if($_REQUEST["METHOD"] == 'modify') {
			$DEPT_NAME_NEW		   = iconv("utf-8","gbk",getDeptName($DEPT_ID));
			$PARENT_DEPT_NAME_PATH = "";
			getParentDeptPath($DEPT_ID,&$PARENT_DEPT_NAME_PATH);	
			
			$PARENT_DEPT_NAME_PATH_OLD ="";
			getParentPath($_REQUEST["PARENT_DEPT_OLD"],&$PARENT_DEPT_NAME_PATH_OLD);	
			//判定老部门是否存在
			if($DeptManagerObj->IsDeptExist(iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH_OLD).$_REQUEST["DEPT_OLD"])."\\") {
				 //判定是否修改父部门
				 if($PARENT_DEPT_NAME_PATH_OLD==$PARENT_DEPT_NAME_PATH){	 
					$DeptManagerObj->SetDeptName(iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH.$_REQUEST["DEPT_OLD"]."\\"),$DEPT_NAME_NEW);
					writeLogs(iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH.$_REQUEST["DEPT_OLD"]));		
				}else
				{
					$DeptManagerObj->SetParentDept(iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH_OLD.$_REQUEST["DEPT_OLD"]),iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH));
					$DeptManagerObj->SetDeptName(iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH.$_REQUEST["DEPT_OLD"]),$DEPT_NAME_NEW);
					writeLogs(iconv("utf-8","gbk","移动部门  ".$_REQUEST["DEPT_OLD"]."  到  ".$PARENT_DEPT_NAME_PATH.$DEPT_NAME_NEW));	
				}
			}else{
				 
				$DeptManagerObj->AddDept($DEPT_NAME_NEW,iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH));
				 writeLogs(iconv("utf-8","gbk","增加部门  ".$PARENT_DEPT_NAME_PATH.$DEPT_NAME_NEW));	
			}
		 		 		
		} else if($_REQUEST["METHOD"] == 'delete') {
			$PARENT_DEPT_NAME_PATH ="";
			getParentDeptPath($DEPT_ID,&$PARENT_DEPT_NAME_PATH);
			$DeptManagerObj->DelDept(iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).iconv("utf-8","gbk",$_REQUEST["DEPT_NAME"]),false);
			writeLogs(iconv("utf-8","gbk","删除部门  ".$PARENT_DEPT_NAME_PATH).iconv("utf-8","gbk",$_REQUEST["DEPT_NAME"]));
		} else if($_REQUEST["METHOD"] == 'new') {	
			$DEPT_NAME = getDeptName($DEPT_ID);
			$PARENT_DEPT_NAME_PATH ="";
			getParentDeptPath($DEPT_ID,&$PARENT_DEPT_NAME_PATH);
			
			if(!$DeptManagerObj->IsDeptExist(iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).iconv("utf-8","gbk",$DEPT_NAME)."\\")) {
				//不存在则新增
				$DeptManagerObj->AddDept(iconv("utf-8","gbk",$DEPT_NAME) ,iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH));
				  writeLogs(iconv("utf-8","gbk","新增部门  ".$PARENT_DEPT_NAME_PATH.$DEPT_NAME));	
			}
		}
	} catch(Exception $e) {
		 
		 $errstr		= $e->getMessage();			
		 writeLogs(iconv("utf-8","gbk","部门同步错误:  ".$errstr));
		 
	}
} else if($SyncFor == "user") {
	$USER_ID			= $_REQUEST["USER_ID"];
	if($_REQUEST["METHOD"]=='modify') {		
			$USER_ACCOUNTS    = iconv("utf-8","gbk",$_REQUEST["USER_ACCOUNTS"]);
			$USER_ACCOUNT_OLD = iconv("utf-8","gbk",$_REQUEST["USER_OLD_ACCOUNTS"]);
			$USER_NAME_NEW    = iconv("utf-8","gbk",$_REQUEST["USER_NAME"]);
			$DEPT_NAME_OLD    = iconv("utf-8","gbk",getDeptName($_REQUEST["DEPT_OLD_ID"]));
			$DEPT_NAME_NEW    = iconv("utf-8","gbk",getDeptName($_REQUEST["DEPT_ID"]));
			$ADDRESS = iconv("utf-8","gbk",$_REQUEST["ADDRESS"]);
			$FAX = $_REQUEST["FAX_NO"];

			if($ADDRESS==NULL) {
				$ADDRESS = "RTX_NULL";
			}

			if($FAX==NULL) {
				$FAX = "RTX_NULL";
			}
			if($_REQUEST["USER_STATUS"] == 2) {
				$UserManagerObj->DeleteUser($USER_ACCOUNT_OLD);
				//判断用户名是否修改
				if($_REQUEST["USER_ACCOUNTS"] != $_REQUEST["USER_OLD_ACCOUNTS"]) {
					//删除用户					
					$UserManagerObj->DeleteUser($USER_ACCOUNTS);
					writeLogs(iconv("utf-8","gbk","删除用户 ").$USER_ACCOUNTS);
				}
				writeLogs(iconv("utf-8","gbk","同步离职用户 ").$USER_ACCOUNTS);
			} else {
				
				if($_REQUEST["USER_ACCOUNTS"]!=$_REQUEST["USER_OLD_ACCOUNTS"]){//帐号修改޸
				
					$UserManagerObj->DeleteUser($USER_ACCOUNT_OLD);//删除老账号
					//如果修改了用户名或者真实姓名,先删除用户,然后再新增加.	
					$UserManagerObj->AddUser($USER_ACCOUNTS,1);
					writeLogs(iconv("utf-8","gbk","同步修改账号的用户 ").$USER_ACCOUNTS);
				}
				//添加用户的基本信息
				$UserManagerObj->SetUserBasicInfo($USER_ACCOUNTS,$USER_NAME_NEW,$_REQUEST["SEX"],$_REQUEST["MOBILE_NO"],$_REQUEST["EMAIL"],$_REQUEST["TEL_NO_DEPT"],1);	
				//添加用户的详细信息
				$UserManagerObj->SetUserDetailInfo($USER_ACCOUNTS,-1,-1,-1,"RTX_NULL" ,"RTX_NULL",$FAX,$ADDRESS,"RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL",-1);
				
				
				if($_REQUEST["DEPT_OLD_ID"]!=$_REQUEST["DEPT_ID"]) {
					//改变部门
					//把用户添加到对应部门下
					$PARENT_DEPT_NAME_PATH ="";
					getParentDeptPath($_REQUEST["DEPT_ID"],&$PARENT_DEPT_NAME_PATH);
					if($_REQUEST["USER_ACCOUNTS"]!=$_REQUEST["USER_OLD_ACCOUNTS"]){//改变帐号
						$DeptManagerObj->AddUserToDept($USER_ACCOUNTS,"",iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).$DEPT_NAME_NEW,false);	
						writeLogs(iconv("utf-8","gbk","改变账号新增用户 ").$USER_ACCOUNTS.iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH."\\").$DEPT_NAME_NEW);
					}else//未改变帐号
					{
						$PARENT_DEPT_NAME_PATH_OLD ="";
						getParentDeptPath($_REQUEST["DEPT_OLD_ID"],&$PARENT_DEPT_NAME_PATH_OLD);
						writeLogs($_REQUEST["USER_STATUS"]);
						$flag = true;
						try{
							$flag = $DeptManagerObj->AddUserToDept($USER_ACCOUNTS,iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH_OLD).$DEPT_NAME_OLD,iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).$DEPT_NAME_NEW,false);
							writeLogs(iconv("utf-8","gbk","未改变账号新增用户“".$USER_ACCOUNTS."”到部门 ").iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).$DEPT_NAME_NEW);
						
						}catch(Exception $e)
						{
							$flag = false;
							//删除用户					
					        $UserManagerObj->DeleteUser($USER_ACCOUNTS);
							writeLogs(iconv("utf-8","gbk","同步离职用户“").$USER_ACCOUNTS);
							
						}
						if(!$flag){//从老部门改变到新部门
						
							$DeptManagerObj->AddUserToDept($USER_ACCOUNTS,"",iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).$DEPT_NAME_NEW,false);
							writeLogs(iconv("utf-8","gbk","移动用户“".$USER_ACCOUNTS."”到新部门".$PARENT_DEPT_NAME_PATH."\\").$DEPT_NAME_NEW);
						}
					}
				} else {
					$DeptManagerObj->AddUserToDept($USER_ACCOUNTS,"",iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).$DEPT_NAME_OLD,false);
					writeLogs(iconv("utf-8","gbk","同步未改变部门的用户“".$USER_ACCOUNTS."”到部门".$PARENT_DEPT_NAME_PATH."\\").$DEPT_NAME_NEW);
				}
			}
			//删除修改前的用户
			//$UserManagerObj->DeleteUser($USER_ACCOUNT_OLD);
	} else if($_REQUEST["METHOD"]=='delete') {	
		//从用户列表删除可以执行ִ
		$USER_NAME = iconv("utf-8","gbk",$_REQUEST["USER_ACCOUNTS"]);
		$UserManagerObj->DeleteUser($USER_NAME);
		writeLogs(iconv("utf-8","gbk","删除用户  ").$USER_NAME);
		
	} else if($_REQUEST["METHOD"] == 'new') {	
		$USER_ACCOUNTS = iconv("utf-8","gbk",$_REQUEST["USER_ACCOUNTS"]);
		$Dept_Name     = iconv("utf-8","gbk",getDeptName($_REQUEST["DEPT_ID"]));		
		$ADDRESS = iconv("utf-8","gbk",$_REQUEST["ADDRESS"]);
		$FAX = $_REQUEST["FAX_NO"];
		if($ADDRESS==NULL)
			$ADDRESS = "RTX_NULL";
		if($FAX==NULL)
			$FAX = "RTX_NULL";
		$UserManagerObj->AddUser(iconv("utf-8","gbk",$_REQUEST["USER_ACCOUNTS"]),1);
		//添加用户的基本信息
		$UserManagerObj->SetUserBasicInfo(iconv("utf-8","gbk",$_REQUEST["USER_ACCOUNTS"]),iconv("utf-8","gbk",$_REQUEST["USER_NAME"]),$_REQUEST["SEX"],$_REQUEST["MOBIL_NO"],$_REQUEST["EMAIL"],$_REQUEST["TEL_NO_DEPT"],1);
		//添加用户的详细信息
		$UserManagerObj->SetUserDetailInfo(iconv("utf-8","gbk",$_REQUEST["USER_ACCOUNTS"]),-1,-1,-1,"RTX_NULL" ,"RTX_NULL",$FAX,$ADDRESS,"RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL",-1);
		//添加用户到对应部门下
		$PARENT_DEPT_NAME_PATH ="";
		getParentDeptPath($_REQUEST["DEPT_ID"],&$PARENT_DEPT_NAME_PATH);
		$DeptManagerObj->AddUserToDept(iconv("utf-8","gbk",$_REQUEST["USER_ACCOUNTS"]),"",iconv("utf-8","gbk",$PARENT_DEPT_NAME_PATH).$Dept_Name."\\",false);
		writeLogs(iconv("utf-8","gbk","添加用户  ".$_REQUEST["USER_ACCOUNTS"]."  到部门  ".$PARENT_DEPT_NAME_PATH."\\").$Dept_Name);
	}
}else if($SyncFor == "all") {	
	$sql    = "SELECT * FROM department ORDER BY DEPT_ID";
	$cousor = exequery($conn,$sql);
	writeLogs(iconv("utf-8","gbk","   ALL同步开始 ********** "));

	while($rows = mysql_fetch_array($cousor)) {
		$DEPT_ID	 = $rows["DEPT_ID"];
		$Dept_Id     = $rows["DEPT_ID"];
		$Dept_Name   = iconv("utf-8","gbk",$rows["DEPT_NAME"]); 
		$Dept_Parent = $rows["DEPT_PARENT"];
		
		if($DEPT_ID != "") {
			$Parent_DeptName = "";
			if($Dept_Parent != 0) {
				getParentDeptPath($DEPT_ID,&$Parent_DeptName);
			}

			try {
				if(!$DeptManagerObj->IsDeptExist(iconv("utf-8","gbk",$Parent_DeptName).$Dept_Name."\\")) {					
					$DeptManagerObj->AddDept($Dept_Name,iconv("utf-8","gbk",$Parent_DeptName));
					writeLogs(iconv("utf-8","gbk","ALL新增部门  ".$Parent_DeptName."\\").$Dept_Name);
				} 
				else
				{
					writeLogs(iconv("utf-8","gbk","ALL更新部门  ".$Parent_DeptName."\\").$Dept_Name);
				} 
				
				//获取当前部门的用户
				$sql1 = "SELECT * FROM user WHERE DEPT_ID='".$DEPT_ID."' AND USER_ACCOUNTS!=''";				
				$res1 = exequery($conn,$sql1);			
				while($row1 = mysql_fetch_array($res1)) {
					if($row1["USER_ACCOUNTS"]!="") {
						try {
							//判断用户是否存在
							if(!$UserManagerObj->IsUserExist(iconv("utf-8","gbk",$row1["USER_ACCOUNTS"]))) {
								$UserManagerObj->AddUser(iconv("utf-8","gbk",$row1["USER_ACCOUNTS"]),1);
									writeLogs(iconv("utf-8","gbk","ALL新建用户  ".$row1["USER_ACCOUNTS"]."  到部门".$Parent_DeptName."\\").$Dept_Name);
							} else {
								writeLogs(iconv("utf-8","gbk","ALL更新用户".$row1["USER_ACCOUNTS"]."到部门".$Parent_DeptNames)."\\".$Dept_Name);
								//continue;
							}
							
							//设置用户基本信息
							$UserManagerObj->SetUserBasicInfo(iconv("utf-8","gbk",$row1["USER_ACCOUNTS"]),iconv("utf-8","gbk",$row1["USER_NAME"]),$row1["SEX"],$row1["MOBIL_NO"],$row1["EMAIL"],$row1["TEL_NO_DEPT"],1);	
							//设置用户详细信息
							$UserManagerObj->SetUserDetailInfo(iconv("utf-8","gbk",$row1["USER_ACCOUNTS"]),-1,-1,-1,"RTX_NULL" ,"RTX_NULL",$row1["FAX_NO_DEPT"],iconv("utf-8","gbk",$row1["ADD_HOME"]),"RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL","RTX_NULL",-1);
							//添加用户到部门
							$DeptManagerObj->AddUserToDept(iconv("utf-8","gbk",$row1["USER_ACCOUNTS"]),"",iconv("utf-8","gbk",$Parent_DeptName).$Dept_Name,false);
							 
						}
						catch (Exception $e) 
						{
							$content = "No user Sync";
							$errstr		= $e->getMessage();			
							writeLogs(iconv("utf-8","gbk","ALL 用户错误:  ".$content.$errstr));
						}
					}
				}
			}
			catch (Exception $e) 
			{
					$errstr	= $e->getMessage();			
					writeLogs(iconv("utf-8","gbk","ALL更新部门".$Parent_DeptName."\\").$Dept_Name);
			}
		} else {

		}
	}
	writeLogs(iconv("utf-8","gbk","   ALL同步结束 *******"));
} else if($SyncFor == "delete") {
	$sql		 = "SELECT * FROM department WHERE DEPT_PARENT=0 ORDER BY DEPT_ID";
	$cousor		 = exequery($conn,$sql);
	while($rows  = mysql_fetch_array($cousor)) {
		$DEPT_ID = $rows["DEPT_ID"];
		
		if($DeptManagerObj->IsDeptExist(iconv("utf-8","gbk",$rows["DEPT_NAME"]))) {
			try{
				$DeptManagerObj->DelDept(iconv("utf-8","gbk",$rows["DEPT_NAME"]),true);	
			} catch(Exception $e) {
				$errstr		= $e->getMessage();							
				echo $errstr;	
				writeLogs(iconv("utf-8","gbk","删除部门错误".$errstr));			
				exit();
			}
		}
	}
	writeLogs(iconv("utf-8","gbk","清空数据"));
	//echo 1;
}
?>


