<?php

/**
 * 客户端跳转处理
 * 注册用户的session信息
 */
session_start();
include_once ('inc/conn.php');
include_once ("api/regcheck.class.php");
include ('api/login.class.php');

//验证是过期系统
$regcheck = new regcheck();
$checkFlag = $regcheck->checkSys();

if (!$checkFlag) {
    $goto = "/inc/expired.php";
} else {
    if ($_REQUEST['goto']) {
        $decodeParam = $_REQUEST;
    } else {
        $param = $_REQUEST['sid'];
        if (!$param) {
            $goto = "client_error.php";
            ob_end_clean();
            header("location:" . $goto);
            exit;
        } else {
            $decodeParam = base64_decode($param);
            $decodeParam = json_decode($decodeParam, true);
        }
    }


//    $decodeParam = base64_decode($param);
//
//    $decodeParam = json_decode($decodeParam, true);
    //账号
    $userAccount = $decodeParam["userAccount"];

    //语言
    $langID = $decodeParam["lang"] ? $decodeParam["lang"] : "1";
    $sessionID = $decodeParam['sessionID'];
    //菜单地址
    $goto = $decodeParam["goto"] ? $decodeParam["goto"] : "/general/index8.php";

    //菜单ID
    $funcID = $decodeParam["funcID"];

    if ((!$userAccount && (!$goto || !$funcID))) {
        $goto = "client_error.php";
        header("location:" . $goto);
    }

    //获取语言
    $getLangFlagSQL = "SELECT LANG_AB FROM language 
                    WHERE LANG_ID = " . $langID;
    $getLangFlagResult = exequery($connection, $getLangFlagSQL);
    if ($getLangFlagRow = mysql_fetch_array($getLangFlagResult)) {
        $lang = $getLangFlagRow["LANG_AB"];
    } else {
        $lang = "cn";
    }

    //获取用户信息
    $getUserInforQuery = "SELECT * FROM USER 
                        WHERE USER_ACCOUNTS='" . $userAccount . "'";

    $getUserInforResult = exequery($connection, $getUserInforQuery);
    if ($getUserInforRow = mysql_fetch_assoc($getUserInforResult)) {

        //获取用户角色信息
        $userPriv = $getUserInforRow['USER_PRIV'];
        $subPriv = $getUserInforRow["USER_SUB_PRIV"];

        $loginObj = new Login();

        //获取有权限的菜单id
        $loginFuncStr = $loginObj->getFuncStr($userPriv);
        $userSubPriv = "";
        if ($subPriv) {
            $userSubPriv = $loginObj->getUserSubPriv($subPriv);
        }

        //查询用户辅助权限,并一起赋给主权限
        if (!empty($userSubPriv)) {
            $loginFuncStr = implode(",", array_filter(array_unique(explode(",", $loginFuncStr . "," . $userSubPriv))));
        }

        $theme = $getUserInforRow["THEME"] ? $getUserInforRow["THEME"] : "theme1";

        //注册session
        $_SESSION["LOGIN_USER_ID"] = $getUserInforRow["USER_ID"];
        $_SESSION["LOGIN_PASSWORD"] = $getUserInforRow["PASSWORD"];
        $_SESSION["LOGIN_POST_PRIV"] = $getUserInforRow["POST_PRIV"];
        $_SESSION["LOGIN_USER_ACCOUNTS"] = $getUserInforRow["USER_ACCOUNTS"];
        $_SESSION["LOGIN_USER_NAME"] = $getUserInforRow["USER_NAME"];
        $_SESSION["LOGIN_USER_PRIV"] = $getUserInforRow["USER_PRIV"];
        $_SESSION["LOGIN_DEPT_ID"] = $getUserInforRow["DEPT_ID"];
        $_SESSION["LOGIN_FUNC_STR"] = $loginFuncStr;
        $_SESSION["LOGIN_THEME"] = $theme;
        $_SESSION["LOGIN_LANG_ID"] = $langID;
        $_SESSION["LOGIN_LANG"] = $lang;

        //正式客户 需要读取模块授权信息
        global $IS_REGISTERED_MYOA, $IS_OFFICIAL_CLIENT;

        $machineCode = get_machine_code(1);

        if ($IS_REGISTERED_MYOA && $IS_OFFICIAL_CLIENT) {
            $verifyFile = BIN_PATH . "auth/" . md5($machineCode . "eoffice9731") . ".evf";
            if (file_exists($verifyFile)) {
                $_SESSION['MODULE_VERIFY'] = authcode(file_get_contents($verifyFile), "DECODE");
                ;
            } else {
                $_SESSION['MODULE_VERIFY'] = "error";
            }
        }

        //如果是点击的菜单，则更新菜单使用频率
        if ($funcID) {

            //正式客户 需要读取模块授权信息

            if ($_SESSION['MODULE_VERIFY'] && $funcID < 1000) {
                if ($_SESSION['MODULE_VERIFY'] == "error") {
                    $goto = "/inc/module_verify_list.php";
                } else {
                    $moduleVerify = json_decode($_SESSION['MODULE_VERIFY']);

                    $hasModulePriv = false;
                    $isOffical = true;
                    $expireDate = "";

//                        SELECT s.FUNC_ORDER,s.FUNC_ID,s.MENU_ID,m.FUNC_NAME FROM sys_function AS s   
//                                                               JOIN menu_lang AS m ON s.FUNC_ID = m.FUNC_ID  
//                                                               where m.LANG_ID = '".$_SESSION['LOGIN_LANG_ID']."' and (s.FUNC_ID IN (" . $funcIDStr . ") or s.FUNC_ISEOFFICE = 0)";
                    //由于模块控制的是顶级菜单，所以要获取顶级菜单的funcID
                    $getTopFuncIDQuery = "SELECT FUNC_ID 
                                            FROM `sys_function` 
                                            WHERE MENU_ID = (
                                                SELECT LEFT(MENU_ID,2) 
                                                FROM sys_function 
                                                WHERE FUNC_ID = $funcID)";
                    $getTopFuncIDResult = exequery($connection, $getTopFuncIDQuery);
                    if ($getTopFuncIDRow = mysql_fetch_assoc($getTopFuncIDResult)) {
                        $topFuncID = $getTopFuncIDRow['FUNC_ID'];
                    }

                    foreach ($moduleVerify as $key => $value) {
                        if ($topFuncID == $key) {
                            $hasModulePriv = true;
                            if (trim($value) != "") {
                                $isOffical = false;
                                $expireDate = trim($value);
                            }
                        }
                    }

                    if (!$hasModulePriv) {
                        $goto = "/inc/module_verify_list.php";
                    } else {
                        if (!$isOffical) {
                            if (strtotime('now') > strtotime($expireDate)) {
                                $goto = "/inc/module_verify_list.php";
                            }
                        }
                    }
                }
            }

            $updateFrequencyQuery = "UPDATE user_menu 
                    SET FREQUENCY = FREQUENCY + 1 
                    WHERE USER_ID = '" . $getUserInforRow["USER_ID"] . "' 
                    AND FUNC_ID = " . $funcID;
            exequery($connection, $updateFrequencyQuery);
        }
    } else {
        $goto = "client_error.php";
    }
}

ob_end_clean();




header("location:" . $goto);
?>