<?
/**
*解析显示的字段
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("archives");

/**
*解析字段
*@param $data   获取的字段设置表中的数据
*@param $form   提交的表单
*@return $tableStr
*/
function AnalysisField($data,$form='',$key_id='',$diff,$other='',$appid="",$popup=false) {
	global $connection,$_lang;
	if(count($data) > 0) {
		$infor = array();
		foreach($data as $key=>$value) {
			if($value["FIELD_DELETE"]=="2"){
				//系统默认字段
				switch($diff){
					case "arc_volumelibrary":
						$fieldStr = volume_defalultfield($data[$key],$key_id);
					break;
					case "arc_document":
						$fieldStr = doc_defalultfield($data[$key],$key_id);
					break;
					case "arc_file":
						$fieldStr = file_defalultfield($data[$key],$key_id);
					break;
					case "arc_read":
						$fieldStr = read_defalultfield($data[$key],$key_id);
					break;
					case "arc_appraisal":
						$fieldStr = app_defalultfield($data[$key],$appid,$other);
					break;
					case "arc_destory":
						$fieldStr = des_defalultfield($data[$key],$key_id,$other);
					break;	
				}	
			}else{
				switch($value["FIELD_TYPE"]) {
					case "1":
					//解析单行文本框
						if($value["FIELD_DEFAULT"] != 3) {
							$fieldStr = analysisText($value,$key_id);
						} else {
							$fieldStr = analysisSelects($value,$key_id,$popup);
						}
						break;
					case "2":
					//解析多行文本框
						if($value["FIELD_DEFAULT"] != 3) {
							$fieldStr = analysisTextarea($value,$key_id);
						} else {
							$fieldStr = analysisSelects($value,$key_id);
						}
						break;
					case "3":
					//解析下拉框
						$fieldStr = analysisSelect($value,$key_id);					
						break;
					case "4":
					//解析时间选择框
						$fieldStr = analysisDate($value,$form,$key_id);
						break;
				}	
			}
			switch($value["FIELD_COLUM"]){
				case "1":
					//解析一列
					$fieldtitle = "";
					if($value["FIELD_EXPLAIN"]!=""){
						$fieldtitle = " title=\"".$value["FIELD_EXPLAIN"]."\"";		
					}
					$str = "";
					$str .= "<tr>";
					$str .= "<td class=\"title\" ".$fieldtitle.">".$value["FIELD_SHOW"]."</td>";
					$str .= "<td colspan=\"3\"><table><tr><td>";
					$str .= $fieldStr."</td>";
					// if($value["FIELD_REQUIRE"]=="0"){
					// 	$str .=	"<td valign=\"bottom\">&nbsp;<img id=\"".$value["FIELD_NAME"]."_check\" name=\"".$value["FIELD_NAME"]."_check\" src=\"/theme/".$_SESSION["LOGIN_THEME"]."/images/icon/warning.gif\"></td>";
					// }
					$str .= "</tr></table></td>";
					$str .= "</tr>";
					$infor[$key]["infor"] = $str;
					$infor[$key]["order"] = $value["FIELD_ORDER"];
					$infor[$key]["colum"] = $value["FIELD_COLUM"];
					$infor[$key]["field"] = $value["FIELD_NAME"];
					$infor[$key]["require"] = $value["FIELD_REQUIRE"];
					$infor[$key]["fieldtype"] = $value["FIELD_TYPE"];
					$infor[$key]["fielddisplay"] = $value["FIELD_DISPLAY"];
				break;
				case "2":
				//解析两列
					$infor[$key]["show"] = $value["FIELD_SHOW"];
					$infor[$key]["fieldstr"] = $fieldStr;
					$infor[$key]["colum"] = $value["FIELD_COLUM"];
					$infor[$key]["order"] = $value["FIELD_ORDER"];
					$infor[$key]["field"] = $value["FIELD_NAME"];
					$infor[$key]["require"] = $value["FIELD_REQUIRE"];
					$infor[$key]["fieldtitle"] = $value["FIELD_EXPLAIN"];
					$infor[$key]["fieldtype"]  = $value["FIELD_TYPE"];
					$infor[$key]["fielddisplay"]=$value["FIELD_DISPLAY"];
				break;	
			}
		}
		return $infor;
	}
}
/**
*处理字段显示
*/
function FieldTableShow($infor) {
	
	$inforcount = count($infor);
	$tableStr = "<table width='100%' border='0' class='form_table' >";
	for($i=0;$i<$inforcount;$i++) {
		if($infor[$i]["fieldtype"] != "5") {
			if($infor[$i]["colum"]=="1") {
				//处理特殊字段不显示
				if($infor[$i]["field"]!="READ_APPLYFILE"){
					$tableStr .= $infor[$i]["infor"];	
				}
			} else if($infor[$i]["colum"]=="2") {
				//处理特殊字段不显示
				if($infor[$i]["field"]!="READ_APPLYFILE") {
						$require = "";
						// if($infor[$i]["require"]=="0"){
						// 	$require = "&nbsp;<img id=\"".$infor[$i]["field"]."_check\" name=\"".$infor[$i]["field"]."_check\" src=\"/theme/".$_SESSION["LOGIN_THEME"]."/images/icon/warning.gif\">";
						// }
						//字段说明
						$fieldtitle = "";
						if($infor[$i]["fieldtitle"]!=""){
							$fieldtitle = " title=\"".$infor[$i]["fieldtitle"]."\"";		
						}
						if($i==0){
							if($infor[$i+1]["colum"]=="2"){
								$tableStr .= "<tr>";
								$tableStr .= "<td class=\"title\" ".$fieldtitle.">".$infor[$i]["show"]."</td>";
								$tableStr .= "<td><table><tr><td>";
								$tableStr .= $infor[$i]["fieldstr"];
								$tableStr .= "</td><td valign=\"bottom\">".$require;
								$tableStr .= "</td></tr></table></td>";					
							}else{
								$tableStr .= "<tr>";
								$tableStr .= "<td class=\"title\" ".$fieldtitle.">".$infor[$i]["show"]."</td>";
								$tableStr .= "<td colspan=\"3\"><table><tr><td>";
								$tableStr .= $infor[$i]["fieldstr"];
								$tableStr .= "</td><td valign=\"bottom\">".$require;
								$tableStr .= "</td></tr></table></td>";
								$tableStr .= "</tr>";			
							}	
						} else {
							$checkcol = 0;
							for($m=$i-1;$m>=0;$m--) {
								if($infor[$m]["colum"]=="" || $infor[$m]["colum"]=="1"){
									break;	
								}else{
									$checkcol++;	
								}	
							}
							if($checkcol==0){
								if($infor[$i+1]["colum"]=="2"){
									$tableStr .= "<tr>";
									$tableStr .= "<td class=\"title\" ".$fieldtitle.">".$infor[$i]["show"]."</td>";
									$tableStr .= "<td><table><tr><td>";
									$tableStr .= $infor[$i]["fieldstr"];
									$tableStr .= "</td><td valign=\"bottom\">".$require;
									$tableStr .= "</td></tr></table></td>";		
								}else{
									$tableStr .= "<tr>";
									$tableStr .= "<td class=\"title\" ".$fieldtitle.">".$infor[$i]["show"]."</td>";
									$tableStr .= "<td colspan=\"3\"><table><tr><td>";
									$tableStr .= $infor[$i]["fieldstr"];
									$tableStr .= "</td><td valign=\"bottom\">".$require;
									$tableStr .= "</td></tr></table></td>";
									$tableStr .= "</tr>";			
								}	
							}else{
								if($checkcol%2==0) {
									$tableStr .= "<tr>";
									$tableStr .= "<td class=\"title\" ".$fieldtitle.">".$infor[$i]["show"]."</td>";
									$tableStr .= "<td><table><tr><td>";
									$tableStr .= $infor[$i]["fieldstr"];
									$tableStr .= "</td><td valign=\"bottom\">".$require;
									$tableStr .= "</td></tr></table></td>";		
								} else {
									$tableStr .= "<td class=\"title\" ".$fieldtitle.">".$infor[$i]["show"]."</td>";
									$tableStr .= "<td><table><tr><td>";
									$tableStr .= $infor[$i]["fieldstr"];
									$tableStr .= "</td><td valign=\"bottom\">".$require;
									$tableStr .= "</td></tr></table></td>";
									$tableStr .= "</tr>";	
								}		
							}	
						}
				}
			}		
		} else {
			if($infor[$i]["fielddisplay"] == 1) {
				//字段说明
				if($infor[$i]["fieldtitle"]!="") {
					$fieldtitle = " title=\"".$infor[$i]["fieldtitle"]."\"";		
				}
				$tableStr .= "<tr>";
				$tableStr .= "<td class=\"title\" ".$fieldtitle.">".$infor[$i]["show"]."</td>";
				$tableStr .= "<td width=\"35%\">";
				$tableStr .= $infor[$i]["fieldstr"];	
				$tableStr .= "</td>";
			}
		}
	}
	$tableStr .= "</table>";
	return $tableStr;	
}

/**
*获取默认值
*@param $field_default
*@param $field_default_value
*@param $field_name
*@reuturn $defaultValue
*/
function defaultValue($field_default,$field_default_value,$field_name) {
	global $_lang,$LOGIN_USER_ID,$LOGIN_USER_DEPT,$LOGIN_USER_PRIV;
	switch($field_default) {
		case "1":
			$defaultValue = $field_default_value;
			break;
		case "2":
			switch($field_default_value) {
				case "1":
					//用户名
					$defaultValue = $_SESSION["LOGIN_USER_NAME"];
					break;
				case "2":
					//部门
					$defaultValue = dept_small_name($_SESSION["LOGIN_DEPT_ID"]);
					break;
				case "3":
					//角色
					global $connection;
					$sql = "SELECT
							  PRIV_NAME
							FROM user_priv
							WHERE USER_PRIV = '".$_SESSION["LOGIN_USER_PRIV"]."'";
    				$rs  = exequery($connection,$sql);
					$row = mysql_fetch_array($rs);
					$defaultValue = $row["PRIV_NAME"];
					break;
			}
			break;		
	}
	return $defaultValue;	
}

/**
*解析单行文本框
*@param $fieldArr
*@return $returnStr
*/
function analysisText($fieldArr,$key_id='') {
	$editValue = "";
	if($fieldArr["FIELD_DEFAULT"]!=3) {
		$defaultVal  = defaultValue($fieldArr["FIELD_DEFAULT"],$fieldArr["FIELD_DEFAULT_VALUE"],$fieldArr["FIELD_NAME"]);	
	} else {
		if($fieldArr["FIELD_DEFAULT_VALUE"] != "") {
			$selectValue = defaultValue($fieldArr["FIELD_DEFAULT"],$fieldArr["FIELD_DEFAULT_VALUE"],$fieldArr["FIELD_NAME"]);
		}
	}	
	if($fieldArr["FIELD_EDIT"] == 1) {
		$readonly = "readonly=\"readonly\"";
	} else {
		$readonly = "";
	}
	$keyup = 'onkeyup="';
	$onchange = "";
	//必填
	$checkid = "";
	$checkimg = "";
	$attr_class = "";
	if($fieldArr["FIELD_REQUIRE"]=="0") {
		$keyup .= "Arc_CheckRequired('".$fieldArr["FIELD_NAME"]."','".$fieldArr["FIELD_NAME"]."_check');";
		$checkid = $fieldArr["FIELD_NAME"];
		$checkimg = $fieldArr["FIELD_NAME"]."_check";
		$attr_class = "require";
	}
	//验证
	if($fieldArr["FIELD_CHECK"]=="2"){
		$keyup .= "Arc_WordCheck(this);";	
	}else if($fieldArr["FIELD_CHECK"]=="3"){
		$keyup .= "Arc_NumberCheck(this,'".$checkid."','".$checkimg."');";	
	}else if($fieldArr["FIELD_CHECK"]=="4"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'date','".$checkid."','".$checkimg."')\"";	
	}else if($fieldArr["FIELD_CHECK"]=="5"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'time','".$checkid."','".$checkimg."')\"";
	}else if($fieldArr["FIELD_CHECK"]=="6"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'all','".$checkid."','".$checkimg."')\"";
	}
	$keyup .= '"';
	
	if($fieldArr["FIELD_TABLE"]=="arc_appraisal"){
		//档案鉴定特殊处理	
		$returnStr = "<INPUT type='text' ".$readonly." class='".$attr_class."' name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' value='".$defaultVal."' ".$keyup." ".$onchange.">".$selectValue;
	}else{
		if($key_id != "") {
			$editValue = getFieldValue($fieldArr["FIELD_TABLE"],$fieldArr["FIELD_NAME"],$key_id);
			$returnStr = "<INPUT type='text' ".$readonly." class='".$attr_class."' name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' value='".$editValue."' ".$keyup." ".$onchange.">".$selectValue;
		} else {
			$returnStr = "<INPUT type='text' ".$readonly." class='".$attr_class."' name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' value='".$defaultVal."' ".$keyup." ".$onchange.">".$selectValue;
		}	
	}
	
	return $returnStr;
}

/**
*解析多行文本框
*@param $fieldArr
*@return $returnStr
*/
function analysisTextarea($fieldArr,$key_id='') {
	$editValue = "";
	if($fieldArr["FIELD_DEFAULT"]!=3) {
		$defaultVal  = defaultValue($fieldArr["FIELD_DEFAULT"],$fieldArr["FIELD_DEFAULT_VALUE"],$fieldArr["FIELD_NAME"]);	
	} else {
		if($fieldArr["FIELD_DEFAULT_VALUE"] != "") {
			$selectValue = defaultValue($fieldArr["FIELD_DEFAULT"],$fieldArr["FIELD_DEFAULT_VALUE"],$fieldArr["FIELD_NAME"]);
		}
	}
	if($fieldArr["FIELD_EDIT"] == 1) {
		$readonly = "readonly=\"readonly\"";
	} else {
		$readonly = "";
	}
	$keyup = 'onkeyup="';
	$onchange = "";
	//必填
	$checkid = "";
	$checkimg = "";
	$attr_class = "";
	if($fieldArr["FIELD_REQUIRE"]=="0") {
		$keyup .= "Arc_CheckRequired('".$fieldArr["FIELD_NAME"]."','".$fieldArr["FIELD_NAME"]."_check');";
		$checkid = $fieldArr["FIELD_NAME"];
		$checkimg = $fieldArr["FIELD_NAME"]."_check";
		$attr_class = "require";
	}
	//验证
	if($fieldArr["FIELD_CHECK"]=="2"){
		$keyup .= "Arc_WordCheck(this);";	
	}else if($fieldArr["FIELD_CHECK"]=="3"){
		$keyup .= "Arc_NumberCheck(this,'".$checkid."','".$checkimg."');";	
	}else if($fieldArr["FIELD_CHECK"]=="4"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'date','".$checkid."','".$checkimg."')\"";	
	}else if($fieldArr["FIELD_CHECK"]=="5"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'time','".$checkid."','".$checkimg."')\"";
	}else if($fieldArr["FIELD_CHECK"]=="6"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'all','".$checkid."','".$checkimg."')\"";
	}
	$keyup .= '"';
	if($fieldArr["FIELD_TABLE"]=="arc_appraisal"){
		//档案鉴定特殊处理
		$returnStr = "<TEXTAREA ".$readonly." class='".$attr_class."' style='overflow:auto;width:470px;height:64px;' name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' ".$keyup." ".$onchange.">".$defaultVal."</TEXTAREA>".$selectValue;
	}else{
		if($key_id != "") {
			$editValue = getFieldValue($fieldArr["FIELD_TABLE"],$fieldArr["FIELD_NAME"],$key_id);
			$returnStr = "<TEXTAREA ".$readonly." class='".$attr_class."' style='overflow:auto;width:470px;height:64px;' name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' ".$keyup." ".$onchange.">".$editValue."</TEXTAREA>".$selectValue;
		} else {
			$returnStr = "<TEXTAREA ".$readonly." class='".$attr_class."' style='overflow:auto;width:470px;height:64px;' name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' ".$keyup." ".$onchange.">".$defaultVal."</TEXTAREA>".$selectValue;
		}	
	}
	
	return $returnStr;
}

/**
*解析下拉框
*@param $fieldArr
*@return $returnStr
*/
function analysisSelect($fieldArr,$key_id='') {
	$comboArr = json_decode($fieldArr["FIELD_COMBO"]);
	//是否可编辑
	if($fieldArr["FIELD_EDIT"] == 1) {
		//$readonly = "readonly=\"readonly\"";
		$disabled = "disabled=\"disabled\"";
	} else {
		//$readonly = "";
		$disabled = "";
	}
	if($key_id != "") {
		$editValue = getFieldValue($fieldArr["FIELD_TABLE"],$fieldArr["FIELD_NAME"],$key_id);
		foreach($comboArr as $key=>$value) {
			if(($key) == $editValue) {
				if (base64_decode($value->value)=="") {
					$selectStr .= "<option value='".$value->id."'>请选择</option>";
				}else{
					$selectStr .= "<option selected value='".$value->id."'>".base64_decode($value->value)."</option>";
				}
			} else {
				if (base64_decode($value->value)=="") {
					$selectStr .= "<option value='".$value->id."'>请选择</option>";
				}else{
					$selectStr .= "<option value='".$value->id."'>".base64_decode($value->value)."</option>";
				}
			}
		}
	} else {
		foreach($comboArr as $key=>$value) {
			if (base64_decode($value->value)=="") {
				$selectStr .= "<option value='".$value->id."'>请选择</option>";
			}else{
				$selectStr .= "<option value='".$value->id."'>".base64_decode($value->value)."</option>";
			}
		}
	}
	$returnStr = "<select id='".$fieldArr["FIELD_NAME"]."' name='".$fieldArr["FIELD_NAME"]."' ".$disabled." data-width=\"130px\" data-height=\"29px\" style=\"z-index:999\">".$selectStr."</select>";
	return $returnStr;
}

/**
*解析时间选择框
*@param $fieldArr
*@return $returnStr
*/
function analysisDate($fieldArr,$form,$key_id='') {
	$checkdiff = "";		
	switch($fieldArr["FIELD_DATE"]) {
		case "1":
			$dateFormat = "Y-m-d";
			$checkdiff = "1";
			break;
		case "2":
			$dateFormat = "Y-m-d H:i";
			$checkdiff = "2";
			break;
		case "3":
			$dateFormat = "H:i";
			$checkdiff = "3";
			break;
	}
	//是否可编辑
	if($fieldArr["FIELD_EDIT"] == 1) {
		$readonly = "readonly=\"readonly\"";
	} else {
		$readonly = "";
	}
	if($key_id != "") {
		$checkvaule = getFieldValue($fieldArr["FIELD_TABLE"],$fieldArr["FIELD_NAME"],$key_id);
		if($checkvaule!=""){
			$dateValue = date($dateFormat,strtotime(getFieldValue($fieldArr["FIELD_TABLE"],$fieldArr["FIELD_NAME"],$key_id)));			
		}else{
			$dateValue = "";				
		}
	} else {
		if($fieldArr["FIELD_GET_DATE"] == 1) {
			$dateValue = date($dateFormat,time());
		}
	}

	//必填
	$returnStr = "";
	$attr_class = "";
	if($checkdiff=="1") {
		if($fieldArr["FIELD_REQUIRE"]=="0") {
			$keyup .= " onchange=\"Arc_CheckRequired('".$fieldArr["FIELD_NAME"]."','".$fieldArr["FIELD_NAME"]."_check');\"";
		}
		//不可编辑特殊处理
		if($fieldArr["FIELD_EDIT"] == 1){
			$returnStr .= "<INPUT type='text' ".$readonly.$keyup." name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' value='".$dateValue."' >";	
		}else{
			$returnStr .= "<INPUT type='text' ".$keyup." name='".$fieldArr["FIELD_NAME"]."' class='library_date' id='".$fieldArr["FIELD_NAME"]."' value='".$dateValue."'>";		
		}
	} else if($checkdiff=="2") {		
		if($fieldArr["FIELD_REQUIRE"]=="0") {
			$keyup .= " onchange=\"Arc_CheckRequired('".$fieldArr["FIELD_NAME"]."_date','".$fieldArr["FIELD_NAME"]."_check');\"";
			$attr_class = "require";
		}
		if($dateValue!=""){
			$showarray = explode(" ",$dateValue);
			$showdate = $showarray[0];
			$showtime = $showarray[1];	
		}else{
			$showdate = "";
			$showtime = "";	
		}
		//不可编辑特殊处理
		if($fieldArr["FIELD_EDIT"] == 1){
			$returnStr .= "<INPUT type='text' ".$readonly.$keyup." name='".$fieldArr["FIELD_NAME"]."_date' id='".$fieldArr["FIELD_NAME"]."_date' value='".$showdate."' style=\"width:120px\">";	
			$returnStr .= "<INPUT type='text' ".$readonly." style=\"width:100px\" name='".$fieldArr["FIELD_NAME"]."_time' id='".$fieldArr["FIELD_NAME"]."_time' value='".$showtime."'>";
			$returnStr .= "<input type=\"hidden\" id=\"".$fieldArr["FIELD_NAME"]."\" name=\"".$fieldArr["FIELD_NAME"]."\" value=\"".$dateValue."\">";		
		}else{
			$returnStr .= "<INPUT type='text' ".$readonly.$keyup." class='library_date' name='".$fieldArr["FIELD_NAME"]."_date' id='".$fieldArr["FIELD_NAME"]."_date' value='".$showdate."' style=\"width:120px\" onchange=\"Arc_DateTimeDo(this,'".$fieldArr["FIELD_NAME"]."','date')\">";	
			$returnStr .= "<INPUT type='text' ".$readonly." style=\"width:100px\" class='library_time' name='".$fieldArr["FIELD_NAME"]."_time' id='".$fieldArr["FIELD_NAME"]."_time' value='".$showtime."' onchange=\"Arc_DateTimeDo(this,'".$fieldArr["FIELD_NAME"]."','time')\">";
			$returnStr .= "<input type=\"hidden\" id=\"".$fieldArr["FIELD_NAME"]."\" name=\"".$fieldArr["FIELD_NAME"]."\" value=\"".$dateValue."\">";			
		}
	} else if($checkdiff=="3") {
		if($fieldArr["FIELD_REQUIRE"]=="0") {
			$keyup .= " onchange=\"Arc_CheckRequired('".$fieldArr["FIELD_NAME"]."','".$fieldArr["FIELD_NAME"]."_check');\"";
		}
		//不可编辑特殊处理
		if($fieldArr["FIELD_EDIT"] == 1){
			$returnStr .= "<INPUT type='text' ".$readonly.$keyup."  name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' value='".$dateValue."'>";	
		}else{
			$returnStr .= "<INPUT type='text' ".$readonly.$keyup."  class='library_time' name='".$fieldArr["FIELD_NAME"]."' id='".$fieldArr["FIELD_NAME"]."' value='".$dateValue."'>";	
		}
	}
	return $returnStr;
}

/**
*解析人员、部门、角色选择框
*@param $fieldArr
*@return $returnStr
*/
function analysisSelects($fieldArr,$keyid='',$popup=false) {
	global $_lang;
	$showbutton = "";
	if($keyid != "") {
		$value = getFieldValue($fieldArr["FIELD_TABLE"],$fieldArr["FIELD_NAME"],$keyid);
	}
	switch($fieldArr["FIELD_DEFAULT_VALUE"]) {
		case "1":
			 $fieldId   = $fieldArr["FIELD_NAME"]."_USER";
			 $fieldName = $fieldArr["FIELD_NAME"]."_USER";
			 $values    = getUsernameStr($value);
			 if($fieldArr["FIELD_EDIT"] == "0") {
			 	if($popup){
				 	$showbutton.= "<button class='btn btn-primary' type='button' onClick=\"copyLoadWindowUser('".$fieldArr["FIELD_NAME"]."','".$fieldName."','form1');\" name=''>".$_lang["common_add"]."</button>
				 			<button class='btn btn-default' type='button' onClick=\"clearConten('".$fieldArr["FIELD_NAME"]."','".$fieldName."');\" name=''>". $_lang["common_empty"]."</button>";
			 	}else{
				 	$showbutton.= "<button class='btn btn-primary' type='button' onClick=\"LoadWindowUser('".$fieldArr["FIELD_NAME"]."','".$fieldName."','form1');\" name=''>".$_lang["common_add"]."</button>
				 			<button class='btn btn-default' type='button' onClick=\"clearConten('".$fieldArr["FIELD_NAME"]."','".$fieldName."');\" name=''>". $_lang["common_empty"]."</button>";
			 	}
			 }
			break;
		case "2":
			$fieldId   = $fieldArr["FIELD_NAME"]."_DEPT";
			$fieldName = $fieldArr["FIELD_NAME"]."_DEPT_NAME";
			$values    = getDeptStr($value);
			if($fieldArr["FIELD_EDIT"] == "0") {
			 	if($popup){
					$showbutton.= "<button class='btn btn-primary' type='button' onClick=\"copyLoadWindowDept('".$fieldArr["FIELD_NAME"]."','".$fieldName."','form1');\" name=''>".$_lang["common_add"]."</button>
							<button class='btn btn-default' type='button' onClick=\"clearConten('".$fieldArr["FIELD_NAME"]."','".$fieldName."');\" name=''>". $_lang["common_empty"]."</button>";	
			 	}else{
					$showbutton.= "<button class='btn btn-primary' type='button' onClick=\"LoadWindowDept('".$fieldArr["FIELD_NAME"]."','".$fieldName."','form1');\" name=''>".$_lang["common_add"]."</button>
							<button class='btn btn-default' type='button' onClick=\"clearConten('".$fieldArr["FIELD_NAME"]."','".$fieldName."');\" name=''>". $_lang["common_empty"]."</button>";			 		
				}
			}
			break;
		case "3":
			$fieldId   = $fieldArr["FIELD_NAME"]."_PRIV";
			$fieldName = $fieldArr["FIELD_NAME"]."_PRIV_NAME";
			$values    = getUserPrivStr($value);
			if($fieldArr["FIELD_EDIT"] == "0") {
				$showbutton.= "<button class='btn btn-primary' type='button' onClick=\"LoadWindowPriv('".$fieldArr["FIELD_NAME"]."','".$fieldName."','form1');\" name=''>".$_lang["common_add"]."</button>
						<button class='btn btn-default' type='button' onClick=\"clearConten('".$fieldArr["FIELD_NAME"]."','".$fieldName."');\" name=''>". $_lang["common_empty"]."</button>";
			}
			break;
	}

	if($fieldArr["FIELD_TYPE"] == 1) {
		$returnStr = "<table><tr><td><input readonly='readonly' type='text' id='".$fieldName."' name='".$fieldName."' value='".$values."'></td>";
	} else if($fieldArr["FIELD_TYPE"] == 2) {
		$returnStr = "<table><tr><td><TEXTAREA readonly='readonly' style='overflow:auto;width:550px;height:70px;' id='".$fieldName."' name='".$fieldName."'>".$values."</TEXTAREA></td>";
	}
	switch($fieldArr["FIELD_DEFAULT_VALUE"]) {
		case "1":
			$returnStr .= "<td valign=\"bottom\" style='padding-left:5px;padding-bottom:6px'>".$showbutton."<input type='hidden' id='".$fieldId."' name='".$fieldId."' value=''>
							<input type='hidden' value='".$value."' id='".$fieldArr["FIELD_NAME"]."' name='".$fieldArr["FIELD_NAME"]."'>
						</td></tr></table>";
			break;
		case "2":
			$returnStr .= "<td valign=\"bottom\" style='padding-left:5px;padding-bottom:6px'>".$showbutton."<input type='hidden' id='".$fieldId."' name='".$fieldId."' value=''>
							<input type='hidden' value='".$value."' id='".$fieldArr["FIELD_NAME"]."' name='".$fieldArr["FIELD_NAME"]."'>
						</td></tr></table>";
			break;
		case "3":
			$returnStr .= "<td valign=\"bottom\" style='padding-left:5px;padding-bottom:6px'>".$showbutton."<input type='hidden' id='".$fieldId."' name='".$fieldId."' value=''>
							<input type='hidden' value='".$value."' id='".$fieldArr["FIELD_NAME"]."' name='".$fieldArr["FIELD_NAME"]."'>
						</td></tr></table>";
			break;
	}
	return $returnStr;
}

/**
*获取字段名称
*@param $fieldshow
*@return $row["FIELD_NAME"]
*/
function getFieldName($fieldshow) {
	global $connection;
	$query = "SELECT FIELD_NAME FROM arc_fieldset WHERE FIELD_SHOW='".SecurityFilter($fieldshow)."'";
	$res   = exequery($connection,$query);
	if($row = mysql_fetch_array($res)) {
		return $row["FIELD_NAME"];
	}
}

/**
*获取字段值
*@param $tableName   传入参数：表名称
*@param $columeName  传入参数：字段名称
*@param $keyip		 传入参数：表自增长ID
*@return $reStr      传出参数：返回获取的字段值
*/
function getFieldValue($tableName,$columeName,$keyid) {
	global $connection;
	switch($tableName) {
		case "arc_volumelibrary":
			$keyId = "VOLUME_ID";
			break;
		case "arc_document":
			$keyId = "DOC_ID";
			break;
		case "arc_file":
			$keyId = "FILE_ID";
			break;
		case "arc_read":
			$keyId = "READ_ID";
			break;
		case "arc_appraisal":
			$keyId = "APP_ID";
			break;
	}
	
	if(strpos($columeName,"ATTACHMENT")) {
		$query = "SELECT ".SecurityFilter($columeName)."_ID,".SecurityFilter($columeName)."_NAME"." FROM ".SecurityFilter($tableName)." WHERE ".SecurityFilter($keyId)."='".SecurityFilter($keyid)."'";
	} else {
		$query = "SELECT ".SecurityFilter($columeName)." FROM ".SecurityFilter($tableName)." WHERE ".SecurityFilter($keyId)."='".SecurityFilter($keyid)."'";
	}
	
	$res   = exequery($connection,$query);	
	if($row = mysql_fetch_array($res)) {
		if(strpos($columeName,"ATTACHMENT") === false) {
			$reStr = $row[$columeName];
		} else {
			$reStr = array("ID"=>$row[$columeName."_ID"],
						   "NAME"=>$row[$columeName."_NAME"]);
		}
	}
	return $reStr;
}

function fieldCheck($fieldArr) {
	global $_lang;	
}
//卷库/案卷列表
function Arc_GetVDListInfor($diff,$check=''){
	global $connection;
	$infor = array();
	$sql = "";
	if($diff=="volum"){
		$sql = "SELECT *
				FROM arc_volumelibrary
				WHERE VOLUME_DELETE != '1'
				ORDER BY VOLUME_ID DESC";	
	}else if($diff=="doc"){
		if($check=="destory"){
			//销毁查询
			$sql = "SELECT *
				FROM arc_document
				WHERE 1  
				ORDER BY DOC_ID DESC";	
		}else if($check=="manage"){
			//文件管理查询
			$sql = "SELECT *
				FROM arc_document
				WHERE DOC_DELETE != '1'   
				ORDER BY DOC_ID DESC";	
		}else{
			$sql = "SELECT *
				FROM arc_document
				WHERE DOC_DELETE != '1' AND DOC_STATE!='2' 
				ORDER BY DOC_ID DESC";		
		}
	}
	$cursor = exequery($connection,$sql);
	while($row = mysql_fetch_assoc($cursor)){
		$infor[] = $row;
	}
	return 	$infor;			
}
//单个卷库/案卷信息
function Arc_GetVDSingleInfor($id,$diff){
	global $connection;
	$infor = array();
	$sql = "";
	if($diff=="volum"){
		$sql = "SELECT *
				FROM arc_volumelibrary
				WHERE VOLUME_DELETE != '1' AND VOLUME_ID='".$id."' ";			
	}else if($diff=="doc"){
		$sql = "SELECT *
				FROM arc_document
				WHERE DOC_ID='".$id."' ";	
	}
	$cursor = exequery($connection,$sql);
	while($row = mysql_fetch_assoc($cursor)){
		$infor = $row;
	}
	return 	$infor;			
}
//卷库管理默认字段处理
function volume_defalultfield($data,$key_id){
	global $_lang;
	$showstr = "";
	$editValue = "";
	$keyup = 'onkeyup="';
	$onchange = "";
	//必填
	$checkid = "";
	$checkimg = "";
	$attr_class ="";
	if($data["FIELD_REQUIRE"]=="0") {
		$keyup .= "Arc_CheckRequired('".$data["FIELD_NAME"]."','".$data["FIELD_NAME"]."_check');";
		$checkid = $data["FIELD_NAME"];
		$checkimg = $data["FIELD_NAME"]."_check";
		$attr_class = "require";
	}
	//验证
	if($data["FIELD_CHECK"]=="2"){
		$keyup .= "Arc_WordCheck(this);";	
	}else if($data["FIELD_CHECK"]=="3"){
		$keyup .= "Arc_NumberCheck(this,'".$checkid."','".$checkimg."');";	
	}else if($data["FIELD_CHECK"]=="4"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'date','".$checkid."','".$checkimg."')\"";	
	}else if($data["FIELD_CHECK"]=="5"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'time','".$checkid."','".$checkimg."')\"";
	}else if($data["FIELD_CHECK"]=="6"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'all','".$checkid."','".$checkimg."')\"";
	}
	$keyup .= '"';
	switch($data["FIELD_NAME"]){
		case "VOLUME_NUMBER":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type='text' class='".$attr_class."' name='VOLUME_NUMBER' id='VOLUME_NUMBER' value='".$editValue."' ".$keyup." ".$onchange.">";	
			}else{
				$showstr = "<INPUT type='text' class='".$attr_class."' name='VOLUME_NUMBER' id='VOLUME_NUMBER' ".$keyup." ".$onchange.">";	
			}
		break;
		case "VOLUME_NAME":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type='text' class='".$attr_class."' name='VOLUME_NAME' id='VOLUME_NAME' value='".$editValue."' ".$keyup." ".$onchange.">";	
			}else{
				$showstr = "<INPUT type='text' class='".$attr_class."' name='VOLUME_NAME' id='VOLUME_NAME' ".$keyup." ".$onchange.">";	
			}
		break;
		case "VOLUME_CREAT":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<span>".getUserNameNew($editValue)."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".getUserNameNew($editValue)."'>";
				$showstr .= "<INPUT type=\"hidden\" name='VOLUME_CREAT' id='VOLUME_CREAT' value='".$editValue."'>";	
			}else{
				$showstr = "<span>".$_SESSION["LOGIN_USER_NAME"]."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".$_SESSION["LOGIN_USER_NAME"]."'>";
				$showstr .= "<INPUT type=\"hidden\" name='VOLUME_CREAT'  id='VOLUME_CREAT' value='".$_SESSION["LOGIN_USER_ID"]."'>";		
			}
		break;
		case "VOLUME_CREATDATE":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<span>".$editValue."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".$editValue."'>";
				$showstr .= "<INPUT type=\"hidden\" name='VOLUME_CREATDATE' id='VOLUME_CREATDATE' value='".$editValue."'>";	
			}else{
				$showstr = "<span>".date("Y-m-d H:i:s")."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".date("Y-m-d H:i:s")."'>";
				$showstr .= "<INPUT type=\"hidden\" name='VOLUME_CREATDATE' id='VOLUME_CREATDATE' value='".date("Y-m-d H:i:s")."'>";		
			}
		break;	
		case "VOLUME_ATTACHMENT":
			if($data["FIELD_DISPLAY"] == "1") {
				$showstr = '<table border="0" cellpadding="0" cellspacing="0" style="position: relative;width: 100%;"><tr><td><input type="file" id="VOLUME_ATTACHMENT" name="VOLUME_ATTACHMENT">
						    <input type="hidden" name="attachmentIDStr" id="attachmentIDStr"/>
						    <input type="hidden" name=" attachmentNameStr" id="attachmentNameStr"></td></tr></table>';
				if($key_id != "") {
					$editValue  = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
					if(sizeof($editValue) > 0) {
						$showstr .= $attachment = showAttachment($editValue["ID"],$editValue["NAME"]);
					} else {
						$showstr .= $_lang["meetings_no_attachment"];
					}
					$showstr .= '<input type="hidden" id="attachmentIDStr_OLD" name="attachmentIDStr_OLD"  value="'.$editValue["ID"].'">
					<input type="hidden" id="attachmentNameStr_OLD" name="attachmentNameStr_OLD" value="'.$editValue["NAME"].'">';
				}
			}
		break;
		case "VOLUME_READ":
			if($key_id != "") {
				$value   = getDeptStr(getFieldValue("arc_volumelibrary","VOLUME_READ",$key_id));
				$showstr = "<table>
								<tr>
									<td>
										<TEXTAREA readonly='readonly' style='overflow:auto;width:550px;height:70px;' id='VOLUME_READ_DEPT_NAME' name='VOLUME_READ_DEPT_NAME'>".$value."</TEXTAREA>
									</td>
									<td valign=\"bottom\" style='padding-left:5px'>
										<button class='btn btn-primary' type='button' onClick=\"LoadWindowDept('VOLUME_READ','VOLUME_READ_DEPT_NAME','form1');\" name=''>".$_lang["common_add"]."</button>
										<button class='btn btn-default' type='button' onClick=\"clearConten('VOLUME_READ','VOLUME_READ_DEPT_NAME');\" name=''>". $_lang["common_empty"]."</button>
										<input type='hidden' id='VOLUME_READ_DEPT' name='VOLUME_READ_DEPT' value=''>
										<input type='hidden' value='".getFieldValue("arc_volumelibrary","VOLUME_READ",$key_id)."' id='VOLUME_READ' name='VOLUME_READ'>
									</td>
								</tr>
							</table>";
			} else {
				$showstr = "<table>
								<tr>
									<td>
										<TEXTAREA readonly='readonly' style='overflow:auto;width:550px;height:70px;' id='VOLUME_READ_DEPT_NAME' name='VOLUME_READ_DEPT_NAME'></TEXTAREA>
									</td>
									<td valign=\"bottom\" style='padding-left:5px'>
										<button class='btn btn-primary' type='button' onClick=\"LoadWindowDept('VOLUME_READ','VOLUME_READ_DEPT_NAME','form1');\" name=''>".$_lang["common_add"]."</button>
										<button class='btn btn-default' type='button' onClick=\"clearConten('VOLUME_READ','VOLUME_READ_DEPT_NAME');\" name=''>". $_lang["common_empty"]."</button>
										<input type='hidden' id='VOLUME_READ_DEPT' name='VOLUME_READ_DEPT' value=''>
										<input type='hidden' value='' id='VOLUME_READ' name='VOLUME_READ'>
									</td>
								</tr>
							</table>";
				
			}
		break;
	}
	return $showstr;
}
//案卷管理默认字段处理
function doc_defalultfield($data,$key_id){
	global $_lang;
	$showstr = "";
	$editValue = "";
	$keyup = 'onkeyup="';
	$onchange = "";
	//必填
	$checkid = "";
	$checkimg = "";
	$attr_class = "";
	if($data["FIELD_REQUIRE"]=="0") {
		$keyup .= "Arc_CheckRequired('".$data["FIELD_NAME"]."','".$data["FIELD_NAME"]."_check');";
		$checkid = $data["FIELD_NAME"];
		$checkimg = $data["FIELD_NAME"]."_check";
		$attr_class = "require";
	}
	//验证
	if($data["FIELD_CHECK"]=="2"){
		$keyup .= "Arc_WordCheck(this);";	
	}else if($data["FIELD_CHECK"]=="3"){
		$keyup .= "Arc_NumberCheck(this,'".$checkid."','".$checkimg."');";	
	}else if($data["FIELD_CHECK"]=="4"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'date','".$checkid."','".$checkimg."')\"";	
	}else if($data["FIELD_CHECK"]=="5"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'time','".$checkid."','".$checkimg."')\"";
	}else if($data["FIELD_CHECK"]=="6"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'all','".$checkid."','".$checkimg."')\"";
	}	
	$keyup .= '"';
	switch($data["FIELD_NAME"]){
		case "DOC_NUMBER":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"DOC_NUMBER\" id=\"DOC_NUMBER\" value='".$editValue."' ".$keyup." ".$onchange.">";	
			}else{
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"DOC_NUMBER\" id=\"DOC_NUMBER\" ".$keyup." ".$onchange.">";	
			}
		break;
		case "DOC_NAME":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"DOC_NAME\" id=\"DOC_NAME\" value='".$editValue."' ".$keyup." ".$onchange.">";	
			}else{
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"DOC_NAME\" id=\"DOC_NAME\" ".$keyup." ".$onchange.">";	
			}
		break;
		case "DOC_VOLUME":
			$infor = Arc_GetVDListInfor("volum");
			$inforcount = count($infor);
			$showstr .= "<select id=\"DOC_VOLUME\" name=\"DOC_VOLUME\" width=\"148\">";
			$showstr .= "<option value=\"\">&nbsp;</option>";
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				for($i=0;$i<$inforcount;$i++){
					if($infor[$i]["VOLUME_ID"]!=""){
						if($editValue==$infor[$i]["VOLUME_ID"]){
							$showstr .= "<option selected=\"selected\" value=\"".$infor[$i]["VOLUME_ID"]."\">".$infor[$i]["VOLUME_NAME"]."</option>";		
						}else{
							$showstr .= "<option value=\"".$infor[$i]["VOLUME_ID"]."\">".$infor[$i]["VOLUME_NAME"]."</option>";		
						}
					}	
				}
			}else{
				for($i=0;$i<$inforcount;$i++){
					if($infor[$i]["VOLUME_ID"]!=""){
						$showstr .= "<option value=\"".$infor[$i]["VOLUME_ID"]."\">".$infor[$i]["VOLUME_NAME"]."</option>";	
					}	
				}
			}
			$showstr .= "</select>";
		break;
		case "DOC_YEAR":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"DOC_YEAR\" id=\"DOC_YEAR\" value='".$editValue."' ".$keyup." ".$onchange.">";	
			}else{
				$defaultvalue = date("Y",time());
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"DOC_YEAR\" id=\"DOC_YEAR\" value=\"".$defaultvalue."\" ".$keyup." ".$onchange.">";	
			}
		break;
		case "DOC_LONG":
			$showstr .= "<select id=\"DOC_LONG\" name=\"DOC_LONG\" width=\"148\">";
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				switch($editValue){
					case "0":
						$select0 = "selected=\"selected\"";
					break;	
					case "1":
						$select1 = "selected=\"selected\"";
					break;	
					case "2":
						$select2 = "selected=\"selected\"";
					break;		
				}
				$showstr .= "<option value=\"0\" ".$select0.">".$_lang["archives_field_forever"]."</option>";
				$showstr .= "<option value=\"1\" ".$select1.">".$_lang["archives_field_longtime"]."</option>";
				$showstr .= "<option value=\"2\" ".$select2.">".$_lang["archives_field_shorttime"]."</option>";
			}else{
				$showstr .= "<option value=\"0\">".$_lang["archives_field_forever"]."</option>";
				$showstr .= "<option value=\"1\">".$_lang["archives_field_longtime"]."</option>";
				$showstr .= "<option value=\"2\">".$_lang["archives_field_shorttime"]."</option>";	
			}
			$showstr .= "</select>";
		break;
		case "DOC_CREAT":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<span>".getUserNameNew($editValue)."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".getUserNameNew($editValue)."'>";
				$showstr .= "<INPUT type=\"hidden\" name='DOC_CREAT' id='DOC_CREAT' value='".$editValue."'>";	
			}else{
				$showstr = "<span>".$_SESSION["LOGIN_USER_NAME"]."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".$_SESSION["LOGIN_USER_NAME"]."'>";
				$showstr .= "<INPUT type=\"hidden\" name='DOC_CREAT' id='DOC_CREAT' value='".$_SESSION["LOGIN_USER_ID"]."'>";	
			}
		break;
		case "DOC_CREATDATE":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<span>".$editValue."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".$editValue."'>";
				$showstr .= "<INPUT type=\"hidden\" name='DOC_CREATDATE' id='DOC_CREATDATE' value='".$editValue."'>";		
			}else{
				$showstr = "<span>".date("Y-m-d H:i:s")."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".date("Y-m-d H:i:s")."'>";
				$showstr .= "<INPUT type=\"hidden\" name='DOC_CREATDATE' id='DOC_CREATDATE' value='".date("Y-m-d H:i:s")."'>";		
			}
		break;	
		case "DOC_ATTACHMENT":
			if($data["FIELD_DISPLAY"] == "1") {
				$showstr = '<table border="0" cellpadding="0" cellspacing="0" style="position: relative;width: 100%;"><tr><td><input type="file" id="DOC_ATTACHMENT" name="DOC_ATTACHMENT">
						    <input type="hidden" name="attachmentIDStr" id="attachmentIDStr"/>
						    <input type="hidden" name=" attachmentNameStr" id="attachmentNameStr"></td></tr></table>';
				if($key_id != "") {
					$editValue  = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
					if(sizeof($editValue) > 0) {
						$showstr .= $attachment = showAttachment($editValue["ID"],$editValue["NAME"]);
					} else {
						$showstr .= $_lang["meetings_no_attachment"];
					}
					$showstr .= '<input type="hidden" id="attachmentIDStr_OLD" name="attachmentIDStr_OLD"  value="'.$editValue["ID"].'">
					<input type="hidden" id="attachmentNameStr_OLD" name="attachmentNameStr_OLD" value="'.$editValue["NAME"].'">';
				}
			}
		break;
	}
	return $showstr;
}
//文件管理默认字段处理
function file_defalultfield($data,$key_id){
	global $_lang;
	$showstr = "";
	$editValue = "";
	$keyup = 'onkeyup="';
	$onchange = "";
	//必填
	$checkid = "";
	$checkimg = "";
	$attr_class = "";
	if($data["FIELD_REQUIRE"]=="0") {
		$keyup .= "Arc_CheckRequired('".$data["FIELD_NAME"]."','".$data["FIELD_NAME"]."_check');";
		$checkid = $data["FIELD_NAME"];
		$checkimg = $data["FIELD_NAME"]."_check";
		$attr_class = "require";
	}	
	//验证
	if($data["FIELD_CHECK"]=="2"){
		$keyup .= "Arc_WordCheck(this);";	
	}else if($data["FIELD_CHECK"]=="3"){
		$keyup .= "Arc_NumberCheck(this,'".$checkid."','".$checkimg."');";	
	}else if($data["FIELD_CHECK"]=="4"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'date','".$checkid."','".$checkimg."')\"";	
	}else if($data["FIELD_CHECK"]=="5"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'time','".$checkid."','".$checkimg."')\"";
	}else if($data["FIELD_CHECK"]=="6"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'all','".$checkid."','".$checkimg."')\"";
	}	
	$keyup .= '"';
	switch($data["FIELD_NAME"]){
		case "FILE_NUMBER":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"FILE_NUMBER\" id=\"FILE_NUMBER\" value='".$editValue."' ".$keyup." ".$onchange.">";	
			}else{
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"FILE_NUMBER\" id=\"FILE_NUMBER\" ".$keyup." ".$onchange.">";	
			}
		break;
		case "FILE_NAME":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"FILE_NAME\" id=\"FILE_NAME\" value='".$editValue."' ".$keyup." ".$onchange.">";	
			}else{
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"FILE_NAME\" id=\"FILE_NAME\" ".$keyup." ".$onchange.">";	
			}
		break;
		case "FILE_DOCUMENT":
			$infor = Arc_GetVDListInfor("doc");
			$inforcount = count($infor);
			$showstr .= "<select id=\"FILE_DOCUMENT\" name=\"FILE_DOCUMENT\" width=\"148\">";
			$showstr .= "<option value=\"\">&nbsp;</option>";
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				for($i=0;$i<$inforcount;$i++){
					if($infor[$i]["DOC_ID"]!=""){
						if($editValue==$infor[$i]["DOC_ID"]){
							$showstr .= "<option selected=\"selected\" value=\"".$infor[$i]["DOC_ID"]."\">".$infor[$i]["DOC_NAME"]."</option>";		
						}else{
							$showstr .= "<option value=\"".$infor[$i]["DOC_ID"]."\">".$infor[$i]["DOC_NAME"]."</option>";		
						}
					}	
				}
			}else{
				for($i=0;$i<$inforcount;$i++){
					if($infor[$i]["DOC_ID"]!=""){
						$showstr .= "<option value=\"".$infor[$i]["DOC_ID"]."\">".$infor[$i]["DOC_NAME"]."</option>";	
					}	
				}
			}
			$showstr .= "</select>";
		break;
		case "FILE_YEAR":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"FILE_YEAR\" id=\"FILE_YEAR\" value='".$editValue."' ".$keyup.">";	
			}else{
				$defaultvalue = date("Y",time());
				$showstr = "<INPUT type=\"text\" class='".$attr_class."' name=\"FILE_YEAR\" id=\"FILE_YEAR\" value=\"".$defaultvalue."\" ".$keyup.">";	
			}
		break;
		case "FILE_LONG":
			$showstr .= "<select id=\"FILE_LONG\" name=\"FILE_LONG\" width=\"148\">";
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				switch($editValue){
					case "0":
						$select0 = "selected=\"selected\"";
					break;	
					case "1":
						$select1 = "selected=\"selected\"";
					break;	
					case "2":
						$select2 = "selected=\"selected\"";
					break;		
				}
				$showstr .= "<option value=\"0\" ".$select0.">".$_lang["archives_field_forever"]."</option>";
				$showstr .= "<option value=\"1\" ".$select1.">".$_lang["archives_field_longtime"]."</option>";
				$showstr .= "<option value=\"2\" ".$select2.">".$_lang["archives_field_shorttime"]."</option>";
			}else{
				$showstr .= "<option value=\"0\">".$_lang["archives_field_forever"]."</option>";
				$showstr .= "<option value=\"1\">".$_lang["archives_field_longtime"]."</option>";
				$showstr .= "<option value=\"2\">".$_lang["archives_field_shorttime"]."</option>";	
			}
			$showstr .= "</select>";
		break;
		case "FILE_CREAT":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<span>".getUserNameNew($editValue)."</span>";
				//$showstr .= "<INPUT type=\"text\" readonly value='".getUserNameNew($editValue)."'>";
				$showstr .= "<INPUT type=\"hidden\" name='FILE_CREAT' id='FILE_CREAT' value='".$editValue."'>";			
			}else{
				$showstr = "<span>".$_SESSION["LOGIN_USER_NAME"]."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".$_SESSION["LOGIN_USER_NAME"]."'>";
				$showstr .= "<INPUT type=\"hidden\" name='FILE_CREAT' id='FILE_CREAT' value='".$_SESSION["LOGIN_USER_ID"]."'>";		
			}
		break;
		case "FILE_CREATDATE":
			if($key_id != ""){
				$editValue = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
				$showstr = "<span>".$editValue."</span>";
				//$showstr .= "<INPUT type=\"text\" readonly value='".$editValue."'>";
				$showstr .= "<INPUT type=\"hidden\" name='FILE_CREATDATE' id='FILE_CREATDATE' value='".$editValue."'>";	
			}else{
				$showstr = "<span>".date("Y-m-d H:i:s")."</span>";
				//$showstr = "<INPUT type=\"text\" readonly value='".date("Y-m-d H:i:s")."'>";
				$showstr .= "<INPUT type=\"hidden\" name='FILE_CREATDATE' id='FILE_CREATDATE' value='".date("Y-m-d H:i:s")."'>";		
			}
		break;	
		case "FILE_ATTACHMENT":
			if($data["FIELD_DISPLAY"] == "1") {
				$showstr = '<table border="0" cellpadding="0" cellspacing="0" style="position: relative;width: 100%;"><tr><td><input type="file" id="FILE_ATTACHMENT" name="FILE_ATTACHMENT">
						    <input type="hidden" name="attachmentIDStr" id="attachmentIDStr"/>
						    <input type="hidden" name=" attachmentNameStr" id="attachmentNameStr"></td></tr></table>';
				if($key_id != "") {
					$editValue  = getFieldValue($data["FIELD_TABLE"],$data["FIELD_NAME"],$key_id);
					if(sizeof($editValue) > 0) {
						$showstr .= $attachment = showAttachment($editValue["ID"],$editValue["NAME"]);
					} else {
						$showstr .= $_lang["meetings_no_attachment"];
					}
					$showstr .= '<input type="hidden" id="attachmentIDStr_OLD" name="attachmentIDStr_OLD"  value="'.$editValue["ID"].'">
					<input type="hidden" id="attachmentNameStr_OLD" name="attachmentNameStr_OLD" value="'.$editValue["NAME"].'">';
				}
			}
		break;
	}	
	return $showstr;
}
//鉴定模块默认字段设置
function app_defalultfield($data,$key_id,$checkdiff){
	global $connection;
	$showstr = "";
	$editValue = "";
	$keyup = 'onkeyup="';
	$onchange = "";
	//必填
	$checkid = "";
	$checkimg = "";
	if($data["FIELD_REQUIRE"]=="0") {
		$keyup .= "Arc_CheckRequired('".$data["FIELD_NAME"]."','".$data["FIELD_NAME"]."_check');";
		$checkid = $data["FIELD_NAME"];
		$checkimg = $data["FIELD_NAME"]."_check";
	}	
	//验证
	if($data["FIELD_CHECK"]=="2"){
		$keyup .= "Arc_WordCheck(this);";	
	}else if($data["FIELD_CHECK"]=="3"){
		$keyup .= "Arc_NumberCheck(this,'".$checkid."','".$checkimg."');";	
	}else if($data["FIELD_CHECK"]=="4"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'date','".$checkid."','".$checkimg."')\"";	
	}else if($data["FIELD_CHECK"]=="5"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'time','".$checkid."','".$checkimg."')\"";
	}else if($data["FIELD_CHECK"]=="6"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'all','".$checkid."','".$checkimg."')\"";
	}	
	$keyup .= '"';
	switch($data["FIELD_NAME"]){
		case "APP_FILE":
			$filename = "";
			if($checkdiff=="doc"){
				$docsql = "SELECT * FROM arc_document WHERE DOC_ID='".$key_id."'";
				$cursor = exequery($connection,$docsql);
				if($row = mysql_fetch_assoc($cursor)){
					$filename = $row["DOC_NAME"];
				}
					
			}else if($checkdiff=="file"){
				$filesql = "SELECT * FROM arc_file WHERE FILE_ID='".$key_id."'";
				$cursor = exequery($connection,$filesql);
				if($row = mysql_fetch_assoc($cursor)){
					$filename = $row["FILE_NAME"];
				}
			}
			//$showstr .= "<INPUT type=\"text\" readonly value='".$filename."'>";
			$showstr = "<span>".$filename."</span>";
			$showstr .= "<INPUT type=\"hidden\" name='APP_FILE' id='APP_FILE' value='".$key_id."'>";		
		break;
		case "APP_IDENTIFYPERSON":
			$showstr = "<span>".$_SESSION["LOGIN_USER_NAME"]."</span>";
			//$showstr .= "<INPUT type=\"text\" readonly value='".$_SESSION["LOGIN_USER_NAME"]."'>";
			$showstr .= "<INPUT type=\"hidden\" name='APP_IDENTIFYPERSON' id='APP_IDENTIFYPERSON' value='".$_SESSION["LOGIN_USER_ID"]."'>";
		break;
		case "APP_IDENTIFYDATE":
			$showstr = "<span>".date("Y-m-d H:i:s")."</span>";
			//$showstr .= "<INPUT type=\"text\" readonly value='".date("Y-m-d H:i:s")."'>";
			$showstr .= "<INPUT type=\"hidden\" name='APP_IDENTIFYDATE' id='APP_IDENTIFYDATE' value='".date("Y-m-d H:i:s")."'>";	
		break;	
		case "APP_IDENTIFYMARK":
			$showstr = "<TEXTAREA style='overflow:auto;width:380px;' name='APP_IDENTIFYMARK' id='APP_IDENTIFYMARK' ".$keyup." ></TEXTAREA>";
		break;	
	}	
	return $showstr;
}
//申请借阅默认字段处理
function read_defalultfield($data,$key_id){
	$showstr = "";
	$editValue = "";
	$keyup = 'onkeyup="';
	$onchange = "";
	//必填
	$checkid = "";
	$checkimg = "";
	if($data["FIELD_REQUIRE"]=="0") {
		$keyup .= "Arc_CheckRequired('".$data["FIELD_NAME"]."','".$data["FIELD_NAME"]."_check');";
		$checkid = $data["FIELD_NAME"];
		$checkimg = $data["FIELD_NAME"]."_check";
	}	
	//验证
	if($data["FIELD_CHECK"]=="2"){
		$keyup .= "Arc_WordCheck(this);";	
	}else if($data["FIELD_CHECK"]=="3"){
		$keyup .= "Arc_NumberCheck(this,'".$checkid."','".$checkimg."');";	
	}else if($data["FIELD_CHECK"]=="4"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'date','".$checkid."','".$checkimg."')\"";	
	}else if($data["FIELD_CHECK"]=="5"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'time','".$checkid."','".$checkimg."')\"";
	}else if($data["FIELD_CHECK"]=="6"){
		$onchange .= "onchange=\"Arc_DateCheck(this,'all','".$checkid."','".$checkimg."')\"";
	}	
	$keyup .= '"';
	switch($data["FIELD_NAME"]){
		case "READ_NUMBER":
			$showstr = "<span>".date("YmdHis",time())."</span>";
			//$showstr .= "<INPUT type=\"text\" readonly value='".date("YmdHis",time())."'>";
			$showstr .= "<INPUT type=\"hidden\" name='READ_NUMBER' id='READ_NUMBER' value='".date("YmdHis",time())."'>";	
		break;
		case "READ_APPLYPERSON":
			$showstr = "<span>".$_SESSION["LOGIN_USER_NAME"]."</span>";
			//$showstr .= "<INPUT type=\"text\" readonly value='".$_SESSION["LOGIN_USER_NAME"]."'>";
			$showstr .= "<INPUT type=\"hidden\" name='READ_APPLYPERSON' id='READ_APPLYPERSON' value='".$_SESSION["LOGIN_USER_ID"]."'>";	
		break;	
		case "READ_APPLYDATE":
			$showstr = "<span>".date("Y-m-d H:i:s")."</span>";
			//$showstr .= "<INPUT type=\"text\" readonly value='".date("Y-m-d H:i:s")."'>";
			$showstr .= "<INPUT type=\"hidden\" name='READ_APPLYDATE' id='READ_APPLYDATE' value='".date("Y-m-d H:i:s")."'>";	
		break;	
		case "READ_USEDATE":
			if($data["FIELD_REQUIRE"] == "0") {				
				$checkdata  = " onchange=\"Arc_CheckRequired('READ_USEDATE_time','READ_USEDATE_check');\"";
			}
			$showstr = "<INPUT  type='text' name='READ_USEDATE_date' id='READ_USEDATE_date' class='library_date' style=\"width:100px\" onchange=\"Arc_DateTimeDo(this,'READ_USEDATE','date')\">";	
			$showstr .= "<INPUT ".$checkdata." type='text' style=\"width:70px\" class='library_time' name='READ_USEDATE_time' id='READ_USEDATE_time' onchange=\"Arc_DateTimeDo(this,'READ_USEDATE','time')\">";
			$showstr .= "<input type=\"hidden\" id=\"READ_USEDATE\" name=\"READ_USEDATE\" value=''>";
		break;
		case "READ_RETURNDATE":
			if($data["FIELD_REQUIRE"] == "0") {
				$checkdata = " onchange=\"Arc_CheckRequired('READ_RETURNDATE_time','READ_RETURNDATE_check');\"";
			}
			$showstr = "<INPUT  type='text' name='READ_RETURNDATE_date' id='READ_RETURNDATE_date' class='library_date' style=\"width:100px\" onchange=\"Arc_DateTimeDo(this,'READ_RETURNDATE','date')\">";	
			$showstr .= "<INPUT ".$checkdata." type='text' style=\"width:70px\" class='library_time' name='READ_RETURNDATE_time' id='READ_RETURNDATE_time' onchange=\"Arc_DateTimeDo(this,'READ_RETURNDATE','time')\">";
			$showstr .= "<input type=\"hidden\" id=\"READ_RETURNDATE\" name=\"READ_RETURNDATE\" value=''>";
		break;		
	}	
	return $showstr;
}

/**
*显示附件
*@param  ATTACHMENT_ID
*@param  ATTACHMENT_NAME
*@return 
*/
function showAttachment($ATTACHMENT_ID,$ATTACHMENT_NAME) {
	global $_lang;

	$ATTACHMENT_ID_ARRAY   = explode(",",$ATTACHMENT_ID);
	$ATTACHMENT_NAME_ARRAY = explode("*",$ATTACHMENT_NAME);
	$ARRAY_COUNT           = sizeof($ATTACHMENT_ID_ARRAY);
	
	ob_start();
	for($I=0;$I<$ARRAY_COUNT;$I++)
	{
		if($ATTACHMENT_ID_ARRAY[$I]=="")
			break;			
		$ATTACH_SIZE = attach_size($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I])/1024;
		$ATTACH_SIZE = number_format($ATTACH_SIZE,0, ".",",");
		?>
		<table border="0" cellpadding="0" cellspacing="0">
			<tr>
				<?
					//如果附件是OFFICE的文件,则有编辑和删除			
					if(stristr($ATTACHMENT_NAME_ARRAY[$I],".docx")||stristr($ATTACHMENT_NAME_ARRAY[$I],".doc")||stristr($ATTACHMENT_NAME_ARRAY[$I],".ppt")||stristr($ATTACHMENT_NAME_ARRAY[$I],".xls"))
					{
				?>
				<td>
					<?
					if (stristr($ATTACHMENT_NAME_ARRAY[$I],".docx") || stristr($ATTACHMENT_NAME_ARRAY[$I],".doc")) {
					?>
					<i class="fa fa-file-word-o fa-lg" style="color:gray"></i>&nbsp;
					<?	
					}
					?>
					<?
					if (stristr($ATTACHMENT_NAME_ARRAY[$I],".ppt")) {
					?>
					<i class="fa fa-file-powerpoint-o fa-lg" style="color:gray"></i>&nbsp;
					<?	
					}
					?>
					<?
					if (stristr($ATTACHMENT_NAME_ARRAY[$I],".xls")) {
					?>
					<i class="fa fa-file-excel-o fa-lg" style="color:gray"></i>&nbsp;
					<?	
					}
					?>
					
				</td>
				<td>
					<a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>" target="_blank" title="<?=$ATTACHMENT_NAME_ARRAY[$I]?>"><?=substrGB($ATTACHMENT_NAME_ARRAY[$I],20,'...')?></a>
				</td>
				<?}elseif (stristr($ATTACHMENT_NAME_ARRAY[$I],".gif")||stristr($ATTACHMENT_NAME_ARRAY[$I],".jpg")||stristr($ATTACHMENT_NAME_ARRAY[$I],".png")) {?>
					<td>
						<i class="fa fa-file-image-o fa-lg" style="color:gray"></i>&nbsp;
					</td>
					<td>
						<a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>" target="_blank" title="<?=$ATTACHMENT_NAME_ARRAY[$I]?>"><?=substrGB($ATTACHMENT_NAME_ARRAY[$I],20,'...')?></a>
					</td>
				<?}else{?>
					<td>
						<?
						if (stristr($ATTACHMENT_NAME_ARRAY[$I],".txt")) {
						?>
						<i class="fa fa-file-text-o fa-lg" style="color:gray"></i>&nbsp;
						<?	
						}else{
						?>
						<i class="fa fa-file-archive-o fa-lg" style="color:gray"></i>&nbsp;
						<?	
						}
						?>
					</td>
					<td>
						<a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>" target="_blank" title="<?=$ATTACHMENT_NAME_ARRAY[$I]?>"><?=substrGB($ATTACHMENT_NAME_ARRAY[$I],20,'...')?></a>
					</td>
				<?}?>
				<td>
					<?
					//如果附件是OFFICE的文件,则有编辑和删除			
					if(stristr($ATTACHMENT_NAME_ARRAY[$I],".doc")||stristr($ATTACHMENT_NAME_ARRAY[$I],".ppt")||stristr($ATTACHMENT_NAME_ARRAY[$I],".xls"))
					{
					?>
				</td>
				<td nowrap>
					<span style="color:#007fcb;cursor:pointer" class="attachmentlink" onClick="window.open('/iWebOffice/DocumentEdit.php?EditType=2&UserName=<?=$_SESSION["LOGIN_USER_ID"]?>;&ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');">&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["common_edit"]?></span>
				</td>
				<td>&nbsp;</td>
				<td nowrap>
					<?
					}
					?>
					<span style="color:#007fcb;cursor:pointer" class="attachmentlink" onClick="delete_attach('<?=$ATTACHMENT_ID_ARRAY[$I]?>','<?=$ATTACHMENT_NAME_ARRAY[$I]?>');">&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["common_del"]?></span>
				</td>
				<td>
					&nbsp;(<?=$ATTACH_SIZE?><?="K"?>)
				</td>					
			</tr>
		</table>
	<?
	}
	$resultStr = ob_get_contents();
	ob_clean();
	return $resultStr;
}
?>
