<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      日志管理
* @encoding      $_lang['encoding']
* @name          general/ArchivesManagement/diary.php
* @version       1.0
* @author        Lj
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/archives.class.php");
include_once("inc/function_page_01.php");
include_once("general/ArchivesManagement/arc_functionall.php");
includelangpak("archives");
includelangpak("asset");

$checkArr[] = $_REQUEST['showid'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

$showid    = $_REQUEST["showid"];
$showtable = $_REQUEST["showtable"];
//判断权限
$checkdiff = $_REQUEST["checkdiff"];
$CheckLimit = Arc_CheckMenuLimit($showtable,$checkdiff,$showid);
if($CheckLimit==false)
{
	Message("",$_lang["asset_vehicles_check_limit"]);
	exit;
}
//获取名称
$arcapi = new Archive();
$namearray = $arcapi->Arc_GetDataInfor($showid,$showtable);
$showname = "";
switch($showtable){
	case "arc_volumelibrary":
		$showname = $namearray["VOLUME_NAME"];
	break;	
	case "arc_document":
		$showname = $namearray["DOC_NAME"];
	break;	
	case "arc_file":
		$showname = $namearray["FILE_NAME"];
	break;	
	case "arc_read":
		$showname = "123";
	break;	
}

$PAGE_TITLE	= $_lang["archives_volumelibrary_mgr"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 

<script type="text/javascript" src="/inc/common.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
		
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
		
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>

<style type="text/css">
	body, html {
		overflow: auto;
	}

    .form_table td:first-child {
		text-align: right;
		width: 20%;
		padding-right: 20px;
	}

	.lazy_header .btn {
		margin-right: 1px;
	}
</style>
</head>
<body>
<table width="100%">
	<tr>
    	<td align="center">
        	<span style="color:#1d93d3;font-weight:bold;"><?=$showname?></span>
        </td>
    </tr>
	<tr>
      	<td style="background:url('/images/8/msg/headline.png') center no-repeat;" height="4">&nbsp;<? pageHeadItem("under_file",1,1,1,1) ?>	</td>
	</tr>
</table>
<table width="100%">
	<tr>
		<td><div class="log_list_wrap"></div></td>
	</tr>
</table>
<div style="height:40px;border-top:1px solid lightgray;margin-top:5px;bottom:2px;position:absolute;width:100%">
	<div style="height:5px;">&nbsp;</div>
	<span style="float:right;"><a class="btn btn-default" style="color:white;" onclick="dialog_close()">关闭</a></span>
</div>
</body>
</html>
<script>

function dialog_close(){
	if ("<?=$showtable?>"=="arc_volumelibrary") {
		window.parent.$(".Log_Volume_Dialog").dialog("close");
	}else if ("<?=$showtable?>"=="arc_document") {
		window.parent.$(".Log_Doc_Dialog").dialog("close");
	}else if ("<?=$showtable?>"=="arc_file") {
		window.parent.$(".Log_File_Dialog").dialog("close");
	}

}

$(function(){
	var documentListTable = $(".log_list_wrap").LazyTable({
			column : [{
				key : "LOG_TYPE_NAME",
				title : "<?=$_lang["archives_diary_type"]?>",
			}, {
				key : "name",
				title : "<?=$_lang["archives_diary_person"]?>"
			}, {
				key : "LOG_DATE",
				title : "<?=$_lang["archives_diary_datetime"]?>"

			}, {
				key : "LOG_IP",
				title : "IP"
			}],
			dataSource : "Volumelibrary/juanku_do.php",
			param : {
				op : "getvolumelibrarylog",
				showid:"<?=$showid?>",
				showtable:"<?=$showtable?>"
			},
			sort : {
				items : [{
					key : "LOG_TYPE",
					title : "<?=$_lang["archives_diary_type"]?>",
				}, {
					key : "LOG_USER",
					title : "<?=$_lang["archives_diary_person"]?>"
				}, {
					key : "LOG_DATE",
					title : "<?=$_lang["archives_diary_datetime"]?>"
				}, {
					key : "LOG_IP",
					title : "IP"
				}],
				onItemClick : function(key, sortType) {
					$(".log_list_wrap").LazyTable("reload",{
						param:{
							sortField:key,
							sortType:sortType,
						},
					});
				}
			},
			onAfterLoad:function(){
				 $(':checkbox.lazy_table_checkbox').iCheck({
                    checkboxClass : 'icheckbox_square-grey',
                    radioClass : 'iradio_square-grey'
                });

				 $(':checkbox.lazy_table_checkall').iCheck({
                    checkboxClass : 'icheckbox_square-blue',
                    radioClass : 'iradio_square-blue'
                });
			}
		});

		$(".log_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
			$(".log_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
		});

		$(".log_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
			if ($(this).prop("checked")) {
                    if ($(".log_list_wrap").find(".lazy_table_checkbox").filter(function() {
                        return $(this).prop("checked") == false;
                    }).length == 0) {
                        $(".log_list_wrap").find(".lazy_table_checkall").prop("checked", true);
                    }
                } else {
                    $(".log_list_wrap").find(".lazy_table_checkall").prop("checked", false);
                }

                $(":checkbox").iCheck('update'); 
		});

})

</script>