<?php
/**
 * @Systemname:       E-Office
 * @Filename:         general/attendance/docenter/import_do.php
 * @Function:         我的人事/通讯录导入数据处理
 * @Encoding:         $_lang['encoding']
 * @Author:           www.weaver.com.cn
 * @Date:             2012-5-07
 * @File Version:     2.0
 * @Eoffice Version:  8.0
 */
//加载语言
include_once("inc/auth.php");
include_once('general/address/pubcenter/py.php');
include_once("inc/utility.php");
include_once("inc/csv.php");
include_once("inc/imp_exp/imp_exp.php");
includelangpak("hr");

$TableName = $_REQUEST['TableName'];
$csvfile = getenv("DOCUMENT_ROOT") . "attachment/" . $_REQUEST["csvfile"];
$csv = new CSV();
$csv->file = $csvfile;
$csv->spot = ",";
$csv->open(0);
$data = $csv->getCsvData();
$total = count($data);
$successNum = 0;
$failNum = 0;
$data_new_field = array();
$csvlist = substr($_REQUEST["nlist"], 0, -1);
if ($_REQUEST['data_str'] != "") {
    $data_field = $_REQUEST['data_str'];
    $data_field = explode(",", rtrim($data_field, ","));
    foreach ($data_field as $key => $value) {
        $arr = explode(":", $value);
        $data_new_field[$arr[0]] = $arr[1] - 1;
    }
    unset($_SESSION['impData']);
} else {
    $data_field = $_SESSION['impData'];
    foreach ($data_field as $key => $value) {
        $data_new_field[$value["code"]] = $value["idSelect"];
    }
    unset($_SESSION['impData']);
}
$thead = "<thead style=\"border-bottom:1px solid lightgray;background-color:#F7F7F7;\">
<th style=\"text-align:center\">" . $_lang["hr_address_order_number"] . "</th>
<th style=\"text-align:center\">" . $_lang['hr_add_name'] . "</th>
<th style=\"text-align:center\">" . $_lang['hr_add_sex'] . "</th>
<th style=\"text-align:center\">" . $_lang["hr_imp_status"] . "</th>
<th style=\"text-align:center\">" . $_lang["hr_imp_note"] . "</th></thead>";
foreach ($data as $key => $value) {
    $data_sql_str = "";
    $data_in_str = "";
    $add_name = '';
    foreach ($data_new_field as $keys => $values) {
        $cur_group_name = "";
        $data_sql_str .= "A" . $keys . ",";
        /**
        *@params 通讯录模块，根目录批量导入分组信息
        *@date 2016.5.20
        *@modify wangzz
        */
        if($keys == '10'){
            $cur_group_name = trim($value[$data_new_field['10']]);
            $find_group_id_sql = "SELECT GROUP_ID FROM address_group WHERE GROUP_NAME = '" . SecurityFilter($cur_group_name) . "'";
            $find_group_id_sql_result = exequery($connection, $find_group_id_sql);
            $cur_group_arr = mysql_fetch_array($find_group_id_sql_result);
            $GROUP_ID = $cur_group_arr['GROUP_ID'];
            $data_in_str .= $GROUP_ID . ",";
        }else{
            $data_in_str .= trim($value[$data_new_field[$keys]]) . ",";
        }
        $addrname = trim($value[$data_new_field['1']]);
        $add_name = $addrname;
        $addrsex = trim($value[$data_new_field['2']]);
        if ($addrname == "") {
            $failArr[$key]['addrname'] = $addrname;
            $failArr[$key]['addrsex'] = $value[$data_new_field['2']] != "" ? ($value[$data_new_field['2']]) : "";
            $failArr[$key]['importnote'] = $_lang['hr_address_name_cannot_emtpy'];
            $failNum++;
            continue;
        }
    }
    $data_sql_str = substr($data_sql_str, 0, -1);
    $data_in_str = "'" . str_replace(",", "','", substr($data_in_str, 0, -1)) . "'";
    $data_sql_str = $data_sql_str . ",ADD_TYPE,NAME_PINYIN,NAME_INDEX,A11,A12";
    $data_in_str =
        $data_in_str . ',\'' . $address_type . '\',\'' . Pinyin($add_name, 'gbk') . '\',\'' . substr(Pinyin($add_name, 'gbk'), 0, 1) . '\',\''. $LOGIN_USER_ID . '\',NOW()';
    $query = "INSERT INTO ADDRESS(" . SecurityFilter($data_sql_str) . ") VALUES (" . SecurityFilter($data_in_str) . ")";
    exequery($connection, $query);
    $successNum++;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=<?= $_lang['encoding'] ?>"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <meta http-equiv="content-type" content="text/html; charset=<?= $_lang['encoding'] ?>"/>
    <link type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css" rel="stylesheet"/>
    <link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
    <link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
    <link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css"/>
    <link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
</head>
<style type="text/css">
    .main_wrap {
        border-bottom: 1px solid lightgray;
    }

    .field_table tr:hover {
        background-color: #FFE4E1;
    }
</style>
<body>
<div class="lazy_header">
  <span class="lazy-page-title">
	  <i class="fa fa-page-title"></i>
	  <span class="tip"><?= $_lang["hr_import_result"] ?></span>
    <span style="margin-left:15px;"><?= $importResult ?></span>
  </span>
    <button type="button" id="back" class="btn btn-default"><?= $_lang["common_back"] ?></button>
</div>
<div class="fail_data_display_area">
    <table cellpadding="5" width="100%" class="table">
        <?

        if (count($failArr) > 0) {
            $addrsql = "SELECT * FROM address_group WHERE 1";
            $address = exequery($connection, $addrsql);
            while ($grouprow = mysql_fetch_array($address)) {
                $grouptype[$grouprow["TYPE_ID"]] = $grouprow["TYPE_NAME"];
            }
            echo $thead;
            foreach ($failArr as $key => $value) {
                echo "<tr style='text-align:center;'><td>" . ($key + 1) . "</td><td>" . $value["addrname"] . "</td><td>" . $value["addrsex"] . "</td><td style='color:red;'>失败</td><td style='color:red;'>" . $value["importnote"] . "</td></tr>";
            }
        } else {
            ?>
            <div class="alert alert-success"><?= $_lang["hr_data_import_success"] ?></div>
            <?
        }

        function customFieldImport($F_Table, $Common_Id, $Field_Name, $Import_Data, $Field_Data)
        {
            if ($F_TABLE == "address") {
                importAddress();
            }
        }

        //通讯录自定义字段导入
        function importAddress()
        {

        }

        ?>
    </table>
</div>
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/lang/<?= $_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script>
    $(function () {
        $("#back").click(function () {
            window.location = "/general/address/view/group_labs.php?address_type=<?=$_REQUEST['address_type']?>&group_id=<?=$_REQUEST["GROUP_ID"]?>";
        });
    });
</script>