<?
/**
 * Systemname:       E-Office
 * Filename:         general/cooperation
 * Function:         协作
 * Encoding:         $_lang['encoding']
 * Author:           www.weaver.com.cn
 * Date:             2008-12-19
 * File Version:     1.0
 * Eoffice Version:  6.0
*/

//加载语言
include_once("inc/auth.php");
includelangpak("hr");
$type = "only";
$PAGE_TITLE = '';
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<style>
.add {
      background-image:url(<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/havedone.gif) !important;
}
.option{
    background-image:url(<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/attach_edit.png) !important;
}
.remove{
    background-image:url(<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/delete.gif) !important;
}
</style>
<link rel="stylesheet" type="text/css" href="/inc/ext/ext-all.css" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<!-- GC -->
<!-- LIBS -->
<script type="text/javascript" src="/inc/ext/ext-base.js"></script>
<!-- ENDLIBS -->
<script type="text/javascript" src="/inc/ext/ext-all.js"></script>
<script type="text/javascript" src="/inc/ext/ext-lang-zh_CN.js"></script>
<script>
Ext.onReady(function(){ 
    Ext.QuickTips.init();
    // 缩写的别名 
    var fm = Ext.form; 
    // 列模型定义了表格所有列的信息, 
    // dataIndex 将特定的列映射到数据源(Data Store)中的数据列(在后面创建) 
    var cm = new Ext.grid.ColumnModel([ 
        { 
           id:'id', 
           header: "<?=$_lang["hr_number"]?>", 
           dataIndex: 'id', 
           width: 50 
        }, 
        { 
           id:'name', 
           header: "<?=$_lang["hr_field_name"]?>", 
           dataIndex: 'name', 
           width: 120
        },
        {
           header: "<?=$_lang["hr_field_attribute"]?>", 
           dataIndex: 'property', 
           width: 100
        },
        {
           header: "<?=$_lang["hr_field_set"]?>", 
           dataIndex: 'type',
           width: 95
        },
        {
           header: "<?=$_lang['hr_if_concert']?>", 
           dataIndex: 'importent',
           width:95
        },
        {
           id:'explain',
           header: "<?=$_lang["hr_field_desc"]?>", 
           dataIndex: 'explain',
           width: 295
        }
    ]); 

    // 默认情况下列是可排序的 
    cm.defaultSortable = true; 

    // 定义一个用户对象,这样便于我们动态的添加记录,虽然也可以设置成匿名内置对象 
    var Field = Ext.data.Record.create([ 
           // 下面的 "name" 匹配读到的标签名称
           {name: 'id', type: 'int' }, 
           {name: 'name', type: 'string'}, 
           {name: 'property', type: 'string'}, 
           {name: 'type', type: 'string'}, 
           {name: 'importent', type: 'string'},
           {name: 'explain', type: 'string'} 
      ]); 

    // 创建 Data Store 
    var store = new Ext.data.Store({ 
        // 使用 HTTP 加载 
        url: '/general/address/pubcenter/field_xml.php', 

        // 因为返回值是 XML, 所以我们创建一个解析器 
        reader: new Ext.data.XmlReader({ 
               // 记录必须包含 "user" 标签 
               record: 'field' ,
               id: 'id'
           }, Field), 

        sortInfo:{field:'name', direction:'ASC'}// 排序信息 
    }); 
    // 创建编辑器表格 
    var grid = new Ext.grid.GridPanel({ 
    	bodyStyle:'width:100%',
		autoWidth:true,	
        store: store, 
        cm: cm, 
        renderTo: 'editor-grid', 
        height:510, 
        autoExpandColumn:'explain', 
        title:'<?=$_lang['hr_field_manage']?>',// 标题 
        frame:true, 
        //clicksToEdit:1,//设置点击几次才可编辑 
        selModel: new Ext.grid.RowSelectionModel({singleSelect:false}),//设置单行选中模式, 否则将无法删除数据 
        loadMask: true,
	
        // 顶部工具栏按钮 
        tbar:[{
            text:'<?=$_lang['hr_add']?>',
            tooltip:'<?=$_lang['hr_add_record']?>',
            iconCls:'add',
            handler:handleAdd
        }, '-', {
            text:'<?=$_lang["hr_modify"]?>',
            tooltip:'<?=$_lang["hr_modify"]?>',
            iconCls:'option',
            handler:handleEdit
        },'-',{
            text:'<?=$_lang['hr_delete']?>',
            tooltip:'<?=$_lang['hr_delete_record']?>',
            iconCls:'remove',
            handler:handleDelete
        }]
    }); 

    // 单元格编辑后事件处理 
    grid.render();
    // 触发数据加载 
    store.load();
     //员工信息表单
     var EmpForm = new Ext.FormPanel({
        frame: true,
        labelAlign: 'right',
        labelWidth: 120,
        width: 450,
        height:250,
        items: new Ext.form.FieldSet({
                title: '<?=$_lang["hr_set_field"]?>',
                autoHeight: true,
                defaults: {width: 200},
                defaultType: 'textfield',
        items: [new Ext.form.Hidden({
                name: 'id'
            }),{
                fieldLabel: '<?=$_lang["hr_field_name"]?>',
                name: 'name',
                allowBlank:false
            },new Ext.form.ComboBox({
                fieldLabel: '<?=$_lang["hr_field_attribute"]?>',
                hiddenName:'property',
                store: new Ext.data.SimpleStore({
                    fields: ['value', 'text'],
                    data : [[1,'<?=$_lang["hr_field_type_text"]?>'],[2,'<?=$_lang["hr_field_type_time"]?>']]
                }),
                valueField:'value',
                displayField:'text',
                typeAhead: true,
                mode: 'local',
                triggerAction: 'all',
                selectOnFocus:true,
                allowBlank:false
            }),new Ext.form.ComboBox({
                fieldLabel: '<?=$_lang['hr_if_concert']?>',
                hiddenName:'importent',
                store: new Ext.data.SimpleStore({
                    fields: ['value', 'text'],
                    data : [[1,'<?=$_lang['hr_concert']?>'],[2,'<?=$_lang["hr_not_concert"]?>']]
                }),
                valueField:'value',
                displayField:'text',
                typeAhead: true,
                mode: 'local',
                triggerAction: 'all',
                selectOnFocus:true,
                allowBlank:false
            }),new Ext.form.ComboBox({
                fieldLabel: '<?=$_lang["hr_field_set"]?>',
                hiddenName:'type',
                store: new Ext.data.SimpleStore({
                    fields: ['value', 'text'],
                    data : [[1,'<?=$_lang["hr_must_fillout"]?>'],[2,'<?=$_lang['hr_not_must_fillout']?>']]
                }),
                valueField:'value',
                displayField:'text',
                typeAhead: true,
                mode: 'local',
                triggerAction: 'all',
                selectOnFocus:true,
                allowBlank:false
            }),{
                fieldLabel: '<?=$_lang["hr_field_desc"]?>',
                name: 'explain',
                allowBlank:true
            }
            ]
         })
    });
     var EmpForm1 = new Ext.FormPanel({
        frame: true,
        labelAlign: 'right',
        labelWidth: 120,
        width: 450,
        height:250,
        items: new Ext.form.FieldSet({
                title: '<?=$_lang["hr_set_field"]?>',
                autoHeight: true,
                defaults: {width: 200},
                defaultType: 'textfield',
        items: [new Ext.form.Hidden({
                name: 'id'
            }),{
                fieldLabel: '<?=$_lang["hr_field_name"]?>',
                name: 'name',
                allowBlank:false
            },new Ext.form.ComboBox({
                fieldLabel: '<?=$_lang["hr_field_attribute"]?>',
                hiddenName:'property',
                store: new Ext.data.SimpleStore({
                    fields: ['value', 'text'],
                    data : [[1,'<?=$_lang["hr_field_type_text"]?>'],[2,'<?=$_lang["hr_field_type_time"]?>']]
                }),
                valueField:'value',
                displayField:'text',
                typeAhead: true,
                mode: 'local',
                triggerAction: 'all',
                selectOnFocus:true,
                allowBlank:false
            }),new Ext.form.ComboBox({
                fieldLabel: '<?=$_lang['hr_if_concert']?>',
                hiddenName:'importent',
                store: new Ext.data.SimpleStore({
                    fields: ['value', 'text'],
                    data : [[1,'<?=$_lang['hr_concert']?>'],[2,'<?=$_lang["hr_not_concert"]?>']]
                }),
                valueField:'value',
                displayField:'text',
                typeAhead: true,
                mode: 'local',
                triggerAction: 'all',
                selectOnFocus:true,
                allowBlank:false
            }),new Ext.form.ComboBox({
                fieldLabel: '<?=$_lang["hr_field_set"]?>',
                hiddenName:'type',
                store: new Ext.data.SimpleStore({
                    fields: ['value', 'text'],
                    data : [[1,'<?=$_lang["hr_must_fillout"]?>'],[2,'<?=$_lang['hr_not_must_fillout']?>']]
                }),
                valueField:'value',
                displayField:'text',
                typeAhead: true,
                mode: 'local',
                triggerAction: 'all',
                selectOnFocus:true,
                allowBlank:false
            }),{
                fieldLabel: '<?=$_lang["hr_field_desc"]?>',
                name: 'explain',
                allowBlank:true
            }
            ]
         })
    });
    //新建窗口
    var AddEmpWin = new Ext.Window({
                title: '<?=$_lang['hr_add_field']?>',
                layout:'fit',
                width:500,
                height:300,
                plain: true,
                items:EmpForm1,
                closeAction:"hide",
                buttons: [{
                    text:'<?=$_lang["common_save"]?>',
                    handler: AddRecord
                },{
                    text: '<?=$_lang["common_cancel"]?>',
                    handler: function(){
                        AddEmpWin.hide();
                    }
                }]
     });
     //编辑窗口
      var EditEmpWin = new Ext.Window({
                title: '<?=$_lang['hr_modify_field_set']?>',
                layout:'fit',
                width:500,
                height:300,
                plain: true,
                items:EmpForm,
                closeAction:"hide",
                buttons: [{
                    text:'<?=$_lang["common_save"]?>',
                    handler: UpdateRecord
                },{
                    text: '<?=$_lang["common_cancel"]?>',
                    handler: function(){
                        EditEmpWin.hide();
                    }
                }]
     });
     function ConvertFormValue(formvalue,send_f){  
         var ResultObject = new Object(); 
         for (var prop in formvalue) {  
	         if (formvalue[prop] != ""){
	              ResultObject[prop] = formvalue[prop]; 
	             } 
         } 
          ResultObject['f'] = send_f; 
         return ResultObject;  
        
      } 
      function ConvertResponseText(responsetext,wrapped,isobject){ 
        var ResultObject;
        var obj = eval("("+responsetext+")");
        if(wrapped){
	         for (var prop in obj) {  
	              if (typeof(prop) == 'string' && prop.substr(prop.length-6,prop.length) == 'Result') {  //去掉××Result 封装
	                   if(isobject){
	                        ResultObject = ConvertResponseDetail(obj[prop]); 
	                    } else {
	                        ResultObject = obj[prop]; 
	                    }
	                  break; 
	              } 
	          } 
          }else{
             if(isobject){
                  ResultObject = ConvertResponseDetail(obj); 
             } else {
                 ResultObject = obj; 
             }
          }
         return ResultObject;
  	}
  	/**//***私有方法**/
    function ConvertResponseDetail(obj){  
         var newResult = new Object(); 
         for (var rootProp in obj) {  
	       newResult[rootProp] = obj[rootProp]; 
	     }  
         return newResult;  
      }
     function handleAdd(){
        AddEmpWin.show(this);
    }  
    function handleEdit(){
     var selectedKeys = grid.selModel.selections.keys; //returns array of selected rows ids only
            if(selectedKeys.length != 1){
                Ext.MessageBox.alert('<?=$_lang['hr_alert']?>','<?=$_lang['hr_choose_record']?>');
            }else{
	        EditEmpWin.show(this);
	        //Ext.MessageBox.alert("提示",selectedKeys);
             Ext.MessageBox.show({
                           msg: '<?=$_lang['hr_connecting']?>',
                           progressText: '<?=$_lang['hr_requesting']?>',
                           width:300,
                           wait:true,
                           waitConfig: {interval:200}
                     });
            Ext.Ajax.request({
                    url: '/general/address/pubcenter/get_field_edit.php', //url to server side script
                    method: 'POST', 
                    params:{'field_id':selectedKeys[0]},//the unique id(s)
                    callback: function (options, success, response) {
                        if (success) { //success will be true if the request succeeded
                              Ext.MessageBox.hide();
                              //alert(response.responseText)
                              var formvalue = ConvertResponseText(response.responseText,false,true);
                              EmpForm.form.setValues(formvalue);
                        } else {
                             Ext.MessageBox.hide();
                             Ext.MessageBox.alert("<?=$_lang['hr_try_again']?>",response.responseText);
                        }
                    },
                    //the function to be called upon failure of the request (server script, 404, or 403 errors)
                    failure:function(response,options){
                        Ext.MessageBox.hide();
                        ReturnValue = Ext.MessageBox.alert("<?=$_lang["hr_attendance_warn"]?>","<?=$_lang['hr_connect_admin']?>");
                    },  
                    success:function(response,options){
                        Ext.MessageBox.hide();
                    }                                    
          })// end Ajax request 
        }
    } 
    function UpdateRecord(btn)
    {
        if (EmpForm.form.isValid()) {
                //btn.disabled=true;
                Ext.MessageBox.show({
                       msg: '<?=$_lang['hr_connecting']?>',
                       progressText: '<?=$_lang['hr_requesting']?>',
                       width:300,
                       wait:true,
                       waitConfig: {interval:200}
                 });
                 var formvalue = EmpForm.form.getValues();
                 var request =  ConvertFormValue(formvalue,'updaterecord');
                 //Ext.MessageBox.alert("提示",formvalues); 
                Ext.Ajax.request({
                        url: '/general/address/docenter/field_do.php', //url to server side script
                        method: 'POST', 
                        params:eval(request),//the unique id(s)
                        callback: function (options, success, response) {
                            if (success) { //success will be true if the request succeeded
                                  Ext.MessageBox.hide();
                                  var alertcontent= "<?=$_lang['hr_edit_success']?>";
                                  Ext.MessageBox.alert("<?=$_lang['hr_success']?>",alertcontent);
                            } else {
                                 Ext.MessageBox.hide();
                                 Ext.MessageBox.alert("<?=$_lang['hr_failure']?>",response.responseText);
                            }
                        },
                        //the function to be called upon failure of the request (server script, 404, or 403 errors)
                        failure:function(response,options){
                            Ext.MessageBox.hide();
                           ReturnValue = Ext.MessageBox.alert("<?=$_lang["hr_attendance_warn"]?>","<?=$_lang['hr_connect_admin']?>");
                        },  
                        success:function(response,options){
                        	EditEmpWin.hide();
                            Ext.MessageBox.hide();
                            store.reload();
                        }                                    
              })// end Ajax request 
         }
    }    
    
    function AddRecord(btn)
    {
        if (EmpForm1.form.isValid()) {
          //btn.disabled=true;
                   Ext.MessageBox.show({
                       msg: '<?=$_lang['hr_connecting']?>',
                       progressText: '<?=$_lang['hr_requesting']?>',
                       width:300,
                       wait:true,
                       waitConfig: {interval:200}
                 });
                 var formvalue = EmpForm1.form.getValues();
                 var request = ConvertFormValue(formvalue,'addrecord');
                Ext.Ajax.request({
                        url: '/general/address/docenter/field_do.php', //url to server side script
                        method: 'POST',
                        params:eval(request),//the unique id(s)
                        callback: function (options, success, response) {
                            if (success) { //success will be true if the request succeeded
                                  Ext.MessageBox.hide();
                                  //alert(response.responseText);
                                  var alertcontent = "<?=$_lang["hr_create_success"]?>";
                                  Ext.MessageBox.alert("<?=$_lang['hr_success']?>",alertcontent);
                            } else {
                                 Ext.MessageBox.hide();
                                 Ext.MessageBox.alert("<?=$_lang['hr_failure']?>",'<?=$_lang['hr_create_failed']?>');
                            }
                        },
                        //the function to be called upon failure of the request (server script, 404, or 403 errors)
                        failure:function(response,options){
                            Ext.MessageBox.hide();
                            ReturnValue = Ext.MessageBox.alert("<?=$_lang["hr_attendance_warn"]?>","<?=$_lang['hr_connect_admin']?>");
                        },  
                        success:function(response,options){
                        	AddEmpWin.hide();
                            Ext.MessageBox.hide();
                            store.reload();
                        }                                   
              })// end Ajax request 
                
        }
    }
    
    function handleDelete(){
      var selectedKeys = grid.selModel.selections.keys; //returns array of selected rows ids only
            if(selectedKeys.length > 0)
            {
                Ext.MessageBox.confirm('<?=$_lang['hr_alert']?>','<?=$_lang['hr_submit_delete']?>', deleteRecord);
            }
            else
            {
                Ext.MessageBox.alert('<?=$_lang['hr_alert']?>','<?=$_lang["hr_duty_chose_one"]?>！');
            }//end
    }  
   
    function deleteRecord(btn){
         if(btn=='yes'){
              var selectedRows = grid.selModel.selections.items;//returns record objects for selected rows (all info for row)
                var selectedKeys = grid.selModel.selections.keys;
                var send_del = "";
                for (var i = 0; i < selectedKeys.length; i++) { 
					send_del = send_del + selectedKeys[i]+'|';
				} 
                Ext.MessageBox.show({
                       msg: '<?=$_lang['hr_connecting']?>',
                       progressText: '<?=$_lang['hr_requesting']?>',
                       width:300,
                       wait:true,
                       waitConfig: {interval:200}
                 });
                Ext.Ajax.request({
                        url: '/general/address/docenter/field_do.php', //url to server side script
                        method: 'POST', 
                        params:{'del_id':send_del,'f':'deleterecord'},//the unique id(s)
                        callback: function (options, success, response) {
                            if (success) { //success will be true if the request succeeded
                                  Ext.MessageBox.hide();
                                  //alert(response.responseText);
                                   var alertcontent = "<?=$_lang['hr_delete_success']?>";
                                  Ext.MessageBox.alert("<?=$_lang['hr_success']?>",alertcontent);
                            } else {
                                 Ext.MessageBox.hide();
                                 Ext.MessageBox.alert("<?=$_lang['hr_failure']?>",response.responseText);
                            }
                        },
                        //the function to be called upon failure of the request (server script, 404, or 403 errors)
                        failure:function(response,options){
                            Ext.MessageBox.hide();
                            ReturnValue = Ext.MessageBox.alert("<?=$_lang["hr_attendance_warn"]?>","<?=$_lang['hr_connect_admin']?>");
                        },  
                        success:function(response,options){
                            Ext.MessageBox.hide();
                            store.reload();
                        }                                    
              })// end Ajax request 
         }//end if click 'yes' on button
    } // end deleteRecord
});

</script>
</head>
<body topmargin="0" rightmargin="0" scroll="no">
<h1> 
  <select name="select_1" id="select_1" style="display: none;"> 
  	  <option value="1"><?=$_lang["hr_field_type_text"]?></option> 
      <option value="2"><?=$_lang["hr_field_type_time"]?></option> 
  </select> 
  <select name="select_2" id="select_2" style="display: none;"> 
      <option value="1"><?=$_lang['hr_concert']?></option> 
      <option value="2"><?=$_lang["hr_not_concert"]?></option> 
  </select> 
  <select name="select_3" id="select_3" style="display: none;"> 
      <option value="1"><?=$_lang["hr_must_fillout"]?></option> 
      <option value="2"><?=$_lang['hr_not_must_fillout']?></option> 
  </select> 
  <!-- 放置可编辑控件的 DIV --> 
</h1> 
<div id="editor-grid"></div> 	
</body>