<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/address/view/group_in_out.php
 *@function:         个人/公共通讯录管理_导入导出
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-11-24
 *@file Version:     2.0
 *@eoffice Version:  8.0
*/
include ('inc/auth.php');
includelangpak("hr");
include_once("inc/address/add_function.php");

//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['address_type'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
if(!I($_REQUEST['group_id'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
$GROUP_ID  =$_REQUEST['group_id'];
if($GROUP_ID == ''){
	Message("",$_lang['hr_choose_group']);
	exit();
}

if($GROUP_ID !='' && $GROUP_ID !='0')
{
	$GROUP_NAME = getGroupNameByAddId($GROUP_ID,'');
}
else
{
	$GROUP_NAME = $_lang['hr_system_list'];
}

$PAGE_TITLE = $_lang["hr_list_manage"];
include_once("inc/page_header.inc.php");
?>
<head>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<style>
.a-upload {
	padding: 0 6px;
position: absolute;
line-height: 30px;
margin-left: 10px;
cursor: pointer;
background: #558ED5;
overflow: hidden;
font-size: 12px;
color: white;
}

.a-upload  input {
	position: absolute;
opacity: 0;
height: 30px;
filter: alpha(opacity=0);
cursor: pointer;
}

.a-upload:hover {
	background: #104E8B;
	color: white;
}
</style>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language=javascript src="/inc/common.js"></script>
<body>
	<form name="form_csv" method="post" action="/general/address/docenter/set_field.php" enctype="multipart/form-data">
		<div class="impexpdiv" style="margin-top:5px;">
			<fieldset>
				<legend id="frm2" style="font-size:15px;padding-left:10px;cursor:pointer;">
					<span onClick="showHiddenInfo('table2','token2')" title="<?=$_lang["common_expand"]?>/<?=$_lang["common_close"]?>" style="cursor:hand"><?=$_lang["hr_address_group_export"]?></span>
					<i class="fa fa-caret-down" onclick="showHiddenInfo('table2','token2');"></i>
				</legend>
				<table id="table2" class="form_table" style="width:100%">
					<tr>
						<td class="title" nowrap style="padding-left:20px;">
							<?=$_lang["hr_address_point_csv_file"]?>
						</td>
						<td>
							<div>
								<input type="text" id="ATTACHMENT_path" class="" size="30" readonly/>
								<span class="a-upload"><input type="file" name="CSV_FILE" id="CSV_FILE">请选择csv文件</span>
							</div>
							<input type="hidden" name="GROUP_ID" value="<?=$GROUP_ID?>">
							<input type="hidden" name="address_type" value="<?=$address_type?>">
						</td>
					</tr>
				</table>
				<div class="hide"></div>
			</fieldset>
			<fieldset>
				<legend id="frm1" style="font-size:15px;padding-left:10px;cursor:pointer;">
					<span onClick="showHiddenInfo('table1','token1')" title="<?=$_lang["common_expand"]?>/<?=$_lang["common_close"]?>" style="cursor:hand"><?=$_lang["hr_export"]?></span>
					<i class="fa fa-caret-down" onclick="showHiddenInfo('table1','token1');"></i>
				</legend>
				<table id="table1" cellspacing="8">
					<tr>
						<td style="padding-left:20px;">
							<ul>
								<li>
									<a href="/general/address/docenter/export_do.php?group_id=<?=$group_id?>"> <?=$_lang['hr_export_list']?>: <?=$GROUP_NAME?></a>
								</li>
							</ul>
						</td>
					</tr>
				</table>

				<div class="hide"></div>
			</fieldset>
		</div>
	</form>
	<div style="float:right;margin-right:10px;">
		<button type="button" class="btn btn-primary" id="submit" onclick="handleInOutGroup('1');"><?=$_lang["common_submit"]?></button>
	</div>
</body>
</html>
<script>
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 500;

	$("#CSV_FILE").change(function() {
		$("#ATTACHMENT_path").val($(this).val());
	});

/*	$("#submit").click(function() {
		alert('test');
		handleInOutGroup('1');
	});*/
});
//导入导出
function handleInOutGroup(send_id){
	if(send_id!=""){
		if($('#CSV_FILE').val()==''){
			//Ext.MessageBox.alert('<?=$_lang['hr_alert']?>','<?=$_lang['hr_choose_csv']?>');
			$.pnotify({
				text:"<?=$_lang['hr_choose_csv']?>",
				type:"error"
			});
			return false;
		}else{
			var file_str = $('#CSV_FILE').val();
			var exec = /\.[^\.]+$/.exec(file_str) ;
			if(exec!='.csv'){
				//Ext.MessageBox.alert('<?=$_lang['hr_alert']?>','<?=$_lang['hr_not_csv']?>');
				$.pnotify({
					text:"<?=$_lang['hr_not_csv']?>",
					type:"error"
				});
				return false;
			}
		}
		//parent.document.getElementById('submitButton').style.display='';
		form_csv.submit();
	}else{
		//Ext.MessageBox.confirm('<?=$_lang['hr_alert']?>','<?=$_lang['hr_choose_dir']?>');
		$.pnotify({
			text:"<?=$_lang['hr_choose_dir']?>",
			type:"error"
		});
	}

}
</script>