<?
/**
 *@Systemname:       E-Office
 *@Filename:         general/asset/config/index.php
 *@Function:         资产配置
 *@Encoding:         $_lang['encoding']
 *@Author:           liuqingyu
 *@Date:             2011-12-9
 *@File Version:     2.0
 *@Eoffice Version:  8.0
*/

include_once("inc/auth.php");
includelangpak("asset");
include_once("inc/utility_all.php");

$PAGE_TITLE = $_lang["asset_parameter_set"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypagination.js"></script>
<script language="javascript">
$(function(){
	$("select").selectpicker({width:100});
});
function CheckForm()
{
	bootbox.confirm("<?=$_lang["asset_comfirm_add_parameter_set"]?>",function(result) {
		if(result)
		{
			form1.submit();
		}
	});
}
</script>
</head>
<body>
<?
$check_cfg_rs = check_cfg();
?>
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["asset_parameter_set"]?></span>
	</span>
	<?
	if(!$check_cfg_rs)
	{
	?>
		<button type="button" class="btn btn-primary" onClick="CheckForm();"><?=$_lang["common_save"]?></button>
	<?
	}
	?>
</div>
<?
if($check_cfg_rs)
{
   $query="select * from CP_ASSETCFG";
   $cursor = exequery($connection,$query);
   if($ROW=mysql_fetch_array($cursor))
   {
	   $DPCT_SORT=$ROW["DPCT_SORT"];
	   $BAL_SORT=$ROW["BAL_SORT"];
   }
   
   if($DPCT_SORT=="M")
	  $DPCT_SORT_DESC= $_lang["common_month"];
   else if($DPCT_SORT=="S")
	  $DPCT_SORT_DESC= $_lang["asset_season"];
   else if($DPCT_SORT=="Y")
	  $DPCT_SORT_DESC= $_lang["common_year"];
	  
   if($BAL_SORT=="01")
	  $BAL_SORT_DESC= $_lang["asset_residuals"];
   else if($BAL_SORT=="02")
	  $BAL_SORT_DESC= $_lang["asset_residuals_rate"];
	?>
	<div class="configdiv" style="margin-left:20px;">
		<table border="0" cellspacing="0" width="100%" cellpadding="0" class="table">
		  <thead>
		  <tr>
			  <td nowrap="nowrap"><?=$_lang["asset_provision_depreciation_method"]?></td>
			  <td nowrap="nowrap"><?=$_lang["asset_residuals_approach"]?></td>
		  </tr>
		  </thead>
		  <tr>
			  <td nowrap  ><?=$DPCT_SORT_DESC?></td>
			  <td nowrap  ><?=$BAL_SORT_DESC?></td>
		  </tr>
	</table>
	<?
	}
	else
	{
	?>
	<table border="0" cellspacing="1" width="100%" cellpadding="5" class="form_table">
	 <form action="add.php" method="post" name="form1" id="form1">
	  <tr>
		  <td nowrap="nowrap" class='title'><?=$_lang["asset_provision_depreciation_method"]?></td>
		  <td nowrap="nowrap" align="left">
			  <select name="DPCT_SORT" id="DPCT_SORT" class="BigSelect" width="100">
				<option value="M" selected><?=$_lang["common_month"]?></option>
				<option value="S"><?=$_lang["asset_season"]?></option>
				<option value="Y"><?=$_lang["common_year"]?></option>
			  </select>
		  </td>
		  <td nowrap="nowrap" class='title'><?=$_lang["asset_residuals_approach"]?></td>
		  <td nowrap="nowrap" align="left">
			  <select name="BAL_SORT" id="BAL_SORT" class="BigSelect" width="100">
				<option value="01" selected><?=$_lang["asset_residuals"]?></option>
				<option value="02"><?=$_lang["asset_residuals_rate"]?></option>
			  </select>
		  </td>
	  </tr>
	 </form>
	</table>
	<?
	}
	?>
	<br>
	<table border="0" width="100%" cellspacing="0" cellpadding="3">
		<tr>
			<td ><?=$_lang["asset_add_sub_type"]?>
			</td>
		</tr>
	</table>
	<table border="0" cellspacing="0" width="100%" cellpadding="5" class="table table-hover">
	  <thead>
	  <tr>
		  <td nowrap="nowrap" width="80" ><?=$_lang["asset_type"]?></td>
		  <td nowrap="nowrap" width="80" ><?=$_lang["asset_supplies_name"]?></td>
		  <td nowrap="nowrap" ><?=$_lang["asset_description"]?></td>
	  </tr>
	  </thead>
	<?
	   $query="select * from CP_PRCS_PROP order by PRCS_CLASS";
	   $cursor = exequery($connection,$query);
	   $ROW_COUNT=0;
	   while($ROW=mysql_fetch_array($cursor))
	   {
		   $ROW_COUNT++;
		   $PRCS_CLASS     = $ROW["PRCS_CLASS"];
		   $PRCS_DESC      = $_lang[$ROW["PRCS_DESC"]];
		   $PRCS_LONG_DESC = $_lang[$ROW["PRCS_LONG_DESC"]];
	   
		   if(substr($PRCS_CLASS,0,1)=="A")
			  $PRCS_CLASS_DESC= $_lang["asset_increase"];
		   else if(substr($PRCS_CLASS,0,1)=="D")
			  $PRCS_CLASS_DESC= $_lang["asset_decrease"];
			  
		   if($ROW_COUNT%2)
			  $TableLine="tableline1";
		   else
			  $TableLine="tableline2";
	  ?>
	  <tr>
		  <td nowrap width="80" ><?=$PRCS_CLASS_DESC?></td>
		  <td nowrap width="80" ><?=$PRCS_DESC?></td>
		  <td width="300" align="left"><?=$PRCS_LONG_DESC?></td>
	  </tr>
	<?
	   }
	?>
	</table>
</div>		
</body>
</html>
