<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/attendance/manage/index.php
 *@function:         考勤管理-考勤校验
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-11-28
 *@file Version:     8
 *@eoffice Version:  8.3
*/
include_once("inc/auth.php"); 
includelangpak("hr,attend");
include_once("inc/function_page_01.php");
include_once("inc/function_usergeneral.php");
include_once("api/attend.class.php");

$PAGE_TITLE = $_lang["hr_attend_verify"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
.userleft {
	float: left;
	border-right: 1px solid #D9D9D9;	
}
.ui-front {
	z-index: 9100;
}
#userleft {
	width:303px;
	height: 100%;
}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script Language="javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script language="javascript">
jQuery(function(){
	var theCurrentId = '<?=$_SESSION['LOGIN_USER_ID']?>';
	var theCurrentName = '<?=$_SESSION['LOGIN_USER_NAME']?>';

	selectCheckManager(theCurrentId, theCurrentName);

	$(".arrow").LazyToggle({
		showTip : PerformanceLang.performanceGroupDisplay,
		autoHide : false,
		hideTip : PerformanceLang.performanceGroupNone,
		onAfterShow : function() {
			$(".userleft").show();
			$(".setForm").css("margin-left", "303px");
		},
		onAfterHide : function() {
			$(".userleft").hide();
			$(".setForm").css("margin-left", "0px");
		}	
	});

	$("#submit").click(function() {
		var url  = "do.php";
		var checkManager = $("#CHECK_MANAGER_ID").val();
		var checkDept = $("#CHECK_DEPT_ID").val();
		var checkRole = $("#CHECK_ROLE_ID").val();
		var checkUser = $("#CHECK_USER_ID").val();
	    var data = "type=saveCheckSet&checkManager="+checkManager+"&checkDept="+checkDept+"&checkRole="+checkRole+"&checkUser="+checkUser;

		$.ajax({
		   url:url,
		   data:data,
		   type:"POST",
		   success:function(resp){
			   $.pnotify({
					text:EOlang.msgDataSaveOK,
					type:"success"
				});
		   }
		});
	});

	//部门树
	var setting = {
		view: {
			showLine:false,
			showIcon:false,
			selectedMulti:false,
			dblClickExpand:false,
			addDiyDom:addDiyDom
		},

		async: {
			enable:true,
			url:'do.php',
			autoParam:['id'],
			otherParam: {
				type:'getDeptList'
			}
		},

		callback: {
			onClick:function(event, treeId, treeNode) {
		        var treeObj = $.fn.zTree.getZTreeObj(treeId);  //根据 treeId 获取 zTree 对象的方法
				var selectedNode = treeObj.getSelectedNodes()[0];//获取zTree当前被选中的节点数据集合
				var userId = selectedNode.id;
				theCurrentId = userId;
				selectCheckManager(selectedNode.id, selectedNode.name);
			},

			//滚动条
			onExpand:function() {
			   $(".outsidediv").getNiceScroll().resize();
		    },

			onAsyncSuccess:zTreeOnAsyncSuccess
		}
	}

	function zTreeOnAsyncSuccess(event, treeId, treeNode, msg) {
	    //初始化的时候选中第一个节点
	    if (treeNode === undefined) {
	        zTree_Menu = $.fn.zTree.getZTreeObj("deptTree");
	        zTree_Menu.selectNode(zTree_Menu.getNodes()[0]);
	    }
	}

	function addDiyDom(treeId, treeNode) {
	    var spaceWidth = 10;
	    var switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
	    switchObj.remove();
	
		if(treeNode.tId != "deptTree_1") {
			icoObj.before(switchObj);
			var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
		}

	    switchObj.before(spaceStr);
	}

	var treeObj = $("#deptTree");
	$.fn.zTree.init(treeObj, setting);

	function selectCheckManager(userId, userName)
	{
		$("#CHECK_MANAGER_ID").val(userId);
	    $("#CHECK_MANAGER").html(userName);

	    var data = "type=getUserCheckSet&userId="+userId;
		var url  = "do.php";
		$.ajax({
		   url:url,
		   data:data,
		   type:"POST",
		   success:function(resp){
			   var jsonData = eval("("+resp+")");

			   $("#CHECK_DEPT_ID").val(jsonData.checkDept);
			   $("#CHECK_DEPT").val(jsonData.checkDeptName);
			   $("#CHECK_ROLE_ID").val(jsonData.checkRole);
			   $("#CHECK_ROLE").val(jsonData.checkRoleName);
			   $("#CHECK_USER_ID").val(jsonData.checkUser);
			   $("#CHECK_USER").val(jsonData.checkUserName);
		   }
		});
	}
});

function showDialog(frameSrc)
{
	$('#verifyifr').attr('src',frameSrc);
	$('#verifyDialog').dialog('open');
}
</script>
<body>
	<div id="userleft" class="userleft" style="float:left;">
		<div class="lazy_header">
			 <span class="lazy-list-title">
				<i class="fa fa-list-title"></i>
				<span class="tip"><?=$_lang["attend_user_list"]?></span>
			</span>
			<div id="usersearch" style="float:right;margin-top:5px;"></div>
		</div>
		<div class="outsidediv">
			<div id="deptTree" class="ztree" style="width:100%"></div>
		</div>
	</div>
	<div class="setForm" style="margin-left:303px;">
		<div class="lazy_header">
			<div class="arrow" id="arrow"></div>
			<span class="lazy-page-title">
				<i class="fa fa-page-title"></i>
				<span class="tip"><?=$_lang["attend_check_set"]?></span>
			</span>	
			<button type="button" id="submit" class="btn btn-primary"><?=$_lang["common_save"]?></button>
		</div>
		<div id="setCheck" style="margin-top:20px;">	
			<form id="form1" name="form1" class="form_table">
				<table width="100%" cellspacing="0" cellpadding="5" class="form_table">
					<tr>
						<td nowrap class="title"><?=$_lang["attend_check_manager"]?></td>
						<td><span id="CHECK_MANAGER" name="CHECK_MANAGER" readonly disabled></span></td>
					</tr>
					<tr>
						<td class="title"><?=$_lang["attend_check_dept"]?></td>
						<td>
							<textarea class="field-val" style="overflow:auto;width:250px;height:100px;" name="CHECK_DEPT" id="CHECK_DEPT" readonly disabled></textarea>
							<button type="button" class="btn btn-primary" style="vertical-align:bottom;" onclick="LoadWindowDept('CHECK_DEPT_ID','CHECK_DEPT','form1');" ><?=$_lang["common_choose"]?></button>
						</td>
					</tr>
					<tr>
						<td class="title"><?=$_lang["attend_check_role"]?></td>
						<td>
							<textarea class="field-val" style="overflow:auto;width:250px;height:100px;" name="CHECK_ROLE" id="CHECK_ROLE" readonly disabled></textarea>
							<button type="button" class="btn btn-primary" style="vertical-align:bottom;" onclick="LoadCompatWindowPriv(event,'CHECK_ROLE_ID','CHECK_ROLE','form1');" ><?=$_lang["common_choose"]?></button>
						</td>
					</tr>
					<tr>
						<td class="title"><?=$_lang["attend_check_user"]?></td>
						<td>
							<textarea class="field-val" style="overflow:auto;width:250px;height:100px;" name="CHECK_USER" id="CHECK_USER" readonly disabled></textarea>
							<button type="button" class="btn btn-primary" style="vertical-align:bottom;" onclick="LoadWindowUser('CHECK_USER_ID','CHECK_USER','form1');" ><?=$_lang["common_choose"]?></button>
						</td>
					</tr>
				</table>
			</form>
		</div>
	</div>
	<input type='hidden' name='CHECK_MANAGER_ID' id='CHECK_MANAGER_ID'>
	<input type='hidden' name='CHECK_DEPT_ID' id='CHECK_DEPT_ID'>
	<input type='hidden' name='CHECK_ROLE_ID' id='CHECK_ROLE_ID'>
	<input type='hidden' name='CHECK_USER_ID' id='CHECK_USER_ID'>
</body>
</html>