<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/attendance/manage/out/out_mgr.php
 *@function:         考勤信息管理-外出管理
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 Lj
 *@date:             2012-09-25
 *@file Version:     4.0
 *@eoffice Version:  8.3
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/attend.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("hr,customer");

// 解析关联流程FLOW_ID
$attendConfig = @parse_ini_file(ROOT_PATH.'building/config/attend_config.ini');
if(empty($attendConfig)) {
	$attendConfig = array(
	    'attend_out_flow_id' => 2002
	);
}

$PAGE_TITLE = $_lang["hr_duty_check_out_all"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<SCRIPT language=javascript src="/inc/common.js"></SCRIPT>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--语言包-->
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/date.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-ui-daterangepicker/css/ui.daterangepicker.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/daterangepicker.jQuery.compressed.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script language="javascript" src="/inc/follow.js"></script>
<script language="javascript">
$(function(){
	$.pnotify.defaults.styling = "bootstrap3";
		$.pnotify.defaults.closer = false;
		$.pnotify.defaults.sticker = false;
		$.pnotify.defaults.history = false;
		$.pnotify.defaults.delay = 500;
	$(".out_list").LazyTable({
		column:[
			{
				key:'USER_NAME',
				title:'<?=$_lang["hr_duty_out_outer"]?>'
			},
			{
				key:'OUT_TYPE',
				title:'<?=$_lang["hr_duty_ask_out"].$_lang["common_reason"]?>',
				width:500
			},
			{
				key:'OUT_DATE',
				title:'<?=$_lang["hr_duty_report_date"]?>'
			}
		],
		dataSource:'do.php',
		param:{op:"getOutList"},
		buttons:{
			buttonInfor:{
				"delete":{title:"<?=$_lang['common_del']?>",func:function(data){
					bootbox.confirm("<?=$_lang['common_del_alert']?>",function(result){
						if(result){
							jQuery.ajax({
							url:"/general/attendance/manage/delete.php",
							type:'POST',
							data:'TABLE=OUT&OUT_ID='+data.OUT_ID,
							success:function(result) {
								if(result == 'success') {
									$.pnotify({
										text: "<?=$_lang['customer_delete_success']?>",
										type : "success"
									});
									$(".out_list").LazyTable("reload");
								} else {
									$.pnotify({
										text: '<?=$_lang["common_deletefailed"]?>',
										type : "error"
									});
								}
							}
						});
						}
					});
				}},
				"view":{
					title : "<?=$_lang["hr_attend_related_flow_form"]?>",
					func : function(data) {
						viewFlow(data.RUN_ID,'<?=$attendConfig["attend_out_flow_id"]?>','','')
					},
				},
			},
			filter:function(data){
				if(data.RUN_ID) {
					return ["view","delete"];
				}else{
					return ["delete"];
				}
			}
		}
	});
	$(".search_wrap").LazySearch({
			tip : '<?=$_lang["hr_duty_out_outer"]?>',
			fieldSearch : {
				onItemClick : function(data, value) {
					$(".out_list").LazyTable("reload", {
							param:{searchField:data.key,searchValue:value,advancedSearchData:'',filter:''},
							page: {
                    			itemsPerPage: 10,
                    			currentPage: 0
                			}
						});
				},
				items : [{
					key : "USER_NAME",
					title : "<?php echo $_lang['hr_duty_out_outer'].$_lang['hr_contain']; ?>"
				}
				]
			},
			advancedSearch : {
				onSearch : function(data) {
					$(".out_list").LazyTable("reload", {
						param : {
							advancedSearchData : data,
							searchField:'',
							searchValue:''
						},
						page: {
                    			itemsPerPage: 10,
                    			currentPage: 0
                			}
					});
					$("input[tip='<?=$_lang['hr_duty_out_outer']?>']").val('');
				},
				items : [{
						 key : "date",
						 title : '<?=$_lang["hr_duty_report_date"]?>',
						 type : "text"
					}
					]
			},
			onClearButtonClick:function()
			{
				$(".out_list").LazyTable("reload", {
					param : {
						op:"getOutList",
						filter:'',
						advancedSearchData :'',
						searchField:'',
						searchValue:''
					},
					page: {
							currentPage: 0
					}
				});					
			}
		});
		$(":text[key='date']").daterangepicker({
			presetRanges:[],
		    dateFormat: "yy-m-d",
		    rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
		    rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
		    nextLinkText: '>',
		    prevLinkText: '<',
		    rangeSplitter: "--",
		    doneButtonText: EOlang.msgSubmit,
		    presets: {
		        dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
		    }
		});
		$(":text[key='date']").attr('readonly',true);
		$(":text[key='date']").val("<?=date('Y-m',time()).'-01'.'--'.date('Y-m-t',time())?>");

		$(".search_filter").LazyFilter({
			common : {
				template : "{title}",
				dataSource : [
				{
					key : "all_data",
					title : "<?=$_lang['common_show_allinfo']?>"
				},
				{
					key : "nearly_three_days",
					title : "<?=$_lang['nearly_three_days']?>"
				},
				{
					key : "this_week",
					title : "<?=$_lang['this_week']?>"
				},
				{
					key : "this_month",
					title : "<?=$_lang['this_month']?>"
				},
				{
					key : "last_month",
					title : "<?=$_lang['last_month']?>"
				},
				{
					key : "this_year",
					title : "<?=$_lang['this_year']?>"
				}]
			},
			onClick : function(key) {
				$("input[tip='<?=$_lang['hr_duty_out_outer']?>']").val('');
				if(key=="nearly_three_days"){
					$(".out_list").LazyTable('reload',{
						param:{filter:'3days',advancedSearchData:'',searchField:'',searchValue:''}
					});
				}else if(key=="this_week"){
					$(".out_list").LazyTable('reload',{
						param:{filter:'thisweek',advancedSearchData:'',searchField:'',searchValue:''}
					});
				}else if(key=="this_month"){
					$(".out_list").LazyTable('reload',{
						param:{filter:'thismonth',advancedSearchData:'',searchField:'',searchValue:''}
					});
				}else if(key=="last_month"){
					$(".out_list").LazyTable('reload',{
						param:{filter:'lastmonth',advancedSearchData:'',searchField:'',searchValue:''}
					});
				}else if(key=="this_year"){
					$(".out_list").LazyTable('reload',{
						param:{filter:'thisyear',advancedSearchData:'',searchField:'',searchValue:''}
					});
				}else{
					$(".out_list").LazyTable('reload',{
						param:{filter:'alldata',advancedSearchData:'',searchField:'',searchValue:''}
					});
				}
			}
		});
	$(".search_filter").find("li[data_key='all_data']").addClass('current');
});
</script>
</head>
<body>
	<div class="lazy_header">
		<div class="search_filter"></div>
		<div class="search_wrap" style="float:right;margin-top:5px"></div>
	</div>
	<div class="out_list"></div>
	<? showUserGeneralDiv() ?>
</body>
</html>