<?
/**
*@Systemname:       E-Office
*@Filename:         general/attendance/personal/duty/export_do.php
*@Function:         考勤导出处理页
*@Encoding:         $_lang['encoding']
*@Author:           www.weaver.com.cn
*@Date:             2012-09-26
*@File Version:     6.0
*@Eoffice Version:  8.3
*/
//加载语言
include_once("inc/auth.php");
include_once("api/attend.class.php");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
includelangpak("hr,attend");

$TableName = SecurityFilter($_REQUEST['table_name']);
$attend    = new attend();

if($TableName == 'person_attend') {
	$params['startDate'] = $_REQUEST['DATE1']?SecurityFilter(strtotime($_REQUEST['DATE1']." 00:00:00")):'';
	$params['endDate']   = $_REQUEST['DATE2']?SecurityFilter(strtotime($_REQUEST['DATE2']." 23:59:59")):'';
} else {
	if($TableName != "out" && $TableName != "leaveout" && $TableName != "leave" && $TableName != "overtime" && $TableName != "attend_report") {
		$params['startDate'] = $_REQUEST['startDate']?SecurityFilter(strtotime($_REQUEST['startDate'])):'';
		$params['endDate']   = $_REQUEST['endDate']?SecurityFilter(strtotime($_REQUEST['endDate'])):'';
	} else {
		$params['startDate'] = $_REQUEST['startDate']?SecurityFilter($_REQUEST['startDate']):'';
		$params['endDate']   = $_REQUEST['endDate']?SecurityFilter($_REQUEST['endDate']):'';
	}
}

if($TableName == 'attend_report') {
	if($_REQUEST['userId'] == 'alluser') {
		$query = "SELECT * FROM user WHERE DEPT_ID>0";
		$res   = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			$userIdss .= $row["USER_ID"].",";
		}
		$userIdss = str_replace(",","','",substr($userIdss,0,-1));

		$params['userId'] = $userIdss;
	} else {
		$params['userId'] = str_replace(",","','",substr($_REQUEST['userId'],0,-1));
	}
} else {
	$params['userId'] = $_REQUEST['userId'];
}

function format($STR)
{
   $STR = str_replace("\"","",$STR);
   if(strpos($STR,","))
   {
	  $STR="\"".$STR."\"";
   }
   $STR = iconv('utf-8','gb2312',$STR);
   return $STR;
}

switch($TableName)
{
	case "user_attendance":
		$limitRows = 400;		//暂定最多允许导出1年多点的考勤数据
		$limitOffset = 0;
		$filter=$_REQUEST['filter']?$_REQUEST['filter']:'';
		$type=$_REQUEST['type'];
		if($filter!='' && $_REQUEST['startDate'] == '' && $_REQUEST['endDate'] == ''){
			if($filter=='3days'){
				$params['startDate']=strtotime("-2 days");
				$params['endDate']=time();
			}elseif($filter=='thisweek' || $filter == 'this_week'){
				$params['startDate']=strtotime('last Sunday +1 day');
				$params['endDate']=strtotime('Sunday');
			}elseif($filter=='thismonth' || $filter == 'this_month'){
				 $year = date("Y");
 				 $month = date("m");
				$params['startDate']=strtotime("$year-$month-01");
				$params['endDate']=strtotime(date('Y-m-t',strtotime($year.'-'.$month)));
			}elseif($filter=='lastmonth' || $filter == 'last_month'){
				$year = date("Y");
				$month = date('m');

				if($month == 1) {
				 	$year -= 1;
				 	$month = 12;
				}

				$params['startDate']=strtotime("$year-$month-01");
				$params['endDate']=strtotime(date('Y-m-t',strtotime($year.'-'.$month)));
			}else{
				if(strpos($filter,'~')){
					$array=explode('~', $filter);
					$params['startDate']=strtotime($array[0]);
					$params['endDate']=strtotime($array[1]);
				}else{
					$params['startDate']=strtotime($filter);
					$params['endDate']=strtotime($filter);
				}
			}
		}else{
			if ($type == 'custom') {
				$params['startDate'] = $_REQUEST['startDate']?strtotime($_REQUEST['startDate']):strtotime(date("Y-m").'-01');
				$params['endDate']	 = $_REQUEST['endDate']?strtotime($_REQUEST['endDate']):strtotime(date("Y-m-t"));
			}
		}
		$params['userId'] = $_REQUEST['userId']?$_REQUEST['userId']:$_SESSION['LOGIN_USER_ID'];
		$dutylist=$attend->getDutyInfo($params,$limitRows,$limitOffset);

		$userName = getUsernameNew($params['userId']);
		$dutyData = $dutylist['list'];

		$HEAD_TITLE = $_lang["attend_attend_user"].",".$_lang["hr_attend_date"].",".$_lang["attend_attend_ip"].",".$_lang["hr_attend_sign_in"].",".$_lang["hr_attend_sign_out"].",".$_lang["hr_attend_attendtype"].",".$_lang["hr_userduty"]."\n";

		foreach ($dutyData as $key => $value) {
			$HEAD_TITLE .= $userName . ',';
			$HEAD_TITLE .= $value['sign_date'] . ',';
			$HEAD_TITLE .= $value['IP'].',';
			$HEAD_TITLE .= $value['SIGN_IN_TIME'] . ',';
			$HEAD_TITLE .= $value['SIGN_OUT_TIME'] . ',';
			$HEAD_TITLE .= $value['DATA_TYPE'] . ',';
			$HEAD_TITLE .= $value['USER_DUTY'] . "\n";
		}

		$GROUP_NAME = $_lang["hr_personal_check_data"];
		break;
	case "person_attend":
		//签到查询
		if($LOGIN_USER_ID=="")
		   exit;
		//获取数据库字段
		$count = 0;
		$pageMessage = $attend->getDutyMassageArray($params);

		$HEAD_TITLE = $_lang["hr_attend_date"].",".$_lang["hr_sign_in_type"].",".$_lang["hr_attend_sign_in"]
		.",".$_lang["hr_attend_sign_out"].",".$_lang["hr_attend_sign_in_status"].",".$_lang["hr_attend_sign_out_status"]
		.",".$_lang["hr_attend_dutytime"]."\n";

		for($i=0;$i<count($pageMessage);$i++) {
			$count++;
			$HEAD_TITLE .= format($pageMessage[$count]['signDay']).",";
			$HEAD_TITLE .= format($pageMessage[$count]['dataTypeStr']).",";
			$HEAD_TITLE .= format($pageMessage[$count]['signInTime']).",";
			$HEAD_TITLE .= format($pageMessage[$count]['signOutTime']).",";
			$HEAD_TITLE .= format($pageMessage[$count]['dutyTypeValue']).",";
			$HEAD_TITLE .= format($pageMessage[$count]['outTypeValue']).",";
			$HEAD_TITLE .= format(date("H:i",$pageMessage[$count]['SIGN_IN_NORMAL']))."--".format(date("H:i",$pageMessage[$count]['SIGN_OUT_NORMAL']))."\n";
		}
		$GROUP_NAME = $_lang["hr_attend_sign_in_search"];
		break;
	case"person_attinfo":
		//个人考勤
		$count = 0;
		$pageMessage = $attend->getPersonalDutyMassage($params);
		$HEAD_TITLE = $_lang["hr_attend_date"].",".$_lang["hr_sign_in_type"].",".$_lang["hr_attend_sign_in"]
		.",".$_lang["hr_attend_sign_out"].",".$_lang["hr_attend_sign_in_status"].",".$_lang["hr_attend_sign_out_status"]
		.",".$_lang["hr_attend_dutytime"].",".$_lang["hr_duty_ask_leave"].",".$_lang["hr_duty_ask_out"].",".$_lang["hr_duty_ask_trip"].",".$_lang["hr_attend_overtimework"]."\n";

		for($i=0;$i<count($pageMessage);$i++) {
			$count++;

			$isDutyVacation = $attend->isAttendData('',$pageMessage[$count]['SIGN_DATE']);

			//获取用户假期
			$dataTypeStr    = $isDutyVacation?$_lang["hr_check_in_workday"]:$_lang["hr_check_in_weekday"];

			//计算迟到和早退
			if($pageMessage[$count]['SIGN_IN_TIME'] != '') {
				$INDIFF = $pageMessage[$count]['IN_TIME_DIFF'];
				$SIGN_IN = date("H:i",$pageMessage[$count]['SIGN_IN_TIME']);
				if($INDIFF < 0) {
					$INDIFFINFO = $_lang["hr_attend_sign_in_late"].abs(round($INDIFF/60,2)).$_lang["hr_duty_time_minute"];
				} else {
					$INDIFFINFO = $_lang["hr_attend_sign_in_normal"];
				}
			} else {
				$INDIFFINFO = $_lang["hr_no_attend_sign_in"];
				$SIGN_IN	= $_lang["hr_no_attend_sign_in"];
			}

			if($pageMessage[$count]['SIGN_OUT_TIME'] !='' && $pageMessage[$count]['SIGN_OUT_TIME'] != 0) {
				$OUTDIFF = $pageMessage[$count]['OUT_TIME_DIFF'];
				$SIGN_OUT = date("H:i",$pageMessage[$count]['SIGN_OUT_TIME']);

				if($OUTDIFF < 0) {
					$OUTDIFFINFO = $_lang["hr_attend_sign_out_early"].abs(round($OUTDIFF/60,2)).$_lang["hr_duty_time_minute"];
				} else {
					$OUTDIFFINFO = $_lang["hr_attend_sign_out_normal"];
				}
			} else {
					$OUTDIFFINFO = $_lang["hr_attend_leak_sign"];
					$SIGN_OUT	 = $_lang["hr_attend_leak_sign"];
			}

			$arr['startDate'] = $pageMessage[$count]['SIGN_DATE'];
			$arr['endDate']   = $arr['startDate'];
			$arr['userId']    = $LOGIN_USER_ID;

			//请假
			$leaveMessage = $attend->getLeaveMassageArray($arr);
			$leaveCount   = count($leaveMessage);
			//外出
			$outMessage   = $attend->getAttendOutMassageArray($arr);
			$outCount     = count($outMessage);
			//出差
			$evectionMessage = $attend->getOutMassageArray($arr);
			$evectionCount   = count($evectionMessage);
			//加班
			$overtimeMessage = $attend->getOvertimeArray($arr);
			$overtimeCount   = count($overtimeMessage);
			if($leaveCount == 0) {
				$leaveCount = "";
			}

			if($outCount == 0) {
				$outCount = "";
			}

			if($evectionCount == 0) {
				$evectionCount = "";
			}

			if($overtimeCount == 0) {
				$overtimeCount = "";
			}

			$HEAD_TITLE .= format($pageMessage[$count]['SIGN_DATE']).",";
			$HEAD_TITLE .= format($dataTypeStr).",";
			$HEAD_TITLE .= format(date("H:i",$pageMessage[$count]['SIGN_IN_TIME'])).",";
			if($pageMessage[$count]['SIGN_OUT_TIME'] != 0) {
				$HEAD_TITLE .= format(date("H:i",$pageMessage[$count]['SIGN_OUT_TIME'])).",";
			} else {
				$HEAD_TITLE .= ",";
			}
			$HEAD_TITLE .= format($INDIFFINFO).",";
			$HEAD_TITLE .= format($OUTDIFFINFO).",";
			$HEAD_TITLE .= format(date("H:i",$pageMessage[$count]['SIGN_IN_NORMAL']))."--".format(date("H:i",$pageMessage[$count]['SIGN_OUT_NORMAL'])).",";
			$HEAD_TITLE .= format($leaveCount).",";
			$HEAD_TITLE .= format($outCount).",";
			$HEAD_TITLE .= format($evectionCount).",";
			$HEAD_TITLE .= format($overtimeCount)."\n";
		}
		$GROUP_NAME = $_lang["hr_duty_person_att"];
		break;
	case"attend_report":
		$dutyClass = new attend();
		//考勤统计报表
		$HEAD_TITLE = $_lang["hr_duty_work_dept"].",".$_lang["hr_attend_user"].",".$_lang["hr_attend_sign_in_late"]
		.",".$_lang["hr_attend_sign_out_early"].",".$_lang["hr_attend_not_sign_out"].",".$_lang["hr_duty_ask_leave"]
		.",".$_lang["hr_duty_ask_trip"].",".$_lang["hr_duty_ask_out"].",".$_lang["hr_attend_outwork"].",".$_lang["hr_attend_overtimework"].",".$_lang["hr_duty_attendance_type"]."\n";

		//查询需要的记录
		$start	     = $params['startDate']?SecurityFilter($params['startDate']):date('Y-m')."-01";
		$startDate   = strtotime($start);
		$end	     = $params['endDate']?SecurityFilter($params['endDate']):date('Y-m-d');
		$endDate     = strtotime($end);

		if($params['userId'] != '') {
			$where = " AND USER_ID IN('".$params['userId']."')";
		}

		$where = trim($_REQUEST["searchvalue"]) != "" ?(SecurityFilter($_REQUEST["searchkey"]) == "DEPT_NAME"?" AND DEPT_ID IN('".str_replace(",","','",SecurityFilter(substr(trim($_REQUEST["DEPT_ID"]),0,-1)))."')":" AND USER_NAME LIKE '%".trim($_REQUEST["searchvalue"])."%'"):"";

		//获取查询到的日期范围内的具体日期
		$searchDates = getDates($start,$end);
		//查询排班
		$query = "SELECT * FROM attend_config";
		$res   = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			$DUTY_ID       = $row["DUTY_ID"];
			$DUTY_NAME     = $row["DUTY_NAME"];
			$DUTY_SIGN_IN  = $row["DUTY_SIGN_IN"];
			$DUTY_SIGN_OUT = $row["DUTY_SIGN_OUT"];
			$array_duty[$DUTY_ID] = $DUTY_NAME;
			$duty_info[$DUTY_ID]  = array("DUTY_SIGN_IN"  => strtotime($DUTY_SIGN_IN),
										  "DUTY_SIGN_OUT" => strtotime($DUTY_SIGN_OUT));
		}

		//查询部门
		$query = "SELECT * FROM department";
		$res   = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			$DEPT_ID   = $row["DEPT_ID"];
			$DEPT_NAME = $row["DEPT_NAME"];
			$array_dept[$DEPT_ID] = $row["DEPT_NAME"];
		}

		if($_REQUEST['userStatus'] && $_REQUEST['userStatus'] == 'leave') {
			$deptWhere = 'DEPT_ID=0';
		}else {
			$deptWhere = 'DEPT_ID>0';
		}

		//记录考勤信息
		$attend_array = array();
		$indexAttend  = new attend();
		$query = "SELECT USER_ID,USER_NAME,USER_PRIV,DEPT_ID,DUTY_TYPE FROM user
			          WHERE $deptWhere
			          $where ORDER BY DEPT_ID
			     ";
		//每页显示的人数
		$res   = exequery($connection,$query);
		$count = 0;

		$userArr  = array();
		while($Row = mysql_fetch_array($res)) {
			$count++;
			$USER_ID   = $Row["USER_ID"];
			$USER_NAME = $Row["USER_NAME"];
			$DEPT_ID   = $Row["DEPT_ID"];
			$DUTY_TYPE = $Row["DUTY_TYPE"];
			array_push($userArr,$USER_ID);
			$userInfo[$USER_ID] = array("USER_NAME" => $USER_NAME,
										"DEPT_ID"   => $DEPT_ID,
										"DUTY_TYPE" => $DUTY_TYPE);
		}
		//查询考勤的记录
		$querys = "SELECT ad.USER_ID AS AUSER_ID,sign_date,SIGN_IN_TIME,SIGN_OUT_TIME,SIGN_IN_NORMAL,SIGN_OUT_NORMAL FROM					       attend_duty ad,user u WHERE 1 AND ad.USER_ID=u.USER_ID AND  sign_date>='".$start."'
					   AND sign_date<='".$end."' $where ORDER BY sign_date";

		$res1  = exequery($connection,$querys);
		//保存有考勤记录日期的数组
		while($row = mysql_fetch_array($res1)) {
				$USER_ID   = $row["AUSER_ID"];
				$SIGN_DATE = $row["sign_date"];
				$SIGN_IN   = $row["SIGN_IN_TIME"];
				$SIGN_OUT  = $row["SIGN_OUT_TIME"];
				$SIGN_IN_NORMAL  = $row["SIGN_IN_NORMAL"];
				$SIGN_OUT_NORMAL = $row["SIGN_OUT_NORMAL"];

				if(in_array($SIGN_DATE,$searchDates)) {
					//记录有考勤签到和签退的日期
					$attend_array[$USER_ID][$SIGN_DATE] = array("SIGN_IN"  => $SIGN_IN,
																"SIGN_OUT" => $SIGN_OUT,
																"SIGN_IN_NORMAL"  => $SIGN_IN_NORMAL,
																"SIGN_OUT_NORMAL" => $SIGN_OUT_NORMAL);
				}
		}

		//生成查询日期之内的所有日期包含的数据数组
		foreach($userArr as $key => $value) {
			$DUTY_TYPE = $userInfo[$value]['DUTY_TYPE'];
			foreach($searchDates as $k => $v) {
				$attend_info[$value][$v] = array('SIGN_IN' => '',
												 'SIGN_OUT'=> '',
												 'SIGN_IN_NORMAL' => strtotime($v." ".date("H:i",$duty_info[$DUTY_TYPE]['DUTY_SIGN_IN'])),
												 'SIGN_OUT_NORMAL' => strtotime($v." ".date("H:i",$duty_info[$DUTY_TYPE]['DUTY_SIGN_OUT'])));

				if(count($attend_array[$value]) > 0) {
					if(!array_key_exists($v,$attend_array[$value])) {
						$attend_array[$value][$v] = $attend_info[$value][$v];
					}
				} else {
					$attend_array[$value][$v] = $attend_info[$value][$v];
				}

				// $diffIn  = $attend_array[$value][$v]['SIGN_IN'] - $attend_array[$value][$v]['SIGN_IN_NORMAL'];
				// $diffOut = $attend_array[$value][$v]['SIGN_OUT'] - $attend_array[$value][$v]['SIGN_OUT_NORMAL'];

				// if($diffIn<=0 && $diffOut>=0) {
				// 	unset($attend_array[$value][$v]);
				// }
			}
		}
		//统计用户的请假次数
		$sql = "SELECT al.USER_ID AS AUSER_ID,count(al.USER_ID) AS CNT FROM attend_leave al,user u
					WHERE 1 AND al.USER_ID=u.USER_ID AND LEAVE_DATE2>='".$start."'
					AND LEAVE_DATE1<='".$end.' 23:59'."' $where GROUP BY al.USER_ID";
		$res = exequery($connection,$sql);
		while($row = mysql_fetch_array($res)) {
                    $USER_ID    = $row["AUSER_ID"];
                    $USER_LEAVE = $row["CNT"];
                    //记录用户的请假数
                    $LEAVE_COUNT[$USER_ID] = $USER_LEAVE;
		}

		//查询请假记录
		$query = "SELECT al.USER_ID AS AUSER_ID,LEAVE_DATE1,LEAVE_DATE2 FROM attend_leave al,user u
					  WHERE 1 AND al.USER_ID=u.USER_ID AND LEAVE_DATE2>='".$start."'
					  AND LEAVE_DATE1<='".$end.' 23:59'."'
					  $where";
		$res2   = exequery($connection,$query);

		//记录用户的请假
		$leave_count = 0;
		while($row = mysql_fetch_array($res2)) {
                    $leave_count++;
                    $USER_ID     = $row["AUSER_ID"];
                    $LEAVE_DATE1 = $row["LEAVE_DATE1"];
                    $LEAVE_DATE2 = $row["LEAVE_DATE2"];
                    $LEAVE_TIME1 = date("H:i",strtotime($row["LEAVE_DATE1"]));
                    $LEAVE_TIME2 = date("H:i",strtotime($row["LEAVE_DATE2"]));

                    //获取请假的具体日期(返回为数组)
                    $leave_dates = getDates($LEAVE_DATE1,$LEAVE_DATE2);

                    if(count($leave_dates) > 1) {
                        //遍历请假
                        foreach($leave_dates as $key => $value) {
                            if(isset($attend_array[$USER_ID][$value]) && $attend_array[$USER_ID][$value] !== '') {
                                if(in_array($value,$searchDates)) {
                                    if(count($leave_dates) == 1) {
                                        $leave_info = array('leave_start'=>date("H:i",strtotime($row["LEAVE_DATE1"])),'leave_end'=>$LEAVE_TIME2);
                                    } else {
                                        if($key == 0) {
                                            $leave_info = array("leave_start"=>date("H:i",strtotime($row["LEAVE_DATE1"])),"leave_end"=>date("H:i",$duty_info[$userInfo[$USER_ID]["DUTY_TYPE"]]["DUTY_SIGN_OUT"]));

											$attend_array[$USER_ID][$value]["ATTEND_LEAVE"][0] = $leave_info;

                                        } else if($key == count($leave_dates)-1) {
                                            $leave_info = array("leave_start"=>date("H:i",strtotime($dutyInfo["dutySignIn"])),"leave_end"=>date("H:i",strtotime($row["LEAVE_DATE2"])));

											$attend_array[$USER_ID][$value]["ATTEND_LEAVE"][0] = $leave_info;
                                        } else {
                                            $leave_info = array("leave_start"=>date("H:i",strtotime($dutyInfo["dutySignIn"])),"leave_end"=>date("H:i",$duty_info[$userInfo[$USER_ID]["DUTY_TYPE"]]["DUTY_SIGN_OUT"]));

											$attend_array[$USER_ID][$value]["ATTEND_LEAVE"][0] = $leave_info;
                                        }
										//判断数组中是否存在元素
										if(count($attend_array[$USER_ID][$key]["ATTEND_LEAVE"]) == 0) {
											$attend_array[$USER_ID][$leave_dates[$key]]["ATTEND_LEAVE"][0] = $leave_info;
										} else {
											array_push($attend_array[$USER_ID][$key]["ATTEND_LEAVE"],$leave_info);
										}
                                    }
                                }
                            }
                        }
                    } else {
                        $leave_info = array("leave_start"=>$LEAVE_TIME1,"leave_end"=>$LEAVE_TIME2);
						if(count($attend_array[$USER_ID][$key]["ATTEND_LEAVE"]) == 0) {
							$attend_array[$USER_ID][$leave_dates[0]]["ATTEND_LEAVE"][0] = $leave_info;
						} else {
							array_push($attend_array[$USER_ID][$value]["ATTEND_LEAVE"],$leave_info);
						}
                    }
		}

		//用户的出差次数
		$sql = "SELECT ae.USER_ID AS AUSER_ID,COUNT(ae.USER_ID) AS CNT FROM attend_evection ae,user u
							WHERE 1 AND ae.USER_ID=u.USER_ID AND EVECTION_DATE2>='".$start."'
								AND EVECTION_DATE1<='".$end.' 23:59'."' $where GROUP BY ae.USER_ID";
		$res = exequery($connection,$sql);
		while($row = mysql_fetch_array($res)) {
				$USER_ID       = $row["AUSER_ID"];
				$USER_EVECTION = $row["CNT"];
				$EVECTION_COUNT[$USER_ID] = $USER_EVECTION;
		}
		$evectiondate_array = array();

		//查询出差记录
		$query = "SELECT ae.USER_ID AS AUSER_ID,EVECTION_DATE1,EVECTION_DATE2 FROM attend_evection ae,user u
				      WHERE 1 AND ae.USER_ID=u.USER_ID AND EVECTION_DATE2>='".$start."'
					  AND EVECTION_DATE1<='".$end.' 23:59'."'
					  $where";
		$res3  = exequery($connection,$query);
		//记录用户的出差
		while($row = mysql_fetch_array($res3)) {
				$USER_ID        = $row["AUSER_ID"];
				$EVECTION_DATE1 = date("Y-m-d",strtotime($row["EVECTION_DATE1"]));
				$EVECTION_DATE2 = date("Y-m-d",strtotime($row["EVECTION_DATE2"]));
				//获取出差的具体日期(数组形式)
				$evection_dates = getDates($EVECTION_DATE1,$EVECTION_DATE2);
				//出差
				foreach($evection_dates as $key => $value) {
					if(array_key_exists($value,$attend_array[$USER_ID])) {
						if(in_array($value,$searchDates)) {
							$evection_info = array("evection_start"=>date("H:i",strtotime($dutyInfo["dutySignIn"])),"evection_end"=>date("H:i",strtotime($dutyInfo["dutySignOut"])));
						}

						if(count($attend_array[$USER_ID][$value]["ATTEND_EVECTION"]) == 0) {
							//将出差记录到对应的考勤日期下
							$attend_array[$USER_ID][$value]["ATTEND_EVECTION"][0] = $evection_info;
						} else {
							array_push($attend_array[$USER_ID][$value]["ATTEND_EVECTION"],$evection_info);
						}
					}
				}
		}

		//用户加班次数的统计
		unset($query);
		$query = "SELECT ao.USER_ID AS AUSER_ID,COUNT(ao.USER_ID) AS CNT FROM attend_overtime ao,user u
				      WHERE 1 AND ao.USER_ID=u.USER_ID AND OVERTIME_DATE2>='".$start."'
					  AND OVERTIME_DATE1<='".$end." 23:59"."' $where GROUP BY ao.USER_ID
				 ";
		$res = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			$USER_ID	   = $row["AUSER_ID"];
			$USER_OVERTIME = $row["CNT"];
			$OVERTIME_COUNT[$USER_ID] = $USER_OVERTIME;
		}

		//用户的外出次数
		$sql = "SELECT ao.USER_ID AS AUSER_ID,COUNT(ao.USER_ID) AS CNT FROM attend_out ao,user u
					WHERE 1 AND ao.USER_ID=u.USER_ID AND OUT_DATE2>='".$start."'
					AND OUT_DATE1<='".$end.' 23:59'."' $where GROUP BY ao.USER_ID";

		$res = exequery($connection,$sql);
		while($row = mysql_fetch_array($res)) {
			$USER_ID  = $row["AUSER_ID"];
			$USER_OUT = $row["CNT"];

			$OUT_COUNT[$USER_ID] = $USER_OUT;
		}
		$outdate_array = array();

		//查询外出记录
		$query = "SELECT ao.USER_ID AS AUSER_ID,OUT_DATE1,OUT_DATE2,OUT_TIME1,OUT_TIME2 FROM attend_out ao,user u
					  WHERE 1 AND ao.USER_ID=u.USER_ID AND  OUT_DATE2>='".$start."'
					  AND OUT_DATE1<='".$end.' 23:59'."'
					  $where";
		$res4  = exequery($connection,$query);

		//统计用户的外出
		while($row = mysql_fetch_array($res4)) {
			$USER_ID   = $row["AUSER_ID"];
			$OUT_DATE1 = $row["OUT_DATE1"];
			$OUT_DATE2 = $row["OUT_DATE2"];
			$OUT_TIME1 = $row["OUT_TIME1"];
			$OUT_TIME2 = $row["OUT_TIME2"];
			//获取外出的具体日期
			$out_dates = getDates($OUT_DATE1,$OUT_DATE2);

			if(count($out_dates) > 1) {
				foreach($out_dates as $key => $value) {
					if($key == 0) {
						$out_info = array("out_start"=>$OUT_TIME1,"out_end"=>date("H:i",$duty_info[$userInfo[$USER_ID]["DUTY_TYPE"]]["DUTY_SIGN_OUT"]));

						$attend_array[$USER_ID][$value]["ATTEND_OUT"][0] = $out_info;
					} else if ($key == count($out_dates) - 1) {
						$out_info = array("out_start"=>date("H:i",strtotime($dutyInfo["dutySignIn"])),"out_end"=>$OUT_TIME2);

						$attend_array[$USER_ID][$value]["ATTEND_OUT"][0] = $out_info;
					} else {
						$out_info = array("out_start"=>date("H:i",strtotime($dutyInfo["dutySignIn"])),"out_end"=>date("H:i",$duty_info[$userInfo[$USER_ID]["DUTY_TYPE"]]["DUTY_SIGN_OUT"]));

						$attend_array[$USER_ID][$value]["ATTEND_OUT"][0] = $out_info;
					}

					// if(in_array($value,$searchDates)) {
					// 	if(count($attend_array[$USER_ID][$value]["ATTEND_OUT"]) == 0) {
					// 		$attend_array[$USER_ID][$value]["ATTEND_OUT"][0] = $out_info;
					// 	} else {
					// 		array_push($attend_array[$USER_ID][$value]["ATTEND_OUT"],$out_info);
					// 	}
					// }
				}
			} else {
				$out_info = array("out_start"=>$OUT_TIME1,"out_end"=>$OUT_TIME2);
				if(count($attend_array[$USER_ID][$out_dates[0]]["ATTEND_OUT"]) == 0) {
					$attend_array[$USER_ID][$out_dates[0]]["ATTEND_OUT"][0] = $out_info;
				} else {
					array_push($attend_array[$USER_ID][$out_dates[0]]["ATTEND_OUT"],$out_info);
				}
			}
		}
		//遍历用户的数组
		foreach($userArr as $keys => $values) {
			$usercount++;
			$userId   = $values;
			$userName = $userInfo[$userId]["USER_NAME"];
			//获取部门
			$deptId   = $userInfo[$userId]["DEPT_ID"];
			$deptName = $array_dept[$deptId];
			//获取排班
			$typeId   = $userInfo[$userId]["DUTY_TYPE"];
			$typeName = $array_duty[$typeId];

			$lateCount		 = 0; //迟到
			$leaveEarlyCount = 0; //早退
			$workoutCount    = 0; //旷工
			$notSignOut      = 0; //未签退
			$lateNormalDate  = array();
			$earlyNormalDate = array();
			$outWorkDate     = array();
			$outWorkDate     = array();
            //未判断前记录的迟到日期
			$lateDays  = array();
			//未判断前记录的早退日期
			$earlyDays = array();

			foreach($attend_array[$userId] as $key => $value) {
				$diffIn  = 0;
				$diffOut = 0;

				//未签退的判断
				if($attend_array[$userId][$key]['SIGN_IN'] != '' && ($attend_array[$userId][$key]['SIGN_OUT'] == '' || $attend_array[$userId][$key]['SIGN_OUT'] == 0)) {
				    $notSignOut++;
				}

				if($attend_array[$userId][$key]['SIGN_IN'] != '') {
					$diffIn  = $attend_array[$userId][$key]['SIGN_IN_NORMAL'] - $attend_array[$userId][$key]['SIGN_IN'];
				}

				if($attend_array[$userId][$key]['SIGN_OUT'] != '') {
					$diffOut = $attend_array[$userId][$key]['SIGN_OUT'] - $attend_array[$userId][$key]['SIGN_OUT_NORMAL'];
				}
				//判断比较考勤异常的情况
				//迟到
				if($diffIn < 0) {
					array_push($lateDays,$key);

					$lateTime = array("SIGN_IN_NORMAL"=>$value["SIGN_IN_NORMAL"],
									  "SIGN_IN"=>$value["SIGN_IN"]);
					$lateCount++;
					$lateFlag = true;

					if($lateFlag == true) {
						if(count($attend_array[$userId][$key]['ATTEND_LEAVE']) != 0) {
							foreach($attend_array[$userId][$key]['ATTEND_LEAVE'] as $k => $v) {
								//请假开始时间小于等于正常签到时间
								if(strtotime($attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_start']) <= $attend_array[$userId][$key]['SIGN_IN_NORMAL']) {
									//请假结束时间大于等于签到时间
									if(strtotime($attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_end']) >= $attend_array[$userId][$key]['SIGN_IN']) {
										if($lateCount > 0) {
											$lateCount--;
										}
										array_push($lateNormalDate,$key);
										$lateFlag = false;
									} else {
										//请假结束时间大于正常签到时间
										if(strtotime($attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_end']) > $attend_array[$userId][$key]['SIGN_IN_NORMAL']) {
											$lateTime['SIGN_IN_NORMAL'] = $attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_end'];
										}
									}
								}
							}
						}
					}

					if($lateFlag == true) {
					    if(count($attend_array[$userId][$key]['ATTEND_EVECTION']) != 0) {
						   if($lateCount > 0) {
								 $lateCount--;
						   }
						   array_push($lateNormalDate,$key);
						   $lateFlag = false;
						}
					}

					if($lateFlag == true) {
						 if(count($attend_array[$userId][$key]['ATTEND_OUT']) != 0) {
							 //遍历当天所有的外出
							 foreach($attend_array[$userId][$key]['ATTEND_OUT'] as $k => $v) {
								 //外出开始时间小于等于正常签到时间
								 if(strtotime($attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_start']) <= $attend_array[$userId][$key]['SIGN_IN_NORMAL']) {
									 if(strtotime($attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end']) >= $attend_array[$userId][$key]['SIGN_IN']) {
										if($lateCount > 0) {
											$lateCount--;
										}
										array_push($lateNormalDate,$key);
										$lateFlag = false;
									 }
								 }
							 }
						 }
					}
				}

				//早退
				if($diffOut < 0 && $attend_array[$userId][$key]["SIGN_OUT"] != 0) {
					array_push($earlyDays,$key);
					$leaveEarlyTime = array("SIGN_OUT"=>$attend_array[$userId][$key]["SIGN_OUT"],
											"SIGN_OUT_NORMAL"=>$attend_array[$userId][$key]["SIGN_OUT_NORMAL"]);
					$leaveEarlyCount++;
					$leaveEarlyFlag = true;

					if($leaveEarlyFlag == true) {
						if(count($attend_array[$userId][$key]['ATTEND_LEAVE']) != 0) {

							//遍历当天的请假
							foreach($attend_array[$userId][$key]['ATTEND_LEAVE'] as $k => $v) {
								if(strtotime($attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_start']) <= $attend_array[$userId][$key]['SIGN_OUT']) {
									if(strtotime($attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_end']) >= $attend_array[$userId][$key]['SIGN_OUT_NORMAL']) {
										if($leaveEarlyCount > 0) {
											$leaveEarlyCount--;
										} else {
											$leaveEarlyCout = 0;
										}
										array_push($earlyNormalDate,$key);
										$leaveEarlyFlag = false;
									} else {
										if(strtotime($attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_end']) >= $attend_array[$userId][$key]['SIGN_OUT']) {
											$leaveEarlyTime["SIGN_OUT"] = $attend_array[$userId][$key]['ATTEND_LEAVE'][$k]['leave_end'];
										}
									}
								}
							}
						}
					}

					if($leaveEarlyFlag == true) {
						if(count($attend_array[$userId][$key]['ATTEND_EVECTION']) != 0) {
							if($leaveEarlyCount > 0) {
								$leaveEarlyCount--;
							} else {
								$leaveEarlyCout = 0;
							}
							array_push($earlyNormalDate,$key);
							$leaveEarlyFlag = false;
						}
					}

					if($leaveEarlyFlag == true) {
						if(count($attend_array[$userId][$key]['ATTEND_OUT']) != 0) {
							//遍历当天的外出
							foreach($attend_array[$userId][$key]['ATTEND_OUT'] as $k => $v) {
								if(strtotime($attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_start']) <= $attend_array[$userId][$key]['SIGN_OUT']) {
									if(strtotime($attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end']) >= $attend_array[$userId][$key]['SIGN_OUT_NORMAL']) {
										if($leaveEarlyCount > 0) {
											$leaveEarlyCount--;
										} else {
											$leaveEarlyCout = 0;
										}
										array_push($earlyNormalDate,$key);
										$leaveEarlyFlag = false;
									} else {
										if(strtotime($attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end']) >= $attend_array[$userId][$key]['SIGN_OUT']) {
											 $leaveEarlyTime['SIGN_OUT'] = $attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end'];
										}
									}
								}
							}
						}
					}
				}
				//旷工情况的处理
				if($dutyClass->isAttendData('',$key,$userId) == 1) {
					//将旷工的日期加入到数组中
					array_push($outWorkDate,$key);
					if($attend_array[$userId][$key]["SIGN_IN"] == '' && $attend_array[$userId][$key]["SIGN_OUT"] == '') {

						$workoutCount++;
						$workoutFlag = true;
						$workoutTime = array("start_time"=>$value["SIGN_IN_NORMAL"],
								             "end_time"=>$value["SIGN_OUT_NORMAL"]);

						if($key > $end || $key < $start) {
							$workoutCount--;
						}

						//key为无签到和签退的日期的日期
						if(count($attend_array[$userId][$key]['ATTEND_LEAVE']) == 0 && count($attend_array[$userId][$key]['ATTEND_OUT']) == 0 && count($attend_array[$userId][$key]['ATTEND_EVECTION']) == 0) {
							array_push($outWorkDate,$key);
						}

						if($workoutFlag == true) {
							if(count($attend_array[$userId][$key]['ATTEND_LEAVE']) != 0) {
								//遍历当天的所有请假
								foreach($attend_array[$userId][$key]['ATTEND_LEAVE'] as $k => $val) {
									if(strtotime($key." ".$attend_array[$userId][$key]['ATTEND_LEAVE'][$k]["leave_start"]) <= $attend_array[$userId][$key]["SIGN_IN_NORMAL"]) {
										if(strtotime($key." ".$attend_array[$userId][$key]['ATTEND_LEAVE'][$k]["leave_end"]) >= $attend_array[$userId][$key]["SIGN_OUT_NORMAL"]) {
											if($workoutCount > 0) {
												$workoutCount--;
											}
											array_push($outWorkDate,$key);
											$workoutFlag = false;
										} else {
											if(strtotime($leave_array[$userId][$key]['ATTEND_LEAVE'][$k]["leave_end"]) > $attend_array[$userId][$key]["SIGN_IN_NORMAL"]) {
												$workoutTime["leave_start"] = $leave_array[$userId][$key]['ATTEND_LEAVE']["leave_end"];
											}
										}
									}
								}
							}
						}

						if($workoutFlag == true) {
							if(count($attend_array[$userId][$key]['ATTEND_OUT']) != 0) {
								//遍历当天的外出
								foreach($attend_array[$userId][$key]['ATTEND_OUT'] as $k => $v) {
									//如果外出开始时间小于等于正常签到时间
									if(strtotime($key." ".$attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_start']) <= $attend_array[$userId][$key]['SIGN_IN_NORMAL']) {
										//如果外出结束时间大于等于正常签退时间
										if(strtotime($key." ".$attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end']) >= $attend_array[$userId][$key]['SIGN_OUT_NORMAL']) {
											if($workoutCount > 0) {
												$workoutCount--;
											}
											array_push($outWorkDate,$key);
											$workoutFlag = false;
										} else {
											//如果外出结束时间大于正常签到时间
											if(strtotime($key." ".$attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end']) > $attend_array[$userId][$key]['SIGN_IN_NORMAL']) {
												$workoutTime['out_start'] = $attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end'];
											}
										}
									}else {
										//如果外出开始时间小于正常签退时间
										// if(strtotime($key." ".$attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_start']) < $attend_array[$userId][$key]['SIGN_OUT_NORMAL']) {
										// 	$workoutTime['out_start'] = $attend_array[$userId][$key]['ATTEND_OUT'][$k]['out_end'];

										// 	if($workoutCount > 0) {
										// 		$workoutCount--;
										// 	}
										// }
									}
								}
							}
						}

						if($workoutFlag == true) {
							if(count($attend_array[$userId][$key]['ATTEND_EVECTION']) != 0) {
								if($workoutCount > 0) {
									$workoutCount--;
								}
								$workoutFlag = false;
							}
						}
					}
				}
			}

			if($lateCount == 0) {
				$lateCount = '';
			}
			if($leaveEarlyCount == 0) {
				$leaveEarlyCount = '';
			}
			if($notSignOut == 0) {
				$notSignOut = '';
			}
			if($workoutCount == 0) {
				$workoutCount = '';
			}
			if(count($lateNormalDate) > 0) {
				$lateNormalDates = json_encode($lateNormalDate);
			}
			if(count($earlyNormalDate) > 0) {
				$earlyNormalDates = json_encode($earlyNormalDate);
			}

		$HEAD_TITLE .= $deptName.",".$userName.",".$lateCount.",".$leaveEarlyCount.",".$notSignOut.",".$LEAVE_COUNT[$userId].",".$EVECTION_COUNT[$userId].",".$OUT_COUNT[$userId].",".$workoutCount.",".$OVERTIME_COUNT[$userId].",".$typeName."\n";
	}
		$GROUP_NAME = $_lang["hr_duty_statistics"];
		break;
	case"leave":
		$pageMessage = $attend->getLeaveMassageArray($params);
		$HEAD_TITLE  = $_lang["hr_attend_leavetype"].",".$_lang["hr_duty_off_reason"].",".$_lang["hr_attend_start_time"].",".$_lang["hr_attend_end_time"]."\n";
		$count = 0;
		for($i=0;$i<=count($pageMessage);$i++) {
			$count++;
			$HEAD_TITLE .= $attend->getTypeName($pageMessage[$count]['TYPE_ID']).",".$pageMessage[$count]['LEAVE_TYPE'].",".$pageMessage[$count]['LEAVE_DATE1'].",".$pageMessage[$count]['LEAVE_DATE2']."\n";
		}
		$GROUP_NAME = $_lang["hr_duty_ask_off_check"];
		break;
	case"leaveout":
		$pageMessage = $attend->getOutMassageArray($params);
		$HEAD_TITLE  = $_lang["hr_attend_evection_reason"].",".$_lang["hr_duty_trip_place"].",".$_lang["hr_attend_start_time"].",".$_lang["hr_attend_end_time"]."\n";
		$count = 0;
		for($i=1;$i<=count($pageMessage);$i++) {
			$count++;
			$HEAD_TITLE .= $pageMessage[$count]['EVECTION_REASON'].",".$pageMessage[$count]['EVECTION_DEST'].",".$pageMessage[$count]['EVECTION_DATE1'].",".$pageMessage[$count]['EVECTION_DATE2']."\n";
		}
		$GROUP_NAME  = $_lang["hr_duty_trip_check"];
		break;
	case"out":
		$pageMessage = $attend->getAttendOutMassageArray($params);

		$HEAD_TITLE  = $_lang["hr_duty_out_reason"].",".$_lang["hr_attend_start_time"].",".$_lang["hr_attend_end_time"]."\n";

		$count = 0;
		for($i=1;$i<=count($pageMessage);$i++) {
			$count++;
			$HEAD_TITLE .= $pageMessage[$count]['OUT_TYPE'].",".$pageMessage[$count]['OUT_DATE1']." ".$pageMessage[$count]['OUT_TIME1'].",".$pageMessage[$count]['OUT_DATE2']." ".$pageMessage[$count]['OUT_TIME2']."\n";
		}
		$GROUP_NAME  = $_lang["hr_duty_check_out_all"];
		break;
	case"overtime":
		$pageMessage = $attend->getOverTimeArray($params);
		$HEAD_TITLE  = $_lang["hr_attend_overtime_reason"].",".$_lang["hr_attend_start_time"].",".$_lang["hr_attend_end_time"]."\n";
		$count = 0;
		for($i=1;$i<=count($pageMessage);$i++) {
			$count++;
			$HEAD_TITLE .= $pageMessage[$count]['OVERTIME_DESC'].",".$pageMessage[$count]['OVERTIME_DATE1']." ".$pageMessage[$count]['OVERTIME_TIME1'].",".$pageMessage[$count]['OVERTIME_DATE2']." ".$pageMessage[$count]['OVERTIME_TIME2']."\n";
		}
		$GROUP_NAME = $_lang["hr_attend_overtime_show"];
		break;
}

if(!strpos($_SERVER["HTTP_USER_AGENT"],'Safari'))
{
	$GROUP_NAME = iconv('utf-8','gbk',$GROUP_NAME);
}
$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);

ob_end_clean();
Header("Cache-control: private");
Header("Content-type: application/vnd.ms-excel");
Header("Accept-Ranges: bytes");
Header("Accept-Length: ".strlen($HEAD_TITLE));
Header("Content-Disposition:attachment;filename=".$GROUP_NAME.".csv");
echo  $HEAD_TITLE;
?>