<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/attendance/personal/duty/showcontent.php
 *@function:         考勤管理-考勤统计-弹出
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 lJ
 *@date:             2012-11-29
 *@file Version:     12.0
 *@eoffice Version:  8.3
*/
include_once("inc/auth.php"); 
includelangpak("hr,system");
// 解析关联流程FLOW_ID
$attendConfig = @parse_ini_file(ROOT_PATH.'building/config/attend_config.ini');
if(empty($attendConfig)) {
	$attendConfig = array(
	    'attend_leave_flow_id' => 2001,
	    'attend_out_flow_id' => 2002,
	    'attend_evection_flow_id' => 2003,
	    'attend_overtime_flow_id' => 3000
	);
}
//---- IP检验开始 ---
$type	   = $_REQUEST['type'];

$params['startDate'] = $_REQUEST['start']?trim($_REQUEST['start']):'';
$params['endDate']   = $_REQUEST['end']?trim($_REQUEST['end']):'';
$params['userId']    = $_REQUEST['userId'];

 switch($type){
 	//迟到的信息	
 	case "late":
 		$params['where']     = " AND DUTY_TYPE=2 ORDER BY sign_date DESC";
 		$params['startDate'] = strtotime($params['startDate']);
 		$params['endDate']   = strtotime($params['endDate']);	
 		break;
	
	//漏签的信息		
	case "leak":
		$params['where']     = " AND SIGN_OUT_TIME=0"; 
		$params['startDate'] = strtotime($params['startDate']);
 		$params['endDate']   = strtotime($params['endDate']);	
		break;
	
	//早退的信息		
	case "early":		
		$params['where']     = " AND OUT_TIME_DIFF<0 ORDER BY sign_date DESC"; 	
		$params['startDate'] = strtotime($params['startDate']);
 		$params['endDate']   = strtotime($params['endDate']);	
		break;		
}

$PAGE_TITLE = $_lang["hr_detail"];
include_once("inc/page_header.inc.php");
?>
<!--zTree 树形菜单-->
<link rel="stylesheet" type="text/css" href="/inc/jquery/ztree/zTreeStyle/zTreeStyle.css">
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--语言包-->
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<!--zTree 树形菜单-->
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css" />
<script language="javascript" src="/inc/follow.js"></script>
<script language="javascript">
jQuery(function() {
	var buttonInfo = [];
	jQuery("#export").click(function() {
		$("#exportifr").attr("src",encodeURI('/general/attendance/personal/duty/export_choose.php?table_name=<?=$type?>&startDate=<?=$params["startDate"]?>&endDate=<?=$params["endDate"]?>&userId=<?=$params["userId"]?>'));
		$(".exportDialog").dialog('open');
	});

	window.dialogObj = $(".exportDialog").dialog({
			title:"<?=$_lang['hr_attend_export']?>",
			closeText:"<?=$_lang['common_close']?>",
		    autoOpen: false,
		    width: 300,
		    modal: true,
		    height:200
	});
	var columninfo='';
		perPage=10;
	    pageinfo = {
            itemsPerPage: perPage,
            currentPage: 0
        };
	if("<?=$type?>"=='late' || "<?=$type?>"=='early' || "<?=$type?>"=='leak'){
		columninfo=[
			{
				key:'sign_date',
				title:'<?=$_lang["hr_duty_report_date"]?>'
			},
			{
				key:'SIGN_IN_TIME',
				title:'<?=$_lang["hr_attendtype_sign_in"]?>',
				template:function(data){
					if(data.DUTY_OPTION==2)
					{
						return "<div style='background-color:#00BFFF;height:33px;line-height:35px'"+ 
						">"+data.SIGN_IN_TIME+"</div>";
					}
					else if(data.DUTY_OPTION==3)
					{
						return "<div style='background-color:#FFE4B5;height:33px;line-height:35px'"+ 
						">"+data.SIGN_IN_TIME+"</div>";
					}else if(data.IN_TIME_DIFF<0){
						return "<div style='background-color:#F08080;height:33px;line-height:35px'"+ 
						">"+data.SIGN_IN_TIME+"</div>";
					}else{
						return data.SIGN_IN_TIME;
					}
				}
			},
			{
				key:'SIGN_OUT_TIME',
				title:'<?=$_lang["hr_attendtype_sign_out"]?>',
				template:function(data){
					if(data.DUTY_OPTION==2){
						return "<div style='background-color:#00BFFF;height:33px;line-height:35px'"+ 
						">"+data.SIGN_OUT_TIME+"</div>";
					}else if(data.DUTY_OPTION==3){
						return "<div style='background-color:#FFE4B5;height:33px;line-height:35px'"+ 
						">"+data.SIGN_OUT_TIME+"</div>";
					}else if(data.OUT_TIME_DIFF<0 || data.SIGN_OUT_TIME=='' || data.SIGN_OUT_TIME==0){
						return "<div style='background-color:#F08080;height:33px;line-height:35px'"+ 
						">"+data.SIGN_OUT_TIME+"</div>";
					}else{
						return data.SIGN_OUT_TIME;
					}
				}
			},
			{
				key:'DATA_TYPE',
				title:'<?=$_lang["hr_attend_attendtype"]?>'
			},
			{
				key:'USER_DUTY',
				title:'<?=$_lang["hr_userduty"]?>'
			}
		];

	}else if("<?=$type?>"=='absent'){
		columninfo=[
			{
				key:'key',
				title:'<?=$_lang["hr_duty_report_date"]?>'
			},
			{
				key:'leave_info',
				title:'<?=$_lang["hr_attend_leave_time"]?>'
			},
			{
				key:'out_info',
				title:'<?=$_lang["hr_attend_out_time"]?>'
			},
			{
				key:'evection_info',
				title:'<?=$_lang["hr_attend_evection_time"]?>'
			}
		];
		pageinfo = false;
	}else if("<?=$type?>"=='leave'){
		columninfo=[
			{
				key:'LEAVE_TYPE',
				title:'<?=$_lang["hr_duty_ask_leave"].$_lang["common_reason"]?>',
				width:250
			},
			{
				key:'TYPE_NAME',
				title:'<?=$_lang["hr_attend_attendtype"]?>',
				width:50
			},
			{
				key:'LEAVE_DATE',
				title:'<?=$_lang["common_time"]?>'
			},{
				key:'LEAVE_COUNTS',
				title:'<?=$_lang["hr_attend_leave_counts"]?>',
				width:50
			}
		];
		buttonInfo = {
			buttonInfor : {
				"view":{
					title : "<?=$_lang["hr_attend_related_flow_form"]?>",
					func : function(data) {
						viewFlow(data.RUN_ID,'<?=$attendConfig["attend_leave_flow_id"]?>','','')
					},
				},
			},
			filter:function(data){
				if(data.RUN_ID) {
					return ["view"];
				}else{
					return [];
				}
			}
		};
	}else if("<?=$type?>"=='leaveout'){
		columninfo=[
			{
				key:'EVECTION_REASON',
				title:'<?=$_lang["hr_duty_ask_trip"].$_lang["hr_reason"]?>',
				width:300
			},
			{
				key:'EVECTION_DEST',
				title:'<?=$_lang["hr_area"]?>'
			},
			{
				key:'EVECTION_DATE',
				title:'<?=$_lang["common_time"]?>'
			}
		];
		buttonInfo = {
			buttonInfor : {
				"view":{
					title : "<?=$_lang["hr_attend_related_flow_form"]?>",
					func : function(data) {
						viewFlow(data.RUN_ID,'<?=$attendConfig["attend_evection_flow_id"]?>','','')
					},
				},
			},
			filter:function(data){
				if(data.RUN_ID) {
					return ["view"];
				}else{
					return [];
				}
			}
		};
	}else if("<?=$type?>"=='out'){
		columninfo=[
			{
				key:'OUT_TYPE',
				title:'<?=$_lang["hr_duty_ask_out"].$_lang["common_reason"]?>',
				width:300
			},
			{
				key:'OUT_DATE',
				title:'<?=$_lang["common_time"]?>'
			}
		];
		buttonInfo = {
			buttonInfor : {
				"view":{
					title : "<?=$_lang["hr_attend_related_flow_form"]?>",
					func : function(data) {
						viewFlow(data.RUN_ID,'<?=$attendConfig["attend_out_flow_id"]?>','','')
					},
				},
			},
			filter:function(data){
				if(data.RUN_ID) {
					return ["view"];
				}else{
					return [];
				}
			}
		};
	}else if("<?=$type?>"=='overtime'){
		columninfo=[
			{
				key:'OVERTIME_DESC',
				title:'<?=$_lang["hr_attend_overtimework"].$_lang["common_reason"]?>',
				width:300
			},
			{
				key:'OVERTIME_DATE',
				title:'<?=$_lang["common_time"]?>'
			}
		];
		buttonInfo = {
			buttonInfor : {
				"view":{
					title : "<?=$_lang["hr_attend_related_flow_form"]?>",
					func : function(data) {
						viewFlow(data.RUN_ID,'<?=$attendConfig["attend_overtime_flow_id"]?>','','')
					},
				},
			},
			filter:function(data){
				if(data.RUN_ID) {
					return ["view"];
				}else{
					return [];
				}
			}
		};
	}

	if("<?=$type?>" == "late" || "<?=$type?>" == "early")
	{
		columninfo.push({key:"ATTEND_IP",title:"<?=$_lang["system_log_address_ip"]?>"});
	}

	$(".record_list").LazyTable({
		column:columninfo,
		dataSource:"do.php",
		page:pageinfo,
		param:{
			op:"getRecordList",
			dataparam:<?=json_encode($params)?>,
			type:"<?=$type?>"
		},
		buttons: buttonInfo,
	});
	$(".record_list").height(600).niceScroll();
});
</script>
<body style="overflow:hidden;">
	<?
	if($type != 'late' && $type != 'leak' && $type != 'early' && $type != 'absent') {
	?>
		<div class="lazy_header">
			<button id="export" class="btn btn-primary" name="export" type="button"><?=$_lang["hr_export"]?></button>
		</div>	
	<?
	}	
	?>
	<div class="record_list"></div>
	<div class="exportDialog">
        <iframe id="exportifr" style="width:100%;border:none;height:100%;" src="" ></iframe>
    </div>
</body>
</html>
