<?
/**
 *@systemname:       E-Office
 *@filename:         general/book/borrow_manage/index.php
 *@function:         图书借阅归还管理
 *@encoding:         $_lang['encoding']
 *@file Version:     1.0
 *@eoffice Version:  8.x
 *@author:           Lj|www.weaver.com.cn
 *@modify            
 *@date:             2013-02-22
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("inc/common.inc");
include_once("api/field_set.class.php");
include_once("inc/function_page_01.php");
includelangpak("asset");
includelangpak("book");
$OtherFieldObj   = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('book_info',$BOOK_ID,'BOOK_ID','form2','search');

$PAGE_TITLE = $_lang["book_borrow_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/select2-3.4.5/select2.css">
<style>
.leftlist {
	float: left;
	border-right: 1px solid #D9D9D9;
	line-height: 40px;
	height:820px;
}
.list .ellipsis_field{
	padding-left: 30px;
}

textarea{
	width:200px;
}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<SCRIPT type="text/javascript" src="/inc/common.js"></SCRIPT>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/select2-3.4.5/select2.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/select2-3.4.5/select2_locale_zh-CN.js"></script>
<script type="text/javascript">
$(function() {
	$("#booklist").height($(window).height()-40).niceScroll();
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;


	$(".outsidediv").height($(window).height());

	$("#BORROW_DATE,#RETURN_DATE").datepicker();
	
	$("#booklist").LazyList({
		dataSource:"/general/book/borrow_manage/index_do.php",
		param:{
			type:"getbook"
		},
		itemListTemplate:"{TYPE_NAME_SHORT}",
		onItemClick:function(ui,data) {
			showList(data.BOOK_ID);
		}
	});
	$('.tip').click(function(){
		$(".borrowlist").LazyTable("reload", {
			param : {
				type:"borrowlists"
			}
		})
	})
	$(".borrowsearch").LazySearch({
		tip:'<?=$_lang["book_keyword_search"]?>',
		mode:"mini",
		url:"/general/book/borrow_manage/index_do.php",
		fieldSearch : {
			onItemClick : function(data,value) {
				$(".borrowlist").LazyTable("reload", {
					param : {
						type:"borrowlists",
						BORROWER:value
					}
				})
			},
			items : [{key : "subject",title : '<?=$_lang["book_borrow_name_have"]?>'}]
		},
		advancedSearch : {
			 onSearch : function(data) {
				$(".borrowlist").LazyTable("reload",{
					param:{
						type:"borrowlists",
						searchData:data
					}
				});
			 },
			 items : [{key : "BOOK_NAME",title : '<?=$_lang["book_name"]?>',type : "text"},
					  {key : "BORROWER",title : '<?=$_lang["book_borrow_man"]?>',type : "text"},
					  {key : "ISBN_NUM",title : '<?=$_lang["book_ISBN_num"]?>',type : "text"},
					  {key : "BDATE",title : '<?=$_lang["book_borrow_time"]?>',type : "text"},						 
					  {key : "RDATE",title : '<?=$_lang["book_return_time"]?>',type : "text"},
					  {key : "BORROW_COUNT",title : '<?=$_lang["book_number"]?>',type : "text"},
					  {key : "BORROW_NOTE",title : '<?=$_lang["book_borrow_remark"]?>',type : "text"}]
		},
		onClearButtonClick:function(){
            $(".borrowlist").LazyTable("reload", {
                param : {
                    type:"borrowlists"
                }
            })
		}
	});

	

	$("#new").click(function() {
		$(".infolist").css("display","none");
		$(".editdiv").css("display","block");
		$("#method").val("new");
		$("#BOOK_NAME").select2("val",'');
		$("#BOOK_NAME").removeData("val");
		$("#BORROW_USER").val("");
		$("#BORROW_COUNT").val("");
		$("#ISBN").val("");
		var date = new Date();
		var strYear = date.getFullYear();
		var strMonth = date.getMonth() + 1;
		if(strMonth < 10) strMonth = '0' + strMonth; 
		var strDate = date.getDate();
		if(strDate < 10) strDate = '0' + strDate;
		var borrowDate = strYear + '-' + strMonth + '-' +strDate;
		$("#BORROW_DATE").val(borrowDate);
		$("#RETURN_DATE").val("");
		$("#BORROW_NOTE").val("");
		
	});
	
	$("#back").click(function() {
		$(".editdiv").css("display","none");
		$(".infolist").css("display","block");
	});

	$("#borrowlist").LazyTable({
		search:{
			tip:'<?=$_lang["book_search_what"]?>',
			dataSouce:"/general/book/borrow_manage/index_do.php",
			param:{
				type:"searchborrow"
			}
		},
		column:[{key:"BORROWER",title:'<?=$_lang["book_borrow_man"]?>'},
				{key:"BOOK_NAME",title:'<?=$_lang["book_name"]?>'},
				{key:"ISBN_NUM",title:'<?=$_lang["book_ISBN_num"]?>'},
				{key:"BORROW_DATE",title:'<?=$_lang["book_borrow_time"]?>'},
				{key:"RETURN_DATE",title:'<?=$_lang["book_return_time"]?>'},
				{key:"BORROW_COUNT",title:'<?=$_lang["book_number"]?>'}],
		buttons:{
			buttonInfor:{
				"return":{
					title:'<?=$_lang["book_return"]?>',
					func:function(data) {
						return_book(data.BORROW_ID,data.BOOK_ID);
					}
				},
				"edit":{
					title:'<?=$_lang["book_edit"]?>',
					func:function(data) {
						book_edit(data.BORROW_ID);
					}
				},
				"delete":{
					title:'<?=$_lang["book_delete"]?>',
					func:function(data) {
						book_delete(data.BORROW_ID);
					}
				}
			},
			filter:function(data) {
				if(data && data.RETURN_FLAG) {
					if(data.RETURN_FLAG == 0) {
						return ["edit","return"];
					} else {
						return ["delete"];
					}
				}
			}
		},
		page:{
			callback:function(data) {
				alert(data);
			}
		},
		dataSource:"/general/book/borrow_manage/index_do.php",
		param:{
			type:"borrowlists"
		}
	});

	$(":text[key='BDATE']").datepicker();
	$(":text[key='RDATE']").datepicker();

	$(".arrow").LazyToggle({
		showTip : '<?=$_lang["book_show_info"]?>',
		autoHide : false,
		hideTip : '<?=$_lang["book_hide_info"]?>',
		onAfterShow : function() {
			$(".leftlist").show();
			$(".infolist").css("margin-left", "301px");
		},
		onAfterHide : function() {
			$(".leftlist").hide();
			$(".infolist").css("margin-left", "0px");
		}			
	});
	
	$("input[class='require']").each(function(){
		if(!!window.addEventListener){
			this.addEventListener('input', function(){
				$.trim($(this).val()) != "" ?$(this).removeClass("require"):$(this).addClass("require");
			}, false);
		}else{
			this.onpropertychange = function(){
				if($.trim($(this).val()) != ""){
					$(this).removeClass("require");
				}else{
					if(!$(this).hasClass("require")){
						$(this).addClass("require");
					}
				}
			}
		}
	});

	$("#BORROW_USER").focus(function() {
		var $bookName = $("#BOOK_NAME");
		$.trim($bookName.val()) != "" ?$bookName.removeClass("require"):$bookName.addClass("require");
	});
	$("#BORROW_USER,#BORROW_COUNT,#BOOK_NAME").blur(function(){
		var v=$(this).val();
		if(v == ''){
			$(this).css('border-left','3px solid red');
		}else{
			$(this).css('border-left','1px solid #ddd');
		}
	});

	$("#BOOK_NAME").select2({
		placeholder: "关键字搜索书名",
		minimumInputLength: 1,
		formatInputTooShort:function(){
			return "可输入首字母、拼音、中文检索";
		},
		ajax: {
		    url: "/general/book/borrow_manage/index_ajax.php",
		    dataType: 'json',
		    quietMillis: 250,
		    data: function (term,page) {
		        return {
		            bookName: term
		        };
		    },
		    results: function (data,page) {
		    	return {
		            results: data
		        };
		    }
		},
	    initSelection: function(element, callback) {
	    	callback($(element).data("val"));
	    },
	    formatSelection: function (item) { return item.text; },
	    formatResult: function (item) { return item.text; },
	});

});

	

function searchgd() {
	document.getElementById("form2").submit();
}

function book_edit(borrow_id) {
	$(".infolist").css("display","none");
	$(".editdiv").css("display","block");
	$("#method").val("edit");
	var url  = "/general/book/borrow_manage/index_do.php";
	var data = "type=bookEdit&BORROW_ID="+borrow_id;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(result) {
			if(result) {
				var jsonData = eval("("+result+")");
				if(jsonData) {
					$("#BORROW_USER").val(jsonData.BORROWER);
					$("#ISBN").val(jsonData.ISBN_NUM);
					$("#BORROW_DATE").val(jsonData.BORROW_DATE);
					$("#RETURN_DATE").val(jsonData.RETURN_DATE);
					$("#BORROW_COUNT").val(jsonData.BORROW_COUNT);
					$("#BORROW_NOTE").val(jsonData.BORROW_NOTE);
					$("#BORROW_ID").val(jsonData.BORROW_ID);
					$("#method").val("edit");
					$("#BOOK_ID").val(jsonData.BOOK_ID);
					$("#BOOK_NAME").data("val",{
						id:jsonData.BOOK_ID,
						text:jsonData.BOOK_NAME
					});
					$("#BOOK_NAME").select2("val", jsonData.BOOK_ID);
					$('#BOOK_NAME').val($('.select2-chosen').html());
				}
				if(jsonData.BOOK_NAME != ''){
					$("#BOOK_NAME").css("border-left","1px solid #ddd");
				}
				if(jsonData.BORROWER != ''){
					$("#BORROW_USER").css("border-left","1px solid #ddd");
				}
				if(jsonData.BORROW_COUNT != ''){
					$("#BORROW_COUNT").css("border-left","1px solid #ddd");
				}
			}
		}
	});
}

function book_delete(borrow_id) {
	bootbox.confirm("<?=$_lang["asset_confirm_to_delete_this_record"]?>",function(result) {
		if(result) {
			var url = "delete.php";
			$.ajax({
				url:url,
				type:"POST",
				data:"BORROW_ID="+borrow_id,
				success:function(resp) {
					if(resp == "1") {
						$.pnotify({
							text:"<?=$_lang["common_deletesuccess"]?>",
							type:"success"
						});
						$(".borrowlist").LazyTable("reload");
					}
				}
			});
		}
	});
}

function return_book(borrow_id,book_id) {
	$.ajax({
		type:"POST",
		data:"BORROW_ID="+borrow_id+"&BOOK_ID="+book_id,
		url:"/general/book/borrow_manage/return_do.php",
		success:function(resp) {
			if(resp == "1") {
				$.pnotify({
					text:"<?=$_lang["asset_book_returned"]?>",
					type:"success"
				});
				$(".borrowlist").LazyTable("reload");
			}
		}
	})
}

function showList(bookId) {
	$("#borrowlist").LazyTable("reload",{
		param:{
			type:"borrowlists",
			searchData:'',
			BOOK_ID:bookId
		}
	});
}

</script>
<body style="overflow:hidden;">
<div id="message"></div>
<div class="leftlist" id="leftlist">
	<div class="outsidediv">
		<div class="lazy_header">
			<span class="lazy-list-title">
				<i class="fa fa-list-title"></i>
				<span class="tip" style="cursor:pointer;"><?=$_lang["book_all"]?></span>
			</span>
		</div>
		<div id="booklist" class="booklist" style="width:300px;"></div>		
	</div>
</div>
<div class="infolist" id="infolist" style="margin-left:301px;">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_book_borrow_return_mgr"]?></span>
		</span>
		<button id="new" class="btn btn-primary" type="button"><?=$_lang["common_new"]?></button>
		<div class="borrowsearch" id="borrowsearch" style="float:right;margin-top:5px;"></div>
	</div>
	<div id="borrowlist" class="borrowlist"></div>
</div>
<div class="editdiv" id="editdiv" style="display:none;margin-left:301px;">
	<div class="lazy_header">	
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_book_borrow_new"]?></span>
		</span>
		<button type="button" class="btn btn-primary" onClick="CheckForm();"><?=$_lang["common_save"]?></button>
		<button type="button" class="btn btn-default" id="back"><?=$_lang["common_back"]?></button>
	</div>
	<form action="add_do.php"  method="post" id="form1" name="form1" onSubmit="return CheckForm();">
		<table border="0" cellspacing="1" width="100%"  cellpadding="5" class="form_table">
			<tr>
				<td nowrap="nowrap" class="title" width="	"><?=$_lang["asset_book_name"]?></td>
				<td nowrap="nowrap">
					<table>
						<tr>
							<td>						
								<input type="text" class="require" name="BOOK_NAME" id="BOOK_NAME" class="BigInput" style="width:200px" maxlength="100" value="<?=$BOOK_NAME?>" onchange="setBookIdValue()">
							</td>
							<td>
								<input type="hidden" name="BOOK_ID" id="BOOK_ID" value="<?=$BOOK_ID?>">
							</td>
						</tr>
					</table>
				</td>
			</tr>            
			<tr>
				<td nowrap="nowrap" class="title" width="120"><?=$_lang["asset_book_borrow_user"]?></td>
				<td nowrap="nowrap" colspan="2">
					<input type="text" name="BORROW_USER" class="require" id="BORROW_USER" style="width:200px" maxlength="100" value="<?=$BORROW_USER?>">&nbsp;
				</td>
			</tr>			 
			<tr>
				<td nowrap="nowrap" class="title" width="120"><?=$_lang["asset_number"]?></td>
				<td nowrap="nowrap" colspan="2">
					<input type="text" class="require" name="BORROW_COUNT" id="BORROW_COUNT" style="width:200px;" maxlength="100" onkeyup="checknum(this)">
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title" width="120"><?=$_lang["asset_idbn_number"]?></td>
				<td nowrap="nowrap" colspan="2">
					<input type="text" name="ISBN" id="ISBN" style="width:200px" maxlength="100" value="<?=$ISBN?>">&nbsp;
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title" width="120"><?=$_lang["asset_book_borrow_date"]?></td>
				<td nowrap="nowrap" colspan="2">
					<input type="text" name="BORROW_DATE" id="BORROW_DATE" style="width:200px" maxlength="100" value="<?=date("Y-m-d",time())?>" onchange="check_legal(this,'date');">
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title" width="120"><?=$_lang["asset_book_return_date"]?></td>
				<td nowrap="nowrap" colspan="2">
					<input type="text" name="RETURN_DATE" id="RETURN_DATE" style="width:200px" maxlength="100" onchange="check_legal(this,'date');">
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title" width="120"><?=$_lang["asset_book_borrow_note"]?></td>
				<td nowrap="nowrap" colspan="2">
					<textarea cols="31" rows="6" style="overflow:auto" name="BORROW_NOTE" id="BORROW_NOTE" wrap="PHYSIVAL"></textarea>
				</td>
			</tr>           
		</table>
		<input type="hidden" name="BORROW_ID" id="BORROW_ID">
		<input type="hidden" name="method" id="method">
	</form>
</div>
</body>
</html>
<script>
function LoadWindow(){
   URL   = "/module/book_select/";
  //loc_x=document.body.scrollLeft+event.clientX-event.offsetX-100;
  //loc_y=document.body.scrollTop+event.clientY-event.offsetY+170;
   var ScreenWidth = screen.availWidth	;
   var ScreenHeight = screen.availHeight ;
   var loc_x = (ScreenWidth - 500) / 2 ;
   var loc_y = (ScreenHeight - 200) / 2 ;
   window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:300px;dialogHeight:395px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
   var con=$('#BOOK_NAME').val();
   if(con==''){
		$('#BOOK_NAME').addClass('require');
	}else{
		$('#BOOK_NAME').removeClass('require');
	}
}

function CheckForm()
{
	var borrow_date = document.getElementById("BORROW_DATE").value;
	var return_date = document.getElementById("RETURN_DATE").value;
	var borrow_user = document.getElementById("BORROW_USER").value;
	if(document.form1.BOOK_NAME.value=="")
	{
		$.pnotify({text:"<?=$_lang["asset_book_name_can_not_be_empty"]?>",type:"error"});
		return (false);
	} 

	if(trim(borrow_user) == ""){
		$.pnotify({text:"<?=$_lang["asset_borrow_man"].$_lang["asset_can_not_be_empty"]?>",type:"error"});
		return false;
	}

	if(borrow_date > return_date) {
		$.pnotify({text:"<?=$_lang["asset_choose_return_date"]?>",type:"error"});
		return false;
	}

	if(document.form1.BORROW_COUNT.value=="0" || document.form1.BORROW_COUNT.value=="") {
		$.pnotify({text:"<?=$_lang["asset_book_count_error"]?>",type:"error"});
		return false;
	}
	document.form1.submit();
}

function setBookIdValue(){
	$('#BOOK_ID').val($('#BOOK_NAME').val());
	$('#BOOK_NAME').val($('.select2-chosen').html());
}

</script>