<?
/**
 *@systemname:       E-Office
 *@filename:         general/book/borrow_manage/result.php
 *@function:         图书借阅归还查询结果页面
 *@encoding:         $_lang['encoding']
 *@file Version:     1.0
 *@eoffice Version:  8.x
 *@author:           Lj|www.weaver.com.cn
 *@modify            
 *@date:             2013-05-09
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("inc/common.inc");
include_once("api/field_set.class.php");
include_once("inc/function_page_01.php");
includelangpak("asset");

$OtherFieldObj   = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('book_info',$BOOK_ID,'BOOK_ID','form2','search');
$PAGE_TITLE = $_lang["asset_new_book"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script language="javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/calendar/calendar.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>

<script language="javascript">
jQuery(document).ready(function() {
	jQuery(".pubtable").LazyBeautifyTable( {
		theme:'<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/'
		});
	jQuery("body").LazyBeautifyForm();
});

function searchgd() {
	document.getElementById("form2").submit();
}

function book_delete(borrow_id) {
	if(confirm("<?=$_lang["asset_confirm_to_delete_this_record"]?>")) {
		var url = "delete.php";
		jQuery.ajax({
			url:url,
			type:"POST",
			data:"BORROW_ID="+borrow_id,
			success:function(resp) {
				if(resp == "1") {
					alert("<?=$_lang["common_deletesuccess"]?>");
					window.location.reload();
				}
			}
		});
	}
}

function return_book(borrow_id,book_id) {
	jQuery.ajax({
		type:"POST",
		data:"BORROW_ID="+borrow_id+"&BOOK_ID="+book_id,
		url:"/general/book/borrow_manage/return_do.php",
		success:function(resp) {
			if(resp == "1") {
				alert("<?=$_lang["asset_book_returned"]?>");
				window.location.reload();
			}
		}
	})
}

function book_edit(borrow_id) {
	url = "edit.php?BORROW_ID="+borrow_id+"&FROM=search&BOOK_ID=<?=$_REQUEST['BOOK_ID']?>
	&BORROW_USER=<?=$_REQUEST['BORROW_USER']?>&ISBN=<?=$_REQUEST['ISBN']?>&BORROW_DATE=<?=$_REQUEST['BORROW_DATE']?>
	&RETURN_DATE=<?=$_REQUEST['RETURN_DATE']?>&BORROW_COUNT=<?=$_REQUEST['BORROW_COUNT']?>&BORROW_NOTE=<?=$_REQUEST['BORROW_NOTE']?>";
	window.location.href = url;
}

function book_delete(borrow_id) {
	if(confirm("<?=$_lang["asset_confirm_to_delete_this_record"]?>")) {
		var url = "delete.php";
		jQuery.ajax({
			url:url,
			type:"POST",
			data:"BORROW_ID="+borrow_id,
			success:function(resp) {
				if(resp == "1") {
					alert("<?=$_lang["common_deletesuccess"]?>");
					window.location.reload();
				}
			}
		});
	}
}
</script>
<body class="bodycolor" topmargin="5">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td class="page-title"><?=$_lang["asset_book_borrow_return_mgr"]?></td>
		<td align="right">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<a class="button" href="#" onClick="location='index.php';">
						    <span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif" border="0" align="absmiddle" /><?=$_lang["common_back"]?></span>
                        </a>
					</td>
				</tr>
			</table>
            <?=pageHeadItem("1","1","1","1","1")?>
		</td>
	</tr>
	<tr>
		<td colspan="2">
        	<div class='bg-split'></div>
       	</td>
	</tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr height="10">
		<td width="10" class="tablecornertopleft10"></td>
		<td class="tablecornertopcenter10"></td>
		<td width="10" class="tablecornertoprightt10"></td>
	</tr>
	<tr>
		<td width="10" class="tablecornermiddleleft"></td>
		<td class="tablecornermiddlecenter" valign="top">
			<table border="0" width="100%" class="pubtable" cellspacing="0" cellpadding="0">
			<?
			$query = "SELECT * FROM book_manage WHERE 1";
			if($_REQUEST["BOOK_ID"] != '') {
				$query .= " AND BOOK_ID='".SecurityFilter($_REQUEST["BOOK_ID"])."'";
			} else if ($_REQUEST["BORROW_USER"] != "") {
				$query .= " AND BORROWER LIKE '%".SecurityFilter($_REQUEST["BORROW_USER"])."%'";
			} else if ($_REQUEST["ISBN"] != "") {
				$query .= " AND ISBN_NUM LIKE '%".SecurityFilter($_REQUEST["ISBN"])."%'";
			} else if ($_REQUEST["BORROW_DATE"] != "") {
				$query .= " AND BORROW_DATE<='".SecurityFilter($_REQUEST["BORROW_DATE"])."'";
			} else if ($_REQUEST["RETURN_DATE"] != "") {
				$query .= " AND RETURN_DATE<='".SecurityFilter($_REQUEST["RETURN_DATE"])."'";
			} else if ($_REQUEST["BORROW_COUNT"] != "") {
				$query .= " AND BORROW_COUNT='".SecurityFilter($_REQUEST["BORROW_COUNT"])."'";
			} else if ($_REQUEST["BORROW_NOTE"] != "") {
				$query .= " AND BORROW_NOTE LIKE '%".SecurityFilter($_REQUEST["BORROW_NOTE"])."%'";
			}
			
			$query = page($query,20);
			$res   = exequery($connection,$query);
			$num   = mysql_num_rows($res);
			while($row = mysql_fetch_array($res)) {
				$BORROW_ID = $row["BORROW_ID"];
				$BORROWER  = $row["BORROWER"];
				$BOOK_ID   = $row["BOOK_ID"];
				$BOOK_NAME = $row["BOOK_NAME"];
				$ISBN      = $row["ISBN_NUM"];
				$BORROW_DATE  = $row["BORROW_DATE"];
				$RETURN_DATE  = $row["RETURN_DATE"];
				$BORROW_COUNT = $row["BORROW_COUNT"];
				$BORROW_NOTE  = $row["BORROW_NOTE"];
				$RETURN_FLAG  = $row["RETURN_FLAG"];

				if($BORROW_DATE == "0000-00-00") {
					$BORROW_DATE = "";
				}
				if($RETURN_DATE == "0000-00-00") {
					$RETURN_DATE = "";
				}

				if($BORROW_COUNT == '') {
					$BORROW_COUNT = 0;
				}
			?>
			<tr>
				<td><?=$BORROWER?></td>
				<td><?=$BOOK_NAME?></td>
				<td><?=$ISBN?></td>
				<td><?=$BORROW_DATE?></td>
				<td><?=$RETURN_DATE?></td>
				<td><?=$BORROW_COUNT?></td>
				<td>
					<?
					if($RETURN_FLAG == 1) {
					?>
						<a href="#" onclick="book_delete('<?=$BORROW_ID?>','<?=$BOOK_ID?>');"><?=$_lang["common_del"]?></a>&nbsp;&nbsp;&nbsp;&nbsp;<?} else {?><a href="#" onclick="return_book('<?=$BORROW_ID?>');"><?=$_lang["asset_return"]?></a>
					<?
					}
					?>&nbsp;&nbsp;&nbsp;&nbsp;<?
					if($RETURN_FLAG != 1) {
					?>
						<a href="#" onclick="book_edit('<?=$BORROW_ID?>');"><?=$_lang["common_edit"]?></a>
					<?
					}
					?>					
				</td>
			</tr>
			<?
			}

			if($num == 0) {
			?>
				<table width="100%">
					<tr>
						<td>
						<?
							Message("",$_lang["asset_norecord_current"]);
						?>
						</td>
					</tr>
				</table>
			</td>
			<td width="10" class="tablecornermiddleright" ></td>
		</tr>
		<tr height="10">
			<td width="10" class="tablecornerbottomleft"></td>
			<td class="tablecornerbottomcenter"></td>
			<td width="10" class="tablecornerbottomright" ></td>
		</tr>
	</table>
			<?
			} else {
			?>
				<thead>
					<td nowrap width="20%"><?=$_lang["asset_book_borrow_user"]?></td>
					<td nowrap width="20%"><?=$_lang["asset_book_name"]?></td>
					<td nowrap width="15%"><?=$_lang["asset_idbn_number"]?></td>
					<td nowrap width="10%"><?=$_lang["asset_book_borrow_date"]?></td>
					<td nowrap width="10%"><?=$_lang["asset_book_return_date"]?></td>
					<td nowrap width="10%"><?=$_lang["asset_number"]?></td>
					<td nowrap width="10%"><?=$_lang["common_operation"]?></td>
				<thead>
			<?
			}
			?>
			</table>
			<?
			if($num != 0) {
			?>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td style="float:right" align="right">
						<? disp('BORROW_ID='.$_REQUEST['BORROW_ID'].'&BOOK_ID='.$_REQUEST["BOOK_ID"].'&BORROW_USER='
						.$_REQUEST["BORROW_USER"].'&ISBN='.$_REQUEST["ISBN"].'&BORROW_DATE='.$_REQUEST["BORROW_DATE"].
						'&RETURN_DATE='.$_REQUEST["RETURN_DATE"].'&BORROW_COUNT='.$_REQUEST["BORROW_COUNT"].'&BORROW_NOTE='.$_REQUEST["BORROW_NOTE"]);?>
					</td>
				</tr>
			</table>
			<?
			}
			?>
		</td>
		<td width="10" class="tablecornermiddleright" ></td>
	</tr>
	<tr height="10">
		<td width="10" class="tablecornerbottomleft"></td>
		<td class="tablecornerbottomcenter"></td>
		<td width="10" class="tablecornerbottomright" ></td>
	</tr>
</table>
</body>
</html>