<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      日程查询页
* @encoding      $_lang['encoding']
* @name          general/calendar/query.php
* @version       1.0
* @author        lxl www.weaver.com.cn
* @modify        liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/check_type.php");
include_once("inc/utility_all.php");
includelangpak("calendar");
$CUR_DATE = date("Y-m-d",time());
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["calendar_search_Schedule"]?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<SCRIPT type="text/javascript" src="/inc/calendar/calendar.js"></SCRIPT>
<SCRIPT type="text/javascript" src="/inc/common.js"></SCRIPT>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script language="javascript">
function delete_diary(DIA_ID)
{
 msg='<?=$_lang["calendar_confirm_log"]?>';
 if(window.confirm(msg))
 {
  URL="delete.php?DIA_ID=" + DIA_ID;
  window.location=URL;
 }
}

function Checkform()
{

   if(document.form1.END_DATE.value=="")
   { alert("<?=$_lang['calendar_deny_empty_end_date']?>");
     return (false);
   }
   var textarea = document.getElementById('create_user_name').value;
   if(textarea.split(',').length>2)
   {
   	alert('<?=$_lang["calendar_plan_creator_unique"]?>')
   	return false;
   }
   if(checkdate($("#BEGIN_DATE").val())==false && $("#BEGIN_DATE").val()!="")
   {
		alert("<?=$_lang["calendar_deny_error_start_date"]?>");	   
		return false;
	}
	if(checkdate($("#END_DATE").val())==false && $("#END_DATE").val()!="")
	{
		alert("<?=$_lang["calendar_deny_error_end_date"]?>");	   
		return false;	
	}
   document.form1.submit();
}

function td_calendar(fieldname)
{
  myleft=document.body.scrollLeft+event.clientX-event.offsetX-80;
  mytop=document.body.scrollTop+event.clientY-event.offsetY+140;
  window.showModalDialog("/inc/calendar.php?FIELDNAME="+fieldname,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:280px;dialogHeight:205px;dialogTop:"+mytop+"px;dialogLeft:"+myleft+"px");
}

$(document).ready(function() {			
	$(":text").LazyBeautifyText();
	$("select").LazyBeautifySelect();
	$("textarea").LazyBeautifyTextArea();
	$(".button").LazyBeautifyButton();
});
//--- 判断是否为日期
function checkdate(str)
{
	var reg = /^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/; 
	var r = str.match(reg); 
	if(r==null)
	{
		return false;	
	}
	var d = new Date(r[1], r[3]-1,r[4]); 
	var cur_date = str.split("-");
	if(cur_date[1]>0 && cur_date[1]<10 && cur_date[2]>10)
	{
		if(cur_date[1].indexOf("0")==-1)
		{
			cur_date[1] = "0"+cur_date[1];
			compare_str = cur_date[0]+"-"+cur_date[1]+"-"+cur_date[2];	
		}
		else
		{
			compare_str	= str;	
		}
	}
	else if(cur_date[1]>0 && cur_date[1]<10 && cur_date[2]<10 && cur_date[2]>0)
	{
		if(cur_date[1].indexOf("0")==-1 && cur_date[2].indexOf("0")!=-1)
		{
			cur_date[1] = "0"+cur_date[1];
			compare_str = cur_date[0]+"-"+cur_date[1]+"-"+cur_date[2];	
		}
		else if(cur_date[1].indexOf("0")==-1 && cur_date[2].indexOf("0")==-1)
		{
			cur_date[1] = "0"+cur_date[1];
			cur_date[2] = "0"+cur_date[2];
			compare_str = cur_date[0]+"-"+cur_date[1]+"-"+cur_date[2];	
		}
		else if(cur_date[1].indexOf("0")!=-1 && cur_date[2].indexOf("0")==-1)
		{
			cur_date[2] = "0"+cur_date[2];
			compare_str = cur_date[0]+"-"+cur_date[1]+"-"+cur_date[2];	
		}
		else
		{
			compare_str	= str;	
		}
	}
	else if(cur_date[2]<10 && cur_date[2]>0 && cur_date[1]>10)
	{
		if(cur_date[2].indexOf("0")==-1)
		{
			cur_date[2] = "0"+cur_date[2];
			compare_str = cur_date[0]+"-"+cur_date[1]+"-"+cur_date[2];	
		}
		else
		{
			compare_str	= str;	
		}	
	}
	else
	{
		compare_str	= str;
	}
	var cur_month = d.getMonth()+1;
	var cur_day = d.getDate();
	if(cur_month<10 && cur_month>0)
	{
		var month = "0"+cur_month;	
	}
	else
	{
		var month = cur_month;		
	}
	if(cur_day<10 && cur_day>0)
	{
		var day = "0"+cur_day;		
	}
	else
	{
		var day = cur_day;		
	}
	var newStr = d.getFullYear()+r[2]+month+r[2]+day; 
	return newStr==compare_str;    //如果是日期格式正确返回true，其它返回false
}
</script>
</head>
<body>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td class="page-title"><?=$_lang["calendar_search_Schedule"]?></td>
		<td align="right">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<a class="button" href="#" onClick="Checkform()">
                            <span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/search.gif" border="0" align="absmiddle"> <?=$_lang["calendar_search"]?></span>
                        </a>
					</td>
					<td>
						<a class="button" href="calendar_edit.php">
                            <span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/new.gif" border="0" align="absmiddle"> <?=$_lang["calendar_add_calendar"]?></span>
                        </a>
					</td>
                    <td>
                    	<a class="button" href="#" onClick="location.href='/general/calendar/index.php'">
                            <span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif" border="0" align="absmiddle"> <?=$_lang["common_back"]?></span>
                        </a>
                    </td>					
				</tr>
			</table>
		<? pageHeadItem("log_search",1,1,1,1) ?>
		</td>
	</tr>
	<tr>
		<td colspan="2">
        	<div class='bg-split' style="margin-bottom:5px; margin-top:5px;"></div>
        </td>
	</tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr height="10">
		<td width="10" class="tablecornertopleft10"></td>
		<td class="tablecornertopcenter10"></td>
		<td width="10" class="tablecornertoprightt10"></td>
	</tr>
	<tr>
		<td width="10" class="tablecornermiddleleft"></td>
		<td class="tablecornermiddlecenter" valign="top">
			<form action="search.php" name="form1" id="form1" method="post" enctype="multipart/form-data" >
            	<table border="0" width="100%" cellpadding="5" cellspacing="1" class="pubtable">
                	<tr>
                      <td nowrap class="table-column-one"><?=$_lang["calendar_level"]?>：</td>
                      <td>
                        <select name="CAL_LEVEL" class="BigSelect" width="148">
                        <option value="0"><?=$_lang["calendar_level_all"]?></option>
                          <option value="1"><?=$_lang["calendar_level_normal"]?></option>
                          <option value="2"><?=$_lang["calendar_level_import"]?></option>
                          <option value="3"><?=$_lang["calendar_level_urgency"]?></option>
                        </select>
                      </td>
                    </tr>
                    <tr>
                      <td nowrap class="table-column-one" width="10%"><?=$_lang["calendar_cl_begin_date"]?>：</td>
                      <td>
                      <input class='Wdate' style="width:150px" type="text" name="BEGIN_DATE" id="BEGIN_DATE" value="" maxlength="100" onClick="popUpCalendar(document.form1,document.form1.BEGIN_DATE,'yyyy-mm-dd')"/>
                      </td>
                    </tr>    
                    <tr>
                      <td nowrap class="table-column-one"><?=$_lang["calendar_cl_end_date"]?>：</td>
                      <td>
                      <input class='Wdate' style="width:150px" type="text" name="END_DATE" id="END_DATE" value="<?=$CUR_DATE?>"  maxlength="100" onClick="popUpCalendar(document.form1,document.form1.END_DATE,'yyyy-mm-dd')"/>
                      </td>
                    </tr>
                    <tr>
                      <td nowrap class="table-column-one"><?=$_lang["calendar_keyword"];?>：</td>
                      <td><input style="width:150px" type="text" name="KEY1" class="text" ></td>
                    </tr>
                    <tr>
                      <td nowrap class="table-column-one"><?=$_lang["calendar_creator"]?>：</td>
                      <td>
                        <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td>      
                                    <textarea class="textareaonly" cols="30" style="overflow:auto" readonly rows="3" name="create_user_name" id="create_user_name"></textarea>
                                </td>
                                <td>
                                    <input type="hidden" name="create_user_id" id="create_user_id" value=""> 
                                </td>
                                <td valign="bottom">
                                    <input class="button" type="button" value="<?=$_lang["common_choose"]?>" name="button" onClick="LoadWindowUser('create_user_id','create_user_name','form1');">
                                </td>
                            </tr>
                        </table>
                      </td>       
                    </tr>
                </table>
            </form>
		</td>
		<td width="10" class="tablecornermiddleright" ></td>
	</tr>
	<tr height="10">
		<td width="10" class="tablecornerbottomleft"></td>
		<td class="tablecornerbottomcenter"></td>
		<td width="10" class="tablecornerbottomright" ></td>
	</tr>
</table>
</body>
</html>