<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "xhtml11.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<title>Highslide JS</title>

<!-- 
    1 ) Reference to the files containing the javascript. 
    These files must be located on your server. 
-->

<script type="text/javascript" src="/inc/highslide/highslide-with-html.js"></SCRIPT>

<!-- 
    2) Optionally override the settings defined at the top
    of the highslide.js file. The parameter hs.graphicsDir is important!
-->

				<script type="text/javascript">    
					hs.graphicsDir = '/theme/skyblue/images/highslide/graphics/';
					hs.outlineType = 'rounded-white';
					hs.outlineWhileAnimating = true;
					</script>


<!-- 
    3) These CSS-styles are necessary for the script to work. You may also put
    them in an external CSS-file. See the webpage for documentation.
-->

<style type="text/css">
.highslide-html-content{
	position: absolute;
    display: none;
}

/* Styles for the popup */

/* These must be the last of the Highslide rules */

</style>

</head>

<body>
<div>

<a href="#" onclick="return hs.htmlExpand(this, { contentId: 'highslide-html' } )" 
		class="highslide">
	HTML content
</a>

<div class="highslide-html-content" id="highslide-html">
	<div class="highslide-header">
		<ul>
			<li class="highslide-move">
				<a href="#" onclick="return false">Move</a>
			</li>
			<li class="highslide-close">
				<a href="#" onclick="return hs.close(this)">Close</a>
			</li>
		</ul>	    
	</div>
	<div class="highslide-body">
		Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aliquam dapibus leo quis nisl. In lectus. Vivamus consectetuer pede in nisl. Mauris cursus pretium mauris. Suspendisse condimentum mi ac tellus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sed enim. Ut vel ipsum. Cras consequat velit et justo. Donec mollis, mi at tincidunt vehicula, nisl mi luctus risus, quis scelerisque arcu nibh ac nisi. Sed risus. Curabitur urna. Aliquam vitae nisl. Quisque imperdiet semper justo. Pellentesque nonummy pretium tellus.
	</div>
    <div class="highslide-footer">
        <div>
            <span class="highslide-resize" title="Resize">
                <span></span>
            </span>
        </div>
    </div>
</div>

</div>
</body>
</html>