<?php
include_once("inc/auth.php");
include_once('api/calendar.class.php');
include_once("inc/utility_all.php");
includelangpak("calendar");
$MyCalendar  = new MyCalendar();
$m			= request_var('m','init');
$MyCalendar->$m();
class MyCalendar 
{
	public $userId;
	public $userPriv;
	public $deptId;
	public $funcId;
	private static $_calendar;
	public function __construct() 
	{
		global $_lang;
		$this->userId		= $userId = $_SESSION["LOGIN_USER_ID"];
        $this->userPriv		= $_SESSION["LOGIN_USER_PRIV"];
        $this->deptId		= $_SESSION["LOGIN_DEPT_ID"];
		
		$this->funcId		= $funcId = intval(request_var('func_id',0));
		if(!$this->checkMenuPriv($funcId, $userId)){
			echo '<b style="color:red">'.$_lang["calendar_no_menu_auth"].'</b>';exit;
		}
		if(!self::$_calendar) {
			self::$_calendar = new calendar();
		}
	}
	public function init()
	{
		global $_lang;
		include('./tpls/init.php');
	}
	public function getMyCalendar()
	{
		$type			= request_var('type','my');
		$quickParam		= request_var('quickParam','myAll');
		$quickParam		= $type == 'my' ? $quickParam : false;
		$startDate		= date('Y-m-d H:i:s',request_var('start'));
		$endDate		= date('Y-m-d H:i:s',request_var('end'));
		$userId			= '';
		if($type != 'my'){
			$userId = request_var('userId');
		}
		$calendars		= self::$_calendar->myCalendarList($quickParam, $startDate,$endDate, $userId,$type);
		if($calendars){
			$caleArray = array();
			foreach ($calendars as $calendar){
				if($calendar["CAL_ID"]){
					$temp = array();
					$temp["id"]     = $calendar["CAL_ID"];
					$temp["title"]  = $calendar["CAL_CONTENT"];
					$temp["start"]  = $calendar["CAL_BEGIN"];
					$temp["end"]    = $calendar["CAL_END"];
					$second = strtotime($calendar["CAL_END"])-strtotime($calendar["CAL_BEGIN"]);
					$time = $second/3600;
					if($time>=24){
						$temp["allDay"] = true;	
					}else{
						$temp["allDay"] = false;	
					}
					$temp["color"] = "#1EB1ED";
					$temp["editable"] = false;	
					$temp["className"] = "caleShow";	
					$caleArray[] = $temp;
				}	
			}	
			echo json_encode($caleArray);exit;
		}
		echo '[]';
	}
	public function myBranch()
	{
		$branch = self::$_calendar->getDefaultAttention($this->userId);
		
		echo json_encode($branch);
	}
	public function myAttention()
	{
		$attention = self::$_calendar->getHadAttention($this->userId);
		
		echo json_encode($attention);
	}
	private function checkMenuPriv($funcId,$userId)
	{
		// if(!$funcId){
		// 	return false;
		// }
		$privStr = getLoginUserPriv($userId);
		if(!empty($_SESSION["USER_SUB_PRIV"])){
			$privStr = implode(",",array_filter(array_unique(explode(",",$privStr.",".$_SESSION["USER_SUB_PRIV"]))));
		}
		if (!isThisPri($privStr, isMenuPri($funcId))) {
			return false;
		}
		return true;
	}
}
