<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice9.0
* @function      日历显示
* @encoding      $_lang['encoding']
* @name          general/calendar9/allshow
* @version       1.0
* @author        liuqingyu
*/
$PAGE_TITLE = $_lang["calendar_title"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/general/fullcalendar/fullcalendar.css">
<link rel="stylesheet" type="text/css" href="/general/fullcalendar/layer/skin/layer.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<style type="text/css">
body{
/*	overflow: hidden;*/
}
.left-bottom{
	width: 299px;
	overflow-y: auto;
	overflow-x: hidden;
}
.right-bottom{
	padding-top:20px;
	padding-left:5px;
	padding-right:5px;
}
.right_main_wrap{
	overflow: hidden;
}
.left-bottom .item{
	height:40px;
	float:left;
	width:100%;
	line-height: 40px;
	cursor: pointer;
	font-size:12px;
	color:#333;
	font-weight: bold;
	text-indent: 10px;
}
.left-bottom .item:hover{
	color:#1EB1ED;
}
.left-bottom .item.active{
	color:#1EB1ED;
}
.sub-items{
	width:100%;
	margin-bottom:10px;
	float:left;
}
.sub-item{
	min-width: 30px;
	margin-left:10px;
	font-size: 12px;
	color:#666;
	line-height: 27px;
	margin-bottom: 10px;
	float:left;
	border:1px solid #ddd;
	height:30px;
	border-radius: 17px;
	cursor:pointer;
}
.sub-item-left{
	width:30px;
	float:left;
}
.sub-item-left img{
	width:28px;
	height:28px;
	margin-top:-1px;
	margin-left:1px;
	border-radius: 17px;
	-moz-border-radius: 17px ;      
	-webkit-border-radius: 17px ;  
}
.sub-item-right{
	float:left;
	height:30px;
	line-height: 30px;
	padding-left:3px;
	padding-right: 8px;
}
.sub-item-right .sub-item-right-top{
	overflow:hidden; 
    text-overflow:ellipsis;
    white-space:nowrap;
	height:25px;
	font-size: 14px;
	color:#333;
	line-height: 27px;
}
.sub-item-right .sub-item-right-bottom{
	overflow:hidden; 
    text-overflow:ellipsis;
    white-space:nowrap;
	height:22px;
	line-height: 18px;
}
.sub-item:hover{
	background: #f4f4f4;
	border-color:#ccc;
	color:#555;
}
.sub-item.active{
	background: #f4f4f4;
	border-color:#1EB1ED;
	color:#1EB1ED;
}
.sub-item.active img{
/*	border:1px solid #1EB1ED;*/
}
.sub-item.active .sub-item-right-top{
	color:#1EB1ED;
}
.no-data{
	width:100%;
	height:30px;
	line-height: 30px;
	text-indent:20px;
	color:#666;
}
#myBranch,#myAttention{
	position: relative;
}
.user-search{
	position: absolute;
	right:20px;
	text-align: center;
	width:160px;
	height:30px;
	line-height: 30px;
	top:2px;
	text-indent: 0px;
	color:#aaa;
	border-bottom:1px solid transparent;
}
.user-search:hover,.user-search.active{
	border-color: #1EB1ED;
	color:#1EB1ED;
}
.user-search input{
	border:0px;
	height:25px;
	outline: none;
}
.user-search i{
	margin-left:0px;
}
.user-search i.fa-times-circle{
	display: none;
}
</style>
<body>
<div class="left_list_wrap">
    <div class="lazy_header">
		<span class="lazy-list-title">
            <i class="fa fa-list-title"></i>
            <span class="tip"><?=$_lang["calendar_title"]?></span>
        </span>
    </div>
    <div class="left-bottom">
		<div class="item active" id="myCalendar">
			<?=$_lang["calendar_title"]?>
		</div>
		<div class="item" id="myBranch">
			<span><?=$_lang["calendar_my_branch"]?></span>
			<div class="user-search">
				<input type="text" id="branck_keyword" value="" placeholder=""><i class="fa fa-search"></i><i class="fa fa-times-circle"></i>
			</div>
		</div>
		<div class="sub-items" parent-id="myBranch" id="myBranchUser">
		</div>
		<div class="sub-items" parent-id="myBranch" id="myBranchSearchUser" style="display:none;">
		</div>
		<div class="item" id="myAttention">
			<span><?=$_lang["calendar_my_attention"]?></span>
			<div class="user-search">
				<input type="text" id="attention_keyword" value="" placeholder=""><i class="fa fa-search"></i><i class="fa fa-times-circle"></i>
			</div>
		</div>
		<div class="sub-items" parent-id="myAttention" id="myAttentionUser">
		</div>
		<div class="sub-items" parent-id="myBranch" id="myAttentionSearchUser" style="display:none;">
		</div>
	</div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch lazy_toggle">
			<div class="icon_wrap"><i class="fa fa-angle-right"></i></div>
		</div>
        <div class="filter_wrap lazy_filter"></div>
		<button type="button" class="btn btn-success pull-right" id="createCalendar"><?=$_lang["calendar_create_new"]?></button>
    </div>
    <div class="right-bottom">
		<div id="calsimpleTitle" style="display:none">
            <table border="0" cellpadding="5" cellspacing="1" width="100%">
                <tr>
                    <td><?=$_lang["calendar_view_Schedule"]?></td>
                    <td id="typeText"></td>
                </tr>
                <tr>
                    <td id="diffTitle"><?=$_lang["calendar_level"]?></td>
                    <td id="titleText"></td>
                </tr>
                <tr>
                    <td nowrap="nowrap"><?=$_lang["calendar_plan_begin_time"]?></td>
                    <td id="begDateText"></td>
                </tr>
                <tr>
                    <td nowrap="nowrap"><?=$_lang["calendar_plan_end_time"]?></td>
                    <td id="endDateText"></td>
                </tr>
                <tr>
                    <td><?=$_lang["calendar_tag"]?></td>
                    <td id="labelsText"></td>
                </tr>
            </table>
        </div>
		<div id="vehiAllView" title='<?=$_lang["calendar_calendar_detial"]?>'></div>
    	<div id='calendar'></div>
    </div>
</div>    
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/general/fullcalendar/fullcalendar.js"></script>
<script type="text/javascript" src="/general/fullcalendar/layer/layer.js"></script>
<script type="text/javascript" src="/general/fullcalendar/jquery.choose.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script language="javascript">
$.pnotify.defaults.styling = "bootstrap3";
$.pnotify.defaults.closer = false;
$.pnotify.defaults.sticker = false;
$.pnotify.defaults.history = false;
$.pnotify.defaults.delay = 1000;
var myBranchUser = myAttentionUser = [];
//格式化日期
Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
$(document).ready(function(){
	$(".left-bottom").height($(window).height()-40).niceScroll();
	$('.right-bottom').height($(window).height()-60).niceScroll();
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			caleObj.fullCalendar("removeEvents");
			caleObj.fullCalendar("addEventSource",'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=getMyCalendar&type=my&quickParam='+data+'&func_id=<?=$this->funcId?>');
		},
		common : {
				template : "{title}",
				dataSource : [{
					key : "myAll",
					title : '<?=$_lang["calendar_level_all"]?>',
					isDefault : true
				},{
					key : "receive",
					title : '<?=$_lang["calendar_deal"]?>'
				},{
					key : "myIn",
					title : '<?=$_lang["calendar_share"]?>'
				}]
		}
	});	
	$(".switch").LazyToggle({
		showTip : '',
		hideTip : '',
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
			$('#calendar').fullCalendar('render');
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			$(".right_main_wrap").css("margin-left", "0px");
			$('#calendar').fullCalendar('render');
		}
	});
	
	$('#createCalendar').click(function(){
		location.href= '/general/calendar9/calendar/index.php?func_id=27&mycalendar=true';
	});
	$('#myCalendar').click(function(){
		$(".filter_wrap").show();
		$('.left-bottom').find('.item').removeClass('active');
		$('.left-bottom').find('.sub-item').removeClass('active');
		$(this).addClass('active');
		caleObj.fullCalendar("removeEvents");
		caleObj.fullCalendar("addEventSource",'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=getMyCalendar&type=my&func_id=<?=$this->funcId?>');
	});
	$('#myBranch').click(function(){
		if($('#myBranchUser').find('.no-data').length > 0){
			$.pnotify("<?=$_lang["calendar_no_branch"]?>");
			return;
		}
		$(".filter_wrap").hide();
		$('.left-bottom').find('.item').removeClass('active');
		$('.left-bottom').find('.sub-item').removeClass('active');
		$(this).addClass('active');
		caleObj.fullCalendar("removeEvents");
		caleObj.fullCalendar("addEventSource",'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=getMyCalendar&type=branch&func_id=<?=$this->funcId?>');
	});
	$('#myAttention').click(function(){
		if($('#myAttentionUser').find('.no-data').length > 0){
			$.pnotify("<?=$_lang["calendar_no_attention"]?>");
			return;
		}
		$(".filter_wrap").hide();
		$('.left-bottom').find('.item').removeClass('active');
		$('.left-bottom').find('.sub-item').removeClass('active');
		$(this).addClass('active');
		caleObj.fullCalendar("removeEvents");
		caleObj.fullCalendar("addEventSource",'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=getMyCalendar&type=attention&func_id=<?=$this->funcId?>');
	});
	$('#myBranchUser,#myBranchSearchUser').on({
		click:function(){
			$(".filter_wrap").hide();
			$('.left-bottom').find('.item').removeClass('active');
			$('.left-bottom').find('.sub-item').removeClass('active');
			$(this).addClass('active');
			$('#myBranch').addClass('active');
			var userId = $(this).attr('user-id');
			caleObj.fullCalendar("removeEvents");
			caleObj.fullCalendar("addEventSource",'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=getMyCalendar&type=branch&userId='+userId+'&func_id=<?=$this->funcId?>');
		}
	},'.sub-item');
	$('#myAttentionUser,#myAttentionSearchUser').on({
		click:function(){
			$(".filter_wrap").hide();
			$('.left-bottom').find('.item').removeClass('active');
			$('.left-bottom').find('.sub-item').removeClass('active');
			$(this).addClass('active');
			$('#myAttention').addClass('active');
			var userId = $(this).attr('user-id');
			caleObj.fullCalendar("removeEvents");
			caleObj.fullCalendar("addEventSource",'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=getMyCalendar&type=attention&userId='+userId+'&func_id=<?=$this->funcId?>');
		}
	},'.sub-item');
	$("#vehiAllView").dialog({
		autoOpen: false,
		width: "auto",
		modal: true
	});
	var caleObj = $('#calendar').calendarInit({
		defaultView:"agendaWeek",
		selectable:true,
		height:900,
		contentHeight:700,
		editable:true,
		emouserOver:function(calEvent, jsEvent, view){
			var styleText = new Array();
			$.ajax({
				type:"POST",
				async:false,
				data:"type=getSingleData&checkDiff=cale&dataid="+calEvent.id,
				url:"/general/calendar9/allshow/alldo.php"
			}).done(function(result){
				var dataObj = $.parseJSON(result);
				var spanObj = $("#calsimpleTitle");
				spanObj.find("#titleText").html(dataObj.showLevel);
				spanObj.find("#begDateText").html(dataObj.CAL_BEGIN);
				spanObj.find("#endDateText").html(dataObj.CAL_END);
				spanObj.find("#labelsText").html(dataObj.labelShow);
				styleText = ['background-color:#FFFFCC;color:#99664D', '#FFFFCC'];
			});	
			tipsObj = layer.tips($("#calsimpleTitle").html(), this, {
				guide: 0,
				style: styleText,
				maxWidth:240,
				closeBtn:[0,true]
			});
		},
		emouserOut:function(calEvent, jsEvent, view){
            layer.close(tipsObj);
        },
		emouserClick:function(calEvent, jsEvent, view){
			if(calEvent.id){
				if(calEvent.className=="caleShow"){
					$.ajax({
						type:"POST",
						async:false,
						dataType:"html",
						data:"checkDiff=caleView&dataId="+calEvent.id,
						url:"/general/calendar9/calendar/show.php"
					}).done(function(result){
						$("#vehiAllView").html(result);
					});	
				}else if(calEvent.className=="planShow"){
					$.ajax({
						type:"POST",
						async:false,
						dataType:"html",
						data:"checkDiff=caleView&dataId="+calEvent.id,
						url:"/general/calendar9/workplan/show.php"
					}).done(function(result){
						$("#vehiAllView").html(result);
					});	
				}
				//关闭提示
				layer.close(tipsObj);
				$("#vehiAllView").dialog("open");	
			}	
		},
		selectDate:function (start, end, allDay){
			var startDate = start.Format("yyyy-MM-dd hh:mm");
			if(allDay){
				var endDate = end.Format("yyyy-MM-dd 23:59");
			}else{
				var endDate = end.Format("yyyy-MM-dd hh:mm");
			}
			location.href= '/general/calendar9/calendar/index.php?func_id=27&mycalendar=true&_startDate='+startDate+'&_endDate='+endDate;
		}
	});
	caleObj.fullCalendar("addEventSource",'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=getMyCalendar&func_id=<?=$this->funcId?>');
	
	myBranch();
	myAttention();
	searchMyBranch();
	searchMyAttention();
});
function searchMyBranch(){
	$('#myBranch .user-search').mouseenter(function(){
		$(this).find('input').attr('placeholder','<?=$_lang["calendar_search_by_user"]?>');
	}).mouseleave(function(){
		$(this).find('input').attr('placeholder','');
		if($(this).find('input').val() == ''){
			$(this).removeClass('active');
		}
	});
	$('#myBranch  .user-search').find('input').focus(function(){
		$(this).parent().addClass('active');
	}).keyup(function(){
		var value = $(this).val();
		if(value != ''){
			$(this).parent().find('i.fa-search').hide();
			$(this).parent().find('i.fa-times-circle').show();
			var html = '';
			if(myBranchUser.length == 0) {
				$.pnotify("<?=$_lang["calendar_no_branch"]?>");
				return ;
			}
			$.each(myBranchUser,function(k,v){
				var userName = v.USER_NAME;
				if(userName.indexOf(value) >= 0) {
					html +='<div class="sub-item" user-id='+v.USER_ID+'>\
						<div class="sub-item-left"><img src="'+v.USER_AVATAR+'"></div>\
						<div class="sub-item-right">'+v.USER_NAME+'</div>\
					</div>';
				}
			});
			$('#myBranchUser').hide();
			$('#myBranchSearchUser').html(html).show();
		} else {
			$('#myBranchUser').show();
			$('#myBranchSearchUser').hide();
		}
	});
	$('#myBranch  .user-search').find('i.fa-times-circle').click(function(){
		$(this).parent().find('input').val('');
		$('#myBranchUser').show();
		$('#myBranchSearchUser').hide();
		$(this).parent().find('i.fa-search').show();
		$(this).parent().find('i.fa-times-circle').hide();
	});
}
function searchMyAttention(){
	$('#myAttention .user-search').mouseenter(function(){
		$(this).find('input').attr('placeholder','<?=$_lang["calendar_search_by_user"]?>');
	}).mouseleave(function(){
		$(this).find('input').attr('placeholder','');
		if($(this).find('input').val() == ''){
			$(this).removeClass('active');
		}
	});
	$('#myAttention  .user-search').find('input').focus(function(){
		$(this).parent().addClass('active');
	}).keyup(function(){
		var value = $(this).val();
		if(value != ''){
			$(this).parent().find('i.fa-search').hide();
			$(this).parent().find('i.fa-times-circle').show();
			var html = '';
			if(myAttentionUser.length == 0) {
				$.pnotify("<?=$_lang["calendar_no_attention"]?>");
				return ;
			}
			$.each(myAttentionUser,function(k,v){
				var userName = v.USER_NAME;
				if(userName.indexOf(value) >= 0) {
					html +='<div class="sub-item" user-id='+v.attention_user+'>\
						<div class="sub-item-left"><img src="'+v.USER_AVATAR+'"></div>\
						<div class="sub-item-right">'+v.USER_NAME+'</div>\
					</div>';
				}
			});
			$('#myAttentionUser').hide();
			$('#myAttentionSearchUser').html(html).show();
		} else {
			$('#myAttentionUser').show();
			$('#myAttentionSearchUser').hide();
		}
	});
	$('#myAttention  .user-search').find('i.fa-times-circle').click(function(){
		$(this).parent().find('input').val('');
		$('#myAttentionUser').show();
		$('#myAttentionSearchUser').hide();
		$(this).parent().find('i.fa-search').show();
		$(this).parent().find('i.fa-times-circle').hide();
	});
}
function myBranch()
{
	$.ajax({
		url:'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=myBranch&func_id=<?=$this->funcId?>'
	}).done(function(result){
		var parseResult = $.parseJSON(result);
		
		if(parseResult.length == 0){
			$('#myBranchUser').html('<div class="no-data"><?=$_lang["calendar_no_branch_now"]?></div>');return;
		}
		myBranchUser = parseResult;
		var html = '';
		$.each(parseResult,function(k,v){
			html +='<div class="sub-item" user-id='+v.USER_ID+'>\
						<div class="sub-item-left"><img src="'+v.USER_AVATAR+'"></div>\
						<div class="sub-item-right">'+v.USER_NAME+'</div>\
					</div>';
		});
		$('#myBranchUser').html(html);
	});
}
function myAttention()
{
	$.ajax({
		url:'/general/calendar9/calendar/mycalendar/MyCalendar.php?m=myAttention&func_id=<?=$this->funcId?>'
	}).done(function(result){
		if(result == 'null'){
			$('#myAttentionUser').html('<div class="no-data"><?=$_lang["calendar_no_attention_now"]?></div>');return;
		}
		var parseResult = $.parseJSON(result);
		if(parseResult.length == 0){
			$('#myAttentionUser').html('<div class="no-data"><?=$_lang["calendar_no_attention_now"]?></div>');return;
		}
		var html = '';
		myAttentionUser = parseResult;
		$.each(parseResult,function(k,v){
			html +='<div class="sub-item" user-id='+v.attention_user+'>\
						<div class="sub-item-left"><img src="'+v.USER_AVATAR+'"></div>\
						<div class="sub-item-right">'+v.USER_NAME+'</div>\
					</div>';
		});
		$('#myAttentionUser').html(html);
	});
}
</script>