<?
/**
* @copyright (C) 2011 - 2012 Weaver Co.Ltd
* @package:      eoffice8.3
* @encoding:     utf8
* @function:     日志报表
* @name:         general/diary/index.php
* @version:      21.0
* @date:         2013-01-23
* @author:       liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/diary.class.php");
includelangpak("calendar");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('182,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$PAGE_TITLE = $_lang["calendar_weibo_table"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" href="/general/diary/new/ShowDiary.css" type="text/css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<style type="text/css">
.fa-2x{
	font-size: 1.5em;
	}
</style>
<body>
<div id="listspan" style="width:100%">
    <div id="caleListSpan">
        <div class="lazy_header">
            <div class="filter_wrap" style="height:0px;"></div>
            <div style="height: 39px;line-height: 39px;float: left;padding:0 5px;">
            	<select id="showYears" name="showYears" data-width="100px" data-size="10" onchange="changeDate()">
                	<?
					$curYear = date("Y",time());
                    for($i=$curYear;$i>=1970;$i--){
					?>
                    <option value="<?=$i?>"><?=$i?>  <?=$_lang["calendar_year"]?></option>
                    <?		
					}
					?>
                </select>
                <select id="showMonths" name="showMonths" data-width="85px" data-size="10" onchange="changeDate()">
                	<?
					$curMonth = date("m",time());
                    for($i=1;$i<=12;$i++){
						$doi = "0".$i;
						if($i==$curMonth || $doi==$curMonth){
						?>
                        <option value="<?=$i?>" selected="selected"><?=$i?>  <?=$_lang["calendar_month"]?></option>
                        <?		
						}else{
						?>
                        <option value="<?=$i?>"><?=$i?>  <?=$_lang["calendar_month"]?></option>	
                        <?		
						}
					}
					?>
                </select>
            </div>
            <div class="button_wrap" style="margin-left:10px">
                <button id="reportExport" type="button" class="btn btn-primary"><?=$_lang["common_out"]?></button>
            </div>
            <div class="search_wrap" style="margin-right:10px"></div>
        </div>
        <div id="caleList" style="width:100%"></div>
    </div>
</div> 
<input type="hidden" id="chooseDate" name="chooseDate">
<input type="hidden" id="userName">
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
$(function() {
	//导出报表
	$("#reportExport").click(function(){
		var time = $("#chooseDate").val();
		var user_name = $("#userName").val();
		location.href="export.php?time="+time+"&user_name="+user_name;
	})

	$("select").selectpicker();
	/*
	 * 高级查询
	 */
	$(".search_wrap").LazySearch({
		tip : "<?=$_lang["calendar_search_name"]?>",
		url : "/general/calendar9/chart/alldo.php",
		fieldSearch : {
			onItemClick : function(data,value) {
				var NowDate = $("#chooseDate").val();
				$("#userName").val(value);
				$("#caleList").LazyTable("reload", {
					param : {
						type : "getThisMonth",
						sortField : "DEPT_ID",
						sortType : "DESC",
						curData:NowDate,
						user_name :value 
					}
				});
			},
			items : [{
				key : "CONTENT",
				title : '<?=$_lang["calendar_username"]?>'
			}]
		},
		onClearButtonClick:function()
		{
			var NowDate = $("#chooseDate").val();
			$("#caleList").LazyTable("reload", {
				param : {
					type : "getThisMonth",
					sortField : "DEPT_ID",
					sortType : "DESC",
					curData:NowDate,
					user_name :"" 
				}
			});
		}
	});	
	createShowTable("");
	$(".filter_item").click(function(event) {
		var date=new Date;
		 var year=date.getFullYear(); 
		 var month=date.getMonth()+1;
		var clickChoose = $(this).attr("data_key");
		if(clickChoose=="thisMonth"){
			var mydate = year.toString()+"-"+month.toString()+"-01";
			createShowTable(mydate);
		}else if(clickChoose=="lastMonth"){
			var month=date.getMonth();
			var mydate = year.toString()+"-"+month.toString()+"-01";
			createShowTable(mydate);
		}
	});
});
//改变时间
function changeDate(){
	var yearSelect = $("#showYears").val();
	var monthSelect = $("#showMonths").val();
	var selectDate = yearSelect+"-"+monthSelect+"-01";	
	createShowTable(selectDate);
}
function createShowTable(curData){
	if(curData==""){
		var NowDate;
		var myDate = new Date(); 
		var YY=myDate.getFullYear();   //获取完整的年份(4位,1970-????)    
		var MM=myDate.getMonth()+1;       //获取当前月份(0-11,0代表1月)    
		var DD=myDate.getDate();       //获取当前日(1-31)
		NowDate=YY+"-"+MM+"-"+DD;   	
	}else{
		NowDate=curData;  	
	}
	$("#chooseDate").val(NowDate);
	$("#caleList").LazyTable({
		page : {
			callback : function(page) {
				$("#caleList").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		column : "/general/calendar9/chart/alldo.php?curData="+NowDate+"&type=getCol",
		dataSource : "/general/calendar9/chart/alldo.php",
		param : {
			type : "getThisMonth",
			sortField : "DEPT_ID",
			sortType : "DESC",
			curData:NowDate
		},
		page : {
			callback:function(page){
				$("#caleList").LazyTable("reload", {
					page:{
						currentPage:page
					}
				});
			}
		}
	});	
}
</script>