<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice9.0
* @function      标签管理
* @encoding      $_lang['encoding']
* @name          general/calendar9/label
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
includelangpak("calendar");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('180,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$PAGE_TITLE = $_lang["calendar_lable_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="../css/public.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<body>
<div class="left_list_wrap">
    <div class="lazy_header">
        <span class="lazy-list-title">
            <i class="fa fa-list-title"></i>
            <span class="tip"><?=$_lang["calendar_tag_list"]?></span>
        </span>
        <button id="leftTitleBtn" type="button" class="btn btn-primary"><?=$_lang["calendar_create_new"]?></button>
        <div class="left_search"></div>
    </div>
    <div id="left_list"></div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <span class="lazy-page-title">
            <i class="fa fa-page-title"></i>
            <span class="tip"><?=$_lang["calendar_new_tag"]?></span>
        </span>
        <button type="button" id="labelsSumbit" class="btn btn-primary"><?=$_lang["calendar_submit"]?></button>
    </div>
	<div id="right_table">
        <div id="newLabels" style="width:100%;">
        	<form id="form1" name="form1" method="post" action="/general/calendar9/label/alldo.php" enctype="multipart/form-data">
            	<table border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
                	<tr>
                        <td class="title"><?=$_lang["calendar_tag_name"]?></td>
                        <td>
                        	<table border="0" cellpadding="0" cellspacing="0">
                            	<tr>
                                	<td>
                                    	<input type="text" id="lab_name" name="lab_name" onKeyUp="lab_CheckRequire(this)" onBlur="lab_CheckRequire(this);" class="require">
                                        <input type="hidden" id="type" name="type" value="newOrEdit" />
                                        <input type="hidden" id="lab_id" name="lab_id" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["calendar_use_time"]?></td>
                        <td>
                            <span id="lab_use">0</span>
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["calendar_plan_note"]?></td>
                        <td>
                            <textarea id="lab_remark" name="lab_remark" style="overflow:auto;" rows="5" cols="50%"></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["calendar_plan_creator"]?></td>
                        <td>
                            <span id="createrShow">
                                <?=$_SESSION["LOGIN_USER_NAME"]?>
                            </span>
                            <input type="hidden" id="lab_creater" name="lab_creater" value="<?=$_SESSION["LOGIN_USER_ID"]?>" />
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["calendar_log_create_time"]?></td>
                        <td>
                            <span id="TimeShow">
                                <?=date("Y-m-d H:i:s",time())?>
                            </span>
                            <input type="hidden" id="lab_creattime" name="lab_creattime" value="<?=date("Y-m-d H:i:s",time())?>" />
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</div>    
<input type="hidden" id="chooseId" name="chooseId">
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$.pnotify.defaults.styling = "bootstrap3";
$.pnotify.defaults.closer = false;
$.pnotify.defaults.sticker = false;
$.pnotify.defaults.history = false;
$.pnotify.defaults.delay = 1000;
$(function() {
	var leftlist = $("#left_list").LazyList({
		buttons : {
			  buttonInfor : {
				  "delete" : {
					 title : '<?=$_lang["calendar_delete"]?>',
					func : function(data) {
						bootbox.confirm('<?=$_lang["calendar_sure_delete"]?>', function(result) {
						  if(result){
								$.ajax({
									type:"POST",
									data:"type=delete&dataid="+data.LAB_ID,
									url:"alldo.php"
								}).done(function(result){
									$("#left_list").LazyList("reload");		
									$("#chooseId").val("");
								});
								lablesNewClear();
						  }
						});
						
					}
				  }
			  },
			  filter : function(data) {
				  return ["delete"];
			  }
		},
		itemListTemplate : '<div id="lab_{LAB_ID}" title="{LAB_NAME}" style="float:left;width:260px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;">{LAB_NAME}</div><div style="float:right;padding-right:10px;"><span class="badge" style="background:#999999; margin-top:6px;">{LAB_USECOUNT}</span></div>',
		dataSource : "alldo.php",
		param : {
			type : "labels_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			labelsEdit(data.LAB_ID);
			$("#chooseId").val(data.LAB_ID);
		},
		onInit:function(){
			var chooseId = $("#chooseId").val();
			if (chooseId) {
				$(this).find("#lab_"+chooseId).click();
			}
			$("#left_list").getNiceScroll().resize();  
		}
	});
    $("#left_list").height($(window).height()-40);
	$("#left_list").niceScroll(); 	
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	
	$(".switch").LazyToggle({
		showTip : '<?=$_lang["calendar_show_type"]?>',
		hideTip : '<?=$_lang["calendar_hide_type"]?>',
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
		}
	});
	
	$(".left_search").LazySearch({
		tip : '<?=$_lang["calendar_search_tag"]?>',
		url : "alldo.php",
		param : {
			type : "autoSearch1"
		},
		width : 130,
		autoSearch : {
			template : "{typeName}",
			onItemClick : function(data,value) {
				//alert(data.key+"----"+data.typeName);
				labelsEdit(data.key);
			}
		},
		onClearButtonClick:function()
		{
			//查询清除回调函数
		}
	});
	//新建
	$("#leftTitleBtn").on("click",function(){	
		lablesNewClear();
	});
	//提交
	$("#labelsSumbit").on("click",function(){
		if($.trim($("#lab_name").val())==""){
			$.pnotify({
				text: '<?=$_lang["calendar_not_empty"]?>',
				type : "error"
			});	
			return false;
		}
		$('#form1').ajaxSubmit(function(data){
			if(data){
				if($(".right_main_wrap .tip").html()=='<?=$_lang["calendar_new_tag"]?>'){
					lablesNewClear();	
				}
				$("#left_list").LazyList("reload");			
			}
		});			
	});
});	
function lablesNewClear(){
	$(".right_main_wrap .tip").html('<?=$_lang["calendar_new_tag"]?>');	
	$("#lab_name").val("").addClass("require");
	$("#lab_id").val("");
	$("#lab_use").html("0");
	$("#lab_remark").val("");
	$("#createrShow").html("<?=$_SESSION["LOGIN_USER_NAME"]?>");
	$("#lab_creater").val("<?=$_SESSION["LOGIN_USER_ID"]?>");
	$("#TimeShow").html("<?=date("Y-m-d H:i:s",time())?>");
	$("#lab_creattime").val("<?=date("Y-m-d H:i:s",time())?>");	
}

//编辑标签
function labelsEdit(dataid){
	$.ajax({
		type:"POST",
		data:"type=getview&dataid="+dataid,
		url:"alldo.php"
	}).done(function(result){
		var dataobj = $.parseJSON(result);	
		$(".right_main_wrap .tip").html('<?=$_lang["calendar_edit_tag"]?>');	
		$("#lab_name").val(dataobj.LAB_NAME).removeClass("require");
		$("#lab_id").val(dataobj.LAB_ID);
		$("#lab_use").html(dataobj.LAB_USECOUNT);
		$("#lab_remark").val(dataobj.LAB_REMARK);
		$("#createrShow").html(dataobj.creatName);
		$("#lab_creater").val(dataobj.LAB_CREATER);
		$("#TimeShow").html(dataobj.LAB_CREATDATE);
		$("#lab_creattime").val(dataobj.LAB_CREATDATE);
	});	
}

</script>