<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice9.0
* @function      计划管理
* @encoding      $_lang['encoding']
* @name          general/calendar9/workplan
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
includelangpak("calendar");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('30,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$PAGE_TITLE = $_lang["calendar_plan_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/jquery.bigautocomplete.css">
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<body>
<div id="listspan" style="width:100%">
    <div id="planListSpan">
        <div class="lazy_header">
            <div class="filter_wrap" style="height:0px;"></div>
            <div class="button_wrap">
                <button id="createNewPlan" type="button" class="btn btn-primary"><?=$_lang["calendar_plan_new"]?></button>
            </div>
            <div class="search_wrap"></div>
        </div>
        <div id="planList" style="width:100%"></div>
    </div>
    <div id="newDiv" style="width:100%;display:none;">
    	<div class="lazy_header">
		    <div style="float:left">
		        <span class="lazy-page-title">
		            <i class="fa fa-page-title"></i>
		            <span class="tip"><?=$headName?></span>
		        </span>
		    </div>
		    <button id="planBack" class="btn btn-default" onclick="newOrEditBack()">
		        <?=$_lang["calendar_back"]?>
		    </button>
		    <button id="planSubmit" class="btn btn-primary">
		       <?=$_lang["calendar_submit"]?>
		    </button>
		</div>
		<div id="newSpan" style="width:100%;"></div>
    </div>
    <!-- <div id="newSpan" style="width:100%; display:none;"></div> -->
    <div id="viewSpan" style="width:100%; display:none;"></div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>

<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<script type="text/javascript" src="/general/calendar9/js/jquery.bigautocomplete.js"></script>

<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script src="/inc/common.js"></script>
<script src="/inc/follow.js"></script>


<script language="javascript">
$.pnotify.defaults.styling = "bootstrap3";
$.pnotify.defaults.closer = false;
$.pnotify.defaults.sticker = false;
$.pnotify.defaults.history = false;
$.pnotify.defaults.delay = 1000;
$(function() {
	//筛选
	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			$("#planList").LazyTable("reload", {
				param : {
					quickParam : data
				}
			});
		},
		more : {
			header : '<?=$_lang["calendar_more_filer"]?>',
			dataSource : [{
				key : "time",
				title : '<?=$_lang["calendar_time"]?>',
				subItems : [{
					key : "D-1",
					title : '<?=$_lang["calendar_diary_today"]?>'
				}, {
					key : "W-1",
					title : '<?=$_lang["calendar_weeks"]?>'
				}, {
					key : "M-1",
					title : '<?=$_lang["calendar_months"]?>'
				}]
			}]
		},
	common : {
			template : "{title}",
			dataSource : [{
				key : "all",
				title : '<?=$_lang["calendar_level_all"]?>',
				isDefault : true
			},{
				key : "myCreate",
				title : '<?=$_lang["calendar_my_create"]?>'
			},{
				key : "myManage",
				title : '<?=$_lang["calendar_my_responsible"]?>'
			},{
				key : "myin",
				title : '<?=$_lang["calendar_my_participate"]?>'
			}]
		}
	});	
	$("#planList").LazyTable({
		buttons : {
			buttonInfor : {
				"view" : {
					title : '<?=$_lang["calendar_detail"]?>',
					func : function(data) {
						$.ajax({
							type:"POST",
							dataType:"html",
							data:"dataId="+data.PLAN_ID+"&checkDiff=list",
							url:"show.php"
						}).done(function(result){
							$("#planListSpan").hide();
							$("#viewSpan").show().html(result);
						});
					},
					isDefault:true
				},
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
						$("#planListSpan").hide();
						$.ajax({
							type:"POST",
							async:false,
							url:"new.php",
							dataType:"html",
							data:"planId="+data.PLAN_ID
						}).done(function(result){
							//$("#newSpan").html(result).show();
							$("#newDiv").show();
							$("#newDiv").find(".tip").html('<?=$_lang["calendar_edit_plain"]?>');
							$("#newSpan").html(result);	
							initAttach();	
						});
					}
				},
				"operation1" : {
					title : "<?=$_lang["calendar_plan_now_valid"]?>",
					func : function(data) {
						$.ajax({
							type:"POST",
							url:"alldo.php",
							data:"type=operation&operation=1&planId="+data.PLAN_ID
						}).done(function(result){
							$("#planList").LazyTable("reload");		
						});
					}
				},
				"operation2" : {
					title : "<?=$_lang["calendar_plan_now_over"]?>",
					func : function(data) {
						$.ajax({
							type:"POST",
							url:"alldo.php",
							data:"type=operation&operation=2&planId="+data.PLAN_ID
						}).done(function(result){
							$("#planList").LazyTable("reload");		
						});
					}
				},
				"operation3" : {
					title : "<?=$_lang["calendar_plan_resumption"]?>",
					func : function(data) {
						$.ajax({
							type:"POST",
							url:"alldo.php",
							data:"type=operation&operation=3&planId="+data.PLAN_ID
						}).done(function(result){
							$("#planList").LazyTable("reload");		
						});
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						bootbox.confirm('<?=$_lang["calendar_sure_delete"]?>', function(result) {
							if(result){
								var strId = data.PLAN_ID+",";
								$.ajax({
									type:"POST",
									data:"type=planDelete&StrId="+strId,
									url:"alldo.php"
								}).done(function(result){
									if(result=="success"){
										$("#planList").LazyTable("reload");		
									}
								});
							}	
						});		
					}
				}
			},
			filter : function(data) {
				var buttonFilterStr = new Array();
				buttonFilterStr.push("view");
				if(data.checkBtn){
					buttonFilterStr.push("edit");
					if(data.stateBtn=="1"){
						buttonFilterStr.push("operation1");
					}else if(data.stateBtn=="2"){
						buttonFilterStr.push("operation2");	
					}else if(data.stateBtn=="3"){
						buttonFilterStr.push("operation3");	
					}
					buttonFilterStr.push("delete");
				}	
				return buttonFilterStr;
			}
		},
		batchButtons : [{
			title : '<?=$_lang["calendar_more_delete"]?>',
			func : function(data) {
				//console.log(data);
			  var taskStrId = ""; 
			  for(var i=0;i<data.length;i++){
				  taskStrId += data[i]["PLAN_ID"]+",";
			  }
			  if(taskStrId){
				 bootbox.confirm('<?=$_lang["calendar_delete_select"]?>', function(result) {
					if(result){
						//alert('删除');
						$.ajax({
							type:"POST",
							data:"type=planDelete&StrId="+taskStrId,
							url:"alldo.php"
						}).done(function(result){
							if(result=="success"){
								$("#planList").LazyTable("reload");		
							}
						});
					}	
				});
			  }else{
				 $.pnotify({
					text: '<?=$_lang["calendar_at_list_one"]?>',
					type : "error"
				});
			  }
			}
		}],
		page : {
			callback : function(page) {
				$("#planList").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if(data.checkBtn){
					return true;	
				}else{
					return false;	
				}
			}
		}, {
			key : "NAME",
			title : '<?=$_lang["calendar_plan_name"]?>'
		},{
			key : "begDataTime",
			title : '<?=$_lang["calendar_plan_begin_time"]?>'
			
		}, {
			key : "endDataTime",
			title : '<?=$_lang["calendar_plan_end_time"]?>'
			
		}, {
			key : "personName",
			title : '<?=$_lang["calendar_plan_duty_man"]?>'
			
		}, {
			key : "stateText",
			title : '<?=$_lang["calendar_plan_status"]?>'
			
		}],
		sort : {
			items : [{
				key : "begDataTime",
				title : '<?=$_lang["calendar_plan_begin_time"]?>'
			},{
				key : "endDataTime",
				title : '<?=$_lang["calendar_plan_end_time"]?>'
			},{
				key : "stateText",
				title : '<?=$_lang["calendar_plan_status"]?>'
			}],
			onItemClick : function(key, sortType) {
				$("#planList").LazyTable("reload", {
					param : {
						sortField : key,
						sortType : sortType
					}
				});
			}
		},
		dataSource : "alldo.php",
		param : {
			type : "plan_list",
			sortField : "PLAN_ID",
			sortType : "DESC"
		},
		page : {
			callback:function(page){
				$("#planList").LazyTable("reload", {
					page:{
						currentPage:page
					}
				});
			}
		},
		onSortItemClick : function(data, sortType) {
			$("#planList").LazyTable("reload", {
				param : {
					sortField : data.key,
					sortType : sortType
				}
			});
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});

			 $(':checkbox.lazy_table_checkall').iCheck({
				checkboxClass : 'icheckbox_square-blue',
				radioClass : 'iradio_square-blue'
			});
		}
	});
	$("#planList").on('ifChanged', '.lazy_table_checkall', function(event){
			$("#planList").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
		});

	$("#planList").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
			if ($("#planList").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$("#planList").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$("#planList").find(".lazy_table_checkall").prop("checked", false);
		}

		$(":checkbox").iCheck('update'); 
	});
	//新建
	$("#createNewPlan").on("click",function(){
		$("#planListSpan").hide();
		$.ajax({
			type:"POST",
			async:false,
			url:"new.php",
			dataType:"html",
			data:"planId="
		}).done(function(result){
			//$("#newSpan").html(result).show();	
			$("#newDiv").show();
			$("#newDiv").find(".tip").html('<?=$_lang["calendar_new_plain"]?>');
			$("#newSpan").html(result);	
			initAttach();
		});
 
	});	
	//返回
	// $("#planBack").on("click",function(){
			
	// });
	//提交
	$("#planSubmit").on("click",function(){
		var errorText = "";
		if($("#NAME").val()==""){
			errorText = "<?=$_lang['calendar_plan_confirm_empty_name']?>";	
			$.pnotify({
				text: errorText,
				type : "error"
			});
			return false;	
		}
		if($("#CONTENT").val()==""){
			errorText = "<?=$_lang['calendar_plan_confirm_empty_content']?>";	
			$.pnotify({
				text: errorText,
				type : "error"
			});
			return false;		
		}
		if($("#END_DATE").val()!="" && $("#BEGIN_DATE").val()>$("#END_DATE").val()){
			errorText = "<?=$_lang['cale_wrong_date']?>";	
			$.pnotify({
				text: errorText,
				type : "error"
			});
			return false;		
		}
		if($("#END_DATE").val()==$("#BEGIN_DATE").val() && $("#BEGIN_TIME").val()>$("#END_TIME").val()){
			errorText = "<?=$_lang['cale_wrong_time']?>";	
			$.pnotify({
				text: errorText,
				type : "error"
			});
			return false;	
		}   
		if($("#TO_ID").val()=="" && $("#COPY_TO_ID").val()==""){
			errorText = "<?=$_lang['calendar_plan_confirm_empty_priv']?>";	
			$.pnotify({
				text: errorText,
				type : "error"
			});
			return false;		
		}
		if($("#TYPE").val()==""){
			errorText = "<?=$_lang['calendar_plan_type_nothing']?>";	
			$.pnotify({
				text: errorText,
				type : "error"
			});
			return false;		
		}
		if ($("#file_elem").Upload("getUploadCount") > 0) {
			$("#file_elem").uploadify("upload", "*");
		}else{
			$('#form1').ajaxSubmit(function(data){
				if(data){
					$('#file_elem').uploadify('destroy');
					$("#planListSpan").show();
					//$("#newSpan").html("").hide();
					$("#newSpan").html("");
    				$("#newDiv").hide();
					$("#planList").LazyTable("reload");		

				}
			});	
		} 
	});
});
function initAttach(){
	$("#file_elem").Upload({
		uploadType:'OTHER',
		showToolTip:true,
		onUploadSuccess:function(attachmentID,attachementName){
			$("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
			$("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
		},
		onQueueComplete:function(){
			$('#form1').ajaxSubmit(function(data){
				if(data){
          $("#planListSpan").show();
          $("#newSpan").html("");
          $("#newDiv").hide();
          $("#planList").LazyTable("reload"); 	
				}
			});	
		}
	});
}
//返回
function newOrEditBack(){
	$('#file_elem').uploadify('destroy');
	$("#planListSpan").show();
	//$("#newSpan").hide().html("");
	$("#newDiv").hide();
	$("#newSpan").html("");

}
//删除附件
function deleteAttachment(ATTACHMENT_ID,ATTACHMENT_NAME,id,tablename)
{
 	var tablename = $("#tablename").val();
  	bootbox.confirm('<?=$_lang["calendar_sure_del_att"]?>', function(result) {
	  if(result){
	      $.ajax({
				type:"POST",
				data:"dataid="+id+"&ATTACHMENT_ID="+ATTACHMENT_ID+"&ATTACHMENT_NAME="+ATTACHMENT_NAME,
				url :"/general/calendar9/workplan/deleteattch.php"
			}).done(function(result){
				if (result="success") {
					$("#"+ATTACHMENT_ID).hide().remove();
					$.pnotify({
				        text: '<?=$_lang["calendar_att_del_success"]?>',
				        type : "success"
				    });
				} else{
					$.pnotify({
				        text: '<?=$_lang["calendar_att_del_fault"]?>',
				        type : "erro"
				    });
				};
			});	
	  }
	});
}

</script>