<?php

/**
 * 图标视图
 */
include_once 'inc/auth.php';
$chargeUser = isset($_REQUEST["chargeUser"]) ? $_REQUEST["chargeUser"]:"";
$chargeDept = isset($_REQUEST["chargeDept"]) ? $_REQUEST["chargeDept"]:"";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<title>费用清单-图标</title>
		<link rel="stylesheet" type="text/css" href="<?php echo THEME_FLAG?>/<?php echo $_SESSION['LOGIN_THEME'] ?>/style.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
		<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css" />
				<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
		<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
		<style>
			
		</style>
	</head>
	<body>
			
			<div id="chart-container"></div>
	</body>
</html>

<script src="/inc/jquery/jquery.js"></script>
<script src="/lang/<?php
echo $_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/modules/drilldown.js"></script>
<script>
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";

	$(function () {
        var headerTitle;
        switch ('<?=$_REQUEST["filterType"]?>') {
            case 'year':
                headerTitle = [];
                for (var i = 1; i <= 12; i++) {
                    headerTitle.push(i + "月");
                }
                break;
            case 'quarter':
                headerTitle = "第一季度,第二季度,第三季度,第四季度".split(",");
                break;
        }



        //获取费用分类设置
        $.ajax({
            url: "do.php",
            data: {
                op: "getList",
                userID:'<?=$_REQUEST["userID"]?>',
                deptID:'<?=$_REQUEST["deptID"]?>',
                year:'<?=$_REQUEST["yearInfor"]?>',
                month:'<?=$_REQUEST["monthInfor"]?>',
                type:'<?=$_REQUEST["filterType"]?>',
                chargeUser:"<?=$chargeUser;?>",
                chargeDept:"<?=$chargeDept;?>",
            }
        }).done(function(result) {
            var parsedData = $.parseJSON(result);
            var series = [],drilldownSeries = [];
            $.each(parsedData, function(index, value){
                if(value.lazySubItems){
                    $.each(value.lazySubItems, function(itemIndex, itemValue){

                        var drilldownData = [],total = 0;

                        $.each(itemValue.CHARGE_DETAIL,function(detailIndex,detailValue){
                            drilldownData.push([headerTitle ? headerTitle[detailIndex-1] : detailIndex , detailValue]);
                            total += (detailValue*100);
                        });
                         total = total/100;
                        series.push({
                            name: itemValue.CHARGE_TYPE_NAME,
                            y: total,
                            drilldown: itemValue.CHARGE_TYPE_ID
                        });

                        drilldownSeries.push({
                            id: itemValue.CHARGE_TYPE_ID,
                            name:itemValue.CHARGE_TYPE_NAME,
                            data: drilldownData
                        });
                    });
                }
            });

            Highcharts.setOptions({
                lang: {
                    drillUpText: '返回 {series.name}'
                }
            });

            $('#chart-container').highcharts({
                chart: {
                    type: 'column'
                },
                title: {
                    text: '费用统计报表'
                },
                subtitle: {
                    text: '点击可查看明细'
                },
                xAxis: {
                    type: 'category'
                },
                credits: {
                                enabled: false
                            },
                legend: {
                    enabled: false
                },
                yAxis: {
                                title: {
                                    text: "费用(人民币)"
                                }
                            },
                plotOptions: {
                    series: {
                        borderWidth: 0,
                        dataLabels: {
                            enabled: true
                        }
                    }
                },
                 tooltip: {
                    headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
                    pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y}</b><br/>'
                },
                series: [{
                    name: '费用统计',
                    colorByPoint: true,
                    data: series
                }],
                drilldown: {
                    series: drilldownSeries
                }
            });
        });
});

</script>
