<?php
include_once 'inc/auth.php';
include_once 'inc/page_header.inc.php';
include_once 'api/charge.class.php';
includelangpak("charge");

$PAGE_TITLE = $_lang['charge_setting'];

$charge = new Charge();
$chargeTypeSetting = $charge->getChargeTypeList();

 
?>

<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
    html,body{
        overflow: hidden;
    }
    .dept-list-wrap{
        width: 300px;
        float: left;
        border-right: 1px solid #dfdfdf;
        height: 100%;
    }

    .search-user{
        width:300px;
    }
    .search-user .user-item{
        width:300px;
        height:30px;
        line-height:30px;
        cursor:pointer;
    }
    .search-user .user-item.active{
        background:#bababa;
    }
    .search-user .user-name{
        margin-left:5px;
    }

    input[type='text']{
        width:100px;
    }
    #dept-list{
        overflow: auto;
        width:300px;
        position: absolute;
        top:40px;
        bottom:0;
    }
    .form_table label{
        margin-right:20px;
    }
</style>
</head>
<body>
    <div class="dept-list-wrap">
        <div class="lazy_header">
            <span class="lazy-list-title">
                <i class="fa fa-list-title"></i>
                <span class="tip">  <?= $_lang['charge_setting'] ?></span>
            </span>
            <div class="user_search" style="float:right;margin-top:5px;margin-right:5px;"></div>
        </div>
        <div class="left-bottom" style='overflow: auto;'>
            <div id="dept-list" class="ztree"></div>
            <div class="search-user" id="searchUserList" style="display: none;"></div>
        </div>
    </div>

    <div style="margin-left:300px;">
        <div class="lazy_header">
            <input type="button" class="btn btn-danger clear hide" value="置空" />
            <input type="button" class="btn btn-primary save hide" value="<?= $_lang["common_save"] ?>" />
             
        </div>

        <div class="alert alert-info empty-tip" style="width:80%;margin:25px auto;"><?= $_lang['charge_setting_no_user_selected'] ?></div>
        <div class="infor-wrap hide" style="width:100%;height:800px; overflow-y: auto">
            <div class="form_header">
                <?= sprintf($_lang['charge_setting_set'], '<span class="user-infor"></span>') ?>
            </div>
            <table class="form_table" style="margin-top:20px;">
                <tr>
                    <td class="title"><?= $_lang['charge_alert_method'] ?></td>
                    <td>
                        <label>
                            <input name="alert-method" checked="checked" value="year" type="radio"> <?= $_lang["common_year"] ?>
                        </label>
                        <label>
                            <input name="alert-method" value="quarter" type="radio"> <?= $_lang['charge_quarter'] ?>
                        </label>
                        <label>
                            <input name="alert-method" value="month" type="radio"> <?= $_lang["common_month"] ?>
                        </label>
                        <label>
                            <input name="alert-method" value="custom" type="radio"> <?= $_lang['charge_custom_alert_method'] ?>
                        </label>
                    </td>
                </tr>
                <tr>
                    <td class="title"><?= $_lang['charge_alert_value'] ?></td>
                    <td>
                        <input class="require alert-value" type="text"/>
                    </td>
                </tr>
                <tr class="custome-date-wrap" style="display:none;">
                    <td class="title"><?= $_lang['charge_alert_period'] ?></td>
                    <td>
                        <input class="custom-date custom-data-start" type="text"/>&nbsp;&nbsp;~&nbsp;&nbsp;
                        <input class="require custom-date custom-data-end" type="text"/>
                    </td>
                </tr>
                <tr class="hide_charge_unify_set">
                    <td class="title"><?= $_lang['charge_unify_set'] ?></td>
                    <td>
                        <label>
                            <input name="unify-setting" value="user" checked="checked" type="radio"> <?= $_lang['charge_current_user'] ?>
                        </label>
                        <label>
                            <input name="unify-setting" value="priv" type="radio"> <?= $_lang['charge_same_role'] ?>
                        </label>
                        <label>
                            <input name="unify-setting" value="dept" type="radio"> <?= $_lang['charge_same_dept'] ?>
                        </label>
                        <label>
                            <input name="unify-setting" value="all" type="radio"> <?= $_lang['charge_all_user'] ?>
                        </label>
                    </td>
                </tr>
                <tr  >
                    <td class="title">科目设置 </td>
                    <td>
                        <input type="checkbox"  class ='setToggleSubject' check="" />
                    </td>
                </tr>
                <tr class='subject_control' style="display:none;">
                    <td  class="title" colspan="2">  
                          <?php foreach($chargeTypeSetting as $type){ ?>
                        <div style="font-weight:bold;width:100%;text-align:left;line-height:40px;clear:both;margin-left:15%"><?php echo $type["CHARGE_TYPE_NAME"]?></div>
                        <div style="margin-left:15%">
                           
                             <?php if(isset($type["lazySubItems"]) && $type["lazySubItems"]){ 
                                        foreach($type["lazySubItems"] as $k=> $t){ 
                                            if($k % 5 == 0){
                                                echo "<div style='clear:both'></div>";
                                            }
                                       ?>
                                      <div style="float:left;margin:5px;">
                                       <div style="width:100px;height:30px;text-align:left;line-height:30px;overflow: hidden" title="<?php echo $t["CHARGE_TYPE_NAME"] ?>"> <?php echo $t["CHARGE_TYPE_NAME"] ?> </div>
                                       <input type="text" value=""  onkeyup="this.value=this.value.replace(/[^0-9]/g,'')" onafterpaste="this.value=this.value.replace(/[^0-9]/g,'')" class="charge-type-value-only" id="<?php echo $t['CHARGE_TYPE_ID']?>">
                                     </div>
                                     
                             <?php    
                                    } 
                                 } ?>  
                        </div>
                         
                       <?php    } ?>
                    
                    </td>
                </tr>
                
            </table>
        </div>
    </div>
</body>
</html>

<script src="/inc/jquery/jquery.js"></script>
<script src="/lang/<?= $_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?= $_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css"/>
<script src="/newplugins/js/jquery.lazyplugins.js"></script>
<script>
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";
    
    $('input').iCheck({
            checkboxClass: 'icheckbox_square-blue',
            radioClass: 'iradio_square-blue'
        });

    $('.custom-date').datepicker();

    var setting = {
        view: {
            showLine: false,
            showIcon: false,
            selectedMulti: false,
            dblClickExpand: false,
            addDiyDom: addDiyDom
        },
        async: {
            enable: true,
            type: 'post',
            url: "do.php",
            autoParam: ["id"],
            otherParam: {
                op: "getSettingList"
            }
        },
        callback: {
            beforeClick: function (treeId, treeNode) {
                var zTree = $.fn.zTree.getZTreeObj("dept-list");
                zTree.expandNode(treeNode, "", "", "", true);
                return true;
            },
            onExpand: function (event, treeId, treeNode) {
                $("#dept-list").getNiceScroll().resize();
            },
            onClick: function (event, treeId, treeNode) {
                
                

                if (!treeNode.isUser) {
                    $(".hide_charge_unify_set").hide();
                } else {
                    $(".hide_charge_unify_set").show();
                }

                $(".alert-value").val('');

                $("input[name='alert-method']").eq(0).attr("checked", "checked");
                $("input[name='unify-setting']").eq(0).attr("checked", "checked");
                $(":radio[name='alert-method']").iCheck("update");
                $(":radio[name='unify-setting']").iCheck("update");

                $(".empty-tip,.custome-date-wrap").hide();
                $(".infor-wrap,.save,.clear").removeClass("hide");
                 
                $(".user-infor").attr("user-id", treeNode.id).html(treeNode.name);
 
                $.ajax({
                    url: "do.php",
                    data: {
                        op: "getUserSetting",
                        userID: treeNode.id
                    }
                }).done(function (result) {
                    if (result) {
                        var parsedData = $.parseJSON(result);
                        var subject = parsedData.subject;
                        $(":radio[name='alert-method'][value='" + parsedData.ALERT_METHOD + "']").attr("checked", true);
                        $(":radio[name='alert-method']").iCheck("update");
                        $(".alert-value").val(parsedData.ALERT_VALUE);
                        
                        
                        $.each($('.charge-type-value-only'),function(k,v){
                            var chargeTypeId = $(v).attr('id');
                            $(v).val(subject[chargeTypeId])  ;
                        });
                        
                     
                        if(parsedData.SUBJECT_CHECK ==  1){
                            $(".setToggleSubject").prop('checked', 'checked');
                            $(".subject_control").show();
                        }else{
                            $(".setToggleSubject").removeProp('checked');
                              $(".subject_control").hide();
                        }
                        
                        $(".setToggleSubject").iCheck('update');
                        
                         
                        if (parsedData.ALERT_METHOD == 'custom') {
                            $(".custome-date-wrap").show();
                            $(".custom-data-start").val(parsedData.ALERT_DATE_START);
                            $(".custom-data-end").val(parsedData.ALERT_DATE_END);
                        } else {
                            $(".custom-data-start,.custom-data-end").val('');
                        }
                    }
                });

            }
        }
    };
    

    function setToggleSubject(){
 
        if($(".setToggleSubject").is(":checked")){
           
            $(".subject_control").show();
        }else{
          
            $(".subject_control").hide();
        }
    }

    function addDiyDom(treeId, treeNode) {
        var spaceWidth = 10;
        var switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
        switchObj.remove();
        icoObj.before(switchObj);
        //var spaceStr = "";
        var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level) + "px'></span>";
        switchObj.before(spaceStr);
    }

    $(function () {
        var treeObj = $("#dept-list");
        $.fn.zTree.init(treeObj, setting);

        $("#dept-list").niceScroll();

        $("select").selectpicker({
            width: 100
        });
        
        $('.setToggleSubject').on('ifChanged', function (event) { //ifCreated 事件应该在插件初始化之前绑定 
            setToggleSubject();

        });
        

        $(':radio').iCheck({
            radioClass: 'iradio_square-blue'
        });

        $(':radio[name="alert-method"]').on('ifChecked', function (event) {
            if (this.value == 'custom') {
                $(".custome-date-wrap").show();
                $(".custom-data-start,.custom-data-end").val('');
            } else {
                $(".custome-date-wrap").hide();
            }
        });

        

        $(".save").click(function () {
            
           

                    var alertValue = $.trim($(".alert-value").val()),
                    alertMethod = $(":radio[name='alert-method']:checked").val(),
                    dateStart = $.trim($(".custom-data-start").val()),
                    dataCheck = $(":radio[name='unify-setting']:checked").val(),
                    dateEnd = $.trim($(".custom-data-end").val()),
                    deptID = $(".user-infor").attr("user-id"),
                    unify = $(":radio[name='unify-setting']:checked").val(),
                    subjectCheck =$(".setToggleSubject").is(":checked");

            if (alertValue == "") {
                $.pnotify("<?= $_lang['charge_alert_value_tip'] ?>");
                return false;
            }

            if (alertMethod == undefined) {
                $.pnotify("请设置预警方式!");
                return false;
            }

            if (dataCheck == undefined) {
                $.pnotify("请勾选统一设置按钮!");
                return false;
            }
            var chargeValue = [];
            $.each($('.charge-type-value-only'),function(k,v){
                var chargeTypeId = $(v).attr('id');
                var chargeTypeValue = $(v).val();
                var chargeObj = {};
                chargeObj[chargeTypeId] = chargeTypeValue;
                chargeValue.push(chargeObj);
            });
            
            
            if (isNaN(alertValue)) {
                $.pnotify("<?= $_lang['charge_alert_value_number_tip'] ?>");
                return false;
            }

            if (alertMethod == 'custom' && dateEnd == '') {
                $.pnotify("<?= $_lang['charge_alert_period_empty_tip'] ?>");
                return false;
            }

            if (isNaN(deptID)) {
                deptID = 0;
            }
            $.ajax({
                url: "do.php",
                type:"post",
                data: {
                    op: "add",
                    alertMethod: alertMethod,
                    alertValue: alertValue,
                    dateStart: dateStart,
                    dateEnd: dateEnd,
                    userID: $(".user-infor").attr("user-id"),
                    unify: unify,
                    chargeValue:chargeValue,
                    deptID: deptID,
                    subjectCheck:subjectCheck
                }
            }).done(function (result) {
                if (result) {
                    $.pnotify({
                        type: "success",
                        text: "<?= $_lang['charge_operate_success'] ?>"
                    });

                } else {
                    $.pnotify("<?= $_lang['charge_operate_fail'] ?>");
                }
            });
        });
        $(".clear").click(function () {
            var tempId = $(".user-infor").attr("user-id") ;
            var deptID ; 
            if (isNaN(tempId)) {
                deptID = 0;
            }
            $.ajax({
                url: "do.php",
                type:"post",
                data: {
                    op: "remove",
                    userID: tempId,
                    deptID: deptID,
                     
                }
            }).done(function (result) {
                if (result) {
                    $.pnotify({
                        type: "success",
                        text: "<?= $_lang['charge_operate_success'] ?>"
                    });
                    
                    $(".alert-value").val("");
                  

                } else {
                    $.pnotify("<?= $_lang['charge_operate_fail'] ?>");
                }
            });
        });
        $('.left-bottom').height($(window).height() - 50).niceScroll();
        $(".user_search").LazySearch({
            tip: "输入关键字",
            width: '120px',
            fieldSearch: {
                onItemClick: function (data, value) {
                    if (value == '') {
                        return false;
                    }
                    $.ajax({
                        url: '/general/attendance/mobile/index.php',
                        data: {
                            m: 'getUserList',
                            dataKey: data.key,
                            dataValue: value
                        }
                    }).done(function (result) {
                        if (result) {
                            var parseResult = $.parseJSON(result);
                            if (parseResult.length == 0) {
                                $('#searchUserList').html('<div class="load no-data">暂无您搜索的用户</div>');
                                return false;
                            }
                            var html = '';
                            $.each(parseResult, function (k, v) {
                                html += '<div class="user-item" user-id="' + v.USER_ID + '"><img src="/general/attendance/mobile/view/images/linkprn_wev8.png" style="margin-left:10px;"><span class="user-name">' + v.USER_NAME + '</span></div>';
                            });
                            $('#searchUserList').html(html);
                            $('.left-bottom').getNiceScroll().resize();
                        } else {
                            $('#searchUserList').html('<div class="load no-data">暂无您搜索的用户</div>');
                        }
                    });
                    $('#dept-list').slideUp('hide');
                    $('#searchUserList').slideDown('show');

                },
                items: [{
                        key: "USER_NAME",
                        title: "用户名包含"
                    }]
            },
            onClearButtonClick: function () {
                $('#searchUserList').slideUp('hide');
                $('#dept-list').slideDown('show');

            }
        });


        $('#searchUserList').on({
            mouseenter: function () {
                if (!$(this).hasClass('active')) {
                    $(this).css('background', '#eaeaea');
                }
            },
            mouseleave: function () {
                if (!$(this).hasClass('active')) {
                    $(this).css('background', '');
                }
            },
            click: function () {

                $("#dept-list").niceScroll();
                $('.user-item').removeClass('active');
                $(this).css('background', '').addClass('active');
                var userId = $(this).attr('user-id');
                var userName = $(this).find(".user-name").html();

                $(".alert-value").val('');

                $("input[name='alert-method']").eq(0).attr("checked", "checked");
                $("input[name='unify-setting']").eq(0).attr("checked", "checked");
                $(":radio[name='alert-method']").iCheck("update");
                $(":radio[name='unify-setting']").iCheck("update");

                $(".empty-tip,.custome-date-wrap").hide();
                $(".infor-wrap,.save,.clear").removeClass("hide");
               
                $(".user-infor").attr("user-id", userId).html(userName);



                $.ajax({
                    url: "do.php",
                    data: {
                        op: "getUserSetting",
                        userID: userId
                    }
                }).done(function (result) {
                    if (result) {
                        var parsedData = $.parseJSON(result);
                        var subject = parsedData.subject;
                        $(":radio[name='alert-method'][value='" + parsedData.ALERT_METHOD + "']").attr("checked", true);
                        $(":radio[name='alert-method']").iCheck("update");
                        $(".alert-value").val(parsedData.ALERT_VALUE);
                        
                        $.each($('.charge-type-value-only'),function(k,v){
                            var chargeTypeId = $(v).attr('id');
                            $(v).val(subject[chargeTypeId])  ;
                        });
                     
                        if(parsedData.SUBJECT_CHECK ==  1){
                            $(".setToggleSubject").prop('checked', 'checked');
                            $(".subject_control").show();
                        }else{
                            $(".setToggleSubject").removeProp('checked');
                              $(".subject_control").hide();
                        }
                        
                        $(".setToggleSubject").iCheck('update');
                        
                        if (parsedData.ALERT_METHOD == 'custom') {
                            $(".custome-date-wrap").show();
                            $(".custom-data-start").val(parsedData.ALERT_DATE_START);
                            $(".custom-data-end").val(parsedData.ALERT_DATE_END);
                        } else {
                            $(".custom-data-start,.custom-data-end").val('');
                        }
                    }
                });

            }
        }, '.user-item');


    });

</script>
