<?php

include_once("inc/auth.php");
include_once("inc/function_page_01.php");
include_once("inc/utility_all.php");
include_once("ikernel/utility.php");
include_once("inc/function_usergeneral.php");
include_once("general/workflow/prcs_role.php");

$op = $_REQUEST['op'];
$fiter = isset($_REQUEST['filter'])&&$_REQUEST['filter']=="user" ? "user":"dept";
if($fiter == "user"){
    $op = "getUserList";
}

$name = isset($_REQUEST['name'])&& !empty($_REQUEST['name']) ? $_REQUEST['name']:"";

switch ($op) {

    case 'getDeptList' :
        
        
    
        $query = "SELECT dp.DEPT_ID,  dp.DEPT_NAME, cs.ALERT_METHOD,cs.ALERT_VALUE,cs.ALERT_DATE_START,cs.ALERT_DATE_END  from department dp LEFT JOIN charge_setting cs ON  dp.DEPT_ID = cs.DEPT_ID where 1 = 1 ";
        
        
        $getCountQuery = "SELECT COUNT(*) AS CNT  from department where 1 = 1 ";
        
        if($name){
            $query.=" AND dp.DEPT_NAME like '%".SecurityFilter($name)."%'   ";
            $getCountQuery.=" AND DEPT_NAME like '%".SecurityFilter($name)."%'   ";
        }

        $getCountResult = exequery($connection, $getCountQuery);
        if ($getCountRow = mysql_fetch_array($getCountResult)) {
            $totalCount = $getCountRow["CNT"];
        }

        $limitRows = $_REQUEST["itemsPerPage"];
        $limitOffset = $_REQUEST["currentPage"] * $limitRows;

        $sortField = $_REQUEST["sortField"] ? $_REQUEST["sortField"] : "ALERT_METHOD";
        $sortType = $_REQUEST["sortType"] ? $_REQUEST["sortType"] : "desc";

        $query .= " ORDER BY " . SecurityFilter($sortField) . " " . SecurityFilter($sortType) . " LIMIT " . SecurityFilter($limitOffset) . "," . SecurityFilter($limitRows);

        $getListResult = exequery($connection, $query);

        while ($getListRow = mysql_fetch_assoc($getListResult)) {
    
            $deptId = $getListRow["DEPT_ID"];
            $deptName = $getListRow["DEPT_NAME"];
            $deptMethod = $getListRow["ALERT_METHOD"];
            $deptValue = $getListRow["ALERT_VALUE"];
            $deptStartDate = $getListRow["ALERT_DATE_START"];
            $deptEndDate = $getListRow["ALERT_DATE_END"];
            $year = date("Y", time());
            switch ($deptMethod) {
                case 'year':
                    $deptMethodName = "年";
                    $year = date("Y", time());
                    $deptDate = $year . "年";
                    //部门报销了多少
                    $where1 = " USER_DEPT_ID = $deptId AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y') = '" . $year . "' AND CHARGE_UNDERTAKER ='部门'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;


                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'quarter':
                    $deptMethodName = "季度";

                    $chargeMonth = ceil(date('m', time()) / 3);
                    $year = date("Y", time());
                    $minM = $chargeMonth * 3 - 2;
                    $maxM = $chargeMonth * 3;
                    $deptDate = $minM . "月-" . $maxM . "月";
                    $deptDate = $minM . "月-" . $maxM . "月（第" . $chargeMonth . "季度）";
                    //部门报销了多少
                    $where1 = " USER_DEPT_ID = $deptId AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') >= '" . $year . "-" . $minM . "'   AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') <= '" . $year . "-" . $maxM . "' AND CHARGE_UNDERTAKER ='部门'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;

                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'month':
                    $deptMethodName = "月";
                    $year = date("Y", time());
                    $month = date("m", time());
                    $deptDate = $year . "年" . $month . "月";
                    $where1 = " USER_DEPT_ID = $deptId  AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') = '" . $year . "-" . $month . "' AND CHARGE_UNDERTAKER ='部门' ";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;

                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);


                    break;
                case 'custom':

                    $deptMethodName = "自定义";
                    $deptDate = $deptStartDate . "/" . $deptEndDate;
                    $where1 = " USER_DEPT_ID = $deptId AND cl.PAYMENT_DATE >= '" . $deptStartDate . "'   AND cl.PAYMENT_DATE <= '" . $deptEndDate . "' AND CHARGE_UNDERTAKER ='部门'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;

                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                default:
                    $deptMethodName = $deptValue = $deptDate = $haveUnderTake = $noUnderTake = $totalUnderTake = "";
                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);
                    break;
            }

            $getListRow['name'] = $deptName;
            $getListRow['id'] = $deptId;
            $getListRow['method'] = $deptMethodName;
            $getListRow['value'] = $deptValue;
            $getListRow['date'] = $deptDate;
            $getListRow['undertake'] = $haveUnderTake;
            $getListRow['noundertake'] = $noUnderTake;
            $getListRow['total'] = $totalUnderTake;
            $getListRow['type'] = "dept";

            $deptList[] = $getListRow;
        }

        echo json_encode(array("totalCount" => $totalCount, "list" => $deptList));
        break;
    case 'getUserList' :

        $query = "SELECT u.USER_ID,  u.USER_NAME, cs.ALERT_METHOD,cs.ALERT_VALUE,cs.ALERT_DATE_START,cs.ALERT_DATE_END  from user u LEFT JOIN charge_setting cs ON  u.USER_ID = cs.USER_ID  where USER_ACCOUNTS !='' ";

        $getCountQuery = "SELECT COUNT(*) AS CNT  from user where USER_ACCOUNTS !='' ";
        
        
        if($name){
            $query.=" AND u.USER_NAME like '%".SecurityFilter($name)."%'   ";
            $getCountQuery.=" AND USER_NAME like '%".SecurityFilter($name)."%'   ";
        }
        

        $getCountResult = exequery($connection, $getCountQuery);
        if ($getCountRow = mysql_fetch_array($getCountResult)) {
            $totalCount = $getCountRow["CNT"];
        }

        $limitRows = $_REQUEST["itemsPerPage"];
        $limitOffset = $_REQUEST["currentPage"] * $limitRows;

        $sortField = $_REQUEST["sortField"] ? $_REQUEST["sortField"] : "ALERT_METHOD";
        $sortType = $_REQUEST["sortType"] ? $_REQUEST["sortType"] : "desc";

        $query .= " ORDER BY " . SecurityFilter($sortField) . " " . SecurityFilter($sortType) . " LIMIT " . SecurityFilter($limitOffset) . "," . SecurityFilter($limitRows);



        $getListResult = exequery($connection, $query);

        while ($getListRow = mysql_fetch_assoc($getListResult)) {

            $userId = $getListRow["USER_ID"];
            $userName = $getListRow["USER_NAME"];
            $userMethod = $getListRow["ALERT_METHOD"];
            $userValue = $getListRow["ALERT_VALUE"];
            $userStartDate = $getListRow["ALERT_DATE_START"];
            $userEndDate = $getListRow["ALERT_DATE_END"];
            $year = date("Y", time());
            switch ($userMethod) {
                case 'year':
                    $userMethodName = "年";
                    $year = date("Y", time());
                    $userDate = $year . "年";
                    //部门报销了多少
                    $where1 = " cl.USER_ID = '$userId' AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y') = '" . $year . "' AND CHARGE_UNDERTAKER ='个人'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;


                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'quarter':
                    $userMethodName = "季度";

                    $chargeMonth = ceil(date('m', time()) / 3);
                    $year = date("Y", time());
                    $minM = $chargeMonth * 3 - 2;
                    $maxM = $chargeMonth * 3;
                    $userDate = $minM . "月-" . $maxM . "月";
                    $userDate = $minM . "月-" . $maxM . "月（第" . $chargeMonth . "季度）";
                    //部门报销了多少
                    $where1 = " cl.USER_ID = '$userId' AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') >= '" . $year . "-" . $minM . "'   AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') <= '" . $year . "-" . $maxM . "' AND CHARGE_UNDERTAKER ='个人'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;

                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'month':
                    $userMethodName = "月";
                    $year = date("Y", time());
                    $month = date("m", time());
                    $userDate = $year . "年" . $month . "月";
                    $where1 = " cl.USER_ID = '$userId'  AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') = '" . $year . "-" . $month . "' AND CHARGE_UNDERTAKER ='个人' ";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;

                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);


                    break;
                case 'custom':

                    $userMethodName = "自定义";
                    $userDate = $userStartDate . "/" . $userEndDate;
                    $where1 = " cl.USER_ID = '$userId' AND cl.PAYMENT_DATE >= '" . $userStartDate . "'   AND cl.PAYMENT_DATE <= '" . $userEndDate . "' AND CHARGE_UNDERTAKER ='个人'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;

                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                default:
                    $userMethodName = $userValue = $userDate = $haveUnderTake = $noUnderTake = $totalUnderTake = "";
                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);
                    break;
            }

//            $getListRow['user_name'] = $userName;
//            $getListRow['user_id'] = $userId;
//            $getListRow['user_method'] = $userMethodName;
//            $getListRow['user_value'] = $userValue;
//            $getListRow['user_date'] = $userDate;
//            $getListRow['user_undertake'] = $haveUnderTake;
//            $getListRow['user_noundertake'] = $noUnderTake;
//            $getListRow['user_total'] = $totalUnderTake;
            
             $getListRow['name'] = $userName;
            $getListRow['id'] = $userId;
            $getListRow['method'] = $userMethodName;
            $getListRow['value'] = $userValue;
            $getListRow['date'] = $userDate;
            $getListRow['undertake'] = $haveUnderTake;
            $getListRow['noundertake'] = $noUnderTake;
            $getListRow['total'] = $totalUnderTake;
            $getListRow['type'] = "user";
                
            

            $userList[] = $getListRow;
        }

        echo json_encode(array("totalCount" => $totalCount, "list" => $userList));
        break;
    case "getUserChargeTable":

        $type = $_REQUEST['type'];
        $keyId = $_REQUEST['keyId'];

        //排序
        $sortField = isset($_REQUEST["sortField"]) ? $_REQUEST["sortField"] : "";
        $sortType = isset($_REQUEST["sortType"]) ? $_REQUEST["sortType"] : "";
        //分页
        $limitRows = isset($_REQUEST["itemsPerPage"]) ? $_REQUEST["itemsPerPage"] : 10;
        $limitOffset = $_REQUEST["currentPage"] * $limitRows;



        $getListQuery = "SELECT cl.*,ct.CHARGE_TYPE_NAME,ct.CHARGE_TYPE_PARENT";
        $getCountQuery = "SELECT COUNT(*) AS CNT";
        $query = " FROM charge_list AS cl 
                    INNER  JOIN charge_type AS ct ON cl.CHARGE_TYPE_ID = ct.CHARGE_TYPE_ID WHERE 1=1";


        switch ($type) {
            case "user":
                $query.= " AND cl.USER_ID = '" . SecurityFilter($keyId) . "'  AND CHARGE_UNDERTAKER ='个人'";
                break;
            case "dept":
                $query.= " AND cl.USER_DEPT_ID = '" . SecurityFilter($keyId) . "'  AND CHARGE_UNDERTAKER ='部门'";
                break;
        }



        //获取数量

        $getCountResult = exequery($connection, $getCountQuery . $query);
        if ($getCountRow = mysql_fetch_assoc($getCountResult)) {
            $totalCount = $getCountRow["CNT"];
        }

        if ($sortField && $sortType) {
            $query.= " ORDER BY " . SecurityFilter($sortField) . " " . SecurityFilter($sortType);
        } else {
            $query.= " ORDER BY PAYMENT_DATE DESC";
        }


        $query.= " LIMIT " . SecurityFilter($limitOffset) . "," . SecurityFilter($limitRows);



        $getListResult = exequery($connection, $getListQuery . $query);


        $chargeList = array();

        while ($getListRow = mysql_fetch_assoc($getListResult)) {

            //报销人
            $userName = trim(getUsernameStr($getListRow['USER_ID']), ",");

            //创建人
            $creator = trim(getUsernameStr($getListRow['CREATOR']), ",");

            $getListRow['USER_NAME'] = $userName;
            $getListRow['CREATOR_NAME'] = $creator;

            $underType = $getListRow["CHARGE_UNDERTAKER"];
            if ($underType == "个人") {
                $getListRow['CHARGE_UNDERTAKER_ENTITY'] = "个人：" . $userName;
            } else {

                $sql2 = " SELECT * FROM department WHERE  DEPT_ID=" . SecurityFilter($getListRow["USER_DEPT_ID"]);
                $rs = exequery($connection, $sql2);
                $row = mysql_fetch_array($rs);
                if ($row) {
                    $getListRow['CHARGE_UNDERTAKER_ENTITY'] = "部门：" . $row["DEPT_NAME"];
                } else {
                    $getListRow['CHARGE_UNDERTAKER_ENTITY'] = "部门（已删除）";
                }
            }

            array_push($chargeList, $getListRow);
        }



        echo json_encode(array("totalCount" => $totalCount, "list" => $chargeList));


        break;
    case "getExportDeptAll":

        $query = "SELECT dp.DEPT_ID,  dp.DEPT_NAME, cs.ALERT_METHOD,cs.ALERT_VALUE,cs.ALERT_DATE_START,cs.ALERT_DATE_END  from department dp LEFT JOIN charge_setting cs ON  dp.DEPT_ID = cs.DEPT_ID ORDER BY ALERT_METHOD DESC ";

        $getListResult = exequery($connection, $query);

        while ($getListRow = mysql_fetch_assoc($getListResult)) {

            $deptId = $getListRow["DEPT_ID"];
            $deptName = $getListRow["DEPT_NAME"];
            $deptMethod = $getListRow["ALERT_METHOD"];
            $deptValue = $getListRow["ALERT_VALUE"];
            $deptStartDate = $getListRow["ALERT_DATE_START"];
            $deptEndDate = $getListRow["ALERT_DATE_END"];
            $year = date("Y", time());
            switch ($deptMethod) {
                case 'year':
                    $deptMethodName = "年";
                    $year = date("Y", time());
                    $deptDate = $year . "年";
                    //部门报销了多少
                    $where1 = " USER_DEPT_ID = $deptId AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y') = '" . $year . "' AND CHARGE_UNDERTAKER ='部门'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;


                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'quarter':
                    $deptMethodName = "季度";

                    $chargeMonth = ceil(date('m', time()) / 3);
                    $year = date("Y", time());
                    $minM = $chargeMonth * 3 - 2;
                    $maxM = $chargeMonth * 3;
                    $deptDate = $minM . "月-" . $maxM . "月";
                    $deptDate = $minM . "月-" . $maxM . "月（第" . $chargeMonth . "季度）";
                    //部门报销了多少
                    $where1 = " USER_DEPT_ID = $deptId AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') >= '" . $year . "-" . $minM . "'   AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') <= '" . $year . "-" . $maxM . "' AND CHARGE_UNDERTAKER ='部门'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;

                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'month':
                    $deptMethodName = "月";
                    $year = date("Y", time());
                    $month = date("m", time());
                    $deptDate = $year . "年" . $month . "月";
                    $where1 = " USER_DEPT_ID = $deptId  AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') = '" . $year . "-" . $month . "' AND CHARGE_UNDERTAKER ='部门' ";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;

                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);


                    break;
                case 'custom':

                    $deptMethodName = "自定义";
                    $deptDate = $deptStartDate . "/" . $deptEndDate;
                    $where1 = " USER_DEPT_ID = $deptId AND cl.PAYMENT_DATE >= '" . $deptStartDate . "'   AND cl.PAYMENT_DATE <= '" . $deptEndDate . "' AND CHARGE_UNDERTAKER ='部门'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $deptValue - $haveUnderTake;

                    $where2 = " USER_DEPT_ID = $deptId  AND CHARGE_UNDERTAKER ='部门'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                default:
                    $deptMethodName = $deptValue = $deptDate = $haveUnderTake = $noUnderTake = $totalUnderTake = "";
                    break;
            }

            $getListRow['dept_name'] = $deptName;
            $getListRow['dept_id'] = $deptId;
            $getListRow['dept_method'] = $deptMethodName;
            $getListRow['dept_value'] = $deptValue;
            $getListRow['dept_date'] = $deptDate;
            $getListRow['dept_undertake'] = $haveUnderTake;
            $getListRow['dept_noundertake'] = $noUnderTake;
            $getListRow['dept_total'] = $totalUnderTake;

            $deptList[] = $getListRow;
        }

        if (count($deptList) == 0) {
            echo "<script type='text/javascript'>alert('no data');</script>";
            exit;
        }

        require_once 'newplugins/PHPExcel_1.8.0/Classes/PHPExcel.php';
        require_once 'newplugins/PHPExcel_1.8.0/Classes/PHPExcel/Writer/Excel5.php';

        $objExcel = new PHPExcel();  // 创建一个处理对象实例 
        $objExcel->getProperties();
        $objExcel->setActiveSheetIndex(0);
        $objExcel->getActiveSheet()->setTitle('费用');

        $objActSheet = $objExcel->getActiveSheet();
        $objActSheet->mergeCells('A1:G1');
        $objActSheet->setCellValue('A1', "部门承担信息表");
        $objActSheet->setCellValue('A2', "名称");
        $objActSheet->setCellValue('B2', "预警值");
        $objActSheet->setCellValue('C2', "预警方式");
        $objActSheet->setCellValue('D2', "预警期");
        $objActSheet->setCellValue('E2', "部门已报销");
        $objActSheet->setCellValue('F2', "部门剩余报销");
        $objActSheet->setCellValue('G2', "总计报销");


        $objActSheet->getStyle("A1")->getFont()->setBold(true)->setSize(14)->getColor()->setRGB('6F6F6F');
        $objActSheet->getStyle('A1')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);


        $objActSheet->getColumnDimension('A')->setAutoSize(true);
        $objActSheet->getColumnDimension('B')->setWidth(30);
        $objActSheet->getColumnDimension('C')->setWidth(30);
        $objActSheet->getColumnDimension('D')->setWidth(50);
        $objActSheet->getColumnDimension('E')->setWidth(30);
        $objActSheet->getColumnDimension('F')->setWidth(30);
        $objActSheet->getColumnDimension('G')->setWidth(25);

        foreach ($deptList as $key => $deptList) {
            $k = $key + 3;
            $objActSheet->setCellValue('A' . $k, $deptList['dept_name']);
            $objActSheet->setCellValue('B' . $k, $deptList['dept_value']);
            $objActSheet->setCellValue('C' . $k, $deptList['dept_method']);
            $objActSheet->setCellValue('D' . $k, $deptList['dept_date']);
            $objActSheet->setCellValue('E' . $k, $deptList['dept_undertake']);
            $objActSheet->setCellValue('F' . $k, $deptList['dept_noundertake']);
            $objActSheet->setCellValue('G' . $k, $deptList['dept_total']);
        }

        $objWriter = new PHPExcel_Writer_Excel5($objExcel);


        header("Pragma: public");
        header("Expires: 0");
        header("Cache-Control:must-revalidate, post-check=0, pre-check=0");
        header("Content-Type:application/force-download");
        header("Content-Type:application/vnd.ms-execl");
        header("Content-Type:application/octet-stream");
        header("Content-Type:application/download");
        header('Content-Disposition:attachment;filename="charge_dept_' . time() . '.xls"');
        header("Content-Transfer-Encoding:binary");
        $objWriter->save('php://output');


        break;
    case "getExportUserAll":

        $query = "SELECT u.USER_ID,  u.USER_NAME, cs.ALERT_METHOD,cs.ALERT_VALUE,cs.ALERT_DATE_START,cs.ALERT_DATE_END  from user u LEFT JOIN charge_setting cs ON  u.USER_ID = cs.USER_ID  where USER_ACCOUNTS !='' ORDER BY ALERT_METHOD DESC";

        $getListResult = exequery($connection, $query);

        while ($getListRow = mysql_fetch_assoc($getListResult)) {

            $userId = $getListRow["USER_ID"];
            $userName = $getListRow["USER_NAME"];
            $userMethod = $getListRow["ALERT_METHOD"];
            $userValue = $getListRow["ALERT_VALUE"];
            $userStartDate = $getListRow["ALERT_DATE_START"];
            $userEndDate = $getListRow["ALERT_DATE_END"];
            $year = date("Y", time());
            switch ($userMethod) {
                case 'year':
                    $userMethodName = "年";
                    $year = date("Y", time());
                    $userDate = $year . "年";
                    //部门报销了多少
                    $where1 = " cl.USER_ID = '$userId' AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y') = '" . $year . "' AND CHARGE_UNDERTAKER ='个人'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;


                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'quarter':
                    $userMethodName = "季度";

                    $chargeMonth = ceil(date('m', time()) / 3);
                    $year = date("Y", time());
                    $minM = $chargeMonth * 3 - 2;
                    $maxM = $chargeMonth * 3;
                    $userDate = $minM . "月-" . $maxM . "月";
                    $userDate = $minM . "月-" . $maxM . "月（第" . $chargeMonth . "季度）";
                    //部门报销了多少
                    $where1 = " cl.USER_ID = '$userId' AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') >= '" . $year . "-" . $minM . "'   AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') <= '" . $year . "-" . $maxM . "' AND CHARGE_UNDERTAKER ='个人'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;

                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                case 'month':
                    $userMethodName = "月";
                    $year = date("Y", time());
                    $month = date("m", time());
                    $userDate = $year . "年" . $month . "月";
                    $where1 = " cl.USER_ID = '$userId'  AND DATE_FORMAT(cl.PAYMENT_DATE, '%Y-%c') = '" . $year . "-" . $month . "' AND CHARGE_UNDERTAKER ='个人' ";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;

                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);


                    break;
                case 'custom':

                    $userMethodName = "自定义";
                    $userDate = $userStartDate . "/" . $userEndDate;
                    $where1 = " cl.USER_ID = '$userId' AND cl.PAYMENT_DATE >= '" . $userStartDate . "'   AND cl.PAYMENT_DATE <= '" . $userEndDate . "' AND CHARGE_UNDERTAKER ='个人'";
                    $haveUnderTake = getChargeCost($where1);
                    $noUnderTake = $userValue - $haveUnderTake;

                    $where2 = " cl.USER_ID = '$userId'  AND CHARGE_UNDERTAKER ='个人'";
                    $totalUnderTake = getChargeCost($where2);

                    break;
                default:
                    $userMethodName = $userValue = $userDate = $haveUnderTake = $noUnderTake = $totalUnderTake = "";
                    break;
            }

            $getListRow['user_name'] = $userName;
            $getListRow['user_id'] = $userId;
            $getListRow['user_method'] = $userMethodName;
            $getListRow['user_value'] = $userValue;
            $getListRow['user_date'] = $userDate;
            $getListRow['user_undertake'] = $haveUnderTake;
            $getListRow['user_noundertake'] = $noUnderTake;
            $getListRow['user_total'] = $totalUnderTake;

            $userList[] = $getListRow;
        }


        if (count($userList) == 0) {
            echo "<script type='text/javascript'>alert('no data');</script>";
            exit;
        }

        require_once 'newplugins/PHPExcel_1.8.0/Classes/PHPExcel.php';
        require_once 'newplugins/PHPExcel_1.8.0/Classes/PHPExcel/Writer/Excel5.php';

        $objExcel = new PHPExcel();  // 创建一个处理对象实例 
        $objExcel->getProperties();
        $objExcel->setActiveSheetIndex(0);
        $objExcel->getActiveSheet()->setTitle('费用');

        $objActSheet = $objExcel->getActiveSheet();
        $objActSheet->mergeCells('A1:G1');
        $objActSheet->setCellValue('A1', "个人承担信息表");
        $objActSheet->setCellValue('A2', "用户名称");
        $objActSheet->setCellValue('B2', "预警值");
        $objActSheet->setCellValue('C2', "预警方式");
        $objActSheet->setCellValue('D2', "预警期");
        $objActSheet->setCellValue('E2', "个人已报销");
        $objActSheet->setCellValue('F2', "个人剩余报销");
        $objActSheet->setCellValue('G2', "总计报销");


        $objActSheet->getStyle("A1")->getFont()->setBold(true)->setSize(14)->getColor()->setRGB('6F6F6F');
        $objActSheet->getStyle('A1')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);


        $objActSheet->getColumnDimension('A')->setWidth(30);
        $objActSheet->getColumnDimension('B')->setWidth(20);
        $objActSheet->getColumnDimension('C')->setWidth(20);
        $objActSheet->getColumnDimension('D')->setWidth(25);
        $objActSheet->getColumnDimension('E')->setWidth(20);
        $objActSheet->getColumnDimension('F')->setWidth(20);
        $objActSheet->getColumnDimension('G')->setWidth(25);

        foreach ($userList as $key => $userList) {
            $k = $key + 3;
            $objActSheet->setCellValue('A' . $k, $userList['user_name']);
            $objActSheet->setCellValue('B' . $k, $userList['user_value']);
            $objActSheet->setCellValue('C' . $k, $userList['user_method']);
            $objActSheet->setCellValue('D' . $k, $userList['user_date']);
            $objActSheet->setCellValue('E' . $k, $userList['user_undertake']);
            $objActSheet->setCellValue('F' . $k, $userList['user_noundertake']);
            $objActSheet->setCellValue('G' . $k, $userList['user_total']);
        }

        $objWriter = new PHPExcel_Writer_Excel5($objExcel);


        header("Pragma: public");
        header("Expires: 0");
        header("Cache-Control:must-revalidate, post-check=0, pre-check=0");
        header("Content-Type:application/force-download");
        header("Content-Type:application/vnd.ms-execl");
        header("Content-Type:application/octet-stream");
        header("Content-Type:application/download");
        header('Content-Disposition:attachment;filename="charge_user_' . time() . '.xls"');
        header("Content-Transfer-Encoding:binary");
        $objWriter->save('php://output');


        break;
    case "getExportList":

        $type = $_REQUEST['type'];
        $keyId = $_REQUEST['keyId'];

        $getListQuery = "SELECT cl.*,ct.CHARGE_TYPE_NAME,ct.CHARGE_TYPE_PARENT";

        $query = " FROM charge_list AS cl 
                    INNER  JOIN charge_type AS ct ON cl.CHARGE_TYPE_ID = ct.CHARGE_TYPE_ID WHERE 1=1";

        switch ($type) {
            case "user":
                $query.= " AND cl.USER_ID = '" . SecurityFilter($keyId) . "'  AND CHARGE_UNDERTAKER ='个人'";
                break;
            case "dept":
                $query.= " AND cl.USER_DEPT_ID = '" . SecurityFilter($keyId) . "'  AND CHARGE_UNDERTAKER ='部门'";
                break;
        }

        $query.= " ORDER BY PAYMENT_DATE DESC";


        $getListResult = exequery($connection, $getListQuery . $query);


        $chargeList = array();

        while ($getListRow = mysql_fetch_assoc($getListResult)) {

            //报销人
            $userName = trim(getUsernameStr($getListRow['USER_ID']), ",");

            //创建人
            $creator = trim(getUsernameStr($getListRow['CREATOR']), ",");

            $getListRow['USER_NAME'] = $userName;
            $getListRow['CREATOR_NAME'] = $creator;

            $underType = $getListRow["CHARGE_UNDERTAKER"];
            if ($underType == "个人") {
                $getListRow['CHARGE_UNDERTAKER_ENTITY'] = "个人：" . $userName;
            } else {

                $sql2 = " SELECT * FROM department WHERE  DEPT_ID=" . SecurityFilter($getListRow["USER_DEPT_ID"]);
                $rs = exequery($connection, $sql2);
                $row = mysql_fetch_array($rs);
                if ($row) {
                    $getListRow['CHARGE_UNDERTAKER_ENTITY'] = "部门：" . SecurityFilter($row["DEPT_NAME"]);
                } else {
                    $getListRow['CHARGE_UNDERTAKER_ENTITY'] = "部门（已删除）";
                }
            }

            array_push($chargeList, $getListRow);
        }


        if (count($chargeList) == 0) {
            echo "<script type='text/javascript'>alert('no data');</script>";
            exit;
        }

        require_once 'newplugins/PHPExcel_1.8.0/Classes/PHPExcel.php';
        require_once 'newplugins/PHPExcel_1.8.0/Classes/PHPExcel/Writer/Excel5.php';

        $objExcel = new PHPExcel();  // 创建一个处理对象实例 
        $objExcel->getProperties();
        $objExcel->setActiveSheetIndex(0);
        $objExcel->getActiveSheet()->setTitle('费用');

        $objActSheet = $objExcel->getActiveSheet();
        $objActSheet->mergeCells('A1:F1');
        $objActSheet->setCellValue('A1', "费用清单明细");
        $objActSheet->setCellValue('A2', "姓名");
        $objActSheet->setCellValue('B2', "科目");
        $objActSheet->setCellValue('C2', "费用");
        $objActSheet->setCellValue('D2', "事由");
        $objActSheet->setCellValue('E2', "报销日期");
        $objActSheet->setCellValue('F2', "费用承担者");



        $objActSheet->getStyle("A1")->getFont()->setBold(true)->setSize(14)->getColor()->setRGB('6F6F6F');
        $objActSheet->getStyle('A1')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);


        $objActSheet->getColumnDimension('A')->setWidth(30);
        $objActSheet->getColumnDimension('B')->setWidth(20);
        $objActSheet->getColumnDimension('C')->setWidth(20);
        $objActSheet->getColumnDimension('D')->setWidth(50);
        $objActSheet->getColumnDimension('E')->setWidth(20);
        $objActSheet->getColumnDimension('F')->setWidth(35);


        foreach ($chargeList as $key => $userList) {
            $k = $key + 3;
            $objActSheet->setCellValue('A' . $k, $userList['USER_NAME']);
            $objActSheet->setCellValue('B' . $k, $userList['CHARGE_TYPE_NAME']);
            $objActSheet->setCellValue('C' . $k, $userList['CHARGE_COST']);
            $objActSheet->setCellValue('D' . $k, $userList['REASON']);
            $objActSheet->setCellValue('E' . $k, $userList['PAYMENT_DATE']);
            $objActSheet->setCellValue('F' . $k, $userList['CHARGE_UNDERTAKER_ENTITY']);
        }

        $objWriter = new PHPExcel_Writer_Excel5($objExcel);


        header("Pragma: public");
        header("Expires: 0");
        header("Cache-Control:must-revalidate, post-check=0, pre-check=0");
        header("Content-Type:application/force-download");
        header("Content-Type:application/vnd.ms-execl");
        header("Content-Type:application/octet-stream");
        header("Content-Type:application/download");
        header('Content-Disposition:attachment;filename="' . time() . '.xls"');
        header("Content-Transfer-Encoding:binary");
        $objWriter->save('php://output');


        break;

    default :
        # code...
        break;
}
?>