<?php
include_once 'inc/auth.php';
includelangpak("charge");

$PAGE_TITLE = $_lang['charge_type'];
include_once 'inc/page_header.inc.php';
?>

<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
    body,html{
        overflow: hidden;
    }
    .charge-type-list-wrap{
        width: 300px;
        float: left;
        border-right: 1px solid #dfdfdf;
        height: 100%;
    }
    .charge-type-list,.type-list-wrap{
        overflow: auto;
        width:100%;
        position: absolute;
        top:40px;
        bottom:0;
    }
</style>
</head>
<body>
    <div class="charge-type-list-wrap">
        <div class="lazy_header">
            <span class="lazy-list-title">
                <i class="fa fa-list-title"></i>
                <span class="tip"><?= $_lang['charge_type'] ?></span>
            </span>
            <input type="button" class="btn btn-primary new" value="新建"/>
        </div>
        <div class="charge-type-list"></div>
    </div>


    <div style="margin-left:300px;height:100%;position:relative;">
        <div class="lazy_header">
            <span class="lazy-page-title">
                <i class="fa fa-page-title"></i>
                <span class="tip"><?= $_lang['charge_new_type'] ?></span>
            </span>
            <input type="button" class="btn btn-primary save" value="保存" />
            <input type="button" style="display:none;" class="btn btn-danger delete" value="<?= $_lang['charge_delete_all_type'] ?>" />
        </div>
        <div class="type-list-wrap">
            <table class="form_table" style="margin-top:20px;">
                <tr>
                    <td class="title"><?= $_lang['charge_type_title'] ?></td>
                    <td>
                        <input tabindex="1" class="charge-type-name require" type="text">
                    </td>
                </tr>
            </table>
            <div class="sub-list-wrap">
                <div class="form_header">
                    <?= $_lang["common_add"] ?><span style="font-weight:bold;" id="charge-type-name-span"></span><?= $_lang['charge_second_level_type'] ?>
                    <input type="button" value="<?= $_lang['charge_add_more_rows'] ?>" class="btn btn-primary pull-right add-rows" style="font-size:12px;font-weight:normal;margin:5px 10px;" />
                </div>
                <div>
                    <style type="text/css">
                        .sub-charge-list a{
                            margin-left:10px;
                            color:#7d7d7d;
                            display: none;
                        }

                        .sub-charge-list a:hover{
                            color:red;
                        }
                    </style>
                    <table class="form_table sub-charge-list">
                        <tr>
                            <td class="title"><?= $_lang['charge_type'] ?></td>
                            <td>
                                <input tabindex="2" type="text"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="title"><?= $_lang['charge_type'] ?></td>
                            <td>
                                <input tabindex="3" type="text"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="title"><?= $_lang['charge_type'] ?></td>
                            <td>
                                <input tabindex="4" type="text"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="title"><?= $_lang['charge_type'] ?></td>
                            <td>
                                <input tabindex="5" type="text"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="title"><?= $_lang['charge_type'] ?></td>
                            <td>
                                <input tabindex="6" type="text"/>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
</body>
</html>

<script src="/inc/jquery/jquery.js"></script>
<script src="/lang/<?php echo $_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script>
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";
    /**
     * 重置
     */
    function reset() {
        $(".lazy-page-title .tip").html("<?= $_lang['charge_new_type'] ?>");
        $(".charge-type-name").val("");
        $("#charge-type-name-span").html("");
        $(".delete").hide();
        $(".sub-list-wrap").show();
        var listHtml = [];
        for (var i = 0; i < 5; i++) {
            listHtml.push('<tr><td class="title"><?= $_lang["charge_type"] ?></td><td><input type="text"/></td></tr>');
        }
        $(".sub-charge-list").html(listHtml.join(''));
        $(".delete,.save").removeData("charge-type-id");
    }
    $(function () {

        //添加新行
        $(".add-rows").click(function () {
            var listHtml = [];
            for (var i = 0; i < 5; i++) {
                listHtml.push('<tr><td class="title"><?= $_lang["charge_type"] ?></td><td><input type="text"/></td></tr>');
            }
            $(".sub-charge-list").append(listHtml.join(''));

            $(".type-list-wrap").getNiceScroll().resize();
        });

        //费用类型列表
        $(".charge-type-list").LazyList({
            dataSource: "do.php",
            itemTitleTemplate: "{CHARGE_TYPE_NAME}",
            itemListTemplate: "{CHARGE_TYPE_NAME}",
            onItemTitleClick: function (ui, data, event, thisObj) {
                $(".sub-list-wrap,.delete").show();
                $(".charge-type-name").val(data.CHARGE_TYPE_NAME);
                $("#charge-type-name-span").html(data.CHARGE_TYPE_NAME);
                $(".lazy-page-title .tip").html("<?= $_lang['common_edit'] ?><?= $_lang['charge_type'] ?>");
                $(".delete,.save").data("charge-type-id", data.CHARGE_TYPE_ID);
                if (thisObj.next("li") && thisObj.next("li").find(".sub_menu_wrap").length > 0) {
                    var listHtml = [];
                    thisObj.next("li").find(".sub_menu_wrap li").each(function () {
                        var chargeData = $(this).data("data");
                        listHtml.push('<tr class="charge-item"><td class="title"><?= $_lang["charge_type"] ?></td><td><input charge-type-id="' + chargeData.CHARGE_TYPE_ID + '" type="text" value="' + chargeData.CHARGE_TYPE_NAME + '"/><a href="javascript:void(0)" title="<?= $_lang["charge_remove_this_type"] ?>"><i class="fa fa-times"></i></a></td></tr>');
                    });
                    $(".sub-charge-list").html(listHtml.join(''));
                }
            },
            onItemClick: function (ui, data) {
                $(".charge-type-name").val(data.CHARGE_TYPE_NAME);
                $(".lazy-page-title .tip").html("<?= $_lang['common_edit'] ?><?= $_lang['charge_type'] ?>");
                $(".sub-list-wrap,.delete").hide();
                $(".save").data("charge-type-id", data.CHARGE_TYPE_ID);
            },
            onInit: function () {
                $(".charge-type-list").getNiceScroll().resize();
            },
            buttons: {
                buttonInfor: [{
                        title: '<?= $_lang["common_del"] ?>',
                        func: function (data) {
                            bootbox.confirm("<?= $_lang['charge_delete_type_tip'] ?>?", function (result) {
                                if (result) {
                                    $.ajax({
                                        url: "do.php",
                                        data: {
                                            op: "delete",
                                            chargeTypeID: data.CHARGE_TYPE_ID
                                        }
                                    }).done(function (result) {
                                        if (result) {
                                            $.pnotify({
                                                text: "<?= $_lang['charge_operate_success'] ?>",
                                                type: "success"
                                            });
                                            $(".charge-type-list").LazyList("reload");
                                            reset();
                                        } else {
                                            $.pnotify({
                                                text: "<?= $_lang['charge_operate_fail_delete'] ?>",
                                                type: "fail"
                                            });
                                        }
                                    });
                                }
                            });
                        }
                    }]
            },
            param: {
                op: "getList"
            }
        });

        //新建费用类型
        $(".new").click(function () {
            reset();
        });

        //删除费用类型
        $(".delete").click(function () {
            var chargeTypeID = $(this).data("charge-type-id");
            bootbox.confirm("<?= $_lang['charge_delete_all_type_tip'] ?>", function (result) {
                if (result) {
                    $.ajax({
                        url: "do.php",
                        data: {
                            op: "delete",
                            chargeTypeID: chargeTypeID,
                            deleteSub: true
                        }
                    }).done(function (result) {
                        if (result) {
                            $.pnotify({
                                text: "<?= $_lang['charge_operate_success'] ?>",
                                type: "success"
                            });
                            $(".charge-type-list").LazyList("reload");
                            reset();
                        } else {
                            $.pnotify({
                                text: "<?= $_lang['charge_operate_fail_delete'] ?>",
                                type: "fail"
                            });
                        }
                    });
                }
            });
        });

        //二级费用类型
        $(".sub-charge-list").on({
            mouseenter: function () {
                $(this).find("a").show();
            },
            mouseleave: function () {
                $(this).find("a").hide();
            }
        }, "tr");

        //删除二级费用类型
        $(".sub-charge-list").on({
            click: function () {
               
                    $(this).parents("tr.charge-item").fadeOut();
                
            }
        }, "tr a");

        $(".charge-type-list,.type-list-wrap").niceScroll();

        //保存
        $(".save").click(function () {
            var chargeTypeName = $.trim($(".charge-type-name").val());
            if (chargeTypeName == "") {
                $.pnotify("<?= $_lang['charge_new_type_tip'] ?>");
                return false;
            }
            var chargeTypeID = $(this).data("charge-type-id") ? $(this).data("charge-type-id") : "";

            //下级费用类型
            var subChargeList = [];
            if ($(".sub-list-wrap").css("display") != "none") {
                $(".sub-charge-list :text").each(function () {
                    var subChargeTitle = $.trim($(this).val());

                    if (subChargeTitle != "" && $(this).parents("tr.charge-item").css("display") != "none") {
                        var subChargeTypeID = $(this).attr("charge-type-id") ? $(this).attr("charge-type-id") : 0;
                        subChargeList.push({
                            id: subChargeTypeID,
                            title: subChargeTitle
                        });
                    }
                });
            }

            $.ajax({
                url: "do.php",
                data: {
                    op: "add",
                    chargeTypeName: chargeTypeName,
                    chargeTypeID: chargeTypeID,
                    subChargeList: subChargeList
                }
            }).done(function (result) {
                if (result) {
                    $.pnotify({
                        text: "<?= $_lang['charge_operate_success'] ?>",
                        type: "success"
                    });
                    reset();
                } else {
                    $.pnotify({
                        text: "<?= $_lang['charge_operate_fail'] ?>",
                        type: "fail"
                    });
                }
                $(".charge-type-list").LazyList("reload");
            });
        });
    });

</script>
