<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      合同编辑页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/contract_edit.php
 * @version       37
 * @author        Qu|www.weaver.com.cn
 * @date          2012-11-28
 */
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("inc/function_upload_limit.php");
include_once("general/system/combox/packaging.php");
include_once("api/customer.class.php");
includelangpak("customer,calendar");

$limit       = getUploadLimitSize("OTHER");
$connection	 = OpenConnection();
$customer    = new customer();
if($_REQUEST['CON_ID'])
{
  if(!is_numeric($_REQUEST['CON_ID'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}


$row = $customer->getDataOne('contract','*',"CON_ID=".$_REQUEST["CON_ID"]);
if($row)
{
	 $ROW = $customer->getDataOne('customer','*',"CUSTOMER_ID='".$row["CUST_ID"]."'");	
}	

$hasPurview = $customer->hasPurview($row["CUST_ID"]);
if($LOGIN_USER_ID != $row["CREATEOR"] && $hasPurview==0) {
	Message("",$_lang["customer_no_this_purview"]);
	exit;
}

$PAGE_TITLE = $_lang["customer_contract_edit"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<!-- <script type="text/javascript" src="/inc/common.js"></script> -->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>

<link href="/newplugins/css/style.css" rel="stylesheet" />
<script Language="JavaScript">
var check_notify;
function thousandFormat(num)
{
	var showValue = num;
	if(num.length>15) {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_number_over_maxlimit"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		return;
	}

	if(showValue)
	{
		var midValue = commafyback(showValue);
		if(!isNaN(midValue) && parseFloat(showValue)>0) {
			num = midValue.toString().commafy();
			return num;
		} else {
			if (check_notify) {
				check_notify.pnotify_remove();
			}

			check_notify=$.pnotify({
		        text: "<?=$_lang["customer_big_zero"]?>",
		        type : "error",
		        animate_speed:"fast",
		        delay:"1500",
		    }).click(function(event) {
		    	check_notify.pnotify_remove();
		    });
			num.value = "";	
		}
	}
}

function commafyback(num)
{  
   var x = num.split(",");
   return parseFloat(x.join(""));
} 

String.prototype.commafy = function(){ 
	if (this == "") return ""; 
	var _n = this.match(/(-?\d+)(\.\d*)?/); 	

	var length = _n[1].length; 
	var i = length % 3;
	var str1 = _n[1].substring(0,i);
	var str2 = _n[1].substring(i,length) ;	
	var result;
	if (_n[2]) {
		var result = str1 + str2.replace(/(\d{3})/g, ",$1") + _n[2].replace(/(\d{3})/g, "$1,").replace(/(.*),$/, "$1"); // decimal. 
	}else{
		result = str1 + str2.replace(/(\d{3})/g, ",$1");
	} 	
	result = result.replace(/^,(.*)/, "$1") 	
	return result; 
};

function CheckForm()
{
    var contr_name = document.getElementById("CON_NAME").value;
    if(trim(contr_name)=='')
	{
	   	if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_contract_name_notnull"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
	   document.getElementById("CON_NAME").focus();
	   return false;
	}
	return true;
}

function sendForm() {
	if(CheckForm()) {
		if ($("#file_elem").Upload("getUploadCount") > 0) {
	        $("#file_elem").uploadify("upload", "*");
	    }else{
	        $("#form1").submit();
	    } 
	}
}

function LoadWindow()
{
    URL   = "/general/crm/linkman/customer_select";
    //window.open(URL,self,'height=350,width=450,toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,status=no');
    loc_x = event.clientX-100;
    loc_y = event.clientY+170;
    window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:450px;dialogHeight:345px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}

function td_calendar(fieldname)
{
    myleft = document.body.scrollLeft+event.clientX-event.offsetX-80;
    mytop  = document.body.scrollTop+event.clientY-event.offsetY+140;
    window.showModalDialog("/inc/calendar.php?FIELDNAME="+fieldname,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:280px;dialogHeight:205px;dialogTop:"+mytop+"px;dialogLeft:"+myleft+"px");
}

function loadlinkman()
{
	var customer_id	= document.getElementById("CUSTOMER_ID").value;
	URL   = "/general/crm/contact/linkman_select/index.php?customer_id="+customer_id;
	//window.open(URL,self,'height=350,width=450,toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,status=no');
	loc_x = document.body.scrollLeft+event.clientX-event.offsetX-100;
	loc_y = document.body.scrollTop+event.clientY-event.offsetY+170;
	window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:450px;dialogHeight:345px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}

//附件删除的方法
function delete_attach(ATTACHMENT_ID,ATTACHMENT_NAME)
{
    msg = "<?=$_lang['calendar_plan_confirm_del_att']?>";
    bootbox.confirm(msg,function(flag){
    	if (flag) {
    		URL="delete_attach.php?CON_ID=<?=$_REQUEST["CON_ID"]?>&ATTACHMENT_ID="+ATTACHMENT_ID+"&ATTACHMENT_NAME="+ATTACHMENT_NAME;
       		window.location=URL;
    	}
    });
}

//金额转换成大写
function ConvertNumToCh(num)  
{  
	if(num=="")  
	return "<?=$_lang['customer_man_zero']?>";  
	var ch_str="";  
	
	for(var i=0;i<num.length;i++)  
	{  
		num=num.replace(",","");//替换千位分隔符  
	}  
	if(isNaN(num)||num=="0."||num==".0")  
	{  
		$.pnotify({
	        text: "<?=$_lang['customer_man_is_num']?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1800",
	    });  
		return "";  
	}  
	if(num==0)  
		return "<?=$_lang['customer_man_zero']?>";  
		var part=num.split(".");//将整数部分与小数部分分开  
		
	if(part[0].length>12)  
	{   
		$.pnotify({
	        text: "<?=$_lang['customer_man_num_range']?>(0.01----999999999999.99)",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1800",
	    }); 
		return "";  
	}  
	
	var num_ch=new Array("<?=$_lang['customer_man_0']?>","<?=$_lang['customer_man_1']?>","<?=$_lang['customer_man_2']?>","<?=$_lang['customer_man_3']?>","<?=$_lang['customer_man_4']?>","<?=$_lang['customer_man_5']?>","<?=$_lang['customer_man_6']?>","<?=$_lang['customer_man_7']?>","<?=$_lang['customer_man_8']?>","<?=$_lang['customer_man_9']?>");  
	var z_unit=new Array("<?=$_lang['customer_man_yuan']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>","<?=$_lang['customer_man_ten_hundred']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>","<?=$_lang['customer_man_billion']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>");  
	var point=new Array("<?=$_lang['customer_man_ten_fen']?>","<?=$_lang['customer_man_fen']?>","<?=$_lang['customer_man_li']?>");  
		
	//整数部分数据处理  
	for(var i=0;i<part[0].length;i++)  
	{  
		ch_str+=num_ch[part[0].substring(i,i+1)]+z_unit[part[0].length-i-1];  
	}  
	//小数部分数据处理  
	if(part.length>1)  
	{  
		if(part[1].length>2)  
		{  
			$.pnotify({
		        text: "<?=$_lang['customer_man_num_range']?>(0.01----999999999999.99)",
		        type : "info",
		        animate_speed:"fast",
		        delay:"1800",
		    });  
			return "";  
		}  
		for(var i=0;i<part[1].length;i++)  
		{  
			ch_str+=num_ch[part[1].substring(i,i+1)]+point[i];  
		}  
	}  
	//转化后的字符串处理   
	for(i=0;i<4;i++)  
	{  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0billion']?>","<?=$_lang['customer_man_billion']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten_hundred']?>","<?=$_lang['customer_man_ten_hundred']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0thousand']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0hundred']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0yuan']?>","");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0bm']?>","<?=$_lang['customer_man_billion']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_00']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten_fen']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0fen']?>","");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0li']?>","");  
	}  
	if(ch_str.substring(ch_str.length-1)==("<?=$_lang['customer_man_0']?>"))  
		ch_str=ch_str.substring(0,ch_str.length-1)+"<?=$_lang['customer_man_all']?>";  
		if(ch_str=="<?=$_lang['customer_man_yuan_all']?>")  
		ch_str="<?=$_lang['customer_man_zero']?>";  
	return ch_str;  
}

$(document).ready(function() {
	$("#contract_remind").on('ifClicked', function(event){
		$("#default").toggle(); 
	});

	var money = document.getElementById("CON_COUNT").value;
	$("#CON_COUNT").val(thousandFormat(money));
	var c_money = $("#CON_COUNT").val();

	if(c_money != ''&&c_money != 0) {
		$("#shownum").val(ConvertNumToCh($("#CON_COUNT").val()));
		
	} 
	

	$("#CON_COUNT").keyup(function() {
		var money = $("#CON_COUNT").val();
		length = money.length;
		c_money = parseFloat(money);
		if(c_money>0){
			var last = money[money.length-1];
			if(last!='.'){
				$("#CON_COUNT").val(thousandFormat(money));
				$("#shownum").val(ConvertNumToCh($("#CON_COUNT").val()));				
			}
		}else if(c_money==0&&length>1){
			if(length==2&&money=='0.'){
			}else{
				$("#CON_COUNT").val('');
				$("#shownum").val('');
			}
		}else if(c_money==0&&length==1){
		}else{
			$("#CON_COUNT").val('');
			$("#shownum").val('');
		}
	});
})

$(document).ready(function() {
	<?
	if(count($contract_payment) > 0) {	
	?>
		$("#targetDiv").css("display","block");
	<?
	}	
	?>


    if($("#contract_remind").attr("checked")) {
		$("#default").show();
	}

	$("#file_elem").Upload({
	    uploadType:'OTHER',
	    onUploadSuccess:function(attachmentID,attachementName){
	        $("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
	        $("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
	    },
	    onQueueComplete:function(){
	        $("#form1").submit();
	    }
	});
	
	<?
	if(count($contract_payment) > 0) {
	?>
		var i = <?=count($contract_payment)?>;
	<?
	} else {	
	?>
		var i = 0;
	<?
	}	
	?>
	var j = "";
	$("#addData").click(function(){  
		i++;
		pay_dates = 'pay_date_'+i;
        $str='';
        $str+="<tr>";
        $str+='<td class="title"><?=$_lang["customer_contract_pay_date"]?></td>';
        $str+="<td><input type='text' class='library_date' readonly name='"+pay_dates+"' id='"+pay_dates+"' size='25' maxlength='10'/></td>";
		$str+='<td class="title"><?=$_lang["customer_contract_pay_remind"]?></td>';  
		$str+='<td><textarea name="pay_remind_content[]" id="pay_remind_content[]" style="overflow:hidden;height:35px;width:300px;" onblur="checkDatas(this,'+i+');"></textarea></td>';
		$str+='<td onClick="delRow(this);"><a class="btn btn-danger"><?=$_lang["common_del"]?></a></td>';
        $str+="</tr>";		
        $("#payInfo").append($str);   
		$(".library_date").datepicker();
    });

	if($("#targetDiv").css("display") == "none") {
		$("#addDiv").css("display","none");
	} else {
		$("#showimg").css("display","block");
	}
});

function checkDatas(val,i) {
	if(($.trim(val.value) != '' && $("#pay_date_"+i).val() == '') || ($.trim(val.value) == '' && $("#pay_date_"+i).val() != '')) {

		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_contract_no_date_or_content"]?>",
	        type : "info",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
	}
}

function delRow(r) {
	$(r).parent().remove();
}

function getDel(k,val){
	$(k).parent().remove();  
	var url = "delpayment.php";
	$.ajax({
		type:'POST',
		data:'CON_ID='+<?=$_REQUEST["CON_ID"]?>+"&ID="+val,
		url:url,
		success:function(result) {
		}
	})
}

</script>
<body>
<div class="lazy_header">
	<!-- <span class="tip" style="margin-left:10px"><?=$_lang["customer_contract_edit"]?></span> -->
	<div class="contract_filter"></div>
	<a class="btn btn-default" id="back" onclick="location='contract.php'"><?=$_lang["common_back"]?></a>
	<a class="btn btn-primary" id="save" onclick="sendForm();"><?=$_lang["common_save"]?></a>
</div>
<div class="edit_contract">
<form action="/general/crm/customer/contract_do.php?op=edit_or_add_contract&f=edit&back=<?=$_REQUEST["back"]?>&CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>"  method="post" id="form1" name="form1" enctype="multipart/form-data"> 
<table width="100%" class="form_table">
   <tr>
	<td class="title"><?=$_lang["customer_crm_contract_name"]?></td>
	<td colspan="3"><input type="text" name="CON_NAME" id="CON_NAME" size="25" maxlength="25" class="require" value="<?=$row["CON_NAME"]?>"></td>
	
   </tr>
   <tr>
   	<td class="title"><?=$_lang["customer_linkman_bel_to"]?></td>
	<td>
		<input type="text" name="CUSTOMER_NAME" id="CUSTOMER_NAME" value='<?=$ROW["CUSTOMER_NAME"]?>' class="require" size="25" maxlength="100" readonly>&nbsp;
   	</td>
	<td class="title"><?=$_lang["customer_crm_contract_num"]?></td>
	<td><input type="text" name="CON_NO" id="CON_NO" size="25" maxlength="100" value="<?=$row["CON_NO"]?>" class=""></td>
	
   </tr>
   <!--合同有效期-->
   <tr>
    <td class="title"><?=$_lang["customer_contract_date"]?></td>
    <td>
		<input class='library_date' type="text" name="CONTACT_DATE1" id="CONTACT_DATE1" value="<?=$row["CON_DATE1"]?>" style="width:80px" />
		--
		<input class='library_date' type="text" name="CONTACT_DATE2" id="CONTACT_DATE2" value="<?=$row['CON_DATE2']?>" style="width:80px"/>
    </td>
	<?
		$rows = $customer->getDataOne('sys_para','*',"PARA_NAME='CONTRACT_ROUND'");
		if($rows) {
			$PARA_VALUE = $rows["PARA_VALUE"];
		}
		if($PARA_VALUE == "") {
			$PARA_VALUE = '30';
		}
	?>
    <td class="title"><?=$_lang["customer_contract_endtime_remind"]?></td>
    <td>
    	<input type="checkbox" name="contract_remind" id="contract_remind" class="checkbox" <?if($row["SMS_REMIND"] == 1) {?> checked <?}?>  onclick="check_remind();">
    	<span style="display:none" id="default">&nbsp;&nbsp;<?=$_lang["customer_contract_ahead"].$PARA_VALUE.$_lang["customer_ahead_day"]?></span>
    </td>
   </tr>
   <tr>
	<td class="title"><?=$_lang["customer_crm_signer"]?></td>
	<td>
		<input type="text" name="CON_SIGNATORY" id="CON_SIGNATORY" size="25" value="<?=$row['CON_SIGNATORY']?>" maxlength="20" class=""/>
	</td>
	<td class="title"><?=$_lang["customer_crm_customer_signer"]?></td>
	<td>
		<input type="text" name="CON_CSIGN" id="CON_CSIGN" size="25" value="<?=$row['CON_CSIGN']?>" maxlength="20" class=""/>
	</td>
   </tr>
   <!--签字日期-->
   <tr>
	<td class="title"><?=$_lang["customer_crm_sign_date"]?></td>
	<td><input class='library_date' type="text" name="SIGNATORY_DATE" id="SIGNATORY_DATE" value="<?=$row["SIGNATORY_DATE"]?>" size="25" maxlength="10"/></td>
	<td class="title"><?=$_lang["customer_crm_sign_cusdate"]?></td>
	<td><input class='library_date' type="text" name="CSIGN_DATE" id="CSIGN_DATE" value="<?=$row["CSIGN_DATE"]?>" size="25" maxlength="10"/></td>
   </tr> 
   <tr>
    <td class="title"><?=$_lang["customer_contract_type"]?></td>
    <td>
      <select name="CON_TYPE" data-height="35" data-width="173">
      	<option value="0" <?if($row["CON_TYPE"]==0){?> selected<?}?> ><?=$_lang["customer_choose_contract_type"]?></option>
		<?=get_info(31,$row["CON_TYPE"],0)?>
	  </select>
    </td>
    <td class="title"><?=$_lang["customer_contract_amount"]?></td>
    <td>
    	<input type="text" id="CON_COUNT" name="CON_COUNT" class="" size="25" maxlength="100"  value=<?=$row["CON_COUNT"]?>>&nbsp;<?=$_lang["customer_man_yuan"]?>
    </td>
   </tr>
   <tr>
   		<td class="title"><?=$_lang["customer_crm_cont_creat"]?></td>
		<td><input type="text" value='<?=getUserNameNew($row["CREATEOR"])?>' size="25" class="" readonly></td>
		<td class="title"><?=$_lang["customer_capital_money"]?></td>
		<td>
			<!-- <span  id="shownum"></span> -->
			<input type="text" id="shownum" size="25" maxlength="100">
		</td>
	</tr>
   
   <!--合同附件形式2-->
   <tr>
      <td class="title"><?=$_lang["customer_contract_attachment"]?></td>
	  <?
	  if($row["ATTACHMENT_ID"]!="")
	  {
	  ?>
      <td colspan="3">
		<?		
			$ATTACHMENT_ID_ARRAY   = explode(",",$row["ATTACHMENT_ID"]);
			$ATTACHMENT_NAME_ARRAY = explode("*",$row["ATTACHMENT_NAME"]);

			$ARRAY_COUNT=sizeof($ATTACHMENT_ID_ARRAY);
			for($I=0;$I<$ARRAY_COUNT;$I++)
			{
				if($ATTACHMENT_ID_ARRAY[$I]=="")
					break;
				$ATTACH_SIZE=attach_size($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I]);
				$ATTACH_SIZE=number_format($ATTACH_SIZE,0, ".",",");
				?>
				<div>
					<i class="fa fa-paperclip"></i>&nbsp;<a href="#" onclick="window.open('/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');"><?=$ATTACHMENT_NAME_ARRAY[$I]?></a>&nbsp;&nbsp;&nbsp;
				<?
				if(stristr($ATTACHMENT_NAME_ARRAY[$I],".doc")||stristr($ATTACHMENT_NAME_ARRAY[$I],".ppt")||stristr($ATTACHMENT_NAME_ARRAY[$I],".xls"))
				{
				?>
					<i title="<?=$_lang["common_edit"]?>" style="cursor:pointer" class="fa fa-pencil-square-o fa-lg text-primary" onClick="window.open('/iWebOffice/DocumentEdit.php?EditType=2&UserName=<?=$_SESSION["LOGIN_USER_ID"]?>;&ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');"></i>&nbsp;&nbsp;
				<?
				}
				?>
					<i title="<?=$_lang["common_del"]?>" style="cursor:pointer" class="fa fa-times fa-lg text-danger" onClick="delete_attach('<?=$ATTACHMENT_ID_ARRAY[$I]?>','<?=$ATTACHMENT_NAME_ARRAY[$I]?>');"></i>
				</div>
				<?
			}		
		?>
		</td>		
    </tr>
	<tr>
		<td></td>
	<?
	}	
	?>
		<td colspan="3">
			<!--添加附件-->
			<input type="file" id="file_elem" name="file_elem">	
			<input type="hidden" name="attachmentIDStr" id="attachmentIDStr" value="<?=$row["ATTACHMENT_ID"]?>"/>
			<input type="hidden" name=" attachmentNameStr" id="attachmentNameStr" value="<?=$row["ATTACHMENT_NAME"]?>"/>
		</td>
    </tr>

    <!--备注-->
   <tr>
	<td class="title"><?=$_lang["customer_note"]?></td>
	<td colspan="3">
		<textarea id="CON_NOTE" name="CON_NOTE" style="width:88%;height:70px"><?=$row["CON_NOTE"]?></textarea>
		<script type="text/javascript">
			UE.getEditor('CON_NOTE',{
		        zIndex:10,
		        autoHeightEnabled: false
		    });
		</script>
	</td>
   </tr>
	<input type="hidden" name="CUSTOMER_ID" value='<?=$ROW["CUSTOMER_ID"]?>'>
	<input type="hidden" name="CUST_ID" id="CUST_ID" value='<?=$row["CUST_ID"]?>'>
   <input type="hidden" name="ATTACHMENT_NAME">
</table>
<input type="hidden" name="CON_ID" value="<?=$_REQUEST["CON_ID"]?>">
<input type="hidden" name="PARA_VALUE" value="<?=$PARA_VALUE?>">
</form>
</div>

<div class="edit_contract_remind" style="display:none;width:100%;border:none;height:100%">
	<iframe style="width:100%;border:none;height:100%" id="edit_contract_remind"></iframe>
</div>
</body>
</html>
<script type="text/javascript">
	$(".library_date").datepicker({
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});
	$("select").selectpicker();
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});

	function display_customer(){
		var CUSTOMER_NAME = $("#CUSTOMER_NAME").val();
		if (CUSTOMER_NAME!="") {
			$("#CUSTOMER_NAME").attr("class","");
		}else{
			$("#CUSTOMER_NAME").attr("class","require");
		}
	}
</script>
<script>
$(function(){
	var default_index1=true;
	var default_index2=false;

	if ("<?=$_REQUEST[isSuccess]?>"==1) {
		var default_index2=true;
		var default_index1=false;
		$("#edit_contract_remind").attr("src","contract_edit_remind.php?CON_ID=<?=$_REQUEST["CON_ID"]?>");
		$(".edit_contract").css("display","none");
		$(".edit_contract_remind").css("display","block");
		$("#tab_switch").val(2);
		$("#save").css("display","none");
	}

	$(".edit_contract_remind").height($(document).height()-60);

	$(".contract_filter").LazyFilter({
		onClick : function(data) {
			if (data=="edit_contract") {
				$(".edit_contract").css("display","block");
				$(".edit_contract_remind").css("display","none");
				$("#tab_switch").val(1);
				$("#save").css("display","block");
			}else if(data=="edit_contract_remind"){
				$("#edit_contract_remind").attr("src","contract_edit_remind.php?CON_ID=<?=$_REQUEST["CON_ID"]?>");
				$(".edit_contract").css("display","none");
				$(".edit_contract_remind").css("display","block");
				$("#tab_switch").val(2);
				$("#save").css("display","none");			
			}
		},
		common : {
			dataSource : [{
				key:"edit_contract",
				isDefault:default_index1,
				title:"<?=$_lang['customer_man_base_info']?>"
			},{
				key:"edit_contract_remind",
				isDefault:default_index2,
				title:"<?=$_lang['customer_man_news_set']?>"
			}],
			template : "{title}"
		},
	});

	$("#CON_NAME").keyup(function(event) {
		var CON_NAME = $("#CON_NAME").val();
		if (CON_NAME!="") {
			$("#CON_NAME").attr("class","");
		}else{
			$("#CON_NAME").attr("class","require");
		}
	});

	var CUSTOMER_NAME = $("#CUSTOMER_NAME").val();
	if (CUSTOMER_NAME!="") {
		$("#CUSTOMER_NAME").attr("class","");
	}else{
		$("#CUSTOMER_NAME").attr("class","require");
	}

	var CON_NAME = $("#CON_NAME").val();
	if (CON_NAME!="") {
		$("#CON_NAME").attr("class","");
	}else{
		$("#CON_NAME").attr("class","require");
	}
});
</script>