<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户新建页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/new.php
 * @version       35
 * @author        Qu|www.weaver.com.cn
 * @date          2012-11-09
 */
include_once("inc/auth.php");
include_once("api/field_set.class.php");
include_once("inc/utility_all.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

if($_REQUEST['CUSTOMER_ID'])
{
	if(!is_numeric($_REQUEST['CUSTOMER_ID'])){
        Message('',$_lang["common_param_error"],'failed');
        exit;
    }
}
$CUSTOMER_ID=$_REQUEST['CUSTOMER_ID'];

$PAGE_TITLE = $_lang["customer_crm_add_cus"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link href="/newplugins/css/style.css" rel="stylesheet" />
<style type='text/css'>
.table td div{
		text-align: center;
		height: 30px;
		vertical-align: middle;
		line-height:30px;
}

.table td div i{
		text-align: center;
		height: 30px;
		vertical-align: middle;
		line-height:30px;
}

.delete{
	display: none;
}

.table th div{
		text-align: center;
		height: 35px;
		line-height:35px;
		vertical-align: middle;
}

.table{
	border-top:1px solid lightgray;
	border-bottom:1px solid lightgray;
	width:100%;
	margin:auto;
}

.table .show_bg:hover{
	background-color: #E5E5E5
}

input[type='text']{
	border-radius:5px;
	width:90%;
	text-align: center;
	border:0px;
}
</style>
<body>
	<form action="/general/crm/customer/contract_do.php?op=add_contract_remind" id="form1" method="post" name="form1" enctype="multipart/form-data">
	<span style="height:45px;line-height:45px;padding-left:14px;">
		<?=$_lang["customer_crm_contract_name"]?>:&nbsp;&nbsp;<span class="select_contract"></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["customer_linkman_bel_to"]?>&nbsp;:&nbsp;<span class="select_customer"></span>
	</span>
	<div style="text-align:center" class="add_linkman_wrap" width="100%">
			<table class="table">
				<tbody>
				<tr>
					<th width="80"><div><?=$_lang["common_order"]?></div></th>
					<th><div style="cursor:pointer"><?=$_lang["customer_contract_pay_date"]?></div></th>
					<th width="60%"><div><?=$_lang["customer_contract_pay_remind"]?></div></th>
					<th width="80"><div><?=$_lang["common_operate"]?></div></th>
				</tr>
				</tbody>
			</table>  
			<input type="hidden" name="linkman_num" id="linkman_num" value="5" />
			<input type="hidden" name="CUSTOMER_ID" id="CUSTOMER_ID" value="">
			<input type="hidden" name="CON_ID" id="CON_ID" value="<?=$_REQUEST['con_id']?>">
	</div>
	<div width="100%" style="padding-left:14px;border-bottom:3px solid lightgray;margin-top:8px;height:40px;line-height:40px;vertical-align: middle;">
		<?=$_lang["customer_crm_cont_creat"]?>：<?=$_SESSION['LOGIN_USER_NAME']?><a class="btn btn-success" onclick="sendForm()" style="float:right;margin-right:10px"><?=$_lang["common_save"]?></a>
	</div>
	</form>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script language="javascript" src="/inc/common.js" ></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript">
	var check_notify;
	function check_form(){
		var flag=true;
		var num=0;
		$(".table tbody .show_bg").each(function() {
		 	var link_name=$(this).find('.link_name').val();
		 	var link_memo=$(this).find('.link_memo').val();
		 	if ($.trim(link_name)!="" && $.trim(link_memo)!="") {
		 		num++;
		 	}
		});

		if (num>0) {
			return true;
		}else{
			if (check_notify) {
		 		check_notify.pnotify_remove();
		 	}
		 	check_notify=$.pnotify({
		        text: "<?=$_lang['customer_man_one_info']?>",
		        type: "info",
		        animate_speed:"fast",
		        delay:"1000"
		    }).click(function(event) {
		    	check_notify.pnotify_remove();
		    });
		    // $(".table tbody .show_bg:first").find('.link_name').css("border","1px solid #FFA500");
		    // $(".table tbody .show_bg:first").find('.link_name').focus();
			return false;
		}
	}

	function sendForm(){

		// $("#form1").submit();


		if (check_form()) {
			$.ajax({
				url: "/general/crm/customer/contract_do.php?op=add_contract_remind",
				type: 'POST',
				data: $("#form1").serialize(),
				success:function(data){
					// $(".table tbody .show_bg").each(function() {
					//  	$(this).find('.link_name').val("");
					//  	$(this).find('.link_memo').val("");
					
					// });

					if (data=="fail") {
						$.pnotify({
							text:"<?=$_lang['customer_man_set_man']?>",
							type:"info",
							animate_speed:"fast",
							history:false,
							delay:"1500"
						});
					}else{
						$.pnotify({
							text:"<?=$_lang["common_save_successed"]?>",
							type:"success",
							animate_speed:"fast",
							history:false,
							delay:"1500"
						});
					}
				}
			});
			
		}
	}

	function check_value(obj){
		if ($.trim($(obj).val())!="") {
			$(obj).css("border","0px solid #FFA500");
		}
	}

	$("select").selectpicker();
	$(".link_name").datepicker();
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});

	function rmtr(obj){
		var curent_num=$(obj).parents("tr").find('td:first').text();
		$(obj).parents("tr").remove();

		$(".table tbody .show_bg").each(function(){
			if ($(this).find('td:first').text()>curent_num) {
				$(this).find('td:first').text($(this).find('td:first').text()-1);
				$(this).find('.link_name').attr("name","pay_date_"+$(this).find('td:first').text());
				$(this).find('.link_memo').attr("name","pay_remind_content_"+$(this).find('td:first').text());
			}
		});

		if (parseInt($(".table tbody tr").length-1) <= 1) {
			$(".table tbody").find('.fa').css("display","none");
			$(".table tbody").find('td div').css("vertical-align","middle");
		}
		$("#linkman_num").val(parseInt($(".table tbody tr").length-1));
	}

	function last_append(obj){
		if($(obj).parents("tr").find('td:first').text()==$(".table tbody tr").length-1){
			var No = parseInt($(".table tbody tr:last").find('td:first').text())+1;
			if(isNaN(No)) No=1;
			if (parseInt($(".table tbody tr").length-1) >= 1) {
				$(".table tbody").find('.fa').css("display","block");
			}

			$(".table tbody").append('<tr class="show_bg" onmouseover="show_oper(this)" onmouseout="hide_oper(this)"><td align="center"><div>'+No+'</div></td><td><div><input type="text" class="link_name" onkeyup="check_value(this)" onclick="last_append(this)" name="pay_date_'+No+'"/></div></td><td><div><input type="text" name="pay_remind_content_'+No+'" class="link_memo"/></div></td><td><div class="delete"><i class="fa fa-times-circle fa-lg text-danger"  onclick="rmtr(this)" title="<?=$_lang["common_del"]?>"></i></div></td></tr>');
			$(".link_name").datepicker();
			$("#linkman_num").val(parseInt($(".table tbody tr").length-1));

			$("input").focus(function(event) {
				$(this).css("border","1px solid #FFA500");
			});

			$("input").blur(function(event) {
				$(this).css("border","0px solid #FFA500");
			});
		}
	}

	function show_oper(obj){
		$(obj).find(".delete").css("display","block");
	}

	function hide_oper(obj){
		$(obj).find(".delete").css("display","none");
	}
$(function(){

	for (var i = 1; i <=5; i++) {
		$(".table tbody").append('<tr class="show_bg" onmouseover="show_oper(this)" onmouseout="hide_oper(this)"><td align="center"><div>'+i+'</div></td><td><div><input type="text" class="link_name" onkeyup="check_value(this)" onclick="last_append(this)" name="pay_date_'+i+'"/></div></td><td><div><input type="text" name="pay_remind_content_'+i+'" class="link_memo"/></div></td><td><div class="delete"><i class="fa fa-times-circle fa-lg text-danger"  onclick="rmtr(this)" title="<?=$_lang["common_del"]?>"></i></div></td></tr>');
	};

	$(".link_name").datepicker();

	$("input").focus(function(event) {
		$(this).css("border","1px solid #FFA500");
	});

	$("input").blur(function(event) {
		$(this).css("border","0px solid #FFA500");
	});

	// $.ajax({
	// 	url:"contract_do.php",
	// 	data:{
	// 		op : 'getContractList',
	// 	},
	// 	success:function(result){
	// 		var htmlStr = [];
	// 		if(result){
	// 			htmlStr.push('<select name="CON_ID" class="contract_list selectpicker" data-width="155px" data-height="26px">');
	// 			var parsedData = $.parseJSON(result);
	// 			if (parsedData.length>0) {
	// 				$.each(parsedData,function(key,value){
	// 					if ("<?=$_REQUEST['con_id']?>"==value.CON_ID) {
	// 						htmlStr.push('<option value="' + value.CON_ID + '" selected>'+value.CON_NAME+'</option>');
	// 					}else{
	// 						htmlStr.push('<option value="' + value.CON_ID + '">'+value.CON_NAME+'</option>');
	// 					}
	// 				});

	// 				htmlStr.push('</select>');
	// 				$(".select_contract").html(htmlStr.join(''));
	// 				$(".selectpicker").selectpicker('refresh');

	// 				$.ajax({
	// 					url:"contract_do.php",
	// 					data:{
	// 						op : 'getCustomer',
	// 						CON_ID:$(".contract_list").val(),
	// 					},
	// 					success:function(result){
	// 						var parsedData = $.parseJSON(result);
	// 						$(".select_customer").html(parsedData.CUSTOMER_NAME);
	// 						$("#CUSTOMER_ID").val(parsedData.CUSTOMER_ID);
	// 					}
	// 				});
	// 			}else{
	// 				htmlStr.push('<option value="-1">暂无合同</option>');

	// 				htmlStr.push('</select>');
	// 				$(".select_contract").html(htmlStr.join(''));
	// 				$(".selectpicker").selectpicker('refresh');
	// 			}
	// 		}
	// 	}
	// });

	// $(".select_contract").on('change', '.contract_list', function(event) {
	// 	$.ajax({
	// 		url:"contract_do.php",
	// 		data:{
	// 			op : 'getCustomer',
	// 			CON_ID:$(".contract_list").val(),
	// 		},
	// 		success:function(result){
	// 			var parsedData = $.parseJSON(result);
	// 			$(".select_customer").html(parsedData.CUSTOMER_NAME);
	// 			$("#CUSTOMER_ID").val(parsedData.CUSTOMER_ID);
	// 		}
	// 	});
	// });

	$.ajax({
		url:"contract_do.php",
		data:{
			op : 'getContractName',
			CON_ID:"<?=$_REQUEST['con_id']?>"
		},
		success:function(result){
			$(".select_contract").html(result);
		}
	});

	$.ajax({
		url:"contract_do.php",
		data:{
			op : 'getCustomer',
			CON_ID:"<?=$_REQUEST['con_id']?>",
		},
		success:function(result){
			if(result)
			{
				var parsedData = $.parseJSON(result);
				$(".select_customer").html(parsedData.CUSTOMER_NAME);
				$("#CUSTOMER_ID").val(parsedData.CUSTOMER_ID);
			}
		}
	});

});
</script>
