<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户详情数据显示页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/detail.php
 * @version       4
 * @author        Qu|www.weaver.com.cn
 * @date          2011-12-21
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("general/crm/fun.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");
includelangpak("system");

$OtherFieldObj = new PageFactory();
//创建自定义字段的相关内容
$OtherFieldArray = $OtherFieldObj->CreatePage('CUSTOMER',$_REQUEST["CUSTOMER_ID"],'CUSTOMER_ID','form1','view');
$connection  = OpenConnection();
$customer    = new customer();
$info        = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);
$MANAGE_USER = $info['MANAGE_USER'];

$ROW = $customer->getDataOne('city','*',"cityId='".$info[1][CITY]."'");
if($ROW) {
	$CityName = $ROW["cityName"];
}

if ($MANAGE_USER != "")
{
	$rowus = $customer->getDataOne('user','USER_ID,USER_NAME',"USER_ID='".$MANAGE_USER."'");
	$MANAGE_NAME = $rowus['USER_NAME'];
	$MANAGE_USER = $rowus['USER_ID'];
}
else
{
	$MANAGE_NAME = $_SESSION['LOGIN_USER_NAME'];
	$MANAGE_USER = $_SESSION['LOGIN_USER_ID'];
}

//查询部门
if($info['PURVIEW_DEPT'] == 'ALL_DEPT'){
	$list = $customer->getData('department','DEPT_ID, DEPT_NAME');
	foreach($list as $row2){
		$dept_id2  .= $row2[0].',';
		$dept_name .= $row2[1].",";
	}
	$dept_id	= "ALL_DEPT";
	$dept_name	= $_lang["customer_crm_dept_all"];
}
else
{
	$dept_array	= explode(",", $info["PURVIEW_DEPT"]);
	array_pop($dept_array);
	for($i=0; $i<sizeof($dept_array); $i++){
		$row2 = $customer->getDataOne('department','DEPT_NAME',"DEPT_ID='".$dept_array[$i]."'");
		if($row2){
			$dept_name	.= $row2[0].",";
		}
	}
	$dept_id = $info["PURVIEW_DEPT"];
}

//查询角色
$role_array	= explode(",",$info["PURVIEW_ROLE"]);
array_pop($role_array);
for($j=0; $j<sizeof($role_array); $j++){
	$row3 = $customer->getDataOne('user_priv','PRIV_NAME',"USER_PRIV='".$role_array[$j]."'");
	if($row3){
		$priv_name	.= $row3[0].",";
	}
}

//查询人员
$user_array	= explode(",",$info["PURVIEW_USER"]);
array_pop($user_array);

for($k=0; $k<sizeof($user_array); $k++){
	$row4 = $customer->getDataOne('user','USER_NAME',"USER_ID='".$user_array[$k]."'");
	if($row4){
		$personnel	.= $row4[0].",";
	}
}

if($info) {	
	$row = $customer->getDataOne('province','*',"proID='".$PROVINCE."'");
	$proName = $row["proName"];
	$row = $customer->getDataOne('city','*',"cityId = '".$CITY."'");
	$cityName = "---".$row["cityName"];
}

$PAGE_TITLE = $_lang["customer_crm_add_cus"];
include_once("inc/page_header.inc.php");
?>
	<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css" rel="stylesheet" />
	<link rel="stylesheet"  href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/label/main.css" type="text/css"/>
	<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
	<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
	<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
	<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
	<style type='text/css'>
		#xx:link{color:#FF0000;}
		#layer {
			border:1px solid #ccc;
			width:260px;
			position:absolute;
			z-index:10;
			background-color:#fff;
			display:none;
		}
		#layer_head {
			height:25px;
			padding-top:5px;
			padding-left:13px;
			padding-right:6px;
			background-color:#E8E8E8;
			border-bottom:1px solid #ccc;
		}
		#layer_head h5 {
			overflow:hidden;
			color:#626262;
			float:left;
			width:150px;
		}
		#layer_head img {
			float:right;
		}
		#layer_list {
			height:130px;
			margin:8px;
			overflow-y:auto;
		}
		.layer_item {
			height:20px;
			margin:2px 8px;
			border-bottom:1px solid #ddd;
		}
	</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script language="javascript" src="/inc/common.js" ></script>
<SCRIPT language=javascript src="/inc/calendar/calendar.js"></SCRIPT>
<script language=javascript src="/inc/field_add/field_add.js"></script>
<script language="javascript" src="/inc/calendar/time.js"></script>
<script>
function customer_share()
{
	//alert("abc");
	var show_div	= document.getElementById('div1');
	var purview		= event.srcElement;
	if(purview.type == 'radio' && purview.checked) {
		if(purview.value == '3') {
			show_div.style.display	= '';
		} else {
			show_div.style.display	= 'none';
		}
	}
	return true;
}

$(document).ready(function() {
	$("#submit").click(function() {
		var user_id = $("#COPY_TO_ID").val();
		alert(user_id);
		return false;
		url = "update.php";
		var type = "share";
		$.ajax({
			type:'POST',
			data:encodeURI('user_id='+user_id+'&edit_type='+type+'&customer_id='+<?=$_REQUEST["CUSTOMER_ID"]?>),
			url:url,
			success:function(requ) {
				alert(requ);
			}
		})
	})

	$("#delete").click(function() {
		var msg	= '<?=$_lang["system_del_alert"]?>';
		if(window.confirm(msg))
		{
            var url = "delete.php";
            var delete_type = "delete";
            $.ajax({
				type:'POST',
				data:'customer_id='+<?=$_REQUEST["CUSTOMER_ID"]?>+'&delete_type='+delete_type,
				url:url,
				success:function(requ) {
					alert('<?=$_lang['customer_delete_success']?>');
					window.close();
					window.opener.location.reload();
				}
            })
		}
	})

	$("#edit_purview").click(function() {		
		var purview = $(".radio:checked").val();
		var url = 'edit_purview.php';
		if(purview == 3) {
			var to_id = $("#TO_ID").val();
			var user_priv_id = $("#USER_PRIV_ID").val();
			var copy_to_id   = $("#COPY_TO_ID").val();
		} else {
			var to_id	     = '';
			var user_priv_id = '';
			var copy_to_id   = '';
		}
		$.ajax({
			type:'POST',
			data:'CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>&PURVIEW='+purview+'&TO_ID='+to_id+'&USER_PRIV_ID='+user_priv_id+'&COPY_TO_ID='+copy_to_id,
			url:url,
			success:function(requ) {
				window.location.reload(); 
			}			
		})
	})
})

function clearTc(id,name){
	var objId = document.getElementById(id);
	var objName = document.getElementById(name);
	objId.value = "";
	objName.value = "";
}

$(document).ready(function() {
	$("textarea").LazyBeautifyTextArea();
	$(":button").LazyBeautifyButton();
});
</script>
	<body>
	<form action="update.php" method="post" name="form1">
	<tr>
		<td colspan="2">
		<table width="100%" border="0" cellpadding="0" cellspacing="0"  height="250">
	<tr height="10">
		<td width="10" class="tablecornertopleft10"></td>
		<td class="tablecornertopcenter10"></td>
		<td width="10" class="tablecornertoprightt10"></td>
	</tr>
	<tr height="215">
		<td width="10" class="tablecornermiddleleft"></td>
		<td class="tablecornermiddlecenter" valign="top">
	<table border="0" cellspacing="1" width="100%"  cellpadding="3" align="center" class="pubtable">
	  <?
	  if($info["MANAGE_USER"] == $LOGIN_USER_ID) {
	  ?>
		<tr id="share_customer" <?if($_REQUEST["show_share"] == true) {?> style="display:none" <?}?>>
			<td  class="Tablecol2"><?=$_lang["customer_crm_pur_shar"]?>： </td>
			<td  class="Tablecol1" colspan="3">
				<table>
					<!--指定范围还是全部-->
					<tr>
						<td>
						<input type="radio" class='radio' onClick="customer_share();" name="purview" id="set_scope" value="3" <? if($info["PURVIEW"] == "3" || $info["PURVIEW"] == "1") echo "checked";?>><?=$_lang["customer_crm_pur_select_scope"]?>
						<input type="radio" class='radio' onClick="customer_share();" name="purview" id="select_all" value="2" <? if($info["PURVIEW"] == "2") echo "checked";?>><?=$_lang["customer_crm_pur_select_all"]?>
						</td>	
						<td> 
							<div style="float: right;margin-right: 10px;">
								<input type="button" id="edit_purview" value="<?=$_lang["customer_information_saved"]?>" href="#"/>
							</div>
						</td>				
					</tr>
					<tr>
						<td>						
							<div id="div1" name="div1" <? if($info["PURVIEW"] != "3" && $info["PURVIEW"] !="1") echo "style=\"display:none\"";?>>
							<table>
								<tr><td>
									<?=$_lang["common_dept"]?>：
									<input type="hidden" name="TO_ID" id="TO_ID" value="<?=$dept_id?>">
								</td><td>
									<textarea cols='30' id='TO_NAME' name='TO_NAME' rows='2' class="textarea" wrap="yes" readonly><?=$dept_name?></textarea>
								</td><td>
									<input type="button" value="<?=$_lang["common_add"]?>" onClick="LoadWindowDept('TO_ID','TO_NAME','form1')" name="button">
									<input type="button" value="<?=$_lang["common_empty"]?>" onClick="clearTc('TO_ID','TO_NAME');" name="button">
								</td></tr>
								<tr><td>
									<?=$_lang["common_role"]?>：
									<input type="hidden" name="USER_PRIV_ID" id="USER_PRIV_ID" value="<?=$info["PURVIEW_ROLE"]?>">
								</td><td>
									<textarea cols='30' id='USER_PRIV_NAME' name='USER_PRIV_NAME' rows='2' class="textarea" wrap="yes" readonly><?=$priv_name?></textarea>
								</td><td>
									<input type="button" value="<?=$_lang["common_add"]?>" onClick="LoadWindowPriv('USER_PRIV_ID','USER_PRIV_NAME','form1')"  name="button">
									<input type="button" value="<?=$_lang["common_empty"]?>" onClick="clearTc('USER_PRIV_ID','USER_PRIV_NAME');" name="button">
								</td></tr>
								<tr><td>
									<?=$_lang["common_user"]?>：
									<input type="hidden" name="COPY_TO_ID" id="COPY_TO_ID" value="<?=$info["PURVIEW_USER"]?>">
								</td><td>
									<textarea cols='30' id='COPY_TO_NAME' name='COPY_TO_NAME' rows='2' class="textarea" wrap="yes" 
									readonly><?=$personnel?></textarea>
								</td><td>
									<input type="button" value="<?=$_lang["common_add"]?>" onClick="LoadWindowUser('COPY_TO_ID','COPY_TO_NAME','form1')" name="button"> <input type="button" value="<?=$_lang["common_empty"]?>" onClick="clearTc('COPY_TO_ID','COPY_TO_NAME');" name="button">
								</td></tr>
							</table>
							</div>
						</td>					
					</tr>
				</table>
			</td>
		</tr>	
		<?
		}				
		?>
	<tr>
	    <td class="Tablecol2" width="10%"><?=$_lang["customer_cust_creator"]?></td>
	    <td class="Tablecol1" width="35%"><?=getUserNameNew($info["CREATEOR"])?></td>
		<td class="Tablecol2" width="10%"><?=$_lang["customer_query_cus_man"]." :"?></td>
		<td class="Tablecol1" width="35%"><?=getUserNameNew($info["MANAGE_USER"])?></td>
	</tr>
    <tr>
		<td class="Tablecol2"><?=$_lang["customer_cus_name"]." :"?></td>
		<td class="Tablecol1"><div style="white-space:normal;width:300px"><?=$info["CUSTOMER_NAME"]?></div></td>
		<td class="Tablecol2"><?=$_lang["customer_cus_unm"].":"?></td>
		<td class="Tablecol1"><?=$info["CUSTOMER_NUMBER"]?></td>
	</tr>
	<!--电话传真-->
	<tr>
		<td  class="Tablecol2"><?=$_lang["common_phone"]." :"?></td>
		<td  class="Tablecol1"><?=$info["TEL_NO"]?></td>
		<td  class="Tablecol2"><?=$_lang["common_fax"]." :"?></td>
		<p><td  class="Tablecol1"><?=$info["FAX_NO"]?></td></p>
	</tr>
	<!--网址，地区-->
	<tr>
		<td  class="Tablecol2"><?=$_lang["common_website"]." :"?></td>
		<p><td  class="Tablecol1"><?=$info["CUSTOMER_WWW"]?></td></p>
		<td  class="Tablecol2"><?=$_lang["customer_cust_directory"]." :"?></td>
		<td  class="Tablecol1"><?=$customer->get_proName($info["PROVINCE"]);
		if($info["CITY"] != "") { echo "---".$customer->get_cityName('',$info["CITY"]);}?></td>
	</tr>
	<tr>
	<!--客户类型和规模-->
	<td  class="Tablecol2" width="10%"><?=$_lang["customer_query_cus_type"]." :"?></td>
		<td  class="Tablecol1"><?=get_info(4,$info["CUSTOMER_TYPE"],1)?></td>
		<td  class="Tablecol2" width="10%"><?=$_lang["customer_cus_extent"]." :"?></td>
		<td  class="Tablecol1"><?=get_info(5,$info["SCALE"],1)?></td>
	</tr>
	<!--行业和盈利-->
    <tr>
		<td  class="Tablecol2" width="10%"><?=$_lang["customer_industry"]." :"?></td>
		<td class="Tablecol1"><?=get_info(27,$info["CUSTOMER_INDUSTRY"],1)?></td>
		<td  class="Tablecol2" width="10%"><?=$_lang["customer_profit"]." :"?></td>
		<td class="Tablecol1"><?=$info["CUSTOMER_PROFIT"]?></td>
    </tr>
    <!--邮编和邮件-->
	<tr>
		<td  class="Tablecol2"><?=$_lang["common_zipcode"].":"?></td>
		<td class="Tablecol1"><?=$info["POSTALCODE"]?></td>
		<td  class="Tablecol2"><?="EMAIL"." :"?></td>
		<td class="Tablecol1"><?=$info["EMAIL"]?></td>
	</tr>
	<tr>
		<td  class="Tablecol2"><?=$_lang["common_address"]." :"?></td>
		<td class="Tablecol1" colspan="3"><?=$info["CUSTOMER_ADD"]?></td>
	</tr>
	<tr>
		<td  class="Tablecol2"><?=$_lang["customer_legol_person"]." :"?></td>
		<td  class="Tablecol1" colspan="3"><?=$info["LE_PERSON"]?></td>
	</tr>
	<tr>
		<td  class="Tablecol2"><?=$_lang["customer_legol_person_info"]." :"?></td>
		<td  class="Tablecol1" colspan="3"><?=$info["PERSON_INFO"]?></td>
	</tr>
	<tr>
	    <td colspan='5'>
		   <?=$OtherFieldArray['Page']?>
	    </td>
   </tr>
	</table>
	</td>
	<td width="10" class="tablecornermiddleright" ></td>
</tr>
<tr height="10">
	<td width="10" class="tablecornerbottomleft"></td>
	<td class="tablecornerbottomcenter"></td>
	<td width="10" class="tablecornerbottomright" ></td>
</tr>
	</table></td>
</tr>
</table>
	</body>
</html>