<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      新建项目
* @encoding      $_lang['encoding']
* @name          general/project/createproject
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("api/customer.class.php");
include_once("general/project/function/function_all.php");
include_once("inc/utility.php");
include_once("inc/csv.php");
includelangpak("hr");
includelangpak("user");
includelangpak("customer,asset");
$customerObj  = new customer();
$userDefinedFieldNameArray = $customerObj->getUserDefinedFieldName('customer', 'array');
$csvfile = getenv("DOCUMENT_ROOT")."attachment/".$_REQUEST["csvfile"];
$csv = new CSV();
$csv->file = $csvfile;
$csv->spot = ",";
$csv->open(0);

$data = $csv->getCsvData();
$total=count($data);

$success_datanum=0;
$fail_datanum=0;
$fail_customer_arr=array();

$data_new_field = array();


if ($_REQUEST['data_str']!="") {
  $data_field=$_REQUEST['data_str'];

  $data_field = explode(",", rtrim($data_field,","));
  foreach ($data_field as $key => $value) {
    $arr = explode(":", $value);
    $data_new_field[$arr[0]]=$arr[1]-1;
  }

  unset($_SESSION['result']);
}else{
  $data_field=$_SESSION['result'];
  foreach ($data_field as $key => $value) {
    $data_new_field[$value["code"]]=$value["idSelect"];
  }

  unset($_SESSION['result']);
}

$province = $_REQUEST['province'];
if ($province=="") {
  $province=0;
}

$city=$_REQUEST['cityId'];
if ($city=="") {
  $city=0;
}

$door_type=$_REQUEST['door_type'];
if ($door_type=="") {
  $door_type=0;
}

$customer_industry=$_REQUEST['customer_industry'];
if ($customer_industry=="") {
  $customer_industry=0;
}

$MANAGE_USER=$_REQUEST['MANAGE_USER'];

foreach ($data as $key => $value) {

  $customer_name     = trim($value[$data_new_field['CUSTOMER_NAME']]);
  if ($customer_name=="") {
    $fail_customer['customer_name']=$customer_name;
    $fail_customer['customer_num']=$value[$data_new_field['CUSTOMER_NUMBER']];
    $fail_customer['customer_name_re']=false;
    $fail_customer['customer_num_re']=false;
    $fail_customer['customer_name_null']=true;

    $fail_customer_arr[$fail_datanum]=$fail_customer;

    $fail_datanum++;
    continue;
  }

  $result_list = @$customerObj->getData('customer',$field='count(1)',"CUSTOMER_NAME = '". $customer_name . "'");
  $result  =  $result_list[0];
  $where = "CUSTOMER_NUMBER = '". $value[$data_new_field['CUSTOMER_NUMBER']] . "' AND CUSTOMER_NUMBER !=''";
  $result_list2 = @$customerObj->getData('customer',$field='count(1)', $where);
  $result2  =  $result_list2[0];


  if ($result[0]>0 && $result2[0]>0) {
    $fail_customer['customer_name']=$customer_name;
    $fail_customer['customer_num']=$value[$data_new_field['CUSTOMER_NUMBER']];
    $fail_customer['customer_name_re']=true;
    $fail_customer['customer_num_re']=true;

    $fail_customer_arr[$fail_datanum]=$fail_customer;

    $fail_datanum++;
    continue;
  }elseif ($result[0]>0 && $result2[0]==0) {
    $fail_customer['customer_name']=$customer_name;
    $fail_customer['customer_num']=$value[$data_new_field['CUSTOMER_NUMBER']];
    $fail_customer['customer_name_re']=true;
    $fail_customer['customer_num_re']=false;

    $fail_customer_arr[$fail_datanum]=$fail_customer;

    $fail_datanum++;
    continue;
  }elseif ($result[0]==0 && $result2[0]>0) {
    $fail_customer['customer_name']=$customer_name;
    $fail_customer['customer_num']=$value[$data_new_field['CUSTOMER_NUMBER']];
    $fail_customer['customer_name_re']=false;
    $fail_customer['customer_num_re']=true;

    $fail_customer_arr[$fail_datanum]=$fail_customer;

    $fail_datanum++;
    continue;
  }

  $CUSTOMERNAME_PY = convertPy($value[$data_new_field['CUSTOMER_NAME']]);
  $data = array(
      'CUSTOMER_NAME'       => $value[$data_new_field['CUSTOMER_NAME']],
      'TEL_NO'              => $value[$data_new_field['TEL_NO']],
      'FAX_NO'              => $value[$data_new_field['FAX_NO']],
      'CUSTOMER_WWW'        => $value[$data_new_field['CUSTOMER_WWW']],
      'EMAIL'               => $value[$data_new_field['EMAIL']],
      'CUSTOMER_ADD'        => $value[$data_new_field['CUSTOMER_ADD']],
      'POSTALCODE'          => $value[$data_new_field['POSTALCODE']],
      'CUSTOMER_NUMBER'     => $value[$data_new_field['CUSTOMER_NUMBER']],
      'LE_PERSON'           => $value[$data_new_field['LE_PERSON']],
      'MANAGE_USER'         => $MANAGE_USER,
      'CREATE_TIME'         => date("Y-m-d H:i:s"),
      'PURVIEW'             => 3,
      'CREATEOR'            => $LOGIN_USER_ID,
      'BIRTHDAY_REMIND_SMS' => 0,
      'BIRTHDAY_REMIND'     => 0,
      'PROVINCE'            => $province,
      'CITY'                => $city,
      'CUSTOMER_TYPE'       => $door_type,
      'CUSTOMER_INDUSTRY'   => $customer_industry,
      'CUSTOMER_PROFIT'     => 0,
      'CUSTOMER_NAME_PY'    => $CUSTOMERNAME_PY[0],
      'CUSTOMER_NAME_ZM'    => $CUSTOMERNAME_PY[1]
    );
    // 追加自定义字段数据
    if(!empty($userDefinedFieldNameArray)) {
        foreach($userDefinedFieldNameArray as $fieldKey => $fieldValue) {
            if($fieldValue['F_TYPE'] == 3 && !empty($value[$data_new_field[$fieldKey]])) {
                $data[$fieldKey] = date('Y-m-d', strtotime($value[$data_new_field[$fieldKey]]));
            }else{
                $data[$fieldKey] = $value[$data_new_field[$fieldKey]];
            }
        }
    }
    $customerObj->addData('customer',$data);
    $success_datanum++;
}

unset($csv);
unlink($csvfile); 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<title><?=$_lang['customer_man_inport_customer']?></title>
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<link rel="stylesheet" type="text/css" href="/general/project/css/bwizard.min.css">

<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
</head>
<style type="text/css">
    .main_wrap{
        border-bottom: 1px solid lightgray;

    }

    .field_table tr:hover{
      background-color: #FFE4E1;
    }
</style>
<body>
<div class="lazy_header">
  <span class="lazy-page-title"><i class="fa fa-list-alt"></i><span class="tip"><?=$_lang['customer_man_import']?></span></span>
  <button type="button" id="back" class="btn btn-default" onclick="location='/general/crm/customer/export_import.php'"><?=$_lang['customer_man_back']?></button>
</div>
<ul class="bwizard-steps clearfix clickable" align="center">
    <li style="z-index: 4;"><span class="label">1</span>
        <?=$_lang['customer_man_import_doc']?>
    </li>
    <li style="z-index: 3;"><span class="label">2</span>
        <?=$_lang['customer_man_scan']?>
    </li>
    <li style="z-index: 2;"><span class="label">3</span>
        <?=$_lang['customer_man_other_select']?>
    </li>
    <li style="z-index: 1;" class="active"><span class="label badge-inverse">4</span>
        <?=$_lang['customer_man_inport']?>
    </li>
</ul>
<?
  if ($total==$success_datanum) {
?>
    <div class="main_wrap" style="font-size:14px;margin-top:10px;padding-left:12px;border-top:1px solid lightgray;height:80px;line-height:80px;vertical-align:middle;text-align:center">
        <?=$_lang['customer_man_result']?>： <?=$_lang['customer_man_total']?> <?=$total?>  <?=$_lang['customer_man_num_data']?><span style="color:green"><?=$_lang['customer_man_left_success']?>&nbsp;<?=$success_datanum?>&nbsp;<?=$_lang['customer_man_right_num']?></span><span style="color:red"><?=$_lang['customer_man_fault']?>&nbsp;<?=$fail_datanum?>&nbsp;<?=$_lang['customer_man_right_num']?></span>！
    </div>
<?
  }else{
?>
<div class="main_wrap" style="background-color:#F7F7F7;font-size:14px;margin-top:10px;padding-left:12px;border-top:1px solid lightgray;height:40px;line-height:40px;vertical-align:middle;">
<?=$_lang['customer_man_total']?> <?=$total?>  <?=$_lang['customer_man_num_data']?><span style="color:green"><?=$_lang['customer_man_left_success']?>&nbsp;<?=$success_datanum?>&nbsp;<?=$_lang['customer_man_right_num']?></span><span style="color:red"><?=$_lang['customer_man_fault']?>&nbsp;<?=$fail_datanum?>&nbsp;<?=$_lang['customer_man_right_num']?></span>：
</div>
<div class="fail_data_display_area">
<table cellpadding="10" width="100%" class="field_table">
<tr style="border-bottom:1px solid lightgray;background-color:white;">
  <th style="text-align:center">
    <?=$_lang['customer_man_order']?>
  </th>
  <th style="text-align:center">
    <?=$_lang['customer_man_customer_num']?>
  </th>
  <th style="text-align:center">
    <?=$_lang['customer_cus_name']?>
  </th>
  <th style="text-align:center">
    <?=$_lang['customer_man_result_status']?>
  </th>
  <th style="text-align:center">
    <?=$_lang['customer_man_reason']?>
  </th>
</tr>
<?
  foreach ($fail_customer_arr as $key => $value) {
?>
    <tr style="border:1px solid lightgray">
      <td align="center"><?=$key+1?></td>
      <td align="center"><span style="color:red"><?=$value['customer_num']?></span></td>
      <td align="center"><?=$value['customer_name']?></td>
      <td align="center"><span style="color:red"> <?=$_lang['customer_man_fault_single']?></span></td>
      <td align="center">
        <span style="color:red">
        <?if($value['customer_name_re']===true){?>
          <?=$_lang['customer_man_name_repeat']?>
        <?}
        if($value['customer_num_re']===true){?>
          &nbsp;<?=$_lang['customer_man_num_repeat']?>
        <?}
        if($value['customer_name_null']===true){?>
          &nbsp;<?=$_lang['customer_man_name_empty']?>
        <?}?>
        </span>
      </td>
    </tr>
<?
    }
  }
?>
</table>
</div>
</body>
</html>

