<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      合同新建页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/contract_new.php
 * @version       26
 * @author        Qu|www.weaver.com.cn
 * @date          2012-11-28
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/function_upload_limit.php");
include_once("general/system/combox/packaging.php");
include_once("api/customer.class.php");
includelangpak("customer");

if($_REQUEST['customer_id'])
{
	if(!is_numeric($_REQUEST['customer_id'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

$CUSTOMER_ID = $_REQUEST['customer_id'];
$con_id      = $_REQUEST['con_id'];
$limit		 = getUploadLimitSize("OTHER");

$customerObj = new customer();
if(isset($_REQUEST['customer_id'])){
	$row = $customerObj->getDataOne('customer','CUSTOMER_NAME',"CUSTOMER_ID=".$_REQUEST['customer_id']);
	$CUSTOMER_NAME	= $row[0];
}


$PAGE_TITLE = $_lang["customer_contract_infos"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<script type="text/javascript" src="/inc/field_add/field_add.js"></script>

<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/inc/common.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>

<link href="/newplugins/css/style.css" rel="stylesheet" />
<script Language="JavaScript">
var check_notify;
function LoadWindow()
{
    URL   = "/general/crm/linkman/customer_select/";
    loc_x = event.clientX-100;
    loc_y = event.clientY+170;

    window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:320px;dialogHeight:345px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}

function td_calendar(fieldname)
{
    myleft = document.body.scrollLeft+event.clientX-event.offsetX-80;
    mytop  = document.body.scrollTop+event.clientY-event.offsetY+140;
    window.showModalDialog("/inc/calendar.php?FIELDNAME="+fieldname,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:280px;dialogHeight:205px;dialogTop:"+mytop+"px;dialogLeft:"+myleft+"px");
}

function loadlinkman()
{
	var customer_id	= document.getElementById("CUSTOMER_ID").value;
	URL   = "/general/crm/contact/linkman_select/index.php?customer_id="+customer_id;
	loc_x = event.clientX-100;
	loc_y = event.clientY+170;
	window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:320px;dialogHeight:345px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}

//附件删除的方法
function delete_attach(ATTACHMENT_ID,ATTACHMENT_NAME)
{
    msg = "<?=$_lang['calendar_plan_confirm_del_att']?>";

    bootbox.confirm(msg,function(result){
    	if (result) {
    		URL="delete_attach.php?PLAN_ID=<?=$PLAN_ID?>&ATTACHMENT_ID="+ATTACHMENT_ID+"&ATTACHMENT_NAME="+ATTACHMENT_NAME;
       		window.location=URL;
    	}
    });
}

function numToCha(num)  
{  
	if(num=="")  
	return "<?=$_lang['customer_man_zero']?>";  
	var ch_str="";  
	
	for(var i=0;i<num.length;i++)  
	{  
		num=num.replace(",","");//替换千位分隔符  
	}  
	if(isNaN(num)||num=="0."||num==".0")  
	{  
		//alert("请检查金额是否为有效数字的"); 
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang['customer_man_is_num']?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    }); 
		return "";  
	}  
	if(num==0)  
		return "<?=$_lang['customer_man_zero']?>";  
		var part=num.split(".");//将整数部分与小数部分分开  
		
	if(part[0].length>12)  
	{  
		//alert("数字超出大小写转换范围(0.01----999999999999.99)");  
	    if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang['customer_man_num_range']?>(0.01----999999999999.99)",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    }); 
		return "";  
	}  
	
	var num_ch=new Array("<?=$_lang['customer_man_0']?>","<?=$_lang['customer_man_1']?>","<?=$_lang['customer_man_2']?>","<?=$_lang['customer_man_3']?>","<?=$_lang['customer_man_4']?>","<?=$_lang['customer_man_5']?>","<?=$_lang['customer_man_6']?>","<?=$_lang['customer_man_7']?>","<?=$_lang['customer_man_8']?>","<?=$_lang['customer_man_9']?>");  
	var z_unit=new Array("<?=$_lang['customer_man_yuan']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>","<?=$_lang['customer_man_ten_hundred']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>","<?=$_lang['customer_man_billion']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>");  
	var point=new Array("<?=$_lang['customer_man_ten_fen']?>","<?=$_lang['customer_man_fen']?>","<?=$_lang['customer_man_li']?>");  
	

	//整数部分数据处理  
	for(var i=0;i<part[0].length;i++)  
	{  
		ch_str+=num_ch[part[0].substring(i,i+1)]+z_unit[part[0].length-i-1];  
	}  
	//小数部分数据处理  
	if(part.length>1)  
	{  
		if(part[1].length>2)  
		{  
			//alert("数字超出大小写转换范围(0.01----999999999999.99)");  
			if (check_notify) {
				check_notify.pnotify_remove();
			}

			check_notify=$.pnotify({
		        text: "<?=$_lang['customer_man_num_range']?>(0.01----999999999999.99)",
		        type : "error",
		        animate_speed:"fast",
		        delay:"1500",
		    }).click(function(event) {
		    	check_notify.pnotify_remove();
		    });
			return "";  
		}  
		for(var i=0;i<part[1].length;i++)  
		{  
			ch_str+=num_ch[part[1].substring(i,i+1)]+point[i];  
		}  
	}  
	//转化后的字符串处理   
	for(i=0;i<4;i++)  
	{  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0billion']?>","<?=$_lang['customer_man_billion']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten_hundred']?>","<?=$_lang['customer_man_ten_hundred']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0thousand']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0hundred']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0yuan']?>","<?=$_lang['customer_man_yuan']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0bm']?>","<?=$_lang['customer_man_billion']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_00']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten_fen']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0fen']?>","");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0li']?>","");  		
	}  
	if(ch_str.substring(ch_str.length-1)==("<?=$_lang['customer_man_0']?>"))  
		ch_str=ch_str.substring(0,ch_str.length-1)+"<?=$_lang['customer_man_all']?>";  
		if(ch_str=="<?=$_lang['customer_man_yuan_all']?>")  
		ch_str="<?=$_lang['customer_man_zero']?>";  
	return ch_str; 	
}


$(document).ready(function() {

	$("#contract_remind").on('ifClicked', function(event){
		$("#default").toggle(); 
	});
		
	$("#CON_COUNT").keyup(function() {
		var money = $("#CON_COUNT").val();
		length = money.length;
		c_money = parseFloat(money);
		if(c_money>0){
			var last = money[money.length-1];
			if(last!='.'){
				$("#CON_COUNT").val(thousandFormat(money));
				$("#shownum").val(ConvertNumToCh($("#CON_COUNT").val()));				
			}
		}else if(c_money==0&&length>1){
			if(length==2&&money=='0.'){
			}else{
				$("#CON_COUNT").val('');
				$("#shownum").val('');
			}
		}else if(c_money==0&&length==1){
		}else{
			$("#CON_COUNT").val('');
			$("#shownum").val('');
		}
	});	
	//附件批量上传

	$("#file_elem").Upload({
	    uploadType:'OTHER',
	    onUploadSuccess:function(attachmentID,attachementName){
	        $("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
	        $("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
	    },
	    onQueueComplete:function(){
                $('#form1').ajaxSubmit(function(result) {
                    if(result){
                        if($('#f').val() != 'edit'){
                            var url = 'contract_remind.php?con_id='+result+'&CUSTOMER_ID=<?=$_REQUEST['customer_id']?>';
                            $('#add_contract_remind_iframe').attr('src',url);
                        }
                        $(".new_contract").css("display","none");
                        $(".add_contract_remind").css("display","block");
                        $("#tab_switch").val(2);
                        $("#save").css("display","none");
                        $('.lazy_filter ul li').removeClass('current')
                        $('.lazy_filter ul li').eq(2).addClass('current');
                        $('#RESULT').val(1);
                        $('#CON_ID').val(result);
                        $('#f').val('edit');
//                        $('#file_elem-queue').text('');
//                        $('#show-attach').remove();
//                        var attachmentIDStr = $("#attachmentIDStr").val().split(',');
//                        var attachmentNameStr = $("#attachmentNameStr").val().split('*');
//                        var size = attachmentIDStr.size();
//                        var html = '<tr id="show-attach"><td></td><td colspan="3">'
//                        $.each(attachmentNameStr,function(i,ele){
//                            if(i < (size-1) ) {
//                                html += '<div style="color:#00BFFF"data-id="'+attachmentIDStr[i]+'" style="margin-left:5px;margin-top:3px">'+ele+'<i class="fa fa-times"></i></div>' 
//                            }
//                        });
//                        html +='</td></tr>';
                        $('#shownum_tr').after(html);
                        $('#file_elem').uploadify('destroy');
                    }
                });
	    },
	});
});

function CheckForm()
{
	var contr_name = document.getElementById("CONTRACT_NAME").value;
	var contr_no   = document.getElementById("CONTRACT_NUM").value;
	var cust_name  = document.getElementById("CUSTOMER_NAME").value;

	if(trim(contr_name)=='')
	{
	   if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_contract_name_notnull"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
	   document.getElementById("CONTRACT_NAME").focus();
	   return false;
	}

	if(cust_name=='') 
	{
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_crm_cus_name"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		return false;
	}

	return true;
}
function ConvertNumToCh(num)  
{  
	if(num=="")  
	return "<?=$_lang['customer_man_zero']?>";  
	var ch_str="";  
	
	for(var i=0;i<num.length;i++)  
	{  
		num=num.replace(",","");//替换千位分隔符  
	}  
	if(isNaN(num)||num=="0."||num==".0")  
	{  
		$.pnotify({
	        text: "<?=$_lang['customer_man_is_num']?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1800",
	    });  
		return "";  
	}  
	if(num==0)  return "<?=$_lang['customer_man_zero']?>"; 
	var part=num.split(".");//将整数部分与小数部分分开  
		
	if(part[0].length>12)  
	{   
		$.pnotify({
	        text: "<?=$_lang['customer_man_num_range']?>(0.01----999999999999.99)",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1800",
	    }); 
		return "";  
	}  
	
	var num_ch=new Array("<?=$_lang['customer_man_0']?>","<?=$_lang['customer_man_1']?>","<?=$_lang['customer_man_2']?>","<?=$_lang['customer_man_3']?>","<?=$_lang['customer_man_4']?>","<?=$_lang['customer_man_5']?>","<?=$_lang['customer_man_6']?>","<?=$_lang['customer_man_7']?>","<?=$_lang['customer_man_8']?>","<?=$_lang['customer_man_9']?>");  
	var z_unit=new Array("<?=$_lang['customer_man_yuan']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>","<?=$_lang['customer_man_ten_hundred']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>","<?=$_lang['customer_man_billion']?>","<?=$_lang['customer_man_ten']?>","<?=$_lang['customer_man_hundred']?>","<?=$_lang['customer_man_thousand']?>");  
	var point=new Array("<?=$_lang['customer_man_ten_fen']?>","<?=$_lang['customer_man_fen']?>","<?=$_lang['customer_man_li']?>");  
		
	//整数部分数据处理  
	for(var i=0;i<part[0].length;i++)  
	{  
		ch_str+=num_ch[part[0].substring(i,i+1)]+z_unit[part[0].length-i-1];  
	}  
	//小数部分数据处理  
	if(part.length>1)  
	{  
		if(part[1].length>2)  
		{  
			$.pnotify({
		        text: "<?=$_lang['customer_man_num_range']?>(0.01----999999999999.99)",
		        type : "info",
		        animate_speed:"fast",
		        delay:"1800",
		    });  
			return "";  
		}  
		for(var i=0;i<part[1].length;i++)  
		{  
			ch_str+=num_ch[part[1].substring(i,i+1)]+point[i];  
		}  
	}  
	//转化后的字符串处理  
	for(i=0;i<4;i++)  
	{  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0billion']?>","<?=$_lang['customer_man_billion']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten_hundred']?>","<?=$_lang['customer_man_ten_hundred']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0thousand']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0hundred']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0yuan']?>","");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0bm']?>","<?=$_lang['customer_man_billion']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_00']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0ten_fen']?>","<?=$_lang['customer_man_0']?>");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0fen']?>","");  
		ch_str=ch_str.replace("<?=$_lang['customer_man_0li']?>","");  
	}  
	if(ch_str.substring(ch_str.length-1)==("<?=$_lang['customer_man_0']?>"))  
		ch_str=ch_str.substring(0,ch_str.length-1)+"<?=$_lang['customer_man_all']?>";  
		if(ch_str=="<?=$_lang['customer_man_yuan_all']?>")  
		ch_str="<?=$_lang['customer_man_zero']?>";  
	return ch_str;  
}

function thousandFormat(num)
{
	var showValue = num;
	if(num.length>15) {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_number_over_maxlimit"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		return;
	}

	if(showValue)
	{
		var midValue = commafyback(showValue);
		if(!isNaN(midValue) && parseFloat(showValue)>0) {
			num = midValue.toString().commafy();
			return num;
		} else {
			$.pnotify({
		        text: "<?=$_lang["customer_big_zero"]?>",
		        type : "error",
		        animate_speed:"fast",
		        delay:"1500",
		    });
			num.value = "";	
		}
	}
}
function sendForm() {
	if(CheckForm()) {
		 if ($("#file_elem").Upload("getUploadCount") > 0) {     
                      $("#file_elem").uploadify("upload", "*");
                }else{
                $('#form1').ajaxSubmit(function(result) {
                    if(result){
                        if($('#f').val() != 'edit'){
                        	var str = window.parent.$("#customer_detail_tabs .contract").html();
                        	if(str!=''){
                        		str = str.replace('(','');
                        		str = str.replace(')','');
                        	}else{
                        		str = 0;
                        	}
                        	var total = parseInt(str)+1;
                        	var res =" ( "+total+" )";
                        	window.parent.$("#customer_detail_tabs .contract").html(res);
                            var url = 'contract_remind.php?con_id='+result+'&CUSTOMER_ID=<?=$_REQUEST['customer_id']?>';
                            $('#add_contract_remind_iframe').attr('src',url);
                        }
                        $(".new_contract").css("display","none");
                        $(".add_contract_remind").css("display","block");
                        $("#tab_switch").val(2);
                        $("#save").css("display","none");
                        $('.lazy_filter ul li').removeClass('current')
                        $('.lazy_filter ul li').eq(2).addClass('current');
                        $('#RESULT').val(1);
                        $('#CON_ID').val(result);
                        $('#f').val('edit');
                    }
                });
	    } 
	}
}

function close_new(){
    //==========清空其他查询条件==========================//
    window.parent.$('.contract_search').find(':text').val('');
    window.parent.$('.contract_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
    window.parent.$(".shaixuan3").val("0");
    window.parent.$(".shaixuan3").selectpicker('refresh');
    //==================================================//
	window.parent.$(".add_contract").hide();
	window.parent.$(".list_wrap").show();
	window.parent.$(".contract_list_wrap").LazyTable("reload");
}
</script>
<body>
<div class="lazy_sub_header" style="height:39px">
	<div class="contract_filter"></div>
	<a class="btn btn-default" id="back" onclick="close_new()"><?=$_lang["common_back"]?></a>
	<a class="btn btn-primary" id="save" onclick="sendForm();"><?=$_lang["common_save"]?></a>
</div>
<div class="new_contract">
  <form action="/general/crm/customer/new/contract/do.php?op=edit_or_add_contract&back=<?=$_REQUEST["back"]?>" id="form1" method="post" name="form1" enctype="multipart/form-data">
  <table width="100%" class="form_table" border="0" cellpadding="3">
  <!--合同名称-->
   <tr>
	<td class="title"><?=$_lang["customer_contract_name"]?></td>
	<td colspan="3"><input type="text" class="require" name="CON_NAME" id="CONTRACT_NAME" /></td>
	
   </tr>
   <tr>
	<td class="title"><?=$_lang["customer_contract_no"]?></td>
	<td><input type="text" class="" name="CON_NO" id="CONTRACT_NUM" maxlength="100" /></td>
	<td class="title"><?=$_lang["customer_linkman_bel_to"]?></td>
	<td>
	   <!--客户名称-->
		<input type="hidden" name="CUSTOMER_ID" value='<?=$customer_id?>'>
		<input type="text" id="CUSTOMER_NAME" name="CUSTOMER_NAME" value='<?=$CUSTOMER_NAME?>' class="require" readonly>

		<!-- <a onClick="LoadWindow()"  class="btn btn-primary"><?=$_lang["common_choose"]?></a> -->
   	</td>
   </tr>
   <!--有效时间 -->
   <tr>
    <td class="title"><?=$_lang["customer_contract_date"]?></td>
    <td clospan="3">
		<input style="width:80px" class='library_date' type="text" name="CONTACT_DATE1" id="CONTACT_DATE" value="<?=$CONTACT_DATE?>"/>
		-
		<input style="width:80px" class='library_date' type="text" name="CONTACT_DATE2" id="CONTACT_DATE2" value="<?=$_REQUEST['CONTACT_DATE2']?>"/>
    </td>
	<?
		$row = $customerObj->getDataOne('sys_para','*',"PARA_NAME='CONTRACT_ROUND'");
		if($row) {
			$PARA_VALUE = $row["PARA_VALUE"];
		}
		if($PARA_VALUE == "") {
			$PARA_VALUE = '30';
		}
	?>
    <td class="title"><?=$_lang["customer_contract_endtime_remind"]?></td>
	<td colspan="2">
	    <input type="checkbox" name="contract_remind" id="contract_remind" class="checkbox" onclick="check_remind();">
	    <span style="display:none" id="default"><?=$_lang["customer_contract_ahead"].$PARA_VALUE.$_lang["customer_ahead_day"]?></span>
	</td>
   </tr>
   <tr>
	<td class="title"><?=$_lang["customer_crm_signer"]?></td>
	<td>
		<input type="text" class="" name="SIGNER" id="SIGNER" />
	</td>
	<td class="title"><?=$_lang["customer_crm_customer_signer"]?></td>
	<td>
	  <input type="hidden" name="CUSTOMER_ID1" value='<?=$customer_id1?>'>
      <input type="text" name="CUSTOMER_NAME1" value='<?=$CUSTOMER_NAME1?>' class="">
      <input type="hidden" name="PARA_VALUE" value="<?=$PARA_VALUE?>">
	</td>
   </tr>
   <!--签字日期-->
   <tr>
	<td class="title"><?=$_lang["customer_crm_sign_date"]?></td>
	<td><input class='library_date' type="text" name="SIGNATORY_DATE" id="SIGN_DATE" value="<?=$SIGN_DATE?>" /></td>
	<td class="title"><?=$_lang["customer_crm_sign_cusdate"]?></td>
	<td><input class='library_date' type="text" name="CSIGN_DATE" id="CSIGN_DATE2" value="<?=$_REQUEST['CSIGN_DATE2']?>" /></td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_contract_type"]?></td>
    <td>
      <select class="select" name="CON_TYPE" data-height="29px" data-width="142px">
      		<option value="0" checked><?=$_lang["customer_choose_contract_type"]?></option>
		 	<?=show_info(31)?>
	  </select>
    </td>
    <td class="title"><?=$_lang["customer_contract_amount"]?></td>
    <td>
		<input type="text" id="CON_COUNT" name="CON_COUNT" value="">&nbsp;<?=$_lang["customer_man_yuan"]?>
	</td>
   </tr>
   <tr id="shownum_tr">
   		<td class="title"><?=$_lang["customer_crm_cont_creat"]?></td>
		<td><?=$LOGIN_USER_NAME?></td>
		<td class="title"><?=$_lang["customer_capital_money"]?></td>
		<td style="word-break:break-all">
			<!-- <span  id="shownum" width="120"></span> -->
			<input type="text" id="shownum">
		</td>
	</tr>
	 <!--附件-->
	<tr>
		<td class="title"><?=$_lang["customer_contract_attachment"]?></td>
		<td colspan="3">
			<input type="file" id="file_elem" name="file_elem">
			<input type="hidden" name="attachmentIDStr" id="attachmentIDStr"/>
			<input type="hidden" name=" attachmentNameStr" id="attachmentNameStr"/>
		</td>
	</tr>	
   <!--备注-->
   <tr>
	  <td class="title"><?=$_lang["customer_note"]?></td>
	  <td colspan="3">
          <textarea id="CONT_NOTE" name="CONT_NOTE" style="width:96.4%;height:100px"></textarea>
          <script type="text/javascript">
          	UE.getEditor('CONT_NOTE',{
			        toolbars: [[
			            'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
			            'fontsize', '|','scrawl','|',
			            'justifyleft', 'justifycenter', 'justifyright'
			        ]],
			        autoHeightEnabled: false
			    });

          	UE.dialogMode = "modal";
          </script>
      </td>
   </tr>
  
</table>
      <input type="hidden" name="CON_ID" id="CON_ID" value="0">
      <input type="hidden" name="f" id="f" value="add">
</form>
</div>

<div class="add_contract_remind" style="display:none">
	<iframe frameborder="0" style="width:100%;border:none;height:100%" id="add_contract_remind_iframe" src=""></iframe>
</div>
    <input type="hidden" name="RESULT" id="RESULT" value="0">
</body>
</html>
<script type="text/javascript">
	$(".library_date").datepicker({
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});
	$("select").selectpicker();
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});
</script>
<script>
var tab_notify;
$(function(){
	var default_index1=true;
	var default_index2=false;
	if ("<?=$_REQUEST[isSuccess]?>"==1) {
		var default_index2=true;
		var default_index1=false;
		$(".new_contract").css("display","none");
		$(".add_contract_remind").css("display","block");
		$("#tab_switch").val(2);
		$("#save").css("display","none");
	}

	if ("<?=$_REQUEST[error]?>"==1) {
		$.pnotify({
	        text: "<?=$_lang['customer_man_new_contract']?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    })
	}

	$(".add_contract_remind").height($(window).height()-60);

	$(".contract_filter").LazyFilter({
		onClick : function(data) {
			if (data=="new_contract") {
				$(".new_contract").css("display","block");
                                $("#file_elem").Upload({
                                    uploadType:'OTHER',
                                    onUploadSuccess:function(attachmentID,attachementName){
                                        $("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
                                        $("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
                                    },
                                    onQueueComplete:function(){
                                        $('#form1').ajaxSubmit(function(result) {
                                            if(result){
                                                if($('#f').val() != 'edit'){
                                                    var url = 'contract_remind.php?con_id='+result+'&CUSTOMER_ID=<?=$_REQUEST['customer_id']?>';
                                                    $('#add_contract_remind_iframe').attr('src',url);
                                                }
                                                $(".new_contract").css("display","none");
                                                $(".add_contract_remind").css("display","block");
                                                $("#tab_switch").val(2);
                                                $("#save").css("display","none");
                                                $('.lazy_filter ul li').removeClass('current')
                                                $('.lazy_filter ul li').eq(2).addClass('current');
                                                $('#RESULT').val(1);
                                                $('#CON_ID').val(result);
                                                $('#f').val('edit');
//                                                $('#file_elem-queue').text('');
//                                                $('#show-attach').remove();
//                                                var attachmentIDStr = $("#attachmentIDStr").val().split(',');
//                                                var attachmentNameStr = $("#attachmentNameStr").val().split('*');
//                                                var size = attachmentIDStr.size();
//                                                var html = '<tr id="show-attach"><td></td><td colspan="3">'
//                                                $.each(attachmentNameStr,function(i,ele){
//                                                    if(i < (size-1) ) {
//                                                        html += '<div style="color:#00BFFF"data-id="'+attachmentIDStr[i]+'" style="margin-left:5px;margin-top:3px">'+ele+'<i class="fa fa-times"></i></div>' 
//                                                    }
//                                                });
//                                                html +='</td></tr>';
                                                $('#shownum_tr').after(html);
                                                $('#file_elem').uploadify('destroy');
                                            }
                                        });
                                    },
                                });
				$(".add_contract_remind").css("display","none");
				$("#tab_switch").val(1);
				$("#save").css("display","block");
			}else if(data=="add_contract_remind"){
				if ($('#RESULT').val() == 1) {
					var default_index2=true;
					var default_index1=false;
					$(".new_contract").css("display","none");
					$(".add_contract_remind").css("display","block");
					$("#tab_switch").val(2);
					$("#save").css("display","none");
				}else{
					location= "/general/crm/customer/new/contract/contract_new.php?isSuccess=-1&customer_id=<?=$CUSTOMER_ID?>&error=1";
				}
				
			}
		},
		common : {
			dataSource : [{
				key:"new_contract",
				isDefault:default_index1,
				title:"<?=$_lang['customer_man_base_info']?>"
			},{
				key:"add_contract_remind",
				isDefault:default_index2,
				title:"<?=$_lang['customer_man_news_set']?>"
			}],
			template : "{title}"
		},
	});

	$.ajax({
		url : "/general/crm/customer/index.do.php",
		data : {
			op : "getAllNum",
			customerID:'<?=$_REQUEST["customer_id"]?>',
		},
		success:function(result){
			var parsedData = $.parseJSON(result);
			if (parsedData.contractCount>0) {
				window.parent.$("#customer_detail_tabs .contract").html(" ( "+parsedData.contractCount+" ) ");
			}else{
				window.parent.$("#customer_detail_tabs .contract").html("");
			}
			
		}
	});

	var CUSTOMER_NAME = $("#CUSTOMER_NAME").val();
	if (CUSTOMER_NAME=="") {
		$("#CUSTOMER_NAME").attr("class","require");
	}else{
		$("#CUSTOMER_NAME").attr("class","");
	}

	var CONTRACT_NAME = $("#CONTRACT_NAME").val();
	if (CONTRACT_NAME=="") {
		$("#CONTRACT_NAME").attr("class","require");
	}else{
		$("#CONTRACT_NAME").attr("class","");
	}

	$("#CONTRACT_NAME").keyup(function(event) {
		var CONTRACT_NAME = $("#CONTRACT_NAME").val();
		if (CONTRACT_NAME=="") {
			$("#CONTRACT_NAME").attr("class","require");
		}else{
			$("#CONTRACT_NAME").attr("class","");
		}
	});
});
</script>