<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      联系记录新建页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/relation_record_new.php
 * @version       25
 * @author        Qu|www.weaver.com.cn
 * @date          2012-11-28
 */
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer,calendar");
$customerObj  = new customer();

$CUSTOMER_ID = (int)$_REQUEST['customerID'];
if($CUSTOMER_ID){
	$row = $customerObj->getDataOne('customer','*',"CUSTOMER_ID=".$CUSTOMER_ID);
	$CUSTOMER_NAME	= $row['CUSTOMER_NAME'];
}
$REMIND_ID = (int)$_REQUEST['remind_id'];
if($REMIND_ID){
	$ROW = $customerObj->getDataOne('relation_remind','*',"REMIND_ID=".$REMIND_ID);
	$REMIND_CONTENT = $ROW['REMIND_CONTENT'];
}
$SMS_ID = (int)$_REQUEST['sms_id'];
$CUR_DATE    = date("Y-m-d H:i",time());
$CUR_TIME    = date("H:i",time());
$LINKMAN_ID = $_REQUEST['linkman_id'];
$REMIND_TYPE = $_REQUEST['remind_type'];
$PAGE_TITLE = $_lang["customer_relation_record"];
$openflag = $_REQUEST['openflag'] ? $_REQUEST['openflag'] : '0';

if($SMS_ID && $SMS_ID>0 ){
        readSmsStatus($SMS_ID);
}

include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link href="/newplugins/css/style.css" rel="stylesheet" />
<style>
	.newrecord_title {max-width:150px;}
</style>
<body>
<div class="lazy_header">
	<span class="lazy-list-title newrecord_title">
		<i class="fa fa-list-title"></i>
		<span class="tip" style="cursor:pointer;"><?=$_lang["customer_relation_record"]?></span>
	</span>
	<button class="btn btn-default" onclick="close_new()"><?=$_lang["common_back"]?></button>
	<button class="btn btn-primary" id="sub_form"><?=$_lang["common_save"]?></button>
</div>
<form action="/general/crm/customer/new/record/do.php?op=add_record&f=add&back=<?=$_REQUEST["back"]?>"  method="post" id="form1" name="form1" enctype="multipart/form-data">
<input type="hidden" readonly size="29" value="<?=$REMIND_ID?>" name="REMIND_ID">
<input type="hidden" readonly size="29" value="<?=$SMS_ID?>" name="SMS_ID">
<input type="hidden" name="RE_TITLE" id="RE_TITLE" value="<?=$_lang['customer_man_no_title']?>">
<table class="form_table" width="100%" style="margin-top:10px">
   <!--联系人-->
   <tr>
	<td class="title"><?=$_lang["customer_linkman_name"]?></td>
    <td>
	  <span class="contact_select"></span>
    </td>
   </tr>
   <!-- 联系类型 -->
   <tr>
    <td class="title"><?=$_lang["customer_relation_type"]?></td>
    <td>
      <select class="select" name="RE_TYPE" data-width="145px" data-height="29px">
		 <?php
            $list = $customerObj->getData('combocox_child','*',"CC_PARENT_ID=28 ORDER BY CC_OEDER ASC");           
            $combocoxs = array();
            foreach ($list as $row) {
            	if($row['CC_VALUE'] == $REMIND_TYPE) {
					echo "<option selected value=".$row['CC_VALUE'].">".$row['CC_NAME']."</option>";
            	}else{
            		echo "<option value=".$row['CC_VALUE'].">".$row['CC_NAME']."</option>";
            	}
            }
          ?> 
	  </select>
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_relation_date"]?></td>
    <td>
	    <input type="text" class="time_picker require" id="CONTACT_DATE_START" style="width:120px;z-index:10000;" value="<?=$CUR_DATE?>"/>
		<input type="hidden" name="CONTACT_DATE" id="CONTACT_DATE" />
		<input type="hidden" name="CONTACT_TIME" id="CONTACT_TIME" />
		&nbsp;—&nbsp;
		<input type="text" class="time_picker" id="CONTACT_DATE_END" style="width:120px;z-index:10000;"/>
		<input type="hidden" name="CONTACT_DATE2" id="CONTACT_DATE2" />
		<input type="hidden" name="CONTACT_TIME2" id="CONTACT_TIME2" />
    </td>
   </tr>
   <!--下次联系时间-->
   <tr>
    <td class="title"><?=$_lang["customer_next_relation_date"]?></td>
    <td>
	    <input type="text" class="time_picker"  name="NEXT_REMIND_DATE" id="NEXT_REMIND_DATE" style="width:120px;z-index:10000;" value=""/>
		<a style="margin-left:10px;color:#428BCA;font-size:14px;" id="date-relate-user-tips" href="javascript:void(0);" title="下次联系该客户的提醒时间(选填)">                    
			<i class="fa fa-question-circle"></i>                    
		</a>
    </td>
   </tr>
   <!--附件-->
	<tr>
		<td class="title"><?=$_lang["common_attachment"]?></td>
		<td>
			<input type="file" id="file_elem" name="file_elem">
			<input type="hidden" name="attachmentIDStr" id="attachmentIDStr"/>
			<input type="hidden" name=" attachmentNameStr" id="attachmentNameStr"/>
		</td>
	</tr>
   <tr>
      <td class="title"><?=$_lang["customer_relation_record_info"]?></td>
      <td>
        <textarea id="fckeditor1" name="fckeditor1" style="width:96%;height:100px;border-color:#FFA500;float:left;"></textarea>
      	<span id="content_require" style="float:left;height:140px;line-height:140px;"><i class='fa fa-exclamation fa-lg' style='color:red;'></i></span>
      </td>
   </tr>
   <? if($REMIND_ID){ ?>
   <tr>
      <td class="title"><?=$_lang["customer_cus_remarks"]?></td>
      <td>
        <?=$REMIND_CONTENT?>
      </td>
   </tr>
   <? }?>
   
   </table>
   <input type="hidden" name="CUSTOMER_ID" id="CUSTOMER_ID" value="<?=$_REQUEST["customerID"]?>">
   </form>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/vehicles/vehicles_all.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script> 
<script>
$(function(){
	$('#date-relate-user-tips').tooltip({
        placement : "right"
    }); 
	$("select").selectpicker();
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 3000;
    $.pnotify.defaults.addclass = "stack-topright";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";

	UE.getEditor('fckeditor1',{
		        toolbars: [[
		            'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
		            'fontsize', '|','scrawl','|',
		            'justifyleft', 'justifycenter', 'justifyright'
		        ]],
		        autoHeightEnabled: false
		    });
	
	UE.dialogMode = "modal";

	$("#sub_form").click(function(){
		if(CheckForm()) {
			$(this).attr("disabled","hidden");
			if ($("#file_elem").Upload("getUploadCount") > 0) {
		        $("#file_elem").uploadify("upload", "*");
		    }else{
		    	if('<?=$openflag?>' == '1'){
		    		var data = $("#form1").serialize();
		    		$.ajax({
		    			type:"POST",
		    			data:data,
		    			url:'/general/crm/customer/new/record/do.php?op=add_record',
		    			success:function(data){
		    				window.close();
		    			}
		    		})
				}else{
					$("#form1").submit();
				}
		        
		    } 
		}
	})

	UE.getEditor('fckeditor1').addListener("focus", function (type, event) {  
		$("#sub_form").removeAttr("disabled");   
    });

	//附件批量上传
	$("#file_elem").Upload({
	    uploadType:'OTHER',
	    onUploadSuccess:function(attachmentID,attachementName){
	        $("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
	        $("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
	    },
	    onQueueComplete:function(){
	    	if('<?=$openflag?>' == '1'){
		    		var data = $("#form1").serialize();
		    		$.ajax({
		    			type:"POST",
		    			data:data,
		    			url:'/general/crm/customer/new/record/do.php?op=add_record',
		    			success:function(data){
		    				window.close();
		    			}
		    		})
			}else{
				$("#form1").submit();
			}
	    }
	});

	$.ajax({
		url:"/general/crm/customer/new/record/do.php",
		data:{
			op : 'getContacts',
			customerID : '<?=$_REQUEST["customerID"]?>'
		},
		success:function(result){
			var htmlStr = [];
			htmlStr.push('<select class="selectpicker require" data-width="145px" data-height="29px"  name="linkman_id"  id="linkman_id">');
			if(result){
				var parsedData = $.parseJSON(result);
				$.each(parsedData,function(key,value){
					if(value.LINKMAN_ID == "<?=$LINKMAN_ID?>"){
						htmlStr.push('<option selected value="' + value.LINKMAN_ID + '">' + value.LINKMAN_NAME + '</option>');
					}else{
						htmlStr.push('<option value="' + value.LINKMAN_ID + '">' + value.LINKMAN_NAME + '</option>');
					}
				});
			}else{
				htmlStr.push('<option value=""><?=$_lang["customer_man_no_linkage"]?></option>');
			}
			htmlStr.push('</select>');
			$(".contact_select").html(htmlStr.join(''));
			

			var LINKMANID = $("#linkman_id").val();
			if (LINKMANID=="") {
				$("#linkman_id").attr("class","selectpicker require");
			}else{
				$("#linkman_id").attr("class","selectpicker");
			}

			$(".selectpicker").selectpicker('refresh');
		}
	});

	var CONTACT_DATE_START = $("#CONTACT_DATE_START").val();
	if (CONTACT_DATE_START=="") {
		$("#CONTACT_DATE_START").attr("class","time_picker require");
	}else{
		$("#CONTACT_DATE_START").attr("class","time_picker");
	}

	var CONTACT_DATE_END = $("#CONTACT_DATE_END").val();
	if (CONTACT_DATE_END=="") {
		$("#CONTACT_DATE_END").attr("class","time_picker");
	}else{
		$("#CONTACT_DATE_END").attr("class","time_picker");
	}

	$("#CONTACT_DATE_START").datetimepicker({
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});
	$("#CONTACT_DATE_END").datetimepicker({
		onClose: function(dateText, inst) {
	    	var CONTACT_DATE_START = $("#CONTACT_DATE_START").val();
	    	var CONTACT_DATE_END = $("#CONTACT_DATE_END").val();
	    	var sDate = new Date(CONTACT_DATE_START.replace(/\-/g, "\/"));
    		var eDate = new Date(CONTACT_DATE_END.replace(/\-/g, "\/"));
    		if (sDate>=eDate) {
    			$("#CONTACT_DATE_END").val("");
    			$("#CONTACT_DATE2").val("");
    			$("#CONTACT_TIME2").val("");
		      	$.pnotify({
		         	text: '<?=$_lang["customer_end_litle_start"]?>',
		         	type : "error"
		       }); 
		     	return false;
		    }
		},
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});	
	//判断下次联系时间是否大于当前时间
	$("#NEXT_REMIND_DATE").datepicker({
		onClose: function(dateText, inst) {
			var NEXT_REMIND_DATE_TIME = $("#NEXT_REMIND_DATE").val();
			var next_time = new Date(NEXT_REMIND_DATE_TIME.replace("-", "/").replace("-", "/"));
			var cur_time = new Date();
			if (next_time < cur_time) {
				$("#NEXT_REMIND_DATE").val("");
		      	$.pnotify({
		         	text: '<?=$_lang["customer_nextremind_litle_currenttime"]?>',
		         	type : "error"
		       }); 
		      	return false;
		    } 
		},
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});
});

function CheckForm()
{	
	var contact_date_start  = $("#CONTACT_DATE_START").val();
	var contact_date_end 	= $("#CONTACT_DATE_END").val();
	var netx_remind_date_time  = $("#NEXT_REMIND_DATE").val();
	var linkman_id      	= $("#linkman_id").val();
    var sDate = new Date(contact_date_start.replace(/\-/g, "\/"));
    var eDate = new Date(contact_date_end.replace(/\-/g, "\/"));
    var content = UE.getEditor('fckeditor1').getContent();

	if(linkman_id == '') {
		$.pnotify({
	        text: "<?=$_lang["customer_linkman_not_null"]?>",
	        type : "error"
	    })
	 	return false;
	}
	
	if (contact_date_start=="") {
		 $.pnotify({
	        text: "<?=$_lang["customer_crm_sta_time_not"]?>",
	        type : "error",
	    })
	}

    if (sDate>=eDate) {
      	$.pnotify({
         	text: '<?=$_lang["customer_end_litle_start"]?>',
         	type : "error"
       }); 
     	return false;
    } 
	if(typeof(content)=="undefined" || content=='') {
		$.pnotify({
	        text: "<?=$_lang["customer_link_content_empty"]?>",
	        type : "error"
	    })
	 	return false;
	}
	var contact_datetime_start 	= contact_date_start.split(" ");
	var contact_date  			= contact_datetime_start[0];
	var contact_time 			= contact_datetime_start[1];
	if(contact_date_end!=''){
		var contact_datetime_end = contact_date_end.split(" ");
		var contact_date2 = contact_datetime_end[0];
		var contact_time2 = contact_datetime_end[1];
	}else{
		var contact_date2 = '';
		var contact_time2 = '';		
	}

   	$("#CONTACT_DATE").val(contact_date);
	$("#CONTACT_DATE2").val(contact_date2);
	$("#CONTACT_TIME").val(contact_time);
	$("#CONTACT_TIME2").val(contact_time2);
   	return true;
}

function LoadWindow()
{
  URL="/general/crm/linkman/customer_select";
  loc_x=document.body.scrollLeft+event.clientX-event.offsetX-100;
  loc_y=document.body.scrollTop+event.clientY-event.offsetY+170;
  window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:320px;dialogHeight:345px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
  disabledSlID();
}

function td_calendar(fieldname)
{
  myleft=document.body.scrollLeft+event.clientX-event.offsetX-80;
  mytop=document.body.scrollTop+event.clientY-event.offsetY+140;

  window.showModalDialog("/inc/calendar.php?FIELDNAME="+fieldname,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:280px;dialogHeight:205px;dialogTop:"+mytop+"px;dialogLeft:"+myleft+"px");
}

function loadlinkman(customer_id)
{
	URL   = "/general/crm/contact/linkman_select/index.php?CUSTOMER_ID="+customer_id+"&back=<?=$_REQUEST["back"]?>";
	loc_x = event.clientX;
	loc_y = event.clientY+170;
	window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:450px;dialogHeight:445px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}
function close_new(){
	if('<?=$openflag?>' == '1'){
		window.close();
	}else if('<?=$REMIND_ID?>' != '0'){
		window.parent.$(".new_record_index").hide();
		window.parent.$(".list_wrap").show();
		window.parent.$(".remind_list_wrap").LazyTable("reload");
	    $.ajax({
	      url : "/general/crm/customer/index.do.php",
	      data : {
	        op : "getAllNum",
	        customerID:'<?=$CUSTOMER_ID?>'
	      },
	      success:function(result){
	        var parsedData = $.parseJSON(result);
	        if (parsedData.remindCount>0) {
	          window.parent.$("#customer_detail_tabs .remind").html(" ( "+parsedData.remindCount+" ) ");
	        }else{
	          window.parent.$("#customer_detail_tabs .remind").html("");
	        }
	      }
	    });
	}else{
		window.parent.$(".new_record_index").hide();
		window.parent.$(".list_wrap").show();
	}
	
}
</script>
</body>
</html>