<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      联系提醒的搜索页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/new/remind/index_search.php
 * @version       13
 * @author        Qu|www.weaver.com.cn
 * @date          2016-06-21
 */
include_once("inc/auth.php");
include_once("api/field_set.class.php");
include_once("api/customer.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");
$customerObj      = new customer();
$CUSTOMER_ID = $_SESSION['customerID'];
if($CUSTOMER_ID){
  $row = $customerObj->getDataOne('customer','*',"CUSTOMER_ID=".$CUSTOMER_ID);
  $MANAGE_USER = isset($row['MANAGE_USER']) ? $row['MANAGE_USER'] : '0';
}
?>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link href="/newplugins/css/style.css" rel="stylesheet" />
<form id="form5" name="form5">
<table width="100%" border="0" cellpadding="3" cellspacing="1">
   <tr>
      <td class="title"><?=$_lang["customer_crm_creater"]?></td>
      <td>
          <input type="text" id="CREATOR_NAME" class="textreadonly" size="20" maxlength="20" readonly value="">
          <input type="hidden" name="CREATOR" id="CREATOR" value="">
          <input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadWindowUserSingle( 'CREATOR', 'CREATOR_NAME','form5')" >
          <input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-default" onClick="clear_input('CREATOR_NAME','CREATOR','form5')" >
      </td>
      <td class="title"><?=$_lang["customer_relation_remind_status"]?></td>
      <td>
        <select name="REMIND_STATUS" data-container="body" class="select" width="150px">
              <option value="all"><?=$_lang["common_show_allinfo"]?></option>
              <option value="handled"><?=$_lang["customer_relation_remind_handled"]?></option>
              <option value="unhandled"><?=$_lang["customer_relation_remind_unhandled"]?></option>
        </select>
      </td>
   </tr>
   <tr>
      <td class="title"><?=$_lang["customer_crm_principal"]?></td>
      <td>
        <input type="text" id="CHARGEMAN_NAME" class="textreadonly" size="20" maxlength="20" readonly value="">
        <input type="hidden" name="CHARGEMAN_ID" id="CHARGEMAN_ID" value="">
        <input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadWindowUserSingle( 'CHARGEMAN_ID', 'CHARGEMAN_NAME','form5')" >
        <input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-default" onClick="clear_input('CHARGEMAN_USER','CHARGEMAN_NAME','form5')" >
      </td>
  </tr>
   <tr>
       <td class="title"><?=$_lang["customer_relation_date"]?></td>
      <td>
          <input type="text" class="remind-time-start" name="REMIND_START_DATE" size="20" maxlength="20" >&nbsp;--&nbsp;
          <input type="text" class="remind-time-end" name="REMIND_END_DATE" size="20" maxlength="20" >
      </td>
   </tr>
  </table>
</form>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript">
$(function() {
    $('.select').selectpicker({
        width:"150px",
        height:"28px",
        size:6
    });

    $(".title").css({
        "width":"82px",
        "padding-right":"5px",
        "text-align":"right"
    });

    $(".remind-time-start").datepicker({
        beforeShow:function(a,b){
          setTimeout(function(){
                  b.dpDiv.css('z-index', 9999);
              }, 100);
        }
    });

    $(".remind-time-end").datepicker({
        onClose: function(dateText, inst) {
            var REMIND_TIME_START = $(".remind-time-start").val();
            var REMIND_TIME_END = $(".remind-time-end").val();
            var remind_time_start = new Date(REMIND_TIME_START.replace("-", "/").replace("-", "/"));
            var remind_time_end_format = new Date(REMIND_TIME_END.replace("-", "/").replace("-", "/"));
            if(remind_time_end_format < remind_time_start) {
                $(".remind-time-end").val("");
                // $.pnotify({
                //     text: '<?=$_lang["customer_nextremind_litle_currenttime"]?>',
                //     type : "error"
                // });
                return false;
            }
        },
        beforeShow:function(a,b){
          setTimeout(function(){
                  b.dpDiv.css('z-index', 9999);
              }, 100);
        }
    });

});

</script>