<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 9.0
 * @function      联系提醒新建页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/new/remind/relation_remind_new.php
 * @version       25
 * @author        Qu|www.weaver.com.cn
 * @date          2016-05-31
 */
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer,calendar");
$customerObj  = new customer();

$CUSTOMER_ID = (int)$_REQUEST['customerID'];
if($CUSTOMER_ID){
	$row = $customerObj->getDataOne('customer','*',"CUSTOMER_ID=".$CUSTOMER_ID);
	$CUSTOMER_NAME	= $row['CUSTOMER_NAME'];
	$MANAGE_USER = isset($row['MANAGE_USER']) ? $row['MANAGE_USER'] : '';
}
$CUR_DATE    = date("Y-m-d",strtotime("+1 day"));
$PAGE_TITLE = $_lang["customer_relation_record"];

include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css">
<link href="/newplugins/css/style.css" rel="stylesheet" />
<style>
	.newremind_title {max-width:150px;}
</style>
<body>
<div class="lazy_header">
	<span class="lazy-list-title newremind_title">
		<i class="fa fa-list-title"></i>
		<span class="tip" style="cursor:pointer;"><?=$_lang["customer_remind_record"]?></span>
	</span>
	<button class="btn btn-default" onclick="close_new()"><?=$_lang["common_back"]?></button>
	<button class="btn btn-primary" id="sub_form"><?=$_lang["common_save"]?></button>
</div>
<form action="/general/crm/customer/new/remind/do.php?op=add_remind"  method="post" id="form1" name="form1" enctype="multipart/form-data">
<table class="form_table" width="100%" style="margin-top:10px">
	<!--负责人-->
   <tr>
	<td class="title"><?=$_lang["customer_principal_name"]?></td>
    <td>
		<input type="text" id="CHARGEMAN_USER" name="CHARGEMAN_USER" class="chargeman_name" value="<?=$_SESSION['LOGIN_USER_NAME']?>" style="width:145px;" readonly="">
		<input type="hidden" id="CHARGEMAN_ID" name="CHARGEMAN_ID" class="chargeman_name" value="<?=$_SESSION['LOGIN_USER_ID']?>" >
		<a class="btn btn-primary" onclick="LoadManageUserSingle( 'CHARGEMAN_ID', 'CHARGEMAN_USER','form1',<?=$CUSTOMER_ID?>,'<?=$MANAGE_USER?>');">添加</a>
    </td>
   </tr>
   <!--联系人-->
   <tr>
	<td class="title"><?=$_lang["customer_contact_info"]?></td>
    <td>
	  <span class="contact_select"></span>
    </td>
   </tr>
   <!-- 联系类型 -->
   <tr>
    <td class="title"><?=$_lang["customer_relation_type"]?></td>
    <td>
      <select class="select" name="REMIND_TYPE" data-width="145px" data-height="29px">
		 <?php
            $list = $customerObj->getData('combocox_child','*',"CC_PARENT_ID=28 ORDER BY CC_OEDER ASC");           
            $combocoxs = array();
            foreach ($list as $row) {
                echo "<option value=".$row['CC_VALUE'].">".$row['CC_NAME']."</option>";
            }
          ?> 
	  </select>
    </td>
   </tr>
   <tr>
	   <!--联系提醒时间-->
    <td class="title"><?=$_lang["customer_relation_date"]?></td>
    <td>
	    <input type="text" class="time_picker" name="REMIND_DATE" style="width:120px;z-index:10000;" value="<?=$CUR_DATE?>"/>
    </td>
   </tr>
   <!--联系提醒内容-->
   <tr>
      <td class="title"><?=$_lang["customer_relation_remind_info"]?></td>
      <td>
        <textarea id="fckeditor1" name="fckeditor1" style="width:96%;height:100px;border-color:#FFA500;float:left;position:relative;z-index:1;"></textarea>
      </td>
   </tr>
   
   </table>
   <input type="hidden" name="CUSTOMER_ID" id="CUSTOMER_ID" value="<?=$_REQUEST["customerID"]?>">
   </form>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/vehicles/vehicles_all.js"></script>
<script type="text/javascript" src="/general/vehicles/vehicles_all.js"></script>
<script type="text/javascript" src="/general/weibo/javascript/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>  
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>

<script>
$(function(){
	$("select").selectpicker();
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 3000;
    $.pnotify.defaults.addclass = "stack-topright";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";

	UE.getEditor('fckeditor1',{
		        toolbars: [[
		            'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
		            'fontsize', '|','scrawl','|',
		            'justifyleft', 'justifycenter', 'justifyright'
		        ]],
		        autoHeightEnabled: false
		    });
	
	UE.dialogMode = "modal";

	$("#sub_form").click(function(){
		if(CheckForm()) {
			$(this).attr("disabled","hidden");
			var data = $("#form1").serialize();
			// console.log(data);
			$("#form1").submit();
		}
	})

	UE.getEditor('fckeditor1').addListener("focus", function (type, event) {  
		$("#sub_form").removeAttr("disabled");   
    });

	$.ajax({
		url:"/general/crm/customer/new/record/do.php",
		data:{
			op : 'getContacts',
			customerID : '<?=$_REQUEST["customerID"]?>'
		},
		success:function(result){
			var htmlStr = [];
			htmlStr.push('<select class="selectpicker" data-width="145px" data-height="29px"  name="linkman_id"  id="linkman_id">');
			if(result){
				var parsedData = $.parseJSON(result);
				$.each(parsedData,function(key,value){
					htmlStr.push('<option value="' + value.LINKMAN_ID + '">' + value.LINKMAN_NAME + '</option>');
				});
			}else{
				htmlStr.push('<option value=""><?=$_lang["customer_man_no_linkage"]?></option>');
			}
			htmlStr.push('</select>');
			$(".contact_select").html(htmlStr.join(''));
			

			var LINKMANID = $("#linkman_id").val();
			if (LINKMANID=="") {
				$("#linkman_id").attr("class","selectpicker");
			}else{
				$("#linkman_id").attr("class","selectpicker");
			}

			$(".selectpicker").selectpicker('refresh');
		}
	});

	$(".time_picker").datepicker({
		// defaultDate: '+1d',
		onClose: function(dateText, inst) {
			var REMIND_DATE_TIME = $(".time_picker").val();
			var next_time = new Date(REMIND_DATE_TIME.replace("-", "/").replace("-", "/"));
			var cur_time = new Date();
		    if (REMIND_DATE_TIME=="") {
		        $(".time_picker").attr("class","time_picker require");
		        return false;
		    }else if(next_time < cur_time) {
				$(".time_picker").val("<?=$CUR_DATE?>");
				$.pnotify({
		         	text: '<?=$_lang["customer_nextremind_litle_currenttime"]?>',
		         	type : "error"
		        });
		        return false;
		    }else{
		        $(".time_picker").attr("class","time_picker");
		    }
		},
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});
});

function CheckForm()
{	
	var remind_date_time  = $(".time_picker").val();
	var next_time = new Date(remind_date_time.replace("-", "/").replace("-", "/"));
	var cur_time = new Date();
	if (remind_date_time == "") {
		 $.pnotify({
	        text: "<?=$_lang["customer_crm_remind_time_not"]?>",
	        type : "error",
	    })
		 return false;
	}else if(next_time < cur_time) {
		$.pnotify({
         	text: '<?=$_lang["customer_nextremind_litle_currenttime"]?>',
         	type : "error"
        });
        return false;
	}
   	return true;
}

function LoadWindow()
{
  URL="/general/crm/linkman/customer_select";
  loc_x=document.body.scrollLeft+event.clientX-event.offsetX-100;
  loc_y=document.body.scrollTop+event.clientY-event.offsetY+170;
  window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:320px;dialogHeight:345px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
  disabledSlID();
}

function td_calendar(fieldname)
{
  myleft=document.body.scrollLeft+event.clientX-event.offsetX-80;
  mytop=document.body.scrollTop+event.clientY-event.offsetY+140;

  window.showModalDialog("/inc/calendar.php?FIELDNAME="+fieldname,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:280px;dialogHeight:205px;dialogTop:"+mytop+"px;dialogLeft:"+myleft+"px");
}

function loadlinkman(customer_id)
{
	URL   = "/general/crm/contact/linkman_select/index.php?CUSTOMER_ID="+customer_id+"&back=<?=$_REQUEST["back"]?>";
	loc_x = event.clientX;
	loc_y = event.clientY+170;
	window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:450px;dialogHeight:445px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}
function close_new(){
	window.parent.$(".new_remind_index").hide();
	window.parent.$(".list_wrap").show();
}


</script>
</body>
</html>