<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      业务机会编辑页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/oper_edit.php
 * @version       34
 * @author        Qu|www.weaver.com.cn
 * @date          2012-11-28
 */
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/field_set.class.php");
include_once("api/customer.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

if($_REQUEST['OPER_ID'])
{
  if(!is_numeric($_REQUEST['OPER_ID'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}

$OtherFieldObj = new PageFactory();
//CreatePage 第三个参数如果为空时，按显示页面生成界面。
$OtherFieldArray = $OtherFieldObj->CreatePage('OPERATION',$_REQUEST['OPER_ID'],'OPER_ID','form1','edit');

$customer = new customer();
$row = $customer->getDataOne('operation','*',"OPER_ID='".$_REQUEST["OPER_ID"]."'");
if($row) {
	$hasPurview = $customer->hasPurview($row["CUSTOMER_ID"]);
	if($LOGIN_USER_ID != $row["CREATOR"] && $hasPurview==0) {
		Message("",$_lang["customer_no_this_purview"]);
		exit;
	}
$PAGE_TITLE = $_lang["customer_edit_operation"];
include_once("inc/page_header.inc.php");	
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>

<link href="/newplugins/css/style.css" rel="stylesheet" />
<script>
var check_notify;
/*function thousandFormat(num)
{
	var showValue = num;
	if(showValue)
	{
		var midValue = commafyback(showValue);
		if(!isNaN(midValue) && midValue>=0) {
			num = midValue.toString().commafy();
			return num;
		} else {
			if (check_notify) {
				check_notify.pnotify_remove();
			}

			check_notify=$.pnotify({
		        text: "<?=$_lang["customer_enter_correct_num"]?>",
		        type : "error",
		        animate_speed:"fast",
		        delay:"1500",
		    }).click(function(event) {
		    	check_notify.pnotify_remove();
		    });
		}
	}
}

function commafyback(num)
{  
   var x = num.split(',');
   return parseFloat(x.join(""));
} */
function hide_layer() {
	document.getElementById('layer').style.display = 'none';
}

function checkForm() {
	var o_name = document.getElementById("OPER_NAME").value;
	var p_num  = document.getElementById("OPER_ORIGIN").value;
	
	if(trim(o_name)=="") {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_opername_first"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		document.getElementById("OPER_NAME").focus();
		return false;
	}	

	if(parseInt(p_num)>100 || parseInt(p_num) <0) {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_oper_error_comssoble"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		document.getElementById("OPER_ORIGIN").focus();
		return false;
	}
	if('<?=$OtherFieldArray ["MustInput"]?>'!=""){
		var returnValue = checkMustInput('<?=$OtherFieldArray["MustInput"]?>');
	}
	if(returnValue != false) {
		document.form1.submit();
	}
}

function LoadWindow(id,name,form,dialog_div,isRequire)
{
    //URL   = "/general/crm/linkman/customer_select";
    //window.open(URL,self,'height=350,width=450,toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,status=no');
    //loc_x = event.clientX;
    //loc_y = event.clientY-event.offsetY+170;
    //window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:450px;dialogHeight:350px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");

    URL="/general/crm/linkman/customer_select/index.php?id="+id+"&name="+name+"&form="+form+"&dialog_div="+dialog_div+"&isRequire="+isRequire;
  	$("#Div_Customer_Dialog").attr("src",URL);
  	$(".Div_Customer_Dialog").dialog("open");
}

function check_num(num){	
	if(num.value != "") {
		if(!isInteger(num.value) || num.value.match(/-/) ){
			if (check_notify) {
				check_notify.pnotify_remove();
			}

			check_notify=$.pnotify({
		        text: "<?=$_lang["customer_mustbe_numbers"]?>",
		        type : "error",
		        animate_speed:"fast",
		        delay:"1500",
		    }).click(function(event) {
		    	check_notify.pnotify_remove();
		    });
			num.value = "";
			document.getElementById(num.id).focus();		
		}
	}
	if(num.value>100 || num.value<0) {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_num_not_legal"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		num.value = "";
		document.getElementById(num.id).focus();		
	}
}


jQuery(document).ready(function() {
	getIndex();
	var money = document.getElementById("OPER_MONEY").value;
	//jQuery("#OPER_MONEY").val(thousandFormat(money));
	
	jQuery("#OPER_ORIGIN").keyup(function() {
		check_num(this);
	})

	/*jQuery("#OPER_MONEY").keyup(function() {
		var c_money = jQuery("#OPER_MONEY").val();
		jQuery("#OPER_MONEY").val(thousandFormat(c_money));
	})*/
});

//获取业务阶段选中的索引
function getIndex() {
	var selected = document.getElementById('OPER_STEP');
	document.getElementById('OPTION_INDEX').value = selected.selectedIndex;
}
</script>
<body>
<div class="lazy_header">
	<span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_edit_operation"]?></span></span>
	<a class="btn btn-default" onclick="location='operation.php'"><?=$_lang["common_back"]?></a>
	<a class="btn btn-primary"  onclick="checkForm();"><?=$_lang["common_save"]?></a>
</div>
<div class="main_wrap">
<form action="/general/crm/customer/operation_do.php?op=add_business&f=edit&back=<?=$_REQUEST["back"]?>&CUSTOMER_ID=<?=$row["CUSTOMER_ID"]?>" method="post" name="form1" id="form1">
<input type='hidden' name='new_customer' value='new_customer'>
<table width="100%" class="form_table">
	<tr>
		<td class="title"><?=$_lang["customer_linkman_bel_to"]?></td>
		<?
		$ROW = $customer->getDataOne('customer','*',"CUSTOMER_ID='".$row["CUSTOMER_ID"]."'");
		?>
		<!-- 客户名称 -->
		<td>
			<input type="hidden" name="CUSTOMER_ID" id="CUSTOMER_ID" value='<?=$ROW["CUSTOMER_ID"]?>'>
			<input type="text" class="require" name="CUSTOMER_NAME" id='CUSTOMER_NAME' size="20" maxlength="100" value=<?=$ROW["CUSTOMER_NAME"]?> readonly/>
			<?if(!$_REQUEST["back"]) {?>
			<a class="btn btn-primary" onClick="LoadWindow('CUSTOMER_ID','CUSTOMER_NAME','form1','Div_Customer_Dialog',1);" ><?=$_lang["common_choose"]?></a>
			<?}?>
		</td>
		<td class="title"><?=$_lang["customer_oper_status"]?></td>
		<td>
		 <select  name='OPER_STATUS' data-height="35" data-width="145">
		 	<option value='0' <? if($row["OPER_STATUS"] == 0) echo "selected";?>><?=$_lang["common_choose"]?></option>
		 	<?=get_info(18,$row["OPER_STATUS"],0)?>
		 </select>
		</td>		
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_oppotunity_name"]?></td>
		<td>
			<input type="text" id="OPER_NAME" name="OPER_NAME" class="require" size="20" maxlength="25"  value="<?=trim($row["OPER_NAME"])?>" >&nbsp;
		</td>
		<td class="title"><?=$_lang["customer_operation_creator"]?></td>
		<td><input type="text" value='<?=getUserNameNew($row["CREATOR"])?>' size="20" class="" readonly /></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_operation_unm"]?></td>
		<td>
			<select name="OPER_TYPE" data-height="35" data-width="145">
				<?=get_info(29,$row["OPER_TYPE"],0)?>
			</select>
		</td>
		<!--金额-->
		<td class="title"><?=$_lang["customer_operation_money"]?></td>
		<td>
			<input type="text" name="OPER_MONEY" id="OPER_MONEY" value="<?=$row["OPER_MONEY"]?>" class="" size="20" maxlength="20" >
		</td>
	</tr>
	<tr>		
		<td class="title"><?=$_lang["customer_operation_date"]?></td>
		<td>
			<input class='library_date' type="text" name="BEGIN_DATE" id="BEGIN_DATE" value=<?=$row["OPER_DATE"]?> size="20" maxlength="100"/>
		</td>
		<td class="title"><?=$_lang["customer_operation_comssoble"]?></td>
		<td>
			<input type="text" id="OPER_ORIGIN" name="OPER_ORIGIN" value=<?=$row["OPER_ORIGIN"] ?> class="" size="20" maxlength="11">&nbsp;&nbsp;<?=$_lang["customer_operation_express"]?>
		</td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_operation_source"]?></td>
		<td >
			<select name='OPER_SOURCE' data-height="35" data-width="145">
				<?=get_info(30,$row["OPER_SOURCE"],0)?>
			 </select>
		</td>
		<td class="title"><?=$_lang["customer_operation_step"]?></td>
		<td>
			<select name='OPER_STEP' id='OPER_STEP' data-height="35" data-width="145" onchange="getIndex();">
			  <?=get_info(32,$row["OPER_STEP"],0)?>
			</select>
		</td>
	</tr>
    <tr>
		<td class="title"><?=$_lang["customer_operation_note"]?></td>
		  <td colspan="3">
          <textarea id="OPER_NOTE" name="OPER_NOTE" style="width:93%;height:100px;border-color:#ff5a00"><?=$row["OPER_NOTE"]?></textarea>
           <script type="text/javascript">
          	UE.getEditor('OPER_NOTE',{
		           zIndex:1,
		           autoHeightEnabled: false,
				   toolbars:[['bold','italic','underline','forecolor','backcolor','|',            'fontsize','|','scrawl','|','justifyleft','justifycenter','justifyright']]
		        });
          </script>
      </td>
	</tr>
	<input type="hidden" name="OPER_ID" value=<?=$_REQUEST['OPER_ID'] ?>>
</table>
<?=$OtherFieldArray['Page']?>
<?
}			  
?>
<input type="hidden" name="cur_page" value="<?=$_REQUEST['cur_page']?>">
<input type="hidden" name="OPTION_INDEX" id="OPTION_INDEX" value="">
</form>
<div id="existcustomername" style="width:auto;height:auto;position:absolute;background:#FFFFFF;cursor:hand;display:none;padding:1px;border:dashed 1px">	
</div>
</div>
<div class="Div_Customer_Dialog">
    <iframe style="width:100%;border:none;height:100%;" frameborder="0" id="Div_Customer_Dialog"></iframe>
</div>
</body>
</html>
<script type="text/javascript">
	$(".library_date").datepicker({
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});

	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});

	function display_customer(){
		var CUSTOMER_NAME = $("#CUSTOMER_NAME").val();
		if (CUSTOMER_NAME!="") {
			$("#CUSTOMER_NAME").attr("class","");
		}else{
			$("#CUSTOMER_NAME").attr("class","require");
		}
	}
</script>
<script type="text/javascript">
$(function(){
	$(".main_wrap").height($(window).height()-40).niceScroll();
	
	$(".Div_Customer_Dialog").dialog({
	    autoOpen: false,
	    width: 600,
	    modal: true,
	    height:470,
	    dialogClass:"lazy_dialog",  //此行必须有
	    resizable:false
	});


	$("#OPER_NAME").keyup(function(event) {
		var OPER_NAME = $("#OPER_NAME").val();
		if (OPER_NAME!="") {
			$("#OPER_NAME").attr("class","");
		}else{
			$("#OPER_NAME").attr("class","require");
		}

	});

	var OPER_NAME = $("#OPER_NAME").val();
	if (OPER_NAME!="") {
		$("#OPER_NAME").attr("class","");
	}else{
		$("#OPER_NAME").attr("class","require");
	}

	var CUSTOMER_NAME = $("#CUSTOMER_NAME").val();
	if (CUSTOMER_NAME!="") {
		$("#CUSTOMER_NAME").attr("class","");
	}else{
		$("#CUSTOMER_NAME").attr("class","require");
	}
        //=====================update by lizhijun=============================//
        $.pnotify.defaults.styling = "bootstrap3";
        $.pnotify.defaults.closer = false;
        $.pnotify.defaults.sticker = false;
        $.pnotify.defaults.history = false;
        $.pnotify.defaults.delay = 3000;
        $.pnotify.defaults.addclass = "stack-topright";
        $.pnotify.defaults.animate_speed = 'fast';
        $.pnotify.defaults.type = "error";
        $(".require").each(function(i,v){
            if($(this).val() != ""){
                $(this).removeClass("require");
            }
        })
        $(".customDate").datepicker({
                onClose:function(ui,data)
                {
                    var fieldId = data.id.substr(11,data.id.length);
                    fieldStr    = getFieldInfo('operation',fieldId);
                    fieldInfo   = $.parseJSON(fieldStr);
                    $.trim($(this).val()) != ""?$(this).removeClass("require"):(fieldInfo.F_PROPERTY == "1"?$(this).addClass("require"):"");
                }
        });
		
		$("select").selectpicker({width:200});
		$("input").css("width","200");
});
</script>

