<?
include_once("inc/auth.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/function_usergeneral.php");
include_once("general/system/combox/packaging.php");
include_once("inc/check_type.php");
$customer = new customer();
$manUids = $customer->get_userid_str();

$op = $_REQUEST['op'];
$LOGIN_USER_ID = $_SESSION['LOGIN_USER_ID'];

switch ($op) {
	case 'getList' :
		$quicksort = $_REQUEST['business_type'];
		$customer  = new customer();
		if($quicksort != 'startrank') {
			$totalCount  = $customer->getOpportunityNum($_REQUEST);
		}
		$list = $customer->getOpportunityList($_REQUEST);

		if (!empty($list)) {
			foreach ($list as $key => $row) {
				$list[$key]["OPER_STATUS_NAME"] = get_info(18, $row['OPER_STATUS'], 1);
			}
		}

		echo json_encode(array(
			"totalCount" => $quicksort=='startrank'?count($list):$totalCount,
			"list" => $list
		));
		break;
	case 'getShaixuanList':
		$contactList = $customer->getData('quicksort','*',"MAIN_ID='business_3'");
		foreach ($contactList as $k=>$row) {
			$contactList[$k]["OPTION_NAME"]=$_lang[$row["OPTION_NAME"]];
		}
		echo $contactList ? json_encode($contactList) : false;
		break;
	case 'delete_all':
		$customer = new customer();
		$tableName = $_REQUEST["tablename"];
		switch($tableName){
		 case "CUSTOMER":
		     $customer_ids = $_REQUEST['cids'];
				 $customer_id_arr = explode(',', $customer_ids);
		     break;
		 case "OPERATION":
		     $operation_ids = $_REQUEST['operids'];
		     $operation_id_arr = explode(',', $operation_ids);
		     break;
		 case "RELATION_RECORD":
		     $relation_ids = $_REQUEST['reids'];
		     $relation_id_arr = explode(',', $relation_ids);
		     break;
		 case "CONTRACT":
		     $contract_ids = $_REQUEST['conids'];
		     $contract_id_arr = explode(',', $contract_ids);
		     break;
		    }
		$error_info = array();
		$i = 0;
	 	if($LOGIN_USER_ID != 'admin'){
	     	Message("", $_lang["customer_no_this_purview"]);
	     	exit;
     	}

		if($tableName == "CUSTOMER"){
			 foreach($customer_id_arr as $id){
				 $error_info[$i]['id'] = $id ;
				 $error_info[$i]['customer'] = $customer -> get_customer_info($id);
				 $i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
				 $customer -> del_data("CUSTOMER", $info['id']);
				 unset ($error_info[$j]);
				 $j++;
			 }

		}elseif($tableName == "OPERATION"){

			 foreach($operation_id_arr as $id){
				 $error_info[$i]['oper_id'] = $id ;
				 $i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
				 $customer -> del_data("OPERATION", $info['oper_id']);
				 unset ($error_info[$j]);
				 $j++;
		 	}
		}elseif($tableName == "CONTRACT"){
			 foreach($contract_id_arr as $id){
			 	$error_info[$i]['con_id'] = $id ;
			 	$i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
				 $customer -> del_data("CONTRACT", $info['con_id']);
				 unset($error_info[$j]);
				 $j++;
		 	}
		}elseif($tableName == "RELATION_RECORD") {
			 foreach($relation_id_arr as $id){
				 $error_info[$i]['id'] = $id ;
				 $i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
			 	$customer -> del_data("RELATION_RECORD", $info['id']);
			 	unset ($error_info[$j]);
			 	$j++;
		 	}
		}
		sort($error_info);
		// 如果所勾选的客户下面没有关联信息
		if(!empty($error_info))
		 	echo json_encode($error_info);
		else
		 	echo "1";
		break;
	case 'delete':
		if($_REQUEST['OPER_ID'])
		{
		  if(!is_numeric($_REQUEST['OPER_ID'])){
		      Message('',$_lang["common_param_error"],'failed');
		      exit;
		  }
		}
		$row = $customer->getDataOne('operation','*',"OPER_ID='".$_REQUEST["OPER_ID"]."'");
		if($row) {
			$info = $customer->getCustomerMgr($row["CUSTOMER_ID"]);
			if($LOGIN_USER_ID!= 'admin') {
				Message("",$_lang["customer_no_this_purview"]);
				exit;
			}
		}

		$customer->del_data("OPERATION",$_REQUEST["OPER_ID"]);
		echo "success";
		break;
	case 'getManagerUser':
		if($_REQUEST['customer_id'])
		{
		  if(!is_numeric($_REQUEST['customer_id'])){
		      Message('',$_lang["common_param_error"],'failed');
		      exit;
		  }
		}
		$row = $customer->getDataOne('customer AS c, user AS u','u.*',"CUSTOMER_ID=".$_REQUEST['customer_id']." AND c.MANAGE_USER=u.USER_ID");
		if($row)
		{
			$u_name	= $row["USER_NAME"];
			$u_id	= $row["USER_ID"];
		}
		echo json_encode(array(
			"u_name" => $u_name,
			"u_id" => $u_id
		));
		break;
	case 'add_business':
		$OPER_NAME  = $_REQUEST["OPERATION_MAME"];
		$customer   = new customer();
		$OPER_MONEY = str_replace(",","", $OPER_MONEY);
		$_REQUEST["OPER_MONEY"] = str_replace(",","", $_REQUEST["OPER_MONEY"]);

		//计算业务机会阶段的总数
		$row = $customer->getDataOne('combocox_child','COUNT(*) AS CNT',"CC_PARENT_ID=32");
		if($row) {
			if($row["CNT"] >0) {
				$num = $row["CNT"];
			} else {
				$num = 100;
			}
		}

		if($num!=0) {
			$OP_INDEX = $OPTION_INDEX+1;
		} else {
			$OP_INDEX = 0;
		}

		if($_REQUEST["f"] !="edit") {
			$OPER_NAMES = convertPy($OPPOTUNITY_NAME);
			//计算业务机会星级显示的公式
			$OPER_START = ($OPER_ORIGIN/100 + $OP_INDEX/$num)*2.5;

			$inarr = array(trim(dhtmlspecialchars($OPPOTUNITY_NAME)),$LOGIN_USER_ID,$CUSTOMER_ID,$OPER_TYPE,$OPER_MONEY,$BEGIN_DATE,$OPER_ORIGIN,$OPERATION_STEP,$OPER_SOURCE,$OPER_NOTE,trim($OPER_NAMES[0]),trim($OPER_NAMES[1]),date("Y-m-d H:i:s",time()),$OPER_START,$OPER_STATUS);

			$customer->saveData("OPERATION", $inarr);

			$oper_content = $LOGIN_USER_NAME." ".$_lang["customer_add_operation"];
			$oper_id = $customer->get_max_oper_id();
			$inarrs  = array($oper_id["mp_id"],0,$_REQUEST["OPER_ORIGIN"],$_REQUEST["OPERATION_STEP"],$oper_content,date("Y-m-d H:i:s"),$LOGIN_USER_ID);

			$customer->saveData("OPER_RECORDS",$inarrs);

			$factory    = new PageFactory();
			$factory->saveFieldValuse('OPERATION',$oper_id["mp_id"],'OPER_ID');
		} else {
			$OPER_START = ($_REQUEST["OPER_ORIGIN"]/100 + $OP_INDEX/$num)*2.5;
			$_REQUEST["OPER_START"] = $OPER_START;
			$row = $customer->getDataOne('operation','*',"OPER_ID='".$_REQUEST["OPER_ID"]."'");
			if($row) {
				$OPER_ORIGINS = $row["OPER_ORIGIN"];
				$OPER_STEP   = $row["OPER_STEP"];
			}
			$customer->saveEditData("OPERATION", $_REQUEST, $_REQUEST["OPER_ID"]);

			$factory = new PageFactory();
			$factory->saveFieldValuse('OPERATION',$_REQUEST["OPER_ID"],'OPER_ID');

			if($OPER_ORIGINS != $_REQUEST["OPER_ORIGIN"] || $OPER_STEP != $_REQUEST["OPER_STEP"]) {
				$contents = $LOGIN_USER_NAME.$_lang["customer_oper_edit"];
				$inarr = array($_REQUEST['OPER_ID'],$OPER_ORIGINS,$_REQUEST['OPER_ORIGIN'],$_REQUEST['OPER_STEP'],$contents,date("Y-m-d",time()),$LOGIN_USER_ID);
				$customer->saveData("OPER_RECORDS",$inarr);
			}
		}

		if ($_REQUEST["f"]=="edit") {
			header("location:operation.php");
		}else{
			header("location:operation.php");
		}
		break;
	case 'insert_opercord':

		$OPER_STEP  = $_REQUEST["OPER_STEP"];
		$content    = $_REQUEST["OPER_NOTE"];
		if($_REQUEST['OPER_ID'])
		{
		  if(!is_numeric($_REQUEST['OPER_ID'])){
		      Message('',$_lang["common_param_error"],'failed');
		      exit;
		  }
		}
		$oper_id    = $_REQUEST["OPER_ID"];
		$po         = $_REQUEST["OPER_PO"];
		$add_po     = $_REQUEST["add_po"];
		$min_po     = $_REQUEST["min_po"];

		if($min_po) {
			$min_po = "-".$min_po;
		}

		$row = $customer->getDataOne('combocox_child','COUNT(*) AS CNT',"CC_PARENT_ID=32");
		if($row) {
			if($row["CNT"] >0) {
				$num = $row["CNT"];
			}
		}

		$row = $customer->getDataOne('oper_records','OPRE_ID,THIS_PO',"OPER_ID='$oper_id' ORDER BY OPRE_ID DESC LIMIT 1");
		if($row) {
			$this_po = $row["THIS_PO"];
		}

		if($add_po) {
			$new_this_po = $this_po+$add_po;
		} else if($min_po){
			$new_this_po = $this_po+$min_po;
		} else {
			$new_this_po = $this_po+$po;
		}

		$data = array(
				'OPER_ID'	=> $oper_id,
				'LAST_PO'	=> $this_po,
				'THIS_PO'	=> $new_this_po,
				'OPER_STEP'	=> $OPER_STEP,
				'OPER_TEXT'	=> $content,
				'RE_DATE'	=> date("Y-m-d"),
				'CREATEOR'	=> $LOGIN_USER_ID
			);
		$customer->addData('oper_records',$data);

		$OPER_START = ($new_this_po/100 + ($OPTION_INDEX+1)/$num)*2.5;
		$data = array(
				'OPER_ORIGIN'	=> $new_this_po,
				'OPER_STEP'		=> $OPER_STEP,
				'OPER_START'	=> $OPER_START
			);
		$customer->updateData('operation',$data,"OPER_ID='".$oper_id."'");
		header("location:oper_detail.php?OPER_ID=".$oper_id);
		break;
	case 'search_where':
		$where_str	 = array();
		$sql = "";

		if (trim($_REQUEST["OPER_NAME"]) != "") {
			$where_str['OPER_NAME'] = dhtmlspecialchars($_REQUEST["OPER_NAME"]);
		}

		if (trim($_REQUEST["OPER_TYPE"]) != "") {
			$where_str['OPER_TYPE'] = $_REQUEST["OPER_TYPE"];
		}
		if (trim($_REQUEST["CUSTOMER_ID"]) != "") {
			$where_str['CUSTOMER_ID'] = $_REQUEST["CUSTOMER_ID"];
		}
		if (trim($_REQUEST["OPER_POSSIBLE"]) != "") {
			$where_str['OPER_POSSIBLE'] = dhtmlspecialchars($_REQUEST["OPER_POSSIBLE"]);
		}

		if (trim($_REQUEST["OPER_MONEY"]) != "") {
			$where_str['OPER_MONEY'] = dhtmlspecialchars($_REQUEST["OPER_MONEY"]);
		}

		if (trim($_REQUEST["OPER_DATE"]) != "") {
			$where_str['OPER_DATE'] = $_REQUEST["OPER_DATE"];
		}

		if (trim($_REQUEST["OPER_SOURCE"]) != "") {
			$where_str['OPER_SOURCE'] = $_REQUEST["OPER_SOURCE"];
		}

		if (trim($_REQUEST["OPERATION_STEP"]) != "") {
			$where_str['OPERATION_STEP'] = $_REQUEST["OPERATION_STEP"];
		}

		if (trim($_REQUEST["CREATOR"]) != "") {
			$where_str['CREATOR'] = dhtmlspecialchars($_REQUEST["CREATOR"]);
		}

		if (trim($_REQUEST["OPER_STATUS"]) != "") {
			$where_str['OPER_STATUS'] = $_REQUEST["OPER_STATUS"];
		}


		if (trim($_REQUEST["CREATE_DATE"]) != "") {
			$where_str['CREATE_DATE'] = $_REQUEST["CREATE_DATE"];
		}
		if (trim($_REQUEST["CREATE_DATE2"]) != "") {
			$where_str['CREATE_DATE2'] = $_REQUEST["CREATE_DATE2"];
		}

		$SearchOtherField  = $_REQUEST['SearchOther'];
		if($SearchOtherField=="")
		{
			$OtherFieldObj    = new PageFactory();
			$SearchOtherField = $OtherFieldObj->getSetFieldSql('OPERATION');
		}
		else
		{
			$SearchOtherField = urldecode($SearchOtherField);
			$SearchOtherField = str_replace('\\','',$SearchOtherField);
		}

		if (trim($SearchOtherField) != "") {
			$where_str['OTHER_FIELD'] = $SearchOtherField;
		}


		if($where_str) {
			foreach($where_str as $key=>$value) {
				if($key == "OPER_NAME") {
					$sql .= " AND o.OPER_NAME LIKE '%".$value."%'";
				} else if($key == "OPER_TYPE") {
					if($value != "") {
						$sql .= " AND o.OPER_TYPE=".$value;
					}
				} else if($key == "CUSTOMER_ID") {
					$sql .= " AND o.CUSTOMER_ID=".$value;
				} else if($key == "OPER_POSSIBLE") {
					if(is_numeric($value)) {
						$sql .= " AND o.OPER_ORIGIN<='".$value."'";
					} else {
						$sql .= " AND o.OPER_ORIGIN LIKE '%".$value."%'";
					}
				} else if($key == "OPER_MONEY") {
					if(is_numeric($value)) {
						$sql .= " AND cast(o.OPER_MONEY as signed) <=".$value;
					} else {
						$sql .= " AND o.OPER_MONEY LIKE '%".$value."%'";
					}
				} else if($key == "OPER_DATE") {
					$sql .= " AND o.OPER_DATE<='".$value."'";
				} else if($key == "CREATE_DATE") {
					$sql .= " AND o.CREATE_TIME>='".$value." 00:00:00'";
				}  else if($key == "CREATE_DATE2") {
					$sql .= " AND o.CREATE_TIME<='".$value." 23:59:59'";
				}  else if($key == "OPER_SOURCE") {
					if($value != "") {
						$sql .= " AND o.OPER_SOURCE=".$value;
					}
				} else if($key == "OPERATION_STEP") {
					if($value != "") {
						$sql .= " AND o.OPER_STEP=".$value;
					}
				} else if($key == "OTHER_FIELD") {
					$sql .= " ".$value;
				} else if($key == "CREATOR") {
					if(strpos($value,',')){
						$userids = str_replace(",","','",rtrim($value,','));
						$sql .= " AND o.CREATOR IN('".$userids."')";
					}else{
						$sql .= " AND o.CREATOR='".$value."'";
					}
				} else if($key == "OPER_STATUS") {
					if($value != "") {
						$sql .= " AND o.OPER_STATUS=".$value;
					}
				}
			}
		}
		echo $sql;
		break;
	default :
		break;
}
?>