<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      业务机会新建页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/operation_new.php
 * @version       24
 * @author        Qu|www.weaver.com.cn
 * @date          2012-11-28
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/field_set.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

//自定义字段的显示
$OtherFieldObj   = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('OPERATION',$OPER_ID,'OPER_ID','form1','edit');

if($_REQUEST['customer_id'])
{
  if(!is_numeric($_REQUEST['customer_id'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}

$CUSTOMER_ID = $_REQUEST["customer_id"];

$PAGE_TITLE = $_lang["customer_add_operation"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>

<link href="/newplugins/css/style.css" rel="stylesheet" />
<script>
var check_notify;
function hide_layer() {
	document.getElementById('layer').style.display = 'none';
}

function LoadWindow(id,name,form,dialog_div,isRequire)
{
 
    URL="/general/crm/linkman/customer_select/index.php?id="+id+"&name="+name+"&form="+form+"&dialog_div="+dialog_div+"&isRequire="+isRequire;
  	$("#Div_Customer_Dialog").attr("src",URL);
  	$(".Div_Customer_Dialog").dialog("open");
}

function check_num(num){	
	if(num.value != "") {
		if(!isInteger(num.value) || num.value.match(/-/) ){
			if (check_notify) {
				check_notify.pnotify_remove();
			}

			check_notify=$.pnotify({
		        text: "<?=$_lang["customer_mustbe_numbers"]?>",
		        type : "error",
		        animate_speed:"fast",
		        delay:"1500",
		    }).click(function(event) {
		    	check_notify.pnotify_remove();
		    });
			num.value = "";
			document.getElementById(num.id).focus();		
		}
		if(num.value>100 || num.value<0) {
			if (check_notify) {
				check_notify.pnotify_remove();
			}

			check_notify=$.pnotify({
		        text: "<?=$_lang["customer_num_not_legal"]?>",
		        type : "error",
		        animate_speed:"fast",
		        delay:"1500",
		    }).click(function(event) {
		    	check_notify.pnotify_remove();
		    });
			num.value = "";
			document.getElementById(num.id).focus();		
		}
	}
}

function checkForm() {
	var o_name      = document.getElementById("OPPOTUNITY_NAME");
	var possnum     = document.getElementById("OPER_ORIGIN");
	var customer_id = document.getElementById("CUSTOMER_ID");
	var returnValue = true;

	if(trim(o_name.value)=="") {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_opername_first"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		o_name.focus();
		return false;
	}
	
	if('<?=$OtherFieldArray ["MustInput"]?>'!=""){
		var returnValue = checkMustInput('<?=$OtherFieldArray["MustInput"]?>');
	}

	if(customer_id.value=="") {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_choose_customer"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		return false;
	}

	if(parseInt(possnum.value) <0 || parseInt(possnum.value)>100) {
		if (check_notify) {
			check_notify.pnotify_remove();
		}

		check_notify=$.pnotify({
	        text: "<?=$_lang["customer_oper_error_comssoble"]?>",
	        type : "error",
	        animate_speed:"fast",
	        delay:"1500",
	    }).click(function(event) {
	    	check_notify.pnotify_remove();
	    });
		possnum.value="";
		possnum.focus();
		return false;
	}
	if(returnValue!=false){
		document.form1.submit();
		//document.getElementById("submit").disabled = true;
	}	
}

//获取选中的业务机会阶段的索引
function getIndex() {
	var selected = document.getElementById("OPERATION_STEP");
	document.getElementById("OPTION_INDEX").value = selected.selectedIndex;
}

</script>
<body>
<div class="lazy_header">
	<span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_create_operation"]?></span></span>
	<a class="btn btn-default" onclick="location='operation.php'"><?=$_lang["common_back"]?></a>
	<a class="btn btn-primary"  onclick="checkForm();"><?=$_lang["common_save"]?></a>
</div>

<div class="Div_Customer_Dialog">
    <iframe style="width:100%;border:none;height:100%;" frameborder="0" id="Div_Customer_Dialog"></iframe>
</div>
<div class="main_wrap">
<form action="/general/crm/customer/operation_do.php?op=add_business&back=<?=$_REQUEST["back"]?>" method="post" name="form1" id="form1">
<input type='hidden' name='new_customer' value='new_customer'>
<table width="100%" class="form_table">
	<!--客户名称-->
    <tr>
		<td class="title"><?=$_lang["customer_linkman_bel_to"]?></td>
		<td>
			<input type="hidden" name="CUSTOMER_ID" id="CUSTOMER_ID" value='<?=$customer_id?>'>
			<input type="text" name="CUSTOMER_NAME" id="CUSTOMER_NAME" class="require" size="20" maxlength="100" readonly>	      					
			<a class="btn btn-primary" onClick="LoadWindow('CUSTOMER_ID','CUSTOMER_NAME','form1','Div_Customer_Dialog',1)"><?=$_lang["common_choose"]?></a>
		</td>
		<td class="title"><?=$_lang["customer_oper_status"]?></td>
		<td>
		 <select  name='OPER_STATUS' data-height="35" data-width="145">
		 	<option value='0' <? if($row["OPER_STATUS"] == 0) echo "selected";?>><?=$_lang["common_choose"]?></option>
			<?=show_info(18)?>
		 </select>
		</td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_oppotunity_name"]?></td>
		<td>
			<input type="text" id="OPPOTUNITY_NAME" name="OPPOTUNITY_NAME" class="require" size="20" maxlength="25"  value="">
			<input type="hidden" name="MANAGE_USER" id="MANAGE_USER" value="">
		</td>
		<td class="title"><?=$_lang["customer_operation_creator"]?></td>
		<td><input type="text" class="" readonly value="<?=$LOGIN_USER_NAME?>" size="20"></td>
	</tr>
	<!-- 业务类型 -->
	<tr>
		<td class="title"><?=$_lang["customer_operation_unm"]?></td>
		<td>
			<select name="OPER_TYPE" data-height="35" data-width="145">
				<?=show_info(29)?>
			</select>
		</td>
		<!--金额-->
		<td class="title"><?=$_lang["customer_operation_money"]?></td>
		<td>
			<input type="text" name="OPER_MONEY" id="OPER_MONEY" value="" class="" size="20" maxlength="20">
			<!--onkeyup="thousandFormat(this);"-->
		</td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_operation_date"]?></td>
		<td>
			<input class='library_date' type="text" name="BEGIN_DATE" id="BEGIN_DATE" value="" size="20" maxlength="100"/>
		</td>
		<!-- 可能性 -->
		<td class="title"><?=$_lang["customer_operation_comssoble"]?></td>
		<td>
			<input type="text" id="OPER_ORIGIN" name="OPER_ORIGIN" value="" class="" size="20" maxlength="11" onkeyup="check_num(this);">&nbsp;&nbsp;<?=$_lang["customer_operation_express"]?>
		</td>
	</tr>
	<!-- 业务来源 -->
	<tr>
		<td class="title"><?=$_lang["customer_operation_source"]?></td>
		<td>
		 <select  name='OPER_SOURCE' data-height="35" data-width="145">
			<?=show_info(30)?>
		 </select>
		</td>
		<!--业务阶段-->
		<td class="title"><?=$_lang["customer_operation_step"]?></td>
		<td>
			<select name='OPERATION_STEP' id='OPERATION_STEP' data-height="35" data-width="145" onchange="getIndex();">
			   <?=show_info(32)?>
			</select>
		</td>
	</tr>
	<!-- 业务备注 -->
    <tr>
		<td class="title"><?=$_lang["customer_operation_note"]?></td>
		  <td colspan="3">
          <textarea id="OPER_NOTE" name="OPER_NOTE" style="width:92%;height:100px;border-color:#ff5a00"></textarea>
          <script type="text/javascript">
          	UE.getEditor('OPER_NOTE',{
		           zIndex:1,
		           autoHeightEnabled: false,
				   toolbars:[['bold','italic','underline','forecolor','backcolor','|',            'fontsize','|','scrawl','|','justifyleft','justifycenter','justifyright']]
		        });
          </script>
      </td>
	</tr>
</table>
<input type="hidden" name="OPTION_INDEX" id="OPTION_INDEX" value="">
<!--自定义字段-->
<?=$OtherFieldArray['Page']?>
</form>
<div id="existcustomername" style="width:auto;height:auto;position:absolute;background:#FFFFFF;cursor:hand;display:none;padding:1px;border:dashed 1px">
</div>
</div>
</body>
</html>
<script type="text/javascript">
	$(".library_date").datepicker({
		beforeShow:function(a,b){
			setTimeout(function(){
	            b.dpDiv.css('z-index', 9999);
	        }, 100);
		}
	});
	$(".library_time").timepicker();
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});
</script>
<script type="text/javascript">
$(function(){
	$(".main_wrap").height($(window).height()-40).niceScroll();

	$(".Div_Customer_Dialog").dialog({
	    autoOpen: false,
	    width: 600,
	    modal: true,
	    height:470,
	    dialogClass:"lazy_dialog",  //此行必须有
	    resizable:false
	});

	if("<?=$CUSTOMER_ID?>"){
		$.ajax({
			url: '/general/crm/customer/new/business/do.php',
			type: 'POST',
			data: 'op=getManagerUser&customer_id=<?=$CUSTOMER_ID?>',
			success:function(data){
				if (data) {
					var parsedData = $.parseJSON(data);
					$("#MANAGE_USER").val(parsedData['u_id']);
				}
			}
		});
	}else{
		$("#MANAGE_USER").val("<?=$_SESSION['LOGIN_USER_ID']?>");
	}

	$("#OPPOTUNITY_NAME").keyup(function(event) {
		var OPPOTUNITY_NAME = $("#OPPOTUNITY_NAME").val();
		if (OPPOTUNITY_NAME!="") {
			$("#OPPOTUNITY_NAME").attr("class","");
		}else{
			$("#OPPOTUNITY_NAME").attr("class","require");
		}

	});
        //=====================update by lizhijun=============================//
        $.pnotify.defaults.styling = "bootstrap3";
        $.pnotify.defaults.closer = false;
        $.pnotify.defaults.sticker = false;
        $.pnotify.defaults.history = false;
        $.pnotify.defaults.delay = 3000;
        $.pnotify.defaults.addclass = "stack-topright";
        $.pnotify.defaults.animate_speed = 'fast';
        $.pnotify.defaults.type = "error";
        $(".require").each(function(i,v){
            if($(this).val() != ""){
                $(this).removeClass("require");
            }
        })
        $(".customDate").datepicker({
                onClose:function(ui,data)
                {
                    var fieldId = data.id.substr(11,data.id.length);
                    fieldStr    = getFieldInfo('operation',fieldId);
                    fieldInfo   = $.parseJSON(fieldStr);
                    $.trim($(this).val()) != ""?$(this).removeClass("require"):(fieldInfo.F_PROPERTY == "1"?$(this).addClass("require"):"");
                }
        });

		$("select").selectpicker({width:200});
		$("input").css("width","200");
});

function display_customer(){
	var CUSTOMER_NAME = $("#CUSTOMER_NAME").val();
	if (CUSTOMER_NAME!="") {
		$("#CUSTOMER_NAME").attr("class","");
	}else{
		$("#CUSTOMER_NAME").attr("class","require");
	}
}
</script>