<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      首页最新客户页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/query/index.php
 * @version       11
 * @author        Qu|www.weaver.com.cn
 * @date          2012-03-31
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/conn.php");
includelangpak("customer");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('502,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["customer_crm_cus_manage"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypagination.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypinyinsearch.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazyquicksort.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/imp_exp/imp_exp.js"></script>
<SCRIPT type="text/javascript" src="/inc/calendar/calendar.js"></SCRIPT>
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script>	
var MyLazyGrid;
	$(document).ready(function() {
			function LazyGridCallback(){
				$(":checkbox").LazyBeautifyCheckBox();
			}

			MyLazyGrid = $("#myTable").LazyGrid({
				pinyinsearch : {
					defaultValue:"all"
				},
				quicksort : {
					mainID : "business_1",
					width : 150,
					defaultValue:"all"
				},
				theme : "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/",
			/*
			 * 分页参数
			 */
			pagination : {	
				pageCount : 15//每页条数，默认为12
			},
			defaultSortField:"CUSTOMER_ID",
				defaultSortOrder:"DESC",
			buttons:[{
			type:"checkall",
			name:"customer_id"
			},
			{
				type:"normal",
				text:'<?=$_lang["customer_all_delete"]?>',
				callback:del_add
			},
			{
				type:"search",
				url:"/general/crm/customer/query/search.php",
				width:"380",
				height:"400",
				caption:"<?=$_lang["customer_cus_search"]?>"
			}],
			callback:{
				complete:LazyGridCallback
			},
			url : '/general/crm/customer/show_cust.php' //数据处理页面
		});
		$("body").LazyBeautifyForm();
	});

function showlinkman(customer_id)
{
	url = "/general/crm/linkman/query/list.php?BE_CALLED=YES&CUSTOMER_ID="+customer_id;
	myleft=(screen.availWidth-800)/2;
	window.open(url,"read_notify","height=500,width=800,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=250,left=300,resizable=yes");
}

function contact(CUSTOMER_ID)
{
	URL="/general/crm/contact/query/list.php?BE_CALLED=YES&CUSTOMER_ID2="+CUSTOMER_ID;
	myleft=(screen.availWidth-800)/2;
	window.open(URL,"read_notify","height=600,width=800,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=50,left=100,resizable=yes");
}

function product(CUSTOMER_ID)
{
	URL="/general/sale/sale_history/query/list.php?BE_CALLED=YES&CUSTOMER_ID2="+CUSTOMER_ID;
	myleft=(screen.availWidth-800)/2;
	window.open(URL,"read_notify","height=600,width=800,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=50,left=100,resizable=yes");
}

function customer_detail(customer_id,dept_id)
{
	var url	= "/general/crm/customer/customer.php?CUSTOMER_ID="+customer_id+"&dept_id="+dept_id;
	window.open(url,"","height=650,width=900,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=30,left=30,resizable=yes");
}

function linkman_detail(linkman_id)
{
	URL="/general/crm/linkman/detail.php?linkman_id="+linkman_id;
	myleft=(screen.availWidth-500)/2;
	window.open(URL,"","height=550,width=450,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=100,left="+myleft+",resizable=yes");
}

function edit_customer(customer_id)
{
	var url	= "/general/crm/customer/edit.php?CUSTOMER_ID="+customer_id+"&cur_page="+$(".pagination").data("current_page")+"&edit_type=query_index";
	location	= url;
}

function del_customer(customer_id, cur_page)
{
	var msg	= '<?=$_lang["common_del_alert"]?>';
	if(window.confirm(msg))
	{
		$.ajax({
			url:"/general/crm/customer/delete.php?CUSTOMER_ID="+customer_id+"&cur_page="+$(".pagination").data("current_page")+"&del_type=query_index"	
		}).done(function(result) {
			if(result == "success") {
				MyLazyGrid.Reload();
			} else {
				alert("Error");
			}
		}).fail(function() {
			alert("Error");
		})
	}
}

function move_customer(customer_id)
{
	var url = "/general/crm/customer/move.php?CUSTOMER_ID="+customer_id+"&cur_page="+$(".pagination").data("current_page");
	location   = url;
}

function exports(){
	document.form2.submit();
}

/*批量删除*/
function del_add() {	
	var customer_ids = document.getElementsByName('customer_id');
	var url = '/general/crm/customer/delete_all.php';
	var i,cids = '';
	for( i = 0; i< customer_ids.length; i++) {
		if(customer_ids[i].checked == true) {
			cids += customer_ids[i].value + ',';
		}
	}
	cids = cids.substr( 0,(cids.length-1) );
	if(cids=='') {
		alert('<?=$_lang["customer_choose_customer"]?>');
		return false;
	} else {
		if(!confirm("<?php echo $_lang['customer_sure_want_del']?>"))
			return false;

		$.ajax({
				type:'POST',
				data:'cids='+cids+'&tablename=CUSTOMER',
				url:url,
				success:function(data)
				{
					if(data == '1') {
						alert("<?php echo $_lang['customer_delete_success'];?>!");
						window.location.href='index.php?cur_page='+$(".pagination").data("current_page");
					} else {
						var del_info_table = document.getElementById('delete_log');
						init_del_table(del_info_table);
						eval('var del_log = ' + data  );
						show_del_info(del_info_table, del_log);
					}
				}
		});
	}
}
</script>
</head>
<body>
<table border="0" width="100%" cellspacing="0" cellpadding="3">
  <tr>
    <td><span class="page-title"><?=$_lang["customer_query_read_mass"] ?></span>
    </td>
    <td>
		<? pageHeadItem("customer",1,1,1,1)?>
    </td>
  </tr>
  <tr><td colspan="2">
	<div class='bg-split' style="margin-bottom:5px; margin-top:5px;"></div></td></tr>
</table>
<div id="myTable"></div>
<form id="form2" name="form2" action="export.php" method="post">
	<input type="hidden" name="query" value="<?=$query?>" >
	<input type="hidden" name="export_type" value="index" >
</form>
</body>
</html>
