<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户详情的联系记录链接页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/record_list.php
 * @version       19
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-21
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("inc/conn.php");
includelangpak("customer");
includelangpak("other");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('504,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$CUSTOMER_ID = $_GET["CUSTOMER_ID"];
$customer	 = new customer();
$info        = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);
$type='only';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypagination.js"></script>
<script src="/inc/lab_tag.js"></script>
<script>
var myLazyGrid;
	$(document).ready(function() {
		myLazyGrid = $("#myTable").LazyGrid({
			showSearchCondition:false,
			pagination : {	
				pageCount : 15//每页条数，默认为12
			},
			defaultSortField:"RE_ID",
				defaultSortOrder:"DESC",
			url:"show_record.php?back=true&CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>", //数据处理页面
			theme:'<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/'
		});
		$("body").LazyBeautifyForm();
	});

	function record_detail(re_id) {
		var url = "record_detail.php?RE_ID="+re_id;
		window.open(url,"","height=650,width=900,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=30,left=30,resizable=yes");
	}

	function delete_record(re_id) {
		var msg	= "<?=$_lang['common_del_alert']?>";
		if(window.confirm(msg))
		{
			$.ajax({
				url:"del_record.php?RE_ID="+re_id+"&CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>"
			}).done(function(result) {
				if(result == "success") {
					myLazyGrid.Reload();
				} else {
					alert("Error");
				}
			}).fail(function() {
				alert("Error");
			})
		}
	}

	function edit_record(record_id) {
		 var url  = "/general/crm/customer/record_edit.php?RE_ID="+record_id+"&CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>&back=true";
		 location = url;
	}	

	function customer_detail(customer_id)
	{
		var url	= "/general/crm/customer/customer.php?CUSTOMER_ID="+customer_id;
		window.open(url,"","height=650,width=900,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=30,left=30,resizable=yes");
	}
</script>
</head>
<body>
<table border="0" width="100%" cellspacing="0" cellpadding="3">
  <tr>
	   <td align="center">
		   <a href='/general/crm/customer/customer.php?CUSTOMER_ID=<?=stripslashes($_REQUEST["CUSTOMER_ID"])?>'><font size='5'><B><?=$info["CUSTOMER_NAME"]?><B></font></a>
	   </td>
  </tr>
  <tr height="45">
	 <td>
		 <div id="tabs" >
				<script>	
					createTag("/general/crm/customer/customer.php?CUSTOMER_ID=<?=$_REQUEST['CUSTOMER_ID']?>&back=true",'<?=$_lang["customer_info_share"]?>','<?=$type?>','<?=$id?>');
					createTag("/general/crm/linkman/link_list.php?CUSTOMER_ID=<?=$_REQUEST['CUSTOMER_ID']?>&back=true",'<?=$_lang["customer_contact_info"]?>','<?=$type?>','<?=$id?>');
					createTag("/general/crm/customer/operation_list.php?CUSTOMER_ID=<?=$_REQUEST['CUSTOMER_ID']?>&back=true",'<?=$_lang["customer_operation_info"]?>','<?=$type?>','<?=$id?>');
					createTag("/general/crm/customer/record_list.php?CUSTOMER_ID=<?=$_REQUEST['CUSTOMER_ID']?>&back=true",'<?=$_lang["customer_relation_record_info"]?>','<?=$type?>','<?=$id?>','1');
					createTag("/general/crm/customer/contract_list.php?CUSTOMER_ID=<?=$_REQUEST['CUSTOMER_ID']?>&back=true",'<?=$_lang["customer_crm_contract_mgr"]?>','<?=$type?>','<?=$id?>');
				</script>
			</div> 
		</td>
	</tr>
  <tr>
    <td >
		<div style="float: right;margin-right: 10px;">
			<input type="button" id="new" value="<?=$_lang["common_new"]?>" href="#" onclick="location='relation_record_new.php?CUSTOMER_NAME=<?=$CUSTOMER_NAME?>&customer_id=<?=$_GET["CUSTOMER_ID"]?>&back=true';"/>
		</div>
		<? pageHeadItem("customer",1,1,1,1) ?>
    </td>
  </tr>
  <tr>
	<td colspan="2">
		<div class='bg-split' style="margin-bottom:5px; margin-top:5px;"></div>
	</td>
  </tr>
</table>
<div id="myTable"></div>
</body>
</html>
