<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户的数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/show_cust.php
 * @version       16
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-14
 */
include_once 'inc/conn.php';
include_once("inc/utility_all.php");
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

$customer = new customer();
//快速筛选参数
$quickSortParam = $_REQUEST['quickSortParam'];
//拼音检索参数
$pinYinSearchParam = $_REQUEST['pinYinSearchParam'];
$offset = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows   = $_REQUEST['paginationRows'];

//排序参数
$sortParamRequest = $_REQUEST['sortParam'];
$sortParamSplit   = explode("*", $sortParamRequest);

$where_str   = array();
$searchArray = array();
if (trim($_REQUEST["MANAGE_USER"]) != "") {
	$where_str['MANAGE_USER'] = $_REQUEST["MANAGE_USER"];
	array_push($searchArray, array(
			"field" => "MANAGE_USER",
			"title" => $_lang["customer_query_cus_man"],
			"text"  => getUserNameNew($_REQUEST["MANAGE_USER"]),
			"value" => $_REQUEST["MANAGE_USER"],
			"op"    => $_lang["customer_field_equal"]
	));
}
if (trim($_REQUEST["CUSTOMER_NAME"]) != "") {
	$where_str['CUSTOMER_NAME'] = dhtmlspecialchars($_REQUEST["CUSTOMER_NAME"]);
	array_push($searchArray, array(
			"field" => "CUSTOMER_NAME",
			"title" => $_lang["customer_crm_cust_name"],
			"text"  => dhtmlspecialchars($_REQUEST["CUSTOMER_NAME"]),
			"op"    => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["CUSTOMER_TYPE"]) != "" && trim($_REQUEST["CUSTOMER_TYPE"]) != "0") {
	$where_str['CUSTOMER_TYPE'] = $_REQUEST["CUSTOMER_TYPE"];
	array_push($searchArray, array(
			"field" => "CUSTOMER_TYPE",
			"title" => $_lang["customer_query_cus_type"],
			"text"  => $_REQUEST["CUSTOMER_TYPE_text"],
			"value" => $_REQUEST["CUSTOMER_TYPE"],
			"op"	=> $_lang["customer_field_equal"]
	));
}
if (trim($_REQUEST["TEL_NO"]) != "") {
	$where_str['TEL_NO'] = dhtmlspecialchars($_REQUEST["TEL_NO"]);
	array_push($searchArray, array(
			"field" => "TEL_NO",
			"title" => $_lang["customer_TEL_NO"],
			"text"  => dhtmlspecialchars($_REQUEST["TEL_NO"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}
if (trim($_REQUEST["FAX_NO"]) != "") {
	$where_str['FAX_NO'] = dhtmlspecialchars($_REQUEST["FAX_NO"]);
	array_push($searchArray, array(
			"field" => "FAX_NO",
			"title" => $_lang["customer_FAX_NO"],
			"text"  => dhtmlspecialchars($_REQUEST["FAX_NO"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}
if (trim($_REQUEST["CUSTOMER_WWW"]) != "") {
	$where_str['CUSTOMER_WWW'] = dhtmlspecialchars($_REQUEST["CUSTOMER_WWW"]);
	array_push($searchArray, array(
			"field" => "CUSTOMER_WWW",
			"title" => $_lang["customer_CUSTOMER_WWW"],
			"text"  => dhtmlspecialchars($_REQUEST["CUSTOMER_WWW"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["EMAIL"]) != "") {
	$where_str['EMAIL'] = dhtmlspecialchars($_REQUEST["EMAIL"]);
	array_push($searchArray, array(
			"field" => "EMAIL",
			"title" => $_lang["customer_EMAIL"],
			"text"  => dhtmlspecialchars($_REQUEST["EMAIL"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["CUSTOMER_ADD"]) != "") {
	$where_str['CUSTOMER_ADD'] = dhtmlspecialchars($_REQUEST["CUSTOMER_ADD"]);
	array_push($searchArray, array(
			"field" => "CUSTOMER_ADD",
			"title" => $_lang["customer_CUSTOMER_ADD"],
			"text"  => dhtmlspecialchars($_REQUEST["CUSTOMER_ADD"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["POSTALCODE"]) != "") {
	$where_str['POSTALCODE'] = dhtmlspecialchars($_REQUEST["POSTALCODE"]);
	array_push($searchArray, array(
			"field" => "POSTALCODE",
			"title" => $_lang["customer_POSTALCODE"],
			"text"  => dhtmlspecialchars($_REQUEST["POSTALCODE"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

$SearchOtherField  = $_REQUEST['SearchOther'];
if($SearchOtherField=="")
{
	$OtherFieldObj    = new PageFactory();
	$SearchOtherField = $OtherFieldObj->getSetFieldSql('CUSTOMER');
}
else
{
	$SearchOtherField = urldecode($SearchOtherField);
	$SearchOtherField = str_replace('\\','',$SearchOtherField);
}

if (trim($SearchOtherField) != "") {
	$where_str['OTHER_FIELD'] = $SearchOtherField;
	$customer_field = $OtherFieldObj->getSetFieldValue('CUSTOMER');
	foreach($customer_field as $key=>$value) {
		foreach($value as $field=>$title) {
			if($field!="F_TYPE") {
				array_push($searchArray, array(
						"field" => $title,
						"title" => $field,
						"text" => dhtmlspecialchars($_REQUEST[$title]),
						"op" => $_lang["customer_field_contain"]
				));
			}
		}
	}
}

if (count($searchArray) != 0&&$_REQUEST["op"]=="search") {
	AddRecentSearchParam($searchArray, "business_1", $_SESSION["LOGIN_USER_ID"]);
}

$info = $customer->get_customer_sql_string(0,$sortParamSplit[0],$sortParamSplit[1],$pinYinSearchParam,$where_str,$offset,$rows,$quickSortParam);

$count = 0;

if($info[1][CUSTOMER_ID] != '') {
	for($i=0;$i<count($info);$i++)
	{
		$count++;
		if($count==1)
		{
			$resultStr .= "<table class='pubtable' border='0' width='100%' cellspacing='0' cellpadding='0'>";
		}
		
		$customers	= $customer->get_customer_info($info[$count][CUSTOMER_ID]);
		$purview_ses = "<a href='#' onclick=\"customer_detail('".$info[$count][CUSTOMER_ID]."','".$info[$count][DEPT_ID]."');\">".substrGB($customers["CUSTOMER_NAME"],30,'...')."</a>";
		
		if(trim($info[$count][MANAGE_USER]) == $LOGIN_USER_ID && $_REQUEST["method"] != 'search1' && $_REQUEST["method"] != 'search2')
			$csm_edit_mark = 1;
		else
			$csm_edit_mark = 0;	

		$resultStr .= "<tr><td>";	
		if( $csm_edit_mark ){
			$resultStr .= "<input type='checkbox' id='customer_id[]' name='customer_id' class='checkbox' value=".$info[$count][CUSTOMER_ID].">";
		}
		$resultStr .= "</td><td title=".$customers["CUSTOMER_NAME"].">".$purview_ses."</td>"."
		<td title=".$info[$count][TEL_NO].">".substrGB($info[$count][TEL_NO],30,'...')."</td><td>".substrGB($info[$count][USER_NAME],30,'...');

		 if($info[$count][DEPT_ID] == 0):
		 	$resultStr .= "<font color='red'>('".$_lang["customer_manage_dimission"]."')</font>";
		 elseif(empty($info[$count][USER_ACCOUNTS])):
		 	$resultStr .= "<font color='blue'>('".$_lang["customer_manage_del"]."')</font>";
		 endif;
		$resultStr .= "</td><td title=".$type_name.">".substrGB(get_info(4,$info[$count][CUSTOMER_TYPE],1),30,'...')."</td><td><a href='#' onclick=\"showlinkman('".$info[$count][CUSTOMER_ID]."')\">".$_lang["customer_query_link_man"]." </a>";
		if( $csm_edit_mark )
		{
			$resultStr .= "<a href=\"#\" onclick=\"edit_customer('".$info[$count][CUSTOMER_ID]."')\">".$_lang["common_edit"]."</a> ";
			$resultStr .= "<a href=\"#\" onclick=\"move_customer('".$info[$count][CUSTOMER_ID]."')\">".$_lang["customer_cus_move"]."</a> ";
            $resultStr .= "<a href=\"#\" onclick=\"del_customer('".$info[$count][CUSTOMER_ID]."', '".$cur_page."')\">".$_lang["common_del"]."</a></td></tr>";
		 }
	}
}
	$src = "/theme/".$_SESSION['LOGIN_THEME']."/images/alert/alert.png";
	if($count==0)
	{
	}
	else
	{
		$resultStr .= "<thead><tr><td width='3%'></td>
		<td width='15%' field='CUSTOMER_NAME'>".$_lang["customer_cus_name"]."</td>
		<td width='10%' field='TEL_NO'>".$_lang["common_phone"]."</td>
		<td width='10%' field='MANAGE_USER'>".$_lang["customer_query_cus_man"]."</td>
		<td width='10%' field='CUSTOMER_TYPE'>".$_lang["customer_query_cus_type"]."</td>
		<td width='14%'>".$_lang["common_operate"]."</td></tr>
		</thead>
	</table>";
	}
$resultArray = array("htmlStr" => $resultStr, "pagingParam" => $info[1]["COUNT"],"searchParam" => $searchArray);
echo json_encode($resultArray);
?>
