<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      联系记录数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/show_record.php
 * @version       14
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-13
 */
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("inc/utility_all.php");
includelangpak("customer");

$customer  = new customer();
//快速筛选参数
$quickSortParam = $_REQUEST['quickSortParam'];
//拼音检索参数
$pinYinSearchParam = $_REQUEST['pinYinSearchParam'];
$offset = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows   = $_REQUEST['paginationRows'];
//排序参数
$sortParamRequest = $_REQUEST['sortParam'];
$sortParamSplit   = explode("*", $sortParamRequest);

$where_str = array();
$searchArray = array();

$customers = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);

if (trim($_REQUEST["RE_DATE1"]) != "") {
	$where_str['RE_DATE1'] = $_REQUEST["RE_DATE1"];
	array_push($searchArray, array(
			"field" => "RE_DATE1",
			"title" => $_lang["customer_relation_date"],
			"text"  => $_REQUEST["RE_DATE1"],
			"op"    => $_lang["customer_field_larger"]
	));
}

if ( trim($_REQUEST["RE_DATE2"]) != "") {
	$where_str['RE_DATE2'] = $_REQUEST["RE_DATE2"];
	array_push($searchArray, array(
			"field" => "RE_DATE2",
			"title" => $_lang["customer_relation_date"],
			"text"  => $_REQUEST["RE_DATE2"],
			"op"    => $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["CUSTOMER_ID"]) != "") {
	$where_str['CUSTOMER_ID'] = $_REQUEST["CUSTOMER_ID"];
	array_push($searchArray, array(
			"field" => "CUSTOMER_ID",
			"title" => $_lang["customer_linkman_bel_to"],
			"text"  => $customers["CUSTOMER_NAME"],
			"value" => $_REQUEST["CUSTOMER_ID"],
			"op"	=> $_lang["customer_field_equal"]
	));
}

if (trim($_REQUEST["linkman_id"]) != "") {
	$where_str['LINKMAN_ID'] = $_REQUEST["linkman_id"];
	array_push($searchArray, array(
			"field" => "LINKMAN_ID",
			"title" => $_lang["customer_link_man_name"],
			"text"  => $customer->get_linkmanname($_REQUEST["linkman_id"]),
			"value" => $_REQUEST["linkman_id"],
			"op"	=> $_lang["customer_field_equal"]
	));
}
if (trim($_REQUEST["RE_TYPE"]) != "" && trim($_REQUEST["RE_TYPE"]) != "0") {
	$where_str['RE_TYPE'] = $_REQUEST["RE_TYPE"];
	array_push($searchArray, array(
			"field" => "RE_TYPE",
			"title" => $_lang["customer_relation_type"],
			"text"  => $_REQUEST["RE_TYPE_text"],
			"value" => $_REQUEST["RE_TYPE"],
			"op"	=> $_lang["customer_field_equal"]
	));
}
if (trim($_REQUEST["RE_RECORD"]) != "") {
	$where_str['RE_RECORD'] = $_REQUEST["RE_RECORD"];
	array_push($searchArray, array(
			"field" => "RE_RECORD",
			"title" => $_lang["customer_relation_record_info"],
			"text"  => $_REQUEST["RE_RECORD"],
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (count($searchArray) != 0&&$_REQUEST["op"]=="search") {
	AddRecentSearchParam($searchArray, "business_5", $_SESSION["LOGIN_USER_ID"]);
}

$count = 0;
$infos = $customer->get_relation_record($sortParamSplit[0],$sortParamSplit[1],$_REQUEST["CUSTOMER_ID"],$where_str,'',$offset,$rows,$quickSortParam,$pinYinSearchParam);

if($infos[1][RE_ID]!="") {
	for($i=0;$i<count($infos);$i++) {
		$count++;
		if($count==1) 
		{
			$resultStr .= "<table class='pubtable' border='0' width='100%' cellspacing='0' cellpadding='0'>";
		}
			
		$cust_info = $customer->get_customer_info($infos[$count][CUSTOMER_ID]);
		$resultStr .= "<tr><td>";
		if($_REQUEST["CUSTOMER_ID"]=="" && ($LOGIN_USER_ID == $infos[$count][CREATEOR] || $LOGIN_USER_ID == $customer->getCustomerMgr($infos[$count][CUSTOMER_ID]))) {
			$resultStr .= "<input type='checkbox' id='re_id[]' name='re_id' class='checkbox' value=".$infos[$count][RE_ID]."/>";
		}
		$resultStr .= "</td><td><a href='#' onclick=\"record_detail('".$infos[$count][RE_ID]."');\">".substrGB($infos[$count][RE_TITLE],30,'...')."</a></td>
			<td>".substrGB($customer->get_linkmanname($infos[$count][LINKMAN_ID]),30,'...')."</td>
			<td><a href='#' onclick=\"customer_detail('".$infos[$count][CUSTOMER_ID]."');\">".substrGB($cust_info["CUSTOMER_NAME"],30,'...')."</a></td>
			<td title=''>".$infos[$count][RE_DATE1]." ".$infos[$count][RE_TIME1]."--".$infos[$count][RE_DATE2]." ".$infos[$count][RE_TIME2]."</td><td>";
			if($LOGIN_USER_ID == $infos[$count][CREATEOR] || $LOGIN_USER_ID == $customer->getCustomerMgr($infos[$count][CUSTOMER_ID])) {
				$resultStr .= "<a href='#' onclick=\"edit_record('".$infos[$count][RE_ID]."');\">".$_lang["common_edit"]."</a>&nbsp;&nbsp;
				 <a href='#' onclick=\"delete_record('".$infos[$count][RE_ID]."');\">".$_lang["common_del"]."</a>";
			}
			$resultStr .= "</td></tr>";
	}
}

$resultStr .= "<thead >";
		$resultStr .= "<td width='3%'></td>
		<td width='15%' field='RE_TITLE'>".$_lang["customer_relation_record_title"]."</td>
	<td width='10%' field='LINKMAN_ID'>".$_lang["customer_query_link_man"]."</td>
	<td width='25%' field='CUSTOMER_ID'>".$_lang["customer_cus_name"]."</td>
	<td width='20%'>".$_lang["customer_relation_date"]."</td>
	<td width='8%'>".$_lang["common_operate"]."</td>
</thead>
</table>";
$resultArray = array("htmlStr" => $resultStr, "pagingParam" => $infos[1]["COUNT"],"searchParam" => $searchArray);
echo json_encode($resultArray);
?>