<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户编辑数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/update.php
 * @version       8
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-17
 */
include_once("inc/auth.php");
include_once("inc/check_type.php");
include_once("inc/utility_all.php");
include_once("api/field_set.class.php");
include_once("api/customer.class.php");
includelangpak("customer");

$customer = new customer();

if($_REQUEST['CUSTOMER_ID'])
{
	if(!is_numeric($_REQUEST['CUSTOMER_ID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

if($_REQUEST['TO_ID'] == 'ALL_DEPT')
	$to_id	= $_REQUEST['TO_ID2'];
else
	$to_id	= $_REQUEST['TO_ID'];

$MANAGE_USER = $MANAGE_USER?$MANAGE_USER:$_SESSION['LOGIN_USER_ID'];
$pyCustomer  = convertPy($_REQUEST["CUSTOMER_NAME"]);
$connection  = OpenConnection();

//----- 合法性检验 -----
$ROW = $customer->getDataOne('customer','*',"CUSTOMER_NAME='".$CUSTOMER_NAME."' AND CUSTOMER_ID!='".$CUSTOMER_ID."'");
if($ROW)
{
  Message($_lang["common_waring"],$_lang["customer_sale_cusromer"]."&nbsp;".$CUSTOMER_NAME."&nbsp;".$_lang["customer_allready_have"]);
?>
<br>
<div align="center">
 <input type="button" value="<?=$_lang["common_back"]?>" class="button" onClick="location='edit.php?CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>&edt_r=index_r'">
</div>
<?
  exit;
}

$data = array(
	'CUSTOMER_NAME'			=> htmlspecialchars($_REQUEST["CUSTOMER_NAME"]),
	'TEL_NO'				=> htmlspecialchars($_REQUEST["TEL_NO"]),
	'FAX_NO'				=> htmlspecialchars($_REQUEST["FAX_NO"]),
	'CUSTOMER_WWW'			=> htmlspecialchars($_REQUEST["CUSTOMER_WWW"]),			
	'EMAIL'					=> htmlspecialchars($_REQUEST["EMAIL"]),
	'CUSTOMER_ADD'			=> htmlspecialchars($_REQUEST["CUSTOMER_ADD"]),
	'POSTALCODE'			=> htmlspecialchars($_REQUEST["POSTALCODE"]),
	'MEMO'					=> htmlspecialchars($_REQUEST["MEMO"]),				
	'MANAGE_USER'			=> $_REQUEST["MANAGE_USER"],
	'CUSTOMER_NUMBER'		=> $_REQUEST["customer_no"],
	'CUSTOMER_TYPE'			=> $_REQUEST["door_type"],
	'SCALE'					=> $_REQUEST["scale"],				
	'CUSTOMER_INDUSTRY'		=> $_REQUEST["CUSTOMER_INDUSTRY"],
	'CUSTOMER_PROFIT'		=> htmlspecialchars($_REQUEST["CUSTOMER_PROFIT"]),
	'PROVINCE'				=> $_REQUEST["province"],
	'CITY'					=> $_REQUEST["cityId"],				
	'PURVIEW'				=> $_REQUEST["purview"],
	'PURVIEW_DEPT'			=> $_REQUEST["TO_ID"],
	'PURVIEW_ROLE'			=> $_REQUEST["USER_PRIV_ID"],
	'PURVIEW_USER'			=> $_REQUEST["COPY_TO_ID"],				
	'BIRTHDAY_REMIND_SMS'	=> $_REQUEST["BIRTHDAY_REMIND_SMS"],
	'BIRTHDAY_REMIND'		=> $_REQUEST["BIRTHDAY_REMIND"],
	'LE_PERSON'				=> htmlspecialchars($_REQUEST["LEGOL_PERSON"]),
	'PERSON_INFO'			=> $_REQUEST["PERSON_INFO"],				
	'CUSTOMER_NAME_PY'		=> htmlspecialchars($pyCustomer[0]),
	'CUSTOMER_NAME_ZM'		=> htmlspecialchars($pyCustomer[1]) 
	);

$customer->updateData('customer',$data,"CUSTOMER_ID='".$CUSTOMER_ID."'");
$factory = new PageFactory();
$factory->saveFieldValuse('CUSTOMER',$CUSTOMER_ID,'CUSTOMER_ID');


if($_REQUEST['edit_type'] == 'list') {
	header('location: list.php?QUERY_LIST='.stripslashes($_REQUEST['QUERY_LIST']).'&cur_page='.$_REQUEST['cur_page'].'&sens='.$_REQUEST['sens'].'&order='.$_REQUEST['order'].'');
} else if($_REQUEST['edit_type'] == 'query_index') {
	header('location: /general/crm/customer/query/index.php?cur_page='.$_REQUEST['cur_page']);
} else if($_REQUEST['edit_type'] == 'search_customer') {
	header('location: /general/crm/customer/query/search_customer.php?cur_page='.$_REQUEST['cur_page']);
} else if($_REQUEST['edit_type'] == 'exp_imp') {
	header('location: /general/crm/customer/export_import.php?cur_page='.$_REQUEST['cur_page']);
} else {
	header("location: index.php?cur_page=".$_REQUEST['cur_page']."");
}
?>