<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      联系人列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/linkman/index.php
 * @version       16
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-12
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/conn.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
includelangpak("customer");

$customer    = new customer();
$manUids = $customer->get_userid_str();
if($_GET['CUSTOMER_ID'])
{
	if(!is_numeric($_GET['CUSTOMER_ID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}
$CUSTOMER_ID = $_GET["CUSTOMER_ID"];

$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}


$PAGE_TITLE = $_lang["customer_crm_linkman_man"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
	.lazy_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}

	.lazy_sub_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}
</style>
<body>
<div class="lazy_header">
	<span class="shaixuan_select"></span>
	<a class="btn btn-primary" onclick="location='import/index.php'"><?=$_lang["common_in"]?></a>
	<a class="btn btn-primary" id="new" onclick="location='new.php';"><?=$_lang["common_new"]?></a>
	<div class="contacts_search" style="float:right;margin:6px 5px 0 0;"></div>
</div>
<div class="contact_list_wrap"></div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/inc/imp_exp/imp_exp.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript">
var confirm_notify;
var manUids = "<?=$manUids?>";
$(function(){
	$(".library_date").datepicker();
	$("select").selectpicker();
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});

	var user_id="<?=$_SESSION['LOGIN_USER_ID']?>";

	$(".contact_list_wrap").height($(window).height()-80).niceScroll();
	$(".contact_list_wrap").LazyTable({
		dataSource : "/general/crm/linkman/index_do.php",
		param : {
			op : "getLinkmanList",
		},

		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if (user_id=='admin') {
					return true;
				}else{
					return false;
				}
			}
		}, {
			key : "LINKMAN_NAME",
			title : "<?=$_lang["common_name"]?>",
			template:function(data){
				var str="",linkname=data.LINKMAN_NAME;

				if (data.PRIMARY_LINKMAN == 1) {
					str += "<span style='color:red;width:15px;display:inline-block;' title='<?=$_lang["customer_linkman_main"]?>'><i class='fa fa-user' aria-hidden='true'></i></span>";
				}else{
					str += "<span style='width:15px;display:inline-block;'></span>";
				}

				if (data.LINKMAN_NAME.length>20) {
					linkname = data.LINKMAN_NAME.substr(0,20)+"...";
				}
				if (data.SEX==0 || data.SEX=='<?=$_lang["customer_cus_man"]?>') {
					str += "<span style='color:#4A708B' title='"+data.LINKMAN_NAME+"'>"+linkname+"</span>";
				}else{
					str += "<span style='color:#FFA500' title='"+data.LINKMAN_NAME+"'>"+linkname+"</span>";
				}

				if (data.BIRTHDAY_THIS_MONTH==1) {
					str += "&nbsp;&nbsp;<span style='color:#FF82AB' title='<?=$_lang[customer_man_birthday]?>'><i class='fa fa-tachometer fa-lg'></i></span>";
				}

				return str;
			}
		}, {
			key : "CUSTOMER_NAME",
			width:180,
			title : "<?=$_lang["customer_cus_name"]?>"
		}, {
			key : "MOBILE",
			title : "<?=$_lang["common_mobilephone"]?>"
		}, {
			key : "BIRTHDAY",
			title : "<?=$_lang["common_birthday"]?>"
		}, {
			key : "EMAIL",
			title : "<?=$_lang["common_contact_email"]?>"
		}],
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang["common_del_many"]?>",
			func : function(data) {

				var i,linkids = '';
				for( i = 0; i< data.length; i++) {
						linkids += data[i].LINKMAN_ID + ',';
				}
				linkids = linkids.substr( 0, linkids.length-1);
				if(linkids=='') {
					if (confirm_notify) {
						confirm_notify.pnotify_remove();
					}
					confirm_notify = $.pnotify({
				        text: "<?=$_lang["customer_choose_option_first"]?>",
				        type : "info"
				    }).click(function(){
				    	confirm_notify.pnotify_remove();
				    });
					return false;
				} else {
					bootbox.confirm("<?php echo $_lang['customer_sure_want_del']?>",function(result){
						if (result) {
							$.ajax({
								type:'POST',
								data:"op=delete_all&linkmanids="+linkids,
								url:'/general/crm/linkman/index_do.php',
								success:function(data)
								{
									if(data == '1') {
										$(".contact_list_wrap").LazyTable("reload",{
											param:{
												quick_sort:"",
												search_field:"",
												search_str:"",
											}
										});

										if (confirm_notify) {
											confirm_notify.pnotify_remove();
										}
										confirm_notify = $.pnotify({
									        text: "<?=$_lang["customer_delete_success"]?>",
									        type : "success",
									    }).click(function(){
									    	confirm_notify.pnotify_remove();
									    });
									} else {
										if (confirm_notify) {
											confirm_notify.pnotify_remove();
										}
										confirm_notify = $.pnotify({
									        text: data,
									        type : "error"
									    }).click(function(){
									    	confirm_notify.pnotify_remove();
									    });
									}
								}
							});


						}
					});
				}
			}
		}],
		buttons : {
			buttonInfor : {
				"detail" : {
					isDefault:true,
					title : "<?=$_lang["common_detail"]?>",
					func : function(data) {
						var URL = "detail.php?linkman_id="+data.LINKMAN_ID;
						location = URL;
					}
				},
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
						var url	= "edit.php?linkman_id="+data.LINKMAN_ID+"&customer_id="+data.CUSTOMER_ID+"&r_b=1";
						location = url;
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						var msg	= '<?=$_lang["customer_linkman_delmsg"]?>';
						bootbox.confirm(msg,function(result){
							if (result) {
								$.ajax({
									url:"/general/crm/linkman/index_do.php?op=delete&linkman_id="+data.LINKMAN_ID,
									success:function(result){
                                        //==========清空其他查询条件==========================//
                                        $(".shaixuan").val("0");
                                        $(".shaixuan").selectpicker('refresh');
                                        $('.contacts_search').find(':text').val('');
                                        $('.contacts_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
                                        //==================================================//
										if(result == "success") {
											$(".contact_list_wrap").LazyTable("reload",{
												param:{
													quick_sort:"",
													search_field:"",
													search_str:"",
												}
											});
										}
									}
								});


							}
						});
					}
				},
			},
			filter:function(data){
				var filterArr = [];
				if (user_id==data.MANAGE_USER || user_id==data.SERVICE_USER || user_id==data.CREATEOR || manUids.indexOf(data.MANAGE_USER)>0) {
					filterArr = ["edit"];
				}
				if(user_id == 'admin'){
					filterArr.push('delete');
				}
				filterArr.push('detail');
				return filterArr;
			}
		},
		sort : {
			items : [{
				key : "LINKMAN_NAME",
				title : "<?=$_lang["common_name"]?>",
			}, {
				key : "CUSTOMER_NAME",
				title : "<?=$_lang["customer_cus_name"]?>"
			}, {
				key : "MOBILE",
				title : "<?=$_lang["common_mobilephone"]?>"
			}, {
				key : "BIRTHDAY",
				title : "<?=$_lang["common_birthday"]?>"
			}, {
				key : "EMAIL",
				title : "<?=$_lang["common_contact_email"]?>"
			}],
			onItemClick : function(key, sortType) {
				$(".contact_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortType,
					}
				},true);
			}
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });
		 	$(".contact_list_wrap").niceScroll().resize();
		}
	});

	$(".shaixuan_select").on('change', '.shaixuan', function(event) {
        //==========清空其他查询条件==========================//
        $('.contacts_search').find(':text').val('');
        $('.contacts_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
        //==================================================//
		$(".contact_list_wrap").LazyTable("reload",{
			param:{
				quick_sort : $(".shaixuan").val(),
				search_field:"",
				search_str:"",
			},
			page : {
				currentPage:0
			}
		});
	});

	$.ajax({
		url:"/general/crm/customer/new/contacts/do.php",
		data:{
			op : 'getShaixuanList',
		},
		success:function(result){
			var htmlStr = [];
			htmlStr.push('<select class="shaixuan selectpicker" data-width="100px" data-height="39px" id="shaixuan">');
			htmlStr.push('<option value="all"><?=$_lang["common_show_allinfo"]?></option>');
			if(result){
				var parsedData = $.parseJSON(result);
				htmlStr.push('<optgroup label="<?=$_lang["common_month"]?>">');
				$.each(parsedData,function(key,value){
					if (value.GROUP_NAME=="common_month") {
						htmlStr.push('<option value="' + value.OPTION_PARAM + '">'+value.OPTION_NAME+'</option>');
					}
				});
				htmlStr.push('</optgroup>');
				htmlStr.push('<optgroup label="<?=$_lang["common_week"]?>">');
				$.each(parsedData,function(key,value){
					if (value.GROUP_NAME=="common_week") {
						htmlStr.push('<option value="' + value.OPTION_PARAM + '">'+value.OPTION_NAME+'</option>');
					}
				});
				htmlStr.push('</optgroup>');
				htmlStr.push('<optgroup label="<?=$_lang["common_create_personal"]?>">');
				$.each(parsedData,function(key,value){
					if (value.GROUP_NAME=="common_create_personal") {
						htmlStr.push('<option value="' + value.OPTION_PARAM + '">'+value.OPTION_NAME+'</option>');
					}
				});
				htmlStr.push('</optgroup>');
			}else{
				htmlStr.push('<option value="all"><?=$_lang["common_show_allinfo"]?></option>');
			}
			htmlStr.push('</select>');
			$(".shaixuan_select").html(htmlStr.join(''));
			$(".selectpicker").selectpicker('refresh');
		}
	});

	$(".contacts_search").LazySearch({
		tip : "<?=$_lang['customer_query_linkman']?>",
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {
				//==========清空其他查询条件==========================//
                $(".shaixuan").val("0");
                $(".shaixuan").selectpicker('refresh');
                //===================================================//
				$(".contact_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						quick_sort:"",
						where_query:"",
					},
					page : {
						currentPage:0
					}
				});
			},
			items : [{
				key : "LINKMAN_NAME",
				title : "<?=$_lang['customer_man_link_name']?>"
			}, {
				key : "POST_PRIV",
				title : "<?=$_lang['customer_man_link_job']?>"
			},{
				key : "LINK_DEPT",
				title : "<?=$_lang['customer_man_link_dept']?>"
			},{
				key : "MOBILE",
				title : "<?=$_lang['customer_man_link_mobile']?>"
			},{
				key : "ADD_HOME",
				title : "<?=$_lang['customer_man_link_addr']?>"
			}]
		},
		onClearButtonClick:function(){
			$(".contact_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					quick_sort:"",
					where_query:"",
				},
				page : {
					currentPage:0
				}
			});
		},
		advancedSearch : {
			onSearch : function(a,b) {
				//==========清空其他查询条件==========================//
                $(".shaixuan").val("0");
                $(".shaixuan").selectpicker('refresh');
                //===================================================//
				$.ajax({
					url: 'index_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form1').serialize(),
					success:function(data){
						$(".contact_list_wrap").LazyTable("reload",{
							param:{
								where_query:data,
								search_field:"",
								search_str:"",
								quick_sort:"",
							},
							page : {
								currentPage:0
							}

						});
					}
				});
			},
			items : "search.php",
		},
	});

	$(".contact_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".contact_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update');
	});

	$(".contact_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
            if ($(".contact_list_wrap").find(".lazy_table_checkbox").filter(function() {
                return $(this).prop("checked") == false;
            }).length == 0) {
                $(".contact_list_wrap").find(".lazy_table_checkall").prop("checked", true);
            }
        } else {
            $(".contact_list_wrap").find(".lazy_table_checkall").prop("checked", false);
        }

        $(":checkbox").iCheck('update');
	});
})
</script>
