<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 9.0
 * @function      合并客户
 * @encoding      $_lang['encoding']
 * @name          general/crm/merge/merge.php
 * @version       
 * @author        qishaobo|www.weaver.com.cn
 * @date          2015-06-12
 */
include_once("inc/auth.php");
include_once("inc/utility.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");
$customerObj  = new customer();
$customer_arr = $customerObj->getMergeCustomer();

foreach($customer_arr as $k=>$info){
	$customer_arr[$k]['customer_status'] = get_info(7,$info["customer_status"],1);
	$customer_arr[$k]['crm_cus_state'] = get_info(6,$info["crm_cus_state"],1);
	$customer_arr[$k]['customer_attribute'] = get_info(17,$info["customer_attribute"],1);
	$customer_arr[$k]['query_cus_type'] = get_info(4,$info["query_cus_type"],1);
	$customer_arr[$k]['cus_extent'] = get_info(5,$info["cus_extent"],1);
	$customer_arr[$k]['industry'] = get_info(27,$info["industry"],1);
}
$customer_num = count($customer_arr);
$column_num   = count($customer_arr[0]);
$column_keys  = array_keys($customer_arr[0]);
$PAGE_TITLE = $_lang["customer_merge"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css" />
<style type="text/css" >
.c-width{max-width:20%;word-wrap: break-word;word-break: break-all;}
</style>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title"> <i class="fa fa-clipboard"></i>
			<span class="tip">
				<?=$_lang["customer_merge"]?>
			</span>
		</span>
		<a class="btn btn-default" id="back" onclick="location='index.php'">
			<?=$_lang["common_back"]?></a>
		<a class="btn btn-info clear">
			<?=$_lang["customer_clear"]?></a>			
		<a class="btn btn-primary" id="submit">
			<?=$_lang["customer_merge_btn"]?></a>
	</div>
	<div class="main_wrap">
		<form action="" method="post" name="form1" id="form1">
			<table class="form_table" width="100%" border="0">
				<?
				for($i=0;$i<$column_num;$i++){
					if($j==0){
					?>
					<tr>
						<td style="border:1px solid #CCC;text-align:center;"><?=$_lang["customer_merge_select_one"]?></td>
						<?
						for($j=0;$j<$customer_num;$j++){
						?>
						<td style="border:1px solid #CCC;text-align:center;">
							<input type="radio" name="customer_id" class="radio customer_id" value="<?=$customer_arr[$j]['CUSTOMER_ID']?>">
						</td>
						<?}?>
					</tr>
					<?
						}else{
					?>
					<tr>
						<td style="border:1px solid #CCC;text-align:center;min-width:60px;"><?=$_lang["customer_".$column_keys[$i]]?></td>
						<?
						for($j=0;$j<$customer_num;$j++){
						?>
							<td <?if($column_keys[$i]=='legol_person_info'){?>class="c-width"<?}?> style="border:1px solid #CCC;text-align:center;"><?=$customer_arr[$j][$column_keys[$i]]?></td>
						<?}?>
					</tr>
					<?
						}
					}
					?>
			</table>
	</form>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript">
$(function(){
	$('.radio').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1500;
    $.pnotify.defaults.addclass = "stack-topright";
    $.pnotify.defaults.animate_speed = 'fast';

    $(".main_wrap").height($(window).height()-80).niceScroll();

    $("#submit").click(function(){
    	var customer_id = $(":radio:checked").val();
    	if(customer_id){
			$.ajax({
				url: 'do.php',
				type: 'POST',
				data: {
					customer_id: customer_id,
					op:"customerMerge"
				},
				success:function(result){
					if(result == 1){
						$.pnotify({
					        text: "<?=$_lang["customer_merge_success"]?>",
					        type : "success"
					    });
					    setTimeout(jump_to,1000);
					}else{
						$.pnotify({
					        text: "<?=$_lang["customer_merge_fail"]?>",
					        type : "error"
					    });
					}
				}
			}); 
    	}else{
			$.pnotify({
		        text: "<?=$_lang["customer_merge_select"]?>",
		        type : "info"
		    });
    	}
    })

    $(".clear").click(function(){
		$.ajax({
			url: 'do.php',
			type: 'POST',
			data: {
				op:"clearCustomer"
			},
			success:function(result){
				$.pnotify({
			        text: "<?=$_lang["customer_clear_success"]?>",
			        type : "success"
			    });
			    setTimeout(jump_to,1000);
			    
			}
		});  
    })
})

function jump_to(){
	location='index.php';
}
</script>