<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      联系人列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/linkman/index.php
 * @version       16
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-12
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/conn.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
includelangpak("customer");

$customer    = new customer();
$manUids = $customer->get_userid_str();
if($_GET['CUSTOMER_ID'])
{
	if(!is_numeric($_GET['CUSTOMER_ID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}
$CUSTOMER_ID = $_GET["CUSTOMER_ID"];

$PAGE_TITLE = $_lang["customer_crm_linkman_man"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
	.lazy_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}

	.lazy_sub_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}
	body{overflow:hidden;}
</style>
<body>
<div id="main">
<div class="lazy_header">
	<span class="shaixuan_select">
		<select id="other_filter" name="other_filter" class="selectpicker" data-width="100px" data-height="39px" >
			<option value="0"><?=$_lang['customer_all_record']?></option>
			<option value="my"><?=$_lang['customer_record_self']?></option>
			<option value="other"><?=$_lang['customer_record_others']?></option>
		</select>		
	</span>
	<div class="contacts_search" style="float:right;margin:6px 5px 0 0;"></div>
</div>
<div class="contact_list_wrap"></div> 
<input type="hidden" id="search_field" value="" />
<input type="hidden" id="search_str" value="" />
<input type="hidden" id="where_sql" value="" />
</div>
<div id="show_detail" style="display:none;height:100%;">
	<iframe id="show_detail_id" style="width:100%;border:none;height:100%;" frameborder="0" src=""></iframe>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/inc/imp_exp/imp_exp.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript">
var confirm_notify;
var manUids = "<?=$manUids?>";
$(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;	
	$('.selectpicker').selectpicker();
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});
	var user_id="<?=$_SESSION['LOGIN_USER_ID']?>";

	$(".contact_list_wrap").height($(window).height()-80).niceScroll();

	$(".contact_list_wrap").LazyTable({
		dataSource : "do.php",
		param : {
			op : "getRecordList",
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if(user_id == 'admin'){
					return true;
				}else{
					return false;
				}
			}	
		}, {
			key : "CREATEOR_NAME",
			width:100,
			title : "<?=$_lang["customer_cust_creator"]?>"
		}, {
			key : "CUSTOMER_NAME",
			width:120,
			title : "<?=$_lang["customer_cus_name"]?>"
		}, {
			key : "CREAT_DATE",
			title : "<?=$_lang["customer_man_create_time"]?>"
		}, {
			key : "RE_TYPE",
			title : "<?=$_lang["customer_relation_type"]?>"
		},  {
			key : "RE_RECORD",
			title : "<?=$_lang["customer_record_content"]?>",
			template : function(data) {
				var template = '<div style="width:402px;overflow:hidden;"><div style="float:left;width:400px;text-overflow:ellipsis;word-wrap:break-word;word-break:break-all;padding-top:7px;" >{RE_RECORD}</div></div>';
				return template;
			},
			autoHide : true
		}],
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang["common_del_many"]?>",
			func : function(data) {

				var i,re_ids = '';
				for( i = 0; i< data.length; i++) {
						re_ids += data[i].RE_ID + ',';
				}
				re_ids = re_ids.substr( 0, re_ids.length-1);
				if(re_ids=='') {
					$.pnotify({
				        text: "<?=$_lang["customer_choose_option_first"]?>",
				        type : "info"
				    });
					return false;
				} else {
					bootbox.confirm("<?php echo $_lang['customer_sure_want_del']?>",function(result){
						if (result) {
							$.ajax({
								type:'POST',
								data:"op=delete_all&re_ids="+re_ids,
								url:'do.php',
								success:function(data)
								{
									if(data == '1') {
										var quick_sort 	= 	$("#other_filter").val();
										var where_sql 	= 	$("#where_sql").val();
										$(".contact_list_wrap").LazyTable("reload",{
											param:{
												where_sql:where_sql,
												search_field:"",
												search_str:"",
												quick_sort:quick_sort,
											},
											page : {
												currentPage:0
											}
										});

										$.pnotify({
									        text: "<?=$_lang["customer_delete_success"]?>",
									        type : "success",
									    });
									} else {
										$.pnotify({
									        text: "<?=$_lang["customer_delete_fail"]?>",
									        type : "error"
									    });
									}
								}
							});							
						}
					});
				}
			}
		}],
		buttons : {
			buttonInfor : {
				"detail" : {
					isDefault:true,
					title : "<?=$_lang["common_detail"]?>",
					func : function(data) {
						$("#main").hide();
						$("#show_detail").show();   
						$("#show_detail_id").attr('src', "detail.php?re_id="+data.RE_ID);	
						$(".contact_list_wrap").getNiceScroll().hide();		
					}
				},
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						var msg	= '<?=$_lang["customer_sure_want_del"]?>';
						bootbox.confirm(msg,function(result){
							if (result) {
								$.ajax({
									type:'POST',
									data:"op=delete_all&re_ids="+data.RE_ID,
									url:'do.php',
									success:function(data)
									{
										if(data == '1') {
											var quick_sort 	= 	$("#other_filter").val();
											var where_sql 	= 	$("#where_sql").val();
											$(".contact_list_wrap").LazyTable("reload",{
												param:{
													where_sql:where_sql,
													search_field:"",
													search_str:"",
													quick_sort:quick_sort,
												},
												page : {
													currentPage:0
												}
											});

											$.pnotify({
										        text: "<?=$_lang["customer_delete_success"]?>",
										        type : "success",
										    });
										} else {
											$.pnotify({
										        text: "<?=$_lang["customer_delete_fail"]?>",
										        type : "error"
										    });
										}
									}
								});
							}
						});
					}
				},
			},
			filter:function(data){
				var filterArr = [];
				filterArr.push('detail');
				if(user_id == 'admin'){
					filterArr.push('delete');
				}			
				return filterArr;				
			}
		},
		sort : {
			items : [{
				key : "CREATEOR",
				title : "<?=$_lang["customer_cust_creator"]?>",
			}, {
				key : "CUSTOMER_NAME",
				title : "<?=$_lang["customer_cus_name"]?>"
			}, {
				key : "CREAT_DATE",
				title : "<?=$_lang["customer_man_create_time"]?>"
			}],
			onItemClick : function(key, sortType) {
				$(".contact_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortType,
					}
				},true);
			}
		},
		onAfterLoad:function(){
			$(".contact_list_wrap").getNiceScroll().resize();
			$(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });
		 	
		}
	});

	$("#other_filter").on('change',function(event) {
		var quick_sort = $("#other_filter").val();
		$(".contact_list_wrap").LazyTable("reload",{
			param:{
				quick_sort : quick_sort,
				search_field:"",
				search_str:"",
			},
			page : {
				currentPage:0
			}
		});
	});


	$(".contacts_search").LazySearch({
		tip : "<?=$_lang['customer_man_check_record']?>",
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {
				$("#search_field").val(data.key);
				$("#search_str").val(value);
				var quick_sort = $("#other_filter").val();
				$(".contact_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						quick_sort:quick_sort,
						where_sql:"",
					},
					page : {
						currentPage:0
					}
				});
			},
			items : [{
				key : "USER_NAME",
				title : "<?=$_lang['customer_creator_have']?>"
			}, {
				key : "CUSTOMER_NAME",
				title : "<?=$_lang['customer_customername_include']?>"
			},{
				key : "RE_RECORD",
				title : "<?=$_lang['customer_record_have']?>"
			}]
		},
		onClearButtonClick:function(){
			$(".contact_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					quick_sort:"",
					where_sql:"",
				},
				page : {
					currentPage:0
				}
			});
		},
		advancedSearch : {
			onSearch : function(a,b) {
				$.ajax({
					url: 'do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form3').serialize(),
					success:function(data){
						var quick_sort 		= 	$("#other_filter").val();
							$("#where_sql").val(data);
						$(".contact_list_wrap").LazyTable("reload",{
							param:{
								where_sql:data,
								search_field:"",
								search_str:"",
								quick_sort:quick_sort,
							},
							page : {
								currentPage:0
							}
						});
					}
				});
			},
			items : "search.php",
		},
	});
})
</script>
