<?
/**
* @copyright (C) 2011 - 2012 Weaver Co.Ltd
* @package:      eoffice8.3
* @encoding:     utf8
* @function:     日志首页
* @name:         general/diary/index.php
* @version:      21.0
* @date:         2013-01-23
* @author:       liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/meet_vehicle.php");
include_once("api/diary.class.php");
include_once("api/attention.class.php");
include_once("api/user.class.php");
include_once("general/diary/new/diarydate.php");
includelangpak("calendar");
//获取人员ID
$searchUserId = trim($_REQUEST["searchUserId"]);
//查找我关注的人
$allUserIdStr = "";
$attApi = new attention();
$con_sql = " AND ATT_PERSON='".$_SESSION["LOGIN_USER_ID"]."' AND ATT_STATE=2";
$myAttArray = $attApi->atten_SearchAllData("attention",$con_sql);
$myAttCount = count($myAttArray);
$myAttStr = "";
for($i=0;$i<$myAttCount;$i++){
	if($myAttArray[$i]["ATT_ID"]){
		$myAttStr .= $myAttArray[$i]["ATT_TOPERSON"].",";
	}
}
//我的下属
$Diary     = new diary();
$curUserPriv = $Diary->Login_User_Priv($_SESSION["LOGIN_USER_ID"]);
$underUserStr = $Diary->Get_Accounts_Str($curUserPriv,$_SESSION["LOGIN_USER_ID"]);

//已申请的人员
$con_sql2 = " AND ATT_PERSON='".$_SESSION["LOGIN_USER_ID"]."' AND ATT_STATE=1";
$myAttToArray = $attApi->atten_SearchAllData("attention",$con_sql2);
$myAttToCount = count($myAttToArray);
$myAttToStr = "";
for($i=0;$i<$myAttToCount;$i++){
	if($myAttToArray[$i]["ATT_ID"]){
		$myAttToStr .= $myAttToArray[$i]["ATT_TOPERSON"].",";
	}
}


$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}

$PAGE_TITLE = $_lang["calendar_log_title"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" href="new/ShowDiary.css" type="text/css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style type="text/css">
#deptTree{
	width: 299px;
	overflow-y: auto;
	overflow-x: hidden;
}
.fa-2x{
	font-size: 1.5em;
	}
</style>

<body style="overflow:hidden;">
<input type="hidden" id="myAttStr" name="myAttStr" value="<?=$myAttStr?>">
<input type="hidden" id="underUserStr" name="underUserStr" value="<?=$underUserStr?>">
<input type="hidden" id="myAttToStr" name="myAttToStr" value="<?=$myAttToStr?>">
<div class="left_list_wrap">
    <div class="lazy_header">
        <div class="count_infor" style="float:left; margin-top:-3px;">
            <select id="selectChoose">
                <option value="myAttention"><?=$_lang["calendar_my_attention"]?></option>
                <option value="company"><?=$_lang["calendar_organize"]?></option>
                <option value="readRecord"><?=$_lang["calendar_come_visit_record"]?></option>
            </select>
        </div>
        <div class="left_search"></div>
    </div>
    <div id="left_list" style="overflow-y:auto;overflow-x:hidden;"></div>
    <ul id="deptTree" class="ztree" style="display:none"></ul>
    <div id="left_record" style="display:none;overflow:auto;"></div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <div class="filter_wrap" style="height:0px;"></div>
        <button type="button" class="btn btn-primary" id="diaryOut" style="margin-left:10px"><?=$_lang["common_out"]?></button>
        <div class="search_wrap" style="height:29px; margin-right:10px;"></div>

    </div>
    <div id="right_table" style="width:100%;overflow-x: hidden;">
        <div id="lisSpan" style="width:100%; margin-bottom: 10px;padding: 10px;padding-top: 0px;">

        </div>
        <div id="showMoreSpan" style="width:100%;margin-bottom:30px;">
        	<button type="button" class="btn btn-primary btn-lg btn-block" style="letter-spacing:5px;word-spacing:10px;" onclick="showMoreData()"><?=$_lang["calendar_load_more_data"]?></button>
        </div>
    </div>
</div>
<div id="oldNewDivHidden" style="display:none">
    <div id="newDiaryDiv">
        <div class="dicussSpan" style=" width:100%">
            <div class="lazy_sub_header" style="line-height:35px">
                <div class="diary_buttons_wrap">
                    <span id="newDiary" style="color:#ffffff;padding: 0 5px;cursor:pointer;" onclick="btnDiaryNew(this)"><?=$_lang["calendar_create_new"]?></span>
                </div>
                <div style="float:left">
                    <span style="margin-right:5px"><?=$_SESSION["LOGIN_USER_NAME"]?></span>
                    <span style="color:#F5B035;margin-right:5px"><i class="fa fa-frown-o fa-2x"></i></span>
                </div>
            </div>
        </div>
    </div>
    <div id="newDiarySpan" class="newDiaryClass"></div>
</div>
<input type="hidden" id="chooseDataId" name="chooseDataId" value="<?=$_SESSION["LOGIN_USER_ID"]?>">
<input type="hidden" id="defaultUserId" name="defaultUserId" value="<?=$searchUserId?>">
<input type="hidden" id="newAddAtt" name="newAddAtt" >
<input type="hidden" id="newCancelAtt" name="newCancelAtt" >
<input type="hidden" id="showPage">
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script language="javascript">
var createEditor = "";
var liststart = 0;
var listrows = 10;
var leftlist = "";
var recordlist = "";
$(document).ready(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;
	$.pnotify.defaults.addclass = "stack-topleft";
	$.pnotify.defaults.animate_speed = 'fast';
	$.pnotify.defaults.type = "error";
	//我的关注
	leftlist = $("#left_list").LazyList({
		buttons : {
			  buttonInfor : {
				  "delete" : {
					 title : '<?=$_lang["calendar_cancel_attention"]?>',
					func : function(data) {
						bootbox.confirm('<?=$_lang["calendar_sure_attention"]?>', function(result) {
							if(result){
								$.ajax({
									type: "post",
									url : "alldo.php",
									data:"checkDiff=cancelMyList&attid="+data.attId
								}).done(function(result){
									$("#left_list").LazyList("reload");
								});
							}
						});
					}
				  },
				  "addNew" : {
					 title : '<?=$_lang["calendar_add_attention"]?>',
					func : function(data) {
						$.ajax({
							type: "post",
							url : "alldo.php",
							data:"checkDiff=addDefaultAtten&touserid="+data.userId,
						}).done(function(result){
							if(result=="success"){
								$("#left_list").LazyList("reload");
								$.pnotify({
									text: '<?=$_lang["calendar_add_success"]?>',
									type : "success"
								});
							}else if(result=="repeat"){
								$.pnotify({
									text: '<?=$_lang["calendar_not_need"]?>',
									type : "info"
								});
							}
						});
					}
				  }
			  },
			  filter : function(data) {
				  var buttonFilterStr = new Array();
				  if(data.attId!=""){
					buttonFilterStr.push("delete");
				  }else{
					buttonFilterStr.push("addNew");
				  }
				  return buttonFilterStr;
			  }
		},
		itemTitleTemplate : "{proTypeName}",
		itemListTemplate : '<div class="{userId}" style="float:left;width:250px"><div style="float:left;width:110px">{userName}</div><div style="float:left;padding-left:10px;width:120px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="{deptName}">{deptName}</div></div>',
		/*dataSource : $.parseJSON('<?=json_encode($allMyAttArray)?>'),*/
		dataSource : "/general/diary/alldo.php",
		param : {
			checkDiff : "myAtten_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();

			$("#chooseDataId").val(data.userId);
		   if(data.userId!="<?=$_SESSION["LOGIN_USER_ID"]?>"){
				$("#editorSpan").hide();
				//添加来访纪录
				visitRecord("<?=$_SESSION["LOGIN_USER_ID"]?>",data.userId);
			}else{
				$("#editorSpan").show();
			}
			$("#showPage").val('0');
		   initDiaryData();
		},
		onInit:function(){
			$("#left_list").getNiceScroll().resize();
		}
	});
	//切换选择
	$("#selectChoose").change(function(){
		var selectValue = $(this).val();
		if(selectValue=="myAttention"){
			$("#left_list").show();
			$("#deptTree").hide();
			$("#left_record").hide();
			if(leftlist){
				$("#left_list").LazyList("reload");
			}
			$("#left_list").getNiceScroll().resize();
		}else if(selectValue=="company"){
			$("#left_list").hide();
			$("#deptTree").show();
			$("#left_record").hide();

			var setting = {
					view : {
						showLine : false,
						showIcon : false,
						selectedMulti : false,
						dblClickExpand : false,
						addDiyDom : 'addDiyDom',
						addHoverDom: 'addHoverDom',
						removeHoverDom: 'removeHoverDom'
					},

					async: {
						enable: true,
						type:'post',
						url:"/general/diary/alldo.php",
						autoParam: ["id"],
						otherParam : {
							checkDiff : "getAllUser"
						}
					},
					callback : {
						beforeClick : 'beforeClick',
						onExpand: 'zTreeOnExpand',
						onClick : function(event, treeId, treeNode) {
							//console.log(treeNode);
							//判断是否是数字
							if(!isNaN(treeNode.id)){
							   //alert("是数字");
							}else{
								getClickViewShow(treeNode.id);
							   //alert("不是数字");
							}
						},
						onAsyncSuccess : 'zTreeOnAsyncSuccess'
					}
				};

				function zTreeOnExpand(event, treeId, treeNode) {
					$("#deptTree").getNiceScroll().resize();
				};

				function zTreeOnAsyncSuccess(event, treeId, treeNode, msg) {
					//初始化的时候选中第一个节点
					if (treeNode === undefined) {
						zTree_Menu = $.fn.zTree.getZTreeObj("deptTree");
						zTree_Menu.selectNode(zTree_Menu.getNodes()[0]);
					}
				}
				function addDiyDom(treeId, treeNode) {
					var spaceWidth = 10;
					var switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
					switchObj.remove();
					icoObj.before(switchObj);
					//var spaceStr = "";
					var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
					switchObj.before(spaceStr);
				}
				function beforeClick(treeId, treeNode) {
					var zTree = $.fn.zTree.getZTreeObj("deptTree");
					zTree.expandNode(treeNode,"","","",true);
					return true;
				}
				var treeObj = $("#deptTree");
				$.fn.zTree.init(treeObj, setting);

				$("#deptTree").getNiceScroll().resize();
		}else if(selectValue=="readRecord"){
			$("#left_list").hide();
			$("#deptTree").hide();
			$("#left_record").show();
			if(recordlist){
				$("#left_record").LazyList("reload");
			}else{
				recordlist = $("#left_record").LazyList({
					buttons : {
						  buttonInfor : {
							  "addatt" : {
								 title : '<?=$_lang["calendar_add_attention"]?>',
								func : function(data) {
									recordAddatt(data.VIS_PERSON,data.VIS_TOPERSON);
								}
							  },
							  "cancelatt" : {
								 title : '<?=$_lang["calendar_cancel_attention"]?>',
								func : function(data) {
									recordCancelatt(data.VIS_PERSON,data.VIS_TOPERSON);
								}
							  },
							  "applyatt" : {
								 title : '<?=$_lang["calendar_already_applay"]?>',
								func : function(data) {
									$.pnotify({
										text: '<?=$_lang["calendar_submit_wait"]?>',
										type : "info"
									});
								}
							  }
						  },
						  filter : function(data) {
							  	var buttonFilterStr = new Array();
							  	var user_id = "<?=$_SESSION["LOGIN_USER_ID"]?>";
							  	var hide_user = '';
							  	if (data.hidden == 'VIS_TOPERSON') {
							  		hide_user = data.VIS_TOPERSON;
							  	} else if (data.hidden == 'VIS_PERSON') {
							  		hide_user = data.VIS_PERSON;
							  	}

				 				if(hide_user != user_id){
								  	if(data.btn=="no"){
								  		buttonFilterStr.push("cancelatt");
								  	}else if(data.btn=="show"){
								  		buttonFilterStr.push("addatt");
								  	}else if(data.btn=="apply"){
								  		buttonFilterStr.push("applyatt");
								  	}
								}
								return buttonFilterStr;

						  	}
						  },
					itemTitleTemplate : "{proTypeName}&nbsp;({proTypeCount})",
					itemListTemplate : '<div style="float:left;width:250px"><div style="float:left;width:100px">{userName}</div><div style="float:left; padding-right:20px">{showTime}</div><span style="color:#9BBB59;" title=<?=$_lang["calendar_view_time"]?>>{VIS_NUM}</span></div>',
					dataSource : "/general/diary/alldo.php",
					param : {
						checkDiff : "record_list"
					},
					onItemMouseEnter : function() {
						$(this).find("span").addClass("hover").end().find("span.split").hide();
					},
					onItemMouseLeave : function() {
						$(this).find("span").removeClass("hover").end().find("span.split").show();
					},
					onItemClick : function(ui, data) {
						ui.find("li.list span").removeClass("hover").end().find("span.split").show();
						$(this).find("span").addClass("hover").end().find("span.split").hide();

						var doUserid = "";
						if (data.VIS_PERSON!="<?=$_SESSION["LOGIN_USER_ID"]?>") {
							doUserid = data.VIS_PERSON;
						};
						if (data.VIS_TOPERSON!="<?=$_SESSION["LOGIN_USER_ID"]?>") {
							doUserid = data.VIS_TOPERSON;
						};
						getClickViewShow(doUserid);
					},
					onInit:function(){
						$("#left_record").getNiceScroll().resize();
					}
				});
			}

		}
	})
	//下拉框美化
	$("#selectChoose").selectpicker({
		width:120
	});

	initDiaryData();

	//查询
	$(".left_search").LazySearch({
		tip : '<?=$_lang["calendar_search_user"]?>',
		url : "alldo.php",
		param : {
			checkDiff : "autoSearch1"
		},
		width : 150,
		autoSearch : {
			template : "{USER_NAME}",
			onItemClick : function(data) {
				$("#left_list").animate({scrollTop: 0}, 0);
				$("li ."+data.USER_ID).parents("li").click();
				var offset = $("li ."+data.USER_ID).offset().top -50;

				$("#left_list").animate({scrollTop: offset}, 300);
			}
		},
		onClearButtonClick:function()
		{
			getClickViewShow("<?=$_SESSION["LOGIN_USER_ID"]?>");
		}
	});
	$("#deptTree").height($(window).height()-40);
	$("#deptTree").niceScroll();
	$("#left_list").height($(window).height()-40);
	$("#left_list").niceScroll();
	$("#left_record").height($(window).height()-40);
	$("#left_record").niceScroll();

	$("#right_table").height($(window).height()-40).css("overflow-y","auto");
	$("#right_table").niceScroll();

	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});

	$(".switch").LazyToggle({
		showTip : '<?=$_lang["calendar_show_user_list"]?>',
		hideTip : '<?=$_lang["calendar_hide_user_list"]?>',
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
		}
	});
	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			//更改显示开始数
			$("#showPage").val('0');
			var userid = $("#chooseDataId").val();
			var showRmind = moreAndNodataShow("btn");
			$("#showMoreSpan").html(showRmind);
			$.ajax({
				type:"POST",
				dataType:"html",
				data:"userid="+userid+"&quickParam="+data,
				url:"/general/diary/ajaxlist.php"
			}).done(function(result){
				$("#lisSpan").html(result);
				$("#right_table").getNiceScroll().resize();
			});

		},
		more : {
			header : '<?=$_lang["calendar_more_filer"]?>',
			dataSource : [{
				key : "weekShow",
				title : '<?=$_lang["calendar_week_view"]?>',
				subItems : [{
					key : "lastWeek",
					title : '<?=$_lang["calendar_last_week"]?>'
				}, {
					key : "twoWeek",
					title : '<?=$_lang["calendar_latest_tow_week"]?>'
				}]
			},{
				key : "monthShow",
				title : '<?=$_lang["calendar_month_view"]?>',
				subItems : [{
					key : "lastMonth",
					title : '<?=$_lang["calendar_last_month"]?>'
				}, {
					key : "twoMonth",
					title : '<?=$_lang["calendar_latest_tow_month"]?>'
				}]
			}]
		},
	common : {
			template : "{title}",
			dataSource : [{
				key : "allShow",
				title : '<?=$_lang["calendar_level_all"]?>',
				isDefault : true
			},{
				key : "thisWeek",
				title : '<?=$_lang["calendar_weeks"]?>'
			},{
				key : "thisMonth",
				title : '<?=$_lang["calendar_months"]?>'
			}]
		}
	});
	/*
	 * 高级查询
	 */
	$(".search_wrap").LazySearch({
		tip : '<?=$_lang["calendar_search_have"]?>',
		url : "myapplydo.php",
		param : {
			type : "autoTaskSearch"
		},
		fieldSearch : {
			onItemClick : function(data,value) {
				//更改显示开始数
				liststart = 0;
				var userid = $("#chooseDataId").val();
				$("#editorSpan").hide();
				$.ajax({
					type:"POST",
					dataType:"html",
					data:"curPage="+liststart+"&rows="+listrows+"&userid="+userid+"&searchWord="+value,
					url:"/general/diary/ajaxlist.php"
				}).done(function(result){
					$("#lisSpan").html(result);
					$("#right_table").getNiceScroll().resize();
				});

			},
			items : [{
				key : "CONTENT",
				title : '<?=$_lang["calendar_blog_have"]?>'
			}]
		},
		advancedSearch : {
			onSearch : function(data) {
				console.log(data);
				liststart = 0;
				var userid = $("#chooseDataId").val();
				if ((data.BegDate=="" && data.EndDate=="") || data.BegDate=="") {
					$.pnotify({
						text: '<?=$_lang["calendar_start_not_empty"]?>',
						type : "error"
					});
				} else{
					var myDate = new Date();
					var curDate = myDate.getFullYear()+"-"+(myDate.getMonth()+1)+"-"+myDate.getDate();
					var endDate = "";
					var begDate = "";
					if (data.EndDate=="") {
						endDate = curDate;
					}else{
						endDate = data.EndDate;
					}
					var sDate = new Date(data.BegDate.replace(/\-/g, "\/"));
    				var eDate = new Date(endDate.replace(/\-/g, "\/"));
    				var cDate = new Date(curDate.replace(/\-/g, "\/"));
    				if(eDate>cDate){
    					$.pnotify({
							text: '<?=$_lang["calendar_end_big_start_not"]?>',
							type : "error"
						});
						return;
    				}
					if (sDate>eDate) {
						$.pnotify({
							text: '<?=$_lang["calendar_start_big_end_not"]?>',
							type : "error"
						});
						return;
					}
					var formAjax = 0;
					//if(data.BegDate!=''&&data.EndDate!=''){
					if(data.BegDate!=''){
						formAjax = 1;
					}
					$.ajax({
						type:"POST",
						dataType:"html",
						data:"curPage="+liststart+"&rows="+listrows+"&userid="+userid+"&searchHighBegDate="+data.BegDate+"&searchHighEndDate="+data.EndDate+"&formAjax="+formAjax,
						url:"/general/diary/ajaxlist.php"
					}).done(function(result){
						if(result=="begDateNull"){
							$.pnotify({
								text: '<?=$_lang["calendar_start_not_empty"]?>',
								type : "error"
							});
						}else{
							$("#editorSpan").hide();
							$("#lisSpan").html(result);
							var btn =  moreAndNodataShow('btn');
							$("#showMoreSpan").html(btn);
							$("#right_table").getNiceScroll().resize();
						}
					});
				};

			},
			items : [{
				key : "BegDate",
				title : '<?=$_lang["calendar_cl_begin_date"]?>',
				type : "text"
			}, {
				key : "EndDate",
				title : '<?=$_lang["calendar_cl_end_date"]?>',
				type : "text"
			}]
		},
		onClearButtonClick:function()
		{
		   initDiaryData();
		}
	});
	//查询时间框设置
	$("input[key='BegDate']").datepicker({dateFormat: "yy-mm-dd"});
	$("input[key='EndDate']").datepicker({dateFormat: "yy-mm-dd"});
	//附件上传
	$("#file_elem").Upload({
		uploadType:'OTHER',
		showToolTip:false,
		removeCompleted:true,
		onUploadSuccess:function(attachmentID,attachementName){
			$("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
			$("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
		},
		//所有附件上传完成,触发form提交
		onQueueComplete:function(){
			createEditor.sync();
			diaryNewSubmit();
		}
	});
	//提交
	$("#diaryCreate").on("click",function(){
		if(!createEditor.hasContents()){
			$.pnotify({
				text: '<?=$_lang["calendar_content_not_empty"]?>',
				type : "error"
			});
		}else{
			if ($("#file_elem").Upload("getUploadCount") > 0) {
				$("#file_elem").uploadify("upload", "*");
			}else{
				createEditor.sync();
				diaryNewSubmit();
			}
			if ($("#file_elem").Upload("getUploadCount")>0) {
		        $("#file_elem-queue").find(".items").remove();
		        $('#file_elem').uploadify('cancel', '*');
		    }
		}

	});
	function diaryNewSubmit(){
		$('#form1').ajaxSubmit(function(data){
			if(data){
				//alert(123);
				createEditor.setContent("");
				var dataobj = $.parseJSON(data);
				if(dataobj.diff=="have"){
					$("#diaryDiv_"+dataobj.id).find(".diaryContent").html(dataobj.content);
				}else if(dataobj.diff=="no"){
					$.ajax({
						type:"POST",
						dataType:"html",
						data:"dataid="+dataobj.id,
						url:"/general/diary/ajaxshow.php"
					}).done(function(result){
						$(".curDiaryTd").html(result);
					});
				}
			}
		});
	}
	//处理列表按钮
	$("#lisSpan").on({
		mouseenter : function() {
			if($(this).hasClass("active"))
				return false;
			$(this).find(".diary_buttons_wrap").show();
		},
		mouseleave : function() {
			if($(this).hasClass("active"))
				return false;
			$(this).find(".diary_buttons_wrap").hide();
		}
	}, ".dicussSpan");

	$("#lisSpan").on({
		mouseenter : function() {
			if($(this).hasClass("active"))
				return false;
			$(this).find(".reply_buttons_wrap").show();
		},
		mouseleave : function() {
			if($(this).hasClass("active"))
				return false;
			$(this).find(".reply_buttons_wrap").hide();
		}
	}, ".disussReply");
	//导出
	$("#diaryOut").on("click",function(){
		var userid 			= $("#chooseDataId").val();
		var defaultUserId 	= $("#defaultUserId").val();
		var quickParam 		= $("#quickParam").val();
		var searchWord 		= $("#searchWord").val();
		var searchBegDate 	= $("#searchBegDate").val();
		var searchEndDate 	= $("#searchEndDate").val();
		var formAjax = 0;
		if(searchBegDate!=''&&searchEndDate!=''){
			formAjax = 1;
		}
		data = "userid="+userid+"&defaultUserId="+defaultUserId+"&quickParam="+quickParam+"&searchWord="+searchWord+"&searchHighBegDate="+searchBegDate+"&searchHighEndDate="+searchEndDate+"&formAjax="+formAjax;
		location.href='export.php?'+data;
	});

});
//点击查看
function getClickViewShow(userid){
   var myAttStr = ","+$("#myAttStr").val();
   var underUserStr = ","+$("#underUserStr").val();
   var myAttToStr = ","+$("#myAttToStr").val();
   var checkFlag = false;
   var showText = "";
   if(myAttStr.indexOf(userid) > 0){
		checkFlag = false;
	}else if(underUserStr.indexOf(userid) > 0){
		checkFlag = false;
	}else if(myAttToStr.indexOf(userid) > 0){
		checkFlag = true;
		showText = '<?=$_lang["calendar_after_approve"]?>';
	}else{
		checkFlag = true;
		showText = '<?=$_lang["calendar_after_attention"]?>';
	}
	if(checkFlag){
		$.pnotify({
			text: showText,
			type : "info"
		});
	}else{
		$("#chooseDataId").val(userid);
	   if(userid!="<?=$_SESSION["LOGIN_USER_ID"]?>"){
			$("#editorSpan").hide();
			//添加来访纪录
			visitRecord("<?=$_SESSION["LOGIN_USER_ID"]?>",userid);
		}else{
			$("#editorSpan").show();
		}
	   initDiaryData();
	}
}
//ztree拓展
function addHoverDom(treeId, treeNode) {
	if(!isNaN(treeNode.id)){
		//alert("是数字");
	}else{
		var aObj = $("#" + treeNode.tId + "_a");
		if ($("#diyBtn_"+treeNode.id).length>0) return;
		var myAttStr = ","+$("#myAttStr").val();
		var underUserStr = ","+$("#underUserStr").val();
		var myAttToStr = ","+$("#myAttToStr").val();
		//新添加的关注人员未审核
		var newAddAttStr = ","+$("#newAddAtt").val();
		//新取消关注的人员
		var newCancelAtt = ","+$("#newCancelAtt").val();
		if(myAttStr.indexOf(treeNode.id) > 0 && newCancelAtt.indexOf(treeNode.id) <= 0){
			if(underUserStr.indexOf(treeNode.id) > 0){
				var editStr = '<span id="diyBtn_space_'+treeNode.id+'"><span id="diyBtn_'+treeNode.id+'" style="float: right;color:#5BC0DE;"><span style="margin-right:10px;"><i class="fa fa-circle"></i>&nbsp;<?=$_lang["calendar_default"]?></span><button id="diyBtn_'+treeNode.id+'" type="button" class="btn btn-warning" style="float: right;" onclick="cancelAllAttention(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+treeNode.id+'\',\'default\')"><?=$_lang["calendar_cancel_attention"]?></button></span></span>';
			}else{
				var editStr = '<span id="diyBtn_space_'+treeNode.id+'"><button id="diyBtn_'+treeNode.id+'" type="button" class="btn btn-warning" style="float: right;" onclick="cancelAllAttention(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+treeNode.id+'\',\'other\')"><?=$_lang["calendar_cancel_attention"]?></button><span>';
			}
		}else if(underUserStr.indexOf(treeNode.id) > 0){
			if(newAddAttStr.indexOf(treeNode.id) > 0){
				var editStr = '<span id="diyBtn_space_'+treeNode.id+'"><span id="diyBtn_'+treeNode.id+'" style="float: right;color:#5BC0DE;"><span style="margin-right:10px;"><i class="fa fa-circle"></i>&nbsp;<?=$_lang["calendar_default"]?></span><button id="diyBtn_'+treeNode.id+'" type="button" class="btn btn-warning" style="float: right;" onclick="cancelAllAttention(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+treeNode.id+'\',\'default\')"><?=$_lang["calendar_cancel_attention"]?></button></span></span>';
			}else{
				var editStr = '<span id="diyBtn_space_'+treeNode.id+'"><span id="diyBtn_'+treeNode.id+'" style="float: right;color:#5BC0DE;"><span style="margin-right:10px;"><i class="fa fa-circle"></i>&nbsp;<?=$_lang["calendar_default"]?></span><button id="diyBtn_'+treeNode.id+'" type="button" class="btn btn-primary" style="float: right;" onclick="diaryAddAtten(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+treeNode.id+'\',\'default\')"><?=$_lang["calendar_add_attention"]?></button></span></span>';
			}

		}else if(myAttToStr.indexOf(treeNode.id) > 0 || newAddAttStr.indexOf(treeNode.id) > 0){
			var editStr = '<span id="diyBtn_space_'+treeNode.id+'"><span id="diyBtn_'+treeNode.id+'" style="float: right;margin-right: 10px;color:#5CB85C;"><i class="fa fa-circle"></i>&nbsp;<?=$_lang["calendar_already_applay"]?></span><span>';
		}else{
			var editStr = '<span id="diyBtn_space_'+treeNode.id+'"><button id="diyBtn_'+treeNode.id+'" type="button" class="btn btn-primary" style="float: right;" onclick="diaryAddAtten(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+treeNode.id+'\',\'other\')"><?=$_lang["calendar_applay_attention"]?></button></span>';
		}
		aObj.append(editStr);
	}
};
//添加关注
function diaryAddAtten(userid,touserid,diff){
	var checkUserStr = $("#checkAttenStr").val();
	var newAddAttStr = $("#newAddAtt").val();
	var newStr = newAddAttStr+touserid+",";
	$("#newAddAtt").val(newStr);
	addNewAttention("<?=$_SESSION["LOGIN_USER_ID"]?>",touserid,diff);
	var newStr = "";
	if(diff=="default"){
		newStr += '<span id="diyBtn_'+touserid+'" style="float: right;color:#5BC0DE;"><span style="margin-right:10px;"><i class="fa fa-circle"></i>&nbsp;<?=$_lang["calendar_default"]?></span><button id="diyBtn_'+touserid+'" type="button" class="btn btn-warning" style="float: right;" onclick="cancelAllAttention(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+touserid+'\',\'default\')"><?=$_lang["calendar_cancel_attention"]?></button></span>';
	}else if(diff=="other"){
		newStr += '<span id="diyBtn_'+touserid+'" style="float: right;margin-right: 10px;color:#5CB85C;"><i class="fa fa-circle"></i>&nbsp;<?=$_lang["calendar_already_applay"]?></span>';
	}
	$("#diyBtn_space_"+touserid).html(newStr);
	event.stopPropagation();
}
//来访添加关注
function recordAddatt(userid1,userid2){
	var underUserStr = ","+$("#underUserStr").val();
	var doUserid = "";
	if (userid1!="<?=$_SESSION["LOGIN_USER_ID"]?>") {
		doUserid = userid1;
	};
	if (userid2!="<?=$_SESSION["LOGIN_USER_ID"]?>") {
		doUserid = userid2;
	};
	var diff = "other";
	if(underUserStr.indexOf(doUserid) > 0){
		diff = "default";
	}
	addNewAttention("<?=$_SESSION["LOGIN_USER_ID"]?>",doUserid,diff);
	$("#left_record").LazyList("reload");
}
//来访取消关注
function recordCancelatt(userid1,userid2){
	bootbox.confirm('<?=$_lang["calendar_cancel_attentions"]?>', function(result) {
      if(result){
		  var newCancelAtt = $("#newCancelAtt").val();
		 var doUserid = "";
		 if (userid1!="<?=$_SESSION["LOGIN_USER_ID"]?>") {
		 	doUserid = userid1;
		 };
		 if (userid2!="<?=$_SESSION["LOGIN_USER_ID"]?>") {
		 	doUserid = userid2;
		 };
		 $.ajax({
			  type:"POST",
			  data:"type=cancelMyAttention&userid=<?=$_SESSION["LOGIN_USER_ID"]?>&touserid="+doUserid,
			  url:"/general/calendar9/attention/alldo.php"
		  }).done(function(result){
			  if(result=="success"){
				  var newIDStr = newCancelAtt+doUserid+",";
				  $("#newCancelAtt").val(newIDStr);
				  $("#left_record").LazyList("reload");
			  }
		  });
      }
    });
}
//取消关注
function cancelAllAttention(userid,touserid,diff){
	bootbox.confirm('<?=$_lang["calendar_cancel_attentions"]?>', function(result) {
      if(result){
		  var newCancelAtt = $("#newCancelAtt").val();
		 $.ajax({
			  type:"POST",
			  data:"type=cancelMyAttention&userid="+userid+"&touserid="+touserid,
			  url:"/general/calendar9/attention/alldo.php"
		  }).done(function(result){
			  if(result=="success"){
				  var newStr = "";
				  if(diff=="default"){
					  newStr =  '<span id="diyBtn_'+touserid+'" style="float: right;color:#5BC0DE;"><span style="margin-right:10px;"><i class="fa fa-circle"></i>&nbsp;<?=$_lang["calendar_default"]?></span><button id="diyBtn_'+touserid+'" type="button" class="btn btn-primary" style="float: right;" onclick="diaryAddAtten(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+touserid+'\',\'default\')"><?=$_lang["calendar_add_attention"]?></button></span>';
				  }else if(diff=="other"){
					  newStr = '<button id="diyBtn_'+touserid+'" type="button" class="btn btn-primary" style="float: right;" onclick="diaryAddAtten(\'<?=$_SESSION["LOGIN_USER_ID"]?>\',\''+touserid+'\',\'other\')"><?=$_lang["calendar_applay_attention"]?></button>';
				  }
				  //alert($("#diyBtn_space_"+touserid).length);
				  $("#diyBtn_space_"+touserid).html(newStr);
				  var newIDStr = newCancelAtt+touserid+",";
				  $("#newCancelAtt").val(newIDStr);
			  }
		  });
      }
    });
}

function removeHoverDom(treeId, treeNode) {
	$("#diyBtn_"+treeNode.id).unbind().remove();
	$("#diyBtn_space_" +treeNode.id).unbind().remove();
};

//日志新建
function btnDiaryNew(doObj){
	var allObj = $(doObj).parents("table");
	var check = false;
	$(".newDiaryClass").each(function(index, element) {
        if($(this).html()){
			$.pnotify({
				text: '<?=$_lang["calendar_close_other"]?>',
				type : "error"
			});
			check = true;
			return;
		}
    });
	if(!check){
		var oldate = allObj.find("#oldtime").val();
		$.ajax({
			type:"POST",
			dataType:"html",
			data:"dataid=&olddate="+oldate,
			url:"ajaxedit.php"
		}).done(function(result){
			//$("#diaryDiv_").find(".diaryEditSpan").show().html(result);
			/*$("#newDiaryDiv").hide();
			$("#newDiarySpan").show("normal").html(result);*/
			allObj.find("#newDiaryDiv").hide();
			allObj.find("#newDiarySpan").show().html(result);
		});

	}

}
//日志回复
function btnDiaryReply(dataid){
	var doObj = $("#diaryDiv_"+dataid).parents("td");
	var replyObj = doObj.find(".replyShowSpan");
	replyObj.show("normal").find("textarea").val("").focus();
	replyObj.find("#replyCancle").off("click").on("click",function(){
		replyObj.hide("normal");
	});
	replyObj.find("#replySumbit").off("click").on("click",function(){
		var contents = replyObj.find("textarea").val();
		if($.trim(contents)==""){
			$.pnotify({
				text: '<?=$_lang["calendar_reback_not_empty"]?>',
				type : "error"
			});
		}else{
			$.ajax({
				type:"POST",
				data:"checkDiff=diary_reply&data_id="+dataid+"&contents="+encodeURIComponent(contents),
				url:"alldo.php"
			}).done(function(result){
				//alert(result);
				doObj.find(".replyDiv").append(result);
				replyObj.hide("normal").find("textarea");
			});
		}
	});
}
//日志编辑
function btnDiaryEdit(dataid){
	$("#diaryDiv_"+dataid).find(".dicussSpan").hide();
	$.ajax({
		type:"POST",
		dataType:"html",
		data:"dataid="+dataid,
		url:"ajaxedit.php"
	}).done(function(result){
		//$("input[id^='file_elem_']").uploadify('destroy');
		$("#diaryDiv_"+dataid).find(".diaryEditSpan").show().html(result);
	});
}


//日志删除
function btnDiaryDel(dataid){
	bootbox.confirm('<?=$_lang["calendar_sure_delete_blog"]?>', function(result) {
		if(result){
			$.ajax({
				type:"POST",
				data:"checkDiff=diary_delete&delDiff=diary&data_id="+dataid,
				url:"alldo.php"
			}).done(function(result){
				var showDiv = $("#oldNewDivHidden").html();
				$("#diaryDiv_"+dataid).parents("td").html(showDiv);
				$.pnotify({
					text: '<?=$_lang["calendar_blog_del_success"]?>',
					type : "success"
				});
			});
		}
	});
}

//回复删除
function btnReplyDel(dataid){
	bootbox.confirm('<?=$_lang["calendar_sure_delete_reback"]?>', function(result) {
		if(result){
			//alert($(this).parents(".disussReply").length);
			$.ajax({
				type:"POST",
				data:"checkDiff=diary_delete&delDiff=reply&data_id="+dataid,
				url:"alldo.php"
			}).done(function(result){
				$("#replySingle_"+dataid).remove();
				$.pnotify({
					text: '<?=$_lang["calendar_reback_del_success"]?>',
					type : "success"
				});
			});
		}
	});
}
function showMoreData(){
	var liststart = parseInt($("#showPage").val())+10;
	$("#showPage").val(liststart);
	var userid = $("#chooseDataId").val();
	var defaultUserId = $("#defaultUserId").val();
	var quickParam = $("#quickParam").val();
	var searchWord = $("#searchWord").val();
	var searchBegDate = $("#searchBegDate").val();
	var searchEndDate = $("#searchEndDate").val();
	if($("#checkHaveData").length>0){
		var showRmind = moreAndNodataShow("remind");
		$("#showMoreSpan").html(showRmind);
	}else{
		var data = "curPage="+liststart+"&rows="+listrows+"&userid="+userid+"&defaultUserId="+defaultUserId+"&quickParam="+quickParam+"&searchWord="+searchWord+"&searchHighBegDate="+searchBegDate+"&searchHighEndDate="+searchEndDate;
		$.ajax({
			type:"POST",
			dataType:"html",
			data:data,
			url:"/general/diary/ajaxlist.php"
		}).done(function(result){
			$("#lisSpan").append(result);
			var showRmind = moreAndNodataShow("btn");
			$("#showMoreSpan").html(showRmind);
		});
	}
	$("#right_table").getNiceScroll().resize();
}
function initDiaryData(){
	var userid = $("#chooseDataId").val();
	var defaultUserId = $("#defaultUserId").val();
	var quickParam = "allShow";
	var searchWord = "";
	$.ajax({
		type:"POST",
		dataType:"html",
		data:"curPage=0&rows=10&userid="+userid+"&defaultUserId="+defaultUserId+"&quickParam="+quickParam+"&searchWord="+searchWord+"&checkDiff=init",
		url:"/general/diary/ajaxlist.php"
	}).done(function(result){
		$("#lisSpan").html(result);
		$("#right_table").getNiceScroll().resize();
		var btn =  moreAndNodataShow('btn');
		$("#showPage").val('0');
		$("#showMoreSpan").html(btn);
	});

}
//加载和无数据
function moreAndNodataShow(diff){
	var remindStr = "";
	if(diff=="btn"){
		remindStr = '<button type="button" class="btn btn-primary btn-lg btn-block" style="letter-spacing:5px;word-spacing:10px;" onclick="showMoreData()"><?=$_lang["calendar_load_more_data"]?></button>';
	}else if(diff=="remind"){
		remindStr = '<div class="alert alert-info" style="text-align:center;letter-spacing:5px;word-spacing:10px;"><?=$_lang["calendar_not_more_data"]?></div>';
	}
	return remindStr;
}
//来访纪录
function visitRecord(userid,touserid){
	$.ajax({
		type:"POST",
		data:"checkDiff=visitRecord&userid="+userid+"&touserid="+touserid,
		url:"alldo.php"
	}).done(function(result){
		if(result=="success"){
			//alert(1111);
		}
	});
}
//删除附件
function deleteAttachment(ATTACHMENT_ID,ATTACHMENT_NAME,id,tablename)
{
  	bootbox.confirm('<?=$_lang["calendar_sure_del_att"]?>', function(result) {
	  if(result){
	      $.ajax({
				type:"POST",
				data:"applyid="+id+"&ATTACHMENT_ID="+ATTACHMENT_ID+"&ATTACHMENT_NAME="+ATTACHMENT_NAME,
				url :"/general/diary/new/deleteattch.php"
			}).done(function(result){
				if (result="success") {
					$("#form_"+id).find("#"+ATTACHMENT_ID).hide().remove();
					$.pnotify({
				        text: '<?=$_lang["calendar_att_del_success"]?>',
				        type : "success"
				    });
				} else{
					$.pnotify({
				        text: '<?=$_lang["calendar_att_del_fault"]?>',
				        type : "erro"
				    });
				};
			});
	  }
	});
}
</script>