<?php
include 'inc/auth.php';
include_once 'inc/utility_all.php';
require_once "api/dingtalk.class.php";


$dingtalk = new dingtalk();
$appkey =isset($_GET['appkey'])? trim($_GET['appkey']):"";
$appsecret =isset($_GET['appsecret'])? trim($_GET['appsecret']):"";

if(!$appkey||!$appsecret){
    return array(
        "errcode" => 40089,
        "errmsg"  => "不合法的appkey或appsecret"
    );
}
$time = time();

$url = "https://oapi.dingtalk.com/gettoken?appkey={$appkey}&appsecret={$appsecret}";
$obj = $dingtalk->https_request($url);


if(isset($obj["errmsg"]) && $obj["errmsg"] == "ok"){
    //更新入库
    $sql = "update dingtalk_token set 	access_token	 = '".SecurityFilter($obj['access_token'])."', token_time = '".SecurityFilter($time)."'";
    exequery($connection, $sql);

}else{
     $logObj = array(
        "time" => date("Y-m-d H:i:s"),
        "user_name" => $_SESSION['LOGIN_USER_NAME'],
        "errcode" => $obj["errcode"],
        "errmsg" => $obj["errmsg"],
    );

    custom_checkpath(UTH_TMP_PATH."auth"); //pc
    $file = fopen(UTH_TMP_PATH."auth/dingtalk.log",'a');
    fwrite($file, json_encode($logObj));
    fwrite($file, "\r\n");
    fclose($file);
}


// $json = json_encode($obj);
echo  json_encode($obj);
exit;