<?php
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.3
 * @function      内部邮件-收件箱
 * @encoding      $_lang['encoding']
 * @name          general/email/index.php
 * @version       6
 * @author        samuel|www.weaver.com.cn
 * @date          2012-12-12
 */
include_once ("inc/auth.php");
include_once("email_function.php");
includelangpak("email");

$PAGE_TITLE = $_lang['email_title'];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<!--zTree 树形菜单-->
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">

<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />

<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--jQuery类库-->
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--语言包-->
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>

<!--zTree 树形菜单-->
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>

<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>

<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>

<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
		<script type="text/javascript">
			var pnotify='';
			$(document).ready(function() {
				$.pnotify.defaults.styling = "bootstrap3";
				$.pnotify.defaults.closer = false;
				$.pnotify.defaults.sticker = false;
				$.pnotify.defaults.history = false;
				$.pnotify.defaults.delay = 500;
				$(".folder_list").LazyTable({
					column:[
						{key:"checkall"},
						{
							key:"BOX_NAME",
							title:"<?php echo $_lang['email_folder_name']; ?>",
							width:'500px'
						},
						{
							key:"UNREADCOUNT",
							title:"<?php echo $_lang['email_unread_mail']; ?>"
						},
						{key:"TOTALCOUNT",title:"<?php echo $_lang['email_total_mail']; ?>"}
						],
				dataSource:"do.php",
				param:{op:"getFolderList",loginuserid:"<?php echo $_SESSION['LOGIN_USER_ID']; ?>"},
				buttons:{
					buttonInfor:{
						"edit":{title:"<?php echo $_lang['common_edit']; ?>",func:function(data){
							$("#folder_dialog").attr('type','edit');
							$("#folderName").val(data.BOX_NAME);
							$("#box_id").val(data.BOX_ID);
							$("#folder_dialog").dialog({title:'<?php echo $_lang["email_edit_folder"]; ?>'});
							if($("#folderName").val()!=''){
								$("#folderName").removeClass('require');
							}
							$("#folder_dialog").dialog("open");
						}},
						"delete":{title:"<?php echo $_lang['common_del']; ?>",func:function(data){
							bootbox.confirm("<?=$_lang['email_delete_folder_confirm']?>", function(result) {
								if(result){
									$.ajax({
									type : "POST",
									url : "folder_manage_do.php",
									data : "op=delete&box_id=" + data.BOX_ID,
									success : function(result) {
										$(".folder_list").LazyTable("reload");
										window.parent.folder_reload();
									}
								});
								}
							});
										}
									}
								}
							},
				batchButtons:{
					"delete":{
						title:"<?php echo $_lang['common_del']; ?>",func:function(data){
							if(data==""){
								if(!pnotify){
									pnotify=$.pnotify({
									text: "<?php echo $_lang['email_delete_folder_choose']; ?>",
									type : "error",
									pnotify_after_close:function(){
										pnotify='';
									}
								});
								}
							}else{
								bootbox.confirm("<?=$_lang['email_delete_folder_confirm']?>", function(result) {
								if(result){
									$.ajax({
									type : "POST",
									url : "folder_manage_do.php",
									data : {op:"batchDelete",data:data},
									success : function(result) {
										$(".folder_list").LazyTable("reload");
										window.parent.folder_reload();
									}
							});
								}
							});
							}
						}
						}
				},
				onAfterLoad:function(){
					 $(':checkbox.lazy_table_checkbox').iCheck({
	                    checkboxClass : 'icheckbox_square-grey',
	                    radioClass : 'iradio_square-grey'
	                });

					 $(':checkbox.lazy_table_checkall').iCheck({
	                    checkboxClass : 'icheckbox_square-blue',
	                    radioClass : 'iradio_square-blue'
	                });
				}
				});
				$(".folder_list").on('ifChanged', '.lazy_table_checkall', function(event){
			$(".folder_list").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
		});

		$(".folder_list").on('ifChanged','.lazy_table_checkbox', function(event){
			if ($(this).prop("checked")) {
                    if ($(".folder_list").find(".lazy_table_checkbox").filter(function() {
                        return $(this).prop("checked") == false;
                    }).length == 0) {
                        $(".folder_list").find(".lazy_table_checkall").prop("checked", true);
                    }
                } else {
                    $(".folder_list").find(".lazy_table_checkall").prop("checked", false);
                }

                $(":checkbox").iCheck('update'); 
		});
				$("#folder_dialog").dialog({
				    autoOpen: false,
				    width: 500,
				    modal: true,
				    closeText:"<?=$_lang['common_close']?>",
				    buttons: [{
						text:"<?=$_lang['common_save'];?>",
						'class':'btn btn-primary',
				        click: function() {
				        	var folderName = $("#folderName").val();
							if($.trim(folderName) == "") {
								if(!pnotify){
									pnotify=$.pnotify({
									text: "<?php echo $_lang['email_folder_name_empty']; ?>",
									type : "error",
									pnotify_after_close:function(){
										pnotify='';
									}
								});
								}
								return;
							}
							if($("#folder_dialog").attr("type") == "new") {
								$.ajax({
									type : "POST",
									url : "folder_manage_do.php",
									data : "op=new&box_name=" + folderName,
									success : function(result) {
										$("#folder_dialog").dialog( "close" );
										$(".folder_list").LazyTable("reload");
										window.parent.folder_reload();
									}
								});
							} else if($("#folder_dialog").attr("type") == "edit") {
								$.ajax({
									type : "POST",
									url : "folder_manage_do.php",
									data : "op=edit&box_name=" + folderName + "&box_id=" + $("#box_id").val(),
									success : function(result) {
										$("#folder_dialog").dialog( "close" );
										$(".folder_list").LazyTable("reload");
										window.parent.folder_reload();
									}
								});
							}
					        },
					       }]
				});
				//触发弹出框
				$("#new").click(function(){
					$("#folder_dialog").attr('type','new');
					$("#folderName").val('');
					$("#folder_dialog").dialog({title:'<?php echo $_lang["email_create_folder"]; ?>'});
				    $("#folder_dialog").dialog("open");
				});

				$(".email_toggle").LazyToggle({
					autoHide : false,
					showTip : "<?=$_lang['email_show_menu']?>",
					hideTip : "<?=$_lang['email_hide_menu']?>",
					onAfterShow : function() {
						$('.style_list_wrap',parent.document).css('display','');
						$('.content',parent.document).css('margin-left','200px');
					},
					onAfterHide : function() {
						$('.style_list_wrap',parent.document).css('display','none');
						$('.content',parent.document).css('margin-left','0');
					}
				});
			 });
			function checkvalue(obj){
				if(obj.value!=''){
					$(obj).removeClass('require');
				}else{
					$(obj).addClass('require');
				}
			}
		</script>
	</head>
	<body>
		<div class="lazy_header">
			<div class="email_toggle"></div>
			<span class="lazy-page-title">
				<i class="fa fa-page-title"></i>
				<span class="tip"><?=$_lang['email_my_folder']?></span>
			</span>
			<button class="btn btn-primary" type="button" id="new"><?=$_lang["common_new"]?></button>
		</div>
		<div class="folder_list"></div>
		<div id="folder_dialog" title="<?php echo $_lang['email_create_folder']; ?>" type="new">
    <table class="form_table" width="100%">
        <tr>
            <td class="title overflow" title="<?php echo $_lang['email_folder_name']; ?>"><?php echo $_lang['email_folder_name']; ?>：</td>
            <td>
            <input type="text" id="folderName" name="folder_name" class="require" onkeyup="checkvalue(this)"/>
            <input type="hidden" id="box_id" /></td>
        </tr>
    </table>
</div>
	</body>
</html>