<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/file_folder/file_new/read.php
 *@function:         文档查看页面
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-02-06
 *@file Version:     8.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once ("inc/auth.php");
includelangpak ("file");
include_once ("inc/utility_all.php");
include_once ("inc/document_function.php");
include_once ("api/report.class.php");
include_once ("api/file.class.php");
include_once ("api/docs.class.php");
include_once ("api/folder.class.php");
$version = getVersion();
//取消文档提醒
SMSCancelRemind($LOGIN_USER_ID,$_REQUEST ['CONTENT_ID'],"file_content");
$docId     = $_REQUEST['CONTENT_ID'];
//报表有用，别的未知，2013-05-21 sunx
$docStr    = $_REQUEST ['docStr'];
//实例化文档的对象
$doc       = new document ($_SESSION["LOGIN_USER_ID"],$docId);

$sortId    = $doc->SORT_ID;
//准备文档权限查询的参数
$baseInfo  = $doc->getDocInfo($docId);
//获取是否有该文档的查看权限
$canRead   = $doc->getReadPurview($baseInfo);
if(!$canRead)
{
	Message ("", $_lang["file_read_no_pur"]);
	exit();
}

$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}

//记录日志
saveSysOpLog ($doc->CONTENT_ID, '3', 'file_content', '' );
//根据文件夹获取文件夹的显示模板id
$folder   = new folder($doc->SORT_ID);
$modeId   = $folder->MODE_ID;
$sortType = $folder->SORT_TYPE;
if($modeId)
	$modeStr   = $doc->getModeContentById ($modeId);
else
{
	if($sortType == 1)
		$modeStr   = $doc->getModeContentById ('1');
	else
		$modeStr   = $doc->getModeContentById ('2');
}
//用文档的相关属性替换模板
$attachmentIdStr   = $doc->ATTACHMENT_ID;
$attachmentNameStr = $doc->ATTACHMENT_NAME;
//附件个数
$attachmentIdStr = trim($attachmentIdStr,",");
if($attachmentIdStr)
	$attachmentCount = count(explode(",",$attachmentIdStr));
else
	$attachmentCount = 0;
//文档回复信息
$replysInfo        = $doc->getReplyByDocId($docId);
$revertCount       = count($replysInfo);
//文档查看日志信息
$logsInfo          = $doc->getLogsById($docId,"file_content");
$logCount          = count($logsInfo);
//$content           = $doc->CONTENT;
$contentType       = $doc->CONTENT_TYPE;
$fileReadAttachment = "";
//html
if($contentType == 1)
{
	$content           = $doc->templateReplace($baseInfo,$modeStr);
	$content           = preg_replace ( "/&#039;/", "'", $content );
	$content           = preg_replace ( '/&quot;/', '"', $content );
}
//doc
else if($contentType == 2||$contentType == 3)
{
	if($contentType == 2)
		$OFFICE_NAME = $baseInfo['CONTENT'].".doc";
	else
		$OFFICE_NAME = $baseInfo['CONTENT'].".xls";
	$printPur = opinionPurview ('DOWN',$baseInfo ["SORT_ID"] );
	if ($printPur)
	{
		$printShield = "";
	}
	else
	{
		$printShield = "shield";
	}
	$LinkUrl = "/iWebOffice/DocumentEdit.php?RecordID=".$docId."&EditType=0&UserName=".$LOGIN_USER_ID. "&ATTACHMENT_ID=".$baseInfo['CONTENT']."&ATTACHMENT_NAME=".$OFFICE_NAME."&PRINT_PUR=$printShield";
	$content = '<iframe id="c_content" frameborder="0" width="100%" height="693" src="'.$LinkUrl.'"></iframe>';
	$fileReadAttachment = "fileReadAttachment";
}
//报表
else if($contentType == 4)
{

}
$userId            = $doc->USER_ID;
$fileType          = $doc->FILE_TYPE;


if ($contentType == 1 || $contentType == 4)
{
	$ContentTile = "";
}
else
{
	$ContentTile = "&nbsp;<b>" . $_lang ["file_position_subject"] . " ：" . $doc->SUBJECT. "</b>";
}
if ($contentType == 4)
{
	//稍后改进，使用调用report.class的方法
	$DownTablePath = $ReadArray ['ReportTablePath'];
	if (file_exists ( $DownTablePath ))
	{
		$DowmReportTable = true;
	}
	else
	{
		$DowmReportTable = false;
	}
}
//显示日志信息的地址
$LogUrl     = "/general/file_folder/file_new/log_show.php";
$LogPar     = "?DOCUMENT_ID=" . $docId . "&TABLE_NAME=file_content";
$LogAllUrl  = $LogUrl . $LogPar;

$functionID = $_REQUEST['functionID'];

//判断是否有编辑权限(个人文档都可以编辑，公共文档判断是否有编辑权限)
if(($fileType==2 && $userId == $_SESSION["LOGIN_USER_ID"])||($fileType == 1 && (opinionPurview ('MANAGE', $sortId)||$userId == $LOGIN_USER_ID)))
{
	$isCanEdit = true;
}
else
{
	$isCanEdit = false;
}
//打开文档的时候需要判断word类型的文档的附件是否存在
$check_key = "1";
if ($contentType == 2)
{
	$fileName = $baseInfo["CONTENT"].".doc";
}
else if ($contentType == 3)
{
	$fileName = $baseInfo["CONTENT"].".xls";
}
if($fileName)
{
	$folderName = ($fileName - 2) / 3;
	$path = $ATTACH_PATH . $folderName . "/" . $fileName;
	$path = getTypeString($path, 'GBK');

	if (!file_exists($path))
	{
		$check_key = "0";
	}
}
if($check_key == "0")
{
	Message("",$_lang["file_not_exsit"]);
	exit();
}
$SUBJECT = $baseInfo['SUBJECT'];
$SUBJECT = str_replace ( "\"", "&quot;", $SUBJECT );
$SUBJECT = str_replace ( "'", "&#039;", $SUBJECT );

$PAGE_TITLE = $SUBJECT;
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.read.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.floatDiv.js"></script>
<script type="text/javascript" src="/inc/common.js?<?=$version?>"></script>
<script type="text/javascript" src="/inc/follow.js?<?=$version?>"></script>
<script type="text/javascript" src="/inc/document_new.js"></script>

<script>
$(function(){
	$("#toAttachment").click(function(){
		location.hash="anchorType";
		window.fileReadTabs.tabs( "option", "active", "0" );
		//$(".readFileMain").getNiceScroll().resize();
	});
	$("#aReverId").click(function(){
		location.hash="anchorType";
		window.fileReadTabs.tabs( "option", "active", "1" );
		//$(".readFileMain").getNiceScroll().resize();
	});
	window.fileReadTabs = $("#normal_tab").tabs({
		activate: function( event, ui ) {
			//$(".readFileMain").getNiceScroll().resize();
		},
		load: function( event, ui ) {
			//$(".readFileMain").getNiceScroll().resize();
		}
	});
	//$(".readFileMain").height($(window).height()-65).niceScroll({horizrailenabled:false});
	UE.getEditor('fckeditor1',{
		initialFrameWidth:"100%",
		initialFrameHeight:"100",
		toolbars: [[
			'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
			'fontsize', '|','scrawl','|',
			'justifyleft', 'justifycenter', 'justifyright'
		]],
		zIndex:1
	});
})

function revertShow()
{
	document.getElementById('fckId').style.display='';
	$("P[id=showId]").hide("slow");
	$("P[id=saveId]").show("slow");
	document.getElementById('aReverId').click();
}

function saveRevert()
{
	var ReContent = UE.getEditor('fckeditor1').getContent();
	if(ReContent=="")
	{
		alert("<?=$_lang ["file_report_revert_null"]?>");
		var submitValue = 0;
	}
	else
	{
		var submitValue = 1;
	}
	if( submitValue == 1)
	{
		$.ajax({
			url: '/general/file_folder/file_new/update.php',
			type: 'POST',
			dataType: 'html',
			data:{type:"re_validate",SORT_ID:"<?=$sortId?>",CONTENT_ID:"<?=$docId?>",re_content:ReContent},
			timeout: 1000,
			error: function()
			{
				alert('Error loading XML document');
			},
			success: function(data)
			{
				var parsedData=jQuery.parseJSON(data);
				var afterRevert= '<tr><td class="dashedborderbottom"><table border="0" cellspacing="1" width="100%" cellpadding="1"><tr>'+
				'<td align="left">'+
					'<table border="0" cellspacing="1" width="100%" cellpadding="2">'+
						'<tr>'+
							'<td width="40" rowspan="2"  valign="top"  style="padding:12px 0px 0px 0px;">'+
                            	'<img src="<?
									global $ATTACH_PATH;
									$fileName = 'personal/'.$_SESSION['LOGIN_USER_ID'].'/avatar_35'.getUserAvatarType($_SESSION['LOGIN_USER_ID']);

									if(file_exists($ATTACH_PATH.$fileName)) {
										echo '/attachment/'.$fileName.'?'.rand();
									}else {
										echo '/attachment/personal/noimage_35.png';
									}
								?>" style=" margin:1px 0px 0px 2px;">'+
							'</td>'+
                            '<td style="padding:12px 0px 0px 10px;">'+
                            	'<span style="color:#1b5dc5; font-size:13px; font-weight:bold;">'+parsedData.userName+'</span><br/><span style="font-size:9px;color:#666666">'+parsedData.date+'</span>&nbsp;&nbsp;'+
                            '</td>'+
						'</tr>'+
						'<tr>'+
							'<td style="padding:0px 0px 12px 10px;">'+ReContent+'</td>'+
						'</tr>'+
					'</table>'+
				'</td>'+
                '<td width="200" align="center" style="border:1px solid #bedcef;background-color:#d7efff;"><?=$_lang["file_report_doc_revert"]?></td></tr>'+
			'</table></td></tr>';
			jQuery("#RevertWrap").prepend(afterRevert);
			jQuery("#RevertNumber").html(parseInt(jQuery("#RevertNumber").html())+1);
			UE.getEditor('fckeditor1').setContent("");
			}
		});
	}
}
function ajaxSendData(SORT_ID,CONTENT_ID,ATTACHMENT_ID,ATTACHMENT_NAME)
{
	$.ajax({
		url: '/general/file_folder/file_new/delete_attach.php',
		type: 'POST',
		dataType: 'html',
		data:{'ATTACHMENT_NAME':ATTACHMENT_NAME,'SORT_ID':SORT_ID,'CONTENT_ID':CONTENT_ID,'ATTACHMENT_ID':ATTACHMENT_ID},
		timeout: 1000,
		error: function(){
			alert('Error loading XML document');
		},
		success: function(data){
			//alert(data);
		}
	});
}
function PrintDoc()
{
	$("#newnotice").hide();
	$(".lazy_header").hide();
	//document.execCommand('Print');此方法不兼容火狐浏览器 16.04.27
    window.print();
	$("#newnotice").show();
	$(".lazy_header").show();
}
//日志显示
function documentLogShow(url)
{
	var ScreenWidth  = screen.availWidth  ;
    var ScreenHeight = screen.availHeight ;
    var StartX = (ScreenWidth - 500) / 2 ;
    var StartY = (ScreenHeight - 200) / 2 ;
    window.open(url, '', 'left='+ StartX + ', top='+ StartY + ', Width=600, height=400, toolbar=no, menubar=no,scrollbars=yes, resizable=yes,location=no, status=1') ;
}

function editDocument(fileSort,contentID,sortID,functionID,docStr)
{
	window.location.href='neworedit/index.php?FILE_SORT='+fileSort+'&CONTENT_ID='+contentID+'&SORT_ID='+sortID+'&func_id='+functionID+'&operationType=editFromRead&docStr='+docStr;
}
</script>

</head>
<body leftmargin="0" rightmargin="0" style="">
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["file_read_file_view"]?></span>
	</span>
		<?
		if ($DowmReportTable)
		{
			?>
			<input class="btn btn-info" id="buttonBackId" onClick="location.href='/general/file_folder/file_new/neworedit/export.php?subject=<?=urlencode ( $ReadArray ['Subject'] )?>&path=<?=$DownTablePath?>'" type="button" value='<?=$_lang ["file_report_export_table"]?>' />
		<?
		}

		//如果不是office类型文档即可以打印
		if ($contentType != 2 && $contentType != 3) {
			?>
		<input type="button" class="btn btn-info" onClick="PrintDoc()" value='<?=$_lang ["common_print"]?>'/>
		<?
		}
		?>
		<input type="button" id="buttonBackId" class="btn btn-default" onClick="window.close()" value='<?=$_lang ["common_close"]?>'/>
		<?

		if($isCanEdit)
		{
		?>
			<input type="button" id="edit" class="btn btn-primary" onClick="editDocument('<?=$fileSort?>','<?=$docId?>','<?=$sortId?>','<?=$functionID?>','<?=$docStr?>');" value='<?=$_lang ["common_edit"]?>'/>
		<?
		}
		?>
</div>
<div class="readFileMain" style="">
	<?
	//判断翻篇
	if ($docStr != "") {
		$docStrArray = explode ( ',', $docStr );
		for($i = 0; $i < count ( $docStrArray ); $i ++) {
			if ($docStrArray [$i] == $docId) {
				if ($docStrArray [$i - 1] != "") {
					$preDocInfo = $doc->getDocInfo( $docStrArray[$i-1]);
					$subject    = $preDocInfo["SUBJECT"];
					$PrvStrUp = "<a href=\"read.php?CONTENT_ID=" . $docStrArray [$i - 1] . "&docStr=" . $docStr . "\" title=" . $subject . ">[" . $_lang ["file_report_prv_page"] . "]</a>";
				}
				if ($docStrArray [$i + 1] != "") {
					$nextDocInfo = $doc->getDocInfo( $docStrArray[$i+1]);
					$subject    = $nextDocInfo["SUBJECT"];
					$PrvStrDown = "<a href=\"read.php?CONTENT_ID=" . $docStrArray [$i + 1] . "&docStr=" . $docStr . "\" title=" . $subject . ">[" . $_lang ["file_report_next_page"] . "]</a>";
				}
				break;
			}
		}
	}
	?>
	<center>
	<a name="content"></a>
	<div id='contentDiv' style='text-align: left' <? if($contentType == 1){echo 'class="view"';}?>>
		<?=$content?>
	</div>
	<a id="anchorType"></a>
	</center>
	<!--<a name="revert"></a>-->
	<div id="normal_tab" style="padding-bottom:24px;">
		<ul>
			<li><a href="#attach_tab"><?=$_lang ["file_report_doc_attach"]?></a></li>
			<li><a href="#repaly_tab"><?=$_lang ["file_read_doc_re"]?></a></li>
		</ul>
		<div id="attach_tab">
			<?
			//展示附件，有空考虑优化此函数
			echo getAttachment($attachmentIdStr,$attachmentNameStr,$docId,$sortId,$userId,$fileReadAttachment);
			?>
		</div>
		<div id="repaly_tab">
			<?
			if (opinionPurview('RE',$sortId )||$userId == $LOGIN_USER_ID||opinionPurview('MANAGE', $sortId)||checkSharePurview($docId,$fileType,$LOGIN_USER_ID))
			{
			?>
			<div class="lazy_header">
				<input type="button" value='<?=$_lang["common_save"]?>' class="btn btn-primary" onclick='saveRevert();'/>
			</div>
			<table width='100%' cellpadding="0" cellspacing="0" height="100%">
				<tr>
					<td class="dashedborderbottom">
					<script id="fckeditor1" type="text/plain" name="fckeditor1" style=""><?=$CONTENT?></script>
					</td>
				</tr>
			</table>
			<?
			}
			else
			{
				Message("",$_lang ["file_read_js_re_no_pur"],"failed");
			}
			?>
			<table border='0' width='100%' cellpadding='1' cellspacing='0' id="RevertWrap">
			<?
			for($i=0; $i < $revertCount ; $i++)
			{
				$replysInfo[] = "";
				$replyUserame      = getUserNameNew($replysInfo[$i]['USER_ID']);
				$attachementIdRe   = $replysInfo[$i]['ATTACHMENT_ID'];
				$attachementNameRe = $replysInfo[$i]['ATTACHMENT_NAME'];
				$replyTime         = $replysInfo[$i]['RE_TIME'];
				$userIdRe          = $replysInfo[$i]['USER_ID'];
				$replyContent      = $replysInfo[$i]['RE_CONTENT'];
				$prcsName          = $replysInfo[$i]['PRCS_NAME'];
				$prcsId            = $replysInfo[$i]['PRCS_ID'];

				if ($attachementIdRe != "")
				{
					$replyContent .= getAttachment ( $attachementIdRe, $attachementNameRe, $docId, $sortId, $userIdRe, 'feedback' );
				}
				if($prcsId)
				{
					$prcsName = $prcsName == "" ? $_lang["flow_no."].$prcsId.$_lang["flow_steps"] : $prcsName;
				}
				else
				{
					$prcsName = $prcsName == "" ? $_lang["file_report_doc_revert"] : $prcsName;
				}
			?>
				<tr>
					<td class="dashedborderbottom">
						<table border="0" cellspacing="1" width="100%" cellpadding="1">
							<tr>
								<td align="left">
									<table border="0" cellspacing="1" width="100%" cellpadding="2">
										<tr>
											<td width="40px" rowspan="2"  valign="top"  style="padding:12px 0px 0px 0px;">
												<div style="height:40px;width:40px;">
													<img src="<?
														global $ATTACH_PATH;
														$fileName = 'personal/'.$userIdRe.'/avatar_35'.getUserAvatarType($userIdRe);
														if(file_exists($ATTACH_PATH.$fileName)) {
															echo '/attachment/'.$fileName.'?'.rand();
														}else {
															echo '/attachment/personal/noimage_35.png';
														}
													?>" style=" margin:1px 0px 0px 2px;">
												</div>
											</td>
											<td style="padding:12px 0px 0px 10px;">
												<span style="color:#1b5dc5; font-size:13px; font-weight:bold;"><?=$replyUserame?></span><br/><span style="font-size:9px;color:#666666"><?=$replyTime?></span>&nbsp;&nbsp;
											</td>
										</tr>
										<tr>
											<td style="padding:0px 0px 12px 10px;">
												<?=$replyContent?>
											</td>
										</tr>
									</table>
								</td>
								<td width="200" align="center" style="border:1px solid #bedcef;background-color:#d7efff;">
									<div style="width:100%;"><?=$prcsName?></div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			<?
			}
			?>
			</table>
		</div>
	</div>
</div>
<div id="newnotice" style="width:100%;">
	<p>
		<span class="title">
			<?=$PrvStrUp . $PrvStrDown?>
			<a href="#content">[<?=$_lang ["file_report_doc_content"]?>]</a>
			<a href="#attachment" id="toAttachment">[<?=$_lang ["file_attach_list"]?>(<span style='color: red'><?=$attachmentCount?></span>)]</a>
			<a href="#revert" id='aReverId'>[<?=$_lang ["file_report_revert"]?>(<span style='color: red' id='RevertNumber'><?=$revertCount?></span>)]</a>
			<a href="javascript:documentLogShow('<?=$LogAllUrl?>')">[<?=$_lang ["file_doc_log"]?>(<span style='color: red'><?=$logCount?></span>)]</a>
		</span>
	</p>
</div>
</body>
</html>
<script type="text/javascript">
//文档附件和文档回复信息的标签的切换
jQuery("#tagContent1").show();
jQuery("#tags").find("li:eq(1)").removeClass().addClass("selectedTag");
function switchTag(tagContent,obj){
	jQuery("#tags").find("li:gt(0)").removeClass().addClass("normalTag");
	jQuery(obj).parent('li').removeClass().addClass("selectedTag");
	jQuery("#tagContent").children("div").hide();
	jQuery("#" + tagContent).show();
}
</script>
