<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/hrms/query/hr_list.php
 *@function:         档案管理--档案列表
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-28
 *@file Version:     6
 *@eoffice Version:  8.0
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/dept_user_hr_list/getUserStatus.php");
include_once("inc/function_picture.php");
include_once("inc/function_usergeneral.php");
includelangpak("hr");

syncHrms();

include_once("inc/page_header.inc.php");

?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<style>
.deptlist {
	float: left;
	border-right: 1px solid #D9D9D9;
}

.deptlist .list_search {
	float: right;
	margin-top: 5px;
}
</style>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/imp_exp/imp_exp.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script language="javascript"> 
$(function() {
	var filterData = "";
	var searchParam = "";
	var searchKey = "";
	var searchValue = "";
	window.listTable = $("#hrmslist").LazyTable({
		 dataSource:"/general/hrms/manage/hr_list_do.php",
		 param:{
			type:"hrmslist"
		 },
		 column:[{key:"TRUE_NAME",title:EOlang.msgFullName,autoHide:true,width:"80px"},
				   {key:"NO",title:ExtLang.ShowNumber,autoHide:true,width:"100px"},				   
				   {key:"SEX",title:EOlang.msgUserSex},
				   {key:"DEPARTMENT",title:HrmsLang.hrmsDept,width:"100px"},				   
				   {key:"BIRTHDAY",title:HrmsLang.hrmsBirthday},
				   {key:"MARRY",title:HrmsLang.hrmsMarriageState,autoHide:true},
				   {key:"POST",title:HrmsLang.hrmsPost,width:"80px"},
				   {key:"STATUS",title:Flowlang.status},
				   {key:"JOIN_DATE",title:ExtLang.WorkInDate},
				   {key:"LABOR_END_TIME",title:HrmsLang.hrmsContractEndTime}
		 ],
		 buttons:{
			 buttonInfor:{
				 "edit":{
					title:LazyGridLang.Edit,
					isDefault:true,
					func:function(data) {
						hrmsEdit(data.ID);						
					}
				 },
				 "delete":{
					title:BatchCreateLang.Delete,
					func:function(data) {
						bootbox.confirm("<?=$_lang["hr_confirm_to_del"]?>", function(result) 
						{
							if(result) 
							{
								deleteHrms(data.ID);
							}
						});
					}
				 },
				 "detail" : {
					 title : HrmsLang.hrmsDetails, //按钮名称
					 func : function(data) { //按钮点击回调函数 data为 dataSource的数据结构
						hrmsDetail(data.ID);
					 }
				 }					
			 },
			 filter:function(data)
			 {
				if(data.DELETE_PUR != "1")
				{
					return ['edit','detail'];
				}
				else
				{
					return ['edit','delete','detail'];
				}
			 }
		 },
		 sort:{
			items:[{key:"NUMBER",title:ExtLang.ShowNumber},
				  {key:"BIRTHDAY",title:HrmsLang.hrmsBirthday}],
			onItemClick:function(key,data)
			{
				$("#hrmslist").LazyTable("reload",{
					param:{
						type:"hrmslist",
						deptid:$("#DEPT_ID").val(),
						sortField:key,
						sort:data
					}
				},true);
			}
		 },
		 onAfterLoad:function(){
		 	$("#hrmslist").height($(window).height()-60).niceScroll();
		 }
	});
	//部门组织架构的tree
	var setting = {  
		view: {
			showLine:false,
			showIcon:false,
			addDiyDom:addDiyDom
		},
		async: {    
			enable: true,   
			url:"/general/hrms/manage/hr_list_do.php",
			autoParam: ["id"],
			otherParam : {
				type : "getDeptList"
			}
		}, 
		callback: {       
		   onClick: function(treeId,treeNode) {
			    $("#hrmsfilter").LazyFilter("select","all");
		        var treeObj = $.fn.zTree.getZTreeObj(treeNode);  
				var selectedNode = treeObj.getSelectedNodes()[0];  
				var userId = '';
				var deptId = selectedNode.id;	
				$("#DEPT_ID").val(deptId);
				$("#hrmslist").LazyTable("reload",{
					param:{
						type:"hrmslist",
						hrmsFilter:'',
						hrmsPara:'',
						hrmsValue:'',
						searchData:'',
						deptid:deptId
					},
					page:{
						currentPage:0	
					}
				});
				$("#hrmssearch").LazySearch("resetAdvancedSearch");
		   },
		   onExpand:function()
		   {
			   $(".deptinfos").getNiceScroll().resize();	
		   }
		}  
	};		
	var treeObj = $.fn.zTree.init($("#deptTree"),setting);

	$("#hrmsfilter").LazyFilter({
			common : {
				dataSource : [{key:"all",title:LazyGridLang.All,isDefault:true}],
				template : "{title}"
			},
			more : {
				 header:Flowlang.filterMore,
				 dataSource : {
							contract:{
								title : HrmsLang.hrmsContract,
								subItems : {"thismonth":HrmsLang.hrmsThisMonth,
										    "nextmonth":HrmsLang.hrmsNextMonth}
							},
							hrmsstatus:{
								  title:HrmsLang.hrmsArchiveState,
							      subItems:{"onduty":EOlang.msgWork,
										    "offduty":EOlang.msgDeparture}	 
							 },
							birthday:{
								  title:EOlang.msgBirthday,
							      subItems:{"monththis":Flowlang.thisMones,
										    "monthnext":HrmsLang.hrmsnMonth,
										    "weekthis":Flowlang.thisWeek,
										    "weeknext":HrmsLang.hrmsNextWeek}
							 }}
			 },
			 //下拉项点击回调函数  data 为下拉定义的数据结构
			 onClick : function(data) {
			 	filterData = data;
			 	searchParam = "";
			 	searchKey = "";
			 	searchValue = "";
				$("#hrmslist").LazyTable("reload",{
					param:{
						type:"hrmslist",
						deptid:$("#DEPT_ID").val(),
						hrmsPara:'',
						hrmsValue:'',
						searchData:'',
						hrmsFilter:data
					},
					page:{
						currentPage:0	
					}
				});
				$("#hrmssearch").LazySearch("resetAdvancedSearch");
			 }
	});
	
	$(".hrmsleft").LazyToggle({
		showTip : HrmsLang.hrmsDeptDisplay,
		autoHide : true,
		hideTip : HrmsLang.hrmsDeptNone,
		onAfterShow : function() {
			$(".deptlist").show();
			$(".hrmsinfos").css("margin-left", "300px");
		},
		onAfterHide : function() {
			$(".deptlist").hide();
			$(".hrmsinfos").css("margin-left", "0px");
		}
	});
	
	//加载全部部门数据
	$(".tip").click(function() {
		$("#DEPT_ID").val('');
		$("#hrmslist").LazyTable("reload",{
			param:{
				type:"hrmslist",
				deptid:""
			}
		});
		$(".curSelectedNode").css("background-color","#FFFFFF");
	});
	
	//关键字搜索
	$("#hrmssearch").LazySearch({
		tip:HrmsLang.hrmsSearch,
		mode:"mini",
		url:"/general/hrms/manage/hr_list_do.php",			  
		fieldSearch : {
			onItemClick : function(data,value) {
				searchKey = data.key;
			 	searchValue = value;
			 	searchParam = "";
			 	filterData = "";
				var nodes = treeObj.getSelectedNodes();
				if (nodes.length>0) { 
					treeObj.cancelSelectedNode(nodes[0]);
				}

				var hrmsPara = data.key;
				$("#DEPT_ID").val('');
				$(".hrmslist").LazyTable("reload", {
					param : {
						type:"hrmslist",
						deptid:'',
						hrmsFilter:'',
						searchData:'',
						hrmsPara:hrmsPara,
						hrmsValue:value
					},
					page:{
						currentPage:0	
					}
				})
				$("#hrmsfilter").LazyFilter("select","all");
				var nodes = treeObj.getSelectedNodes();
				if (nodes.length>0) { 
					treeObj.cancelSelectedNode(nodes[0]);
				}
			},
			items : [{key:"TRUE_NAME",title:HrmsLang.hrmsFileNameContains},{key:"NO",title:HrmsLang.hrmsFileNumContains}]
		},
		advancedSearch : {
			onSearch : function(event,ui) {
					$("#DEPT_ID").val('');
					var url  = "hr_list_do.php?type=getSearch";
					var data = $(ui).find('#form1').serialize();	
					$.ajax({
						type:"POST",
						url:url,
						data:data,
						success:function(resp)
						{
							searchParam = resp;
							filterData = "";
							searchKey = "";
							searchValue = "";
							$(".hrmslist").LazyTable("reload",{
								param:{
									type:"hrmslist",
									deptid:'',
									hrmsFilter:'',
									hrmsPara:'',
									hrmsValue:'',
									searchData:resp
								},
								page:{
									currentPage:0	
								}
							});
							$("#hrmsfilter").LazyFilter("select","all");
						}
					});
					var nodes = treeObj.getSelectedNodes();
					if (nodes.length>0) { 
						treeObj.cancelSelectedNode(nodes[0]);
					}
				},
				items : "/general/hrms/manage/search.php",
		},
		onClearButtonClick:function(data)
		{
			$(".hrmslist").LazyTable("reload",{
				param:{
					type:"hrmslist",
					hrmsPara:'',
					searchData:''
				}
			});
			$("#hrmsfilter").LazyFilter("select","all");
		}
	});	

	$("#choose,#clean").click(function() {
		$(this).attr("id") == "choose"?LoadWindowDept('DEPT_ID','DEPT_NAME','forms','600','500'):clearConten('DEPT_ID','DEPT_NAME','forms');
	});
	$("input[key='START_DATE'],[key='END_DATE'],[key='JOIN_DATE']").datepicker({dateFormat:"yy-mm-dd"});

	window.dialogObj = $(".hrmsEdit").dialog({
		autoOpen:false,
		modal:true,
		width:$(window).width(),
		dialogClass:"lazy_dialog",
		height:$(window).height()		
	});
	$(".deptinfos").height($(window).height()-40).niceScroll();

	$("#hr_export").click(function() {
		var deptId = $("#DEPT_ID").val();

		if(searchParam) {
			searchParam = encodeURIComponent(searchParam);
		}

		location.href = "export_do.php?deptId="+deptId+"&filterData="+filterData+"&searchParam="+searchParam+"&searchKey="+searchKey+"&searchValue="+searchValue;
	});
});
</script>
</head>
<body style="overflow:hidden;">
<div id="deptlist" class="deptlist">	
	<div class="lazy_header">
		<span class="lazy-list-title">
			<i class="fa fa-list-title"></i>
			<span class="tip" style="cursor:pointer;"><?=$_lang['hr_all_dept']?></span>
		</span>
	</div>
	<div class="deptinfos" style="width:299px;">
		<ul id="deptTree" class="ztree"></ul>
	</div>
</div>
<div id="hrmsinfos" class="hrmsinfos" style="margin-left:300px;">
	<div class="lazy_header">
		<div class="hrmsleft" id="hrmsleft"></div>
		<div class="hrmsfilter" id="hrmsfilter"></div>
		<div class="hrmsbutton">
			<button type="button" class="btn btn-primary" id="hr_export"><?=$_lang['hr_export']?></button>
			<button type="button" class="btn btn-primary" onClick="ImportData('hrms','sort');"><?=$_lang["common_in"]?></button>
		</div>
		<div class="hrmssearch" id="hrmssearch" style="float:right;margin-top:5px;"></div>
	</div>
	<div id="hrmslist" class="hrmslist"></div>
</div>
<div class="hrmsEdit" style="diaplay:none;">
	<iframe class="iframeEdit" style="width:100%;height:100%;border:0;"></iframe>
</div>
<input id="DEPT_ID" type="hidden" name="DEPT_ID">
</body>
</html>
<script type="text/javascript">
/**
*删除档案
*/
function deleteHrms(hrmsId)
{
	var url  = "/general/hrms/manage/hr_list_do.php";
	var data = "type=delhrms&HRMS_ID=" +hrmsId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(result) {
			if(result == 1) {
				$("#hrmslist").LazyTable("reload",{
					param:{
						type:"hrmslist",
						deptid:$("#DEPT_ID").val()
					}
				});
			}
		}
	});
}

/*
*档案详情
*/
function hrmsDetail(hrmsId)
{
	window.open("/general/hrms/manage/hrms.php?HR_ID="+hrmsId);
}

/**
*档案编辑
*/
function hrmsEdit(hrmsId)
{
	$(".iframeEdit").attr("src","/general/hrms/manage/edit.php?HR_ID="+hrmsId+"&DEPT_ID="+$("#DEPT_ID").val());
	$(".hrmsEdit").dialog("open");
}

function addDiyDom(treeId, treeNode) {
	var spaceWidth = 10;
	var switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
	switchObj.remove();
	icoObj.before(switchObj);
	var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
	switchObj.before(spaceStr);
}
</script>