<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/hrms/query/hr_list_do.php
 *@function:         档案管理--档案列表
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-04-24
 *@file Version:     8
 *@eoffice Version:  8.0
*/
include_once("inc/auth.php");
include_once("inc/function_usergeneral.php");
include_once("inc/utility_all.php");
include_once("inc/dept_user_hr_list/getUserStatus.php");
include_once("inc/function_picture.php");
include_once("general/system/combox/packaging.php");
include_once("api/field_set.class.php");
include_once("api/dept.class.php");
includelangpak("hr");

$type = $_REQUEST["type"];
$OtherFieldObj = new PageFactory();
$dept          = new department();
if($type == "getDeptList") 
{
	$department = new department();
	$searchInfo["parentId"] = $_REQUEST["id"]!=""?$_REQUEST["id"]:"";
	$deptList   = $department -> getDeptById($searchInfo);
	$deptListStr= "";
	if($deptList) {
		for ($i=0;$i<count($deptList);$i++) {	
			$isParent = $department->checkIsParentDept($deptList[$i]['DEPT_ID']);
			$deptListStr .= "{id:'".$deptList[$i]['DEPT_ID']."',name:'".$deptList[$i]['DEPT_NAME']."',pId:'".$deptList[$i]['DEPT_PARENT']."',isParent:".$isParent."},";
		}
	}
	
	$deptListStr = substr($deptListStr,0,-1);
	echo '['.$deptListStr.']';
}
else if ($type == "hrmslist") 
{
	$itemsPerPage = $_REQUEST["itemsPerPage"];
	$startRow     = $_REQUEST["currentPage"]*$itemsPerPage;
	$lazyFilter   = $_REQUEST["hrmsFilter"] != ""?$_REQUEST["hrmsFilter"]:"all";

	$query = "SELECT * FROM hrms WHERE 1 AND DELETE_FLAG=0";
	if($_REQUEST["deptid"]) {
		$childDept = $dept->getDeptById(array("parentId"=>$_REQUEST["deptid"]));
		if(count($childDept) > 0)
		{
			foreach($childDept as $key=>$value)
			{
				$childDeptIds .= $value["DEPT_ID"].",";
			}
			$deptIds = $childDeptIds.$_REQUEST["deptid"];
			$query .= " AND DEPT_ID IN('".str_replace(",","','",SecurityFilter($deptIds))."')";
		}
		else
		{
			$query .= " AND DEPT_ID ='".SecurityFilter($_REQUEST["deptid"])."'";
		}
	}
	switch($lazyFilter)
	{
		case "thismonth":
			$query .= " AND DATE_FORMAT(LABOR_END_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m')";
			break;
		case "nextmonth":
			$query .= " AND DATE_FORMAT(LABOR_END_TIME,'%Y-%m')=DATE_FORMAT(DATE_ADD(CURDATE(), INTERVAL 1 MONTH),'%Y-%m')";
			break;
		case "onduty":
			$query .= " AND STATUS='1' ";
			break;
		case "offduty":
			$query .= " AND STATUS='2' ";
			break;
		case "monththis":
			$query .= " AND DATE_FORMAT(BIRTHDAY,'%m')=DATE_FORMAT(CURDATE(),'%m')";
			break;
		case "monthnext":
			$dateMonth = date("m",time());
			$query .= " AND DATE_FORMAT(BIRTHDAY,'%m')=DATE_FORMAT(DATE_ADD(CURDATE(),interval 1 month),'%m')";
			break;
		case "weekthis":
				$thisMonday = date("m-d",mktime(0, 0 , 0,date("m"),date("d")-date("w")+1,date("Y")));
				$thisSunday = date("m-d",mktime(23,59,59,date("m"),date("d")-date("w")+7,date("Y")));
	
				$query .= " AND DATE_FORMAT(BIRTHDAY,'%m-%d')>='".SecurityFilter($thisMonday)."' AND DATE_FORMAT(BIRTHDAY,'%m-%d')<='".SecurityFilter($thisSunday)."'";
				break;
		case "weeknext":
				$nextMonday = date("m-d",mktime(0, 0 , 0,date("m"),date("d")-date("w")+8,date("Y")));
				$nextSunday = date("m-d",mktime(23,59,59,date("m"),date("d")-date("w")+14,date("Y")));

				$query .= " AND DATE_FORMAT(BIRTHDAY,'%m-%d')>='".SecurityFilter($nextMonday)."' AND DATE_FORMAT(BIRTHDAY,'%m-%d')<='".SecurityFilter($nextSunday)."'";
				break;
	}
	$query .= $_REQUEST["hrmsPara"] == "subject"?" AND TRUE_NAME ":" AND NO";
	$query .= " LIKE '%".trim($_REQUEST["hrmsValue"])."%'";
	//对查询条件的SQL语句的拼接
	$query .= $_REQUEST["searchData"] != ""?" ".stripslashes($_REQUEST["searchData"]):"";
	$query .= " ORDER BY ";
	$sortField = $_REQUEST["sortField"] !=""?$_REQUEST["sortField"]:"ID";
	switch($_REQUEST["sortField"])
	{
		case "NUMBER":
			$sortField = "NO";
			break;
		case "BIRTHDAY":
			$sortField = "BIRTHDAY";
			break;
	}
	$query .= $sortField." ".SecurityFilter($_REQUEST["sort"]);

	$rs = exequery($connection,$query);
	$totalCount = mysql_num_rows($rs);

	if($itemsPerPage != "") {
		$query .= " LIMIT ".$startRow.",".$itemsPerPage;
	}

	$res	   = exequery($connection,$query);
	$hrmsInfo  = array();
	while($row = mysql_fetch_array($res)) {
		array_push($hrmsInfo,$row);
	}

	foreach($hrmsInfo as $key=>$value) {
		$hrmsInfo[$key]["MARRY"]     = $value["MARRY"] != ""?get_info('1',$value["MARRY"],1) :"";
		$hrmsInfo[$key]["SEX"]       = $value["SEX"] == 0 && $value["SEX"] != ""?"男":($value["SEX"]==1?"女":"");
		$hrmsInfo[$key]["BIRTHDAY"]  = $value["BIRTHDAY"] != "0000-00-00"?$value["BIRTHDAY"]:"";
		$hrmsInfo[$key]["JOIN_DATE"] = $value["JOIN_DATE"] != "0000-00-00"?$value["JOIN_DATE"]:"";
		$hrmsInfo[$key]["LABOR_END_TIME"] = $value["LABOR_END_TIME"] != "0000-00-00"?$value["LABOR_END_TIME"]:"";
		$hrmsInfo[$key]["STATUS"]         = $value["STATUS"] == "1"?"在职":"离职";
	}
	echo json_encode(array("totalCount"=>$totalCount,"list"=>$hrmsInfo));
}
else if ($type == "getSearch")
{
	$query  = "";
	$query .= trim($_REQUEST["NO"]) != ""?" AND NO LIKE '%".$_REQUEST["NO"]."%'":"";

	$query .= trim($_REQUEST["POST"]) != ""?" AND POST LIKE '%".$_REQUEST["POST"]."%'":"";

	$query .= trim($_REQUEST["TRUE_NAME"]) != ""?" AND TRUE_NAME LIKE '%".$_REQUEST["TRUE_NAME"]."%'":"";		

	$query .= trim($_REQUEST["SPECIALITY"]) != ""?" AND SPECIALITY LIKE '%".$_REQUEST["SPECIALITY"]."%'":"";		

	$query .= trim($_REQUEST["SEX"]) != ""?" AND SEX='".$_REQUEST["SEX"]."'":"";		

	$query .= trim($_REQUEST["MARRY"]) != ""?" AND MARRY LIKE '%".$_REQUEST["MARRY"]."%'":"";		

	$query .= trim($_REQUEST["NATIVE_PLACE"]) != ""?" AND NATIVE_PLACE LIKE '%".$_REQUEST["NATIVE_PLACE"]."%'":"";		

	$query .= trim($_REQUEST["POLITICS"]) != ""?" AND POLITICS LIKE '%".$_REQUEST["POLITICS"]."%'":"";		

	$query .= trim($_REQUEST["DEPT_IDS"]) != ""?" AND DEPT_ID IN( '".str_replace(",","','",substr($_REQUEST["DEPT_IDS"],0,-1))."')":"";		

	$query .= trim($_REQUEST["EDUCATION"]) != ""?" AND EDUCATION LIKE '%".$_REQUEST["EDUCATION"]."%'":"";		

	$query .= $_REQUEST["START_DATE"] != ""?" AND LABOR_START_TIME LIKE '%".$_REQUEST["START_DATE"]."%'":"";		

	$query .= $_REQUEST["END_DATE"] != ""?" AND LABOR_END_TIME LIKE '%".$_REQUEST["END_DATE"]."%'":"";	

	$query .= $_REQUEST["JOIN_START_DATE"] != ""?" AND JOIN_DATE >= '".$_REQUEST["JOIN_START_DATE"]."'":"";

	$query .= $_REQUEST["JOIN_END_DATE"] != ""?" AND JOIN_DATE <= '".$_REQUEST["JOIN_END_DATE"]."'":"";

	$OtherField = $OtherFieldObj->getSetFieldSql('hrms');
	$OtherField_str = $_REQUEST["OtherField_str"];
	$OtherField_str = stripslashes($OtherField_str);

	$query .=  $OtherField!=""?$OtherField:$OtherField_str;
	echo $query;
}
?>