<?php include_once('inc/page_header.inc.php');?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/planSelect.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/planStat.css" rel="stylesheet" />
<body>
    <div class="lazy_header">
        <select id="year">
            <option value="<?=$year - 2?>"><?=$year - 2?></option>
            <option value="<?=$year - 1?>"><?=$year - 1?></option>
            <option value="<?=$year?>" selected><?=$year?></option>
        </select>
        <select id="total_type">
            <option value="1"><?=$_lang["incomeexpend_by_month"]?></option>
            <option value="2"><?=$_lang["incomeexpend_by_quarter"]?></option>
        </select>
        <select id="month">
            <option value="all"><?=$_lang["incomeexpend_all_month"]?></option>
            <option value="1"><?=$_lang["incomeexpend_january"]?></option>
            <option value="2"><?=$_lang["incomeexpend_february"]?></option>
            <option value="3"><?=$_lang["incomeexpend_march"]?></option>
            <option value="4"><?=$_lang["incomeexpend_april"]?></option>
            <option value="5"><?=$_lang["incomeexpend_may"]?></option>
            <option value="6"><?=$_lang["incomeexpend_june"]?></option>
            <option value="7"><?=$_lang["incomeexpend_july"]?></option>
            <option value="8"><?=$_lang["incomeexpend_august"]?></option>
            <option value="9"><?=$_lang["incomeexpend_september"]?></option>
            <option value="10"><?=$_lang["incomeexpend_october"]?></option>
            <option value="11"><?=$_lang["incomeexpend_november"]?></option>
            <option value="12"><?=$_lang["incomeexpend_december"]?></option>
        </select>
    </div>
    <div class="header-end" style="position: relative;">
        <div class="header-end-text">
            <span style="float:left;"><?=$_lang["incomeexpend_in_out_plan"]?>&nbsp;</span>
            <div id="PLAN_NAME" plan-name=""></div>
            <input id="PLAN_ID" type="hidden" name="PLAN_ID"  readonly="" style="width:220px;">
            <button id="openSelectBox" class="btn btn-primary" type="button"><?=$_lang["incomeexpend_please_select"]?></button>
            <span style="color:#F5B400;margin-left:10px;"><?=$_lang["incomeexpend_by_all_if_not_select"]?></span>
        </div>
        <button id="diffStat" class="btn btn-primary" type="button" stat-type="1" style="position:absolute;right:10px;top:15px;display: none;"><?=$_lang["incomeexpend_diff_stat"]?></button>
    </div>
    <div class="stat-body">
        <div class="stat-body-header">
            <span class="title"></span>
            <div class="stat-button export-button" title="<?=$_lang["incomeexpend_export_excel"]?>"><i class="fa fa-file-excel-o" style="margin-left:-19px;"></i></div>
            <div class="stat-button chart-button" type="1" title="<?=$_lang["incomeexpend_histogram_shows"]?>"><i class="fa fa-bar-chart-o" style="margin-left:-19px;"></i></div>
            <div class="stat-button chart-button" type="2" title="<?=$_lang["incomeexpend_graph_showing"]?>"><i class="fa fa-line-chart" style="margin-left:-19px;"></i></div>
            <div class="stat-button table-button active" title="<?=$_lang["incomeexpend_table_showing"]?>" ><i class="fa fa-table" style="margin-left:-19px;"></i></div>
        </div>
        <div class="stat-body-footer all-month current" id="all_month">
            <table>
                <thead>
                    <tr>
                        <td width="10%"><?=$_lang["incomeexpend_month"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_expense_money"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_revenue_money"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_in_out"]?></td>
                        <td width="15%"><?=$_lang["incomeexpend_record_size"]?></td>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            <div class="chart-show">
                <div id="all-month-chart" style="width:1000px;height:600px;float:left;">
                </div>
            </div>
        </div>
        <div class="stat-body-footer all-jj" style="display: none;" id="all_jj">
            <table>
                <thead>
                    <tr>
                        <td width="10%"><?=$_lang["incomeexpend_quarter"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_expense_money"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_revenue_money"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_in_out"]?></td>
                        <td width="15%"><?=$_lang["incomeexpend_record_size"]?></td>
                    </tr>
                </thead>
                <tbody> 
                </tbody>
            </table>
            <div class="chart-show">
                <div id="all-jj-chart" style="width:800px;height:600px;float:left;">
                </div>
            </div>
        </div>
        <div class="stat-body-footer one-month" style="display: none;" id="one_month">
            <table>
                <thead>
                    <tr>
                        <td width="10%"><?=$_lang["incomeexpend_days"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_expense_money"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_revenue_money"]?></td>
                        <td width="25%"><?=$_lang["incomeexpend_in_out"]?></td>
                        <td width="15%"><?=$_lang["incomeexpend_record_size"]?></td>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            <div class="chart-show">
                 <div id="one-month-chart" style="width:1050px;height:600px;">
                </div>
            </div>
        </div>
    </div>
    <div class="stat-body-footer one-day">
        <div class="one-day-top">
            <span class="one-day-title"></span>
            <div class="one-day-close"><i class="fa fa-times fa-lg"></i></div>
        </div>
        <div class="stat-body-header">
            <span class="title"></span>
            <div class="stat-button one-day-export" title="<?=$_lang["incomeexpend_export_excel"]?>"><i class="fa fa-file-excel-o" style="margin-left:-19px;"></i></div>
        </div>
        <table>
            <thead>
                <tr>
                    <td width="30%"><?=$_lang["incomeexpend_plan_name"]?></td>
                    <td width="20%"><?=$_lang["incomeexpend_expense_money"]?></td>
                    <td width="20%"><?=$_lang["incomeexpend_revenue_money"]?></td>
                    <td width="20%"><?=$_lang["incomeexpend_in_out"]?></td>
                    <td width="10%"><?=$_lang["incomeexpend_record_size"]?></td>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
    <div id="selectPlan"></div>
    <input type="hidden" id="export_data" value="">
    <input type="hidden" id="currentMonthDays" value="">
    <input type="hidden" id="currentDay" value="">
    <input type="hidden" id="export_oneDaydata" value="">
    <input type="hidden" id="export_diffdata" value="">
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>common.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>PlanSelect.js"></script>
<script>
$(function(){
    $('#year').selectpicker({'width':'70px','height':'40px'});
    $('#total_type').selectpicker({'width':'80px','height':'40px'});
    $('#month').selectpicker({'width':'90px','height':'40px'});
    $('.lazy_header').find('.btn').css({'border':'0px'});
    PlanSelect.init('selectPlan',{'selectType':'mulit','showId':'PLAN_NAME','hideId':'PLAN_ID','left':'180px','top':'90px','url':'/general/income_expend/index.php?authType=all'});
    $('#openSelectBox').click(function(){
        PlanSelect.open();
    });
    PlanSelect.callBack = selectEnd;
    $('.stat-body').height(windowHeight - 40).niceScroll();
    $('.stat-button').mouseenter(function(){
        if(!$(this).hasClass('active')){
            $(this).css({'background':'#3498DB','color':'#fff'});
        }
    }).mouseleave(function(){
        if(!$(this).hasClass('active')){
            $(this).css({'background':'','color':'#3498DB'});
        }
    });
    $('.stat-body-footer').on({
        mouseenter:function(){
            $(this).css({'background':'#E0F0FC','color':'#3498DB'});
        },
        mouseleave:function(){
            $(this).css({'background':'','color':'#333'});
        }
    },'table tbody tr');
    var year = $('#year').val();
    paymentStat({'year':year,'total_type':1,'month':'all','planId':''},'allMonth','');
    $('#year').change(function(){
        var totalType   = $('#total_type').val();
        var month       = $('#month').val();
        var planId      = $('#PLAN_ID').val();
        var year        = $(this).val();
        var plan_name   = $('#PLAN_NAME').attr('plan-name');
        $('#one-day').hide();
        $('.stat-body .stat-body-footer.current').find('.chart-show').hide();
        $('.diff,.diff-header').remove();
        $('#diffStat').removeClass('btn-default').addClass('btn-primary').attr('stat-type','1');
        $('.stat-body .stat-body-footer.current table').show();
        $('.stat-body-header .stat-button').removeClass('active').css({'background':'','color':'#3498DB'});;
        $('.stat-body-header .stat-button.table-button').addClass('active').css('color','#fff');
        $('.stat-body-header .title').show();
        $('.stat-body-header .stat-button.export-button').show();
        if(totalType == 2){
            paymentStat({'year':year,'total_type':totalType,'month':'all','planId':planId},'allJj',plan_name);
            return;
        }
        if(month == 'all'){
            paymentStat({'year':year,'total_type':totalType,'month':'all','planId':planId},'allMonth',plan_name);
            return;
        }
        paymentStat({'year':year,'total_type':totalType,'month':month,'planId':planId},'oneMonth',plan_name);
    });
    $('#total_type').change(function(){
        var totalType   = $(this).val();
        var month       = $('#month').val();
        var planId      = $('#PLAN_ID').val();
        var year        = $('#year').val();
        var plan_name   = $('#PLAN_NAME').attr('plan-name');
        $('.stat-body .stat-body-footer.current').find('.chart-show').hide();
        $('.diff,.diff-header').remove();
        $('#diffStat').removeClass('btn-default').addClass('btn-primary').attr('stat-type','1');
        $('.stat-body .stat-body-footer.current table').show();
        $('.stat-body-header .title').show();
        $('.stat-body-header .stat-button.export-button').show();
        $('.stat-body-header .stat-button').removeClass('active').css({'background':'','color':'#3498DB'});;
        $('.stat-body-header .stat-button.table-button').addClass('active').css('color','#fff');
        $('.one-day').hide();
        if(totalType == 2){
            $('.all-month').hide().removeClass('current');
            $('.one-month').hide().removeClass('current');
            $('.all-jj').show().addClass('current');
            $('#month').selectpicker('hide');
            paymentStat({'year':year,'total_type':totalType,'month':'all','planId':planId},'allJj',plan_name);
            return;
        }else{
            $('.all-month').show().addClass('current');
            $('.one-month').hide().removeClass('current');
            $('.all-jj').hide().removeClass('current');
            $('#month').selectpicker('val','all').selectpicker('show');
            paymentStat({'year':year,'total_type':totalType,'month':'all','planId':planId},'allMonth',plan_name);
            return;
        }
    });
    $('#month').change(function(){
        var month       = $(this).val();
        var totalType   = $('#total_type').val();
        var planId      = $('#PLAN_ID').val();
        var year        = $('#year').val();
        var plan_name   = $('#PLAN_NAME').attr('plan-name');
        $('.stat-body .stat-body-footer.current').find('.chart-show').hide();
        $('.diff,.diff-header').remove();
        $('#diffStat').removeClass('btn-default').addClass('btn-primary').attr('stat-type','1');
        $('.stat-body .stat-body-footer.current table').show();
        $('.stat-body-header .title').show();
        $('.stat-body-header .stat-button.export-button').show();
        $('.stat-body-header .stat-button').removeClass('active').css({'background':'','color':'#3498DB'});;
        $('.stat-body-header .stat-button.table-button').addClass('active').css('color','#fff');
        $('.one-day').hide();
        if(month == 'all'){
            $('.all-month').show().addClass('current');
            $('.one-month').hide().removeClass('current');
            $('.all-jj').hide().removeClass('current');
            paymentStat({'year':year,'total_type':totalType,'month':month,'planId':planId},'allMonth',plan_name);
            return;
        }
        $('.all-month').hide().removeClass('current');
        $('.one-month').show().addClass('current');
        $('.all-jj').hide().removeClass('current');
        paymentStat({'year':year,'total_type':totalType,'month':month,'planId':planId},'oneMonth',plan_name);
    });
    $('.one-day-close').click(function(){
        $('.one-day').slideUp(500);
    });
    $('.stat-body-header .stat-button.chart-button').click(function(){
        $('.stat-body-header .title').hide();
        $('.stat-body .stat-body-footer.current table').hide();
        $('.diff-header').hide();
        $('.stat-body-header .stat-button').removeClass('active').css({'background':'','color':'#3498DB'});
        $(this).addClass('active').css('color','#fff');
        $('.stat-body .stat-body-footer.current').find('.chart-show').slideDown('show').css({'overflow-x':'auto'});
        var id          = $('.stat-body .stat-body-footer.current').attr('id');
        var categoriesHtml = new Array();
        var plan_name   = $('#PLAN_NAME').attr('plan-name');
        var charId         = 'all-month-chart';
        var type = $(this).attr('type');
        if(type == 1){
            var name = '<?=$_lang["incomeexpend_histogram"]?>';
        }else{
            var name = '<?=$_lang["incomeexpend_graph"]?>';
        }
        var year            = $('#year').val();
        if(id == 'all_month'){
            for(i=1;i<=12;i++){
                categoriesHtml.push(i);
            }
            var title = plan_name+' '+year + '<?=$_lang["incomeexpend_year"]?><?=$_lang["incomeexpend_all_year_month"]?><?=$_lang["incomeexpend_payment_stat"]?>'+name;
            charId         = 'all-month-chart';
        }else if(id == 'all_jj'){
             for(i=1;i<=4;i++){
                categoriesHtml.push(i);
            }
            charId         = 'all-jj-chart';
            var title = plan_name+' '+year + '<?=$_lang["incomeexpend_year"]?><?=$_lang["incomeexpend_all_year_quarter"]?><?=$_lang["incomeexpend_payment_stat"]?>' + name;
        }else if(id == 'one_month'){
            charId         = 'one-month-chart';
            var month       = $('#month').val();
            var days = $('#currentMonthDays').val();
            for(i=1;i<= days;i++){
                 categoriesHtml.push(i);
            }
            var title = plan_name+' '+year + '<?=$_lang["incomeexpend_year"]?>'+month+'<?=$_lang["incomeexpend_month"]?><?=$_lang["incomeexpend_payment_stat"]?>'+name;
        }
        var export_data = $('#export_data').val();
        var parseData   = $.parseJSON(export_data);
        var seriesData1 = new Array();
        var seriesData2 = new Array();
        if(id == 'one_month'){
            parseData = parseData.list;
        }
        $.each(parseData,function(k,v){
            seriesData1.push(parseInt(v._IN));
            seriesData2.push(parseInt(v._OUT));
        });
        seriesData1.pop();
        seriesData2.pop();
        if(type == 1){
            barChart(categoriesHtml,seriesData1,seriesData2,charId,title);
        }else{
            lineChart(categoriesHtml,seriesData1,seriesData2,charId,title);
        }
    });
    $('.stat-body-header .stat-button.table-button').click(function(){
        $('.stat-body .stat-body-footer.current').find('.chart-show').hide();
        $('.stat-body .stat-body-footer.current table').slideDown('show').css('overflow','auto');
        $('.stat-body-header .title').show();
        $('.diff-header').show();
        $('.stat-body-header .stat-button').removeClass('active').css({'background':'','color':'#3498DB'});;
        $(this).addClass('active').css('color','#fff');
    });
    $('#diffStat').click(function(){
        if($('#diffStat').attr('stat-type') == 1){
            var id          = $('.stat-body .stat-body-footer.current').attr('id');
            var planId      = $('#PLAN_ID').val();
            var year        = $('#year').val();
            var month       = $('#month').val();
            $('#diffStat').removeClass('btn-primary').addClass('btn-default').attr('stat-type','2');
            if(id == 'all_month'){
                diffStat({'year':year,'planId':planId,'total_type':1},id);
            }else if(id == 'all_jj'){
                diffStat({'year':year,'planId':planId,'total_type':2},id);
            }else if(id == 'one_month'){
                diffStat({'year':year,'month':month,'planId':planId,'total_type':3},id);
            }
        }
    });
    $('.export-button').click(function(){
        var year        = $('#year').val();
        var month       = $('#month').val();
        var plan_name   = $('#PLAN_NAME').attr('plan-name');
        var id          = $('.stat-body .stat-body-footer.current').attr('id');
        var diffType    = $('#diffStat').attr('stat-type');
        location.href = "/<?=MODULE_PATH?>index.php?c=1&m=26&year="+year+'&month='+month+'&planName='+plan_name+'&exportType='+id+'&diffType='+diffType;
    });
    
    $('.one-day-export').click(function(){
        var year        = $('#year').val();
        var month       = $('#month').val();
        var day         = $('#currentDay').val();
        location.href = "/<?=MODULE_PATH?>index.php?c=1&m=27&year="+year+'&month='+month+'&day='+day;
    });
});
//方案选择器回调函数
function selectEnd(data){
    if(data != ''){
        $('.diff,.diff-header').remove();
        $('#diffStat').removeClass('btn-default').addClass('btn-primary').attr('stat-type','1');
        $('#diffStat').show();
    }else{
        $('#diffStat').hide();
        $('.diff,.diff-header').remove();
    }
    var month       = $('#month').val();
    var totalType   = $('#total_type').val();
    var year        = $('#year').val();
    var plan_name   = $('#PLAN_NAME').attr('plan-name');
    $('.stat-body .stat-body-footer.current').find('.chart-show').hide();
    $('.stat-body .stat-body-footer.current table').show();
    $('.stat-body-header .title').show();
    $('.one-day').hide();
    if(totalType == 2){
        $('.all-month').hide().removeClass('current');
        $('.one-month').hide().removeClass('current');
        $('.all-jj').show().addClass('current');
        $('#month').selectpicker('hide');
        paymentStat({'year':year,'total_type':totalType,'month':'all','planId':data},'allJj',plan_name);
        return;
    }
    if(month == 'all'){
        $('.all-month').show().addClass('current');
        $('.one-month').hide().removeClass('current');
        $('.all-jj').hide().removeClass('current');
        paymentStat({'year':year,'total_type':totalType,'month':month,'planId':data},'allMonth',plan_name);
        return;
    }
    $('.all-month').hide().removeClass('current');
    $('.one-month').show().addClass('current');
    $('.all-jj').hide().removeClass('current');
    
    paymentStat({'year':year,'total_type':totalType,'month':month,'planId':data},'oneMonth',plan_name);
}
function paymentStat(postData,type,plan_name){
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=23',
        data:postData,
        type:'post'
    }).done(function(result){
        var parseResult     = $.parseJSON(result);
        $('#export_data').val(result);
        var html            = '';
        if(type == 'allMonth'){
            $.each(parseResult,function(k,v){
                if(k == 13){
                    html +=' <tr><td><div class="td-div"><?=$_lang["incomeexpend_stat_total"]?></div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                }else{
                    html +=' <tr><td><div class="td-div">'+k+'</div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                }
            });
            $('.stat-body .stat-body-footer.all-month table tbody').html(html);
            $('.stat-body .stat-body-header .title').text(plan_name + ' '+postData.year+'<?=$_lang["incomeexpend_year"]?><?=$_lang["incomeexpend_all_year_month"]?><?=$_lang["incomeexpend_payment_stat_table"]?><?=$_lang["incomeexpend_util_yuan"]?>');
        }else if(type == 'allJj'){
            $.each(parseResult,function(k,v){
                if(k == 5){
                    html +=' <tr><td><div class="td-div"><?=$_lang["incomeexpend_stat_total"]?></div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                }else{
                    html +=' <tr><td><div class="td-div">'+k+'</div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                }
            });
            $('.stat-body .stat-body-footer.all-jj table tbody').html(html);
            $('.stat-body .stat-body-header .title').text(plan_name + ' '+postData.year+'<?=$_lang["incomeexpend_year"]?><?=$_lang["incomeexpend_all_year_quarter"]?><?=$_lang["incomeexpend_payment_stat_table"]?><?=$_lang["incomeexpend_util_yuan"]?>');
        }else if(type == 'oneMonth'){
            var _size    = parseResult.total;
            $('#currentMonthDays').val(_size -1);
            var planId   = postData.planId;
            $.each(parseResult.list,function(k,v){
                if(k == _size){
                    html +=' <tr><td><div class="td-div"><?=$_lang["incomeexpend_stat_total"]?></div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                }else{
                    var clickHtml = '';
                    if(v.TIMES > 0 && planId == ''){
                        clickHtml = 'onclick="javascript:oneDayStat('+postData.year+','+postData.month+','+k+')"';
                    }
                    html +=' <tr '+clickHtml+'><td><div class="td-div">'+k+'</div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                }
            });
            $('.stat-body .stat-body-footer.one-month table tbody').html(html);
            $('.stat-body .stat-body-header .title').text(plan_name + ' '+postData.year+'<?=$_lang["incomeexpend_year"]?>'+postData.month+'<?=$_lang["incomeexpend_month"]?><?=$_lang["incomeexpend_payment_stat_table"]?><?=$_lang["incomeexpend_util_yuan"]?>');
        }
        $('.stat-body').height(windowHeight - 110).niceScroll();
    });
}
function oneDayStat(year,month,day){
    $('#currentDay').val(day);
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=24',
        data:{
            'year':year,
            'month':month,
            'day':day
        },
        type:'post'
    }).done(function(result){
        if(result){
            $('#export_oneDaydata').val(result);
            var parseResult = $.parseJSON(result);
            var html = '';
            var size = parseResult.length;
            $.each(parseResult,function(k,v){
                if(k == (size-1)){
                    html += '<tr><td style="text-indent:10%;"><?=$_lang["incomeexpend_stat_total"]?></td><td><div class="td-div">'+v.expenseTotal+'</div></td><td><div class="td-div">'+v.revenueTotal+'</div></td><td><div class="td-div">'+v.inOutTotal+'</div></td><td><div class="td-div">'+v.timesTotal+'</div></td></tr>';
                }else{
                    html += '<tr><td style="text-indent:10%;">'+v.PLAN_NAME+'</td><td><div class="td-div">'+v._EXPENSE+'</div></td><td><div class="td-div">'+v._REVENUE+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                }
            });
            $('.one-day table tbody').html(html);
            $('.one-day .one-day-title').text(year+'<?=$_lang["incomeexpend_year"]?>'+month+'<?=$_lang["incomeexpend_mon"]?>'+day+'<?=$_lang["incomeexpend_ri"]?>');
            $('.one-day .stat-body-header .title').text(year+'<?=$_lang["incomeexpend_year"]?>'+month+'<?=$_lang["incomeexpend_mon"]?>'+day+'<?=$_lang["incomeexpend_ri"]?><?=$_lang["incomeexpend_payment_stat_table"]?><?=$_lang["incomeexpend_util_yuan"]?>');
       }
    });
    $('.one-day').slideDown(500);
}
function barChart(categoriesHtml,seriesData1,seriesData2,id,title){
    $('#'+id).highcharts({
        chart: {
            type: 'column'
        },
        title: {
            text: title
        },
        subtitle: {
            text:''
        },
        xAxis: {
            categories: categoriesHtml
        },
        credits: {
            enabled:false
        },
        exporting: {
            enabled:false
        },
        yAxis: {
            min: 0,
            title: {
                text: '<?=$_lang["incomeexpend_util_yuan"]?>'
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
            pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                '<td style="padding:0"><b>{point.y:.1f} <?=$_lang["incomeexpend_yuan"]?></b></td></tr>',
            footerFormat: '</table>',
            shared: true,
            useHTML: true
        },
        plotOptions: {
            column: {
                pointPadding: 0.1,
                borderWidth: 0
            }
        },
        series: [{
            name: '<?=$_lang["incomeexpend_revenue"]?>',
            data: seriesData1
        }, {
            name: '<?=$_lang["incomeexpend_expense"]?>',
            data: seriesData2
        }]
    });
}
function lineChart(categoriesHtml,seriesData1,seriesData2,id,title){
     $('#'+id).highcharts({
        title: {
            text: title,
            x: -20 
        },
        subtitle: {
            text: '',
            x: -20
        },
        credits: {
            enabled:false
        },
        exporting: {
            enabled:false
        },
        xAxis: {
            categories: categoriesHtml
        },
        yAxis: {
            title: {
                text: '<?=$_lang["incomeexpend_util_yuan"]?>'
            },
            plotLines: [{
                value: 0,
                width: 1,
                color: '#808080'
            }]
        },
        tooltip: {
            valueSuffix: '<?=$_lang["incomeexpend_yuan"]?>'
        },
        legend: {
            layout: 'vertical',
            align: 'right',
            verticalAlign: 'middle',
            borderWidth: 0
        },
        series: [{
            name: '<?=$_lang["incomeexpend_revenue"]?>',
            data: seriesData1
        }, {
            name: '<?=$_lang["incomeexpend_expense"]?>',
            data: seriesData2
        }]
    });
}
//分别统计
function diffStat(postData,id){
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=25',
        data:postData,
        type:'post'
    }).done(function(result){
        $('#export_diffdata').val(result)
        var html            = '';
        var parseResult     = $.parseJSON(result);
        var planName        = $("#PLAN_NAME").attr('plan-name');
        var planNameArr     = planName.split(',');
        var size            = planNameArr.length - 1;
        if(id == 'all_month'){
            var j = size;
            $.each(parseResult,function(i,e){
                html +='<div class="diff-header">'+planNameArr[--j]+"&nbsp;"+postData.year+'<?=$_lang["incomeexpend_year"]?><?=$_lang["incomeexpend_all_year_month"]?><?=$_lang["incomeexpend_payment_stat"]?><?=$_lang["incomeexpend_util_yuan"]?></div>';
                html += ' <table class="diff" style="margin-top:10px;"><thead><tr><td width="10%"><?=$_lang["incomeexpend_month"]?></td><td width="25%"><?=$_lang["incomeexpend_expense_money"]?></td><td width="25%"><?=$_lang["incomeexpend_revenue_money"]?></td><td width="25%"><?=$_lang["incomeexpend_in_out"]?></td><td width="15%"><?=$_lang["incomeexpend_record_size"]?></td></tr></thead>';
                $.each(e,function(k,v){
                    if(k == 13){
                        html +=' <tr><td><div class="td-div"><?=$_lang["incomeexpend_stat_total"]?></div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                    }else{
                        html +=' <tr><td><div class="td-div">'+k+'</div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                    }
                });
                html += '<tbody></tbody></table>';
            });
            
        }else if(id == 'all_jj'){
            var j = size;
            $.each(parseResult,function(i,e){
                html +='<div class="diff-header">'+planNameArr[--j]+"&nbsp;"+postData.year+'<?=$_lang["incomeexpend_year"]?><?=$_lang["incomeexpend_all_year_quarter"]?><?=$_lang["incomeexpend_payment_stat"]?><?=$_lang["incomeexpend_util_yuan"]?></div>';
                html += ' <table class="diff" style="margin-top:10px;"><thead><tr><td width="10%"><?=$_lang["incomeexpend_quarter"]?></td><td width="25%"><?=$_lang["incomeexpend_expense_money"]?></td><td width="25%"><?=$_lang["incomeexpend_revenue_money"]?></td><td width="25%"><?=$_lang["incomeexpend_in_out"]?></td><td width="15%"><?=$_lang["incomeexpend_record_size"]?></td></tr></thead>';
                $.each(e,function(k,v){
                    if(k == 5){
                        html +=' <tr><td><div class="td-div"><?=$_lang["incomeexpend_stat_total"]?></div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                    }else{
                        html +=' <tr><td><div class="td-div">'+k+'</div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                    }
                });
                html += '<tbody></tbody></table>';
            });
        }else if(id == 'one_month'){
            var j = size;
            var days = $('#currentMonthDays').val();
            $.each(parseResult,function(i,e){
                html +='<div class="diff-header">'+planNameArr[--j]+"&nbsp;"+postData.year+'<?=$_lang["incomeexpend_year"]?>'+postData.month+'<?=$_lang["incomeexpend_mon"]?><?=$_lang["incomeexpend_payment_stat"]?><?=$_lang["incomeexpend_util_yuan"]?></div>';
                html += ' <table class="diff" style="margin-top:10px;"><thead><tr><td width="10%"><?=$_lang["incomeexpend_days"]?></td><td width="25%"><?=$_lang["incomeexpend_expense_money"]?></td><td width="25%"><?=$_lang["incomeexpend_revenue_money"]?></td><td width="25%"><?=$_lang["incomeexpend_in_out"]?></td><td width="15%"><?=$_lang["incomeexpend_record_size"]?></td></tr></thead>';
                $.each(e,function(k,v){
                    if(k == days+1){
                        html +=' <tr><td><div class="td-div"><?=$_lang["incomeexpend_stat_total"]?></div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                    }else{
                        html +=' <tr><td><div class="td-div">'+k+'</div></td><td><div class="td-div">'+v.OUT+'</div></td><td><div class="td-div">'+v.IN+'</div></td><td><div class="td-div">'+v.IN_OUT+'</div></td><td><div class="td-div">'+v.TIMES+'</div></td></tr>';
                    }
                });
                html += '<tbody></tbody></table>';
            });
        }
        $('#'+id).append(html);
        $('.stat-body').height(windowHeight - 110).niceScroll();
    });
}

</script>