<?php include_once('inc/page_header.inc.php');?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/plan.css" rel="stylesheet" />
<body>
   <div class="lazy_header">
        <span class="lazy-page-title"><i class="fa fa-page-title"></i> <span class="tip"><?=$_lang["incomeexpend_plan_detail"]?></span> </span>
        <?php if($type != 'window'){?>
        <button id="goback" class="btn btn-default" type="button"><?=$_lang["common_back"]?></button>
        <?php }else{?>
        <button id="close" class="btn btn-default" type="button"><?=$_lang["common_close"]?></button>
        <?php }?>
    </div>
    <div class="detail">
        <table id="detail_table">
            <tr>
                <td class="title"><?=$_lang["incomeexpend_plan_code"]?></td><td><?=$planInfo['PLAN_CODE']?></td>
                <td class="title"><?=$_lang["incomeexpend_plan_name"]?></td><td><?=$planInfo['PLAN_NAME']?></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_plan_type"]?></td><td><?php if($planInfo['TYPE_NAME']){ echo $planInfo['TYPE_NAME'];}else{ echo $_lang["incomeexpend_no_category_plan"];}?></td>
                <td class="title"><?=$_lang["incomeexpend_plan_state"]?></td><td><?php if($planInfo['PLAN_STATE'] == 0){ echo '<span style="color:#EDA464">'.$_lang["incomeexpend_unstart"].'</span>'; }else if($planInfo['PLAN_STATE'] == 1){ echo '<span style="color:#5CB85C">'.$_lang["incomeexpend_running"].'</span>';}else{ echo '<span style="color:#D2322D">'.$_lang["incomeexpend_end"].'</span>';}?></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_plan_cycle"]?></td><td><?=$planInfo['PLAN_CYCLE']?>&nbsp;<?php if($planInfo['PLAN_CYCLE_UNIT'] == 1 && $planInfo['PLAN_CYCLE'] != 0){ echo $_lang["incomeexpend_day"];}else if($planInfo['PLAN_CYCLE_UNIT'] ==2  && $planInfo['PLAN_CYCLE'] != 0){ echo $_lang["incomeexpend_week"];}?></td>
                <td class="title"><?=$_lang["incomeexpend_real_cycle"]?></td><td><?php if($planInfo['PLAN_STATE'] == 2){if($planInfo['PLAN_CYCLE_UNIT'] == 1){ echo $planInfo['REAL_CYCLE'] .$_lang["incomeexpend_day"];}else if($planInfo['PLAN_CYCLE_UNIT'] ==2){ echo $planInfo['REAL_CYCLE']. $_lang["incomeexpend_week"];}}else{ echo $_lang["incomeexpend_plan_not_end"];}?></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_expense_budget"]?></td><td style="font-family: 'Cambria';font-size:13px;"><?=$_lang["incomeexpend_money_unit"]?>&nbsp;<?=$planInfo['EXPENSE_BUDGET']?></td>
                <td class="title"><?=$_lang["incomeexpend_revenue_budget"]?></td><td style="font-family: 'Cambria';font-size:13px;"><?=$_lang["incomeexpend_money_unit"]?>&nbsp;<?=$planInfo['REVENUE_BUDGET']?></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_total_expense"]?></td><td style="color:#973735;font-family: 'Cambria';font-size:13px;"><?=$_lang["incomeexpend_money_unit"]?>&nbsp;<?=$planInfo['REAL_EXPENSE']?></td>
                <td class="title"><?=$_lang["incomeexpend_total_revenue"]?></td><td style="color:#339966;font-family: 'Cambria';font-size:13px;"><?=$_lang["incomeexpend_money_unit"]?>&nbsp;<?=$planInfo['REAL_REVENUE']?></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_in_out"]?></td><td style="color:#C90033;font-family: 'Cambria';font-size:13px;"><?=$_lang["incomeexpend_money_unit"]?>&nbsp;<?=$planInfo['REAL_PROFIT']?></td>
                <td class="title"><?=$_lang["incomeexpend_expense_over_alert"]?></td><td><?php if($planInfo['EXPENSE_BUDGET_ALERT'] == 1){ echo $_lang["incomeexpend_already_start"];}else{ echo $_lang["incomeexpend_unstart"];}?></td>
            </tr>
            <tr>
                
                <td class="title"><?=$_lang["incomeexpend_start_time"]?></td><td style="font-size:0.9em;"><?=$planInfo['START_TIME']?></td>
                <td class="title"><?=$_lang["incomeexpend_end_time"]?></td><td style="font-size:0.9em;"><?=$planInfo['END_TIME']?></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_creator"]?></td><td><?=$planInfo['USER_NAME']?></td>
                <td class="title"><?=$_lang["incomeexpend_create_time"]?></td><td style="font-size:0.9em;"><?=date('Y-m-d H:i:s',$planInfo['CREATE_TIME'])?></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_about_attach"]?></td><td colspan="3"><div id="attachList"></div></td>
            </tr>
            <tr>
                <td class="title"><?=$_lang["incomeexpend_plan_desc"]?></td><td colspan="3"><p style="margin-top:5px;margin-left:5px;"><?=$planInfo['PLAN_DESCRIPTION']; ?></p></td>
            </tr>
        </table>
    </div>
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>common.js"></script>
<script>
$(function(){
    $('#goback').click(function(){
        history.go(-1);
    });
    $('#close').click(function(){
       window.close(); 
    });
    uploadFileList('attachList','','',<?=$planId?>,'<?=$planInfo['ATTACHMENT_ID']?>','<?=$planInfo['ATTACHMENT_NAME']?>','/<?=MODULE_PATH?>index.php?c=2&m=16');
});
</script>
