<?php include_once('inc/page_header.inc.php');?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/plan.css" rel="stylesheet" />
<body>
    <div class="lazy_header">
            <span class="lazy-page-title"><i class="fa fa-page-title"></i> <span class="tip"><?=$_lang["incomeexpend_edit_plan"]?></span> </span>
            <button id="goback" class="btn btn-default" type="button"><?=$_lang["common_back"]?></button>
            <button id="submit" class="btn btn-primary" type="button"><?=$_lang["common_save"]?></button>
    </div>
    <div class="add-body">
        <form id="postForm" method="POST" action="/<?=MODULE_PATH?>index.php?c=2&m=17" name="postForm">
            <table class="form_table" width="96%" style="margin-left: 2%;margin-top:10px;" cellpadding="5">
                <tbody>
                    <tr>
                        <td class="title"><?=$_lang["incomeexpend_plan_code"]?></td>
                        <td>
                            <input id="PLAN_CODE" class="must <?php if(!$planInfo['PLAN_CODE']){?>require<?php }?>" type="text" name="PLAN_CODE" style="width:220px;" value="<?=$planInfo['PLAN_CODE']?>">
                        </td>
                        <td class="title" style='width:150px;'><?=$_lang["incomeexpend_plan_name"]?></td>
                        <td>
                            <input id="PLAN_NAME" class="must <?php if(!$planInfo['PLAN_NAME']){?>require<?php }?>" type="text" name="PLAN_NAME" value="<?=$planInfo['PLAN_NAME']?>" style="width:220px;">
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["incomeexpend_plan_type"]?></td>
                        <td>
                            <select id="PLAN_TYPE" name="PLAN_TYPE">
                                <option value="0"><?=$_lang["incomeexpend_no_category_plan"]?></option>
                                <?php if($planTypeLists){
                                    foreach($planTypeLists as $key => $value){
                                ?>
                                <option value="<?=$value['TYPE_ID']?>" <?php if($planInfo['PLAN_TYPE'] == $value['TYPE_ID']){?>selected<?php }?>><?=$value['TYPE_NAME']?></option>
                                <?php
                                    }
                                }
                                ?>      
                            </select>
                        </td>
                        <td class="title"><?=$_lang["incomeexpend_plan_cycle"]?></td>
                        <td>
                            <input id="PLAN_CYCLE" type="text" name="PLAN_CYCLE" style="width:145px;" value="<?=$planInfo['PLAN_CYCLE']?>">
                            &nbsp;&nbsp;
                            <select id="PLAN_CYCLE_UNIT" name="PLAN_CYCLE_UNIT">
                                <option value="1" <?php if($planInfo['PLAN_CYCLE_UNIT'] == 1){?>selected<?php }?>><?=$_lang["incomeexpend_day"]?></option>
                                <option value="2" <?php if($planInfo['PLAN_CYCLE_UNIT'] == 2){?>selected<?php }?>><?=$_lang["incomeexpend_week"]?></option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["incomeexpend_expense_budget"]?></td>
                        <td>
                            <input id="EXPENSE_BUDGET" type="text" name="EXPENSE_BUDGET" value="<?=$planInfo['EXPENSE_BUDGET']?>" style="width:220px;">
                        </td>
                        <td class="title"><?=$_lang["incomeexpend_revenue_budget"]?></td>
                        <td>
                            <input id="REVENUE_BUDGET" type="text" name="REVENUE_BUDGET" value="<?=$planInfo['REVENUE_BUDGET']?>"style="width:220px;">
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["incomeexpend_expense_over_alert"]?></td>
                        <td>
                            <input type="checkbox" class="input-radio" name="EXPENSE_BUDGET_ALERT" id="EXPENSE_BUDGET_ALERT" value="1" <?php if($planInfo['EXPENSE_BUDGET_ALERT'] == 1){?>checked<?php }?>>
                        </td>
                        <td class="title"><?=$_lang["incomeexpend_plan_state"]?></td>
                        <td>
                            <input type="radio" class="input-radio" name="PLAN_STATE" id="start" value="1" <?php if($planInfo['PLAN_STATE'] == 1){?>checked<?php }?>>
                            &nbsp;<?=$_lang["incomeexpend_starting"]?>&nbsp;&nbsp;&nbsp;
                            <input type="radio" class="input-radio" name="PLAN_STATE" id="end" value="2" <?php if($planInfo['PLAN_STATE'] == 2){?>checked<?php }?>>
                            &nbsp;<?=$_lang["incomeexpend_ending"]?>
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["incomeexpend_about_attach"]?></td>
                        <td colspan="3">
                            <div id="attachList"></div>
                            <div style="float:left;width:100%;">
                                <input type='file' id="file_elem" name="file_elem">
                                <input id="ATTACHMENT_ID" type="hidden" name="ATTACHMENT_ID" value="<?=$planInfo['ATTACHMENT_ID']?>">
                                <input id="ATTACHMENT_NAME" type="hidden" name=" ATTACHMENT_NAME" value="<?=$planInfo['ATTACHMENT_NAME']?>">
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="title"><?=$_lang["incomeexpend_plan_desc"]?></td>
                        <td colspan="3">
                            <textarea style="width:86%;height:150px;" id="PLAN_DESCRIPTION" name="PLAN_DESCRIPTION"><?=$planInfo['PLAN_DESCRIPTION']?></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td class="title" style='width:150px;'><?=$_lang["incomeexpend_show_auth"]?></td>
                        <td colspan="3">
                            <div class='show-priv'>
                                <div class="select-type">
                                    <input type="radio" class="input-radio" name="ALL_USER" id="setScope" value="1" <?php if($planInfo['ALL_USER'] == 1){?>checked<?php }?>>
                                    &nbsp;<?=$_lang["incomeexpend_designated_area"]?>&nbsp;&nbsp;&nbsp;
                                    <input type="radio" class="input-radio" name="ALL_USER" id="selectAll" value="2" <?php if($planInfo['ALL_USER'] == 2){?>checked<?php }?>>
                                    &nbsp;<?=$_lang["incomeexpend_all_person"]?>
                                </div>
                                <div class="select-scope-box" <?php if($planInfo['ALL_USER'] == 1){?>style="display:block;"<?php }?>>
                                    <div class="priviledge" >
                                        <?=$_lang["incomeexpend_department"]?>&nbsp;   
                                        <input id="DEPT_ID" type="hidden" value="<?=$planInfo["DEPT_ID"]?>" name="DEPT_ID">
                                        <textarea id="DEPT_NAME" wrap="yes" style="overflow:auto;width:80%;height:60px;" readonly="" name="DEPT_NAME"><?=$planInfo["deptName"]?></textarea>
                                        <a onclick="LoadWindowDept('DEPT_ID','DEPT_NAME','postForm')">
                                            <i class="fa fa-plus-circle fa-2x text-success"></i>
                                        </a>
                                    </div>
                                    <div class="priviledge">
                                        <?=$_lang["incomeexpend_roal"]?>&nbsp;   
                                        <input id="USER_PRIV_ID" type="hidden" value="<?=$planInfo["ROAL_ID"]?>" name="USER_PRIV_ID">
                                        <textarea id="USER_PRIV_NAME" wrap="yes" style="overflow:auto;width:80%;height:60px;" readonly=""  name="USER_PRIV_NAME" ><?=$planInfo["privName"]?></textarea>
                                        <a onclick="LoadCompatWindowPriv(event,'USER_PRIV_ID','USER_PRIV_NAME','postForm')">
                                            <i class="fa fa-plus-circle fa-2x text-success"></i>
                                        </a>
                                    </div>
                                    <div class="priviledge" style="margin-bottom:10px;">
                                        <?=$_lang["incomeexpend_user"]?>&nbsp;   
                                        <input id="USER_ID" type="hidden" value="<?=$planInfo["USER_ID"]?>" name="USER_ID">
                                        <textarea id="USER_NAME" wrap="yes" style="overflow:auto;width:80%;height:60px;" readonly="" name="USER_NAME"><?=$planInfo["userName"]?></textarea>
                                        <a onclick="LoadWindowUser('USER_ID','USER_NAME','postForm')">
                                            <i class="fa fa-plus-circle fa-2x text-success"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <input type="hidden" name="PLAN_ID" value="<?=$planId?>" id="PLAN_ID">
        </form>
    </div>
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script language="javascript" src="/inc/common.js" ></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>common.js"></script>
<script>
$('.input-radio').iCheck({
    checkboxClass : 'icheckbox_square-blue',
    radioClass : 'iradio_square-blue'
});
$("#PLAN_TYPE").selectpicker();
$("#PLAN_CYCLE_UNIT").selectpicker({
    width:'60px'
});
$(function(){
    selectPrivOperation();
    uploadFile();
    beforeSubmit();
    $('#submit').click(function(){
        $('#postForm').submit();
    });
    $('#goback').click(function(){
        history.go(-1);
    });
    uploadFileList('attachList','ATTACHMENT_ID','ATTACHMENT_NAME',<?=$planId?>,'<?=$planInfo['ATTACHMENT_ID']?>','<?=$planInfo['ATTACHMENT_NAME']?>','/<?=MODULE_PATH?>index.php?c=2&m=16');
});
function selectPrivOperation(){
    $('#setScope').on('ifChecked',function(){
        $('.select-scope-box').slideDown('show');
    });
    $('#selectAll').on('ifChecked',function(){
        $('.select-scope-box').slideUp('hide');
    });
}
function uploadFile(){
    $('#file_elem').Upload({
        uploadType:'OTHER',
        onUploadSuccess:function(attachmentID,attachementName){								  
            $("#ATTACHMENT_ID").val($("#ATTACHMENT_ID").val()+attachmentID+","); 
            $("#ATTACHMENT_NAME").val($("#ATTACHMENT_NAME").val()+attachementName+"*");   
		},  
        //所有附件上传完成,触发form提交   
		onQueueComplete:function(){
           ajaxSubmit();
        }
    });
}    
function beforeSubmit(){
    $('#postForm').submit(function(){ 
        if($('#PLAN_CODE').val() == ''){
            $.pnotify({text: '<?=$_lang["incomeexpend_plan_code_not_null"]?>', type: "error"});
            return false;
        }
        if($('#PLAN_NAME').val() == ''){
            $.pnotify({text: '<?=$_lang["incomeexpend_plan_name_not_null"]?>', type: "error"});
            return false;
        }
        if ($("#file_elem").Upload("getUploadCount") > 0){        
			$("#file_elem").uploadify("upload", "*");
		}else{  
            ajaxSubmit();
        }
        return false;
    }); 
}
function ajaxSubmit(){
    $('#postForm').ajaxSubmit({
        success:function(data){
            if(data == 0 || data == 'false'){
                $.pnotify({text: '<?=$_lang["incomeexpend_edit_plan_failure"] ?>', type: "error"});
            }else{
                successCallBack();
            }
        }
    }); 
}
function successCallBack(){
    bootbox.dialog({
        message: "<?=$_lang["incomeexpend_plan_edit_success"] ?>",
        closeButton: false,
        buttons: {
            success: {
                label: "<?=$_lang["incomeexpend_back_plan_list"]?>",
                className: "btn-success",
                callback: function() {
                    location.href = "/<?=MODULE_PATH?>index.php?c=2&m=2&page=<?=$page?>&perPage=<?=$perPage?>";
                }
            },
            danger: {
                label: "<?=$_lang["incomeexpend_edit_continue"]?>",
                className: "btn-default",
                callback: function() {
                    location.reload();
                }
            }
        }
    });
}
</script>
