<?php include_once('inc/page_header.inc.php');?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/plan.css" rel="stylesheet" />
<style>
.ui-widget-header{
    display: none;
}
</style>
<body>
    <div class="plan-frame-left">
        <div class="lazy_header">
            <span class="lazy-list-title">
                <i class="fa fa-list-title"></i>
                <span class="tip"><?=$_lang["incomeexpend_plan_type"]?></span>
            </span>
        </div>
        <div class="outsidediv">
            <div class="type-list-wrap">
                <div class="type-item" type-id="0"><?=$_lang["incomeexpend_no_category_plan"]?></div>
                <?php if($planTypeLists){
                   foreach($planTypeLists as $key => $value){
                ?>
<div class="type-item" type-id="<?=$value['TYPE_ID']?>"><font style="max-width: 80%;height:100%;overflow: hidden;white-space: nowrap;text-overflow:ellipsis;display:block;float: left;" title="<?=$value['TYPE_NAME']?>"><?=$value['TYPE_NAME']?></font></div>
                <?php
                   }
                }?>
            </div>
        </div>
    </div>
    <div class="plan-frame-right">
        <div class="lazy_header">
            <div id="arrow" class="arrow lazy_toggle" title="<?=$_lang["incomeexpend_close_plan_type"]?>">
                <div class="icon_wrap">
                    <i class="fa fa-angle-left"></i>
                </div>
            </div>
            <div class="filter-list" style="margin-left:10px;"></div>
            <div class="more-list"></div>
            <div class="plan_search"></div>
        </div>
        <div class="planLists"></div>
    </div>
    <input type="hidden" id="PLAN_TYPE" name="PLAN_TYPE" value="">
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>  
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>common.js"></script>
<script>
$(function(){
    $('.plan-frame-right').width(windowWidth - 201).height(windowHeight);
    $('.plan-frame-left').height(windowHeight);
    $('.outsidediv').height(windowHeight - 40).niceScroll();
	$('.planLists').height(windowHeight - 50).niceScroll();
    switchTypeLists();
    filterList();
    planTypeOperation();
    $(".planLists").LazyTable({
		dataSource : "/<?=MODULE_PATH?>index.php?c=2&m=12",	
        param:{
            PLAN_TYPE:$('#PLAN_TYPE').val()
        },
        page : {
            itemsPerPage : <?=$perPage?>,
            displayedPages:3,
            currentPage:<?=$page?>,
            edges:1
        },
		column:[{
					key:"checkall",
					showCheckAll:function(data){
                        return true;
					}
				},
				{key:"PLAN_CODE",title:"<?=$_lang["incomeexpend_plan_code"]?>",width:"80px"},
				{key:"PLAN_NAME",title:"<?=$_lang["incomeexpend_plan_name"]?>",width:"100px"},
				{key:"TYPE_NAME",title:"<?=$_lang["incomeexpend_plan_type"]?>",width:"100px",template:function(data){
                    if(data.TYPE_NAME == null){
                        return '<?=$_lang["incomeexpend_no_category_plan"]?>';
                    }else{
                        return data.TYPE_NAME;
                    }
                }},
                {key:"EXPENSE_BUDGET",title:"<?=$_lang["incomeexpend_expense_budget"]?>",width:"80px"},
				{key:"REVENUE_BUDGET",title:"<?=$_lang["incomeexpend_revenue_budget"]?>",width:"80px"},
				{key:"PLAN_STATE",title:"<?=$_lang["incomeexpend_plan_state"]?>",width:"40px",template:function(data){
                    if(data.PLAN_STATE == 0){
                        return '<span style="color:#EDA464"><?=$_lang["incomeexpend_unstart"]?></span>';
                    }else if(data.PLAN_STATE == 1){
                        return '<span style="color:#5CB85C"><?=$_lang["incomeexpend_running"]?></span>';
                    }else{
                        return '<span style="color:#D2322D"><?=$_lang["incomeexpend_end"]?></span>';
                    }
                }}],			  
		buttons:{
			buttonInfor : {
                "start":{
                    title:"<?=$_lang["incomeexpend_starting"]?>",
                    func:function(data){
                        var planId = data.PLAN_ID; 
                        bootbox.confirm("<?=$_lang["incomeexpend_confirm_starting_plan"]?>", function(result) {
                            if(result) {
                                $.ajax({
                                    url:'/<?=MODULE_PATH?>index.php?c=2&m=6',
                                    data:{
                                        planId:planId
                                    }
                                }).done(function(result){
                                    if(result == 1){
                                        $.pnotify({text:"<?=$_lang["incomeexpend_start_success"]?>",type:"success"});
                                        $(".planLists").LazyTable("reload");
                                    }else{
                                        $.pnotify({text:"<?=$_lang["incomeexpend_start_failure"]?>",type:"error"});
                                    }
                                });
                            }
                        });
                    }
                },
                "end":{
                    title:"<?=$_lang["incomeexpend_ending"]?>",
                    func:function(data){
                        var planId = data.PLAN_ID; 
                        bootbox.confirm("<?=$_lang["incomeexpend_confirm_ending_plan"]?>", function(result) {
                            if(result) {
                                $.ajax({
                                    url:'/<?=MODULE_PATH?>index.php?c=2&m=13',
                                    data:{
                                        planId:planId
                                    }
                                }).done(function(result){
                                    if(result == 1){
                                        $.pnotify({text:"<?=$_lang["incomeexpend_ending_success"]?>",type:"success"});
                                        $(".planLists").LazyTable("reload");
                                    }else{
                                        $.pnotify({text:"<?=$_lang["incomeexpend_ending_failure"]?>",type:"error"});
                                    }
                                });
                            }
                        });
                    }
                },
				"detail":{
					title:"<?=$_lang["incomeexpend_show"]?>",
					isDefault:true,
					func:function(data) {
                        var planId = data.PLAN_ID; 
                        window.open ('/<?=MODULE_PATH?>index.php?c=2&m=9&type=window&planId=' + planId,'newwindow','height=700,width=900,top=200,left=250,toolbar=no,menubar=no,scrollbars=yes, resizable=no,location=no, status=no');
                        return false;
					}
				},				
				"delete" : {
					title : "<?=$_lang["incomeexpend_delete"]?>",
					func : function(data) {
                        var planId = data.PLAN_ID; 
                        bootbox.confirm("<?=$_lang["incomeexpend_confirm_del_plan"]?>", function(result) {
                            if(result) {
                                $.ajax({
                                    url:'/<?=MODULE_PATH?>index.php?c=2&m=4',
                                    data:{
                                        planId:planId
                                    }
                                }).done(function(result){
                                    if(result == 1){
                                        $.pnotify({text:"<?=$_lang["incomeexpend_del_success"]?>",type:"success"});
                                        $(".planLists").LazyTable("reload");
                                    }else if(result == 2){
                                        $.pnotify({text:"<?=$_lang["incomeexpend_cannot_del_running_plan"]?>",type:"error"});
                                    }else{
                                        $.pnotify({text:"<?=$_lang["incomeexpend_del_failure"]?>",type:"error"});
                                    }
                                });
                            }
                        });
					}
				},
				"edit":{
					title:"<?=$_lang["incomeexpend_edit"]?>",
					func:function(data) {
						var planId = data.PLAN_ID; 
                        var page = $(".planLists").LazyTable("getCurrentPage");
                        var itemsPerPage = $(".planLists").find('.pagination .per-page').text();
                        location.href = '/<?=MODULE_PATH?>index.php?c=2&m=5&planId='+planId+'&page='+(page-1)+'&perPage='+itemsPerPage;
					}
				}
			},
			filter:function(data) {
                if(data.PLAN_STATE == 0){
                    return ['start','detail','delete','edit'];
                }else if(data.PLAN_STATE == 1){
                    return ['end','detail','edit'];
                }else{
                    return ['start','detail','delete','edit'];
                }
			}
		},
		batchButtons : [{
			title : "<?=$_lang["incomeexpend_batch_delete"]?>",
			func : function(data) {
                if(data == "") {
					$.pnotify({text:"<?=$_lang["incomeexpend_not_selected_del_item"]?>",type:"error"});
					return false;
				}
                bootbox.confirm("<?=$_lang["incomeexpend_confirm_del_seleced"]?>", function(result) {
                    if(result) {
                        var planId = implodeIds(data);
                        $.ajax({
                            url:'/<?=MODULE_PATH?>index.php?c=2&m=4',
                            data:{
                                deleteType:'batch',
                                planId:planId
                            }
                        }).done(function(result){
                            if(result == 1){
                                $.pnotify({text:"<?=$_lang["incomeexpend_del_success"]?>",type:"success"});
                                $(".planLists").LazyTable("reload");
                            }else if(result == 2){
                                $.pnotify({text:"<?=$_lang["incomeexpend_selected_has_running_plan"]?>",type:"error"});
                            }else{
                                $.pnotify({text:"<?=$_lang["incomeexpend_del_failure"]?>",type:"error"});
                            }
                        });
                    }
                });
			}
		},{
            title : "<?=$_lang["incomeexpend_batch_starting"]?>",
			func : function(data) {
                 if(data == "") {
					$.pnotify({text:"<?=$_lang["incomeexpend_not_selected_start_item"]?>",type:"error"});
					return false;
				}
                bootbox.confirm("<?=$_lang["incomeexpend_confirm_starting_selected"]?>", function(result) {
                    if(result) {
                        var planId = implodeIds(data);
                        $.ajax({
                            url:'/<?=MODULE_PATH?>index.php?c=2&m=6',
                            data:{
                                startType:'batch',
                                planId:planId
                            }
                        }).done(function(result){
                            if(result == 1){
                                $.pnotify({text:"<?=$_lang["incomeexpend_start_success"]?>",type:"success"});
                                $(".planLists").LazyTable("reload");
                            }else{
                                $.pnotify({text:"<?=$_lang["incomeexpend_ending_failure"]?>",type:"error"});
                            }
                        });
                    }
                });
			}
        },{
            title : "<?=$_lang["incomeexpend_batch_ending"]?>",
			func : function(data) {
                 if(data == "") {
					$.pnotify({text:"<?=$_lang["incomeexpend_not_selected_ending_item"]?>",type:"error"});
					return false;
				}
                bootbox.confirm("<?=$_lang["incomeexpend_confirm_ending_selected"]?>", function(result) {
                    if(result) {
                       var planId = implodeIds(data);
                        $.ajax({
                            url:'/<?=MODULE_PATH?>index.php?c=2&m=13',
                            data:{
                                endType:'batch',
                                planId:planId
                            }
                        }).done(function(result){
                            if(result == 1){
                                $.pnotify({text:"<?=$_lang["incomeexpend_ending_success"]?>",type:"success"});
                                $(".planLists").LazyTable("reload");
                            }else{
                                $.pnotify({text:"<?=$_lang["incomeexpend_ending_failure"]?>",type:"error"});
                            }
                        });
                    }
                });
			}
        }],
		sort : {
			items : [{key : "PLAN_ID",title : "<?=$_lang["incomeexpend_plan_id"]?>"},
					 {key : "PLAN_CODE",title : "<?=$_lang["incomeexpend_plan_code"]?>"},					 
					 {key : "START_TIME",title : "<?=$_lang["incomeexpend_start_time"]?>"},
					 {key : "CREATE_TIME",title : "<?=$_lang["incomeexpend_create_time"]?>",isDefault : true}],
			onItemClick : function(key, sortType) {
				$(".planLists").LazyTable("reload",{
					param:{
						sortField:key,						
						sortType:sortType
					}
				},true);
			}
		},
		onAfterLoad:function(data){
            if(data.totalCount >0){
                var list = data.list;
                if(list.length == 0){
                    var itemsPerPage = $(".planLists").find('.pagination .per-page').text();
                    var pageSize = Math.ceil(data.totalCount / itemsPerPage);
                    if(pageSize>=1){
                        var currentPage = pageSize-1;
                        $(".planLists").LazyTable("reload",
                        {page:{currentPage:currentPage,itemsPerPage:itemsPerPage}},
                        true);
                    }
                }
            }
			$(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});
				
			$(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });	
            $('.batch_button_wrap .btn[data_key=0]').removeClass('btn-primary').addClass('btn-danger');
            $('.batch_button_wrap .btn[data_key=1]').removeClass('btn-primary').addClass('btn-success');
		}		
	});	
    checkAll();
    $('.type-item').click(function(){
        var typeId  = $(this).attr('type-id');
        $('#PLAN_TYPE').val(typeId);
        $(".planLists").LazyTable("reload",{
            page:{
                currentPage:0
            },
            param:{
                PLAN_TYPE:$('#PLAN_TYPE').val()
            }
        });
    });
});
function checkAll(){
    $(".planLists").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".planLists").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});
	$(".planLists").on('ifChanged','.lazy_table_checkbox', function(event){
		if($(this).prop("checked")) {
			if ($(".planLists").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$(".planLists").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$(".planLists").find(".lazy_table_checkall").prop("checked", false);
		}
		$(":checkbox").iCheck('update'); 
	});
}
function implodeIds(data){
    var planId = "";
    $.each(data,function(key,value) {
        planId += value["PLAN_ID"]+",";
    });
    planId = planId.substring(0,planId.length-1);
    return planId;
}
function planTypeOperation(){
    $('.type-item').mouseenter(function(){
        if(!$(this).hasClass('active')){
            $(this).css({'background':'#e7e7e7'});
        }
    }).mouseleave(function(){
        if(!$(this).hasClass('active')){
            $(this).css({'background':''});
        }
    }).click(function(){
        $('.type-item').css('background','').removeClass('active');
        $(this).addClass('active');
    });
}
function filterList(){
    $(".filter-list").LazyFilter({
        common : {
            tempalte : "{title}",
            dataSource : [{
                key : "all",
                title : "<?=$_lang["incomeexpend_all"]?>",
                isDefault : true
            },{
                key : "unStart",
                title : "<?=$_lang["incomeexpend_unstart"]?>"
            },{
                key : "starting",
                title : "<?=$_lang["incomeexpend_running"]?>"
            },{
                key : "end",
                title : "<?=$_lang["incomeexpend_end"]?>"
            }]
        },
		onClick:function(data) {
			$(".planLists").LazyTable("reload",{
                page:{
                    currentPage:0
                },
				param:{
					FILTER:data
				}
			});
		}	
    });
    $(".more-list").LazyFilter({
        more : {
            header : "<?=$_lang["incomeexpend_more_filter"]?>",
            dataSource:[{
                key:"applyTime",
                title:"<?=$_lang["incomeexpend_time"]?>",
                subItems :[{
                    key:"last7d",
                    title:"<?=$_lang["incomeexpend_last_week"]?>"
                },{
                    key:"last1m",
                    title:"<?=$_lang["incomeexpend_last_one_month"]?>",
                },{
                    key:"last3m",
                    title:"<?=$_lang["incomeexpend_last_three_month"]?>"
                }]
            }]
        },
		onClick:function(data) {
			$(".planLists").LazyTable("reload",{
                page:{
                    currentPage:0
                },
				param:{
					FILTER:data,
				}
			});
		}	
    });
    $(".plan_search").LazySearch({
        tip : "<?=$_lang["incomeexpend_query_plan"]?>",
        fieldSearch : {
            onItemClick : function(data, value) {
                $('#PLAN_TYPE').val('')
                $(".planLists").LazyTable("reload",{
                    page:{
                        currentPage:0
                    },
                    param:{
                        keyValue:value,
                        keyName:data.key
                    }
                });
            },
            items : [{
                key : "PLAN_CODE",
                title : "<?=$_lang["incomeexpend_plan_code"]?>"
            }, {
                key : "PLAN_NAME",
                title : "<?=$_lang["incomeexpend_plan_name"]?>"
            }]
        },
        onClearButtonClick:function(){
            $(".planLists").LazyTable("reload",{
                    page:{
                        currentPage:0
                    }
                });
        }
    });
}
function switchTypeLists(){
    $('#arrow').click(function(){
        if($('.plan-frame-left').css('display') == 'block'){
            $('.plan-frame-left').hide();
            $(this).children('.icon_wrap').html('<i class="fa fa-angle-right"></i>');
            $('.plan-frame-right').width(windowWidth);
        }else{
            $('.plan-frame-left').show();
            $(this).children('.icon_wrap').html('<i class="fa fa-angle-left"></i>');
            $('.plan-frame-right').width(windowWidth - 201);
        }
    });
    $(window).resize(function(){
        var windowWidth     = $(window).width();
        var windowHeight    = $(window).height();
        $('.plan-frame-right').width(windowWidth - 201).height(windowHeight);
        $('.plan-frame-left').height(windowHeight);
        $('.outsidediv').height(windowHeight - 40).niceScroll();
    });
}

</script>
