<?php include_once('inc/page_header.inc.php');?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/plan.css" rel="stylesheet" />
<body>
    <div class="lazy_header">
        <div class="destory-filter-list" style="margin-left:10px;"></div>
        <div class="destory_plan_search"></div>
    </div>
    <div class="destoryPlanList">
    </div>
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>  
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>common.js"></script>
<script>
$(function(){
    filterList();
    checkAll();
    $(".destoryPlanList").LazyTable({
		dataSource : "/<?=MODULE_PATH?>index.php?c=2&m=12",	
        param:{
            status:1
        },
        page : {
            itemsPerPage : 11,
            displayedPages:3,
            edges:1
        },
		column:[{
					key:"checkall",
					showCheckAll:function(data){
                        return true;
					}
				},
				{key:"PLAN_CODE",title:"<?=$_lang["incomeexpend_plan_code"]?>",width:"80px"},
				{key:"PLAN_NAME",title:"<?=$_lang["incomeexpend_plan_name"]?>",width:"100px"},
				{key:"TYPE_NAME",title:"<?=$_lang["incomeexpend_plan_type"]?>",width:"100px",template:function(data){
                    if(data.TYPE_NAME == null){
                        return '<?=$_lang["incomeexpend_no_category_plan"]?>';
                    }else{
                        return data.TYPE_NAME;
                    }
                }},
				{key:"PLAN_STATE",title:"<?=$_lang["incomeexpend_plan_state"]?>",width:"40px",template:function(data){
                    if(data.PLAN_STATE == 0){
                        return '<span style="color:#EDA464"><?=$_lang["incomeexpend_unstart"]?></span>';
                    }else if(data.PLAN_STATE == 1){
                        return '<span style="color:#5CB85C"><?=$_lang["incomeexpend_running"]?></span>';
                    }else{
                        return '<span style="color:#D2322D"><?=$_lang["incomeexpend_end"]?></span>';
                    }
                }}],			  
		buttons:{
			buttonInfor : {
                "recover":{
                    title:"<?=$_lang["incomeexpend_recover"]?>",
                    func:function(data){
                        var planId = data.PLAN_ID; 
                        bootbox.confirm("<?=$_lang["incomeexpend_confirm_recover_plan"]?>", function(result) {
                            if(result) {
                                $.ajax({
                                    url:'/<?=MODULE_PATH?>index.php?c=2&m=14',
                                    data:{
                                        planId:planId
                                    }
                                }).done(function(result){
                                    if(result == 1){
                                        $.pnotify({text:"<?=$_lang["incomeexpend_recover_success"]?>",type:"success"});
                                        $(".destoryPlanList").LazyTable("reload");
                                    }else{
                                        $.pnotify({text:"<?=$_lang["incomeexpend_recover_failure"]?>",type:"error"});
                                    }
                                });
                            }
                        });
                    }
                },
                "destory":{
                    title:"<?=$_lang["incomeexpend_destory"]?>",
                    func:function(data){
                        var planId = data.PLAN_ID; 
                        bootbox.confirm("<?=$_lang["incomeexpend_confirm_destory_plan"]?>", function(result) {
                            if(result) {
                                $.ajax({
                                    url:'/<?=MODULE_PATH?>index.php?c=2&m=15',
                                    data:{
                                        planId:planId
                                    }
                                }).done(function(result){
                                    if(result == 1){
                                        $.pnotify({text:"<?=$_lang["incomeexpend_destory_success"]?>",type:"success"});
                                        $(".destoryPlanList").LazyTable("reload");
                                    }else{
                                        $.pnotify({text:"<?=$_lang["incomeexpend_destory_failure"]?>",type:"error"});
                                    }
                                });
                            }
                        });
                    }
                }
			},
			filter:function(data) {
                return ['recover','destory'];
			}
		},
		batchButtons : [{
			title : "<?=$_lang["incomeexpend_batch_destory"]?>",
			func : function(data) {
                if(data == "") {
					$.pnotify({text:"<?=$_lang["incomeexpend_not_selected_destory"]?>",type:"error"});
					return false;
				}
                bootbox.confirm("<?=$_lang["incomeexpend_confrim_destory_selected"]?>", function(result) {
                    if(result) {
                        var planId = implodeIds(data);
                        $.ajax({
                            url:'/<?=MODULE_PATH?>index.php?c=2&m=15',
                            data:{
                                destoryType:'batch',
                                planId:planId
                            }
                        }).done(function(result){
                            if(result == 1){
                                $.pnotify({text:"<?=$_lang["incomeexpend_destory_success"] ?>",type:"success"});
                                $(".destoryPlanList").LazyTable("reload");
                            }else{
                                $.pnotify({text:"<?=$_lang["incomeexpend_destory_failure"]?>",type:"error"});
                            }
                        });
                    }
                });
			}
		},{
            title : "<?=$_lang["incomeexpend_batch_recover"]?>",
			func : function(data) {
                 if(data == "") {
					$.pnotify({text:"<?=$_lang["incomeexpend_not_selected_recover"]?>",type:"error"});
					return false;
				}
                bootbox.confirm("<?=$_lang["incomeexpend_confirm_recover_selected"]?>", function(result) {
                    if(result) {
                        var planId = implodeIds(data);
                        $.ajax({
                            url:'/<?=MODULE_PATH?>index.php?c=2&m=14',
                            data:{
                                recoverType:'batch',
                                planId:planId
                            }
                        }).done(function(result){
                            if(result == 1){
                                $.pnotify({text:"<?=$_lang["incomeexpend_recover_success"]?>",type:"success"});
                                $(".destoryPlanList").LazyTable("reload");
                            }else{
                                $.pnotify({text:"<?=$_lang["incomeexpend_recover_failure"]?>",type:"error"});
                            }
                        });
                    }
                });
			}
        }],
		sort : {
			items : [{key : "PLAN_ID",title : "<?=$_lang["incomeexpend_plan_id"]?>"},
					 {key : "PLAN_CODE",title : "<?=$_lang["incomeexpend_plan_code"]?>"},					 
					 {key : "START_TIME",title : "<?=$_lang["incomeexpend_start_time"]?>"},
					 {key : "CREATE_TIME",title : "<?=$_lang["incomeexpend_create_time"]?>",isDefault : true}],
			onItemClick : function(key, sortType) {
				$(".destoryPlanList").LazyTable("reload",{
					param:{
						sortField:key,						
						sortType:sortType
					}
				},true);
			}
		},
		onAfterLoad:function(data){
            if(data.totalCount >0){
                var list = data.list;
                if(list.length == 0){
                    var itemsPerPage = $(".destoryPlanList").find('.pagination .per-page').text();
                    var pageSize = Math.ceil(data.totalCount / itemsPerPage);
                    if(pageSize>=1){
                        var currentPage = pageSize-1;
                        $(".destoryPlanList").LazyTable("reload",
                        {page:{currentPage:currentPage,itemsPerPage:itemsPerPage}},
                        true);
                    }
                }
            }
			$(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});
				
			$(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });	
            $('.batch_button_wrap .btn[data_key=0]').removeClass('btn-primary').addClass('btn-danger');
            $('.batch_button_wrap .btn[data_key=1]').removeClass('btn-primary').addClass('btn-success');
		}		
	});	
});
function checkAll(){
    $(".destoryPlanList").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".destoryPlanList").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});
	$(".destoryPlanList").on('ifChanged','.lazy_table_checkbox', function(event){
		if($(this).prop("checked")) {
			if ($(".destoryPlanList").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$(".destoryPlanList").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$(".destoryPlanList").find(".lazy_table_checkall").prop("checked", false);
		}
		$(":checkbox").iCheck('update'); 
	});
}

function filterList(){
    $(".destory-filter-list").LazyFilter({
        common : {
            tempalte : "{title}",
            dataSource : [{
                key : "all",
                title : "<?=$_lang["incomeexpend_all"]?>",
                isDefault : true
            },{
                key : "unStart",
                title : "<?=$_lang["incomeexpend_unstart"]?>"
            },{
                key : "end",
                title : "<?=$_lang["incomeexpend_end"]?>"
            }]
        },
		onClick:function(data) {
			$(".destoryPlanList").LazyTable("reload",{
                page:{
                    currentPage:0
                },
				param:{
					FILTER:data
				}
			});
		}	
    });
    $(".destory_plan_search").LazySearch({
        tip : "<?=$_lang["incomeexpend_query_plan"]?>",
        fieldSearch : {
            onItemClick : function(data, value) {
                $(".destoryPlanList").LazyTable("reload",{
                    page:{
                        currentPage:0
                    },
                    param:{
                        keyValue:value,
                        keyName:data.key
                    }
                });
            },
            items : [{
                key : "PLAN_CODE",
                title : "<?=$_lang["incomeexpend_plan_code"]?>"
            }, {
                key : "PLAN_NAME",
                title : "<?=$_lang["incomeexpend_plan_name"]?>"
            }]
        },
        onClearButtonClick:function(){
             $(".destoryPlanList").LazyTable("reload",{
                                                page : {
                                                    currentPage:0
                                                }
                                            });
        }
    });
}
function implodeIds(data){
    var planId = "";
    $.each(data,function(key,value) {
        planId += value["PLAN_ID"]+",";
    });
    planId = planId.substring(0,planId.length-1);
    return planId;
}
</script>
