var PlanSelect = {
    version:1.0,
    author:'lizhijun',
    date:'2014-11-20',
    pluginName:PaymentLang.paymentPlanSelector,
    SelectObj:'',
    callBack:function(data){
        
    },
    param:{
        height: '500px',
        width: '600px',
        top: '100px',
        left: '200px',
        selectType:'single',//选择类型，单选single，多选mulit
        reload:true,//打开选择框是否重新加载，默认true
        url:'/general/income_expend/index.php',
        showId:'showId',
        hideId:'hideId'
    },
    template:{
        theme:'<div class="select-box">\
                    <div class="select-box-header"><div class="header-left">'+PaymentLang.paymentPlanSelect+'</div><div class="header-right"><i class="fa fa-times fa-lg"></i></div></div>\
                    <div class="select-box-body">\
                        <div class="body-top">\
                            <div class="plan-type"><input type="hidden" id="selectHidePlanType" value="all"><select id="select_plan_type"><option value="all">'+PaymentLang.paymentAllType+'</option><option value="0">'+PaymentLang.paymentNotTypePlan+'</option></select></div>\
                            <div class="plan-filter"><input type="hidden" id="selectHidePlanFilter" value="all"><select id="select_plan_filter"><option value="all">'+PaymentLang.paymentAll+'</option><option value="last7d">'+PaymentLang.paymentLastWeek+'</option><option value="last1m">'+PaymentLang.paymentLastMonth+'</option><option value="last3m">'+PaymentLang.paymentLastThreeMonth+'</option></select></div>\
                            <div class="plan-search"><div class="search-input"><input type="text" id="search_keyword" value="" placeholder="'+PaymentLang.paymentEnterKeyword+'"></div><div class="search-button"><i class="fa fa-search"></i></div></div>\
                        </div>\
                        <div class="body-bottom">\
                            <div class="body-bottom-left"></div>\
                            <div class="body-bottom-center"><div class="move-right"><i class="fa fa-arrow-right fa-2x"></i></div><div class="move-left"><i class="fa fa-arrow-left  fa-2x"></i></div></div>\
                            <div class="body-bottom-right"></div>\
                        </div>\
                    </div>\
                    <div class="select-box-footer">\
                        <div class="button-group">\
                            <div class="select-button" id="select_ok">'+PaymentLang.paymentOk+'</div>\
                            <div class="select-button" id="select_clear">'+PaymentLang.paymentClear+'</div>\
                            <div class="select-button" id="select_cancel">'+PaymentLang.paymentCancel+'</div>\
                        </div>\
                    </div>\
                </div>',
    },
    func:{
        themeInit:function(){
            var paramObj = PlanSelect.param;
            PlanSelect.SelectObj.css({
                'width':paramObj.width,
                'height':paramObj.height,
                'position':'fixed', 
                'z-index':'999999',
                'top':paramObj.top,
                'left':paramObj.left
            }) .html(PlanSelect.template.theme).hide();
            PlanSelect.SelectObj.find('.select-box-body').height(parseInt(paramObj.height)-80);
            PlanSelect.SelectObj.find('.select-box-body .body-bottom').height(parseInt(paramObj.height)-140);
            PlanSelect.SelectObj.find('.select-button').mouseenter(function(){
                $(this).css({'background':'#30B5FF','color':'#fff'});
            }).mouseleave(function(){
                $(this).css({'background':'','color':'#333'});
            });
            PlanSelect.SelectObj.on({
                mouseenter:function(){
                    $(this).css({'background':'#30B5FF','color':'#fff'});
                },
                mouseleave:function(){
                    $(this).css({'background':'','color':'#333'});
                }
            },'.move-right.active,.move-left.active');
            $("#select_plan_filter").selectpicker({'width':'150px'});
            PlanSelect.SelectObj.find('#search_keyword').focusin(function(){
                $(this).parent().parent().css({'border-color':'#30B5FF'});
                $(this).parent().parent().find('.search-button').css({'color':'#30B5FF'});
            }).focusout(function(){
                $(this).parent().parent().css({'border-color':'#DADEDB'});
                $(this).parent().parent().find('.search-button').css({'color':'#ADADAD'});
            });
            $('#' + PlanSelect.param.showId).css({'min-width':'220px','margin-right':'10px','height':'30px','float':'left','border':'1px solid #DDDDDD'});
        },
        loadPlanTypeList:function(data){
            $.ajax({
                url:PlanSelect.param.url,
                data:data,
                type:'get',
            }).done(function(result){
                if(result){
                    var parseResult = $.parseJSON(result);
                    var html = '';
                    $.each(parseResult,function(k,v){
                       html += '<option value="'+v.TYPE_ID+'">'+v.TYPE_NAME+'</option>'; 
                    });
                    PlanSelect.SelectObj.
                            find('#select_plan_type').
                            append(html).
                            selectpicker({'width':'150px'});
                }
                
            });
        },
        loadPlanList:function(data,type){
            PlanSelect.SelectObj.find('.body-bottom-left .load-more').remove();
            if(type == 'html'){
                PlanSelect.SelectObj.find('.body-bottom-left').html('<div class="loading">'+PaymentLang.paymentLoading+'</div>');
            }else{
                PlanSelect.SelectObj.find('.body-bottom-left').append('<div class="loading">'+PaymentLang.paymentLoading+'</div>');
            }
            $.ajax({
                url:PlanSelect.param.url,
                data:data,
                type:'get',
            }).done(function(result){
                if(result){
                    $('.loading').remove();
                    var parseResult = $.parseJSON(result);
                    if(parseResult.totalCount == 0){
                        if(type == 'html'){
                            PlanSelect.SelectObj.find('.body-bottom-left').html('<div class="no-data">'+PaymentLang.paymentNoData+'</div>');
                        }else{
                            PlanSelect.SelectObj.find('.body-bottom-left').append('<div class="no-data">'+PaymentLang.paymentNoMoreData+'</div>');
                        }
                        return false;
                    }
                    var html = '';
                    var size = parseResult.length;
                    $.each(parseResult,function(k,v){
                        if(v.TYPE_NAME == null){
                            var typeName = PaymentLang.paymentNotTypePlan;
                        }else{
                            var typeName = v.TYPE_NAME;
                        }
                        var $rightObj = PlanSelect.SelectObj.find('.body-bottom-right .plan-item[plan-id='+v.PLAN_ID+']');
                        var planName    = v.PLAN_NAME;
                        var nameLen     = planName.length;
                        planName        = planName.substr(0 ,16);
                        if(nameLen > 16){
                            planName = planName + '...';
                        }
                        if($rightObj.length>0){
                            html += '<div class="plan-item" title="'+v.PLAN_NAME+'" plan-id="'+v.PLAN_ID+'" select="0" style="display:none;"><span>'+planName+'</span>&nbsp;&nbsp;&nbsp;&nbsp;['+typeName+']</div>'; 
                        }else{
                            html += '<div class="plan-item" title="'+v.PLAN_NAME+'" plan-id="'+v.PLAN_ID+'" select="0"><span>'+planName+'</span>&nbsp;&nbsp;&nbsp;&nbsp;['+typeName+']</div>'; 
                        }
                        
                    });
                    var page = data.currentPage;
                    if(size >= 15){
                        html += '<div page="'+page+'" class="load-more">'+PaymentLang.paymentLoadMore+'</div>';
                    }
                    if(type == 'html'){
                        PlanSelect.SelectObj.find('.body-bottom-left').html(html);
                    }else{
                        PlanSelect.SelectObj.find('.body-bottom-left').append(html);
                    }
                }
            });
        },
        single:function(){
            PlanSelect.SelectObj.on({
                click:function(){
                    if($(this).attr('select') == 0){
                        PlanSelect.SelectObj.find('.body-bottom-left .plan-item').css('background','').removeClass('active').attr('select',0);
                        $(this).addClass('active').attr('select',1);
                    }else{
                        $(this).removeClass('active').attr('select',0);
                    }
                    var $leftObj = PlanSelect.SelectObj.find('.body-bottom-left .plan-item[select=1]');
                    if($leftObj.length >=1){
                        PlanSelect.SelectObj.find('.move-right').addClass('active').css('color','#333');
                    }else{
                        PlanSelect.SelectObj.find('.move-right').removeClass('active').css('color','#adadad');
                    }
                }
            },'.body-bottom-left .plan-item');
        },
        mulit:function(){
            PlanSelect.SelectObj.on({
                click:function(){
                    var $_rightObj = PlanSelect.SelectObj.find('.body-bottom-right .plan-item');
                    var $_leftObj = PlanSelect.SelectObj.find('.body-bottom-left .plan-item[select=1]');
                    var size = $_rightObj.length + $_leftObj.length;
                    if(size >=5){
                        $.pnotify({text: PaymentLang.paymentMostSelectFivePlan, type: "error"});
                        return false;
                    }
                    if($(this).attr('select') == 0){
                        $(this).addClass('active').attr('select',1);
                    }else{
                        $(this).removeClass('active').attr('select',0);
                    }
                    var $leftObj = PlanSelect.SelectObj.find('.body-bottom-left .plan-item[select=1]');
                    if($leftObj.length >=1){
                        PlanSelect.SelectObj.find('.move-right').addClass('active').css('color','#333');
                    }else{
                        PlanSelect.SelectObj.find('.move-right').removeClass('active').css('color','#adadad');
                    }
                }
            },'.body-bottom-left .plan-item');
        },
        common:function(){
            PlanSelect.SelectObj.on({
                click:function(){
                    var $leftObj = PlanSelect.SelectObj.find('.body-bottom-left .plan-item[select=1]');
                    var html = '';
                    if(PlanSelect.param.selectType == 'single'){
                        PlanSelect.SelectObj.find('.body-bottom-left .plan-item').show();
                        PlanSelect.SelectObj.find('.move-left').removeClass('active').css('color','#adadad');
                    }
                    $leftObj.each(function(k,v){
                        var text    = $(v).html();
                        var planId  = $(v).attr('plan-id');
                        html += '<div class="plan-item" plan-id="'+planId+'" select="0">'+text+'</div>';
                        $(v).hide().attr('select',0).removeClass('active');
                    });
                    if(PlanSelect.param.selectType == 'single'){
                        PlanSelect.SelectObj.find('.body-bottom-right').html(html);
                    }else{
                        PlanSelect.SelectObj.find('.body-bottom-right').append(html);
                    }
                    PlanSelect.SelectObj.find('.move-right').removeClass('active').css({'color':'#adadad','background':'#fff'});
                }
            },'.move-right.active');
            PlanSelect.SelectObj.on({
                click:function(){
                    var $leftObj = PlanSelect.SelectObj.find('.body-bottom-right .plan-item[select=1]');
                    $leftObj.each(function(k,v){
                        var planId  = $(v).attr('plan-id');
                        PlanSelect.SelectObj.find('.body-bottom-left .plan-item[plan-id='+planId+']').show();
                        $(v).remove();
                    });
                    PlanSelect.SelectObj.find('.move-left').removeClass('active').css({'color':'#adadad','background':'#fff'});
                }
            },'.move-left.active');
            PlanSelect.SelectObj.find('.header-right').click(function(){
                PlanSelect.close();
            });
            PlanSelect.SelectObj.find('#select_cancel').click(function(){
                PlanSelect.close();
            });
            PlanSelect.SelectObj.find('#select_ok').click(function(){
                PlanSelect.func.submit();
            });
            PlanSelect.SelectObj.find('#select_clear').click(function(){
                PlanSelect.func.clear();
            });
            PlanSelect.SelectObj.on({
                mouseenter:function(){
                    $(this).css({'background':'#adadad'});
                },
                mouseleave:function(){
                    $(this).css({'background':'#ffffff'});
                },
                click:function(){
                    var page        = parseInt($(this).attr('page')) + 1;
                    var PLAN_TYPE   = $('#selectHidePlanType').val();
                    var FILTER      = $('#selectHidePlanFilter').val();
                    var keyword     = $('#search_keyword').val();
                    var data = {'c':4,'m':2,'currentPage':page,'PLAN_TYPE':PLAN_TYPE,'FILTER':FILTER,'keyword':keyword};
                    PlanSelect.func.loadPlanList(data);
                }
            },'.body-bottom-left .load-more');
            PlanSelect.SelectObj.on({
                mouseenter:function(){
                    if($(this).attr('select') != 1){
                        $(this).css({'background':'#f1f1f1'});
                    }
                },
                mouseleave:function(){
                    if($(this).attr('select') != 1){
                        $(this).css({'background':'#ffffff'});
                    }
                }
            },'.body-bottom-left .plan-item,.body-bottom-right .plan-item');
            PlanSelect.SelectObj.find('#select_plan_type').change(function(){
                var PLAN_TYPE   = $(this).val();
                var page        = 0;
                $('#selectHidePlanType').val(PLAN_TYPE);
                $('#search_keyword').val('');
                var FILTER      = $('#selectHidePlanFilter').val();
                var data = {'c':4,'m':2,'currentPage':page,'PLAN_TYPE':PLAN_TYPE,'FILTER':FILTER};
                PlanSelect.func.loadPlanList(data,'html');
            });
            PlanSelect.SelectObj.find('#select_plan_filter').change(function(){
                var FILTER   = $(this).val();
                var page        = 0;
                var PLAN_TYPE  = $('#selectHidePlanType').val();
                $('#search_keyword').val('');
                $('#selectHidePlanFilter').val(FILTER);
                var data = {'c':4,'m':2,'currentPage':page,'PLAN_TYPE':PLAN_TYPE,'FILTER':FILTER};
                PlanSelect.func.loadPlanList(data,'html');
            });
            PlanSelect.SelectObj.on({
                click:function(){
                    if($(this).attr('select') == 0){
                        $(this).addClass('active').attr('select',1);
                   }else{
                        $(this).removeClass('active').attr('select',0);
                   }
                   var $leftObj = PlanSelect.SelectObj.find('.body-bottom-right .plan-item[select=1]');
                   if($leftObj.length >=1){
                        PlanSelect.SelectObj.find('.move-left').addClass('active').css('color','#333');
                   }else{
                        PlanSelect.SelectObj.find('.move-left').removeClass('active').css('color','#adadad');
                   }
                }
            },'.body-bottom-right .plan-item');
            PlanSelect.SelectObj.find('.search-button').click(function(){
                var keyword = $('#search_keyword').val();
                $('#selectHidePlanType').val('all');
                $('#selectHidePlanFilter').val('all');
                var data = {'c':4,'m':2,'currentPage':0,'keyword':keyword};
                PlanSelect.func.loadPlanList(data,'html');
            });
            $('#search_keyword').keydown(function(event){
                if (event.keyCode == "13") {
                    PlanSelect.SelectObj.find('.search-button').click();
                }
            });
            $('#search_keyword').keyup(function(event){
                PlanSelect.SelectObj.find('.search-button').click();
            });
            $('#' + PlanSelect.param.showId).on({
                mouseenter:function(){
                    $(this).css({'border-color':'#eaeaea','background':'#fafafa'});
                    $(this).children('i').show();
                },mouseleave:function(){
                    $(this).css({'border-color':'transparent','background':''});
                    $(this).children('i').hide();
                }
            },'.plan-show-item');
            $('#' + PlanSelect.param.showId).on({
                click:function(){
                    $(this).parent().remove();
                    var $obj = $('#' + PlanSelect.param.showId).find('.plan-show-item');
                    var hideId = '';
                    var planNames = '';
                    $obj.each(function(k,v){
                        var planId      = $(v).attr('plan-id');
                        var planName    = $(v).attr('plan-name');
                        hideId += planId + ',';
                        planNames += planName + ',';
                    });
                    $('#' + PlanSelect.param.showId).attr('plan-name',planNames);
                    $('#' + PlanSelect.param.hideId).val(hideId);
                    PlanSelect.callBack(hideId);     
                }
            },'.plan-show-item i');
        },
        submit:function(){
            var $rightObj = PlanSelect.SelectObj.find('.body-bottom-right .plan-item');
            var hideHtml='',showHtml='',planNames='';
            $rightObj.each(function(k,v){
                var planId      = $(v).attr('plan-id');
                var planName    = $(v).find('span').text();
                var allInfo     = $(v).html();
                hideHtml += planId + ',';
                planNames += planName + ',';
                showHtml += '<div class="plan-show-item" plan-id="'+planId+'" plan-name="'+planName+'"><input type="hidden" class="allInfo" value="'+allInfo+'">'+planName+'&nbsp;<i class="fa fa-times"></i></div>';
            });
            $('#' + PlanSelect.param.showId).attr('plan-name',planNames).html(showHtml);
            $('#' + PlanSelect.param.hideId).val(hideHtml);
            PlanSelect.SelectObj.hide();
            PlanSelect.callBack(hideHtml);
        },
        loadRightList:function(){
            var $items = $('#' + PlanSelect.param.showId).find('.plan-show-item');
            var rightHtml = '';
            $items.each(function(k,v){
                var planId      = $(v).attr('plan-id');
                var allInfo     = $(v).find('.allInfo').val();
                rightHtml += '<div class="plan-item" plan-id="'+planId+'" select="0">'+allInfo+'</div>';
            });
            PlanSelect.SelectObj.find('.body-bottom-right').html(rightHtml);
        },
        clear:function(){
            $('#' + PlanSelect.param.showId).html('');
            $('#' + PlanSelect.param.hideId).val('');
            PlanSelect.func.loadPlanList({'c':4,'m':2,'currentPage':0},'html');
            PlanSelect.callBack('');
            PlanSelect.SelectObj.find('.body-bottom-right').html('');
        }
    },
    init:function(id,param){
        if(typeof param != 'undefined'){
            if(param.height){
                PlanSelect.param.height = param.height;
            }
            if(param.width){
                PlanSelect.param.width = param.width;
            }
            if(param.top){
                PlanSelect.param.top = param.top;
            }
            if(param.left){
                PlanSelect.param.left = param.left;
            }
            if(param.selectType){
                PlanSelect.param.selectType = param.selectType;
            }
            if(param.reload){
                PlanSelect.param.reload = param.reload;
            }
            if(param.url){
                PlanSelect.param.url = param.url;
            }
            if(param.showId){
                PlanSelect.param.showId = param.showId;
            }
            if(param.hideId){
                PlanSelect.param.hideId = param.hideId;
            }
        }
        PlanSelect.SelectObj = $('#'+id);
        PlanSelect.func.themeInit();
        PlanSelect.func.common();
        if(PlanSelect.param.selectType == 'single'){
            PlanSelect.func.single();
        }else{
            PlanSelect.func.mulit();
        }
    },
    open:function(){
        PlanSelect.func.loadPlanTypeList({'c':4,'m':1});
        PlanSelect.func.loadPlanList({'c':4,'m':2,'currentPage':0},'html');
        PlanSelect.func.loadRightList();
        PlanSelect.SelectObj.show(300);
    },
    close:function(){
        PlanSelect.SelectObj.hide(300);
    }
};


