<?
include 'inc/auth.php';
include 'api/portal.class.php';
include_once ("inc/function_usergeneral.php");
include_once ("inc/utility_all.php");

include_once ("api/workflow.list.class.php");
include_once ("inc/function_flow.php");
include_once 'inc/coop_func/fun_coop.php';

$loginPrivID = $_SESSION["LOGIN_USER_PRIV"];
$loginDeptID = $_SESSION["LOGIN_DEPT_ID"];
$loginUserID = $_SESSION["LOGIN_USER_ID"];

$op = $_REQUEST['op'];

switch ($op) {

	//新建门户
	case 'newPortal' :
	$portalName = $_REQUEST['portalName'];

	$portal = new Portal;

	echo $portal -> NewPortal($portalName, $_SESSION['LOGIN_USER_ID']);

	break;

	//删除门户
	case 'deletePortal' :
	$portalID = $_REQUEST['portalID'];
	$portal = new Portal;

	echo $portal -> DeletePortal($portalID);
	break;

	case 'getLayoutInfor' :
		$portalID = $_REQUEST['portalID'];

		$portal = new Portal;

		echo json_encode($portal -> GetPortalLayoutInfor($portalID));
		break;

		case 'updateAttribute' :
		$attribute = $_REQUEST['attribute'];
		$portalID = $_REQUEST['portalID'];
		$rowIndex = $_REQUEST['rowIndex'];
		$columnIndex = $_REQUEST['columnIndex'];

		$portal = new Portal;
		echo $portal -> UpdateAttribute($portalID, $rowIndex, $columnIndex, $attribute);
		break;

		//获取门户模块的数据
		case 'getPortalData' :

		//模块
		$module = $_REQUEST['module'];

		//获取数据行数
		$rows = $_REQUEST['condition']['rows'];

		//类型
		$type = $_REQUEST['condition']['type'];

		switch ($module) {

			//流程待办
			case 'workflow' :
			switch ($type) {
				case 'todo':
				echo json_encode(GetWorkflowData("to_do_list", $rows, $loginUserID));
				break;

				//流程已办
				case 'done' :
				echo json_encode(GetWorkflowData("finished_list", $rows, $loginUserID));
				break;

				//流程办结
				case 'haveDone' :
				echo json_encode(GetWorkflowData("passed_list", $rows, $loginUserID));
				break;

				//流程请求
				case 'request' :
				$query = "SELECT fr.*,ft.*,fs.* FROM flow_run AS fr
			LEFT JOIN flow_type AS ft ON(fr.FLOW_ID = ft.FLOW_ID) 
		LEFT JOIN flow_sort AS fs ON(ft.FLOW_SORT = fs.ID)
		WHERE fr.CREATOR = '".SecurityFilter($loginUserID)."' ORDER BY NOORDER ASC LIMIT 0 ," . SecurityFilter($rows);
		$result = exequery($connection, $query);

		while ($row = mysql_fetch_assoc($result)) {
			$flowList[] = $row;
		}

		echo json_encode($flowList);
		break;
	}
	break;


	//新闻
	case 'news' :
	$query = "SELECT * FROM news  
		WHERE PUBLIC = 1 
	ORDER BY NEWS_TIME DESC 
	LIMIT 0 ," . $rows;
	$result = exequery($connection, $query);

	while ($row = mysql_fetch_assoc($result)) {
		$newsList[] = $row;
	}

	echo json_encode($newsList);
	break;

	//公告
	case 'notify' :
        $currentDate = SecurityFilter(date("Y-m-d", time()));
        $loginDeptID = SecurityFilter($loginDeptID);
        $loginPrivID = SecurityFilter($loginPrivID);
        $loginUserID = SecurityFilter($loginUserID);
		$query = "SELECT * FROM notify 
			WHERE PUBLIC = '1' 
		AND OPTIONSTATE = '1' 
		AND BEGIN_DATE <= '" . $currentDate . "' 
		AND ( END_DATE >= '" . $currentDate . "' OR END_DATE = '0000-00-00') 
		AND( (DEPT_ID = 'ALL_DEPT') 
		OR (INStr(DEPT_ID,',$loginDeptID,') > 0 
		OR INStr(DEPT_ID,'$loginDeptID,') = 1) 
		OR (INStr(PRIV_ID,',$loginPrivID,') > 0 
		OR  INStr(PRIV_ID,'$loginPrivID,') = 1) 
		OR (INStr(USER_ID,',$loginUserID,') > 0 
		OR  INStr(USER_ID,'$loginUserID,') = 1) ) 
		ORDER BY NOTIFY_ID DESC LIMIT 0," . $rows;
		$result = exequery($connection, $query);

		while ($row = mysql_fetch_assoc($result)) {
			$notifyList[] = $row;
		}
		echo json_encode($notifyList);
		break;

		//日程
		case 'agenda' :
		$query = "SELECT CAL_BEGIN,CAL_END,CAL_CONTENT FROM calendar 
			WHERE USER_ID = '" . $loginUserID . "'";
		$result = exequery($connection, $query);

		while ($row = mysql_fetch_assoc($result)) {
			$agendaList[] = $row;
		}
		echo json_encode($agendaList);
		break;

		//项目
		case 'project' :
		$project = array(
			array(
				"projectName" =>     "太平洋保险",
				"percent" => "18"
			),
			array(
				"projectName" => "市政府项目",
				"percent" => "90"
			),
			array(
				"projectName" => "南京九球项目",
				"percent" => "67"
			),
			array(
				"projectName" => "北京火力机构实施",
				"percent" => "34"
			),
			array(
				"projectName" => "火星建设",
				"percent" => "26"
			)
		);
		echo json_encode($project);
		break;

		//文档
		case 'document' :


		switch ($type) {
			case 'new':
			$query = "SELECT SUBJECT, SORT_NAME, USER_NAME, CREATE_TIME
				FROM file_content AS a
			JOIN file_sort AS b ON a.SORT_ID = b.SORT_ID
			JOIN user AS c ON a.USER_ID = c.USER_ID 
			ORDER BY CREATE_TIME DESC 
			LIMIT 0," . SecurityFilter($rows);
				
			break;
			case 'read':
			$query = "SELECT SUBJECT, SORT_NAME, USER_NAME, CREATE_TIME
				FROM file_content AS a
			JOIN file_sort AS b ON a.SORT_ID = b.SORT_ID
			JOIN user AS c ON a.USER_ID = c.USER_ID 
			ORDER BY CREATE_TIME DESC 
			LIMIT 10," . SecurityFilter($rows);
			break;
			case 'all':
			$query = "SELECT SUBJECT, SORT_NAME, USER_NAME, CREATE_TIME
				FROM file_content AS a
			JOIN file_sort AS b ON a.SORT_ID = b.SORT_ID
			JOIN user AS c ON a.USER_ID = c.USER_ID 
			ORDER BY CREATE_TIME DESC 
			LIMIT 20," . SecurityFilter($rows);
			break;
		}
		$result = exequery($connection, $query);

		while ($row = mysql_fetch_assoc($result)) {
			$documentList[] = $row;
		}
		echo json_encode($documentList);
				
		break;

		//邮件
		case 'email' :


		switch ($type) {
			case 'new':
			$query = "SELECT SUBJECT, SEND_TIME, USER_NAME
				FROM email AS a
			JOIN user AS c ON a.FROM_ID = c.USER_ID 
			WHERE TO_ID = '".$loginUserID."'
			ORDER BY SEND_TIME DESC 
			LIMIT 0," . SecurityFilter($rows);
					
			break;
			case 'read':
					
			$query = "SELECT SUBJECT, SEND_TIME, USER_NAME
				FROM email AS a
			JOIN user AS c ON a.FROM_ID = c.USER_ID 
			WHERE TO_ID = '".$loginUserID."'
			ORDER BY SEND_TIME DESC 
			LIMIT 5," . SecurityFilter($rows);
			break;
			case 'all':
					
			$query = "SELECT SUBJECT, SEND_TIME, USER_NAME
				FROM email AS a
			JOIN user AS c ON a.FROM_ID = c.USER_ID 
			WHERE TO_ID = '".$loginUserID."'
			ORDER BY SEND_TIME DESC 
			LIMIT 0," . SecurityFilter($rows);
			break;
		}

		$result = exequery($connection, $query);

		while ($row = mysql_fetch_assoc($result)) {
			$documentList[] = $row;
		}
		echo json_encode($documentList);
				
		break;

		//消息
		case 'sms' :
		$query = "SELECT USER_NAME, CONTENT, SEND_TIME
			FROM  `sms` AS a
		JOIN  `user` AS b ON a.FROM_ID = b.USER_ID
		WHERE a.TO_ID =  '" . $loginUserID . "' 
		ORDER BY SEND_TIME DESC 
		LIMIT 0," . SecurityFilter($rows);
		//echo $query;
		$result = exequery($connection, $query);

		while ($row = mysql_fetch_assoc($result)) {
			$smsList[] = $row;
		}
		echo json_encode($smsList);
		break;
		default :
		break;
	}
	break;

	default :
	break;
}

function GetWorkflowData($flowType, $rows, $loginUserID) {
	$type = array(
		"TYPE" => $flowType,
		"CONSTAINLIST" => "1"
	);
	$search = array("USER_ID" => $loginUserID);
	$page = array(
		"PAGINATIONOFFSET" => 0,
		"PAGINATIONROWS" => $rows,
		"SORTFIELD" => "TRANSACT_TIME",
		"SORTTYPE" => "DESC"
	);
	$list = new listItem($type, $search, $page);
	$workflowList = $list -> getList();
	return $workflowList['list'];
}
?>