<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/info/dept/index.php
 *@function:         部门/成员单位信息
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-29
 *@file Version:     5.0
 *@eoffice Version:  8.0
*/

//加载语言
include_once("inc/auth.php");
includelangpak("hr,system");

$PAGE_TITLE = $_lang["hr_export_department_info"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--jQuery UI-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">		
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<!--ztree-->
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<!--语言包-->
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<!--ztree-->
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<style type="text/css">
.pubtable td:first-child {
    padding-left:10px;
}
.lazy_header {
	height: 40px;
	background: #F7F7F7;
	border-bottom: 1px solid #D9D9D9;
}
.folder_list_wrap {
	width:300px;
	float: left;
	border-right: 1px solid #D9D9D9;
}
.folder_list_wrap .count_infor {
	float: left;
	line-height: 40px;
	padding-left: 3px;
}
.folder_list_wrap .list_search {
	float: right;
	margin-top: 5px;
}
.document_list_wrap input[type=text] {
	width:250px;
}
</style>
<script>
$(function() {
	$(".outsidediv").height($(window).height()-82).niceScroll();
	/*
     * 部门树配置信息
     */
    var setting = {
        view: {
            showLine: false,
            showIcon: false,
            selectedMulti: false,
            dblClickExpand: false,
            addDiyDom: addDiyDom
        },
        async: {
            enable: true,
            url: "/general/info/dept/do.php",
            autoParam: ["id"],
            otherParam: {
                "op": "getAllDeptListForDeptInfo"
            }
        },
        callback: {
            beforeClick: beforeClick,
            onAsyncSuccess: zTreeOnAsyncSuccess,
            onExpand: zTreeOnExpand,
            onClick: zTreeOnClick
        }
    };
    function zTreeOnClick(event, treeId, treeNode) {
	   initDeptDetail(treeNode);
	}
    function zTreeOnExpand(event, treeId, treeNode) {
        $(".outsidediv").getNiceScroll().resize();
    };
    function zTreeOnAsyncSuccess(event, treeId, treeNode, msg) {
        //初始化的时候选中第一个节点
        if (treeNode === undefined) {
            zTree_Menu = $.fn.zTree.getZTreeObj("dept_list_dept");
            zTree_Menu.selectNode(zTree_Menu.getNodes()[0]);
        }
    }
    function addDiyDom(treeId, treeNode) {
        var spaceWidth = 20;
        var switchObj = $("#" + treeNode.tId + "_switch"),
                icoObj = $("#" + treeNode.tId + "_ico"),
                aObj = $("#" + treeNode.tId + "_a");
        switchObj.remove();
        icoObj.before(switchObj);
        var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level) + "px'></span>";
        switchObj.before(spaceStr);
    }

    function beforeClick(treeId, treeNode) {
        var zTree = $.fn.zTree.getZTreeObj("dept_list_dept");
        zTree.expandNode(treeNode, "", "", "", true);
        return true;
    }
    $.fn.zTree.init($("#dept_list_dept"), setting);
    //list查询
	$(".list_search").LazySearch({
		tip : "<?=$_lang['system_qyweixin_select'].$_lang['system_netdisk_sel_dept']?>",
		url : "/general/info/dept/do.php",
		param : {
			op : "searchForDeptInfo"
		},
		autoSearch : {
			template : "{DEPT_NAME}",
			onItemClick : function(data) {
				initDeptDetail(data);
			}
		}
	});
});
function initDeptDetail(treeNode) {
	// 先清空
	$(".document_list_wrap input[type='text']").val('');
	if(treeNode.id) {
		$("#dept-id").val(treeNode.id);
		if(treeNode.DEPT_NO)
			$("#DEPT_NO").val(treeNode.DEPT_NO);
		if(treeNode.name)
			$("#DEPT_NAME").val(treeNode.name);
		if(treeNode.TEL_NO)
			$("#TEL_NO").val(treeNode.TEL_NO);
		if(treeNode.FAX_NO)
			$("#FAX_NO").val(treeNode.FAX_NO);
		if(treeNode.DEPT_PARENT_NAME)
			$("#dept-parent-name").val(treeNode.DEPT_PARENT_NAME);
		if(treeNode.DIRECTOR_USER_NAME)
			$("#dept-director-name").val(treeNode.DIRECTOR_USER_NAME);
	}
}
</script>
</head>
<body style="overflow:hidden;">
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["hr_info_dept_user_info"]?></span>
	</span>
</div>
<div class="deptlist">
	<div class="" style="border-right: 1px solid #D9D9D9;width:300px;height:100%;">
		<div class="folder_list_wrap">
			<!--头部div-->
			<div class="lazy_header">
				<span class="lazy-list-title">
					<i class="fa fa-list-title"></i>
					<span class="tip"><?=$_lang["common_show_allinfo"]?></span>
				</span>
				<!--查询div-->
				<div class="list_search"></div>
			</div>
			<!--类别div外面加一层，为了出现滚动条-->
			<div class="outsidediv" style="overflow-y:auto;overflow-x:hidden;">
				<!--内容div-->
				<ul id="dept_list_dept" class="ztree" style="overflow-y:auto;"></ul>
			</div>
		</div>
	</div>
	<div style="margin-left:300px" class="content">
		<div class="document_list_main_wrap">
			<div class="lazy_header">
				<span class="lazy-page-title">
					<i class="fa fa-page-title"></i>
					<span class="tip"><?=$_lang['system_weixin_dept'].$_lang["common_detail"]?></span>
				</span>
			</div>
			<div class="document_list_wrap" id="table" style="overflow-y:auto;">
				<table border="0" cellspacing="0" width="100%" class="form_table" cellpadding="0" >
					<tr>
						<td nowrap class="title"><?=$_lang["system_dept_sort"]?>：</td>
						<td nowrap>
							<table cellpadding="0" cellspacing="0">
								<tr>
									<td>
										<input type="text" name="DEPT_NO" id="DEPT_NO" readonly>
									</td>
									<td>
										&nbsp;<?=$_lang["system_sort_explain"]?>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td nowrap class="title"><?=$_lang["system_dept_name"]?>：</td>
						<td nowrap>
						<input type="text" name="DEPT_NAME" id="DEPT_NAME" readonly>
						</td>
					</tr>
					<tr>
						<td nowrap class="title"><?=$_lang["system_netdisk_sel_dept"]?>ID：</td>
						<td nowrap>
						<input type="text" name="dept-id" id="dept-id" class="text"  readonly>
						</td>
					</tr>
					<tr>
						<td nowrap class="title"><?=$_lang["common_phone"]?>：</td>
						<td nowrap>
						<input type="text" name="TEL_NO" id="TEL_NO" class="text"  readonly>
						</td>
					</tr>
					<tr>
						<td nowrap class="title"><?=$_lang["common_fax"]?>：</td>
						<td nowrap>
						<input type="text" name="FAX_NO" id="FAX_NO" class="text"  readonly>
						</td>
					</tr>
					<!-- 上级部门 -->
					<tr>
						<td nowrap class="title"><?=$_lang["system_dept_superiors"]?>：</td>
						<td>
							<input type="text" name='dept-parent-name' id="dept-parent-name" readonly value="<?=$LOCATION_NAME?>">
						</td>
					</tr>
					<!--部门负责人-->
					<tr>
						<td nowrap class="title"><?=$_lang["system_department_director"]?>：</td>
						<td nowrap>
							<input type="text" id="dept-director-name" name="dept-director-name" value="" readonly>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
</html>