<?php
include_once ("inc/auth.php");
includelangpak("index");
$PAGE_TITLE = $_lang["index_shortcut_menu_set"];
include_once 'inc/page_header.inc.php';
?>
		<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
		<script src="/inc/jquery/jquery.js" type="text/javascript"></script>
		<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
		<script type="text/javascript" src="/inc/common.js"></script>
		<link rel="stylesheet" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css" type="text/css">
		<script type="text/javascript">
			/******************************************
			 * 封装滚轮事件
			 */
			(function($) {

				var types = ['DOMMouseScroll', 'mousewheel'];
				
				if ($.event.fixHooks) {
				    for ( var i=types.length; i; ) {
				        $.event.fixHooks[ types[--i] ] = $.event.mouseHooks;
				    }
				}
				
				$.event.special.mousewheel = {
				    setup: function() {
				        if ( this.addEventListener ) {
				            for ( var i=types.length; i; ) {
				                this.addEventListener( types[--i], handler, false );
				            }
				        } else {
				            this.onmousewheel = handler;
				        }
				    },
				    
				    teardown: function() {
				        if ( this.removeEventListener ) {
				            for ( var i=types.length; i; ) {
				                this.removeEventListener( types[--i], handler, false );
				            }
				        } else {
				            this.onmousewheel = null;
				        }
				    }
				};
				
				$.fn.extend({
				    mousewheel: function(fn) {
				        return fn ? this.bind("mousewheel", fn) : this.trigger("mousewheel");
				    },
				    
				    unmousewheel: function(fn) {
				        return this.unbind("mousewheel", fn);
				    }
				});
				
				
				function handler(event) {
				    var orgEvent = event || window.event, args = [].slice.call( arguments, 1 ), delta = 0, returnValue = true, deltaX = 0, deltaY = 0;
				    event = $.event.fix(orgEvent);
				    event.type = "mousewheel";
				    
				    // Old school scrollwheel delta
				    if ( orgEvent.wheelDelta ) { delta = orgEvent.wheelDelta/120; }
				    if ( orgEvent.detail ) { delta = -orgEvent.detail/3; }
				    
				    // New school multidimensional scroll (touchpads) deltas
				    deltaY = delta;
				    
				    // Gecko
				    if ( orgEvent.axis !== undefined && orgEvent.axis === orgEvent.HORIZONTAL_AXIS ) {
				        deltaY = 0;
				        deltaX = -1*delta;
				    }
				    
				    // Webkit
				    if ( orgEvent.wheelDeltaY !== undefined ) { deltaY = orgEvent.wheelDeltaY/120; }
				    if ( orgEvent.wheelDeltaX !== undefined ) { deltaX = -1*orgEvent.wheelDeltaX/120; }
				    
				    // Add event and delta to the front of the arguments
				    args.unshift(event, delta, deltaX, deltaY);
				    
				    return ($.event.dispatch || $.event.handle).apply(this, args);
				}
				
				})(jQuery);

			$(document).ready(function() {
				var split = 8;
				//每页显示的模块数量
				var start;
				//当前显示的起始模块索引
				var end;
				//当前显示的结束模块索引
				var total;
				//总模块数量

				//获取所有有权限的模块名称
				$.ajax({
					type : "POST",
					url : 'do.php',
					data : 'type=getModule',
					success : function(result) {
						$(".module-left").html("<table cellpadding='0' cellspacing='0'>" + result + "</table>");

						//默认选中第一个模块
						$(".module-left-list").first().trigger('click');

						//模块总数量
						total = $(".module-left-list").length;

						//将超出第一页显示的模块隐藏
						$(".module-left-list").eq(split - 1).parent().parent().nextAll().hide();

						//如果总数大于每页显示的模块数量，则显示下拉箭头
						if(total > split) {
							$(".module-left-list").eq(split - 1).parent().parent().after("<tr><td class='arrow-wrap'><img class='arrow-down' src='/images/8/icons/shortcut/down1.png'/></td></tr>");
						}

						//样式美化，将最后一个模块的下边框去除
						$(".module-left-list").last().parent().parent().css("border-bottom", "none");
						start = 0;
						end = split - 1;
					}
				});
				
				$("#loading").ajaxStart(function(){
					$(this).show();
				}).ajaxStop(function(){
					$(this).hide();
				})
				
				//滑动滚轮切换模块
				$('.module-left').live('mousewheel', function(event, delta) {
					if(delta > 0)
						$(".arrow-up").click();
					else if(delta < 0)
						$(".arrow-down").click();
				});
				//下拉箭头
				$(".arrow-down").live({
					'mouseover' : function() {
						$(this).attr("src", "/images/8/icons/shortcut/down2.png");
					},
					'mouseout' : function() {
						$(this).attr("src", "/images/8/icons/shortcut/down1.png");
					},
					'click' : function() {
						//隐藏所有模块
						$(".module-left-list").parent().parent().hide();

						//移除下拉箭头
						$(".arrow-wrap").parent().remove();

						//计算显示的截止模块索引
						var newEnd = Math.min((end + split), total);

						//开始模块索引为，前一页的结束索引+1
						for( i = end + 1; i <= newEnd; i++) {
							$(".module-left-list").eq(i).parent().parent().show();
						}
						start = end + 1;
						end = newEnd;

						//判断是否需要显示下拉箭头
						if(end < total - 1) {
							$(".module-left-list").last().parent().parent().after("<tr><td class='arrow-wrap'><img class='arrow-down' src='/images/8/icons/shortcut/down1.png'/></td></tr>");
						}
						//显示上移箭头
						$(".module-left-list").first().parent().parent().before("<tr><td class='arrow-wrap'><img class='arrow-up' src='/images/8/icons/shortcut/up1.png'/></td></tr>");
					}
				});

				//上移箭头
				$(".arrow-up").live({
					'mouseover' : function() {
						$(this).attr("src", "/images/8/icons/shortcut/up2.png");
					},
					'mouseout' : function() {
						$(this).attr("src", "/images/8/icons/shortcut/up1.png");
					},
					'click' : function() {
						$(".module-left-list").parent().parent().hide();
						$(".arrow-wrap").parent().remove();
						var newStart = Math.max((start - split), 0);
						for( i = newStart; i <= start - 1; i++) {
							$(".module-left-list").eq(i).parent().parent().show();
						}
						end = start - 1;
						start = newStart;
						if(start > 0) {
							$(".module-left-list").first().parent().parent().after("<tr><td class='arrow-wrap'><img class='arrow-up' src='/images/8/icons/shortcut/up1.png'/></td></tr>");
						}
						$(".module-left-list").last().parent().parent().before("<tr><td class='arrow-wrap'><img class='arrow-down' src='/images/8/icons/shortcut/down1.png'/></td></tr>");
					}
				});

				//添加
				$(".menu").live('click', function() {
					var self = $(this);
					//父页面快捷菜单对象
					var $shortcutObj = $(parent.document).find(".shortcut");

					//当已添加的快捷菜单超过6个时，替换移除第一个，将最新菜单添加在最后
					if($shortcutObj.find(".menu").length >= 6) {
						var $firstObj = $shortcutObj.find(".menu:first");

						//如果移除的菜单正好属于当前打开的模块，则添加到当前模块中
						
						var $currentModule = $(".module-left-list").filter(function() {
							return $(this).hasClass("click");
						});
						var filterValue = $.trim($("#filterInput").val());

						if(($currentModule.find("#myflag").attr("type") != "filter" && $currentModule.attr("menuID") == $firstObj.attr("menuID").substring(0, 2))||($currentModule.find("#myflag").attr("type") == "filter" && ($firstObj.attr("zm").indexOf(filterValue) != -1||$firstObj.attr("py").indexOf(filterValue) != -1||$firstObj.attr("title").indexOf(filterValue) != -1))) {
							$firstObj.find(".img img").attr("src","/images/8/icons/shortcut/add.png").css("margin-right",0).end().width(100).find(".text").css({
								"color" : "#71a5d1",
								"background" : "none"
							});

							$firstObj.find(".text").html($firstObj.attr("title"));

							$(".module-detail").prepend($firstObj);
						} else {
							$firstObj.remove();
						}
					}

					var text = self.attr("title");
					var newText = text;
					if(text.length > 4) {
						newText = text.substring(0, 4) + ".";
						self.attr("title", text).find(".text").html(newText);
					}
					self.find(".img img").attr("src","/images/8/icons/shortcut/delete.png").css("margin-right","-3px").end().width(66).find(".text").css({
						"color" : "#fff",
						"background": "url(/images/8/icons/shortcut/textbg.png) no-repeat;"
					});

					$shortcutObj.append(self);

					if($(".module-detail").find(".menu").length==0){
						$(".module-detail").html(Message('<?=$_lang["index_child_menu_empty"]?>',"<?=$_SESSION['LOGIN_THEME']?>"));
					}
					var funcStr = "";
					$shortcutObj.find(".menu").each(function() {
						funcStr += $(this).attr("id") + ",";
					});
					$.ajax({
						type : "POST",
						url : "do.php",
						data : "type=submit&funcStr=" + funcStr,
						success : function(result) {
							if(result == "false") {
								alert("Error");
							}
						}
					});
				});
				//按模块加载菜单
				$(".module-left-list").live({
					"click" : function() {
						if($(this).find("#myflag").attr("type") == "filter"){
							return false;
						}
						$(".module-left-list").removeClass('click');
						$(this).addClass("click");

						$.ajax({
							type : "POST",
							url : "do.php",
							data : "type=getMenuByParam&menuID=" + $(this).attr("menuID"),
							success : function(result) {
								$(".module-detail").offset({
									top : 48
								}).html(result);
							}
						});
					}
				});

				//处理筛选函数
				function GetFilter() {
					if($.trim($("#filterInput").val()) != "") {
						//记录当前选中的模块，便于筛选完成后还跳转到当前模块
						if(current == -1) {
							$(".module-left-list").each(function(index) {
								if($(this).hasClass("click")) {
									current = index;
									return;
								}
							});
						}
						$.ajax({
							type : "POST",
							url : "do.php",
							data : "type=getMenuByParam&filter=" + $.trim($("#filterInput").val()),
							success : function(result) {
								$(".module-left").children("table").hide();
								$(".module-left").append('<table width="100%" cellpadding="0" cellspacing="0" border="0" class="filter"><tr><td><div class="module-left-list click"><table width="100%" cellpadding="0" cellspacing="0" border="0">' + '<tr><td align="center" width="30%"><img src="/images/8/icons/shortcut/6.png" border="0" /></td>' + '<td align="center" width="50%" id="myflag" type="filter">筛选结果</td>' + '<td align="center" width="20%"><img src="/images/8/icons/shortcut/arrow.png" border="0" /></td></tr>' + '</table>' + '</div></td></tr></table>');
								$(".module-detail").html(result);
							}
						});
					} else {
						if(current!=-1){
							$(".module-left").find(".filter").remove();
							$(".module-left").children("table").show();
							$(".module-left-list").eq(current).trigger('click');
							current = -1;
						}
					}
				}

				//筛选
				var current = -1;

				//加载延时，避免用户输入过快，频繁提交ajax
				var timeoutId;
				$("#filterInput").keyup(function() {
					clearTimeout(timeoutId);
					timeoutId = setTimeout(GetFilter, 300);
				});

				$("body").LazyBeautifyForm();
			});

		</script>
		<body>
		<table width="100%" cellpadding="0" cellspacing="0" class="shortcut">
			<tr>
				<td  style="border-top: 1px solid #e2e2e2;border-right: 1px solid #e2e2e2;border-left: 1px solid #e2e2e2;">
				<table width="100%" cellpadding="0" cellspacing="0" >
					<tr>
						<td width="10%" style="color: #64bff0;background: #f4f4f4;	border-top:1px solid #fff;height: 43px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang['common_oper_quicksort']?></td>
						<td style="color: #64bff0;background: #f4f4f4;	border-top:1px solid #fff;height: 43px;">
						<input type="text" id="filterInput" style="width:400px;"/>
						&nbsp;<img src="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/images/icon/loading.gif" border="0" style="display:none;" id="loading"/>
						</td>
					</tr>
				</table></td>
			</tr>
			<tr>
				<td  style="border: 1px solid #e2e2e2;">
				<table cellpadding='0' cellspacing='0' width="100%" height="300px">
					<tr>
						<td class='module-left' valign='top' width="119px" style="background:#f4f4f4;"></td>
						<td valign='top'>
							<div class='module-detail'></div></td>
					</tr>
				</table></td>
			</tr>
		</table>
	</body>
</html>
