<!DOCTYPE html>
<html>
 <head>
    <title><?=htmlspecialchars($PAGE_TITLE)?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?$_lang['encoding']:'UTF-8'?>">
    <meta http-equiv="X-UA-Compatible" content="IE=10">

    <!-- webkit|ie-comp|ie-stand -->
    <meta name="renderer" content="ie-stand">
    <script type="text/javascript" src="/lang/<?php echo $_SESSION['LOGIN_LANG']=='en'? 'en':'cn';?>/javascript.lang.js"></script>
</head>
<input class="get_current_lan_version" value="<?php echo $_SESSION['LOGIN_LANG']=='en'? 'en':'cn';?>" type="hidden"/>

<link href="/newplugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/<?=VIEW_PATH?>css/login.css" />
<body style="background:url(<?=LOGIN_BG_SHOW_PATH?>login-bg/thumb/<?=$loginInfor['BACKGROUND_IMG']?>) no-repeat center fixed;background-size:100% 100%;">
        <!--logo-->
        <div class="login-logo-box" style="<?=$logoCss?>;display:none;">
            <img <?php if($loginInfor['LOGO_HIDE'] ==1){?>style="display:none;"<?php }?> src="" class='logo-pic'/>
        </div>
        <!--login-form-->
        <div class="login-form-box" style="<?=$formCss?>;display:none;">
            <form id='loginform' action='/<?=LOGIN_PATH?>index.php?c=Login&a=loginCheck' method='post'>
            <div class="login-lang" <?php if($loginInfor['FORM_LANG_HIDE'] ==1){?>style="display:none;"<?php }?>>
                <ul id="select_lang" style="display:none;">
                    <?php if($loginLang){
                        foreach($loginLang as $key => $value){
                    ?>
                    <li data="<?=$value['LANG_AB']?>" lang-name="<?=$value['LANG_NAME']?>" class="<?php if($this->_userLang == $value['LANG_AB']){?>active<?php }else{?>no-active<?php }?>"><?=$value['LANG_NAME']?> </li>
                    <?php }}?>
                </ul>
                <div style="height:30px;width:28px;float:right;cursor:pointer;border-right:1px solid transparent;border-bottom:1px solid transparent;border-top:1px solid transparent;" id="select_button_div"><i class="fa fa-sort-desc fa-lg" style="line-height: 16px;" id="select_button"></i></div>
                <div id="selected_lang"></div>
                <input type="hidden" id="lang" name="lang" value="<?=$this->_userLang?>">
                <i class="fa fa-language" id="select_icon"></i>
            </div>
            <div class="form-tr login-username">
                <div class='icon'>
                    <i class="fa fa-user fa-2x"></i>
                </div>
                <div class="input">
                    <input type="text" id="username" name="username" value="<?=$_COOKIE['USER_NAME_COOKIE']?>" title="<?=$this->_lang["common_accounts_n"]?>" placeholder="<?=$this->_lang["common_accounts_n"]?>">
                </div>
            </div>
            <div class="form-tr login-password">
                <div class='icon'>
                    <i class="fa fa-unlock-alt fa-2x"></i>
                </div>
                <div class="input">
                    <input type="password" id="password" name="password" value="" title="<?=$this->_lang["common_password"]?>" placeholder="<?=$this->_lang["common_password"]?>">
                </div>
            </div>
            <?php if($sysParam['SEC_PASS_IMG']){?>
            <div class="form-tr login-pass-img">
                <div class='icon'>
                    <i class="fa fa-codepen fa-2x"></i>
                </div>
                <div class="input" style="width:138px;">
                    <input type="text" style="width:110px;" id="verify" name="verify" value="" title="<?=$this->_lang['common_verify']?>" placeholder="<?=$this->_lang['common_verify']?>">
                </div>
                <div style="float:right;">
                    <img src='/inc/verify/imgverifycode.php' align="absbottom" height="37px" id="verify-img" style="cursor:pointer;" title='<?=$this->_lang['login_click_flash']?>' onclick="javascript:this.src=this.src+'?rnd=' + Math.random();$('#verify').val('');">
                </div>
            </div>
            <?php }?>
            <!--动态令牌-->
            <div id="login_ikeycode" class="form-tr login-ikeycode">
                <div class='icon'>
                    <i class="fa fa-delicious fa-2x"></i></div>
                <div class="input">
                    <input type="text" id="DYNAMI_CODE" name="DYNAMI_CODE" title="<?=$this->_lang["login_dynami_code"]?>" placeholder="<?=$this->_lang["login_dynami_code"]?>">
                </div>
            </div> 
            <div id="login-button" class="login-button" login-type="1"><?=$this->_lang["common_login"];?></div>
            </form>
        </div>
        <!--ie8检测提示-->
        <div class="remind-other-browser">
            <div class="remind-browser-text" style="margin-top:3px;"><?=$this->_lang["login_warm_tip"]?>：<span style="font-size:13px;margin-left:240px;"><a class="remind-browser-a" style="font-size:12px;"><?=$this->_lang["login_no_remind"]?></a></span></div>
            <div class="remind-browser-text"><?=$this->_lang["login_warm_tip_info"]?>：<a class="remind-browser-a">Google Chrome</a>、<a class="remind-browser-a">Firefox</a>、<a class="remind-browser-a">Opera</a>、<a class="remind-browser-a">Safari</a>、<a class="remind-browser-a">IE9</a>、<a class="remind-browser-a">IE10</a>、<a class="remind-browser-a">IE11</a>。</div>
        </div>
        <!--升级窗口-->
        <div id="update_dialog" title="<?=$this->_lang["login_system_update"]?>">
            <img src="/<?=VIEW_PATH?>/images/updateLoad.gif" height="80px">&nbsp;&nbsp;&nbsp;<?=$this->_lang["login_system_update_now"]?>
        </div>
        <!--login-footer-->
        <div class="login-footer" <?php if($loginInfor['LOGIN_FOOTER_HIDE'] ==1){?>style="display:none;"<?php }?>><?=$loginInfor['LOGIN_FOOTER_CONTENT']?></div>
        <?php if($showFlag == true){?>
        <div class="theme-button">
            <div class="theme-icon" id="open_in_passowrd"><i class="fa fa-cog fa-2x" ></i></div>
        </div>
        <div class="in-password">
            <div class="input-left"><input class="admin-pwd" type="password" value="" placeholder="<?=$this->_lang["login_enter_manager_pass"]?>" title="<?=$this->_lang["login_enter_manager_pass"]?>" name="password"></div>
            <div class="sign-in"><i class="fa fa-times" id="close_sign"></i><i class="fa fa-sign-in" id="pw_submit"></i></div>
        </div>
        <?php }?>
    </body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script src="/newplugins/js/lazyload-min.js"></script>
<script type="text/javascript" src="/<?=VIEW_PATH?>js/common.js"></script>
<script>
var windowWidth     = $(window).width();
var windowHeight    = $(window).height();
$(function(){
    //初始化
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 3000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";
    initLoginPage();
    loginLangOperation();  

	$('#selected_lang').html($('#select_lang li.active').attr('lang-name'));
    $("#open_in_passowrd").click(function(){
        var obj = $(".in-password");
        $("#open_in_passowrd").hide(300);
        obj.animate({'right':'20px'});
        $('.admin-pwd').focus();
    });
    $("#close_sign").click(function() {
        $(".in-password").animate({'right':'-260px'});
        $("#open_in_passowrd").show(300);
        return false;
    });
    $(".login-lang ul li").click(function(){
         var data = $(this).attr('data');
         var _text = $(this).text();
         $("#selected_lang").text(_text);
         $("#lang").val(data);
         $.ajax({
            url: "/<?=LOGIN_PATH?>index.php?c=Login&a=selectLang",
            data: {
                "lang": data,
            }
        }).done(function(result) {
            if(result ==1){
                window.top.location.reload();
            }
        });
     });
    //进入登录编辑页验证
    $(".admin-pwd").keydown(function(event) {
        if (event.keyCode == "13") {
            $("#pw_submit").click();
        }
    });
    $("#pw_submit").click(function(){
        var password    = $.trim($('.admin-pwd').val());
        var url         = '/<?=LOGIN_PATH?>index.php?c=Login&a=loginCheck';
        loginCheck({'username':'admin','password':password,'goto':1},url,2);
    });
    //进入系统验证
    $('.login-form-box input').keydown(function(event){
        if (event.keyCode == "13") {
            $("#login-button").click();
        }
    });
    $('#login-button').click(function(){
        var login_type  = parseInt($('#login-button').attr('login-type'));
        var url         = $("#loginform").attr('action');
        if(login_type == 1) {
            var userName = $.trim($("#username").val());
            var password = $.trim($("#password").val());
            var userLang = $.trim($("#lang").val());
            var verify   = $.trim($("#verify").val());
            var dynamiCode= $.trim($("#DYNAMI_CODE").val());
            if (userName == "") {
                $.pnotify("请输入用户名");
                return false;
            }
            loginCheck({'username':userName,'password':password,'userLang':userLang,'verify':verify,'dynamiCode':dynamiCode},url,1);
        }else if(login_type == 2){
            smsCheck(url);
        }else if(login_type ==3){
            submitAction();
        }
    });
    //判断浏览器，进行提示
    if(navigator.userAgent.indexOf("MSIE")>0){   
        if(navigator.userAgent.indexOf("MSIE 8.0")>0 || (navigator.userAgent.indexOf("MSIE 9.0")>0 && !window.innerWidth)){
            if(getCookie("remindBrowser") != "hide")
                $(".remind-other-browser").show();
        }
    }
    $(".remind-browser-a").on("click",function(){
        var remindBrowserText = $(this).text(),
            remindBrowserUrl  = "";
        switch (remindBrowserText){
            case "Google Chrome":
                remindBrowserUrl = "chrome";
                break;
            case "Firefox":
                remindBrowserUrl = "firefox";
                break;
            case "Opera":
                remindBrowserUrl = "opera";
                break;
            case "Safari":
                remindBrowserUrl = "safari";
                break;
            case "IE9":
                remindBrowserUrl = "ie9";
                break;
            case "IE10":
                remindBrowserUrl = "ie10";
                break;
            case "IE11":
                remindBrowserUrl = "ie11";
                break;
            default:
                hideRemindBrowser();
                break;
        }
        if(remindBrowserUrl) {
            remindBrowserUrl = "<?=$remindBrowserUrl?>"+remindBrowserUrl;
            window.open(remindBrowserUrl,'_blank');
        }
    });
    
    //------------------------获取短信验证码----------------------------//
    $(".login-form-box").on({
        mouseenter: function() {
            $(this).css({'background': '#fff', 'color': '#000','border':'2px solid #000'});
        },
        mouseleave: function() {
            if($(this).attr('disabled') != 'disabled'){
                $(this).css({'background': '#000', 'color': '#fff'});
            }
        },
        click: function(){  
            if($(this).attr('disabled') != 'disabled'){
                $.ajax({
                   url: '/<?=LOGIN_PATH?>index.php?c=Login&a=sendSmsPassword',
                   data:{
                       userLang:'<?=$this->_userLang?>'
                   }
                }).done(function(result) {
                    if(result==1){
                        $.pnotify({text: '<?=$this->_lang["login_msg_send"]?>', type: "success"});
                    }
                });
                get_code_time($(this));
            }
        }
    },'#sendMsg');
    var wait = 60;
    get_code_time = function (o) {
        if (wait == 0) {
            o.css({'background': '#000', 'color': '#fff','font-size':'13px'});
            o.attr('disabled',false);
            o.text("<?=$this->_lang["common_get_verify"]?>");
            wait = 60;
        } else { 
            o.css({'background': '#fff', 'color': '#000','border':'2px solid #000','font-size':'11px'});
            o.attr('disabled',true);
            o.text("(" + wait + ")<?=$this->_lang['common_get_again']?>");
            wait--;
            setTimeout(function() {
                get_code_time(o);
            }, 1000);
        }
    }; 
    //动态码
    $("#username").keyup(function() {
		showIKeycode();
    });
	$("#username").blur(function() {
		showIKeycode();
	});
	if($.trim($("#username").val()) != ''){
		showIKeycode();
	}
});

function showIKeycode()
{
	var userName = $.trim($("#username").val());
//	if(userName == ''){
//		$.pnotify('请输入用户名');
//	}
	var data     = "type=checkikey&USER_NAME="+userName;
	var url      = "/checkCode.php";
	$.ajax({
		url:url,
		data:data,
		type:"POST",
		success:function(resp){    
			$("#login_ikeycode").attr('is-checked',1);
			if(resp =='1'){
				$("#login_ikeycode").css("display","block");                    
			}
			else{
				$("#login_ikeycode").css("display","none");                         
			}
		}
	});
}
//登录验证
function loginCheck(data,url,type){
    $.ajax({
        url:url,
        data:data,
        type:'post'
    }).done(function(data){
        if(data){
            var parseData = $.parseJSON(data);
            switch(parseData.flag){
                case 1:
                    if(type == 2){
                        location.href = "/<?=LOGIN_PATH?>index.php?c=Login&a=loginSet&userLang=<?=$this->_userLang?>";
                    }else{
                        location.href = "/general/index9.php";
                    }
                    break;
                case 2:
                    $("#loginform").attr('action','/<?=LOGIN_PATH?>index.php?c=Login&a=checkMsgPassword');
                    $('#username').attr("disabled",true);
                    $("#select_button,#select_button_div").attr('disabled',true);
                    $('.login-password').hide();
                    $('.login-pass-img').hide();
                    $('.login-lang').after('<div class="form-tr login-pass-msg">\n\
                                            <div class="icon"><i class="fa fa-codepen fa-2x"></i></div>\n\
                                            <div class="input" style="width:138px;"><input type="text" style="width:110px;" id="msgPassword" name="msgPassword" value="" title="<?=$this->_lang["common_sms_verify"]?>" placeholder="<?=$this->_lang["common_sms_verify"]?>"></div>\n\
                                            <div id="sendMsg" style="float:right;width:100px;background:#000;height:37px;text-align:center;border:1px solid #000;opacity:0.6;filter:alpha(opacity=60);line-height:35px;cursor:pointer;font-size:13px;"><?=$this->_lang["common_get_verify"]?></div></div>');
                    var fontColorArray   = {'#ffffff':'#000000','#000000':'#ffffff'};
                    var bgColor     = '<?=$loginInfor['FORM_BACKGROUND']?>';
                    var fontColor   = fontColorArray[bgColor];
                    var filter1             = '<?=$loginInfor['FORM_FILTER']?>';
                    var opacity1            = '0.' + filter1;
                    var filter2             = filter1 - 10;
                    var opacity2            = '0.' + filter2; 
                    $('.icon,#sendMsg').css({'background':bgColor,'border-color':bgColor,'opacity':opacity2,'filter':'alpha(opacity='+filter2+')','color':fontColor});
                    $('.input').css({'background':fontColor,'border-color':fontColor,'opacity':opacity1,'filter':'alpha(opacity='+filter1+')','color':bgColor});
                    $('.input input').css({'color':bgColor});
                    $('.login-button').attr('login-type',2);
                    $.pnotify(parseData.info);
                    break;
                case 3:
                    var loginUsbKey = parseData.loginUsbKey;
                    var usbKeyPin = parseData.usbKeyPin;
                    $('.login-button').attr('login-type',3);
                    $("#loginform").attr('action','/<?=LOGIN_PATH?>index.php?c=Login&a=usbCheckEnd');
                    $('#username').attr("disabled",true);
                    $("#select_button,#select_button_div").attr('disabled',true);
                    $('.login-password').hide();
                    $('.login-pass-img').hide();
                    if(loginUsbKey == 'haikey'){
                        $('body').append('<OBJECT id="htactx" name="htactx" classid="clsid:FB4EE423-43A4-4AA9-BDE9-4335A6D3C74E" codebase="/inc/HTActX.cab#version=1,0,0,1" style="HEIGHT: 0px; WIDTH: 0px"></OBJECT>');
                    }else if(loginUsbKey == 'haikey'){
                        $('body').append('<object id="iSignaturePortal" width="0" height="0" classid="CLSID:C044E18E-417C-441C-8156-91D9F5544E02" codebase="/inc/iSignaturePortal.cab#version=7,0,0,6"></object>');
                    }
                    $('.login-lang').after('<input type="hidden" name="loginUsbKey" id="loginUsbKey" value="'+loginUsbKey+'"><input type="hidden" name="usbKeyPin" id="usbKeyPin" value="'+usbKeyPin+'"><input type="hidden" name="user_account" id="user_account" value="'+parseData.userAccount+'"/>');
                    submitAction(); 
                    break;
                case 4:
                    location.href = "/general/pass.php";
                    break;
                case 5:
                    window.open("/inc/expired.php");
                    break;
                case 6:
                    updateSystem();
                    break;
                default:
                    var $obj = $('#verify-img');
                    var src = $obj.attr('src');
                    $obj.attr('src',src + '?rnd=' + Math.random());
                    $('#verify').val('');
                    $.pnotify({text: parseData.info,type : "error"});
            }
        }else{
            $.pnotify({text: "<?=$this->_lang["login_failure"]?>",type : "error"});
        }
    });
}
//系统升级
function updateSystem(){
    $('#update_dialog').show();
    $.ajax({
        url:'/<?=LOGIN_PATH?>index.php?c=Login&a=updateSystem'
    }).done(function(result){
        if(result == 1){
            $(".update_dialog_close").show();
            $('#update_dialog').html('<span style="color:green;"><?=$this->_lang["login_update_success"]?></span>')
            setTimeout(function(){$('#update_dialog').hide();}, 2000 );
        }else{
            $(".update_dialog_close").show();
            $('#update_dialog').html('<span style="color:green;"><?=$this->_lang["login_update_success"]?></span>')
            setTimeout(function(){$('#update_dialog').hide();}, 2000 );
        }
    });
}
//短信验证
function smsCheck(url){
    var msgPassword = $('#msgPassword').val();
    if (msgPassword == "") {
        $.pnotify("<?=$this->_lang["login_enter_msg_pass"]?>");
        return false;
    }
    $.ajax({
        url: url,
        type: 'post',
        data: {
            "msgPassword": msgPassword,
        }
    }).done(function(result) {
        if(result == 1){
            location.href = "/general/index9.php";
        }else if(result == 0){
            $.pnotify("<?=$this->_lang["login_msg_pass_error"]?>");
        }else{
            $.pnotify({text:"<?=$this->_lang["login_msg_pass_success"]?>",type:'success'});
            var parsedData = $.parseJSON(result);
            var loginUsbKey = parsedData.loginUsbKey;
            var usbKeyPin = parsedData.usbKeyPin;
            $('.login-button').attr('login-type',3);
            $("#loginform").attr('action','/<?=LOGIN_PATH?>index.php?c=Login&a=usbCheckEnd');
            $('#username').attr("disabled",true);
            $("#select_button,#select_button_div").attr('disabled',true);
            $('.login-password').hide();
            $('.login-pass-img').hide();
            if(loginUsbKey == 'haikey'){
                $('body').append('<OBJECT id="htactx" name="htactx" classid="clsid:FB4EE423-43A4-4AA9-BDE9-4335A6D3C74E" codebase="/inc/HTActX.cab#version=1,0,0,1" style="HEIGHT: 0px; WIDTH: 0px"></OBJECT>');
            }else if(loginUsbKey == 'haikey'){
                $('body').append('<object id="iSignaturePortal" width="0" height="0" classid="CLSID:C044E18E-417C-441C-8156-91D9F5544E02" codebase="/inc/iSignaturePortal.cab#version=7,0,0,6"></object>');
            }
            $('.login-lang').after('<input type="hidden" name="loginUsbKey" id="loginUsbKey" value="'+loginUsbKey+'"><input type="hidden" name="usbKeyPin" id="usbKeyPin" value="'+usbKeyPin+'"><input type="hidden" name="user_account" id="user_account" value="'+parsedData.userAccount+'"/>');
            submitAction();
        }
    });
}
//语言选择框操作
function loginLangOperation(){
    var borderColorArray  = {'#ffffff':'#005271',
                            '#000000':'#ffffff',
                            '#00829a':'#ffffff',
                            '#31a66b':'#ffffff',
                            '#da434e':'#ffffff',
                            '#6b51c0':'#ffffff',
                            '#595ca0':'#ffffff',
                            '#3074c1':'#ffffff',
                            '#f0bc59':'#ffffff',
                            '#804d4d':'#ffffff'};
    var langColor           =  '<?=$loginInfor['FORM_LANG_COLOR']?>';
    var borderColor         = borderColorArray[langColor];
    $('#select_button_div').css({'color':langColor});
    $('#selected_lang').css({'color':langColor});
    $('#select_icon').css({'color':langColor});
    $('#select_lang').css({'border-color':langColor});
    $("#select_button,#select_button_div").mouseenter(function(){
        if( $("#select_button_div").attr('disabled') == 'disabled'){return false;}
        $('#select_button_div').css({'border-right':'1px solid '+langColor,'border-top':'1px solid '+langColor,'border-bottom':'1px solid '+langColor,'color':borderColor});
        $('#selected_lang').css({'border':'1px solid '+langColor});
    }).mouseleave(function(){
        if($("#select_lang").css('display') == 'block'){return false;}
        $('#select_button_div').css({'border-right':'1px solid transparent','border-top':'1px solid transparent','border-bottom':'1px solid transparent','color':langColor});
        $('#selected_lang').css({'border':'1px solid transparent'});
    });
    $("#select_button_div").click(function() { 
        if($("#select_lang").css('display') == 'block'){
            $("#select_lang").hide();
        }else{
            if( $("#select_button_div").attr('disabled') == 'disabled'){return false;}
             $("#select_lang").show();
             return false;
        }
    });
    $(".login-lang ul li").mouseenter(function() {
        $(this).css('background', '#F4F4F4');
    }).mouseleave(function() {
        $(this).css('background', '');
    });
}
var obj = new Image();
obj.src = '<?=LOGIN_BG_SHOW_PATH?>login-bg/<?=$loginInfor['BACKGROUND_IMG']?>';
obj.onload=function(){
   $('body').css({'background':'url(<?=LOGIN_BG_SHOW_PATH?>login-bg/<?=$loginInfor['BACKGROUND_IMG']?>) no-repeat center fixed','background-size':"100% 100%"});
}
//初始化登录页面
function initLoginPage(){
    var fontColorArray   = {'#ffffff':'#000000',
                            '#000000':'#ffffff',
                            '#00829a':'#ffffff',
                            '#31a66b':'#ffffff',
                            '#da434e':'#ffffff',
                            '#6b51c0':'#ffffff',
                            '#595ca0':'#ffffff',
                            '#3074c1':'#ffffff',
                            '#f0bc59':'#ffffff',
                            '#804d4d':'#ffffff'};
    var bgColor             = '<?=$loginInfor['FORM_BACKGROUND']?>';
    var fontColor           = fontColorArray[bgColor];
    var filter1             = '<?=$loginInfor['FORM_FILTER']?>';
    var opacity1            = '0.' + filter1;
    var filter2             = filter1 - 10;
    var opacity2            = '0.' + filter2;
     // 登录表单定位
    var formX               = '<?=$loginInfor['FORM_X']?>';
    var formY               = '<?=$loginInfor['FORM_Y']?>';
    if(formX != 'default' && formY != 'default' ){
        var formDir = '<?=$loginInfor['FORM_DIR']?>';
        var formDirArray = formDir.split(',');
        var dir1    = formDirArray[0];
        var dir2    = formDirArray[1];
        if(formX == 'center'){
             var left = (windowWidth - 300)/2;
             $('.login-form-box').css({'left':left,'margin-left':''});
        }
        if(formY == 'middle'){
            var formHeight      = $('.login-form-box').height();
            var top = (windowHeight - formHeight)/2;
            $('.login-form-box').css({'top':top,'margin-top':''});
        }
    }else{
        var left = (windowWidth - 300)/2;
        $('.login-form-box').css({'left':left + 'px','top':'270px','margin-left':''});
    }
    //logo图片定位
    var logoX       = '<?=$loginInfor['LOGO_X']?>';
    var logoY       = '<?=$loginInfor['LOGO_Y']?>';
    if(logoX != 'default' && logoY != 'default' ){
        var logoDir = '<?=$loginInfor['LOGO_DIR']?>';
        var logoDirArray = logoDir.split(',');
        var dir1    = logoDirArray[0];
        var dir2    = logoDirArray[1];
        if(logoX == 'center'){
            var left = (windowWidth - 300)/2;
            $('.login-logo-box').css({'left':left,'margin-left':''});
        }
        if(logoY == 'middle'){
            var top = (windowHeight - 150)/2;
            $('.login-logo-box').css({'top':top,'margin-top':''});
        }
    }else{
        var left = (windowWidth - 300)/2;
        $('.login-logo-box').css({'left':left + 'px','top':'110px','margin-left':''});
    }
    $('.icon').css({'background':bgColor,'border-color':bgColor,'opacity':opacity2,'filter':'alpha(opacity='+filter2+')','color':fontColor});
    $('.input').css({'background':fontColor,'border-color':fontColor,'opacity':opacity1,'filter':'alpha(opacity='+filter1+')','color':bgColor});
    $('.input input').css({'color':bgColor});
    $('.login-button').css({'background':bgColor,'opacity':opacity1,'filter':'alpha(opacity='+filter1+')','color':fontColor});
    $('.login-footer').css({'color':'<?=$loginInfor['LOGIN_FOOTER_COLOR']?>'});
    //$('body').css({'background':'url(<?=LOGIN_BG_SHOW_PATH?>login-bg/<?=$loginInfor['BACKGROUND_IMG']?>) no-repeat center fixed','background-size':'100% 100%'});
    $('.logo-pic').attr('src','<?=LOGIN_BG_SHOW_PATH?>logo/<?=$loginInfor['LOGO_IMG']?>');
    $('.input input').focus(function(){
        $(this).parent().css('border-color',bgColor);
    }).blur(function(){
        $(this).parent().css('border-color',fontColor);
    });
    $('.login-button').mouseenter(function(){
        $(this).css({'opacity':opacity2,'filter':'alpha(opacity='+filter2+')'});
    }).mouseleave(function(){
        $(this).css({'opacity':opacity1,'filter':'alpha(opacity='+filter1+')'});
    });
    $(window).resize(function(){
        var windowWidth     = $(window).width();
        var windowHeight    = $(window).height();
        if(formX == 'default' || formY == 'default' ){
            var left = (windowWidth - 300)/2;
            $('.login-form-box').css({'left':left + 'px','top':'270px'});
        }
        if(formX == 'center'){
            var left = (windowWidth - 300)/2;
            $('.login-form-box').css({'left':left + 'px'});
        }
        if(formY == 'middle'){
            var formHeight      = $('.login-form-box').height();
            var top = (windowHeight - formHeight)/2;
            $('.login-form-box').css({'top':top});
        }
        if(logoX == 'default' || logoY == 'default' ){
            var left = (windowWidth - 300)/2;
            $('.login-logo-box').css({'left':left + 'px','top':'110px'});
        }
        if(logoX == 'center'){
            var left = (windowWidth - 300)/2;
            $('.login-logo-box').css({'left':left});
        }
        if(logoY == 'middle'){
            var top = (windowHeight - 150)/2;
            $('.login-logo-box').css({'top':top});
        }
    });
    if(bgColor == '#000000'){
        bgColor = '#003D54';
    }
    $('.theme-icon').css({'border-color':bgColor,'color':bgColor});
    $('#username').focus();
    $('.login-logo-box').slideDown(1000);
    setTimeout("$('.login-form-box').slideDown(500);",1000);    
    LazyLoad.js(['/newplugins/js/jquery-ui/js/jquery-ui.min.js','/newplugins/js/jquery.nicescroll.js', '/lang/<?=$this->_userLang?>/javascript.lang.js','/general/portal/portal.js'], function () {
    });//提前下载js
}
//获取cookie
function getCookie(name){ 
    var strCookie=document.cookie; 
    var arrCookie=strCookie.split("; "); 
    for(var i=0;i<arrCookie.length;i++){ 
        var arr=arrCookie[i].split("="); 
        if(arr[0]==name)
            return arr[1]; 
    }
    return "";
}
//隐藏浏览器提示
function hideRemindBrowser(){
    var date=new Date(); 
    date.setTime(date.getTime()+300*24*3600*1000);
    document.cookie = "remindBrowser=hide;expires="+date.toGMTString();
    $(".remind-other-browser").hide();
}
//usb验证提交操作
function submitAction(){
    var loginUsbKey = $('#loginUsbKey').val();
    if(loginUsbKey == "haikey"){
       if(typeof(haiTaiValidate) == "undefined") {
            $.pnotify({text: "<?=$this->_lang["login_usbkey_check_tip"]?>", type: "error"});
       }else{
            haiTaiValidate()
       }
    }else if(loginUsbKey == "goldgrid"){
        goldgridValidate()
    }
}
//金格key验证
function goldgridValidate(){
    try{
        var mKeySN = iSignaturePortal.WebGetKeySn();
        if(mKeySN == "" || mKeySN == null){
            $.pnotify({text: "<?=$this->_lang["other_insert_usbkey"]?>", type: "error"});
            $.pnotify({text: "<?=$this->_lang["other_open_failure"]?>", type: "error"});
            return false;
        }
    }catch(e){
        $.pnotify({text: "<?=$this->_lang["other_insert_usbkey"]?>", type: "error"});
        $.pnotify({text: "<?=$this->_lang["other_open_failure"]?>", type: "error"});
        return false;
    }
    var usbKeyPin = $('#usbKeyPin').val();
    var username = iSignaturePortal.WebGetUserName(usbKeyPin);
    var userAccount = document.getElementById("user_account").value;
    if(username == userAccount ){
        $("#loginform").submit();
    }else{
        $.pnotify({text: "<?=$this->_lang["other_insert_usbkey"]?>", type: "error"});
        $.pnotify({text: "<?=$this->_lang["other_insert_correct_usbkey"]?>", type: "error"});
        return false;
    }
}
//usb验证错误提示
function showError(flag){
    if(flag == 1){
        $.pnotify({text: "<?=$this->_lang["other_insert_usbkey"]?>", type: "error"});
    }else if(flag == 2){
        $.pnotify({text: "<?=$this->_lang["other_open_failure"]?>", type: "error"});
    } else if(flag == 3){
        $.pnotify({text: "<?=$this->_lang["other_insert_correct_usbkey"]?>", type: "error"});
    }
}
</script>
<script LANGUAGE="VBSCRIPT" RUNAT="SERVER">
    //海泰key验证                                                            
    function haiTaiValidate()
        dim hCard
        On Error Resume Next
        hCard = 0
        hCard = htactx.OpenDevice(1)
        If Err.number <> 0 or hCard = 0 then
            showError(1)
            showError(2)
            haiTaiValidate = false
            Exit function
        End if
        dim UserName
        UserName = htactx.GetUserName(hCard)
        htactx.CloseDevice hCard
        dim userAccount 
        userAccount = document.getElementById("user_account").value
        If UserName = userAccount then 
            document.getElementById("loginform").submit()
            Exit function
        Else 
            showError(1)
            haiTaiValidate = false
            showError(3)
            Exit function
        End if
    End function
</script>