<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的资产--车辆申请
* @encoding      $_lang['encoding']
* @name          general/car/apply.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/mobile_sms.inc.php");
include_once("api/email.class.php");
include_once("api/meeting.class.php");
include_once("api/vehicles.class.php");
includelangpak("meetings");
$checkDiff = $_REQUEST["checkDiff"];
$meeting     = new meeting();
switch($checkDiff){
	case "initdata":
		$dataInfor = array();
		if(!I($_REQUEST['meetingId'])) {
		    Message('',$_lang["common_param_error"],'failed');
		    exit;
		}
		$meetingId = $_REQUEST["meetingId"];
		//$infor_sql = " AND A_ID!='' AND R_ID='".$meetingId."' AND ((A_STATE!='3' AND A_STATE!='5') AND (A_STATE='1' AND A_APPLY_PERSON='".$_SESSION["LOGIN_USER_ID"]."'))";
		$infor_sql = " AND A_ID!='' AND R_ID='".SecurityFilter($meetingId)."' AND (((A_STATE!='3' AND A_STATE!='5') AND (A_STATE='1' AND A_APPLY_PERSON='".SecurityFilter($_SESSION["LOGIN_USER_ID"])."')) OR (A_STATE='2' OR A_STATE='4'))";
		$infor_sql = " AND A_ID!='' AND R_ID='".SecurityFilter($meetingId)."' AND (((A_STATE!='3' AND A_STATE!='5') AND (A_STATE='1' AND A_APPLY_PERSON='".SecurityFilter($_SESSION["LOGIN_USER_ID"])."')) OR A_STATE='2' OR A_STATE='4' OR A_STATE='1')";
		$infor = $meeting->meetingsSearchManyData("meeting_apply",$infor_sql);
		$infor_count = count($infor);
		for($i=0;$i<$infor_count;$i++){
			if($infor[$i]["A_ID"]){
				$dataInfor[$i]["id"]     = $infor[$i]["A_ID"];
				$dataInfor[$i]["title"]  = $_lang["meetings_apply_person"]."  ：".getUserNameNew($infor[$i]["A_APPLY_PERSON"]);
				$dataInfor[$i]["start"]  = $infor[$i]["A_BEGIN_TIME"];
				$dataInfor[$i]["end"]    = $infor[$i]["A_END_TIME"];
				$second = strtotime($infor[$i]["A_END_TIME"])-strtotime($infor[$i]["A_BEGIN_TIME"]);
				$time = $second/3600;
				if($time>=24){
					$dataInfor[$i]["allDay"] = true;
				}else{
					$dataInfor[$i]["allDay"] = false;
				}
				$stateColor = "";
				switch($infor[$i]["A_STATE"]){
					case "1":
						if($infor[$i]["A_CHECK_TIME"]){
							//审批中
							$stateColor = "#14B9E8";
						}else{
							//待审批
							$stateColor = "#FFC545";
						}
					break;
					case "2":
						//已批准
						$stateColor = "#1ABC9C";
					break;
					case "4":
						//进行中
						$stateColor = "#9A59B5";
					break;
				}
				$dataInfor[$i]["color"] = $stateColor;
				$dataInfor[$i]["editable"] = false;
			}
		}
		//echo $dataInfor;
		echo json_encode($dataInfor);
	break;
	case "newApply":
		$dataInfor = array();
		$cur_date = date("Y-m-d H:i:s");
		$dataInfor["R_ID"] = $_REQUEST["roomId"];
		$dataInfor["A_SUBJECT"] = dhtmlspecialchars($_REQUEST["subject"]);
		$dataInfor["A_APPLY_PERSON"] = $_SESSION["LOGIN_USER_ID"];
		$dataInfor["A_JOIN_PERSON"] = $_REQUEST["TO_JOIN_ID"];
		$dataInfor["A_OTHER_JOIN"] = dhtmlspecialchars($_REQUEST["other"]);
		$dataInfor["A_TYPE"] = $_REQUEST["type"];
		$dataInfor["A_BEGIN_TIME"] = $_REQUEST["begin_date"];
		$dataInfor["A_END_TIME"] = $_REQUEST["end_date"];
		$dataInfor["A_REMARK"] = $_REQUEST["thing"];
		$dataInfor["A_STATE"] = "1";
		$dataInfor["ATTACHMENT_ID"] = $_REQUEST["attachmentIDStr"];
		$dataInfor["ATTACHMENT_NAME"] = $_REQUEST["attachmentNameStr"];
		$dataInfor["SMS_REMIND"] = $_REQUEST["SMS_REMIND"];
		$dataInfor["SMSTEL_REMIND"] = $_REQUEST["SMSTEL_REMIND"];
		$dataInfor["EMAIL_REMIND"] = $_REQUEST["EMAIL_REMIND"];
		$dataInfor["FALSE_DELETE"] = "0";
		$dataInfor["A_REQUEST_TIME"] = $cur_date;
		$newID = $meeting->meetings_CreateData($dataInfor,"meeting_apply");
		$TABLE_ID    = $newID;
		$TABLE_NAME  = "meeting_apply";
		$SMS_CONTENT = $_lang["meetings_sms_message_user"].getUserNameNew($_SESSION["LOGIN_USER_ID"]).$_lang["meetings_sms_message_room"].$_REQUEST['roomName'].$_lang["meetings_sms_message_time"].$_REQUEST["begin_date"]."--".$_REQUEST["end_date"];
		$checkperson = new vehicles();
		$person_id   = $checkperson->select_checkperson('meetings');
		$num         = count($person_id);
		//内部消息提醒
                $USER_ID_STRING = "";
		if($_REQUEST['SMS_REMIND']=='1')
		{
			if(ifSendMbSms('message'))
			{
				for($i=1;$i<=$num;$i++){
                                    $USER_ID_STRING .= $person_id[$i]['user_id'] . ",";
                                }
                             $USER_ID_STRING = substr($USER_ID_STRING, 0, -1);
                             sendSms($_SESSION["LOGIN_USER_ID"],$USER_ID_STRING,$SMS_CONTENT,1,13,$TABLE_NAME,$TABLE_ID);
			}
		}
		//手机短信提醒
		if($_REQUEST['SMSTEL_REMIND']=='1')
		{
			if(ifSendMbSms())
			{
				$newSms = new MobileSms();
				for($i=1;$i<=$num;$i++)
				{
					$newSms->SelfSendMore($person_id[$i]['user_id'],$SMS_CONTENT);
				}
			}
		}
		//邮件提醒
		if($_REQUEST['EMAIL_REMIND']=='1')
		{
			if(ifSendMbSms('email'))
			{
				$email = new email();
				for($i=1;$i<=$num;$i++)
				{
					$email->sendEmail($_SESSION["LOGIN_USER_ID"],$person_id[$i]['user_id'],$person_id[$i]['user_id'],$_lang["meetings_sms_message_apply"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
				}
			}
		}
		$resultArray = array();
		$resultArray[0]["id"]     = $newID;
		$resultArray[0]["title"]  = $_REQUEST["subject"];
		$resultArray[0]["start"]  = $_REQUEST["begin_date"];
		$resultArray[0]["end"]    = $_REQUEST["end_date"];
		$second = strtotime($_REQUEST["end_date"])-strtotime($_REQUEST["begin_date"]);
		$time = $second/3600;
		if($time>=24){
			$resultArray[0]["allDay"] = true;
		}else{
			$resultArray[0]["allDay"] = false;
		}
		$resultArray[0]["color"]  = "#FFC545";
		$resultArray[0]["editable"] = false;
		echo json_encode($resultArray);
	break;
	case "showView":
		if(!I($_REQUEST['dataid'])) {
		    Message('',$_lang["common_param_error"],'failed');
		    exit;
		}
		$dataid = $_REQUEST["dataid"];
		$dataInfor = array();
		$con_sql = " AND A_ID='".$dataid."'";
		$dataInfor = $meeting->meetingsSearchSingleData("meeting_apply",$con_sql);
		$dataInfor["personNames"] = getUserNameNew($dataInfor["A_APPLY_PERSON"]);
		$stateShow = "";
		switch($dataInfor["A_STATE"]){
			case "1":
				if($dataInfor["A_CHECK_TIME"]){
					$stateShow = $_lang["meetings_myapply_check"];
				}else{
					$stateShow = $_lang["meetings_myapply_waitcheck"] ;
				}
			break;
			case "2":
				$stateShow = $_lang["meetings_myapply_pass"];
			break;
			case "4":
				$stateShow = $_lang["meetings_myapply_proceed"];
			break;
		}
		$dataInfor["stateShows"] = $stateShow;
		echo json_encode($dataInfor);
	break;
	case "newOrEdit":
		if(!I($_REQUEST['apply_id'])) {
		    Message('',$_lang["common_param_error"],'failed');
		    exit;
		}
		$applyId = $_REQUEST["apply_id"];
		if(!$_REQUEST['examine'] && $applyId!="")
		{
			$check = $meeting->check_examine($applyId);
		}
		if($check){
			echo $check;
			exit;
		}
		$dataInfor = array();
		$cur_date = date("Y-m-d H:i:s");
		$dataInfor["R_ID"] = $_REQUEST["roomId"];
		$dataInfor["A_SUBJECT"] = dhtmlspecialchars($_REQUEST["subject"]);
		$dataInfor["A_APPLY_PERSON"] = $_SESSION["LOGIN_USER_ID"];
		$dataInfor["A_JOIN_PERSON"] = $_REQUEST["TO_JOIN_ID"];
		$dataInfor["A_OTHER_JOIN"] = dhtmlspecialchars($_REQUEST["other"]);
		$dataInfor["A_TYPE"] = $_REQUEST["type"];
		$dataInfor["A_BEGIN_TIME"] = $_REQUEST["begin_date"];
		$dataInfor["A_END_TIME"] = $_REQUEST["end_date"];
		$dataInfor["A_REMARK"] = $_REQUEST["thing"];
		$dataInfor["A_STATE"] = "1";
		/*$dataInfor["ATTACHMENT_ID"] = $_REQUEST["attachmentIDStr"];
		$dataInfor["ATTACHMENT_NAME"] = $_REQUEST["attachmentNameStr"];	*/
		$dataInfor["SMS_REMIND"] = $_REQUEST["SMS_REMIND"];
		$dataInfor["SMSTEL_REMIND"] = $_REQUEST["SMSTEL_REMIND"];
		$dataInfor["EMAIL_REMIND"] = $_REQUEST["EMAIL_REMIND"];
		$dataInfor["FALSE_DELETE"] = "0";
		$dataInfor["A_REQUEST_TIME"] = $cur_date;
		if($applyId){
			$get_attch = $meeting->myapply_detail($applyId);
			$old_ATTACHMENT_ID   = $get_attch['ATTACHMENT_ID'];
			$old_ATTACHMENT_NAME = $get_attch['ATTACHMENT_NAME'];
			if($_REQUEST["attachmentIDStr"]!="" && $_REQUEST["attachmentNameStr"]!="")
			{
				$new_ATTACHMENT_ID = $old_ATTACHMENT_ID.$_REQUEST["attachmentIDStr"];
				$new_ATTACHMENT_NAME = $old_ATTACHMENT_NAME.$_REQUEST["attachmentNameStr"];
			}
			else
			{
				$new_ATTACHMENT_ID = $old_ATTACHMENT_ID;
				$new_ATTACHMENT_NAME = $old_ATTACHMENT_NAME;
			}
			$dataInfor["ATTACHMENT_ID"] = $new_ATTACHMENT_ID;
			$dataInfor["ATTACHMENT_NAME"] = $new_ATTACHMENT_NAME;
			$newID = $meeting->meetings_EditData($dataInfor,"meeting_apply",$applyId);

		}else{
			$dataInfor["ATTACHMENT_ID"] = $_REQUEST["attachmentIDStr"];
			$dataInfor["ATTACHMENT_NAME"] = $_REQUEST["attachmentNameStr"];
			$newID = $meeting->meetings_CreateData($dataInfor,"meeting_apply");
		}
		$TABLE_ID    = $newID;
		$TABLE_NAME  = "meeting_apply";
		$SMS_CONTENT = $_lang["meetings_sms_message_user"].getUserNameNew($_SESSION["LOGIN_USER_ID"]).$_lang["meetings_sms_message_room"].$_REQUEST['roomName'].$_lang["meetings_sms_message_time"].$_REQUEST["begin_date"]."--".$_REQUEST["end_date"];
		$checkperson = new vehicles();
		$person_id   = $checkperson->select_checkperson('meetings');
		$num         = count($person_id);
		//内部消息提醒
                $USER_ID_STRING = "";
		if($_REQUEST['SMS_REMIND']=='1')
		{
			if(ifSendMbSms('message'))
			{
				for($i=1;$i<=$num;$i++){
					$USER_ID_STRING .= $person_id[$i]['user_id'] . ",";
				}
                          $USER_ID_STRING = substr($USER_ID_STRING, 0, -1);
                          sendSms($_SESSION["LOGIN_USER_ID"],$USER_ID_STRING,$SMS_CONTENT,1,13,$TABLE_NAME,$TABLE_ID);
			}
		}
		//手机短信提醒
		if($_REQUEST['SMSTEL_REMIND']=='1')
		{
			if(ifSendMbSms())
			{
				$newSms = new MobileSms();
				for($i=1;$i<=$num;$i++)
				{
					$newSms->SelfSendMore($person_id[$i]['user_id'],$SMS_CONTENT);
				}
			}
		}
		//邮件提醒
		if($_REQUEST['EMAIL_REMIND']=='1')
		{
			if(ifSendMbSms('email'))
			{
				$email = new email();
				for($i=1;$i<=$num;$i++)
				{
					$email->sendEmail($_SESSION["LOGIN_USER_ID"],$person_id[$i]['user_id'],$person_id[$i]['user_id'],$_lang["meetings_sms_message_apply"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
				}
			}
		}
		echo "sucess";
	break;
}
?>
