<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@function:         日志播报
 *@encoding:         $_lang['encoding']
 *@author:           samuel|www.weaver.com.cn
 *@date:             2011-12-13
 *@file Version:     1.0
 *@eoffice Version:  8.0
 */
include_once ("inc/auth.php");
include_once ("inc/utility.php");

//引用播报类库
include_once ("inc/function_broadcast.php");

/********************************************
 * 引入判断权限API
 ********************************************/

//文档
include_once ("api/file.class.php");

//客户、联系记录
include_once ("api/customer.class.php");

//公告
include_once ("api/notify.class.php");

//日程
include_once ("api/calendar.class.php");

//日志
include_once ("api/diary.class.php");

//新闻
include_once ("api/news.class.php");

/********************************************
 * 配置信息
 ********************************************/
//需播报表名
$needBroadcastTableArray = array(
		"file_content",
		"notify",
		"customer",
		"calendar",
		"diary",
		"relation_record",
		"news"
);

//播报数量
$needBroadcastCount = 10;

switch ($_REQUEST['type']) {

	//初始化(显示缓存中的数据)
	case 'init' :
		$broadcast = new Broadcast($needBroadcastTableArray, $needBroadcastCount, $_SESSION['LOGIN_USER_ID']);
		$cacheBroadcast = $broadcast -> GetCache();
		echo json_encode($cacheBroadcast);
		break;

	//更新(获取最新播报)
	case 'update' :
		$broadcast = new Broadcast($needBroadcastTableArray, $needBroadcastCount, $_SESSION['LOGIN_USER_ID']);
		$broadcastResult = $broadcast -> BroadcastMainFunction();
		echo json_encode($broadcastResult);
		break;
}
?>