<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/news/show/read_news.php
 *@function:         新闻详情
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-22
 *@file Version:     13.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/function_picture.php");
include_once("api/news.class.php");
include_once('inc/utility.php');
includelangpak("info,news");

$PAGE_TITLE = $_lang["info_rss_news_read"];
include_once("inc/page_header.inc.php");

$news = new news();
//安全检测,过滤newsID类型
if(!I($_REQUEST['NEWS_ID'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
$NEWS_ID = $_REQUEST["NEWS_ID"];
//取消消息提醒
if($NEWS_ID!="")
{
	SMSCancelRemind($LOGIN_USER_ID,$NEWS_ID,'news');
	$news->AddNewsReader($NEWS_ID,$_SESSION["LOGIN_USER_ID"]);
}
?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/common.js" ></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script language="javascript">
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;
	$("#back").click(function() {
		window.close();
	});
	$(window).resize(function(){
		$(".newsContent").height($(window).height()-40).niceScroll();
	});
	var editor = UE.getEditor("comment",{
							toolbars: [['bold','italic','underline','forecolor','backcolor','|', 'fontsize', '|','scrawl','|','justifyleft', 'justifycenter', 'justifyright']],
							initialFrameHeight:150
							});
	$(".newsContent").height($(window).height()-40).niceScroll();
	getComment('<?=$NEWS_ID?>');
	$("#delComment").click(function() {
		bootbox.confirm("<?=$_lang["news_confirm_delete"]?>",function(result) {
			if(result) {
				var url  = "/general/news/show/comment_do.php";
				var data = "type=delcomment&NEWS_ID=<?=$NEWS_ID?>";
				$.ajax({
					type:"POST",
					url:url,
					data:data,
					success:function(resp) {
						if(resp) {
							$.pnotify({
								text:"<?=$_lang["news_delete_success"]?>",
								type:"success"
							});
							getComment("<?=$NEWS_ID?>");
							$(".commentlist").LazyTable("reload");
						}
					}
				});
			}
		})
	});

	$("#newComment").click(function() {
		var content   = editor.getContent();
		if(content == "") {
			$.pnotify({
				text:"<?=$_lang["news_comment_no_empty"]?>",
				type:"error"
			});
		} else {
			var url  = "/general/news/show/comment_do.php";
			var data = 'type=addcomment&NEWS_ID=<?=$NEWS_ID?>&CONTENT='+encodeURIComponent(content);

			$.ajax({
				type:"POST",
				url:url,
				data:data,
				success:function(resp) {
					if(resp) {
						$.pnotify({
							text:"<?=$_lang["news_save_success"]?>",
							type:"success"
						});
                        editor.setContent('');
						getComment("<?=$NEWS_ID?>");						
						$(".commentlist").LazyTable("reload");
                        $(".newsContent").height($(window).height()-40).niceScroll();
						//editor.setContent('');
					}
				}
			});
		}
	});

	$(".commentlist").LazyTable({
		hideHeader : true,
		page : {
			callback : function(page) {
				/*$("#showDicussList").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});*/
			}
		},
		column : [{
					template : function(data){
						var template = [];
						template.push('<div id="replyShow'+data.COMMENT_ID+'" style="width:100%; margin:10px 0 10px 0">');
						template.push('<div class="replayInforSpan">');
						template.push('<div id="replySpan" style=" width:100%">');									
						template.push('<div style="width:100%; height:35px; background:#F7F7F7; line-height:35px;float:left">');
						template.push('<div style="color:#376091; float:left;width:15%;letter-spacing:1px">');
						template.push(data.USER_NAME);
						template.push('</div>');
						template.push('<div style="float:left;width:30%;color:#A5A5A5;">');
						template.push('<span><?=$_lang["news_date"]?></span>');
						template.push('<span style="margin-left:10px;">');
						template.push(data.RE_TIME);
						template.push('</span>');  
						template.push('</div>');
						template.push('<div style="float:right">');
						template.push('<button type="button" class="btn btn-primary" style="margin-top:10px; margin-right:10px;" onclick="btn_reply('+data.COMMENT_ID+');"><?=$_lang["news_reply"]?></button>');
						template.push('<button type="button" class="btn btn-default xs" style="margin-top:10px; margin-right:10px;" onclick="btn_delete('+data.COMMENT_ID+');"><?=$_lang["news_delete"]?></button>');
						template.push('</div>');
						template.push('</div>');
						template.push('<div id="dicContents'+data.NEWS_ID+'" style="width:100%;float:left; padding:10px 0 10px 0;">');
						template.push(data.CONTENT);
						template.push('</div>');
						template.push('</div>');

						/*评论回复*/
						$.ajax({
								type:"POST",
								data:"type=getCommentReply&COMMENT_ID="+data.COMMENT_ID,
								async:false,
								url:"/general/news/show/comment_do.php"	
						}).done(function(result){
							if(result!=""){
								var dataobj = $.parseJSON(result);
								$.each(dataobj,function(index,dataArray){
									template.push('<div id="disussReply" style=" width:100%; padding-left:50px;">');
									template.push('<div style="width:100%; height:35px; background:#F7F7F7; line-height:35px;float:left">');
									template.push('<div style="color:#376091; float:left;width:15%;letter-spacing:1px">');
									template.push(dataArray.USER_NAME);
									template.push('</div>');
									template.push('<div style="float:left;width:30%;color:#A5A5A5;">');
									template.push('<span><?=$_lang["news_date"]?></span>');
									template.push('<span style="margin-left:10px;">');
									template.push(dataArray.RE_TIME);
									template.push('</span>');    
									template.push('</div>');
									template.push('<div class="reply_buttons_wrap">');
									template.push('<button type="button" class="btn btn-default" style="padding: 0 5px;cursor:pointer;" onclick="btn_delete('+dataArray.COMMENT_ID+')"><?=$_lang["news_delete"]?></button>');
									template.push('</div>');
									template.push('</div>');
									template.push('<div style="width:100%;float:left; padding:10px 0 10px 0;">');
									template.push(dataArray.CONTENT);
									template.push('</div>');						
									template.push('</div>');	
								});
								
							}							
						});

						template.push('<div class="replySpan" style="display:none;width:100%; padding-left:50px;">');
						template.push('<textarea id="dicReply'+data.COMMENT_ID+'" name="dicReply'+data.COMMENT_ID+'" style="overflow:auto;width:100%" rows="8" cols="50%"></textarea>');
						template.push('<div class="lazy_sub_header">');
						template.push('<button type="button" id="replyCancle" class="btn btn-default"><?=$_lang["news_cancel"]?></button>');
						template.push('<button type="button" id="replySumbit" class="btn btn-primary"><?=$_lang["news_submit"]?></button>');
						template.push('</div>');
						template.push('</div>');
						template.push('<div class="dicussEditSpan" style=" display:none">');
						template.push('<div id="other_contents'+data.COMMENT_ID+'" ></div>');
						template.push('<div class="lazy_sub_header">');
						template.push('<button type="button" id="otherCancle" class="btn btn-default"><?=$_lang["news_cancel"]?></button>');
						template.push('<button type="button" id="otherSumbit" class="btn btn-primary"><?=$_lang["news_submit"]?></button>');
						template.push('</div>');
						template.push('</div>');
						template.push('</div>');
						return template.join(" ");
					}
				}],
		dataSource : "/general/news/show/comment_do.php",
		param : {
			type : "getcomment",
			NEWS_ID:"<?=$NEWS_ID?>"
		}
	});
});
</script>
</head>
<?php

$query      = "SELECT * from NEWS where NEWS_ID='".SecurityFilter($NEWS_ID) ."'";
$cursor     = exequery($connection,$query);
$messages   = "0";
if($ROW=mysql_fetch_array($cursor))
{
	$SUBJECT     =$ROW["SUBJECT"];
	$CONTENT     =$ROW["CONTENT"];
	$PROVIDER    =$ROW["PROVIDER"];	
	//定义读取人的变量
	$READERS = $ROW["news_reader"];	
	$NEWS_TIME   =$ROW["NEWS_TIME"];
	$CLICK_COUNT =$ROW["CLICK_COUNT"];
	$PUBLIC      = $ROW["PUBLIC"];
	$ALLOW_REPLY = $ROW["ALLOW_REPLY"];
	$CLICK_COUNT++;
	$query1      = "update NEWS set CLICK_COUNT=$CLICK_COUNT where NEWS_ID='".SecurityFilter($NEWS_ID) ."'";
	exequery($connection,$query1);

	$SUBJECT=str_replace("<","&lt",$SUBJECT);
	$SUBJECT=str_replace(">","&gt",$SUBJECT);
	$SUBJECT1        = str_replace("\\","\\\\",$SUBJECT);
	$SUBJECT1        = str_replace("\"","\\\"",$SUBJECT1);
	$ATTACHMENT_ID   = $ROW["ATTACHMENT_ID"];
	$ATTACHMENT_NAME = $ROW["ATTACHMENT_NAME"];
	$query1 = "SELECT * from USER where USER_ID='".SecurityFilter($PROVIDER) ."'";
	$cursor1= exequery($connection,$query1);
	if($ROW1=mysql_fetch_array($cursor1))
	{
	   $PROVIDER_NAME=$ROW1["USER_NAME"];
	   $DEPT_ID=$ROW1["DEPT_ID"];
	}
	
	$DEPT_NAME=dept_long_name($DEPT_ID);
	$imgSrc = $ATTACH_PATH.$ATTACHMENT_ID."/".$ATTACHMENT_NAME;
	$images = $ATTACHMENT_ID != "" ?createimage($imgSrc,md5($ATTACHMENT_NAME),'500',$ATTACHMENT_ID):"";
}else{
	$messages = "1";
}
?>
<body>
	<?
	if($messages=="1")
	{
		Message("",$_lang["common_read_pur_explain"]);
		exit();
	}
	//增加读取人的判断
	if(!find_id($READERS,$LOGIN_USER_ID)) {
				$READERS .= $LOGIN_USER_ID.",";
				$query = "update news set news_reader='".SecurityFilter($READERS) ."' where NEWS_ID='".SecurityFilter($NEWS_ID) ."'";
				exequery($connection,$query);
		}
	?>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["info_rss_news_read"]?></span>
		</span>
		<button type="button" class="btn btn-default" id="back"><?=$_lang["common_close"]?></button>
	</div>
	<div class="newsContent">
		<table style="border:0px solid #DDDDDD;" width="100%" cellpadding="5" cellspacing="5">
			<tr>
				<td align="center"><h3 style="font-weight:bold;"><?=$SUBJECT?></h3></td>
			</tr>
			<tr>
				<td align="right"><?=$_lang["news_creator"]?>：<?=getUsernameNew($PROVIDER)?>&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["news_publish_time"]?>：<?=$NEWS_TIME?></td>
			</tr>
			<?
			if($ATTACHMENT_ID != "") {
			?>
			<tr>
				<td>
					<div style="text-align:center;">
						<img align="center" src="<?=$images?>" alt=''>
					</div>
				</td>
			</tr>
			<?
			}
			?>
			<tr>
				<td>
					<?=$CONTENT?>
				</td>
			</tr>
		</table>
		<div class="replyOpt" id="replyOpt" <?if($ALLOW_REPLY!=1) {?> style="display:none;" <?}?>>
			<form id="form1">
				<table width="100%">
					<tr>
						<td>
							<div>
								<script id="comment" type="text/plain"></script>
							</div>
						</td>
					</tr>
				</table>	
				<input type="hidden" id="PARENT_ID" name="PARENT_ID">
			</form>	
			<table width="100%" cellspacing="5" cellpadding="5">
				<tr>
					<td align="right">
						<button type="button" class="btn btn-default" id="delComment"><?=$_lang["news_del_comment"]?></button>
						<button type="button" class="btn btn-primary" id="newComment"><?=$_lang["news_publish_comment"]?></button></td>
				</tr>
			</table>	
			<div id="commentlist" class="commentlist"></div>
		</div>
	</div>
</body>
</html>
<script>
//回复
function btn_reply(commentId) 
{
	var spanObj = $("#replyShow"+commentId);	
	spanObj.find(".replySpan").show();
	spanObj.find("#dicReply"+commentId).focus();	
	spanObj.find("#replyCancle").off("click").on("click",function(){
		spanObj.find(".replySpan").hide("normal");
		spanObj.find("#dicReply"+commentId).val("");	
	});
    $(".newsContent").height($(window).height()-40).niceScroll();
	spanObj.find("#replySumbit").off("click").on("click",function(){
		var contents = spanObj.find("#dicReply"+commentId).val();
		if($.trim(contents)!=""){
			$.ajax({
				type:"POST",
				data:"type=addcomment&NEWS_ID=<?=$NEWS_ID?>&COMMENT_ID="+commentId+"&CONTENT="+encodeURIComponent(contents),
				url:"/general/news/show/comment_do.php"	
			}).done(function(result){
				$(".commentlist").LazyTable("reload");
                $(".newsContent").height($(window).height()-40).niceScroll();
			});		
		}else{
			$.pnotify({
				text: "<?=$_lang["news_comment_cannot_empty"]?>",
				type : "error"
			});	
		}
	});
}

function btn_delete(commentId)
{
	bootbox.confirm("<?=$_lang["news_confirm_del_reply"]?>", function(result) {
      if(result){
         $.ajax({
			type:"POST",
			data:"type=delCommentReply&NEWS_ID=<?=$NEWS_ID?>&COMMENT_ID="+commentId,
			url:"/general/news/show/comment_do.php"	
		}).done(function(result){
			$(".commentlist").LazyTable("reload");
		});	 
      }
    });	
}

function getComment(newsId) {
	var url = "comment_do.php";
	var data = "type=getcomment&NEWS_ID="+newsId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp) {
			if(resp) {
				var jsonData = eval("("+resp+")");
				if(jsonData.count != 0) {
					$("#newsComment").html(jsonData.count);
					var commentStr = "";
					$.each(jsonData,function(key,val) {
						if(val.COMMENT_ID) {
							commentStr += "<tr><td style=\"border-bottom:1px solid #DDDDDD\">"+val.USER_NAME+"&nbsp;&nbsp;于"+val.RE_TIME+"&nbsp;&nbsp;<?=$_lang["news_publish_comment_content_is"]?>"+val.CONTENT+"</td><td align='right'><button onclick=\"delComment("+val.COMMENT_ID+");\" type=\"button\" class=\"btn btn-default\"><?=$_lang["news_delete"]?></button><button type=\"button\" class=\"btn btn-default\" onClick=\"showReply("+val.COMMENT_ID+");\"><?=$_lang["news_reply"]?></button></td></tr>";
						}
					});
					$("#news_comment").html(commentStr);
					$(".newsContent").getNiceScroll().resize();
				} else {
					$("#newsComment").html("0");
					$("#news_comment").html('<tr><td align="center"><i class="fa fa-frown-o fa-fw"></i>&nbsp;<span><?=$_lang["news_no_comment"]?></span></td></tr>');
				}
			} else {
			
			}
		}
	});
}

function delComment(commentId) {
	bootbox.confirm("<?=$_lang["news_confirm_delete"]?>",function(result) {
		if(result) {			
			var data = "type=delcomment&NEWS_ID=<?=$NEWS_ID?>&COMMENT_ID="+commentId;
			var url  = "/general/news/show/comment_do.php";
			$.ajax({
				type:"POST",
				url:url,
				data:data,
				success:function(resp) {
					if(resp) {
						$.pnotify({
							text:"<?=$_lang["news_delete_success"]?>",
							type:"success"
						});
						getComment("<?=$NEWS_ID?>");
					}
				}
			});
		}
	});
}

function showReply(commentId) {
	$("#reply_"+commentId).css("display","block");
}
</script>