<?php
/**
 * @Copyright (C) 2010 - 2011 Weaver Co.Ltd
 * @systemname:       E-Office
 * @filename:         general/notify/manage/new/submit.php
 * @function:         新建公告提交
 * @encoding:         $_lang['encoding']
 * @author:           www.weaver.com.cn
 * @modify:			 dingp
 * @date:             2012-01-19
 * @file Version:     4.0
 * @eoffice Version:  8.0
 */
//加载语言
include_once("inc/auth.php");
include_once("inc/check_type.php");
include_once("inc/utility_all.php");
include_once("inc/mobile_sms.inc.php");
include_once("api/email.class.php");
includelangpak("info,system");

$email_remind = SecurityFilter($_REQUEST["EMAIL_REMIND"]);
$smstel_remind = SecurityFilter($_REQUEST["SMSTEL_REMIND"]);
$sms_remind = SecurityFilter($_REQUEST["SMS_REMIND"]);
//-----公告分类字段
$NOTIFY_TYPE_ID = SecurityFilter($_REQUEST["notifytypes_sel"]);
if ($NOTIFY_TYPE_ID != 0) {
    $sql = "SELECT * FROM notify_type 
				WHERE NOTIFY_TYPE_ID='$NOTIFY_TYPE_ID' ";
    $rs = exequery($connection, $sql);
    while ($rows = mysql_fetch_array($rs))
        $NOTIFY_TYPE_NAME = $rows["NOTIFY_TYPE_NAME"];
    $search = 1;
} else {
    $NOTIFY_TYPE_NAME = $_lang["info_notify_type_no"];
    $search = 1;
}

$SUBJECT1 = $SUBJECT;
$SEND_TIME = date("Y-m-d H:i:s", time());
//上传附件
$ATTACHMENT_ID = SecurityFilter($_REQUEST["attachmentIDStr"]);
$ATTACHMENT_NAME = SecurityFilter($_REQUEST["attachmentNameStr"]);
//处理编辑器中插入图片的上传，返回编辑器的替换路径后的内容
//发布公告通知
if ($BEGIN_DATE > $CUR_DATE)
    $OPTIONSTATE = 0;
if ($BEGIN_DATE <= $CUR_DATE)
    $OPTIONSTATE = 1;
if ($END_DATE != "0000-00-00" && $END_DATE < $CUR_DATE)
    $OPTIONSTATE = 2;

if ($PUBLIC == 1) {
    //直接发布
    if ($TO_ID == "ALL_DEPT") {
        $query = "INSERT INTO notify (FROM_ID,DEPT_ID ,SUBJECT,CONTENT,SEND_TIME,BEGIN_DATE,END_DATE,ATTACHMENT_ID,ATTACHMENT_NAME,PUBLIC,SMS_REMIND,SMSTEL_REMIND,EMAIL_REMIND,OPTIONSTATE,NOTIFY_TYPE_ID) 
		values ('$LOGIN_USER_ID','$TO_ID','$SUBJECT','" . $_REQUEST["editor"] . "','$SEND_TIME','$BEGIN_DATE','$END_DATE','$ATTACHMENT_ID','$ATTACHMENT_NAME','" . $PUBLIC . "','" . $SMS_REMIND . "','" . $SMSTEL_REMIND . "','" . $EMAIL_REMIND . "','" . $OPTIONSTATE . "','" . $NOTIFY_TYPE_ID . "')";
    } else {
        $NOTIFY_DEPT = SecurityFilter($_REQUEST['NOTIFY_DEPT']);
        $NOTIFY_PRIV = SecurityFilter($_REQUEST['NOTIFY_PRIV']);
        $NOTIFY_USER = SecurityFilter($_REQUEST['NOTIFY_USER']);
        $query = "INSERT INTO NOTIFY(FROM_ID,SUBJECT,DEPT_ID,PRIV_ID,USER_ID,CONTENT,SEND_TIME,BEGIN_DATE,END_DATE,ATTACHMENT_ID,ATTACHMENT_NAME,PUBLIC,SMS_REMIND,SMSTEL_REMIND,EMAIL_REMIND,OPTIONSTATE,NOTIFY_TYPE_ID) 
		values ('$LOGIN_USER_ID','$SUBJECT','" . $NOTIFY_DEPT . "','" . $NOTIFY_PRIV . "','" . $NOTIFY_USER . "','" . $_REQUEST["editor"] . "','$SEND_TIME','$BEGIN_DATE','$END_DATE','$ATTACHMENT_ID','$ATTACHMENT_NAME','" . $PUBLIC . "','" . $SMS_REMIND . "','" . $SMSTEL_REMIND . "','" . $EMAIL_REMIND . "','" . $OPTIONSTATE . "','" . $NOTIFY_TYPE_ID . "')";
    }
    exequery($connection, $query);
    $TABLE_ID = mysql_insert_id();
    //播报日志
    AddBroacastLog($_SESSION["LOGIN_USER_ID"], "notify", "NOTIFY_ID", $TABLE_ID, "SUBJECT", "new");
    $TABLE_NAME = "notify";
    for ($i = 0; $i < count($afpatth); $i++) {
        writetodatabase($TABLE_ID, $TABLE_NAME, $LOGIN_USER_ID, $afpatth[$i], $type[$i], $oldfn[$i], $size[$i]);
    }
    //短信提醒

    $USER_ID_STRING = "";
    if ($TO_ID == "ALL_DEPT") {
        $privflow = ",131,"; //查看新闻权限
        $querynotify = "SELECT USER_ID FROM user_priv,user 
                    WHERE (user.USER_PRIV=user_priv.USER_PRIV or user.USER_SUB_PRIV=user_priv.USER_PRIV  or user.USER_ID='admin')
                    AND  INSTR(FUNC_ID_STR,'" . $privflow . "') > 0 
                    AND user.DEPT_ID > 0  GROUP BY user.USER_ID";
    } else {
        $privflow = ",131,"; //查看公告权限
        $NOTIFY_USER_SMS = str_replace(",", "','", trim($NOTIFY_USER, ","));
        $NOTIFY_DEPT_SMS = str_replace(",", "','", trim($NOTIFY_DEPT, ","));
        $NOTIFY_PRIV_SMS = str_replace(",", "','", trim($NOTIFY_PRIV, ","));
        $querynotify = "SELECT * FROM user left join user_priv on user.USER_PRIV = user_priv.USER_PRIV or user.USER_SUB_PRIV=user_priv.USER_PRIV
                                    WHERE(user.USER_ID IN('" . $NOTIFY_USER_SMS . "') OR user.DEPT_ID IN ('" . $NOTIFY_DEPT_SMS . "') OR user.USER_PRIV IN ('" . $NOTIFY_PRIV_SMS . "')  or user.USER_ID='admin') 
                                    AND user.DEPT_ID > 0 AND  INSTR(FUNC_ID_STR,'" . $privflow . "') > 0  GROUP BY user.USER_ID";
    }
    $cursor = exequery($connection, $querynotify);
   

    $arr_USER_ID = array();
    while ($ROW = mysql_fetch_assoc($cursor)) {
        $arr_USER_ID[] = $ROW;
    }
    foreach ($arr_USER_ID as $key => $val) {
        $USER_ID_STRING .= $val["USER_ID"] . ",";
    }
    $USER_ID_STRING = substr($USER_ID_STRING, 0, -1);


    if ($SMS_REMIND && $OPTIONSTATE != "2") {
        $SMS_CONTENT = $_lang["info_sms_title"] . "\n" . $_lang["info_rss_title"] . "：" . csubstr($SUBJECT1, 0, 100);
        if (compare_date($BEGIN_DATE, $CUR_DATE) != 0) {
            $SEND_TIME = $BEGIN_DATE;
        }

        if (strtotime($BEGIN_DATE) > time()) {
            sendSms($LOGIN_USER_ID, $USER_ID_STRING, $SMS_CONTENT, $SMS_REMIND = 1, $SMSTYPE = 1, $TABLE_NAME, $TABLE_ID, '', '', '', $BEGIN_DATE);
        } else {
            sendSms($LOGIN_USER_ID, $USER_ID_STRING, $SMS_CONTENT, $SMS_REMIND = 1, $SMSTYPE = 1, $TABLE_NAME, $TABLE_ID);
        }
    }
    //手机短信提醒
    //生成接受者id 以便生成user_id数组供MobileSms->SelfSendMore调用
    $SMSMOBILE_CONTENT = $_lang["info_sms_title"] . "：" . csubstr($SUBJECT1, 0, 100);
    if ($SMSTEL_REMIND == "1") {
        if (ifSendMbSms()) {
            $newSms = new MobileSms();
            $newSms->SelfSendMore($USER_ID_STRING, $SMSMOBILE_CONTENT);
        }
    }
    //发送内部邮件
    if ($TO_ID == "ALL_DEPT") {
        $privflow = ",131,"; //查看新闻权限
        $emailsql = "SELECT USER_ID FROM user_priv,user 
                    WHERE (user.USER_PRIV=user_priv.USER_PRIV or user.USER_SUB_PRIV=user_priv.USER_PRIV  or user.USER_ID='admin')
                    AND  INSTR(FUNC_ID_STR,'" . $privflow . "') > 0 
                    AND user.DEPT_ID > 0  GROUP BY user.USER_ID";
    } else {
        $privflow = ",131,"; //查看公告权限
        $NOTIFY_USER_SMS = str_replace(",", "','", trim($NOTIFY_USER, ","));
        $NOTIFY_DEPT_SMS = str_replace(",", "','", trim($NOTIFY_DEPT, ","));
        $NOTIFY_PRIV_SMS = str_replace(",", "','", trim($NOTIFY_PRIV, ","));
        $emailsql = "SELECT * FROM user left join user_priv on user.USER_PRIV = user_priv.USER_PRIV or user.USER_SUB_PRIV=user_priv.USER_PRIV
                                    WHERE(user.USER_ID IN('" . $NOTIFY_USER_SMS . "') OR user.DEPT_ID IN ('" . $NOTIFY_DEPT_SMS . "') OR user.USER_PRIV IN ('" . $NOTIFY_PRIV_SMS . "')  or user.USER_ID='admin') 
                                    AND user.DEPT_ID > 0 AND  INSTR(FUNC_ID_STR,'" . $privflow . "') > 0  GROUP BY user.USER_ID";
    }
    $cursor = exequery($connection, $emailsql);
    while ($ROW = mysql_fetch_array($cursor)) {
        $USER_ID = $ROW["USER_ID"];
        $EMAIL_CONTENT = $_lang["info_sms_title"] . "：" . csubstr($SUBJECT1, 0, 100);
        if ($email_remind == "1") {
            $email = new email();
            $email->sendEmail($LOGIN_USER_ID, $USER_ID, $USER_ID, $_lang["info_email_remind"], $EMAIL_CONTENT, date("Y-m-d H:i:s", time()), '', '');
        }
    }
} else {
    //草稿和提交审核
    if (!$SMS_REMIND) {
        $SMS_REMIND = "0";
    }
    if (!$SMSTEL_REMIND) {
        $SMSTEL_REMIND = "0";
    }
    if ($TO_ID == "ALL_DEPT") {
        $query = "INSERT INTO notify (FROM_ID,DEPT_ID ,SUBJECT,CONTENT,SEND_TIME,BEGIN_DATE,END_DATE,ATTACHMENT_ID,ATTACHMENT_NAME,PUBLIC,SMS_REMIND,SMSTEL_REMIND,EMAIL_REMIND,OPTIONSTATE,NOTIFY_TYPE_ID) 
				values ('$LOGIN_USER_ID','$TO_ID','$SUBJECT','" . $_REQUEST["editor"] . "','$SEND_TIME','$BEGIN_DATE','$END_DATE','$ATTACHMENT_ID','$ATTACHMENT_NAME','" . $PUBLIC . "','" . $SMS_REMIND . "','" . $SMSTEL_REMIND . "','" . $EMAIL_REMIND . "','" . $OPTIONSTATE . "','" . $NOTIFY_TYPE_ID . "')";
    } else {
        $NOTIFY_DEPT = $_REQUEST['NOTIFY_DEPT'];
        $NOTIFY_PRIV = $_REQUEST['NOTIFY_PRIV'];
        $NOTIFY_USER = $_REQUEST['NOTIFY_USER'];

        $query = "INSERT INTO NOTIFY(FROM_ID,SUBJECT,DEPT_ID,PRIV_ID,USER_ID,CONTENT,SEND_TIME,BEGIN_DATE,END_DATE,ATTACHMENT_ID,ATTACHMENT_NAME,PUBLIC,SMS_REMIND,SMSTEL_REMIND,EMAIL_REMIND,OPTIONSTATE,NOTIFY_TYPE_ID) 
				values ('$LOGIN_USER_ID','$SUBJECT','" . $NOTIFY_DEPT . "','" . $NOTIFY_PRIV . "','" . $NOTIFY_USER . "','" . $_REQUEST["editor"] . "','$SEND_TIME','$BEGIN_DATE','$END_DATE','$ATTACHMENT_ID','$ATTACHMENT_NAME','" . $PUBLIC . "','" . $SMS_REMIND . "','" . $SMSTEL_REMIND . "','" . $EMAIL_REMIND . "','" . $OPTIONSTATE . "','" . $NOTIFY_TYPE_ID . "')";
    }

    exequery($connection, $query);
    $TABLE_ID = mysql_insert_id();
    $TABLE_NAME = "notify";
    for ($i = 0; $i < count($afpatth); $i++) {
        writetodatabase($TABLE_ID, $TABLE_NAME, $LOGIN_USER_ID, $afpatth[$i], $type[$i], $oldfn[$i], $size[$i]);
    }
    $SMS_CONTENT = $_lang["info_notity_to_inspection"] . "\n" . $_lang["info_rss_title"] . "：" . csubstr($SUBJECT1, 0, 100);
    $SEND_TIME = $BEGIN_DATE;
    $privflow = ",321,"; //信息审核
    $sql = "SELECT * FROM user_priv,user 
                    WHERE (user.USER_PRIV=user_priv.USER_PRIV or user.USER_SUB_PRIV=user_priv.USER_PRIV  or user.USER_ID='admin')
                    AND  INSTR(FUNC_ID_STR,'" . $privflow . "') > 0 
                    AND user.DEPT_ID > 0  GROUP BY user.USER_ID";
    $cursor = exequery($connection, $sql);
    $USER_ID_STRING = "";
    $arr_USER_ID = array();
    while ($ROW = mysql_fetch_assoc($cursor)) {
        $arr_USER_ID[] = $ROW;
    }
    foreach ($arr_USER_ID as $key => $val) {
        $USER_ID_STRING .= $val["USER_ID"] . ",";
    }
    $USER_ID_STRING = substr($USER_ID_STRING, 0, -1);
    
    
    if ($PUBLIC != 0) {
 
            sendSms($LOGIN_USER_ID, $USER_ID_STRING, $SMS_CONTENT, $SMS_REMIND = 1, $SMSTYPE = 21, $TABLE_NAME, $TABLE_ID);
 
    }
}
add_log(12, $_lang["info_rss_notify_log_add"], $LOGIN_USER_ID);
if ($OP == "0") {
    $NOTIFY_ID = $TABLE_ID;
}
$NOTIFY_TYPE_NAME = urlencode($NOTIFY_TYPE_NAME);
?>
<script type="text/javascript">
    window.location.href = "../index.php?search=<?= $search ?>&NOTIFY_TYPE_ID=<?= $NOTIFY_TYPE_ID ?>&NOTIFY_TYPE_NAME=<?= $NOTIFY_TYPE_NAME ?>";
</script>