<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/notify/manage/notify_type.php
 *@function:         公告类别管理
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-01-19
 *@file Version:     10.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
include_once("api/notify.class.php");
includelangpak("info,notify");
//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['func_id'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
$PAGE_TITLE = $_lang["info_notify_type_manage"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
.typeleft {
	float: left;
	border-right: 1px solid #D9D9D9;
    width:300px;
}
</style>
<title><?=$_lang["info_rss_news_type_manage"]?></title>
</head>
<body style="overflow:hidden;">
<div id="message"></div>
<div class="typeleft">
	<div class="lazy_header">
		<span class="lazy-list-title">
			<i class="fa fa-list-title"></i>
			<span class="tip"><?=$_lang["info_notify_type_manage"]?></span>
		</span>
		<button type="button" class="btn btn-primary" id="new"><?=$_lang["common_new"]?></button>
	</div>
	<div class="outsidediv" style="overflow-y:auto;overflow-x:hidden;">
		<div id="typelist" class="typelist"></div>
	</div>
</div>
<div id="typeinfo" class="typeinfo" style="margin-left:300px;">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["info_notify_type_new"]?></span>
		</span>	
		<button class="btn btn-primary" type="button" onclick="sendForm();"><?=$_lang["common_submit"]?></button>	
	</div>
	<div class="sortDiv" style="margin-left:10px;margin-top:5px;">
		<form id="form1" name="form1" action="/general/notify/manage/notify_type_do.php" method="POST">
			<table cellpadding="5" width="100%" class="form_table">
				<tr>
					<td class="title"><?=$_lang["info_notify_type_name"]?></td>
					<td><input class="require" type="text" name="TYPE_NAME" id="TYPE_NAME"></td>
				</tr>
				<tr>
					<td class="title"><?=$_lang["info_notify_type_number"]?></td>
					<td><input type="text" name="TYPE_NUM" id="TYPE_NUM"></td>
				</tr>
			</table>
			<input type="hidden" id="NOTIFY_TYPE_ID" name="NOTIFY_TYPE_ID">
			<input type="hidden" id="type" name="type">
		</form>
	</div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script language="javascript">
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$(".typelist").height($(window).height()).niceScroll();
	$("#typelist").LazyList({
		buttons:{
			buttonInfor:{
				"delete":{
					title:"<?=$_lang["notify_delete"]?>",
					func:function(data) {
						bootbox.confirm("<?=$_lang["notify_del_notify_type_or_not"]?>",function(result){
							if(result)
							{							
								delNotifyType(data.NOTIFY_TYPE_ID);
							}
						});
					}
				}
			}
		},
		param:{
			type:"typelist"
		},
		dataSource:"/general/notify/manage/notify_type_do.php",			
		itemListTemplate : "<span style='margin-left:20px;'>{NOTIFY_TYPE_NAME}</span>",
		onItemClick : function(ui,data) {
			showTypeInfo(data.NOTIFY_TYPE_ID);
		}
	});

	$("#new").click(function() {
		$("#NOTIFY_TYPE_ID").val("");
		$("#TYPE_NAME").addClass("require");
		$('#form1').resetForm();
		getMaxId();
		$(".tip").html("<?=$_lang["info_notify_type_new"]?>");
	});

	$(".arrow").LazyToggle({
		showTip : "<?=$_lang["notify_show_notify_type"]?>",
		hideTip : "<?=$_lang["notify_hide_notify_type"]?>",
		autoHide : false,
		onAfterShow : function() {			
			$(".typeleft").show();
			$(".typeinfo").css("margin-left","300px");
		},
		onAfterHide : function() {			
			$(".typeleft").hide();
			$(".typeinfo").css("margin-left","0px");
		}	
	});

	$("#TYPE_NAME").keyup(function() {
		$.trim($(this).val()) != "" ?$(this).removeClass("require"):$(this).addClass("require");
	});

	getMaxId();
});	

function showTypeInfo(notifyId) {
	var url = "/general/notify/manage/notify_type_do.php";
	var data = "type=typeinfo&NOTIFY_TYPE_ID="+notifyId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp) {
			if(resp) {
				jsonData = eval("("+resp+")");
				$("#TYPE_NAME").val(jsonData.NOTIFY_TYPE_NAME).removeClass("require");
				$("#TYPE_NUM").val(jsonData.NOTIFY_TYPE_PRO);
				$("#NOTIFY_TYPE_ID").val(jsonData.NOTIFY_TYPE_ID);
				$(".tip").html("<?=$_lang["info_notify_type_edit"]?>");
			}
		}
	});
}

function sendForm() {
	var notifytypeId = $("#NOTIFY_TYPE_ID").val();
	var type      = $("#NOTIFY_TYPE_ID").val()!=""?$("#type").val("updatetype"):$("#type").val("addtype");
	var typeName  = $.trim($("#TYPE_NAME").val());
	var typeNum   = $("#TYPE_NUM").val();
	var validChar = /^[\u4e00-\u9fa5\da-zA-Z\-\_]+$/;
	var url       = "/general/notify/manage/notify_type_do.php";
	var data      = "type="+type+"&TYPE_NAME="+typeName+"&TYPE_NUM="+typeNum+"&NOTIFY_TYPE_ID="+notifytypeId;
	
	if(typeName == "") {
		$.pnotify({
			text:"<?=$_lang["notify_type_name_not_null"]?>",
			type:"error"
		});
		return false;
	}
	
	if(validChar.test(typeName))
	{
		$.ajax({
				url:"/general/notify/manage/do.php?notify_type_str="+encodeURIComponent(typeName)+"&notify_type_num="+typeNum+"&notify_type_id="+notifytypeId+"&operate=checkname_notify",
				success:function(result)
				{
					if(result=="success")
					{
						$("#form1").ajaxSubmit({
							success:function()
							{
								$.pnotify({
									text:"<?=$_lang["notify_save_success"]?>",
									type:"success"
								});
								$("#typelist").LazyList("reload");
								if(notifytypeId == "")
								{
									$("input").each(function(){
										if(this.type == "text" || this.type=="hidden") {
											this.value = "";
										}
									});
								}
								notifytypeId == "" ?$("#TYPE_NAME").addClass("require"):$("#TYPE_NAME").removeClass("require");
								$(".typelist").getNiceScroll().resize();
							}
						});
					}
					else
					{
						$.pnotify({
							text:"<?=$_lang["info_the_type_name_have"]?>",
							type:"error"
						});
					}
				}
		});
	}
	else
	{
		$.pnotify({
			text:"<?=$_lang["info_notify_type_nametype"]?>",
			type:"error"
		});
	}
}

//删除公告分类
function delNotifyType(notifyTypeId)
{
	var url = "/general/notify/manage/notify_type_do.php";
	var datas = "type=delete&NOTIFY_TYPE_ID="+notifyTypeId;
	$.ajax({
		type:"POST",
		url:url,
		data:datas,
		success:function(resp) {
			$.pnotify({
				text:"<?=$_lang["notify_delete_success"]?>",
				type:"success"
			});
			$("#typelist").LazyList("reload");
			$(':input').each(function() {
				if (this.type == 'text')
				  this.value = "";
			});
			$("#TYPE_NAME").addClass("require");
			$(".typelist").getNiceScroll().resize();
		}
	});
}

function getMaxId()
{
	var url  = "/general/notify/manage/notify_type_do.php";
	    data = "type=getMaxId";
		maxId = '';
		$.ajax({
			type:"POST",
			url:url,
			data:data,
			async:false,
			success:function(resp)
			{
				if(resp)
				{
					maxId = parseInt(resp)+parseInt(1);
				}
			}
		});
		$("#TYPE_NUM").val(parseInt(maxId));
}
</script>