<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/notify/show/index.php
 *@function:         公告查看页面
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-28
 *@file Version:     3.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/notify.class.php");
includelangpak("info,notify");
//安全性判断
include_once('inc/utility.php');
if(!I(request_var('func_id'))){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
//判断是否传入typeid
$type_id = 0;
if(isset($_REQUEST['dirID']) && !empty($_REQUEST['dirID'])) {
	$type_id = $_REQUEST['dirID'];
}
$notify = new notify();
$notifytypeInfo = $notify->GetNotifyType('',array('NOTIFY_TYPE_ID','NOTIFY_TYPE_NAME'));
$returnInfo = array();
foreach($notifytypeInfo as $key=>$value) {
    array_push($returnInfo,array('key'=>$value["NOTIFY_TYPE_ID"],'title'=>$value["NOTIFY_TYPE_NAME"]));
}
array_unshift($returnInfo,array('key'=>'','title'=>$_lang["notify_all"]));
$encodeTypeInfo = json_encode($returnInfo);
$notify->checkNotify();
$page_purview = 321;
$func_id        = 1;
$array          = checkReminds($func_id);
$sms_modify     =  $array[3];
$smstel_modify  =  $array[4];
$email_modify   =  $array[5];
$PAGE_TITLE = $_lang["info_rss_notify_read"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui-daterangepicker/css/ui.daterangepicker.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<!--<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/square/_all.css">
<style>
.outsidediv {float: left;border-right: 1px solid #D9D9D9;width:100%;}
</style>
</head>
<body>
<div id="listdiv" class="listdiv">
    <?php if($_REQUEST['listType'] != 'search_notify'){?>
	<div id="notifytypeinfo" class="notifytypes" style="float:left;width:201px;overflow: hidden;">
		<div class="outsidediv" style="overflow-y:auto;overflow-x:hidden;">
			<div class="lazy_header">
				<span class="lazy-list-title">
					<i class="fa fa-list-title"></i>
					<span class="tip" style="cursor:pointer;"><?=$_lang["notify_all_notifys"]?></span>
				</span>
			</div>
			<div id="notifytypelist" class="notifytypelist"></div>
		</div>
	</div>
    <?php }?>
    <div id="notifysinfo" class="notifys" style="overflow-y:auto;">
        <?php if($_REQUEST['listType'] != 'search_notify'){?>
		<div class="lazy_header">
			<div id="typeleft"></div>
			<div id="notifyfilter" style="height:0px;"></div>
			<div id="notifysearch" style="float:right;margin-top:6px;"></div>
		</div>
        <?php }?>
		<div class="notifylist" id="notifylist"></div>		
	</div>
</div>
<div id="editdiv" class="editdiv" style="display:none">
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["info_rss_notify_edit"]?></span>
		</span>
		<button class="btn btn-default" type="button" id="back"><?=$_lang["common_back"]?></button>		
		<button class="btn btn-primary" type="button" id="new" onClick="sendForm();"><?=$_lang["common_save"]?></button>
	</div>
	<div class="editcontent" id="editcontent">
		<form id="form1" name="form1" method="POST" action="/general/notify/show/update.php" enctype="multipart/form-data">
		<table border="0" width="100%" class="form_table">
			<tr>
				<td nowrap class="title"><?=$_lang["info_notify_title"]?></td>
				<td>
					<input  class="require" type="text" name="SUBJECT" id="SUBJECT" size="31" maxlength="100" class="text">
				</td>
			</tr>
			<tr>
				<td nowrap class="title"><?=$_lang["info_notify_type"]?></td>
				<td>
					<select id="notifytypes_sel" name="notifytypes_sel" style="width:179px">
						<option value="0" ><?=$_lang["info_rss_news_chose_type"]?></option>
						<?
						foreach($notifytypeInfo as $key=>$value) {
						?>
							<option value="<?=$value["NOTIFY_TYPE_ID"]?>"><?=$value["NOTIFY_TYPE_NAME"]?></option>
						<?
						}
						?>
					</select>
				</td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["info_notify_publish"]?></td>
				<td>
					<input type="radio"  class='radio' id="PUBLIC" name="PUBLIC" value="0">
					&nbsp;&nbsp;&nbsp;<?=$_lang["info_rss_news_outline"]?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<?
                    if(find_id($LOGIN_FUNC_STR,$page_purview))
                    {
                    ?>
                        <input type="radio" class='radio' id="PUBLIC" name="PUBLIC" value="1">
                    &nbsp;&nbsp;&nbsp;<?=$_lang["info_rss_news_official"]?>
                    <?
                    } else {
                    ?>
                        <input type="radio" class='radio' id="PUBLIC" name="PUBLIC" value="2">&nbsp;&nbsp;&nbsp;<?=$_lang["info_submit_inspection"]?>  
                    <?
                    }
                    ?>
				</td>
			</tr>
			<tr>
				<td nowrap class="title"><?=$_lang["info_rss_notify_attach"]?></td>
				<td>				
					<div class="HAS_ATTACHMENT" style="display:none;">
						<div class="attachmentShow"></div>
					</div>
					<div class="NO_ATTACHMENT" style="margin-top:5px;">
						<input type="file" id="file_elem" name="file_elem">
						<input type="hidden" name="attachmentIDStr" id="attachmentIDStr"/>
						<input type="hidden" name=" attachmentNameStr" id="attachmentNameStr"/>
					</div>
				</td>
			</tr>			
			<tr>
				<td nowrap class="title"> <?=$_lang["info_rss_notify_validity"]?></td>
				<td colspan="3">
					<table cellpadding="0" cellspacing="0" border="0">
						<tr>
							<td>
								<input class='Wdate' type="text" name="BEGIN_DATE" id="BEGIN_DATE" value="" size="12" maxlength="10"/>
							</td>
							<td>&nbsp;--&nbsp;</td>
							<td>
								<input class='Wdate' type="text" name="END_DATE" id="END_DATE" value="<?=$END_DATE?>" size="12" maxlength="10"/>
							</td>
							<td>
								&nbsp;&nbsp;(<?=$_lang["info_rss_notify_val_exp_1"]?>)
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<?
			if(ifSendMbSms('message')==true || ifSendMbSms()==true || ifSendMbSms('email')==true)
			{
				if($sms_modify=='1' || $smstel_modify=='1' || $email_modify=='1')
				{
			?>			
			<tr>
				<td class="title"><?=$_lang["info_notify_remind_sms"]?></td>
				<td>
					<table border="0" cellpadding="0" cellspacing="0">
						<tr>
						<?
						if(ifSendMbSms('message'))
						{
						?>
							<td>
								<div class="smsdiv" style="display:none;">
									<input id="SMS_REMIND" type="checkbox" name="SMS_REMIND">&nbsp;&nbsp;
									<label for="sms_remind"><?=$_lang["info_notify_remind"]?></label>
								</div>
							</td>
						<?
						}
						if(ifSendMbSms()) {
						?>
							<td>
								<div class="teldiv" style="display:none;">
									&nbsp;&nbsp;<input id="SMSTEL_REMIND" type="checkbox" class='checkbox' name="SMSTEL_REMIND">
									&nbsp;&nbsp;<span><?=$_lang["info_sms_remind"]?></span>
								</div>
							</td>
						<?
						}
						if(ifSendMbSms('email'))
						{	
						?>
							<td>
								<div class="emaidiv">
									&nbsp;&nbsp;<input id="EMAIL_REMIND" type="checkbox" class='checkbox' name="EMAIL_REMIND">
									&nbsp;&nbsp;<span><?=$_lang["info_email_remind_show"]?></span>
								</div>	
							</td>
						<?
						}
						?>
						</tr>
					</table>
				</td>
			</tr>
			<?
				}
			}
			?>
			<tr>
				<td nowrap class="title"><?=$_lang["info_rss_notify_where_see"]?></td>
				<td>					
					<select id="TO_ID" name="TO_ID" onChange="asset_scope(this);" style="width:179px">
						<option id="1" value="ALL_DEPT"><?=$_lang["notify_all_member"]?></option>
						<option id="2" value="asset_dept"><?=$_lang["notify_designated_area"]?></option>
					</select>
				</td>
			</tr>
			<tr style="height:0px;">
				<td colspan="2">
					<div id="asset_scope_div">
						<table class="form_table" border="0">
							<tr>
								<td nowrap class="title"><?= $_lang["common_dept"] ?></td>
								<td style="vertical-align:bottom;">
									<div class="deptdiv" id="deptdiv" style="float:left;">
										<textarea cols='31' id="NOTIFY_DEPT_NAME" name="NOTIFY_DEPT_NAME" rows="4" class="textarea" wrap="yes" style="overflow:auto" readonly><?=$THIS_DEPT_NAME?></textarea>
										<button type="button" class="btn btn-primary"  style="vertical-align:bottom;" onClick="LoadWindowDept('NOTIFY_DEPT','NOTIFY_DEPT_NAME','form1','600','600');"><?= $_lang["common_choose"]?></button>
										<button type="button" class="btn btn-danger"  style="vertical-align:bottom;" onClick="clearConten('NOTIFY_DEPT','NOTIFY_DEPT_NAME')"><?= $_lang["common_empty"] ?></button>
									</div>
									<input type="hidden" id="NOTIFY_DEPT" name="NOTIFY_DEPT" value="<?=$THIS_DEPT?>" >
									<input type="hidden" id="NOTIFY" value="<?=$this_id?>" name="NOTIFY">
								</td>
							</tr>
							<tr>
								<td nowrap class="title"><?= $_lang["common_role"] ?></td>
								<td style="vertical-align:bottom;">
									<div class="rolediv" id="rolediv" style="float:left;">
										<textarea cols='31' id="NOTIFY_PRIV_NAME" name="NOTIFY_PRIV_NAME" rows="4" class="textarea" wrap="yes" style="overflow:auto" readonly><?=$THIS_PRIV_NAME?></textarea>
										<button type="button" class="btn btn-primary" style="vertical-align:bottom;"  onClick="LoadWindowPriv('NOTIFY_PRIV','NOTIFY_PRIV_NAME','form1');"><?= $_lang["common_choose"] ?></button>
										<button type="button" class="btn btn-danger"  style="vertical-align:bottom;" onClick="clearConten('NOTIFY_PRIV','NOTIFY_PRIV_NAME');"><?=$_lang["common_empty"]?></button>
									</div>
									<input type="hidden" id="NOTIFY_PRIV" name="NOTIFY_PRIV" value="<?=$THIS_PRIV?>">
									<input type="hidden" value="<?=$this_id?>" id="NOTIFY" name="NOTIFY">
								</td>
							</tr>
							<tr>
								<td nowrap class="title"><?= $_lang["common_user"] ?></td>
								<td style="vertical-align:bottom;">
									<div class="userdiv" id="userdiv" style="float:left;">
										<textarea cols='31' id="NOTIFY_USER_NAME" name="NOTIFY_USER_NAME" rows="4" class="textarea" wrap="yes" style="overflow:auto" readonly><?=$THIS_USER_NAME?></textarea>
										<button type="button" class="btn btn-primary" style="vertical-align:bottom;" onClick="LoadWindowUser('NOTIFY_USER','NOTIFY_USER_NAME','form1','600','600');" ><?= $_lang["common_choose"]?></button>
										<button type="button" class="btn btn-danger" style="vertical-align:bottom;" onClick="clearConten('NOTIFY_USER','NOTIFY_USER_NAME')"><?=$_lang["common_empty"]?></button>		
									</div>
									<input type="hidden" id="NOTIFY_USER" name="NOTIFY_USER" value="<?=$THIS_USER?>" >
									<input type="hidden" value="<?=$this_id?>" id="NOTIFY" name="NOTIFY">
								</td>
							</tr>
						</table>
					</div>						
				</td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["notify_content"]?></td>
				<td width="80%">
					<div id="editor"></div>
					<script id="editor" type="text/plain"></script>
				</td>
			</tr>
		</table>
		<input type="hidden" id="NOTIFY_ID" name="NOTIFY_ID">
		<input type="hidden" id="ATTACHMENT_OLD_ID" value="ATTACHMENT_OLD_ID">
		<input type="hidden" id="ATTACHMENT_OLD_NAME" value="ATTACHMENT_OLD_NAME">
		<input type="hidden" id="TYPE_ID" name="TYPE_ID">
		<input type="hidden" id="FILTER_DATA" name="FILTER_DATA">
		</form>
	</div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/date.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/daterangepicker.jQuery.compressed.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/inc/common.js" ></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>
<script language="javascript">
var parseNotifyType= $.parseJSON('<?=$encodeTypeInfo?>');
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;
    $('#notifysinfo').height($(window).height() -42).niceScroll();
    $('.outsidediv').height($(window).height()-42).niceScroll();
    
	//附件美化
	$("#file_elem").Upload({
		uploadType:'OTHER',
		removeCompleted:true,
		//每个文件上传成功后的回调函数,每个文件上传成功后把附件的ID和Name写入隐藏的input中，这样可以随form的提交一起提交到后台   
		onUploadSuccess:function(attachmentID,attachementName){	
            $("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");  
            $("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");   
		},  
		//所有附件上传完成,触发form提交   
		onQueueComplete:function(){
			$("#form1").ajaxSubmit({
				url:"/general/notify/manage/update.php",
				success:function(resp) {
					$.pnotify({
						text:"<?= $_lang["notify_save_success"] ?>",
						type:"success"
					});
					$(".editdiv,.listdiv").toggle();
					$("#notifylist").LazyTable("reload", {
						param:{
							type:"list",
							notifytype:$("#TYPE_ID").val(),
							filter:$("#FILTER_DATA").val()
						}
					});
				}
			});
		}
	});
	//表单提交时附件的处理
	$("#submit-form").click(function() {
		$("#file_elem").uploadify("upload", "*");
	});
	$("#BEGIN_DATE,#END_DATE").datepicker({dateFormat: "yy-mm-dd"});
	$("button").click(function() {
		if(this.id == "back"){
			$(".editdiv").css("display","none");
			$(".listdiv").css("display","block");
		}
	});

	$("#notifylist").LazyTable({
		buttons:{
			buttonInfor : {
				"detail":{
					isDefault:true,
					title:"<?= $_lang["notify_show"] ?>",
					func:function(data) {
						window.open("read_notify.php?NOTIFY_ID="+data.NOTIFY_ID);
					}
				},				
				"delete" : {
					title : "<?= $_lang["notify_delete"] ?>",
					func : function(data) {
						bootbox.confirm("<?= $_lang["notify_confirm_del"] ?>", function(result) {
							if(result) {
								deleteNotify(data.NOTIFY_ID,'');
							}
						});
					}
				},
				"begin" : {
					title : "<?= $_lang["info_rss_notify_turing"] ?>",
					func : function(data) {
						notifyOpt('setbegin',data.NOTIFY_ID)
					}
				},
				"end":{
					title:"<?= $_lang["info_rss_notify_stoping"] ?>",
					func:function(data) {
						notifyOpt('setend',data.NOTIFY_ID);
					}
				},
				"view":{
					title:"<?= $_lang["info_rss_notify_read_state"] ?>",
					func:function(data) {
						window.open("/general/notify/manage/show_reader.php?NOTIFY_ID="+data.NOTIFY_ID);
					}
				},
				"edit":{
					title:"<?= $_lang["info_remind_edit"] ?>",
					func:function(data) {
						$(".listdiv").css("display","none");
						$(".editdiv").css("display","block");
						$("#notifytype").selectpicker({
							dataSource:"/general/notify/manage/notify_type_do.php",
							param:{
								type:"newtypelist"
							}
						});
						$('input').iCheck({
							checkboxClass : 'icheckbox_square-blue',
							radioClass : 'iradio_square-blue'
						});
						$("#notifytypes_sel,#TO_ID").selectpicker({width:"205"});
						var editor = UE.getEditor("editor",{
							zIndex:1
						});
						notifyEdit(data.NOTIFY_ID);
					}
				}
			},
			filter:function(data) {
				if(data.FROM_ID=="<?= $_SESSION["LOGIN_USER_ID"] ?>" || "admin" == "<?= $_SESSION["LOGIN_USER_ID"] ?>") {
					if(data.OPTIONSTATE==2){
						if(data.PUBLIC == 1){
							return ["detail","delete","begin","view"];
						}else {
							return ["edit","delete","detail","view"];
						}
					}else {
						if(data.PUBLIC == 1) {
							if(data.OPTIONSTATE == 0){
								return ["detail","begin","delete"];
							}else{
								return ["detail","delete","end","view"];
							}
						}else {
							return ["edit","detail","delete"];
						}
					}
				} else {
					if(data.OPTIONSTATE == 1){
						return ["detail","view"];
					}else{
						return ["detail"];
					}
				}
			}
		},
		batchButtons : [{
			title : "<?= $_lang["notify_batch_del"] ?>",
			func : function(data) {
				if(data == "") {
					$.pnotify({
						text:"<?= $_lang["notify_select_del_item"] ?>",
						type:"error"
					});
					return false;
				}
				bootbox.confirm("<?= $_lang["notify_confirm_batch_del"] ?>", function(result) {
					if(result)
					{
						var notifyId = "";
						$.each(data,function(key,value) {
							notifyId += value.NOTIFY_ID+",";
						});
						notifyId = notifyId.substring(0,notifyId.length-1);
						deleteNotify(notifyId,'1');
					}
				});
			}
		}],
		column : [{
                    key:"checkall",
                    showCheckAll:function(data){
                       if(data.FROM_ID == "<?= $_SESSION["LOGIN_USER_ID"] ?>" || "admin" == "<?= $_SESSION["LOGIN_USER_ID"] ?>"){
                           return true;
                       }
                    }

                },
                {key:"SUBJECT",title:"<?= $_lang["info_rss_title"] ?>",width:"200px",template:function(data) {
                    if(data.READ_FLAG == 1 && data.PUBLIC == '1'){
                        return data.SUBJECT+'<span style="margin-left:5px;"><i class="fa fa-star" style="color:red;"></i></span>';
                    }else{
                        return data.SUBJECT;
                    }
                }}, 
                {key:"NOTIFY_TYPE",title:"<?= $_lang["info_notify_type"] ?>",width: "100px"},
                {key:"SEND_TIME_LIST",title:"<?= $_lang["info_rss_news_rele_time"] ?>",width: "150px"},
                {key:"STATUS",title:"<?= $_lang["info_notify_publish"] ?>",width: "80px"},
                {key:"BEGIN_DATE",title:"<?= $_lang["info_rss_notify_eff_date"] ?>",width: "80px"},
                {key:"END_DATE",title:"<?= $_lang["info_rss_notify_end_time"] ?>",width: "80px"},
                {key:"NOTIFY_PURVIEW",title : "<?= $_lang["info_rss_notify_where_see"] ?>",width: "60px"},				  
                {key:"FROM_USER",title:"<?= $_lang["info_rss_news_rele_user"] ?>",width: "60px"}],
		dataSource : "index_do.php",
		param : {
			type:"list",
			sortField : "SEND_TIME",
			sortType : "DESC",
			notifyType : "<?= $type_id; ?>"
		},
		sort : {
			items : [{key : "SUBJECT",title : "<?= $_lang["info_rss_title"] ?>"},
					 {key : "BEGIN_DATE",title : "<?= $_lang["notify_begin_date"] ?>"},					 
					 {key : "END_DATE",title : "<?= $_lang["notify_end_date"] ?>"},
					 {key : "SEND_TIME",title : "<?= $_lang["info_rss_news_rele_time"] ?>"}],
			onItemClick : function(key, sortType) {
				$("#notifylist").LazyTable("reload",{
					param:{
						type:"list",
						notifytype:$("#TYPE_ID").val(),
						sortField:key,
						sortType:sortType
					}
				},true);
			}
		},
		onAfterLoad:function(){
			$(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});
			$(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });	
            $('#notifysinfo').height($(window).height() -42).niceScroll();
		}
	});
    $('.notifytypelist').height($(window).height()-42).niceScroll();
	$(".notifylist").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".notifylist").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});
	$(".notifylist").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
			if ($(".notifylist").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$(".notifylist").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$(".notifylist").find(".lazy_table_checkall").prop("checked", false);
		}
		$(":checkbox").iCheck('update'); 
	});
	$("#notifytypelist").LazyList({
		width:200,
		param:{
			type:"typelist"
		},
		dataSource:"index_do.php",
		itemListTemplate:"<span style='margin-left:20px;'>{NOTIFY_TYPE_NAME}({COUNT})</span>",
		onItemClick:function(ui,data) {
			$("#TYPE_ID").val(data.NOTIFY_TYPE_ID);
			$("#notifylist").LazyTable("reload",{
				param:{
					type:"list",
					notifytype:data.NOTIFY_TYPE_ID
				},page:{
                    currentPage:0,
                }
			});
			$("#notifyfilter").LazyFilter("select","all");
		}
	});
	if('<?= $_REQUEST['listType'] ?>' == 'search_notify'){
        $("#notifysinfo").css("margin-left", "0px");
        $(".notifylist").LazyTable("reload", {
            param : {
                type:"list",
                SUBJECT:'<?= $_REQUEST['SUBJECT'] ?>',
            }
        });
    }
    if(<?= $type_id ?> == 0) {
		$("#typeleft").LazyToggle({
			showTip : "<?= $_lang["notify_show_notify_type"] ?>",
			hideTip : "<?= $_lang["notify_hide_notify_type"] ?>",
			autoHide : false,
			onAfterShow : function() {
				$("#notifytypeinfo").show();
				$("#notifysinfo").css("margin-left", "201px");
			},
			onAfterHide : function() {
				$("#notifytypeinfo").hide();
				$("#notifysinfo").css("margin-left", "0px");
			}
		});
	}
	if(<?= $type_id ?>) {
	    $("#notifytypeinfo").hide();
		$("#notifysinfo").css("margin-left", "0px");
	}
	$("#notifyfilter").LazyFilter({
		more : {
				header : "<?= $_lang["notify_more_filter"] ?>",
				dataSource : {
					"time":{
						title:"<?= $_lang["notify_publish_time"] ?>",
						subItems:{
							"day":"<?= $_lang["notify_last_3d"] ?>",
							"week":"<?= $_lang["notify_last_7d"] ?>",
							"month":"<?= $_lang["notify_last_1m"] ?>"
						}
					}
				}
			},
		 //常用筛选 直接显示在列表上方
		 common : {
			 template : "{title}",	//模版			 
			 dataSource : [{
			 	key:"all",
			 	title:"<?= $_lang["notify_all"]?>",
			 	isDefault:true
			 }, {
			 	key:"unread",
			 	title:"<?= $_lang["notify_unread"] ?>"
			 }, {
			 	key:"hasExpired",
			 	title:"<?=$_lang['notify_has_expired']?>"
			 }]						 
         },
		 onClick : function(data) {		//单击回调函数  data为定义的筛选数据结构
		 	 $("#FILTER_DATA").val(data);

			 $("#notifylist").LazyTable("reload",{
				param:{
					type:"list",
					notifytype:$("#TYPE_ID").val(),
					filter:data
				}
			 });
			 $("#notifysearch").LazySearch("resetAdvancedSearch");
		 }
	});
	$("#notifysearch").LazySearch({
		tip:"<?= $_lang["notify_enter_keyword"] ?>",
		mode:"mini",
		url:"/general/notify/show/index_do.php",
		param:{
			type:"list"
		},
		fieldSearch : {
			onItemClick : function(data,value) {
				$("#TYPE_ID").val('');
				$(".notifylist").LazyTable("reload", {
					param : {
						type:"list",
						SUBJECT:value
					}
				});
				$("#notifyfilter").LazyFilter("select","all");
			},
			items : [{key : "subject",title : "<?= $_lang["notify_title_contain"] ?>"}]
		},
		advancedSearch : {
			onSearch : function(data) {
				$("#TYPE_ID").val('');
				$(".notifylist").LazyTable("reload", {
					param : {
						type:"list",
						searchData:data
					}
				});
				$("#notifyfilter").LazyFilter("select","all");
			},
			items : [{
				key : "SUJECT",
				title : "<?= $_lang["info_notify_title"] ?>",
				type : "text"
			}, {
				key : "FROM_ID",
				title : "<?= $_lang["info_rss_news_rele_user"] ?>",
				type : "text"
			}, {
				key : "SEND_TIME",
				title : "<?= $_lang["info_rss_news_rele_time"] ?>",
				type : "text"
			}, {
				key : "NOTIFY_TYPE_ID",
				title : "<?= $_lang["info_notify_type"] ?>",
				type : "select",
				dataList:parseNotifyType
			}, {
				key : "NOTIFY_FLAG",
				title : "<?= $_lang["info_notify_publish"] ?>",
				type : "select",
				dataList:[{key:"",title:"<?= $_lang["notify_all"] ?>"},
						  {key:"draft",title:"<?= $_lang["info_rss_news_outline"] ?>"},
						  {key:"approve",title:"<?= $_lang["info_inspection"] ?>"},
						  {key:"public",title:"<?= $_lang["info_news_pub"] ?>"}]
			}, {
				key : "PUBLIC_TIME",
				title : "<?= $_lang["notify_begin_end_time"] ?>",
				type : "text"
			}]
		},
		onClearButtonClick:function()
		{
			$(".notifylist").LazyTable("reload", {
				param : {
					type:"list",
					SUBJECT:''
				}
			});
		}
	});
	$("#SUBJECT").keyup(function() {
		$.trim($(this).val()) == ""?$(this).addClass("require"):$(this).removeClass("require");
	});
	//公告提醒配置信息
	var remindInfo = showRemind('2');
	var jsonData = eval("("+remindInfo+")");
	//内部消息显示
	if(jsonData.sms_modify == 1)
	{
		$(".smsdiv").css("display","block");
	}
	//手机短信显示
	if(jsonData.smstel_modify == 1)
	{
		$(".teldiv").css("display","block");	
	}
	//内部邮件显示
	if(jsonData.email_modify == 1)
	{
		$(".emaildiv").css("display","block");	
	}
	$(".tip").click(function() {
		$("#TYPE_ID").val('');
		$("#notifylist").LazyTable("reload",{
			param:{
				type:"list",
				notifytype:""
			}
		});
		$("#notifytypelist").LazyList("reload",{
			param:{
				type:"typelist"
			},
			dataKey:"NOTIFY_TYPE_ID",
			defaultKey:''
		});
		$("#TYPE_ID").val('');
	});
	$("input[key='PUBLIC_TIME']").daterangepicker({
		presetRanges : [{
			text : ExtLang.Today,
			dateStart : 'today',
			dateEnd : 'today'
			}, {
			text : Flowlang.yesterday,
			dateStart : 'today-1days',
			dateEnd : 'today-1days'
			}],
		dateFormat: "yy-m-d",
        rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
		rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
		rangeSplitter: "~",
		doneButtonText: EOlang.msgSubmit,
		presets: {
			dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
		}
	});
	$("input[key='SEND_TIME']").daterangepicker({
		presetRanges : [{
			text : ExtLang.Today,
			dateStart : 'today',
			dateEnd : 'today'
			}, {
			text : Flowlang.yesterday,
			dateStart : 'today-1days',
			dateEnd : 'today-1days'
			}],
		dateFormat: "yy-m-d",
		rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
		rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
		rangeSplitter: "~",
		doneButtonText: EOlang.msgSubmit,
		presets: {
			dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
		}
	});
	$(".outsidediv").height($(window).height());
});
var now = new Date();                    //当前日期   
var nowDayOfWeek = now.getDay();         //今天本周的第几天   
var nowDay   = now.getDate();              //当前日   
var nowMonth = now.getMonth();           //当前月   
var nowYear  = now.getYear();             //当前年   
var countsumit = 1;
nowYear += (nowYear < 2000) ? 1900 : 0;
//获得本季度的开始月份
function getQuarterStartMonth(){
	var quarterStartMonth = 0;
	if(nowMonth<3){
		quarterStartMonth = 0;
	}
	if(2<nowMonth && nowMonth<6){
		quarterStartMonth = 3;
	}
	if(5<nowMonth && nowMonth<9){
		quarterStartMonth = 6;
	}
	if(nowMonth>8){
		quarterStartMonth = 9;
	}
	return quarterStartMonth;
}
function deleteNotify(notifyId,batch) {
	var url   = "/general/notify/show/index_do.php";
	var datas = "type=delete&NOTIFY_ID="+notifyId+"&BATCH="+batch;
	$.ajax({
		type:"POST",
		url:url,
		data:datas,
		success:function(resp) {
			if(resp == 1) {
				$.pnotify({
					text:"<?=$_lang["notify_delete_success"]?>",
					type:"success"
				});
				$("#notifylist").LazyTable("reload",{
					param:{
						type:"list",
						notifytype:$("#TYPE_ID").val(),
						filter:$("#FILTER_DATA").val()
					}
				});
				$("#notifytypelist").LazyList("reload",{
					param:{
						type:"typelist"
					},
					dataKey:"NOTIFY_TYPE_ID",
					defaultKey:$("#TYPE_ID").val()
				});
			}
		}
	});
}
function asset_scope(self){
	if (self.value == "asset_dept") {
		$("#asset_scope_div").show();
	} else {
		$("#asset_scope_div").hide();
	}
	//$("#asset_scope_div").toggle();
}
function notifyEdit(notifyId) {
	var url  = "/general/notify/show/index_do.php";
	var data = "type=edit&NOTIFY_ID="+notifyId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(result) {
			if(result) {
				var jsonData = eval("("+result+")");
				var editor = UE.getEditor("editor",{
					zIndex:100
				});
				$.each(jsonData,function(key,value) {
					$("#SUBJECT").val(value.SUBJECT).removeClass("require");						
					value.NOTIFY_TYPE_ID != "000000"?$("#notifytypes_sel").selectpicker("val",value.NOTIFY_TYPE_ID):"";
					$("#BEGIN_DATE").val(value.BEGIN_DATE);
					$("#END_DATE").val(value.END_DATE!='0000-00-00'?value.END_DATE:'');
					value.SMS_REMIND == 1?$("#SMS_REMIND").iCheck("check"):"";
					value.SMSTEL_REMIND == 1?$("#SMSTEL_REMIND").iCheck("check"):"";
					value.EMAIL_REMIND == 1?$("#EMAIL_REMIND").iCheck("check"):"";
					$("#NOTIFY_ID").val(value.NOTIFY_ID);
					var toId = value.DEPT_ID=="ALL_DEPT"?"ALL_DEPT":"asset_dept";
					$("#TO_ID").selectpicker("val",toId);
					$("#PUBLIC[value='"+value.PUBLIC+"']").iCheck("check");
					$("#NOTIFY_ID").val(notifyId);
					if(toId == "asset_dept"){
						$("#asset_scope_div").css("display","block");
						if(value.DEPT_ID != ""){
							$("#NOTIFY_DEPT_NAME").html(value.DEPT_NAME);
							$("#NOTIFY_DEPT").val(value.DEPT_ID);
						}
						if(value.PRIV_ID != ""){
							$("#NOTIFY_PRIV_NAME").html(value.PRIV_NAME);
							$("#NOTIFY_PRIV").val(value.PRIV_ID);
						}
						if(value.USER_ID != ""){
							$("#NOTIFY_USER_NAME").html(value.USER_NAME);
							$("#NOTIFY_USER").val(value.USER_ID);
						}
					}else{
						$("#asset_scope_div").css("display","none");					
					}
					if(value.ATTACHMENT_ID != ""){
						$('.HAS_ATTACHMENT,.NO_ATTACHMENT').css("display","block");
						$("#attachmentIDStr").val(value.ATTACHMENT_ID);
						$("#attachmentNameStr").val(value.ATTACHMENT_NAME);
						notifyAttachmentShow(notifyId);
					}else{
						$(".HAS_ATTACHMENT").css("display","none");
					}
					$('#new').removeClass('disabled');
					countsumit = 1;
					if (value.CONTENT) {
						editor.setContent(value.CONTENT);
					}
				});
			}


		}
	});
	$(".title").css("width","18%");
}
function notifyOpt(type,notifyId){
	var url      = "/general/notify/show/index_do.php";
	var datas    = "type="+type+"&NOTIFY_ID="+notifyId;
	$.ajax({
		type:"POST",
		url:url,
		data:datas,
		success:function(resp) {
			if(resp == 1) {
				$.pnotify({
					text:"<?=$_lang["info_vote_opt_success"]?>",
					type:"success"
				});
				$("#notifylist").LazyTable("reload", {
					param:{
						type:"list",
						notifytype:$("#TYPE_ID").val(),
						filter:$("#FILTER_DATA").val()
					}
				});
			}
		}
	});
}

function sendForm() {
	if ($("#file_elem").Upload("getUploadCount") > 0) {        
		$("#file_elem").uploadify("upload", "*");
	}else{
		var SUBJECT = $.trim($("#SUBJECT").val());
		var TO_ID   = $("#TO_ID").val();
		var BEGIN_DATE = $("#BEGIN_DATE").val();
		var END_DATE   = $("#END_DATE").val();
		var now_time   = new Date();
		var year       = now_time.getFullYear();
		var month      = now_time.getMonth()+1;
		var day        = now_time.getDate();
		var editor     = UE.getEditor('editor');
		var Content    = editor.getContent();
		if(SUBJECT==""){
			$.pnotify({
				text:"<?=$_lang["info_rss_title_null"]?>",
				type:"error"
			});
			return (false);
		}
		if(month<10){
			if(day<10){
				var time_show  = year+"-0"+month+"-0"+day;	
			}else{
				var time_show  = year+"-0"+month+"-"+day;	
			}
		}else{
			if(day<10){
				var time_show  = year+"-"+month+"-0"+day;
			}else{
				var time_show  = year+"-"+month+"-"+day;
			}
		}
		if(BEGIN_DATE < time_show && END_DATE < time_show){
			if(BEGIN_DATE == ""){
				$.pnotify({
					text:"<?=$_lang["info_notify_time_null"]?>",
					type:"error"
				});
				return false;
			}else{
				$.pnotify({
					text:"<?=$_lang["info_notify_times"]?>",
					type:"error"
				});
				$("#BEGIN_DATE").val("");
				$("#END_DATE").val("");
				return false;	
			}
		}else if(BEGIN_DATE < time_show){
			if(BEGIN_DATE == ""){
				$.pnotify({
					text:"<?=$_lang["info_notify_time_null"]?>",
					type:"error"
				});
				return false;
			}else{
				$.pnotify({
					text:"<?=$_lang["info_notify_new_begintime"]?>",
					type:"error"
				});
				$("#BEGIN_DATE").val("");
				return false;
			}
		}else if(END_DATE < time_show){
			if(END_DATE != ""){
				$.pnotify({
					text:"<?=$_lang["info_notify_new_endtime"]?>",
					type:"error"
				});
				$("#END_DATE").val("");
				return false;	
			}
		}else if(BEGIN_DATE > END_DATE){
			$.pnotify({
				text:"<?=$_lang["info_notify_compare_times"]?>",
				type:"error"
			});
			$("#BEGIN_DATE").val("");
			$("#END_DATE").val("");
			return false;
		}
		if(TO_ID == ""){
			$.pnotify({
				text:"<?=$_lang["info_rss_notify_point_whe"]?>",
				type:"error"
			});
			return (false);
		} else {
			if(TO_ID == "asset_dept"){
				var NOTIFY_DEPT = $.trim($("#NOTIFY_DEPT").val());
				var NOTIFY_PRIV = $.trim($("#NOTIFY_PRIV").val());
				var NOTIFY_USER = $.trim($("#NOTIFY_USER").val());
				if(NOTIFY_DEPT==""&&NOTIFY_PRIV==""&&NOTIFY_USER==""){
					$.pnotify({
						text:"<?=$_lang["info_please_set_scope"]?>",
						type:"error"
					});
					return false;
				}
			}
		}	
		if(Content==""){
			$.pnotify({
				text:"<?=$_lang["info_rss_news_cont_null"]?>",
				type:"error"
			});
			return (false);
		}
		if(countsumit >1) {
			return false;
		}
		countsumit ++;
		$('#new').addClass('disabled',true);
		$("#form1").ajaxSubmit({
			url:"/general/notify/manage/update.php",
			success:function(resp) {
				$.pnotify({
					text:"<?=$_lang["notify_save_success"]?>",
					type:"success"
				});
				$(".editdiv,.listdiv").toggle();
				$("#notifylist").LazyTable("reload", {
					param:{
						type:"list",
						notifytype:$("#TYPE_ID").val(),
						filter:$("#FILTER_DATA").val()
					}
				});
			}
		});
	}
}
function notifyAttachmentShow(notifyId){
	if(typeof(attachmentShows) === 'undefined') {
		attachmentShows = $(".attachmentShow").LazyList({
			width:'100%',
			param:{
				type:"list",
				NOTIFY_ID:notifyId
			},
			dataSource:"/general/notify/manage/attachment_do.php",
			itemListTemplate:"<span>{ATTACHMENT_NAME}</span>&nbsp;&nbsp;<span style='margin-right:50px;'>({ATTACHMENT_SIZE}<?=$_lang["info_rss_news_cont_bate"]?>)</span>",
			buttons:{
				buttonInfor:{
					"view":{
						title:"<?=$_lang["notify_read"]?>",
						func:function(data)
						{
							window.open('/iWebOffice/DocumentEdit.php?EditType=2&UserName=<?=$_SESSION["LOGIN_USER_ID"]?>&ATTACHMENT_ID='+(parseInt(data.ATTACHMENT_ID*3)+parseInt(2))+'&ATTACHMENT_NAME='+encodeURI(data.ATTACHMENT_NAME),null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');
						}
					},
					"download":{
						title:"<?=$_lang["notify_download"]?>",
						func:function(data)
						{
							window.open("/inc/attach.php?ATTACHMENT_ID="+(parseInt(data.ATTACHMENT_ID*3)+parseInt(2))+"&ATTACHMENT_NAME="+encodeURI(data.ATTACHMENT_NAME),null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');
						}
					},
					"delete":{
						title:"<?=$_lang["notify_delete"]?>",
						func:function(data) {
							delAttachment(data.ATTACHMENT_ID,data.ATTACHMENT_NAME,notifyId);
						}
					}
				},
				filter:function(data){
					if(data.ATTACHMENT_NAME.indexOf(".doc") >0 || data.ATTACHMENT_NAME.indexOf(".ppt") >0 || data.ATTACHMENT_NAME.indexOf(".xls") >0){
						return ["view","download","delete"];
					}else{
						return ["download","delete"];
					}
				}
			}
		});
	}else{
		$(".attachmentShow").LazyList("reload",{
			param:{
				type:"list",
				NOTIFY_ID:$("#NOTIFY_ID").val()
			}
		});		
	}
}
function delAttachment(attachmentId,attachmentName,notifyId) {
	bootbox.confirm("<?=$_lang["notify_confirm_del_attach"]?>",function(result) {
		if(result){
			var url  = "/general/notify/manage/attachment_do.php";
			var data = "type=delete&ATTACHMENT_ID="+attachmentId+"&ATTACHMENT_NAME="+attachmentName+"&NOTIFY_ID="+$("#NOTIFY_ID").val();
			$.ajax({
				type:"POST",
				url:url,
				data:data,
				success:function(resp){
					if(resp){
						$.pnotify({
							text:"<?=$_lang["notify_delete_success"]?>",
							type:"success"
						});
						var jsonData = $.parseJSON(resp);

						if(jsonData.ATTACHMENT_ID != null){
							$(".attachmentShow").LazyList("reload",{
								param:{
									type:"list",
									NOTIFY_ID:$("#NOTIFY_ID").val()
								}
							});
							$("#attachmentIDStr").val(jsonData.ATTACHMENT_ID);
							$("#attachmentNameStr").val(jsonData.ATTACHMENT_NAME);
						}else{
							$(".HAS_ATTACHMENT").hide();
							$("#attachmentIDStr").val('');
							$("#attachmentNameStr").val('');
						}
					}
				}
			});
		}
	});
}
</script>