<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/notify/show/read_notify.php
 *@function:         查看公告
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-01-18
 *@file Version:     15.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
include_once("inc/utility.php");
include_once("inc/utility_all.php");
includelangpak("info,notify");
includelangpak("album");

$limit = SecurityFilter($_REQUEST['limit']);

$PAGE_TITLE = $_lang["info_rss_notify_read"];
include_once("inc/page_header.inc.php");
if(!I($_REQUEST['NOTIFY_ID'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
$NOTIFY_ID = SecurityFilter($_REQUEST["NOTIFY_ID"]);

$smsId = SecurityFilter(isset($_REQUEST["SMS_ID"]))  ? SecurityFilter($_REQUEST["SMS_ID"]):"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}


?>
<link rel="stylesheet" type="text/css"	href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap-theme.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
</head>
<body topmargin="0" leftmargin="0">	
	<?php
	$IMAGE_COUNT  = 0;
	$IMG_TYPE_STR = "gif,jpg,png,swf,swc,psd,tiff,bmp,iff,jp2,jpx,jb2,jpc,xbm,wbmp,";
	//修改后的sql							
				$query = "SELECT * FROM notify 
							  WHERE  NOTIFY_ID=$NOTIFY_ID 
							  AND ( 
							  (DEPT_ID = 'ALL_DEPT') 
							  OR 
							  (INStr(DEPT_ID,',$LOGIN_DEPT_ID,')>0 OR INStr(DEPT_ID,'$LOGIN_DEPT_ID,')=1) 
							  OR (INStr(PRIV_ID,',$LOGIN_USER_PRIV,')>0 OR  INStr(PRIV_ID,'$LOGIN_USER_PRIV,')=1) 
							  OR (INStr(USER_ID,',$LOGIN_USER_ID,')>0 OR  INStr(USER_ID,'$LOGIN_USER_ID,')=1 OR FIND_IN_SET('$LOGIN_USER_ID',FROM_ID)>0 OR $LOGIN_USER_PRIV = 1))";	
	//INStr(str,substr)函数,substr出现在str中的第一个位置的数值
	if($_REQUEST['examine']==1)
	{
		$query = "SELECT * FROM notify WHERE NOTIFY_ID='$NOTIFY_ID'";	
	}
	$cursor = exequery($connection,$query);	

	//从这里开始判断---如果不满足条件,则没有权限查看公告,或者公告已经删除	
	if($ROW=mysql_fetch_array($cursor))
	{
		$ATTACHMENT_ID   = $ROW["ATTACHMENT_ID"];
		$ATTACHMENT_NAME = $ROW["ATTACHMENT_NAME"];
		$SUBJECT         = $ROW["SUBJECT"];
		$SUBJECT         = str_replace("<","&lt",$SUBJECT);
		$SUBJECT         = str_replace(">","&gt",$SUBJECT);

		$SUBJECT1        = str_replace("\\","\\\\",$SUBJECT);
		$SUBJECT1        = str_replace("\"","\\\"",$SUBJECT1);
		$OPTIONSTATE     = $ROW["OPTIONSTATE"];
		$CONTENT         = $ROW["CONTENT"];
		$FROM_ID         = $ROW["FROM_ID"];
		$READERS         = $ROW["READERS"];
		$begin_time      = $ROW["BEGIN_DATE"];
		$end_time        = $ROW["END_DATE"];
		if($end_time=="0000-00-00")
		{
			$end_time="";	
		}
		$SEND_TIME     = $ROW["SEND_TIME"];  
		$BEGIN_DATE     = $ROW["BEGIN_DATE"];   
		//$BEGIN_DATE     = strtok($BEGIN_DATE," ");
		$NOTIFY_TYPE_ID = $ROW['NOTIFY_TYPE_ID'];
		if($NOTIFY_TYPE_ID && $NOTIFY_TYPE_ID != 0 )
		{
			$query        = "SELECT NOTIFY_TYPE_NAME FROM notify_type 
								WHERE NOTIFY_TYPE_ID = '".$NOTIFY_TYPE_ID."'";	
			$type_rs      = exequery($connection,$query);
			$type_rows    = mysql_fetch_array($type_rs);
			$type_name    = $type_rows["NOTIFY_TYPE_NAME"];
		}
		else
		{
			$type_name  = $_lang["info_notify_type_no"];
		}
		$MEMBER_USER  = $ROW['USER_ID'];
		$MEMBER_PRIV  = $ROW['PRIV_ID'];
		$MEMBER_DEPT  = $ROW['DEPT_ID'];
		$TO_NAME      = "";
		$TO_NAME_DEPT = "";
		$TO_NAME_PRIV = "";
		$TO_NAME_USER = "";
		if($MEMBER_DEPT=="ALL_DEPT")
		{
			$TO_NAME = $_lang["album_all_user"];
		}
		else
		{
			//部门
			if($MEMBER_DEPT!=''){
				$TOK = strtok($MEMBER_DEPT,",");
				while($TOK!="")
				{
					if($TO_NAME_DEPT!="")
					$TO_NAME_DEPT .= "，";
					$query1  = "select * from department 
									where DEPT_ID=$TOK";
					$cursor1 = exequery($connection,$query1);
					if($ROW=mysql_fetch_array($cursor1))
					$TO_NAME_DEPT .= $ROW["DEPT_NAME"];
					$TOK = strtok(",");
				}
				$TO_NAME= "<u style=\"cursor:hand\" title=\"$TO_NAME_DEPT\">".$_lang["common_dept"]."</u> ";
			}
			//角色
			if($MEMBER_PRIV!=''){
				$TOK = strtok($MEMBER_PRIV,",");
				while($TOK!="")
				{
					if($TO_NAME_PRIV!="")
					$TO_NAME_PRIV.="，";
					$query1  = "select * from user_priv 
									where USER_PRIV=$TOK";
					$cursor1 = exequery($connection,$query1);
					if($ROW=mysql_fetch_array($cursor1))
					$TO_NAME_PRIV.=$ROW["PRIV_NAME"];
					
					$TOK=strtok(",");
				}
				$TO_NAME.= "<u style=\"cursor:hand\" title=\"$TO_NAME_PRIV\">".$_lang["common_role"]."</u> ";
			}
			//人员
			if($MEMBER_USER!=''){
				$TOK = strtok($MEMBER_USER,",");
				while($TOK!="")
				{
					if($TO_NAME_USER!="")
					$TO_NAME_USER.="，";
					$query1  = "select * from user 
									where USER_ID='".$TOK."'";
					$cursor1 = exequery($connection,$query1);
					if($ROW=mysql_fetch_array($cursor1))
					$TO_NAME_USER.=$ROW["USER_NAME"];

					$TOK=strtok(",");
				}
				$TO_NAME.= "<u style=\"cursor:hand\" title=\"$TO_NAME_USER\">".$_lang["common_user"]."</u> ";
			}
		}
		$query1  = "SELECT * from USER where USER_ID='$FROM_ID'";
		$cursor1 = exequery($connection,$query1);
		if(@$ROW=mysql_fetch_array($cursor1))
		{
			$FROM_NAME = $ROW["USER_NAME"];
			$DEPT_ID   = $ROW["DEPT_ID"];
		}
		if($DEPT_ID=="")
		{
			$DEPT_NAME = "";
		}
		else
		{
			$DEPT_NAME = dept_long_name($DEPT_ID);
		}
		if(!find_id($READERS,$LOGIN_USER_ID))
		{
			$READERS .= $LOGIN_USER_ID.",";
			$query    = "update NOTIFY set READERS='$READERS' where NOTIFY_ID=$NOTIFY_ID";
			exequery($connection,$query);
		}		
	} else {
		?>
		<div class="alert alert-warning"><?=$_lang["common_read_pur_explain"]?></div>
	<?
		exit();
	}
	$sql = "UPDATE sms SET REMIND_FLAG=0 
			    WHERE TABLE_NAME='notify' 
				AND TABLE_ID='$NOTIFY_ID' 
				AND TO_ID='$LOGIN_USER_ID' 
				AND SMS_TYPE='1'";
	exequery($connection,$sql);
	?>
	<?
	if($limit=="0"&&$OPTIONSTATE==2)
	{
	?>
	<div class="alert alert-warning"><?=$_lang["info_notify_noread"]?></div>
	<?
		exit();
	}
	else
	{
	?>	
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["info_rss_notify_read"]?></span>
	</span>
</div>
<table style="border:0px solid #DDDDDD" width="100%" cellpadding="5" cellspacing="5" >
	<tr>
		<td align="center"><h3 style="font-weight:bold;"><?=$SUBJECT?></h3></td>
	</tr>
	<tr>
		<td align="right"><?=$_lang["notify_creator"]?>：<?=getUsernameNew($FROM_ID)?>  <?=$_lang["info_rss_notify_eff_date"]?>：<?=$BEGIN_DATE?> <?=$_lang["notify_publish_time"]?>：<?=$SEND_TIME?> </td>
	</tr>
	<tr>
		<td align="left"><?=$CONTENT?></td>
	</tr>
</table>
<table width="100%">	
	<tr>
		<td><font style="font-weight:bold;"><?=$_lang["notify_notify_attach"]?></font></td>
	</tr>
</table>
<table width="100%" cellpadding="5" cellspacing="0">
	<tr>
		<td>					
		<!--附件相关-->			
		<?php
		if($ATTACHMENT_NAME=="") {
			//没有附件
		?>
		<div><?=$_lang["info_rss_notify_nothing"]?></div>
		<?
		} else {
		?>
		<table border="0" cellpadding='5'>
			<?
			$ATTACHMENT_ID_ARRAY   = explode(",",$ATTACHMENT_ID);
			$ATTACHMENT_NAME_ARRAY = explode("*",$ATTACHMENT_NAME);			
			$ARRAY_COUNT = sizeof($ATTACHMENT_ID_ARRAY);
			for($I=0;$I<$ARRAY_COUNT;$I++)
			{
				if($ATTACHMENT_ID_ARRAY[$I]=="")
					break;
				$EXT_NAME = substr(strrchr($ATTACHMENT_NAME_ARRAY[$I],"."),1);
				$EXT_NAME = strtolower($EXT_NAME);
				if(find_id($IMG_TYPE_STR,$EXT_NAME))
					$IMAGE_COUNT++;
				$ATTACH_SIZE = attach_size($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I]);
				$ATTACH_SIZE = number_format($ATTACH_SIZE,0, ".",",");
				$attClass = fileTypeToFontIcon($ATTACHMENT_NAME_ARRAY[$I]);
				?>
				<tr>
					<td>
						<i class='fa <?=$attClass?>'></i>
					</td>
					<?
					if(stristr($ATTACHMENT_NAME_ARRAY[$I],".doc")||stristr($ATTACHMENT_NAME_ARRAY[$I],".ppt")||stristr($ATTACHMENT_NAME_ARRAY[$I],".xls"))
					{
					?>
						<td>
							<a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>">
							<?=$ATTACHMENT_NAME_ARRAY[$I]?></a>
						</td>
						<td>
							<a  onClick="window.open('/iWebOffice/DocumentEdit.php?RecordID=<?=$CONTENT_ID?>&EditType=0&UserName=<?=$_SESSION["LOGIN_USER_ID"]?>;&ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');"><?=$_lang["common_read"]?></a>
						</td>
					<?
					}
					else if (stristr($ATTACHMENT_NAME_ARRAY[$I],".pdf"))
					{
					?>
						<td>
							<a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>&OP=1"><?=$ATTACHMENT_NAME_ARRAY[$I]?></a>
						</td>
						<td>
							<a  onClick="window.open('/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');"><?=$_lang["common_read"]?></a>
						</td>
					<?
					}
					else if(isPicOfFile($ATTACHMENT_NAME_ARRAY[$I]))
					{
					?>
						<td>
							<a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>&OP=1"><?=$ATTACHMENT_NAME_ARRAY[$I]?></a>
						</td>
						<td>
							<a  onClick="window.open('/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');"><?=$_lang["common_view"]?></a>
						</td>
					<?
					}
					else
					{
					?>
						<td>
							<a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>&OP=1"><?=$ATTACHMENT_NAME_ARRAY[$I]?></a>
						</td>
					<?
					}
					?>
				<td>
					(<?=$ATTACH_SIZE?><?=$_lang["info_rss_news_cont_bate"]?>)
				</td>
			<?
			}
			?>
			</table>
		<?
		}
		?>
		</td>
	</tr>
</table>
	<?
	}
	?>	
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/common.js" ></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script language="javascript">
function delete_attach(ATTACHMENT_ID,ATTACHMENT_NAME)
{
	msg = '<?=$_lang["common_del_alert"]?>'+ATTACHMENT_NAME;
	if(window.confirm(msg))
	{
		URL = "delete_attach.php?NOTIFY_ID=<?=$NOTIFY_ID?>&ATTACHMENT_ID="+ATTACHMENT_ID+"&ATTACHMENT_NAME="+ATTACHMENT_NAME;
		window.location = URL;
	}
}
</script>