<?
/**
 * Systemname:       E-Office
 * Filename:         general/officeitem/joinstoreroom/index.php
 * Function:         办公资产--入库管理
 * Encoding:         $_lang['encoding']
 * Date:             2013-04-15
 * File Version:     11.0
 * Eoffice Version:  8.x
 * Author:           liuqingyu 
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/field_set.class.php");
includelangpak("asset");
//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['func_id'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
//自定义字段
$OtherFieldObj = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('officeitem_joinstoreroom',$storeroom_id,'STOREROOM_ID','form1','edit');
$PAGE_TITLE = $_lang["asset_warehousing_inventory_management"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
.leftlist {
	float: left;
	border-right: 1px solid #D9D9D9;	
}
</style>
</head>
<body style="overflow:hidden;">
<div id="leftlist" class="leftlist">
	<div class="lazy_header">
			<span class="lazy-list-title">
				<i class="fa fa-list-title"></i>
				<span class="tip" style="cursor:pointer;"><?=$_lang["asset_in_storage_info"]?></span>
			</span>
		<div class="leftsearch" style="float:right;margin-top:5px;"></div>
	</div>
	<div class="outsidediv">
		<div id="itemlist" style="float:left;"></div>
	</div>
</div>
<div class="joinstoreroominfo" id="joinstoreroominfo" style="margin-left:301px;">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_warehousing_inventory_management"]?></span>
		</span>	
		<button type="button" class="btn btn-primary" id="new"><?=$_lang["common_new"]?></button>
		<button type="button" class="btn btn-primary" id="export" name="export" href="#"><?=$_lang["common_out"]?>	
		</button>
		<button type="button" class="btn btn-danger" id="clearup" name="clearup">
		<?=$_lang["asset_data_clearup"]?>
		</button>
		<div class="search" id="search" style="float:right;margin-top:5px;"></div>
	</div>
	<div id="storeinfo" class="storeinfo">
		
	</div>
</div>
<div class="joinstoreedit" id="joinstoreedit" style="display:none;margin-left:301px;">
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_new_in_storage"]?></span>
		</span>
		<button class="btn btn-primary" type="button" id="submit"><?=$_lang["common_submit"]?></button>
		<button class="btn btn-default" type="button" id="back"><?=$_lang["common_back"]?></button>
	</div>
	<div id="editdiv" class="editdiv">
		 <form id="form1" name="form1" method="POST" action="update.php">
            <input type="hidden" name="handle" id="handle" value="update">
            <table border="0" width="100%" cellspacing="1" cellpadding="3" class="form_table" >
				<tr>
					<td class="title"><?=$_lang["asset_storage_invoices_number"]?></td>
					<td><input type="text" name="item_num" id="item_num" readonly></td>
				</tr>
				<tr>
					<td class="title"><?=$_lang["asset_storage_date"]?></td>
					<td>
					<input type="text" name="join_date" id="join_date" value="<?=date("Y-m-d",time())?>"/>
					</td>
				</tr>
				<tr>
					  <td class="title" width="15%"><?=$_lang["asset_price"]?></td>
					  <td><input class="require" type="text" onkeyup='priceCheck(this);' onChange="operation(<?=$storeroom_stockpile?>)" name="price" id="price" ></td>
				 </tr>
				 <tr>
						<td class="title"><?=$_lang["asset_office_supplies_name"]?></td>
						<td>
							<input class="require" type="text" name="APPELLATION" id="APPELLATION" readonly value="<?=$_REQUEST["APPELLATION"]?>" disabled="disabled">
							<input type="hidden" name="APPELLATION_ID" id="APPELLATION_ID" value="<?=$_REQUEST["APPELLATION_ID"]?>">						
							<button type="button" class="btn btn-default" onClick="LoadWindow('APPELLATION_ID','APPELLATION','form1')" ><?=$_lang["common_choose"]?></button>									
						</td>
				 </tr>
				 <tr>
					<td class="title"><?=$_lang["asset_storage_number"]?></td>
					<td>						
						<input class="require" type="text" onKeyUp="checknum(this)" name="amount" id="amount" size="10">
						<select name="join_amount" id="join_amount" onChange="operation(this)">
							<option value="1"><?=$_lang["asset_add"]?>
							<option value="2"><?=$_lang["asset_sub"]?>
						</select>							
														
					</td>
				</tr>
				<tr>
					<td class="title"><?=$_lang["asset_current_storage"]?></td>
					<td>
						<input type="text" name="storeroom_stockpile" id="storeroom_stockpile" readonly class="BigInput" disabled="disabled" />
					</td>
				</tr>
				<tr>
					<td class="title"><?=$_lang["asset_amount"]?></td>
					<td>
						<input type="text" id="product" name="product" readonly disabled>
					</td>
					<input type="hidden" name="products" id="products" >
					<input type="hidden" name="handle" id="handle" value="update">
					<input type="hidden" name="searchkey" id="searchkey">
					<input type="hidden" name="searchvalue" id="searchvalue">
					<input type="hidden" name="searchquery" id="searchquery">
					<input type="hidden" name="appellations" id="appellations">
					<input type="hidden" name="joinstorenum" id="joinstorenum">
			   </tr>
            </table>
			<table width="100%">
			    <tr>
                    <td colspan='2' class="customField">
                        <?=$OtherFieldArray['Page'];?>
                    </td>
                </tr>
			</table>
         </form>
	</div>
</div>
<div class="detaildiv" id="detaildiv" style="display:none;margin-left:301px;">
	<div class="lazy_header">	
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_instorage_detail"]?></span>
		</span>
		<button class="btn btn-default" type="button" id="gotourl"><?=$_lang["common_back"]?></button>
	</div>
	<div class="detailcontent" id="detailcontent">
		<table width="100%" cellpadding="0" cellspacing="0" class="form_table">
			<tr>
				<td class="title"><?=$_lang["asset_office_supplies_name"] ?></td>
				<td id="ITEM_NAME"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_office_supplies_categories"]?></td>
				<td id="ITEM_SORT"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_storage_invoices_number"]?></td>
				<td id="ITEM_BILL"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_storage_date"]?></td>
				<td id="ITEM_DATE"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_storage_number"]?></td>
				<td id="ITEM_NUM"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_price"]?></td>
				<td id="ITEM_PRICE"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_amount"]?></td>
				<td id="ITEM_AMOUNT"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_SPEC"]?></td>
				<td id="ITEM_SPEC"></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["asset_operator"]?></td>
				<td id="ITEM_OPERATOR"></td>
			</tr>
		</table>
		<table width="100%">
			<tr>
				<td colspan='2' class="customField" id="customField">
					
				</td>
			</tr>
		</table>
	</div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script>
$(function() {	
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;
	$("input[id!='amount']").css("width","200");
	$(".outsidediv,.editdiv,.detaildiv").height($(window).height()-40).niceScroll();
	$("#itemlist").LazyList({
		dataSource:"/general/officeitem/joinstoreroom/index_do.php",
		param:{
			type:"itemlist"
		},
		itemTitleTemplate:function(data) {
			if(data.COUNT > 0)
			{
				if(data.SORT)
				{
					return "<span>{SORT}({COUNT})</span>";
				}
				else
				{
					return "<span><?=$_lang["asset_notype_officeitem"]?>({COUNT})</span>";
				}
			}
		},
		itemListTemplate:function(data)
		{
			if(data.APPELLATION)
			{
		    	return "<div>{APPELLATION}<span class='stockpiles' style='float:right;margin-right:50px;width:33px;text-align:center;'>{STOCKPILE}</span></div>";
		  	}
		  	else
		  	{
		  		return "<span>{SORT}</span>";
		  	}
		},
		onItemMouseEnter:function(){
			var itemData = $(this).data("data");
			$(this).find("span").css({"background":"#ebf1de","width":"33px","cursor":"pointer"});

			parseFloat(itemData.STOCKPILE)<parseFloat(itemData.CAUTION_AMOUNT)&&itemData.CAUTION == 1?$(this).find("span").css("color","#DA1001"):(parseFloat(itemData.STOCKPILE)>parseFloat(itemData.CAUTION_AMOUNT_TOP) && itemData.CAUTION == 1 && itemData.CAUTION_AMOUNT_TOP != 0?$(this).find("span").css("color","#C5C748"):(itemData.STOCKPILE<0?$(this).find("span").css("color","#DA1001"):$(this).find("span").css("color","#29F816")));

		},
		onItemMouseLeave:function(){
			$(this).find("span").css({"background":"","cursor":"","color":""});
		},
		onItemClick : function(ui,data) {
			$(".joinstoreroominfo").css("display","block");
			$(".detaildiv,.joinstoreedit").css("display","none");
			$("#appellations").val(data.APPELLATION_ID);
			$("#storeinfo").LazyTable("reload",{
				param:{
					type:"tablelist",
					searchQuery:'',
					APPELLATION_ID:data.APPELLATION_ID
				},
				page:{
					currentPage:0
				}
			});
		}
	});

	$("#price,#amount").keyup(function() {
		var storeage = $.trim($("#amount").val());
		var sprice   = $.trim($("#price").val());
		var totalMoney = parseFloat(storeage*sprice).toFixed(2);
		if(!isNaN(totalMoney))
		{
			$("#product").val(totalMoney);
		}
	});

	$(".search").LazySearch({
		tip:"<?=$_lang["asset_enter_goodsname_search"]?>",
		width:140,
		url:"/general/officeitem/joinstoreroom/index_do.php",
		param:{
			type:"tableinfosearch"
		},
		fieldSearch:{
			onItemClick:function(data,value) {
				$(".storeinfo").LazyTable("reload",{
					param:{
						type:"tablelist",
						fieldKey:data.key,
						fieldValue:value
					},
					page:{
						currentPage:0	
					}
				});
				$("#searchkey").val(data.key);
				$("#searchvalue").val(value);
				$("#itemlist").LazyList("reload",{
					param:{
						type:"itemlist"
					},
					dataKey:"APPELLATION_ID",
					defaultKey:''
				});
			},
			items:[{key:"ItemName",title:"<?=$_lang["asset_goods_name_contain"]?>"}]
		},
		advancedSearch:{
			//有自定义字段的高级查询处理
			onSearch : function(event,ui) {
				$(".storeinfo").LazyTable("reload");
				$(ui).find('#form1').attr("action","index.php");
				var url  = "index_do.php?type=getSearch";
				var data = $(ui).find('#form1').serialize();				
				$.ajax({
					type:"POST",
					url:url,
					data:data,
					success:function(resp)
					{
						$(".storeinfo").LazyTable("reload",{
							param:{
								type:"tablelist",
								searchQuery:resp
							},
							page:{
								currentPage:0	
							}
						});
						$("#itemlist").LazyList("reload",{
							param:{
								type:"itemlist"
							},
							dataKey:"APPELLATION_ID",
							defaultKey:''
						});
						$("#searchquery").val(resp);
					}
				});
			},
			items : "/general/officeitem/joinstoreroom/search.php",
		},
		onClearButtonClick:function()
		{
			$(".storeinfo").LazyTable("reload",{
				param:{
					type:"tablelist",
					fieldKey:'',
					fieldValue:'',
					searchsData:''
				}
			});
			$("#itemlist").LazyList("reload",{
				param:{
					type:"itemlist"
				},
				dataKey:"APPELLATION_ID",
				defaultKey:''
			});
			$("#searchkey,#searchvalue,#searchquery").val("");
		}
	});
	$("#storeinfo").LazyTable({	
		column:[{key:"JOIN_APPELLATION",title:"<?=$_lang["asset_goods_name"]?>",width:"100px"},
				{key:"JOIN_APPELLATION_SORT",title:"<?=$_lang["asset_type"]?>",width:"80px"},
				{key:"STOCKPILE",title:"<?=$_lang["asset_all_storage"]?>"},
				{key:"JOIN_AMOUNT",title:"<?=$_lang["asset_storage_number"]?>",autoHide:true},
				{key:"PRICE",title:"<?=$_lang["asset_PRICE"]?>"},
				{key:"JOIN_DATE",title:"<?=$_lang["asset_storage_date"]?>"},
				{key:"CAUTION_AMOUNT_TOP",title:"<?=$_lang["asset_alert_num_top"]?>",autoHide:true},
				{key:"CAUTION_AMOUNT",title:"<?=$_lang["asset_alert_number"]?>",autoHide:true},
				{key:"OPERATOR",title:"<?=$_lang["asset_operator"]?>",autoHide:true}],
		dataSource:"/general/officeitem/joinstoreroom/index_do.php",
		param:{
			type:"tablelist"
		},
		buttons:{
			buttonInfor:{
				"detail":{
					title:"<?=$_lang["asset_detail"]?>",
					isDefault:true,
					func:function(data) {
						detailStore(data.STOREROOM_ID);
					}
				},
				"deletes":{
					title:"<?=$_lang["common_del"]?>",
					func:function(data) {
						delStore(data.STOREROOM_ID);
					}
				}
			}
		}
	});

	$(".arrow").LazyToggle({
		showTip : "<?=$_lang["asset_show_officeitem"]?>",
		hideTip : "<?=$_lang["asset_hide_officeitem"]?>",
		autoHide : false,
		onAfterShow : function() {			
			$(".leftlist").show();
			$(".joinstoreroominfo,.joinstoreedit,.detaildiv").css("margin-left","301px");
		},
		onAfterHide : function() {			
			$(".leftlist").hide();
			$(".joinstoreroominfo,.joinstoreedit,.detaildiv").css("margin-left","0px");
		}
	});

	$(".leftsearch").LazySearch({
		tip:"<?=$_lang["asset_please_search_keyword"]?>",
		width:"150",
		url:"/general/officeitem/joinstoreroom/index_do.php",
		param:{
			type:"searchItem"
		},
		autoSearch:{
			template:"{APPELLATION}",
			onItemClick:function(data)
			{
				$(".storeinfo").LazyTable("reload",{
					param:{
						type:"tablelist",
						fieldValue:data.APPELLATION
					}
				});
			}
		},
		onClearButtonClick:function()
		{
			$(".storeinfo").LazyTable("reload",{
				param:{
					type:"tablelist",
					APPELLATION_ID:''
				}
			});
		}
		
	});

	$(".tip").click(function() {
		$("#appellations").val('');
		$(".storeinfo").LazyTable("reload",{
			param:{
				type:"tablelist",
				APPELLATION_ID:""
			}
		});
		$("#itemlist").LazyList("reload",{
			param:{
				type:"itemlist"
			},
			dataKey : "APPELLATION_ID",
			defaultKey :''
		});
	});
	$("#amount").css("width","140");

	$(":text[key='itemDate']").datepicker({dateFormat:"yy-mm-dd"});

	$("#price,#amount").keyup(function() {
		$.trim($(this).val()) != "" ?$(this).removeClass("require"):$(this).addClass("require");
	});

	$("#join_date").change(function() {
		$.trim($(this).val()) != "" ?$(this).removeClass("require"):$(this).addClass("require");
	});

	$("#amount").focus(function() {
		var $appellation = $("#APPELLATION");
		$.trim($appellation.val()) != "" ?$appellation.removeClass("require"):$appellation.addClass("require");
	});
	

	$("button").click(function() {
		if(this.id=="export")
		{	
			var searchkeys   = $("#searchkey").val();
			var searchvalues = $("#searchvalue").val();
			var searchquerys = $("#searchquery").val();
			location.href = '/general/officeitem/joinstoreroom/export.php?choose=exports_all&USER_ID=<?=$LOGIN_USER_ID?>&cn=<?=$_SESSION['LOGIN_LANG']?>&LOGIN_THEME=<?=$_SESSION['LOGIN_THEME']?>&searchkey='+searchkeys+"&searchvalue="+searchvalues+"&searchquery="+searchquerys;		
		}
		else if (this.id == "new")
		{
			$(".joinstoreroominfo,.detaildiv").css("display","none");
			$(".joinstoreedit").css("display","block");
		
			$("#price,#amount,#APPELLATION").addClass("require");
			$("#join_amount").selectpicker({width:55});
			$("#form1").resetForm();
			$("#join_date").datepicker();
			$(".customField").html("<?=addslashes($OtherFieldArray['Page'])?>");

			//对自定义字段日期控件必填的处理
			$(".customDate").datepicker({
				onClose:function(ui,data)
				{
					var fieldId = data.id.substr(11,data.id.length);
					fieldStr    = getFieldInfo('officeitem_joinstoreroom',fieldId);
					fieldInfo   = $.parseJSON(fieldStr);

					$.trim($(this).val()) != ""?$(this).removeClass("require"):(fieldInfo.F_PROPERTY == "1"?$(this).addClass("require"):"");
				}
			});
			getItemSnum();
		}
		else if (this.id == "back")
		{
			$(".joinstoreroominfo").toggle();
			$(".joinstoreedit").toggle();
		}
		else if (this.id == "clearup")
		{
			bootbox.confirm("<?=$_lang["aseset_data_clearup_info"]?>",function(result) {
				if(result)
				{
					$.ajax({
						type:"POST",
						url:"/general/officeitem/joinstoreroom/data_clearup.php",
						data:"",
						success:function(resp) {
							if(resp == "success") {
								$.pnotify({
									text:"<?=$_lang["asset_clearup_successfully"]?>",
									type:"success"
								});
								$(".storeinfo").LazyTable("reload");
							}
						}
					});
				}
			});
		}
		else if (this.id == "submit")
		{
			checkform();
		}
		else if (this.id == "gotourl")
		{
			$(".detaildiv,.joinstoreroominfo").toggle();
		}
	});
});	

function LoadWindow(inputID,inputName,formName)
{
	URL="../appellation_select/index.php?inputID="+inputID+"&inputName="+inputName+"&formName="+formName;
	window.open(URL,'_blank','height=500,width=400,top=0,left=0,toolbar=no,menubar=no,scrollbars=no, resizable=no,location=no,screenX=300,screenY=200,status=no');
}

function price_rtx(price_temp){
	return price_temp.match(/^[\d.]+$/);
}

function checkform() {
	var price              = $("#price").val();
	var amount             = $("#amount").val();
	var join_date          = $("#join_date").val();
	var PROVIDER_NAME      = $("#PROVIDER_NAME").val();
	var appellation	       = $("#APPELLATION").val();
	var sort_number		   = $("#sort_number").val();
	var appellation_number = $("#appellation_number").val();
	var storeroom_id	   = $("#storeroom_id").val();

	if(join_date == "") {
		$.pnotify({
			text:"<?=$_lang["asset_storage_date_canot_be_empty"]?>",
			type:"error"
		});
		return false;
	}

	if(appellation == "") {
		$.pnotify({
			text:"<?=$_lang["asset_office_supplies_name_canot_be_empty"]?>",
			type:"error"
		});
		return false;
	}

	if(price.substr(0,1) == " " || price == "") {
		$.pnotify({
			text:"<?=$_lang["asset_price_and_start_can_not_be_empty"]?>",
			type:"error"
		});
		return false;
	}
	if(amount.substr(0,1) == " " || amount == "") {
		$.pnotify({
			text:"<?=$_lang["asset_storage_number_can_not_be_empty"]?>",
			type:"error"
		});
		return false;
	}
	if('<?=$OtherFieldArray["MustInput"]?>'!=""){
		returnValue = checkMustInput('<?=$OtherFieldArray["MustInput"]?>');
		if(!returnValue){
			return false ;
		}
	}

	$("#form1").ajaxSubmit({
		success:function(){
			$.pnotify({
				text:"<?=$_lang["common_save_successed"]?>",
				type:"success"
			});
			$("#itemlist").LazyList("reload");
			$(".joinstoreroominfo,.joinstoreedit").toggle();
			$(".storeinfo").LazyTable("reload",{
				param:{
					type:"tablelist",
					APPELLATION_ID:""
				}
			});

		}
	});
}

function checknum(num) {
    num.value=num.value.replace(/[^\.0-9]+/,'');
    var reg1 = new RegExp(/\.[0-9]*\./);
    var reg2 = new RegExp(/(^\.|^0[^\.])/);
    if(reg1.test(num.value) ||reg2.test(num.value)) {
		$.pnotify({
			text:"<?=$_lang["asset_book_input_err"]?>",
			type:"error"
		});
    	num.value = '';
    }
}

function operation(o) {
    if(!isNaN(num)){
        o.value = o.value.replace(/(\D)+/i,'');
    }
	var select_val = $("#join_amount").val(); //正or负
	var price	   = $("#price").val();  //单价
	var amount	   = $("#amount").val(); //数量
	var num		   = parseFloat(price)*parseInt(amount); //金额
	if(!isNaN(num))
	{
		int_num		   = num.toFixed(2);
		//正数
		if(select_val == "1"){
			$("#product").val(int_num);
			$("#products").val(int_num);
		}

		//负数
		if(select_val == "2"){
			$("#product").val(-int_num);
			$("#products").val(-int_num);
		}
	}
}

function bill_detail(storeroom_id)
{
	var url	= "detail.php?storeroom_id="+storeroom_id;
	window.open(url, '', 'height=500,width=420,top=50, left=100,toolbar=no,menubar=no,scrollbars=yes, resizable=yes,location=no, status=yes');
}

function priceCheck(num){
	num.value=num.value.replace(/[^\.0-9]+/,'');
	var reg1 = new RegExp(/\.[0-9]*\./);
	var reg2 = new RegExp(/(^\.|^0[^\.])/);
	if(reg1.test(num.value) ||reg2.test(num.value) ){
		alert('<?=$_lang["asset_book_input_err"]?>');
		num.value = '';
	}
}

function getItemSnum()
{
	var url = "/general/officeitem/joinstoreroom/index_do.php";
	var data = "type=getItemNum";
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp)
		{
			if(resp)
			{
				$("#item_num,#joinstorenum").val(resp);
			}
		}
	});
}

function delStore(storeroomId)
{

	bootbox.confirm("<?=$_lang["asset_confirm_del_record"]?>",function(result) {
		if(result) {
			var url = "/general/officeitem/joinstoreroom/index_do.php";
				data= "type=delItem&STOREROOM_ID="+storeroomId;
				appellations = $("#appellations").val();
			$.ajax({
				type:"POST",
				url:url,
				data:data,
				success:function(resp)
				{
					if(resp)
					{
						$(".storeinfo").LazyTable("reload",{
							param:{
								type:"tablelist",
								APPELLATION_ID:appellations
							}
						});
						$("#itemlist").LazyList("reload",{
							param:{
								type:"itemlist"
							},
							dataKey : "APPELLATION_ID",
							defaultKey :appellations
						});
					}
				}
			});
		}
	});
}

function detailStore(storeroomId)
{
	$(".joinstoreroominfo,.detaildiv").toggle();
	var url = "/general/officeitem/joinstoreroom/index_do.php";
	var data= "type=detailItem&STOREROOM_ID="+storeroomId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp)
		{
			if(resp)
			{
				var jsonData = eval("("+resp+")");
				$("#ITEM_NAME").html(jsonData.JOIN_APPELLATION);
				$("#ITEM_SORT").html(jsonData.JOIN_APPELLATION_SORT);
				$("#ITEM_BILL").html(jsonData.BILL);
				$("#ITEM_DATE").html(jsonData.JOIN_DATE);
				$("#ITEM_NUM").html(jsonData.JOIN_AMOUNT);
				$("#ITEM_PRICE").html(jsonData.PRICE);
				$("#ITEM_AMOUNT").html(jsonData.MONEY);
				$("#ITEM_SPEC").html(jsonData.SPEC);
				$("#ITEM_OPERATOR").html(jsonData.USER_NAME);
				$(".customField").html(jsonData.CUSTOM_FIELD.Page);
			}
		}
	});
}
</script>