<?
/**
 * Systemname:       E-Office
 * Filename:         general/officeitem/take/index.php
 * Function:         我的资产--使用申请
 * Encoding:         $_lang['encoding']
 * Date:             2013-03-22
 * File Version:     12.0
 * Eoffice Version:  8.x
 * Author:           liuqingyu 
*/
include_once("inc/auth.php"); 
include_once("inc/function_page_01.php");
include_once("inc/utility_all.php");
include_once("general/system/combox/packaging.php");
includelangpak("asset");
ob_end_clean();
//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['func_id'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}

$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}



$PAGE_TITLE = $_lang["asset_apply_use"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
.leftlist {
	float: left;
	border-right: 1px solid #D9D9D9;	
}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/common.js" ></script>
<script language="javascript">
$(function() {	
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$(".outsidediv, #takeinfo").height($(window).height()-30).niceScroll();

	$("select").selectpicker({
							  noneSelectedText:"<?=$_lang["asset_please_choose"]?>"});
	$("input").css("width","220");

	$("#itemlist").LazyList({
		dataSource:"/general/officeitem/take/index_do.php",
		param:{
			type:"itemlist"
		},
		itemTitleTemplate :function(data){
			if(data.COUNT >0)
			{
				if(data.SORT){
					return "<span>{SORT}({COUNT})</span>";
				}
				else
				{
					return "<span><?=$_lang["asset_notype_officeitem"]?>({COUNT})</span>"
				}
			}
		},
		itemListTemplate:function(data){
			if(data.APPELLATION_ID)
			{
				return "{APPELLATION}"
			}
			else
			{
				return "<span>{SORT}</span>"
			}
		},
		onItemClick:function(ui,data) {
			$("#APP_ID").val(data.APPELLATION_ID);
			$(".takeinfo").LazyTable("reload",{
				param:{
					type:"takelist",
					userId:"<?=$_SESSION["LOGIN_USER_ID"]?>",
					APPELLATION_ID:data.APPELLATION_ID
				},
				page:{
					currentPage:0
				}
			});
		}
	});
	
	$(".leftsearch").LazySearch({
		tip:"<?=$_lang["asset_enter_search_keyword"]?>",
		mode:"mini",
		width:120,
		url:"/general/officeitem/take/index_do.php",
		param:{
			type:"searchAppe"
		},
		autoSearch:{
			template:"{APPELLATION}",
			onItemClick:function(data) {
				$(".takeinfo").LazyTable("reload",{
					param:{
						type:"takelist",
						userId:"<?=$_SESSION["LOGIN_USER_ID"]?>",
						APPELLATION_ID:data.APPELLATION_ID
					}
				});
			}
		},
		onClearButtonClick:function()
		{
			$(".takeinfo").LazyTable("reload",{
				param:{
					type:"takelist",
					userId:"<?=$_SESSION["LOGIN_USER_ID"]?>",
					APPELLATION_ID:""
				}
			});
		}
	});
	$(".takefilter").LazyFilter({
		common : {
				 template : "{title}",	//模版
				 dataSource : [{key:"all",title:"<?=$_lang["asset_all"]?>",isDefault:true},
							   {key:"approve",title:"<?=$_lang["asset_audit"]?>"},
							   {key:"pass",title:"<?=$_lang["asset_have_passed"]?>"},
							   {key:"refuse",title:"<?=$_lang["asset_not_pass"]?>"}]											
			 },
		 more : {
			 header : "<?=$_lang["asset_more_filter"]?>",
		 //数据源
		 dataSource : [{
				 key : "time",
				 title : "<?=$_lang["asset_use_time"]?>",
				 subItems : [{key :"days",title : "<?=$_lang["asset_last_three_days"]?>"},
							 {key:"weeks",title:"<?=$_lang["asset_last_one_week"]?>"},
							 {key:"month",title:"<?=$_lang["asset_last_one_month"]?>"}]
				},{
					key:"type",
					title:"<?=$_lang["asset_officeitem_using_way"]?>",
					subItems:[{key:"1",title:"<?=$_lang["asset_use"]?>"},
							  {key:"2",title:"<?=$_lang["asset_borrow_use"]?>"}]
				 }]
		 },
		 //常用筛选 直接显示在列表上方			
		onClick : function(data) {
			//单击回调函数  data为定义的筛选数据结构
			$("#takeinfo").LazyTable("reload",{
				param:{
					type:"takelist",
					userId:"<?=$_SESSION["LOGIN_USER_ID"]?>",
					APPELLATION_ID:$("#APP_ID").val(),
					fieldValue:$("#searchValue").val(),
					filter:data
				},
				page:{
					currentPage:0
				}});
				$("#filterData").val(data);
				$(".takesearch").LazySearch("resetAdvancedSearch");
		 }
	});

	$(".takesearch").LazySearch({
		width:150,
		tip:"<?=$_lang["asset_enter_goodsname_search"]?>",
		url:"/general/officeitem/take/index_do.php",
		param:{
			type:"takelist"
		},
		fieldSearch:{
			onItemClick:function(data,value) {
				$("#takeinfo").LazyTable("reload",{
					param:{
						type:"takelist",
						userId:"<?=$_SESSION["LOGIN_USER_ID"]?>",
						fieldKey:data.key,
						fieldValue:value
					},
					page:{
						currentPage:0
					}
				});
				$("#searchValue").val(value);
				$("#itemlist").LazyList("reload",{
					param:{
						type:"itemlist"
					},
					dataKey:"APPELLATION_ID",
					defaultKey:""
				});
				$(".takefilter").LazyFilter("select","all");
			},
			items:[{key:"itemName",title:"<?=$_lang["asset_goods_name_contain"]?>"}]
		},
		advancedSearch:{
			onSearch:function(event,ui) {
				$(ui).find('#form1').attr("action","index.php");
				var url  = "index_do.php?type=getSearch";
				var data = $(ui).find('#form1').serialize();
				$.ajax({
					type:"POST",
					url:url,
					data:data,
					success:function(resp)
					{
						$("#takeinfo").LazyTable("reload",{
							param:{
								type:"takelist",
								userId:"<?=$_SESSION["LOGIN_USER_ID"]?>",
								searchData:resp
							},
							page:{
								currentPage:0	
							}
						});
						$("#searchData").val(resp);
					}
				});

				$("#itemlist").LazyList("reload",{
					param:{
						type:"itemlist"
					},
					dataKey:"APPELLATION_ID",
					defaultKey:""
				});

				//根据高级搜索框选择的筛选条件选中筛选标签
				if($('#itemStatu').val() == '') {
					$(".takefilter").LazyFilter("select","all");
				}else if($('#itemStatu').val() == '0') {
					$(".takefilter").LazyFilter("select","approve");
				}else if($('#itemStatu').val() == '1') {
					$(".takefilter").LazyFilter("select","refuse");
				}else if($('#itemStatu').val() == '2') {
					$(".takefilter").LazyFilter("select","pass");
				}
			},
			items:"/general/officeitem/take/search.php"
		},
		onClearButtonClick:function()
		{
			$("#takeinfo").LazyTable("reload",{
				param:{
					type:"takelist",
					userId:"<?=$_SESSION["LOGIN_USER_ID"]?>",
					fieldKey:'',
					fieldValue:'',
					searchData:''
				},
				page:{
					currentPage:0
				}
			});
			$("#searchValue,#searchData,#APP_ID").val("");
		}
	});	
	
	window.tDateObj = $("#take_date").datepicker({
		onClose:function()
		{
			var usingway = $("#USING_WAY").val();
			if(usingway=='2')
			{
				$.trim($(this).val()) != ""?$(this).removeClass("require"):$(this).addClass("require");
			}
		}
	});
	$("#takeinfo").LazyTable({		
		buttons:{
			buttonInfor:{
				"detail":{
					title:"<?=$_lang["asset_detail"]?>",
					isDefault:true,
					func:function(data) {
						showDetail(data.TAKE_ID);
					}
				},
				"delete":{
					title:"<?=$_lang["common_del"]?>",
					func:function(data) {
						delApply(data.TAKE_ID,data.STATUS);
					}
				},
				"return":{
					title:"<?=$_lang["asset_return"]?>",
					func:function(data)
					{
						returnApply(data.TAKE_ID)
					}
				}
			},
			filter:function(data) {
				if(data.STATUS == "0" || data.STATUS == "1")
				{
					return ["detail","delete"];
				}
				else 
				{
					if(data.MODES==2 && data.CONCEAL == 0)
					{
						return ["detail","return"];
					}
					else 
					{
						return ["detail"];
					}
				}
			}
		},
		column:[{key:"APPELLATION_SORT",title:"<?=$_lang["asset_officeitem_type"] ?>",width:"50px"},
				{key:"APPELLATION",title:"<?=$_lang["asset_goods_name"]?>",width:"100px"},
				{key:"TAKE_AMOUNT",title:"<?=$_lang["asset_number"]?>"},
				{key:"TAKE_BILL",title:"<?=$_lang["asset_apply_number"]?>"},
				{key:"STATUSNAME",title:"<?=$_lang["asset_cur_state"]?>"},
				{key:"USING_WAY",title:"<?=$_lang["asset_officeitem_using_way"]?>"},
				{key:"USAGE_TYPE",title:"<?=$_lang["asset_officeitem_type"]?>",autoHide:true}],
		dataSource:"/general/officeitem/take/index_do.php",
		param:{
			type:"takelist",
			userId:"<?=$_SESSION["LOGIN_USER_ID"]?>"
		},
		onAfterLoad: function(){
			$("#takeinfo").niceScroll().resize();
		}
	});

	//新建申请
	$("button").click(function() {
		if(this.id == "new")
		{
			$(".takelist").css("display","none");
			$(".applydiv").css("display","block");
			getItemSnum();
		} 
		else if (this.id == "back")
		{
			$(".applydiv,.takelist").toggle();
		}
		else if (this.id == "submit")
		{
			checkform();
		}
		else if (this.id == "goback")
		{
			$(".applyDetail,.takelist").toggle();
		} 
		else if (this.id == "common_out")
		{
			var searchValue = $("#searchValue").val();
			    searchData  = $("#searchData").val();
				appId       = $("#APP_ID").val();
				filterData  = $("#filterData").val();

			location.href = '/general/officeitem/joinstoreroom/export.php?choose=exports&USER_ID=<?=$LOGIN_USER_ID?>&cn=<?=$_SESSION['LOGIN_LANG']?>&searchvalue='+searchValue+"&searchdata="+encodeURI(searchData)+"&APP_ID="+appId+"&FILTERDATA="+filterData;
		}
	});

	$(".tip").click(function() {
		$(".takeinfo").LazyTable("reload",{
			param:{
				type:"takelist",
				APPELLATION_ID:""
			}
		});
		$("#itemlist").LazyList("reload",{
			param:{
				type:"itemlist"
			},
			dataKey:"APPELLATION_ID",
			defaultKey:""
		});
		$("#APP_ID").val('');
		$(".tip").test("init");
	});

	$(".arrow").LazyToggle({
		showTip : "<?=$_lang["asset_show_use_goods"]?>",
		hideTip : "<?=$_lang["asset_hide_use_goods"]?>",
		autoHide : false,
		onAfterShow : function() {			
			$(".leftlist").show();
			$(".takelist,.applyDetail,.applydiv").css("margin-left","301px");
		},
		onAfterHide : function() {			
			$(".leftlist").hide();
			$(".takelist,.applyDetail,.applydiv").css("margin-left","0px");
		}
	});	

	$("#take_amount").focus(function() {
		var $appellation = $("#APPELLATION");
		$.trim($appellation.val()) != "" ?$appellation.removeClass("require"):$appellation.addClass("require");
	});

	$("#take_amount").keyup(function() {
		var $takeMount = $("#take_amount");
		$.trim($takeMount.val()) != "" ?$takeMount.removeClass("require"):$takeMount.addClass("require");
	});
	//$("#applyDate,#returnDate").datepicker();//,#mode_time
});

function showBig() {
	$("#divlargepic").show();
}
function closeBig() {
	$("#divlargepic").hide();
}
</script>
</head>
<body style="overflow:hidden;">
<div id="message"></div>
<div class="leftlist" id="leftlist">
	<div class="lazy_header">
		<span class="lazy-list-title">
			<i class="fa fa-list-title"></i>
			<span class="tip" style="cursor:pointer;"><?=$_lang["asset_apply_info"]?></span>
		</span>
		<div id="leftsearch" class="leftsearch" style="float:right;margin-top:5px;"></div>			
	</div>
	<div class="outsidediv">		
		<div id="itemlist"></div>
	</div>
</div>
<div class="takelist" id="takelist" style="margin-left:301px;">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
		<div class="takefilter" id="takefilter"></div>		
		<button type="button" id="new" class="btn btn-primary"><?=$_lang["common_new"]?></button>
		<button id="common_out" type="button" class="btn btn-primary"><?=$_lang["common_out"]?></button>
		<div class="takesearch" id="takesearch" style="float:right;margin-top:5px;"></div>
	</div>
	<div id="takeinfo" class="takeinfo"></div>
</div>
<div class="applydiv" id="applydiv" style="display:none;margin-left:301px;">
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_new_apply"]?></span>
		</span>
		<button type="button" class="btn btn-primary" id="submit"><?=$_lang["common_submit"]?></button>
		<button type="button" class="btn btn-default" id="back"><?=$_lang["common_back"]?></button>
	</div>
	<div class="editdiv" id="editdiv">
		<form id="form2" name="form2" method="post" action="update.php">
            <input type="hidden" name="handle" id="handle" value="update">
            <table border="0" width="100%" class="form_table" cellspacing="1" cellpadding="5">				
                <tr>
                    <td class="title" width="120px" nowrap="nowrap"><?=$_lang["asset_use_invoices_number"]?></td>
                    <td width="300px" nowrap="nowrap">
						<input type="text" readonly name="ITEM_NUMS" id="ITEM_NUMS" size="25">
					</td>
				</tr>
                <tr>
                    <td class="title"><?=$_lang["asset_office_supplies"]?></td>
                    <td>                    	
						<input type="text" name="APPELLATION" id="APPELLATION" size="25" class="require" readonly value="<?=$APPELLATION?>" disabled="disabled">
						<input type="hidden" name="APPELLATION_ID" id="APPELLATION_ID" value="<?=$APPELLATION_ID?>">					
						<button type="button" class="btn btn-primary" onClick="LoadWindow2('APPELLATION_ID','APPELLATION','form1');"><?=$_lang["common_choose"]?></button>
                    </td>
				</tr>
				<tr>
                	<!--申请数量-->
                    <td class="title"><?=$_lang["asset_use_counts"]?></td>
                    <td><input class="require" type="text" size="25" name="take_amount" id="take_amount"></td>
				</tr>
				<tr>
					<!--使用日期-->
					<td class="title"><span class='usetitle'><?=$_lang["asset_use_date"]?></span></td>
					<td>
						<span class="datetype"><input type="text" name="take_date" id="take_date" value="<?=date("Y-m-d",time())?>" size="25" maxlength="10"/></span>
					</td>
				</tr>
				<tr>
					<td class="title"><?=$_lang["asset_officeitem_type"]?></td>
					<td>
						<select id="usage_type" name="usage_type">
							<?=show_info(39)?>
						</select>
					</td>
				</tr>
				<tr>
					<td class="title"><?=$_lang["asset_source_recieve"]?></td>
					<td>
						<select id="payment_modes" name="payment_modes">
							<?=show_info(40)?>
						</select>
					</td>
				</tr>
				<tr>
                    <td class="title"><?=$_lang["asset_applicants"]?></td>
					<td>
						<input type="text" name="apply_user" id="apply_user" readonly="readonly" value="<?=getUserNameNew($LOGIN_USER_ID)?>" size="25" maxlength="10">
					</td>
                </tr> 
				<tr>
                    <td width="120px" class="title"><?=$_lang["common_descp"]?></td>
                    <td colspan="3">
						<textarea class="BigInput" name="explains" id="explains" style="overflow:auto;width:<?=$width?>px" rows="5" cols="71"></textarea>
					</td>
                </tr>
                <tr>
					<td class="title"><?=$_lang["asset_officeitem_img"]?></td>
					<td>
						<div class="imgDiv">
							<img class="imgs" src="/images/defau.jpg"></img>
						</div>
						<div id="divlargepic" title="<?=$_lang["info_rss_news_click_close"]?>" style="display:none;position:absolute;cursor:hand;background:#efefef;width:auto;height:auto;padding:5px" onClick="closeBig()" >
							<img class="imgs" src="/images/defau.jpg"></img>
						</div>
					</td>
				</tr>
            </table>
			<input type="hidden" id="searchData" name="searchData">
			<input type="hidden" id="searchValue" name="searchValue">
			<input type="hidden" id="filterData" name="filterData">
			<input type="hidden" id="USING_WAY" name="USING_WAY" value="1">
			<input type="hidden" id="APP_ID" name="APP_ID">
         </form>
	</div>
</div>
<div class="applyDetail" id="applyDetail" style="display:none;margin-left:301px;">
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_apply_detail"]?></span>
		</span>
		<button class="btn btn-default" type="button" id="goback"><?=$_lang["common_back"]?></button>
	</div>
	<div class="detaildiv">
		<table border="0" width="100%" cellspacing="1" cellpadding="5" class="form_table">
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_type"]?></td>
				<td>
					<span class="OFFICEITEM_TYPE"></span>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_office_supplies_name"]?></td>
				<td>
					<span class="OFFICEITEM_NAME"></span>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_unit"]?></td>
				<td>
					<span class="OFFICEITEM_UNIT"></span>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_number"]?></td>
				<td>
					<span class="OFFICEITEM_AMOUNT"></span>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["common_dept"]?></td>
				<td>
					<span class="OFFICEITEM_DEPT"></span>
				</td>
			</tr>
			<tr id="usingtr">
				<td nowrap="nowrap" class="title"><?=$_lang["asset_use_date"]?></td>
				<td>
					<span class="OFFICEITEM_APPLY_DATE"></span>
				</td>
			</tr>
			<tr id="borrowtr">
				<td nowrap="nowrap" class="title"><?=$_lang["asset_end_date"]?></td>
				<td>
					<span class="OFFICEITEM_END_DATE"></span>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_apply_number"]?></td>
				<td>
					<span class="OFFICEITEM_NUM"></span>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_current_status"]?></td>
				<td>
					<span class="OFFICEITEM_STATUS"></span>
				</td>
			</tr>                           
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_officeitem_type"]?></td>
				<td><span class="OFFICEITEM_USAGETYPE"></span></td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_source_recieve"]?></td>
				<td><span class="OFFICEITEM_SOURCE_RECIEVE"></span><?=get_info(40,$payment_modes,1);?></td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["common_descp"]?></td>
				<td colspan="3">
					<span class="OFFICEITEM_EXPLAIN"></span>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="title"><?=$_lang["asset_examine_advice"]?></td>
				<td colspan="3">
					<span class="OFFICEITEM_NOTE"></span>
				</td>
			</tr>
		</table>
	</div>
</div>
</body>
</html>
<script>
//删除
function delApply(take_id,status) {
	bootbox.confirm("<?=$_lang["asset_confirm_to_delete_this_record"]?>",function(result) {
		if(result)
		{
			url	= "update.php";
			$.ajax({
				type:"POST",
				url:url,
				data:"handle=delete&take_id="+take_id+"&status="+status,
				success:function(resp) {
					$("#takeinfo").LazyTable("reload",{
						param:{
							type:"takelist",
							filter:$("#filterData").val(),
							APPELLATION_ID:$("#APP_ID").val()
						}
					});
					$("#itemlist").LazyList("reload",{
						param:{
							type:"itemlist"
						},
						dataKey:"APPELLATION_ID",
						defaultKey:$("#APP_ID").val()
					});
				}
			});
		}
	});
}

function LoadWindow2()
{
	URL="../appellation_select/index.php";
	window.open(URL,'_blank','height=500,width=500,top=0,left=0,toolbar=no,menubar=no,scrollbars=no, resizable=no,location=no,screenX=300,screenY=200,status=no');
}

function rtx(temp){
	return temp.match(/^\d+$/);
}

function checkform() {
	var modes_value = $("#modes").val();
	var take_amount	= $("#take_amount").val();
	var take_date	= $("#take_date").val();
	var appellation	= $("#APPELLATION").val();

	if(appellation == "") {
		$.pnotify({
			text:"<?=$_lang["asset_office_supplies_name_canot_be_empty"]?>",
			type:"error"
		});
		return false;
	}	

	if(take_date == "") {
		$.pnotify({
			text:"<?=$_lang["asset_date_cannot_empty"]?>",
			type:"error"
		});
		return false;
	}

	if(isNaN(take_amount)) {
		$.pnotify({
			text:"<?=$_lang["asset_use_count_must_be_number"]?>",
			type:"error"
		});
		return false;
	}

	document.form2.submit();
}


function getItemSnum()
{
	var url = "/general/officeitem/joinstoreroom/index_do.php";
	var data = "type=getItemNum";
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp)
		{
			if(resp)
			{
				$("#ITEM_NUMS").val(resp);
			}
		}
	});
}

//显示申请详情
function showDetail(takeId) {
	$(".takelist").toggle();
	$(".applyDetail").toggle();
	var url = "/general/officeitem/take/index_do.php";
	var data= "type=getDetail&TAKE=1&TAKE_ID="+takeId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp)
		{
			if(resp)
			{
				var jsonData = $.parseJSON(resp);
				$(".OFFICEITEM_TYPE").html(jsonData.SORT);
				$(".OFFICEITEM_NAME").html(jsonData.APPELLATION);
				$(".OFFICEITEM_UNIT").html(jsonData.UNIT);
				$(".OFFICEITEM_AMOUNT").html(jsonData.TAKE_AMOUNT);
				$(".OFFICEITEM_DEPT").html(jsonData.DEPT);
				if(jsonData.USING_WAY == '1')
				{
					$("#usingtr").show();
					$("#borrowtr").hide();
				}
				else
				{
					$("#usingtr").hide();
					$("#borrowtr").show();				
				}
				$(".OFFICEITEM_APPLY_DATE").html(jsonData.TAKE_DATE);
				$(".OFFICEITEM_END_DATE").html(jsonData.MODE_TIME);
				$(".OFFICEITEM_NUM").html(jsonData.TAKE_BILL);
				$(".OFFICEITEM_STATUS").html(jsonData.STATUSFLAG);
				$(".OFFICEITEM_USAGETYPE").html(jsonData.USAGE_TYPE);
				$(".OFFICEITEM_SOURCE_RECIEVE").html(jsonData.PAYMENT_MODES);
				$(".OFFICEITEM_EXPLAIN").html(jsonData.EXPLAINS);
				$(".OFFICEITEM_NOTE").html(jsonData.APPROVE_NOTE);
			}
		}
	});
}

//
function returnApply(takeId)
{
	var url = "/general/officeitem/take/index_do.php";
	var data= "type=return&TAKE_ID="+takeId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp)
		{
			if(resp)
			{
				$(".takeinfo").LazyTable("reload",{
					param:{
						type:"takelist",
						filter:$("#filterData").val(),
						APPELLATION_ID:""
					}
				});
			}
		}
	});
}
</script>