<?php
/**
 * Systemname:       E-Office
 * Filename:         general/officeitem/take/index_do.php
 * Function:         我的资产--使用申请数据处理页面
 * Encoding:         $_lang['encoding']
 * Date:             2013-02-21
 * File Version:     1.0
 * Eoffice Version:  8.x
 * Author:           ljQu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("general/system/combox/packaging.php");
includelangpak("asset");
//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['TAKE_ID'])){
    Message('',$_lang["common_param_error"],'failed');
    exit;
}
$type = $_REQUEST["type"];

if($type == "itemlist") {
	$sql   = "SELECT * FROM officeitem_sort ORDER BY MARK ASC";
	$rs    = exequery($connection,$sql);
	$itemSortArr   = array();
	$itemSortIdArr = array();
	while($ROW = mysql_fetch_array($rs))
	{
		array_push($itemSortArr,$ROW);
		array_push($itemSortIdArr,$ROW["SORT_ID"]);
	}

	$query = "SELECT * FROM officeitem_appellation";
	$res   = exequery($connection,$query);
	$itemArr = array();
	while($row = mysql_fetch_array($res)) {
		array_push($itemArr,$row);
	}
	if(count($itemArr) > 0)
	{
		foreach($itemArr as $key => $value)
		{
			$keys = array_search(trim($value["SORT_ID"]),$itemSortIdArr);
			if($keys>=0)
			{
				count($itemSortArr[$keys]["lazySubItems"]) == 0?$itemSortArr[$keys]["lazySubItems"][0]=$value:array_push($itemSortArr[$keys]["lazySubItems"],$value);
			}
		}
		
		foreach($itemSortArr as $k=>$v)
		{
			if(array_key_exists('lazySubItems',$v))
			{
				$itemSortArr[$k]["COUNT"] = count($itemSortArr[$k]["lazySubItems"]);
			}
			else
			{
				unset($itemSortArr[$k]);
			}
		}
	}
	echo json_encode($itemSortArr);
} else if ($type == "takelist") {
	$itemsPerPage = $_REQUEST["itemsPerPage"];
	$startRow     = $_REQUEST["currentPage"]*$itemsPerPage;

	$query = "SELECT * FROM officeitem_appellation oa,officeitem_take ot,officeitem_sort os WHERE 1 AND oa.APPELLATION_ID=ot.APPELLATION_ID AND oa.SORT_ID=os.SORT_ID";
	
	$query .= trim($_REQUEST["itemName"])!=""?" AND APPELLATION LIKE '%".$_REQUEST["itemName"]."%'":"";
	$query .= $_REQUEST["APPELLATION_ID"] != ""?" AND ot.APPELLATION_ID='".$_REQUEST["APPELLATION_ID"]."'":"";

	if($_REQUEST["filter"])
	{
		switch($_REQUEST["filter"])
		{
			case "approve":
				$query .= " AND ot.STATUS='0'";
				break;
			case "pass":
				$query .= " AND ot.STATUS='2'";
				break;
			case "refuse":
				$query .= " AND ot.STATUS='1'";
				break;
			case "days":
				$query .= " AND ot.TAKE_DATE<=CURDATE() AND ot.TAKE_DATE>=DATE_SUB(CURDATE(), INTERVAL 2 DAY)";
				break;
			case "weeks":
				$query .= " AND ot.TAKE_DATE<=CURDATE() AND ot.TAKE_DATE>=DATE_SUB(CURDATE(), INTERVAL 6 DAY)";
				break;
			case "month":
				$query .= " AND ot.TAKE_DATE<=CURDATE() AND ot.TAKE_DATE>=DATE_SUB(CURDATE(), INTERVAL 29 DAY)";
				break;
			case "1":
				$query .= " AND oa.USING_WAY='1'";
				break;
			case "2":
				$query .= " AND oa.USING_WAY='2'";
				break;
		}
	}
	$query .= SecurityFilter(SecurityFilter($_REQUEST["searchData"])) != "" ?stripslashes($_REQUEST["searchData"]):"";
	$query .= SecurityFilter(SecurityFilter($_REQUEST["userId"])) != "" ?" AND ot.TAKE_OPERATOR='".SecurityFilter($_REQUEST["userId"])."'":"";
	$query .= SecurityFilter(SecurityFilter($_REQUEST["fieldValue"])) != "" ?" AND APPELLATION LIKE '%".SecurityFilter($_REQUEST["fieldValue"])."%'":"";
	$query .= " ORDER BY ot.TAKE_DATE DESC";

	$res = exequery($connection,$query);
	$totalCount = mysql_num_rows($res);
	if($startRow>=$totalCount)
	{
		$startRow = max(0,$startRow-$itemsPerPage);
	}
	if($itemsPerPage != "") {
		$query .= " LIMIT ".$startRow.",".$itemsPerPage;
	}
	$rs = exequery($connection,$query);
	$takeListInfo = array();
	while($row = mysql_fetch_array($rs)) {
		array_push($takeListInfo,$row);
	}
	foreach($takeListInfo as $key=>$value)
	{
		$takeListInfo[$key]["APPELLATION_SORT"] = $value["SORT"];
		$takeListInfo[$key]["TAKE_DATE"]        = $value["TAKE_DATE"] != "0000-00-00 00:00:00"?date("Y-m-d",strtotime($value["TAKE_DATE"])):"";
		$takeListInfo[$key]["USING_WAY"]        = $value["USING_WAY"] == "1" ? $_lang["asset_use"]:($value["USING_WAY"] == "2"?$_lang["asset_borrow_use"]:"");
		switch($value["STATUS"])
		{
			case "0":
				$takeListInfo[$key]["STATUSNAME"] = $_lang["asset_vehicles_checking"];
				break;
			case "1":
				$takeListInfo[$key]["STATUSNAME"] = $_lang["asset_not_pass"];
				break;
			case "2":
				$takeListInfo[$key]["STATUSNAME"] = $value["CONCEAL"] == 1?$_lang["asset_have_returned"]:$_lang["asset_have_passed"];
				break;
		}
		$takeListInfo[$key]["USAGE_TYPE"]    = get_info(39,$value["USAGE_TYPE"],1);//$value["USAGE_TYPE"] ==1?"个人使用":"部门使用";
	}
	echo json_encode(array("totalCount"=>$totalCount,"list"=>$takeListInfo));
}
else if ($type == "getDetail")
{
	$sql = "SELECT ot.*,os.SORT,oa.APPELLATION,oa.UNIT AS OUNIT,oa.STOCKPILE AS OSTOCKPILE,oa.USING_WAY,u.USER_NAME FROM officeitem_take ot,officeitem_sort os,officeitem_appellation oa,user u WHERE 1 AND ot.APPELLATION_ID=oa.APPELLATION_ID AND os.SORT_ID=oa.SORT_ID";
	$sql .= $_REQUEST["TAKE"] != 1 ?" AND u.USER_ID=ot.TAKE_OPERATOR":"";
	$sql .= " AND ot.TAKE_ID='".SecurityFilter($_REQUEST["TAKE_ID"])."'";
	$res = exequery($connection,$sql);
	if($row = mysql_fetch_array($res))
	{
		$detailArr = $row;	
		$detailArr["TAKE_DATE"]     = $row["TAKE_DATE"] != "0000-00-00 00:00:00"?date("Y-m-d",strtotime($row["TAKE_DATE"])):"";
		$detailArr["MODE_TIME"]     = $row["MODE_TIME"] != "0000-00-00 00:00:00"?date("Y-m-d",strtotime($row["MODE_TIME"])):$_lang["asset_no_this_date"];
		$detailArr["USAGE_TYPE"]    = get_info(39,$row["USAGE_TYPE"],1);
		$detailArr["PAYMENT_MODES"] = get_info(40,$row["PAYMENT_MODES"],1);
		$detailArr["USING_WAY"]     = $row["USING_WAY"];
		$detailArr["OPERTEOR"]      = $row["USER_NAME"];
		$detailArr["UNIT"]          = $row["OUNIT"];
		$detailArr["STOCKPILE"]     = $row["OSTOCKPILE"];
		switch($row["STATUS"])
		{
			case "0":
				$detailArr["STATUSFLAG"] = $_lang["asset_audit"];
				break;
			case "1":
				$detailArr["STATUSFLAG"] = $_lang["asset_not_pass"];
				break;
			case "2":
				$detailArr["STATUSFLAG"] = $row["CONCEAL"] == 1?$_lang["asset_have_returned"]:$_lang["asset_have_passed"];
				break;
		}
	}
	$query = "SELECT * FROM user u,department d WHERE 1 AND u.DEPT_ID=d.DEPT_ID AND u.USER_ID='".$row["TAKE_OPERATOR"]."'";
	$rs    = exequery($connection,$query);
	if($ROW = mysql_fetch_array($rs))
	{
		$detailArr["DEPT"]     = $ROW["DEPT_NAME"];
	}
	echo json_encode($detailArr);
}
else if ($type == "return")
{
	$sql = "SELECT * FROM officeitem_take ot,officeitem_appellation oa WHERE 1 AND ot.APPELLATION_ID=oa.APPELLATION_ID AND ot.TAKE_ID='".SecurityFilter(SecurityFilter($_REQUEST["TAKE_ID"]))."'";
	$res = exequery($connection,$sql);
	if($row = mysql_fetch_array($res))
	{
		$totalAmount = $row["TAKE_AMOUNT"]+$row["STOCKPILE"];
		$query = "UPDATE officeitem_appellation oa,officeitem_take ot SET oa.STOCKPILE='".$totalAmount."',ot.CONCEAL='1' WHERE 1 AND ot.APPELLATION_ID=oa.APPELLATION_ID AND ot.TAKE_ID='".SecurityFilter(SecurityFilter($_REQUEST["TAKE_ID"]))."'";
		exequery($connection,$query);
		echo "success";
	}
}
else if ($type == "searchAppe")
{
	$query = "SELECT * FROM officeitem_appellation WHERE 1";
	$query .= SecurityFilter($_REQUEST["lazySearch"]) != ""?" AND APPELLATION LIKE '%".SecurityFilter($_REQUEST["lazySearch"])."%'":"";
	$res   = exequery($connection,$query);
	$appellationInfo = array();
	while($row = mysql_fetch_array($res))
	{
		array_push($appellationInfo,$row);
	}
	echo json_encode($appellationInfo);
}
else if ($type == "getType")
{
	$query = "SELECT * FROM officeitem_sort WHERE 1";
	$res   = exequery($connection,$query);
	$typeInfo = array();
	while($row = mysql_fetch_array($res))
	{
		array_push($typeInfo,array("key"=>$row["SORT_ID"],"title"=>$row["SORT"]));
	}
	array_unshift($typeInfo,array("key"=>"","title"=>$_lang["asset_all"]));
	echo json_encode($typeInfo);
}
else if ($type == "getUsage")
{
	$query = "SELECT * FROM combocox_child WHERE 1 AND CC_PARENT_ID='39'";
	$rs    = exequery($connection,$query);
	$usageInfo = array();
	while($row = mysql_fetch_array($rs))
	{
		array_push($usageInfo,array(key=>$row["CC_VALUE"],title=>$row["CC_NAME"]));
	}
	array_unshift($usageInfo,array(key=>"",title=>$_lang["asset_all"]));
	echo json_encode($usageInfo);
}
else if ($type == "getSearch")
{
	$sql = "";
	$sql .= $_REQUEST["itemType"] != ""?" AND oa.SORT_ID ='".$_REQUEST["itemType"]."'":"";
	$sql .= $_REQUEST["itemStatu"] != ""?" AND STATUS='".$_REQUEST["itemStatu"]."'":"";
	$sql .= $_REQUEST["itemMethod"] != ""?" AND ot.USAGE_TYPE='".$_REQUEST["itemMethod"]."'":"";
	$sql .= $_REQUEST["itemName"] != ""?" AND APPELLATION LIKE '%".$_REQUEST["itemName"]."%'":"";
	$sql .= $_REQUEST["itemCount"] != ""?" AND TAKE_AMOUNT <='".$_REQUEST["itemCount"]."'":"";


	if($_REQUEST['applyDate']!=''){
		if(strpos($_REQUEST['applyDate'],'--')){
			$array=explode('--', $_REQUEST['applyDate']);
			$sql .= " AND TAKE_DATE >= '".trim($array[0])." 00:00:00'";
			$sql .= " AND TAKE_DATE <= '".trim($array[1])." 23:59:59'";
		}else{
			$sql .= " AND TAKE_DATE >= '".trim($_REQUEST['applyDate'])." 00:00:00'";
			$sql .= " AND TAKE_DATE <= '".trim($_REQUEST['applyDate'])." 23:59:59'";
		}
	}

	if($_REQUEST['returnDate']!=''){
		if(strpos($_REQUEST['returnDate'],'--')){
			$array=explode('--', $_REQUEST['returnDate']);
			$sql .= " AND MODE_TIME >= '".trim($array[0])." 00:00:00'";
			$sql .= " AND MODE_TIME <= '".trim($array[1])." 23:59:59'";
		}else{
			$sql .= " AND MODE_TIME >= '".trim($_REQUEST['returnDate'])." 00:00:00'";
			$sql .= " AND MODE_TIME <= '".trim($_REQUEST['returnDate'])." 23:59:59'";
		}
	}

	$sql .= $_REQUEST["applyNum"] != ""?" AND TAKE_BILL LIKE '%".$_REQUEST["applyNum"]."%'":"";
	echo $sql;
}
?>