<?
/**
 * Systemname:       E-Office
 * Filename:         general/officeitem/take_detail.php
 * Function:         我的资产--申请单详情
 * Encoding:         $_lang['encoding']
 * Date:             2011-12-9
 * File Version:     11.0
 * Eoffice Version:  8.x
 * Author:           liuqingyu 
*/
include_once("inc/auth.php"); 
include_once("general/system/combox/packaging.php");
includelangpak("asset");
$query = "SELECT ot.*, oa.*, os.* FROM officeitem_take as ot, officeitem_appellation as oa, officeitem_sort as os 
              WHERE ot.APPELLATION_ID=oa.APPELLATION_ID 
              && oa.SORT_ID=os.SORT_ID && ot.TAKE_ID='".SecurityFilter($TAKE_ID)."'";
$cursor= exequery($connection,$query);
if($ROW   = mysql_fetch_array($cursor))
{
	$EXPLAINS       = $ROW["EXPLAINS"];
	$take_date		= $ROW["TAKE_DATE"];
	$take_bill		= $ROW["TAKE_BILL"];
	$take_amount	= $ROW["TAKE_AMOUNT"];
	$take_stockpile	= $ROW["TAKE_STOCKPILE"];
	$modes			= $ROW["MODES"];
	$status			= $ROW["STATUS"];
	$operate		= $ROW["OPERATE"];
	$appellation_id	= $ROW["APPELLATION_ID"];
	$appellation	= $ROW["APPELLATION"];
	$sort			= $ROW["SORT"];
	$unit			= $ROW["UNIT"];
	$take_operator	= $ROW["TAKE_OPERATOR"];	
	$conceal		= $ROW["CONCEAL"];	
    $approve_note   = $ROW["APPROVE_NOTE"];
    $usage_type     = $ROW["USAGE_TYPE"];
    $payment_modes  = $ROW["PAYMENT_MODES"];
    $mode_times     = $ROW["MODE_TIME"];
} else {
	Message("",$_lang["asset_officeitem_check_date_exist"]);
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
</head>
<body leftmargin="0" topmargin="0">
<div class="lazy_header"> 
     <span class="tip"><?=$_lang["asset_office_use_detail"]?></span>
</div>
<table border="0" width="100%" cellspacing="1" cellpadding="5" class="form_table">
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_type"]?>：</td>
		<td>
			<?
				echo $sort;
			?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_office_supplies_name"]?>：</td>
		<td>
			<?
				$expiredstr = "";
				if ($status == 2 && $modes == 2 && $conceal == 0){
					if(strtotime($mode_times) != "" &&  strtotime($mode_times) <= strtotime(date("Y-m-d",time()))) {
						$expiredstr = "<font color=red>(".$_lang["asset_have_ended"].")</font>";
					}
				}
				echo $appellation.$expiredstr;
			?>
			<input type="hidden" id="office_name" name="office_name" value="<?=$appellation.$expiredstr?>" />
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_unit"]?>：</td>
		<td>
			<?=$unit?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="tablecol2" width="100px"><?=$_lang["asset_number"]?>：</td>
		<td class="tablecol1">
			<?=$take_amount?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["common_dept"]?>：</td>
		<td>
			<?
				$query2	= "select d.DEPT_NAME,u.USER_NAME from department as d,user as u where d.DEPT_ID=u.DEPT_ID && u.USER_ID='".SecurityFilter($take_operator)."'";
				$cursor2= exequery($connection, $query2);
				if($row2= mysql_fetch_row($cursor2))
					$dept_name	= $row2[0];
				echo $dept_name;	
			?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_apply_date"]?>：</td>
		<td>
			<?
				$take_date	= explode(" ", $take_date);
				echo $take_date[0];
			?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_end_date"]?>：</td>
		<td>
			<?
				if ($modes == "2") {
					$mode_time = explode(" ", $ROW["MODE_TIME"]);
				} else {
					$mode_time = "";
				}
				echo $mode_time[0];
			?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_apply_number"]?>：</td>
		<td>
			<?=$take_bill?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_way"]?>：</td>
		<td>
			<?
			if($modes == "1")
				echo $_lang["asset_recipients"];
			else if($modes == "2") {
				echo $_lang["asset_borrow_use"];
			}
			?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["asset_current_status"]?>：</td>
		<td>
			<?
			if($status == "0") {
				echo $_lang["asset_audit"];
			} else if($status == "1") {
					echo $_lang["asset_not_pass"];
			} else if($status == "2" && $conceal == 0) {
					echo $_lang["asset_have_passed"];
			} else if ($status == 2 && $conceal == 1) {
				echo $_lang["asset_have_returned"];
			}
			?>
		</td>
	</tr>                           
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["asset_officeitem_type"]?>：</td>
		<td><?=get_info(39,$usage_type,1);?></td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["asset_source_recieve"]?>：</td>
		<td><?=get_info(40,$payment_modes,1);?></td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="100px"><?=$_lang["common_descp"]?>：</td>
		<td colspan="3">
		<?=$EXPLAINS?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["asset_examine_advice"]?>：</td>
		<td colspan="3"><?=$approve_note?></td>
	</tr>
</table>
                   
</body>
</html>