<?php
/**
 * Systemname:       E-Office
 * Filename:         general/officeitem/take/index_do.php
 * Function:         我的资产--使用申请数据处理页面
 * Encoding:         $_lang['encoding']
 * Date:             2013-02-21
 * File Version:     1.0
 * Eoffice Version:  8.x
 * Author:           ljQu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("asset");
//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['TAKE_ID'])){
    Message('',$_lang["common_param_error"],'failed');
    exit;
}
$type = $_REQUEST["type"];

if($type == "itemlist") {
	$sql   = "SELECT * FROM officeitem_sort ORDER BY MARK ASC";
	$rs    = exequery($connection,$sql);
	$itemSortArr   = array();
	$itemSortIdArr = array();
	while($ROW = mysql_fetch_array($rs))
	{
		array_push($itemSortArr,$ROW);
		array_push($itemSortIdArr,$ROW["SORT_ID"]);
	}

	$query = "SELECT * FROM officeitem_appellation";
	$res   = exequery($connection,$query);
	$itemArr = array();
	while($row = mysql_fetch_array($res)) {
		array_push($itemArr,$row);
	}
	if(count($itemArr) > 0)
	{
		foreach($itemArr as $key => $value)
		{
			$keys = array_search(trim($value["SORT_ID"]),$itemSortIdArr);
			if($keys>=0)
			{
				count($itemSortArr[$keys]["lazySubItems"]) == 0?$itemSortArr[$keys]["lazySubItems"][0]=$value:array_push($itemSortArr[$keys]["lazySubItems"],$value);
			}
		}

		foreach($itemSortArr as $k=>$v)
		{
			if(array_key_exists('lazySubItems',$v))
			{
				$itemSortArr[$k]["COUNT"] = count($itemSortArr[$k]["lazySubItems"]);
			}
			else
			{
				unset($itemSortArr[$k]);
			}
		}
	}
	echo json_encode($itemSortArr);
} else if ($type == "approvelist") {
	$itemsPerPage = SecurityFilter($_REQUEST["itemsPerPage"]);
	$startRow     = SecurityFilter($_REQUEST["currentPage"])*$itemsPerPage;

	$query = "SELECT ot.*,oa.*,os.*,u.USER_NAME,d.DEPT_NAME
		FROM officeitem_take AS ot
		LEFT JOIN officeitem_appellation AS oa ON oa.APPELLATION_ID=ot.APPELLATION_ID
		LEFT JOIN officeitem_sort AS os ON oa.SORT_ID=os.SORT_ID
		LEFT JOIN user AS u ON ot.TAKE_OPERATOR = u.USER_ID
		LEFT JOIN department AS d ON u.DEPT_ID = d.DEPT_ID
		WHERE 1
		";

	$query .= SecurityFilter($_REQUEST["appellationId"]) != ""?" AND oa.APPELLATION_ID='".SecurityFilter($_REQUEST["appellationId"])."'":"";

	if($_REQUEST["filter"] != "")
	{
		switch($_REQUEST["filter"])
		{
			case "1":
				$query .= " AND ot.STATUS='0'";
				break;
			case "2":
				$query .= " AND ot.STATUS='2'";
				break;
			case "3":
				$query .= " AND ot.STATUS='1'";
				break;
			case "days":
				$query .= " AND TAKE_DATE<=CURDATE() AND TAKE_DATE>=DATE_SUB(CURDATE(),INTERVAL 2 DAY)";
				break;
			case "weeks":
				$query .= " AND TAKE_DATE<=CURDATE() AND TAKE_DATE>=DATE_SUB(CURDATE(),INTERVAL 6 DAY)";
				break;
			case "month":
				$query .= " AND TAKE_DATE<=CURDATE() AND TAKE_DATE>=DATE_SUB(CURDATE(),INTERVAL 29 DAY)";
				break;
			case "get":
				$query .= " AND USING_WAY='1'";
				break;
			case "borrow":
				$query .= " AND USING_WAY='2'";
				break;
		}
	}
	else
	{
		if($_REQUEST["searchData"]["itemStatu"] == "")
		{
			$query .= " AND ot.STATUS=0";
		}
	}
	//结合查询条件
	$query .= SecurityFilter($_REQUEST["searchData"]["itemType"] )  != "" ?" AND oa.SORT_ID='".SecurityFilter($_REQUEST["searchData"]["itemType"])."'":"";

	$query .= SecurityFilter($_REQUEST["searchData"]["itemName"])   != "" ?" AND oa.APPELLATION LIKE '%".SecurityFilter($_REQUEST["searchData"]["itemName"])."%'":"";

	$query .= SecurityFilter($_REQUEST["searchData"]["itemCount"])  != "" ?" AND ot.TAKE_AMOUNT='".SecurityFilter($_REQUEST["searchData"]["itemCount"])."'":"";


	if($_REQUEST["searchData"]["applyDate"]!=''){
		if(strpos($_REQUEST["searchData"]["applyDate"],'--')){
			$array=explode('--', $_REQUEST["searchData"]["applyDate"]);
			$query .= " AND ot.TAKE_DATE >= '".SecurityFilter(trim($array[0]))." 00:00:00'";
			$query .= " AND ot.TAKE_DATE <= '".SecurityFilter(trim($array[1]))." 23:59:59'";
		}else{
			$query .= " AND ot.TAKE_DATE >= '".SecurityFilter(trim($_REQUEST["searchData"]["applyDate"]))." 00:00:00'";
			$query .= " AND ot.TAKE_DATE <= '".SecurityFilter(trim($_REQUEST["searchData"]["applyDate"]))." 23:59:59'";
		}
	}

	if($_REQUEST["searchData"]["returnDate"]!=''){
		if(strpos($_REQUEST["searchData"]["returnDate"],'--')){
			$array=explode('--', $_REQUEST["searchData"]["returnDate"]);
			$query .= " AND MODE_TIME >= '".SecurityFilter(trim($array[0]))." 00:00:00'";
			$query .= " AND MODE_TIME <= '".SecurityFilter(trim($array[1]))." 23:59:59'";
		}else{
			$query .= " AND MODE_TIME >= '".SecurityFilter(trim($_REQUEST["searchData"]["returnDate"]))." 00:00:00'";
			$query .= " AND MODE_TIME <= '".SecurityFilter(trim($_REQUEST["searchData"]["returnDate"]))." 23:59:59'";
		}
	}

	$query .= SecurityFilter($_REQUEST["applier"])  != "" ?" AND ot.TAKE_OPERATOR IN('".str_replace(",","','",substr(SecurityFilter($_REQUEST["applier"]),0,-1))."')":"";
	$query .= SecurityFilter($_REQUEST["takeDept"])  != "" ?" AND u.DEPT_ID IN('".str_replace(",","','",substr(SecurityFilter($_REQUEST["takeDept"]),0,-1))."')":"";

	$query .= SecurityFilter($_REQUEST["searchData"]["itemStatu"])  != "" ?" AND ot.STATUS='".SecurityFilter($_REQUEST["searchData"]["itemStatu"])."'":"";

	$query .= SecurityFilter($_REQUEST["searchData"]["itemNum"])    != "" ?" AND TAKE_BILL LIKE '%".SecurityFilter($_REQUEST["searchData"]["itemNum"])."%'":"";

	$query .= SecurityFilter($_REQUEST["fieldKey"]) == "itemType"?" AND os.SORT LIKE '%".SecurityFilter($_REQUEST["fieldValue"])."%'":(SecurityFilter($_REQUEST["fieldKey"]) == "itemName" &&SecurityFilter($_REQUEST["fieldValue"]) != "" ?" AND oa.APPELLATION LIKE '%".SecurityFilter($_REQUEST["fieldValue"])."%'":"");

	$res = exequery($connection,$query);
	$totalCount = mysql_num_rows($res);
	if($startRow>=$totalCount)
	{
		$startRow = max(0,$startRow-$itemsPerPage);
	}
	if($itemsPerPage != "") {
		$query .= " LIMIT ".$startRow.",".$itemsPerPage;
	}
	$rs = exequery($connection,$query);
	$takeListInfo = array();
	while($row = mysql_fetch_array($rs)) {
		array_push($takeListInfo,$row);
	}

	foreach($takeListInfo as $key=>$value)
	{
		$takeListInfo[$key]["APPELLATION_SORT"] = $value["SORT"];
		$takeListInfo[$key]["TAKE_DATE"]        = $value["TAKE_DATE"] != "0000-00-00 00:00:00"?date("Y-m-d",strtotime($value["TAKE_DATE"])):"";
		$takeListInfo[$key]["MODE_TIME"]        = $value["MODE_TIME"] != "0000-00-00 00:00:00"?date("Y-m-d",strtotime($value["MODE_TIME"])):"";
		$takeListInfo[$key]["TAKE_OPERATOR"]    = $value["USER_NAME"];
		$takeListInfo[$key]["TAKE_DEPT"]    	= $value["DEPT_NAME"];
		$takeListInfo[$key]["USING_WAY"]        = $value["USING_WAY"] == "1"?"使用":($value["USING_WAY"] == "2"?"借用":"");
	}
	echo json_encode(array("totalCount"=>$totalCount,"list"=>$takeListInfo));
}
else if ($type == "getSearch")
{
	$query = '';

	$query .= SecurityFilter($_REQUEST["itemType"])   != "" ?" AND oa.SORT_ID='".SecurityFilter($_REQUEST["itemType"])."'":"";

	$query .= SecurityFilter($_REQUEST["itemName"])   != "" ?" AND oa.APPELLATION LIKE '%".SecurityFilter($_REQUEST["itemName"])."%'":"";

	$query .= SecurityFilter($_REQUEST["itemCount"])  != "" ?" AND ot.TAKE_AMOUNT='".SecurityFilter($_REQUEST["itemCount"])."'":"";


	if($_REQUEST["applyDate"]!=''){
		if(strpos($_REQUEST["applyDate"],'--')){
			$array=explode('--', $_REQUEST["applyDate"]);
			$query .= " AND ot.TAKE_DATE >= '".SecurityFilter(trim($array[0]))." 00:00:00'";
			$query .= " AND ot.TAKE_DATE <= '".SecurityFilter(trim($array[1]))." 23:59:59'";
		}else{
			$query .= " AND ot.TAKE_DATE >= '".SecurityFilter(trim($_REQUEST["applyDate"]))." 00:00:00'";
			$query .= " AND ot.TAKE_DATE <= '".SecurityFilter(trim($_REQUEST["applyDate"]))." 23:59:59'";
		}
	}

	if($_REQUEST["returnDate"]!=''){
		if(strpos($_REQUEST["returnDate"],'--')){
			$array=explode('--', $_REQUEST["returnDate"]);
			$query .= " AND MODE_TIME >= '".SecurityFilter(trim($array[0]))." 00:00:00'";
			$query .= " AND MODE_TIME <= '".SecurityFilter(trim($array[1]))." 23:59:59'";
		}else{
			$query .= " AND MODE_TIME >= '".SecurityFilter(trim($_REQUEST["returnDate"]))." 00:00:00'";
			$query .= " AND MODE_TIME <= '".SecurityFilter(trim($_REQUEST["returnDate"]))." 23:59:59'";
		}
	}

	$query .= SecurityFilter($_REQUEST["applier"])  != "" ?" AND ot.TAKE_OPERATOR IN('".str_replace(",","','",substr(SecurityFilter($_REQUEST["applier"]),0,-1))."')":"";
	$query .= SecurityFilter($_REQUEST["takeDept"])  != "" ?" AND  u.DEPT_ID IN('".str_replace(",","','",substr(SecurityFilter($_REQUEST["takeDept"],0,-1)))."')":"";

	$query .= SecurityFilter($_REQUEST["itemStatu"])  != "" ?" AND ot.STATUS='".SecurityFilter($_REQUEST["itemStatu"])."'":"";

	$query .= SecurityFilter($_REQUEST["itemNum"])    != "" ?" AND TAKE_BILL LIKE '%".SecurityFilter($_REQUEST["itemNum"])."%'":"";

	$userIds = array();

	if(!empty($_REQUEST["APPLIER_ID"])){
		$userIds = array_filter(explode(',', SecurityFilter($_REQUEST["APPLIER_ID"])));
	}

	if(!empty($_REQUEST["DEPT_ID"])){
		$deptIds = rtrim($_REQUEST["DEPT_ID"], ',');
		$deptIds = "'".str_replace(",", "','", $deptIds)."'";

		$sql   = "SELECT * FROM user WHERE DEPT_ID IN (".SecurityFilter($deptIds).") AND USER_ACCOUNTS != ''";
		$query1   = exequery($connection, $sql);

		$userDept = array();
		while ($row = mysql_fetch_array($query1)) {
			$userDept[] = $row['USER_ID'];
		}

		if (empty($userIds)) {
			$userIds = $userDept;
		} else {
			$userIds = array_intersect($userDept, $userIds);
		}
	}

	if (!empty($userIds)) {
		$userIds = "'".implode("','", $userIds)."'";
		$query .= " AND TAKE_OPERATOR IN (".$userIds.")";
	}

	echo $query;
}
else if ($type == "approveDetail")
{
	$query = "SELECT * FROM officeitem_take ot,officeitem_appellation oa WHERE 1 AND ot.APPELLATION_ID=oa.APPELLATION_ID AND TAKE_ID='".SecurityFilter($_REQUEST["TAKE_ID"])."'";
	$res   = exequery($connection,$query);
	if($row = mysql_fetch_array($res))
	{
		$appDetail = $row;
		$appDetail["OPERATOR"] = getUsernameNew($row["TAKE_OPERATOR"]);
		$appDetail["TAKE_DATE"]= $row["TAKE_DATE"] != "0000-00-00 00:00:00" ?date("Y-m-d",strtotime($row["TAKE_DATE"])):"";
		$appDetail["MODE_TIME"] = $row["MODE_TIME"] != "0000-00-00 00:00:00"?date("Y-m-d",strtotime($row["MODE_TIME"])):$_lang["asset_no_this_date"];
		$appDetail["STATUSFLAG"] = $row["STATUS_APPELLATION"]==1?$_lang["asset_recipients"]:$_lang["asset_borrow_use"];
		$appDetail["USING_WAY"]  = $row["USING_WAY"];
	}
	echo json_encode($appDetail);
}
else if ($type == "approveOpt")
{
	$sqls = SecurityFilter($_REQUEST["opType"]) == "pass"?"STATUS='2'":"STATUS='1'";
	$query = "UPDATE officeitem_take SET APPROVE_NOTE='".$_REQUEST["APPROVE_NOTE"]."',".$sqls." WHERE 1 AND TAKE_ID='".SecurityFilter($_REQUEST["TAKE_ID"])."'";

	exequery($connection,$query);
	if($_REQUEST["opType"] == "pass")
	{
		$querys = "SELECT * FROM officeitem_appellation oa,officeitem_take ot
					   WHERE 1 AND oa.APPELLATION_ID=ot.APPELLATION_ID AND TAKE_ID='".SecurityFilter($_REQUEST["TAKE_ID"])."'";
		$res    = exequery($connection,$querys);
		$row    = mysql_fetch_array($res);
		$storeroom_stockpile = $row["STOCKPILE"]-$row["TAKE_AMOUNT"];
		$sql = "UPDATE officeitem_appellation SET STOCKPILE='".SecurityFilter($storeroom_stockpile)."'
				    WHERE APPELLATION_ID='".SecurityFilter($row["APPELLATION_ID"])."'";
		exequery($connection,$sql);
	}
	echo "1";
}
else if ($type == "appellationlist")
{
	$query = "SELECT * FROM officeitem_appellation WHERE 1";
	$query .= $_REQUEST['lazySearch']!=""?" AND APPELLATION LIKE '%".SecurityFilter($_REQUEST['lazySearch'])."%'":"";
	$res   = exequery($connection,$query);
	$appellationInfo = array();
	while($row = mysql_fetch_array($res))
	{
		array_push($appellationInfo,$row);
	}
	echo json_encode($appellationInfo);
}
else if ($type == "delete")
{
	$sql = "DELETE FROM officeitem_take WHERE 1 AND TAKE_ID='".SecurityFilter($_REQUEST["TAKE_ID"])."'";
	exequery($connection,$sql);
	echo "1";
}
?>