<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 9.0
 * @function      发文查询页面
 * @encoding      $_lang['encoding']
 * @name          general/official_doc/post_manage/view.php
 * @version       1
 * @author        Qu|www.weaver.com.cn
 * @date          2014-10-27
 */
include_once("inc/auth.php");
includelangpak("flow,other");
include_once("general/workflow/prcs_role.php");
include_once("inc/utility_all.php");
include_once("inc/utility_html.php");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('52,'))) {
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}

$configdir  = ROOT_PATH.DIRECTORY_SEPARATOR."general".DIRECTORY_SEPARATOR."official_doc".DIRECTORY_SEPARATOR."display_config";
$configfile = $configdir."post_view_flow.ini";
$ini_array  = @parse_ini_file($configfile);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<title><?=$_lang["flow_flowsearch"]?></title>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script language="javascript">
$(function() {
	$("#search_div").height($(window).height()-40);
	$("#PRCS_DATE1,#PRCS_DATE2,#RUN_END_DATE1,#RUN_END_DATE2").datepicker();
	$("select").selectpicker({
		height:"30px"
	});
});
function TwoSubmit(form)
{
	if (form.select[1].selected)
	{
		form.action='flow_run.php';
	}
	else
	{
		form.action='flow_top10.php';
	}
	form.submit();
}
</script> 
</head>
<body topmargin="5">
<form action="search.php" method="post" id="formsearch" name="formsearch">
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["flow_flowsearch"]?></span>
	</span>
	<button type="button" style="float:right;" onClick="searchFlow();" class="btn btn-primary" title="<?=$_lang["common_search"]?>"><?=$_lang["common_search"]?>
	</button>
</div>
<div id="search_div" style="width:100%;float:left;overflow-x:hidden; overflow-y:auto;">
<table border="0" width="100%" cellpadding="3" cellspacing="1" class="form_table">
	<tr>
		<td nowrap="nowrap" class="title" ><?=$_lang["flow_workflowstatus"]?></td>
		<td class="tablecol1">
			<select name="FLOW_STATUS" id="FLOW_STATUS" class="select" width="200">
				<option value="ALL"><?=$_lang["flow_all"]?></option>
				<option value="1"><?=$_lang["flow_completed"]?></option>
				<option value="0"><?=$_lang["flow_action"]?></option>
			</select>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" ><?=$_lang["flow_flow"].$_lang["common_instancy_extent"]?></td>
		<td class="tablecol1">
			<select name="instancy_type" id="instancy_type" class="select" width="200">
				<option value="ALL"><?=$_lang["flow_all"]?></option>
				<option value="0"><?=$_lang["common_normal"]?></option>
				<option value="1"><?=$_lang["common_important"]?></option>
				<option value="2"><?=$_lang["common_instancy"]?></option>
			</select>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title">
			<?=$_lang["flow_flow_creator"]?>
		</td>
		<td class="tablecol1">
			<input type="text" class="textreaonly" readonly="readonly" name="flow_creator" id="flow_creator"  size="22" style="width:220px;"/>
			<input type="hidden" name="flow_creator_id" id="flow_creator_id" value=""/><input type="button" name="creatorButton" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadWindowUserSingle('flow_creator_id','flow_creator','formsearch')">
			
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["flow_filenumber"]?></td>
		<td nowrap="nowrap" class="tablecol1"><input name="FLOW_DESCP" type="text" class="text" id="FLOW_DESCP" size="30" maxlength="100" style="width:220px;">
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["common_title"]?></td>
		<td nowrap="nowrap" class="tablecol1"><input name="RUN_NAME" type="text" class="text" id="RUN_NAME" size="30" maxlength="100" style="width:220px;">
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="120"><?=$_lang["flow_flowstartdate"]?></td>
		<td nowrap="nowrap" class="tablecol1">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td>
						<input class='' type="text" name="PRCS_DATE1" id="PRCS_DATE1" value="" maxlength="10" style="width:100px;"/>
					</td>
					<td width="20px" align="center">--</td>
					<td>
						<input class='' type="text" name="PRCS_DATE2" id="PRCS_DATE2" value="" maxlength="10" style="width:100px;"/>&nbsp;<?=$_lang["flow_canfillonlyone"]?>
					</td>
				</tr>
			</table>
		 </td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title" width="120"><?=$_lang["flow_flowenddate"]?></td>
		<td nowrap="nowrap" class="tablecol1">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td>
						<input class='' type="text" name="RUN_END_DATE1" id="RUN_END_DATE1" value="" maxlength="10"  style="width:100px;"/>
					</td>
					<td width="20px" align="center">--</td>
					<td>
						<input class='' type="text" name="RUN_END_DATE2" id="RUN_END_DATE2" value="" maxlength="10" style="width:100px;"/>&nbsp;<?=$_lang["flow_canfillonlyone"]?>
					</td>
				</tr>
			</table>
		 </td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["flow_pubattachmentname"]?></td>
		<td nowrap="nowrap" class="tablecol1"><input name="ATTACHMENT_NAME" type="text" class="text" id="ATTACHMENT_NAME" size="30" style="width:220px;">
		</td>
	</tr>
</table>
<span id="FLOW_FORM_SPAN"></span>
</div>
</form>
</body>
</html>
<script language="javascript">
function getFlowType()
{
	FLOW_SORT = $("#FLOW_SORT").attr("value");
	par       = "FLOW_SORT="+FLOW_SORT;
	url       = "get_flow_type.php";
	$.ajax({
		type:"post",
		url:url,
		data:par,
		success: function(result){
			$("#FLOW_ID_SPAN").html(result);
			$("select").selectpicker({
				height:"30px"
			});
		}
	});
}
function getFlowForm()
{
	FLOW_ID   =  $("#FLOW_ID").attr("value");
	par       = "FLOW_ID="+FLOW_ID;
	url       = "get_flow_form.php";
	divObj    = $("#FLOW_FORM_SPAN");
	$.ajax({
		type:"post",
		url:url,
		data:par,
		success: function(result){
			$("#FLOW_FORM_SPAN").html(result);
			$("select").selectpicker({
				height:"30px"
			});
		}
	});
}
function getsize()
{
	var mainHeight = j("#middleFrameTd",window.parent.document).height()?j("#middleFrameTd",window.parent.document).height():j("#mainpage",window.parent.document).height()
	document.getElementById("search_div").style.height = mainHeight-j("#search_div").offset().top-10 +"px";
}
function searchFlow()
{
	//var url             = "search.php";
	var url             = "/general/official_doc/post_manage/result.php";
	//流程分类
	var FLOW_SORT       = $("#FLOW_SORT").attr("value");
	//流程ID
	var FLOW_ID         = '2005';
	//工作流状态
	var FLOW_STATUS     = $("#FLOW_STATUS").attr("value");
	//创建人
	var flow_creator_id = $("#flow_creator_id").attr("value");
	//流水号
	var FLOW_DESCP      = $("#FLOW_DESCP").attr("value");
	//标题
	var RUN_NAME        = $("#RUN_NAME").attr("value");
	//时间
	var PRCS_DATE1      = $("#PRCS_DATE1").attr("value");
	var PRCS_DATE2      = $("#PRCS_DATE2").attr("value");
	var RUN_END_DATE1   = $("#RUN_END_DATE1").attr("value");
	var RUN_END_DATE2   = $("#RUN_END_DATE2").attr("value");
	//附件名称
	var ATTACHMENT_NAME = $("#ATTACHMENT_NAME").attr("value");
	//紧急程度
	var INSTANCY_TYPE   = $("#instancy_type").attr("value");

	var paramStr = "FLOW_ID=2005@*@FLOW_STATUS="+FLOW_STATUS+"@*@flow_creator_id="+flow_creator_id+"@*@FLOW_DESCP="+FLOW_DESCP+"@*@RUN_NAME="+RUN_NAME+"@*@PRCS_DATE1="+PRCS_DATE1+"@*@PRCS_DATE2="+PRCS_DATE2+"@*@RUN_END_DATE1="+RUN_END_DATE1+"@*@RUN_END_DATE2="+RUN_END_DATE2+"@*@ATTACHMENT_NAME="+ATTACHMENT_NAME+"@*@INSTANCY_TYPE="+INSTANCY_TYPE;
	if($("#ITEM_ID_MAX"))
	{
		var itemsLen = $("#ITEM_ID_MAX").attr("value");
		for(i=1;i<=itemsLen;i++)
		{
			var rel    = "RELATION_"+i ;
			var data   = "DATA_"+i;
			if(document.getElementById(rel)&&document.getElementById(data))
			{
				var relVal = document.getElementById(rel).value;
				var dataVal= document.getElementById(data).value;
				if(dataVal)
					paramStr +="@*@"+rel+"="+relVal+"@*@"+data+"="+dataVal;
			}
			
		}
		paramStr += "@*@ITEM_ID_MAX="+itemsLen;
	}
	location = url+"?listType=flow_query&paramStr="+paramStr;
}
</script>