<?
/**
*@我的考核页面
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("performance,other");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('83,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}
$thisYear = date("Y",time());

$PAGE_TITLE = $_lang["performance_of_mine"];
include_once("inc/page_header.inc.php");
?>
<style> 	
	.monthes {
		border-bottom:2px solid lightgrey;
	}
	
	.seasones {
		border-bottom:2px solid lightgrey;
	}
	
	.halfyears {
		border-bottom:2px solid lightgrey;
	}
	
	.fullyears {
		border-bottom:2px solid lightgrey;
	}
	
	.hrefs {
		text-decoration:none;
	}
	
	.tds {
		border-bottom:1px solid #DDDDDD;
		height:40px;
	}
	
	.tdcheck {
		background-color:#DDDDDD;
	}

	.userleft {
		float: left;
		border-right: 1px solid #D9D9D9;
	}

	.table{
		cellpadding:20px;
	}
</style>
</head>
<body style="overflow:hidden;">
<div id="userleft" class="userleft" style="float:left;">	
	<div id="leftheader" class="lazy_header">	
		<span class="lazy-list-title">
			<i class="fa fa-list-title"></i>
			<span class="tip"><?=$_lang["performance_setperformer_list"]?></span>
		</span>
		<div id="leftsearch" style="float:right;margin-top:5px;"></div>
	</div>
	<div class="outsidediv">
		<div id="userlist"></div>	
	</div>
</div>
<div id="performlist" class="performlist" style="margin-left:301px;display:none;">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip" id="righttip"></span>
		</span>
		<button type="button" class="btn btn-primary" id="submit"><?=$_lang["common_save"]?></button>
		<div class="updatePoint" style="display:none;">
			<button type="button" class="btn btn-primary" id="update"><?=$_lang["common_save"]?></button>
		</div>		
	</div>
	<div id="tabs" style="overflow-y:auto;">
		<div class="lazy_sub_header">
			<ul>
				<li><a href="#months" id="month"><?=$_lang["performance_plan_month"]?></a></li>
				<li><a href="#seasons" id="season"><?=$_lang["performance_plan_season"]?></a></li>
				<li><a href="#halfyears" id="halfyear"><?=$_lang["performance_plan_halfyear"]?></a></li>
				<li><a href="#fullyears" id="fullyear"><?=$_lang["performance_plan_year"]?></a></li>
				<div class="selectYear" style="float:right;margin-right:20px;margin-top:5px;">
					<select id="years">
					<?
					for ($i=$thisYear; $i >=$thisYear-4 ; $i--) { 
					?>
						<option value="<?=$i?>"><?=$i?></option>
					<?
					}
					?>
					</select>
				</div>
			</ul>
		</div>
		<div id="months">
		  <table width="100%" cellspacing="0" align="left" class="table">
			<tr >
				<td value="1" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_jan"]?></a></td>
				<td value="2" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_feb"]?></a></td>
				<td value="3" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_mar"]?></a></td>
				<td value="4" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_apr"]?></a></td>
				<td value="5" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_may"]?></a></td>
				<td value="6" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_jun"]?></a></td>
				<td value="7" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_jul"]?></a></td>
				<td value="8" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_aug"]?></a></td>
				<td value="9" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_sep"]?></a></td>
				<td value="10" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_oct"]?></a></td>
				<td value="11" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_nov"]?></a></td>
				<td value="12" class="monthes"><a href='#' class="hrefs"><?=$_lang["performance_month_dec"]?></a></td>
			</tr>						
		  </table>
		</div>
		<div id="seasons">
			<table class="table" width="100%" cellpadding="5" cellspacing="0" align="left">
				<tr class="trs">
					<td value="1" class="seasones"><a href="#" class="hrefs"><?=$_lang["performance_season_one"]?></a></td>
					<td value="2" class="seasones"><a href="#" class="hrefs"><?=$_lang["performance_season_two"]?></a></td>
					<td value="3" class="seasones"><a href="#" class="hrefs"><?=$_lang["performance_season_three"]?></a></td>
					<td value="4" class="seasones"><a href="#" class="hrefs"><?=$_lang["performance_season_four"]?></a></td>
				</tr>                            
			</table>
		</div>
		<div id="halfyears">
			<table class="table" width="100%" cellpadding="5" cellspacing="0" align="left">
				<tr class="trs">
					<td value="1" class="halfyears"><a href="#" class="hrefs"><?=$_lang["performance_first_halfyear"]?></a></td>
					<td value="2" class="halfyears"><a href="#" class="hrefs"><?=$_lang["performance_second_halfyear"]?></a></td>
				</tr>                          
			</table>
		</div>
		<div id="fullyears">
			<table class="table" width="100%" cellpadding="5" cellspacing="0" align="left">
				<tr class="trs">
					<td class="fullyears"><a href='#' class="hrefs"><?=$_lang["performance_results_year"]?></a></td>
				</tr>                   
			</table>
		</div>					
		<div style="margin-top:5px;">
			<table width="100%" align="left" cellpadding="5">
				<tr>
					<td colspan="12">
						<table width="100%" cellpadding="5" cellspacing="0">
							<tr class="trs" style="background-color:#EEEEEE;">
								<td nowrap class="tds"><?=$_lang["performance_do_piont"]?></td>
								<td nowrap class="tds"><?=$_lang["performance_temp_option"]?></td>
								<td nowrap class="tds"><?=$_lang["performance_temp_option_note"]?></td>
								<td nowrap class="tds"><?=$_lang["performance_temp_weight"]?></td>
								<td nowrap class="tds"><?=$_lang["performance_temp_points_note"]?></td>
							</tr>
							<tbody id="perform_content">
							
							</tbody>										
						</table>								
					</td>
				</tr>				
			</table>
		</div> 
		<table class="form_table" width="90%" cellpadding="5">
			<tr class="performAccount">
				<td nowrap width='100px'><?=$_lang["performance_perform_point_count"]?></td>
				<td id="perform_account" style="font-weight:bold;width:100px"></td>
				<td id="worker-weibo"></td>
			</tr>
			<tr class="performPoint" style="display:none;">
				<td nowrap width='100px'><?=$_lang["performance_actruly_point"]?></td>
				<td id="perform_point" style="font-weight:bold;"></td>
			</tr>
			<tr class="performAppraise">
				<td nowrap width='100px'><?=$_lang["performance_perform_appraise"]?></td>
				<td id="perform_appraise" style="text-align:left;" colspan="2"></td>
			</tr>
			<tr class="perform-detail-note">
				<td id="perform-detail-note" colspan="3"></td>
			</tr>
		</table>
</div>
</div>
<input type="hidden" id="USER_ID" name="USER_ID">
<input type="hidden" id="CIRCLE" name="CIRCLE" value="months">
<input type="hidden" id="CIRCLEVALUE" name="CIRCLEVALUE">
<input type="hidden" id="PERFORM_ID" name="PERFORM_ID">
<input type="hidden" id="ISUSED" name="ISUSED">
</body>
</html>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script>
$(function() {
	var currentUserName = "";
	var currentUserId = "";
	var tempId = "";

	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$('#years').selectpicker({
		width:80
	});

	$("#leftsearch").LazySearch({
		tip : PerformanceLang.performanceSearchFuc, //查询框提示文字
		width : 140, 
		url : "myperform_do.php", //数据处理页地址
		mode:"mini",
		param : {
			type:"list"
			//type:"searchuser"
		}, //参数
		autoSearch : {
			template : "{USER_NAME}",   //下拉数据模版
			onItemClick : function(data) {
				var userId = data.USER_ID;
				$("#USER_ID").val(data.USER_ID);
				var circle = $("#CIRCLE").val();
				var d = new Date();
				var month = d.getMonth()+1;			
				initPerform(month,userId,circle);

				currentUserName = data.USER_NAME;
				currentUserId = userId;
				$('#worker-weibo').html("<a href='javascript:void(0)' id='look-weibo'>"+PerformanceLang.performanceLook+currentUserName+PerformanceLang.performanceWorkersWeibo+"</a>");
			}
		},
		onClearButtonClick:function(data)
		{
			var circle = $("#CIRCLE").val();
			var d = new Date();
			var month = d.getMonth()+1;
		
			initPerform(month,'<?=$_SESSION["LOGIN_USER_ID"]?>',circle);

			$('#worker-weibo').html("");
		}
	});

    //标签切换
    var $tabs = $("#tabs").tabs({  
       activate: function(event, ui) {  
           var panelId = ui.newPanel.attr("id");
           planName = panelId;
		   var d = new Date();
		   var userId = $("#USER_ID").val();
		   var thismonth = d.getMonth()+1; 
		   $("#CIRCLE").val(panelId);
		   if(panelId == "months") {
			   var month = thismonth;
			   //alert(thismonth);
			   var circleIds = '1';
			   $('#months').find(".monthes[value='"+month+"']").addClass("tdcheck");
			   $('#months').find(".monthes[value!='"+month+"']").removeClass("tdcheck");
			   $("#CIRCLEVALUE").val(month);
		   } else {
			   if(panelId == "seasons")
			   {
				  var circleIds = '2';
				  if(thismonth >=1 && thismonth<=3)
				  {
					 var month = 1;
				  } 
				  else if (thismonth >=4 && thismonth <= 6)
				  {
					  var month = 2;
				  }
				  else if (thismonth >=7 && thismonth <=9)
				  {
					  var month = 3;
				  }
				  else 
				  {
					  var month = 4;
				  }
				  var season = $("#seasons");
				  season.find(".seasones[value='"+month+"']").addClass("tdcheck");
				  season.find(".seasones[value!='"+month+"']").removeClass("tdcheck");
				  $("#CIRCLEVALUE").val(month);
			   }
			   else if (panelId == "halfyears")
			   {
	   			   var circleIds = '3';
				   var month = (thismonth >=1 && thismonth <= 6)?1:2;
				   var halfyear = $("#halfyears");
				   halfyear.find(".halfyears[value='"+month+"']").addClass("tdcheck");
				   halfyear.find(".halfyears[value!='"+month+"']").removeClass("tdcheck");
				   $("#CIRCLEVALUE").val(month);
			   }
			   else if (panelId == "fullyears")
			   {
				   var circleIds = '4';
				   var month = 1;
				   $("#fullyears").find(".fullyears").addClass("tdcheck");
			   }
		   }
	   
		   initPerform(month,userId,panelId);
		   var checkUsed = checkPerformUsed(circleIds);	
		   $("#ISUSED").val(checkUsed);
       }
    });  
	
	var d      = new Date();
	var month  = d.getMonth()+1;
	var userId = "<?=$LOGIN_USER_ID?>";	
	var planName = "months";
	$("#months").find("td[value='"+month+"']").addClass("tdcheck");
	$("#CIRCLEVALUE").val(month);

	initPerform(month,userId,'months');

	var checkUseds = checkPerformUsed('1');
	$("#ISUSED").val(checkUseds);
	//月度切换
	$(".monthes").click(function() {
		month = $(this).attr("value");
		var monthes = $(this).attr("value");
		var userId  = $("#USER_ID").val();
		$("#months").find("td[value='"+monthes+"']").addClass("tdcheck");
		$("#months").find("td[value!='"+monthes+"']").removeClass("tdcheck");
		$("#CIRCLEVALUE").val(monthes);
		initPerform(monthes,userId,"months");
	});
	//季度切换
	$(".seasones").click(function() {
		month = $(this).attr("value");
		var seasones = $(this).attr("value");
		var userId   = $("#USER_ID").val();
		$("#seasons").find("td[value='"+seasones+"']").addClass("tdcheck");
		$("#seasons").find("td[value!='"+seasones+"']").removeClass("tdcheck");
		$("#CIRCLEVALUE").val(seasones);	
		initPerform(seasones,userId,"seasons");
	}); 
	//半年度切换
	$(".halfyears").click(function() {
		month = $(this).attr("value");
		var halfyears = $(this).attr("value");
		var userId    = $("#USER_ID").val();
		$("#halfyears").find("td[value='"+halfyears+"']").addClass("tdcheck");
		$("#halfyears").find("td[value!='"+halfyears+"']").removeClass("tdcheck");
		$("#CIRCLEVALUE").val(halfyears);
		initPerform(halfyears,userId,"halfyears");
	});	

	$('#years').change(function() {
		initPerform(month,userId,planName);
	});

	$("#submit").click(function() {
		if($("#ISUSED").val() == '1')
		{
			savePerform();
		}
		else
		{
			$.pnotify({
				text:PerformanceLang.performanceCorrePlan,
				type:"error"
			});
		}
	});

	$("#update").click(function() {
		updatePerform();
	});

	$('#worker-weibo').on({
		click:function(){
			openWeiboPage(currentUserId);
		}
	},'#look-weibo');

	$(".arrow").LazyToggle({
		showTip : PerformanceLang.performanceListDisplay,
		autoHide : false,
		hideTip : PerformanceLang.performanceListNone,
		onAfterShow : function() {
			$(".userleft").show();
			$(".performlist").css("margin-left", "301px");
		},
		onAfterHide : function() {
			$(".userleft").hide();
			$(".performlist").css("margin-left", "0px");
		}
	});


	$("#userlist").LazyList({
		param:{
			type:"list"
		},
		dataSource:"myperform_do.php",		
		itemListTemplate :"<span style='margin-left:20px;width:100px;' id='{USER_ID}'>{USER_NAME}</span>",
		onInit:function()
		{
			$("#userlist").height($(window).height()-40).niceScroll();
			$("#<?=$_SESSION["LOGIN_USER_ID"]?>").parent().parent().addClass('current');
		},
		onItemClick : function(ui,data) {
            userId = data.USER_ID;
            currentUserId = userId;
            currentUserName = data.USER_NAME;

            var d = new Date();
			//var month = d.getMonth()+1;
			var month = $("#CIRCLEVALUE").val();
			var circle = $("#CIRCLE").val();
			$("#USER_ID").val(userId);
			
			$("#months").find("td[value='"+month+"']").addClass("tdcheck");
			$("#months").find("td[value!='"+month+"']").removeClass("tdcheck");

			initPerform(month,userId,circle);	
			if(userId != "<?=$_SESSION["LOGIN_USER_ID"]?>") {
				$('#worker-weibo').html("<a href='javascript:void(0)' id='look-weibo'>"+PerformanceLang.performanceLook+currentUserName+PerformanceLang.performanceWorkersWeibo+"</a>");
			}else {
				$('#worker-weibo').html("");
			}	
		},
	});

	$("#userlist").height($(window).height()-40).niceScroll();
		
});
setTimeout(showDatas,100)
function showDatas()
{
	$("#performlist").css("display","block");
}

function viewPersonPerform(performId) 
{
	window.open("performView.php?PERFORM_ID="+performId);
}

var detailPoints;
//显示数据
function initPerform(month,userId,circle) 
{
	var checkYear = $('#years').val();
	var url  = "/general/performance/myperform/myperform_do.php";
	var data = "type=getPerformData&checkYear="+checkYear+"&month="+month+"&userId="+userId+"&circles="+circle;
	var circleId = "";
	$("#USER_ID").val(userId);
	//$("#PERFORM_ID").val(userId);

	var userName = getUsername(userId,circle);
	$("#righttip").html(userName);
	switch(circle){
		case "months":
			circleId = '1';
			break;
		case "seasons":
			circleId = '2';
			break;
		case "halfyears":
			circleId = '3';
			break;
		case "fullyears":
			circleId = '4';
			break;
	}

	var checkUsed = checkPerformUsed(circleId);
	var checkFlag = checkPerformDate(circleId,checkYear,month);
	var readonly  = checkFlag == 0?" readonly='readonly' onClick='showInfo();'":"";
	$.ajax({
		url:url,
		type:"POST",
		data:data,
		async:false,
		success:function(resp) {
			//没有考核数据,但在考核时间范围内,则将当前人员所属模板展示出来
			if(resp == 'noPerformData') {
				showPerformData('', userId, circle);
				$("input[name='pointsInfo[]']").each(function(key, value) {
					$(value).val(detailPoints);
				});

				//若当前人员为登陆者,则隐藏提交按钮
				if(userId == "<?=$_SESSION["LOGIN_USER_ID"]?>") {
					$('#submit').hide();
				}

			//有考核数据
			}else if(resp) {
				var jsonData = eval("("+resp+")");
				//alert(jsonData.TEMP_ID);
				showPerformData(jsonData.TEMP_ID);

				var points = eval("("+jsonData.PERFORM_CONTENT+")");
				
				$("input[name='pointsInfo[]']").each(function(key, value) {
					$(value).val(points[key]);
				});
				$("input[name='pointsInfo[]']").attr('readonly', 'readonly');
				$("input[name='pointsInfo[]']").click(showInfo);

				$("#perform_account").html(jsonData.PERFORM_COUNT);
				$('#perform_appraise').html(jsonData.PERFORM_APPRAISE);

				$('#submit').hide();
			//不在有效时间内
			}else {
				if($("#submit").css("display") == "block")
				{
					$("#submit").css("display","none")
				}	
				if($("#update").css("display"))
				{
					$("#update").css("display","none")
				}
				$(".performPoint,#performbutton,otherContent,.performAccount,.performAppraise,.perform-detail-note,.worker-weibo").hide();					
				$("#perform_appraise,#perform_account,#performance_detail_note").html("");
				$("#perform_content").html('<td colspan="5"><div class="alert alert-danger">'+PerformanceLang.performanceNotFindData+'</div></td>');
			}
		}

	});
	calcPoint();
}

//显示模板数据
function showPerformData(performTempId, userId, circle) {
	var url  = "/general/performance/myperform/myperform_do.php";
	var data = "type=showperform&tempId="+performTempId+"&userId="+userId+"&circles="+circle;

	$.ajax({
		url:url,
		type:"POST",
		data:data,
		async:false,

		success:function(resp) {
			//有模板数据
			if(resp) {
				var jsonData = eval("("+resp+")");
				tempId = jsonData.TEMP_ID;			//记录模板ID

				var htmlStr = "";

				if(jsonData.TEMP_CONTENT) {
					var contentData = eval("("+jsonData.TEMP_CONTENT+")");

					$.each(contentData, function(keys, values) {
						htmlStr += "<tr><td class=\"tds\"><input name=\"pointsInfo[]\" type='text' maxlength='4' style='font-weight:bold;width:60px;' id='pointsInfo[]' onchange='calcPoint();' value=''></td><td class=\"tds\" name=\"optionInfo[]\">"+decodeURIComponent(values.optionInfo)+"</td><td class=\"tds\" name=\"optionNote[]\">"+decodeURIComponent(values.optionNote)+"</td><td class=\"tds\" name=\"weightInfo[]\">"+decodeURIComponent(values.weightInfo)+"</td><td class=\"tds\" name=\"pointsNote[]\">"+decodeURIComponent(values.pointsNote)+"</td></tr>"
					});

					$("#perform_content").html(htmlStr);
				}

				$(".performAccount,.performAppraise,.perform-detail-note,.worker-weibo,#submit").show();

				//总分和考核评价和模板说明
				$("#perform_account").html("<input type='text' maxlength='4' id='PERFORM_ACCOUNT' style='font-weight:bold;width:60px;' name='PERFORM_ACCOUNT'>");
				$("#perform_appraise").html("<textarea id=\"PERFORM_APPRAISE\" style=\"width:100%\" rows=\"6\"></textarea>");
				$('#perform-detail-note').html('<div class="alert alert-info">'+jsonData.TEMP_NOTE+'</div>');

				detailPoints = jsonData.TEMP_POINTS;
			//没有模板数据
			}else {
				if($("#submit").css("display") == "block")
				{
					$("#submit").css("display","none")
				}	
				if($("#update").css("display"))
				{
					$("#update").css("display","none")
				}
				$(".performPoint,#performbutton,otherContent,.performAccount,.performAppraise,.perform-detail-note,.worker-weibo").hide();					
				$("#perform_appraise,#perform_account,#performance_detail_note").html("");
				$("#perform_content").html('<td colspan="5"><div class="alert alert-danger">'+PerformanceLang.performanceNotFindData+'</div></td>');
			}
			$('#tabs').height($(window).height()-40).niceScroll();
			$('#tabs').height($(window).height()-40).getNiceScroll().resize();

		}
	});
}

function savePerform() {
	var checkYear = $('#years').val();					//获取当前年
	var month  = $("#CIRCLEVALUE").val();				//当前月/季/半年度/年

    var performUser = $("#USER_ID").val();				//被考核人
	var circle      = $("#CIRCLE").val();				//方案类型
	var performAccount  = $("#PERFORM_ACCOUNT").val();	//考核总分
	var performAppraise = $("#PERFORM_APPRAISE").val();	//考核评价
	var pointsInfoArr = new Array();					//考核分值数组

	$("input[name='pointsInfo[]']").each(function(key,val) {
		pointsInfoArr[key] = $(this).val();
	});

	var url  = "/general/performance/myperform/myperform_do.php";
	var data = "type=insertPerform&PERFORM_ACCOUNT="+performAccount+"&PERFORM_APPRAISE="+performAppraise+"&tempPoints="+pointsInfoArr+"&detailPoints="+detailPoints+"&TEMP_ID="+tempId+"&circle="+circle+"&performUser="+performUser+"&checkYear="+checkYear+"&month="+month;

	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(result) {
			if(result == 'success')
			{
				$.pnotify({
					text:EOlang.msgDataSaveOK,
					type:"success"
				});

				var month  = $("#CIRCLEVALUE").val();
				var userId = $("#USER_ID").val();
				var circle = $("#CIRCLE").val();
		
				initPerform(month,userId,circle);
			}else {
				$.pnotify({
					text:WebMailLang.SaveFail,
					type:"error"
				});
			}
		}
	});
}
	
function updatePerform()
{
	var performId    = $("#PERFORM_ID").val();
	var performPoint = $("#PERFORM_POINT").val();
	var url          = "/general/performance/myperform/myperform_do.php";
	var data         = "type=updatepoint&PERFORM_ID="+performId+"&PERFORM_POINT="+performPoint;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(result) {
			if(result)
			{
				$.pnotify({
					text:EOlang.msgDataSaveOK,
					type:"success"
				});
				var d      = new Date();
				var month  = d.getMonth()+1;
				var userId = $("#USER_ID").val();
				var circle = $("#CIRCLE").val();
				switch(circle)
				{
					case "seasons":
						 if(month >=1 && month<=3)
						 {
							 month = 1;
						 } 
						 else if (month >=4 && month <= 6)
						 {
							 month = 2;
						 }
						 else if (month >=7 && month <=9)
						 {
							 month = 3;
						 }
						 else 
						 {
							 month = 4;
						 }
						break;
					case "halfyears":
						month = (month >=1 && month <= 6)?1:2;
						break;
					case "fullyears":
						month = 1;
						break;
				}
				initPerform(month,userId,circle);			
			}
		}
	});
}

//计算总分
function calcPoint() {
	var weightInfos = $("td[name='weightInfo[]']");
	var performAccounts = 0;
	//alert(detailPoints);
	$("input[name='pointsInfo[]']").each(function(key,val) {
		if(isNaN(val.value)) {
			$.pnotify({
				text:PerformanceLang.performanceEnterValidNum,
				type:"error"
			});

			val.value = detailPoints;
		}else if(parseFloat(val.value) > detailPoints) {
			$.pnotify({
				text:PerformanceLang.performanceLimitFullpoint,
				type:"error"
			});

			val.value = detailPoints;
		}
		performAccounts = parseFloat(performAccounts) + parseFloat(weightInfos[key].innerHTML/100)*parseFloat(val.value);
	});
	$("#PERFORM_ACCOUNT").val(parseFloat(performAccounts).toFixed(2));
}

function checkPerformDate(performCircle,checkYear,month) {
	var url  = "/general/performance/myperform/myperform_do.php";
	var data = "type=checkDate&CIRCLE="+performCircle+"&checkYear="+checkYear+"&MONTH="+month;

	var result = "";
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		async:false,
		success:function(resp)
		{
			result = resp;
		}		
	});
	return result;
}

//
function showInfo()
{
	$.pnotify({
		text:PerformanceLang.performanceNotAllow,
		type:"error"
	});
}

function getUsername(userId,circle)
{
	var url  = "/general/performance/myperform/myperform_do.php";
    var data = "type=getname&USER_ID="+userId+"&CIRCLE="+circle;
	var	returnStr = "";
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		async:false,
		success:function(resp)
		{
			if(resp)
			{
				returnStr =  resp;
			}
		}
	});
	return returnStr;
}

function checkPerformUsed(circle)
{
	var url  = "/general/performance/myperform/myperform_do.php";
	var data = "type=checkUsed&CIRCLE="+circle;
    var resultStr = "";
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		async:false,
		success:function(resp)			
		{
			if(resp)
			{
				resultStr = resp;
			}
		}
	});
	return resultStr;
}

//检测当前考核的状态
function performStatus(performId)
{
	var url  = "/general/performance/myperform/myperform_do.php";
	var data = "type=checkStatus&PERFORM_ID="+performId;
	var returnStr = 0;
	$.ajax({
		type:"post",
		url:url,
		data:data,
		async:false,
		success:function(resp)
		{
			returnStr = resp;
		}
	})
	return returnStr;
}

//弹出微博页面
function openWeiboPage(userId) {
	var url     = "/general/performance/myperform/weibo.php?searchUserId="+userId;
	var sWidth  = screen.availWidth * 0.6;
	var sHeight = screen.availHeight * 0.6;
	var marginLeft = screen.availWidth * 0.2;
	var marginTop = screen.availHeight * 0.2;
	winName = window.open(url,"_blank","fullscreen=0,height="+sHeight+",width="+sWidth+",left="+marginLeft+",top="+marginTop+",scrollbars=no,status=no,toolbar=no,menubar=no,location=no,resizable=yes,titlebar=no");
	winName.focus()
}
</script>