<?
/**
*设置考核方案
*date 2013/08/26
*author  qlj
*version eoffice8.x
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/performance.class.php");
includelangpak("performance");

$PAGE_TITLE = $_lang["performance_setting_plan"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
.leftlist{
	float:left;
	border-right: 1px solid #D9D9D9;	
	line-height: 40px;
}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<SCRIPT language=javascript src="/inc/common.js"></SCRIPT>
<script type="text/javascript">
$(function() {	
	$("#message").LazyMessage();	
	//提示消息
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$("#PLAN_TIME_START").datepicker();
	$("#PLAN_TIME_END").datepicker();	
	$("select").selectpicker({width:70});
	$(".outsidediv").height($(window).height());
	
	$("#save").click(function() {
		save();
	});
	$('input').iCheck({
		checkboxClass : 'icheckbox_square-blue'
	});
	showTpl(1);
	$("#tpllist").LazyList({
		itemListTemplate:"<span style='margin-left:20px;'>{title}</span>",	
		dataSource:[{"key":"1","title":"<?=$_lang["performance_plan_month"]?>"},
					{"key":"2","title":"<?=$_lang["performance_plan_season"]?>"},
					{"key":"3","title":"<?=$_lang["performance_plan_halfyear"]?>"},
					{"key":"4","title":"<?=$_lang["performance_plan_year"]?>"}],
		onItemClick : function(ui,data) {
			showTpl(data.key);
		}
	});
	
	$("#PLAN_NAME").keyup(function() {
		var plan_name = $.trim($("#PLAN_NAME").val());
		if(plan_name == "") {
			$("#plan_name_show").css("display","block");
		} else {
			$("#plan_name_show").toggle();
		}	
	});	
	
	var $tabs = $("#tabs").tabs({ 	
		activate:function(event,ui) {
			var tabId = ui.newPanel.attr("id");
			var tplId = "";
			switch(tabId) {
				case "tplinfo":
					tplId = "1";
				break;
				case "ui-tabs-1":
					tplId = "2";
				break;
				case "ui-tabs-2":
					tplId = "3";
				break;
				case "ui-tabs-3":
					tplId = "4";
				break;
			}
			showTpl(tplId);			
			$("#tplinfo").css("display","block");			
		},
	}).css("border","0");

	//考核起始时间错误提醒
	$('#plan-start-day,#plan-end-day').blur(function() {
		var day = $(this).val();

		//若输入时间不是有效数字,则报错
		var patt1 = new RegExp('[^0-9]');
		if(patt1.test(day) || day == 0) {
			$.pnotify.defaults.styling = "bootstrap3";
			$.pnotify.defaults.history = false;
			$.pnotify.defaults.delay = 1000;
			$.pnotify({
				text:PerformanceLang.performanceEnterValidNum,
				type:"error"
			});

			$(this).val("");
			return false;
		}

		//若起始时间设置过大,月考核超过30,其他超过60则报错
		var planId = $("#PERFORMANCE_ID").val();
		if(planId == 1) {
			if(day > 30) {
				$.pnotify.defaults.styling = "bootstrap3";
				$.pnotify.defaults.history = false;
				$.pnotify.defaults.delay = 1000;
				$.pnotify({
					text:PerformanceLang.performancePlanCircles+PerformanceLang.performanceSoBig,
					type:"error"
				});

				$(this).val("");
				return false;
			}
		}else {
			if(day > 60) {
				$.pnotify.defaults.styling = "bootstrap3";
				$.pnotify.defaults.history = false;
				$.pnotify.defaults.delay = 1000;
				$.pnotify({
					text:PerformanceLang.performancePlanCircles+PerformanceLang.performanceSoBig,
					type:"error"
				});

				$(this).val("");
				return false;
			}
		}
	});

	$(".arrow").LazyToggle({
		showTip : LazypluginsArgu.LazypluginsShow+PerformanceLang.performancePlan,
		autoHide : false,
		hideTip : LazypluginsArgu.LazypluginsHide+PerformanceLang.performancePlan,
		onAfterShow : function() {
			$(".leftlist").show();
			$(".tplinfos").css("margin-left", "300px");
		},
		onAfterHide : function() {
			$(".leftlist").hide();
			$(".tplinfos").css("margin-left", "0px");
		}	
	});
});

//显示方案详细信息
function showTpl(tplId) {
	var url  = "/general/performance/performtpl/index_do.php";
	var data = "type=detail&PERFORMANCE_ID="+tplId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp) {
			var jsondata = eval("{"+resp+"}");
			$.each(jsondata,function(key,val) {
				$("#plan-edit").html(LazyGridLang.Edit+val.PERFORMANCE_NAME);

				$("#plan-start-time").selectpicker("val",val.PERFORMANCE_TIME_START);
				$("#plan-end-time").selectpicker("val",val.PERFORMANCE_TIME_END);

				$("#plan-start-day").val(val.PERFORM_START_DAY);
				$("#plan-end-day").val(val.PERFORM_END_DAY);

				var useedCheck = val.PERFORMANCE_IS_USED == '1'?"check":"uncheck";
					$("#PLAN_USEED").iCheck(useedCheck);

				var remindCheck = val.PERFORMANCE_IS_REMIND == '1'?"check":"uncheck";
					$("#PLAN_REMIND").iCheck(remindCheck);

				$("#PLAN_NOTE").val(val.PERFORMANCE_NOTE);
				$("#PERFORMANCE_ID").val(val.PERFORMANCE_ID);
			});
		}		
	});
}

//保存方案
function save() {		
	var planId        = $("#PERFORMANCE_ID").val();
	var planStartTime = $.trim($("#plan-start-time").val());
	var planEndTime   = $.trim($("#plan-end-time").val());
	var planStartDay  = $.trim($("#plan-start-day").val());
	var planEndDay    = $.trim($("#plan-end-day").val());		
	var planUseed     = $("#PLAN_USEED").attr("checked") == "checked"?"1":"0";
	var planRemind    = $("#PLAN_REMIND").attr("checked")== "checked"?"1":"0";
	var planNote      = $("#PLAN_NOTE").val();	

	if(planRemind == 1 && planUseed == 0) {
		$.pnotify({text:PerformanceLang.performancePleaseUsedPlan,type:"error"});
		return false;
	}

	var url  = "index_do.php";

	var data = "type=save&PLAN_ID="+planId+"&PLAN_START_TIME="+planStartTime+"&PLAN_END_TIME="+planEndTime+"&PLAN_START_DAY="+planStartDay+"&PLAN_END_DAY="+planEndDay+"&PLAN_USEED="+planUseed+"&PLAN_REMIND="+planRemind+"&PLAN_NOTE="+planNote;

	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp) {
			var jsondata = eval("{"+resp+"}");

			if(jsondata == 'success') {
				$.pnotify({text:EOlang.msgDataSaveOK,type:"success"});
			}else if(jsondata == 'formatError') {
				$.pnotify({text:PerformanceLang.performanceFormatCheck,type:"error"});
			}else if(jsondata == 'errorExistent') {
				$.pnotify({text:PerformanceLang.performancePlanCircles+PerformanceLang.performanceNotNull,type:"error"});
			}
		}
	});
}
</script>
</head>
<body>
<div id="message"></div>
<div class="leftlist" id="leftlist">
	<div class="outsidediv">
		<div class="lazy_header">
			<span class="lazy-list-title">
				<i class="fa fa-list-title"></i>
				<span class="tip"><?=$_lang["performance_setting_plan"]?></span>
			</span>
		</div>
		<div class="tpllist" id="tpllist"></div>
	</div>
</div>
<div class="tplinfos" id="tplinfos" style="margin-left:300px;">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip" id="plan-edit"></span>
		</span>
		<button type="button" class="btn btn-primary" id="save"><?=$_lang["common_save"]?></button>
	</div>
	<div id="tplinfo" style="margin-top:10px;margin-left:20px;">
	<form id="form1" name="form1" method="post">
		<table width="100%" cellpadding="5" cellspacing="0" class="form_table">
			<tr>
				<td nowrap width="15%" class="title"><?=$_lang["performance_plan_circles"]?></td>
				<td>
					<table border="0" cellspacing="0" cellpadding="0">
							<tr id="monthplan" style="display:block" valign="bottom">
								<td>
									<table>
										<tr valign="bottom">
											<td>
												<select id="plan-start-time" style='width:50px'>
													<option value='1' selected=''><?=$_lang["performance_this_before"]?></option>
													<option value='2'  selected=''><?=$_lang["performance_this_after"]?></option>
												</select>
											</td>
											<td nowrap>
												<input type="text" class="under_line" id="plan-start-day" name="plan-start-day" style='width:30px'><?=$_lang["performance_perform_day"]?></span>
											</td>
										</tr>
									</table>
								</td>
								<td>---</td>
								<td>
									<table>
										<tr valign="bottom">
											<td>
												<select id="plan-end-time" style='width:50px'>
													<option value='1' selected='' ><?=$_lang["performance_this_before"]?></option>
													<option value='2' selected=''><?=$_lang["performance_this_after"]?></option>
												</select>
											</td>
											<td>
												<input type="text" class="under_line" id="plan-end-day" name="plan-end-day" style='width:30px' value="<?=$performanceTplInfo[0]["PERFORM_END_DAY"]?>"><?=$_lang["performance_perform_day"]?>
											</td>
										</tr>
									</table>
								</td>
								<td><span id="planCircle" style="display:none;"><font color='red'><?=$_lang["performance_plan_time_error"]?></font></span></td>
							</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td nowrap width="15%" class="title"><?=$_lang["performance_plan_useed"]?></td>
				<td>
					<input type="checkbox" id="PLAN_USEED" name="PLAN_USEED" checked=''>
				</td>
			</tr>
			<tr>
				<td nowrap width="15%" class="title"><?=$_lang["performance_plan_remind"]?></td>
				<td>
					<input type="checkbox" id="PLAN_REMIND" name="PLAN_REMIND" checked=''>
				</td>
			</tr>	
			<tr>
				<td nowrap width="15%" class="title"><?=$_lang["performance_plan_note"]?></td>
				<td>
					<textarea id="PLAN_NOTE" name="PLAN_NOTE" cols='40' rows='8' style="overflow:auto"></textarea>
				</td>
			</tr>
			<tr>
				<td colspan='2'>
					<div class="alert alert-warning" c>
						<?=$_lang["performance_time_note"]?>
					</div>
				</td>
			</tr>
			<input type="hidden" name="PERFORMANCE_ID" id="PERFORMANCE_ID">
		</table>
	</form>
</div>
</div>
</body>
</html>