﻿<?php
/**
*@page 人员选择的页面
*
*/
include_once("inc/conn.php");
include_once("api/user.class.php");
include_once("api/performance.class.php");
include_once("inc/utility_all.php");
include_once("lang/cn/performance.lang.php");
include_once("api/dept.class.php");

$performance = new performance($_SESSION["LOGIN_USER_ID"]);
$user = new user;

$query = "SELECT * FROM user WHERE 1 AND DEPT_ID>0 ";
$type  = $_REQUEST["type"];

function GetCompanyName() {

	global $connection;
	//获取公司名称
	$getCompanyNameQuery = "SELECT UNIT_NAME FROM `unit`";
	$getCompanyNameResult = exequery($connection, $getCompanyNameQuery);
	if ($getCompanyNameRow = mysql_fetch_array($getCompanyNameResult)) {
		$companyName = $getCompanyNameRow["UNIT_NAME"];
	}
	return $companyName;
}

switch($type) {
	case "getNoSet":
		$noSetUser = $performance->getNoSet();

		echo json_encode($noSetUser);
		break;
	case "getDeptList":
		$department = new department();
		$searchInfo["parentId"] = $_REQUEST["id"]!=""?$_REQUEST["id"]:"";

		//获取下级部门
		$deptList   = $department -> getDeptById($searchInfo);

		if(!$searchInfo["parentId"] || $searchInfo["parentId"] == "") {
			$deptListStr = '{ id:"", name:"' . GetCompanyName() . '", open:true},';
		}

		if($deptList) {
			for ($i=0;$i<count($deptList);$i++) {	
				//$isParent = $department->checkIsParentDept($deptList[$i]['DEPT_ID']);
				$deptListStr .= "{id:'".$deptList[$i]['DEPT_ID']."',name:'".$deptList[$i]['DEPT_NAME']."',pId:'".$deptList[$i]['DEPT_PARENT']."',isParent:".'1'."},";
			}
		}

		//获取下级人员
		global $connection;
		$Infor = array();
		$sql = "SELECT *
				FROM USER
				WHERE DEPT_ID = '".SecurityFilter($searchInfo["parentId"])."'
					AND USER_ACCOUNTS != ''
				ORDER BY LISTNUMBER ASC ";

		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs)) 
		{
			$Infor[] = $row;	
		}

		if($Infor) {
			foreach($Infor as $v) {
				//$deptListStr .= "{id:'".$v['USER_ID']."',name:'".$v['USER_NAME']."',pId:'".$searchInfo["parentId"]."',isParent:".1."},";
				$deptListStr .= "{id:'".$v['USER_ID']."',name:'".$v['USER_NAME']."',pId:'".$searchInfo["parentId"]."',isParent:".'0'."},";
			}
		}
		
		$deptListStr = substr($deptListStr,0,-1);
		echo '['.$deptListStr.']';
		break;
	case "searchuser":
		if(trim($_REQUEST["lazySearch"]) != '') {
			$sql = "SELECT * FROM department WHERE 1 AND DEPT_NAME LIKE '%".SecurityFilter($_REQUEST["lazySearch"])."%' ORDER BY DEPT_ID";
			$res = exequery($connection,$sql);
			$deptId = "";
			while($row = mysql_fetch_array($res)) {
				$deptId += $row["DEPT_ID"].",";
			}
			$deptId = "'".str_replace(",","','",substr($deptId,0,-1))."'";
			$userInfo = array();
			$query .= " AND (USER_NAME LIKE '%".SecurityFilter($_REQUEST["lazySearch"])."%' 
							 OR USER_ACCOUNTS LIKE '%".SecurityFilter($_REQUEST["lazySearch"])."%' 
							 OR USER_NAME_PY LIKE '%".SecurityFilter($_REQUEST["lazySearch"])."%'
							 OR USER_NAME_ZM LIKE '%".SecurityFilter($_REQUEST["lazySearch"])."%'
							 OR DEPT_ID IN (".SecurityFilter($deptId).")) ORDER BY USER_ID";
			$rs   = exequery($connection,$query);
			while($rows = mysql_fetch_array($rs)) {
				array_push($userInfo,array("USER_NAME"=>$rows["USER_NAME"],"USER_ID"=>$rows["USER_ID"]));
				//array_push($userArr,$userInfo);
			}
		}
		echo json_encode($userInfo);
		break;
    case "getperformer":    
        if(trim($_REQUEST["USER_ID"]) != '') {

        	//获取当前人员的名字和ID
        	$row['APPROVER_USER']		= $_REQUEST['USER_ID'];
        	$row["APPROVER_USER_NAME"]	= getUsernameNew($_REQUEST["USER_ID"]);

        	//获取获取考核人信息
        	$arrSup = $performance->getPerformer('examindePerson', $_REQUEST["USER_ID"]);

        	//获取默认上级
			$superiorArray 		= $user->getSuperiorArrayByUserId($_REQUEST["USER_ID"]);

        	if($arrSup[0]) {
        		if($arrSup[0] == $superiorArray['id'][0]) {
        			$row['APPROVER_DEFAULT']		= $arrSup[0];
        			$row['APPROVER_DEFAULT_NAME']	= $_lang["performance_superior"].'('.getUsernameNew($arrSup[0]).')';
        		}else {
        			$row['APPROVER_DEFAULT']		= $arrSup[0];
        			$row['APPROVER_DEFAULT_NAME']	= getUsernameNew($arrSup[0]);
        		}
        	}else {
        		$row['APPROVER_DEFAULT']		= "";
        		$row['APPROVER_DEFAULT_NAME']	= "";
        	}

        	//获取被考核人信息
        	$arrSub = $performance->getPerformer('beExamined', $_REQUEST["USER_ID"]);

        	if($arrSub) {
        		$perform_user_str = '';
        		foreach($arrSub as $k => $v) {
        			$perform_user_str .= $v.',';
        		}
        		$row['PERFORM_USER']	 = $perform_user_str;
        		$row["PERFORM_USERNAME"] = getUsernameStr($perform_user_str);
        	}


			$returnInfo[] = $row;
		}

		echo json_encode($returnInfo);
        break; 
	case "saveperformer":
		$returnStr = 'success';

		//若传入的考核人和当前人员为同一人,直接结束
		if($_REQUEST['APPROVER_USER'] == $_REQUEST['APPROVER_DEFAULT']) {
			exit;
		}

		//获取目前的考核人ID
		$arrSup = $performance->getPerformer('examindePerson', $_REQUEST["APPROVER_USER"]);
		
		//判断传入的考核人ID和目前的是否同一个人
		if($_REQUEST['APPROVER_DEFAULT'] != $arrSup[0]) {
			$res = $performance->setPerformer('examindePerson', $_REQUEST['APPROVER_DEFAULT'], $_REQUEST["APPROVER_USER"]);

			if(!$res) {
				$returnStr = 'false';
			}
		}

		// $arrDiff['enterDiff'] = array('WV00000122');

		// $res = $performance->setPerformer('beExamined', $arrDiff, $_REQUEST["APPROVER_USER"]);
		// echo 11111; print_r($arrDiff); echo $_REQUEST['APPROVER_USER'];
		// echo $res; exit;

		//获取当前的被考核人ID数组
		$arrSub = $performance->getPerformer('beExamined', $_REQUEST["APPROVER_USER"]);

		//若果传入的被考核人ID字符串不为空
		if($_REQUEST['PERFORMER_ID']) {
			//获取传入的被考核人ID数组
			$arrEnter = explode(',', substr($_REQUEST['PERFORMER_ID'], 0, -1));

			//如果当前人员包含在传入的被考核人数组中,则将其剔除
			$approverKey = array_search($_REQUEST['APPROVER_USER'], $arrEnter);
			if($approverKey !== false) {
				unset($arrEnter[$approverKey]);
			}

			//获取传入被考核人与以前的被考核人不同的人员
			$enterDiff = array_diff($arrEnter, $arrSub);
			$defaultDiff = array_diff($arrSub, $arrEnter);

			//$arrDiff['enterDiff'] = $enterDiff;
			$arrDiff['defaultDiff'] = $defaultDiff;
			$arrDiff['arrEnter'] = $arrEnter;

			$arr = array_merge($enterDiff, $defaultDiff);
			// echo "<pre>";
			// print_r($arr);
			// echo "</pre>"; exit;
			//判断传入的被考核人和目前的被考核人是否相同
			if($arr) {
				$res = $performance->setPerformer('beExamined', $arrDiff, $_REQUEST["APPROVER_USER"]);

				if(!$res) {
					$returnStr = 'false';
				}
			}

		//若果传入的被考核人ID字符串为空
		}else {
			if($arrsub) {
				$arrDiff['defaultDiff'] = $arrsub;
				$arrDiff['arrEnter'] = "";

				$res = $performance->setPerformer('beExamined', $arrDiff, $_REQUEST["APPROVER_USER"]);

				if(!$res) {
					$returnStr = 'false';
				}
			}
		}

		echo $returnStr;
		break;
	case "restoreDefault":
		if(trim($_REQUEST['userId']) != "") {
			//若点击的是考核人恢复默认按钮
			if($_REQUEST['performId'] == 'APPROVER_DEFAULT') {
				//执行恢复默认函数
				$res = $performance->restoreDefaultPerform($_REQUEST['performId'], $_REQUEST["userId"]);

				//如果执行成功
				if($res) {
					//获取考核人ID
					$arrSup = $performance->getPerformer('examindePerson', $_REQUEST["userId"]);

					if($arrSup[0]) {
		        		$row['APPROVER_DEFAULT']		= $arrSup[0];
		        		$row['APPROVER_DEFAULT_NAME']	= $_lang["performance_superior"].'('.getUsernameNew($arrSup[0]).')';
		        	}else {
		        		$row['APPROVER_DEFAULT']		= "";
		        		$row['APPROVER_DEFAULT_NAME']	= "";
		        	}
				}else {
					echo 'error';
					break;
				}
				

	        //若点击的是被考核人恢复默认按钮
			}elseif($_REQUEST['performId'] == 'PERFORM_USER') {
				//获取被考核人ID
				$arrSub = $performance->getPerformer('beExamined', $_REQUEST["userId"]);

				// echo '<pre>';
				// print_r($arrSub);
				// echo 111111;
				// echo '</pre>';exit;

				//执行恢复默认函数
				$res = $performance->restoreDefaultPerform($_REQUEST['performId'], $_REQUEST["userId"], $arrSub);

				if($res) {
					//调用查找被考核人函数,找出默认状态下的被考核人
					$arrSub = $performance->getPerformer('beExamined', $_REQUEST["userId"]);

					if($arrSub) {
		        		$perform_user_str = '';

		        		foreach($arrSub as $k => $v) {
		        			$perform_user_str .= $v.',';
		        		}

		        		$row['PERFORM_USER']	 = $perform_user_str;
		        		$row["PERFORM_USERNAME"] = getUsernameStr($perform_user_str);
		        	}else {
		        		$row['PERFORM_USER']	 = "";
		        		$row["PERFORM_USERNAME"] = "";
		        	}
				}else {
					echo 'error';
					break;
				}
				
			}

			$returnInfo[] = $row;
		}

		echo json_encode($returnInfo);
		break;
	case 'empty':
		$performId = $_REQUEST['performId'];
		$userId = $_REQUEST['userId'];

		$res = $performance->setPerformEmpty($performId, $userId);
		// echo '<pre>';
		// print_r($res);
		// echo '</pre>';
		if($res) {
			echo 'success';
			break;
		}

		echo 'error';
		break;
		
}
?>