<?php
/*
*@page 统计数据导出
*
*
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/performance.class.php");
include_once("api/user.class.php");
include_once("api/db.class.php");
includelangpak("performance,other");

$type   = $_REQUEST["type"];
$userId = $_REQUEST["USER_ID"];
$deptId = $_REQUEST["DEPT_ID"];
$circle = $_REQUEST["CIRCLE"]  != ""?$_REQUEST["CIRCLE"]:"months";

$user = new user();
$performance = new performance($_SESSION["LOGIN_USER_ID"]);
$year = $_REQUEST["SELECTYEAR"] !=""?$_REQUEST["SELECTYEAR"]:date("Y",time());
$searchInfo['YEAR'] = $year;

if($type == "export") {	
	switch($circle) {
		case "months":
			$searchInfo["TPL_ID"] = "1";
			$headerTitle = $_lang["common_dept"].",".$_lang["common_name"].",".$_lang["performance_month_jan"].",".$_lang["performance_month_feb"].",".$_lang["performance_month_mar"].",".$_lang["performance_month_apr"].",".$_lang["performance_month_may"].",".$_lang["performance_month_jun"].",".$_lang["performance_month_jul"].",".$_lang["performance_month_aug"].",".$_lang["performance_month_sep"].",".$_lang["performance_month_oct"].",".$_lang["performance_month_nov"].",".$_lang["performance_month_dec"]."\n";
			$circles = array();
			for($i=1;$i<13;$i++) {
				if($i<10) {
					$i = "0".$i;
				}
				array_push($circles,$year.$i.'M');
			}
			break;
		case "seasons":
			$searchInfo["TPL_ID"] = "2";
			$searchInfo["PERFORM_TPL"] = "2";
			$headerTitle = $_lang["common_dept"].",".$_lang["common_name"].",".$_lang["performance_season_one"].",".$_lang["performance_season_two"].",".$_lang["performance_season_three"].",".$_lang["performance_season_four"]."\n";
			$circles = array($year."01S",$year."02S",$year."03S",$year."04S");
			break;
		case "halfyears":
			$searchInfo["TPL_ID"] = "3";
			$searchInfo["PERFORM_TPL"] = "3";
			$headerTitle = $_lang["common_dept"].",".$_lang["common_name"].",".$_lang["performance_first_halfyear"].",".$_lang["performance_second_halfyear"]."\n";
			$circles = array($year."01H",$year."02H");
			break;
		case "fullyears":
			$searchInfo["TPL_ID"] = "4";
			$searchInfo["PERFORM_TPL"] = "4";
			$headerTitle = $_lang["common_dept"].",".$_lang["common_name"].",".$_lang["performance_perform_year"]."\n";
			$circles = array($year."01Y");
			break;
	}
	if($deptId == "") {
		$searchInfo["PERFORM_USER"] = $userId;
	} else {
		$infor["DeptId"] = $deptId;		
		$userArr         = $user->GetAllDeptUser($infor);
		$performUser 	 = array();
		
		if(count($userArr) > 0) {
			foreach($userArr as $key=>$value) {
				array_push($performUser,$value["USER_ID"]);
			}
			$performUsers = implode($performUser,",");
			$searchInfo["PERFORM_USER"] = substr($performUsers,0,-1);
		}
	}

	$CLICK_COUNT = $_REQUEST["CLICK_COUNT"] != 0 ?15*$_REQUEST["CLICK_COUNT"]:"";
	//模板数据
	$performInfo = $performance->getUserPerformByTpl($searchInfo);

	$sql = "SELECT * FROM user WHERE DEPT_ID>0";
	$result = exequery($connection, $sql);

	$limitnum = mysql_num_rows($result);

	$searchUser  = array("USER_NAME"=>"","DEPT_ID"=>$deptId,"LIMITNUM"=>$limitnum);
	if($_REQUEST["USER_ID"] != "")
	{
		$searchUser["USER_ID"] = $_REQUEST["USER_ID"];
	}
	$userInfo    = $user->getAllUser($searchUser);		

	if($userInfo["Count"] > 0)
	{
		foreach($userInfo as $key=>$value)
		{
			$userIds .= $value["USER_ID"].",";
		}
		$searchInfo["PERFORM_USER"] = $_REQUEST["USER_ID"] == ""?str_replace(",","','",substr($userIds,0,-2)):$_REQUEST["USER_ID"];

		$performInfo = $performance->getUserPerformByTpl($searchInfo);				
		$allUserPerform = array();	

		foreach($userInfo as $key=>$value) 
		{
			if($value["USER_ID"]) 
			{
				foreach($circles as $keys=>$vals) 
				{
					$allUserPerform[$value["USER_ID"]][$vals] = "";
				}
				$allUserPerform[$value["USER_ID"]]["AVG"] = "0";
			}
		}
	}
	
	$userPerform = array();
	if(count($performInfo) > 0) 
	{	
		foreach($performInfo as $key => $value) 
		{
			if(count($value) > 0 && $value[0]["PERFORM_USER"] != "") 
			{
				$userCount = "";
				foreach($value as $keys => $values) 
				{

					/*if(in_array($values["PERFORM_MONTH"],$circles)) 
					{*/
						if($values["PERFORM_STATUS"] == 0) 
						{
							$userPerform[$key][$values["PERFORM_MONTH"]] = $_lang["performance_no_checked"];
						}
						else
						{
							$userPerform[$key][$values["PERFORM_MONTH"]] =$values["PERFROM_POINT"] !=0?$values["PERFROM_POINT"]: $values["PERFORM_COUNT"];
							$userCount += $values["PERFROM_POINT"] !=0?$values["PERFROM_POINT"]:$values["PERFORM_COUNT"];
						}
					//}			
				}	
				$userPerform[$key]["SUBCOUNT"] = $userCount;
			}
		}

		foreach($userPerform as $key => $value) 
		{
			$countMonth = count($value) > 0?count($value)-1:"";
			$avgCount   = $countMonth!=""?$value["SUBCOUNT"]/$countMonth:"";
			$diffMonth = array_diff($circles,array_keys($value));
			if(count($diffMonth) > 0) 
			{
				foreach($diffMonth as $k => $v) 
				{
					$userPerform[$key][$v] = "";
				}
			}
			$userPerform[$key]["AVG"] = $avgCount;
		}	
		$newUserPerform = $searchInfo["PERFORM_USER"]== ""?$userPerform + $allUserPerform:$userPerform;
		$usersPerform   = array();

		foreach($newUserPerform as $key => $value) 
		{
			ksort($value);
			$usersPerform[$key] = $value;
		}
		$usersPerform = array_merge($allUserPerform,$usersPerform);
	}
	else 
	{
		if(count($allUserPerform) > 0)
		{
			$usersPerform = $allUserPerform;
		}
	}

	if(count($usersPerform) > 0)
	{
		foreach($usersPerform as $key=>$value) 
		{
			$userInfo = getUserInfo($key,"2");
			$usersPerform[$key]["USER_NAME"] = $userInfo[0]["USER_NAME"];
			$usersPerform[$key]["DEPT_NAME"] = getDeptName($userInfo[0]["DEPT_ID"]);
		}
	}
	$tableContent= "";
	if(count($usersPerform) > 0)
	{
		foreach($usersPerform as $keys=>$values) {
			$circlePerform = $values["DEPT_NAME"].",".$values["USER_NAME"].",";
			foreach($circles as $k=>$v) {
				switch($circle)
				{
					case "months":
						$circlePerform .= $k=="11"?$values[$v]."\n":$values[$v].",";
						break;
					case "seasons":
						$circlePerform .= $k=="3"?$values[$v]."\n":$values[$v].",";
						break;
					case "halfyears":
						$circlePerform .= $k=="1"?$values[$v]."\n":$values[$v].",";
						break;
					case "fullyears":
						$circlePerform .= $k=="0"?$values[$v]."\n":$values[$v].",";
						break;
				}
			}
			$tableContent .= $circlePerform;
		}
	}
	//内容
	$tableContent = $headerTitle.$tableContent;

	$filename 	  = $_lang['performance_results_export'].".csv";
	if(!strpos($_SERVER["HTTP_USER_AGENT"],'Safari'))
	{
		$filename 	  = iconv("utf-8","gbk",$filename);
	}
	$tableContent = iconv("utf-8","gbk",$tableContent);
	header("Pragma: public");
	header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
	header("Cache-Control: private",false);
	header("Content-Type: application/octet-stream");
	header("Content-Disposition: attachment; filename=".$filename."");
	header("Expires: 0");
	echo $tableContent;
}
?>