<?php
/**
*考核统计
*
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("performance,other");

$thisYear = date("Y",time());

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('89,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}

$PAGE_TITLE = $_lang["performance_of_statics"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language=javascript src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<style>
	.trs {
		border: 0px;
		background-color:#E6E6E6;
	}

	.theads {
		margin-right:0px;
	}

	.tds {
		border-bottom: solid 1px #DDDDDD;
	}

	.hrefs {
		cursor:pointer;
		text-decoration:none;
	}

	#department {
		float: left;
		width: 298px;
	}

	.deptleft {
		float: left;
		border-right: 1px solid #D9D9D9;
	}
</style>
</head>
<body style="overflow:hidden;">
<div id="deptleft" class="deptleft" style="float:left;">
	<div class="outsidediv">
		<div class="lazy_header">
			<span class="lazy-list-title">
				<i class="fa fa-list-title"></i>
				<span class="tip" style="cursor:pointer;"><?=$_lang["performance_all_demp"]?></span>
			</span>
		</div>
		<div id="department" class="department">
			<ul id="deptTree" class="ztree"></ul>
		</div>
	</div>
</div>
<div id="performList" class="performList">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["performance_of_statics"]?></span>
		</span>
		<button type="button" class="btn btn-primary" id="common_out"><?=$_lang["common_out"]?></button>
		<div id="search" style="float:right;margin-top:5px;"></div>
	</div>
	<div id="tabs" style="overflow:auto;">
		<ul>
			<li><a href="#months" id="month"><?=$_lang["performance_plan_month"]?></a></li>
			<li><a href="#seasons" id="season"><?=$_lang["performance_plan_season"]?></a></li>
			<li><a href="#halfyears" id="halfyear"><?=$_lang["performance_plan_halfyear"]?></a></li>
			<li><a href="#fullyears" id="fullyear"><?=$_lang["performance_plan_year"]?></a></li>
			<div class="selectYear" style="float:right;margin-right:20px;margin-top:5px;">
				<select id="YEARS">
					<?
					for($i=$thisYear;$i>=($thisYear-4);$i--)
					{//ui-tabs类的css属性导致往左偏 造成影响的文件 jquery-ui.min.css
					?>
						<option id="<?=$i?>"><?=$i?></option>
					<?
					}
					?>
				</select>
			</div>
		</ul>
		<div id="months">
		  <table class="table" cellpadding="10" cellspacing="0" >
			<tr class="trs">
				<td class="theads" value='' width="10%"><?=$_lang["performance_workers_name"]?></td>
				<td class="theads" value='' width="10%"><?=$_lang["performance_demp"]?></td>
				<td class="theads" value="1" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_jan"]?></a></td>
				<td class="theads" value="2" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_feb"]?></a></td>
				<td class="theads" value="3" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_mar"]?></a></td>
				<td class="theads" value="4" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_apr"]?></a></td>
				<td class="theads" value="5" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_may"]?></a></td>
				<td class="theads" value="6" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_jun"]?></a></td>
				<td class="theads" value="7" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_jul"]?></a></td>
				<td class="theads" value="8" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_aug"]?></a></td>
				<td class="theads" value="9" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_sep"]?></a></td>
				<td class="theads" value="10" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_oct"]?></a></td>
				<td class="theads" value="11" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_nov"]?></a></td>
				<td class="theads" value="12" width="6%"><a href='#' class="hrefs"><?=$_lang["performance_month_dec"]?></a></td>
				<td class="theads" value="0" width="8%"><a href='#' class="hrefs"><?=$_lang["performance_results_average"]?></a></td>
			</tr>
			<tbody id="mtbody">
			</tbody>
		  </table>
		</div>
		<div id="seasons">
			<table class="table" cellpadding="10" cellspacing="0">
				<tr class="trs">
					<td class="theads" value='' width="10%"><?=$_lang["performance_workers_name"]?></td>
					<td class="theads" value='' width="10%"><?=$_lang["performance_demp"]?></td>
					<td class="theads" value='' class="hrefs" width="20%"><?=$_lang["performance_season_one"]?></td>
					<td class="theads" value='' class="hrefs" width="20%"><?=$_lang["performance_season_two"]?></td>
					<td class="theads" value='' class="hrefs" width="20%"><?=$_lang["performance_season_three"]?></td>
					<td class="theads" value='' class="hrefs" width="20%"><?=$_lang["performance_season_four"]?></td>
				</tr>
				<tbody id="stbody"></tbody>
			</table>
		</div>
		<div id="halfyears">
			<table class="table" cellpadding="10" cellspacing="0">
				<tr class="trs">
					<td class="theads" value='' width="10%"><?=$_lang["performance_workers_name"]?></td>
					<td class="theads" value='' width="10%"><?=$_lang["performance_demp"]?></td>
					<td class="theads" value='' class="hrefs" width="40%"><?=$_lang["performance_first_halfyear"]?></td>
					<td class="theads" value='' class="hrefs" width="40%"><?=$_lang["performance_second_halfyear"]?></td>
				</tr>
				<tbody id="hytbody"></tbody>
			</table>
		</div>
		<div id="fullyears">
			<table class="table" cellpadding="10" cellspacing="0">
				<tr class="trs">
					<td class="theads" value='' width="10%"><?=$_lang["performance_workers_name"]?></td>
					<td class="theads" value='' width="10%"><?=$_lang["performance_demp"]?></td>
					<td class="theads" value='' class="hrefs" width="80%"><?=$_lang["performance_year_results"]?></td>
				</tr>
				<tbody id="fytbody"></tbody>
			</table>
		</div>
		<table width="100%" border="0">
			<tr>
				<td align="center">
					<div class="more" style="margin-top:25px;border-bottom:0px;">
						<span><a href='javascript:void(0);' style="font-size:15px;"><?=$_lang["performance_workers_more"]?>>></a></span>
					</div>
				</td>
			</tr>
		</table>
	</div>

</div>
<input type="hidden" id="USER_ID" name="USER_ID">
<input type="hidden" id="CIRCLE" name="CIRCLE">
<input type="hidden" id="DEPT_ID" name="DEPT_ID">
<input type="hidden" id="SELECT_YEAR" name="SELECT_YEAR" value="<?=$thisYear?>">
<input type="hidden" id="CLICK_COUNT" name="CLICK_COUNT" value="0">
</body>
</html>

<script>
$(function(){
	$(".outsidediv").height($(window).height()-40);
	$("select").selectpicker({width:80});

	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$("#YEARS").change(function() {
		var userId = $("#USER_ID").val();
			deptId = $("#DEPT_ID").val();
		$("#SELECT_YEAR").val($("#YEARS").val());
		showData(userId,deptId);
	});

	$("#arrow").LazyToggle({
		showTip : PerformanceLang.performanceGroupsDisplay,
		hideTip : PerformanceLang.performanceGroupsNone,
		autoHide : true,
		onAfterShow : function() {
			$("#deptleft").show();
			$("#performList").css("margin-left","299px");
		},
		onAfterHide : function() {
			$("#deptleft").hide();
			$("#performList").css("margin-left","0px");
		}
	});

	//$("#mtbody").height($(window).height()-40).nicescroll();
	//$("#performList").nicescroll();
	//$("#deptleft").nicescroll();

	$("#search").LazySearch({
		tip:PerformanceLang.performanceWorksEnter,
		width:200,
		url:"index_do.php",
		param:{
			type:"search"
		},
		mode:"mini",
		autoSearch : {
	 		template : "{userNAME}",   //下拉数据模版
	 		onItemClick : function(data) {
				var userId = data.USER_ID;
				var deptId = ''
				$("#USER_ID").val(userId);
				$("#CLICK_COUNT").val('0');
				showData(userId,deptId);
	 		}
	 	},
		onClearButtonClick:function(data)
		{
			$("#USER_ID").val("");
			$("#CLICK_COUNT").val('0');
			showData('','');
		}
	});
	var userId = '';
		deptId = '';
	showData(userId,deptId);

	//单击某列的操作
	$(".theads[value!='']").click(function() {
		var val = $(this).attr("value");
			col_index = $(this).index();
		$("td[class='theads'").css("border-bottom","soid 2px lightgrey");
		$("td[value!='"+val+"']").css("border-bottom","solid 1px #DDDDDD")
		$("tbody td[class!='theads']").css({"background-color":"","border-bottom":"solid 1px #DDDDDD"});

		$(this).css({"border-bottom":"solid 2px #FFDA44"});

		if(col_index != 14) {
			$('tbody td:nth-child('+(col_index+1)+')[value!='+val+']').css("background-color","#F3F2F1");
		} else {
			$('tbody td:nth-child('+(col_index+1)+')[value!='+val+']').css({"background-color":"#F3F2F1","font-weight":"bold"});
		}
		$('tbody td:nth-child('+(col_index+1)+')[value='+val+']').css("background-color","");
	});

	$("#tabs").tabs({
       activate: function(event, ui) {
           var panelId = ui.newPanel.attr("id");
			   userId = '';
			   deptId = ''

		   $("#CIRCLE").val(panelId);
		   $("#CLICK_COUNT").val('0');
		   $('tbody td').css("background-color","");
		   showData(userId,deptId);
       }
    }).css({"border":"0"});
	//$(".department").height($(window).height()-40).niceScroll();

	//$("#tabs").nicescroll();
	//部门组织架构的tree
	var setting = {
		view: {
			showLine:false,
			showIcon:false,
			addDiyDom : addDiyDom
		},
		async: {
			enable: true,
			type:'post',
			url:"index_do.php",
			autoParam: ["id"],
			otherParam : {
				type : "getDeptList"
			}
		},
		callback: {
		   onClick: function(treeId,treeNode) {
		        var treeObj = $.fn.zTree.getZTreeObj(treeNode);
					selectedNode = treeObj.getSelectedNodes()[0];
					userId = '';
					deptId = selectedNode.id;
				$("#DEPT_ID").val(deptId);
				$("#CLICK_COUNT").val("0");
				showData(userId,deptId);
		   },
		   onExpand:function()
		   {
			   $(".department").getNiceScroll().resize();
		   }
		}
	};
	$.fn.zTree.init($("#deptTree"),setting);

	$(".tip").click(function() {
		$("#CLICK_COUNT").val("0");
	    $("#DEPT_ID").val('');
		showData('','');
	});
	$("#common_out").click(function() {
		var userId = $("#USER_ID").val();
			deptId = $("#DEPT_ID").val();
			circle = $("#CIRCLE").val()!=""?$("#CIRCLE").val():"months";
			clickCount = $("#CLICK_COUNT").val() != 0?$("#CLICK_COUNT").val():0;
			selectYear = $("#SELECT_YEAR").val();
		location.href = "export_do.php?type=export&USER_ID="+userId+"&DEPT_ID="+deptId+"&CIRCLE="+circle+"&CLICK_COUNT="+clickCount+"&SELECTYEAR="+selectYear;
	});

	$(".more").click(function() {
		var userId     = $("#USER_ID").val();
			deptId     = $("#DEPT_ID").val();
			clickCount = parseInt($("#CLICK_COUNT").val())+parseInt(1);
		$("#CLICK_COUNT").val(clickCount);
		showData(userId,deptId);
	});
});

//$("#performList").height($(window).height()-40).nicescroll();

//显示数据
function showData(userId,deptId) {
	var url    = "/general/performance/statistics/index_do.php";
		userId = $("#USER_ID").val();
		circle = $("#CIRCLE").val() != ""?$("#CIRCLE").val():"months";
		clickCount = $("#CLICK_COUNT").val();
		selectYear = $("#SELECT_YEAR").val();
		data   = "type=list&USER_ID="+userId+"&CIRCLE="+circle+"&DEPT_ID="+deptId+"&SELECT_YEAR="+selectYear+"&CLICK_COUNT="+clickCount;
		//alert(data);
		//type=list&USER_ID=&CIRCLE=months&DEPT_ID=1&SELECT_YEAR=2015&CLICK_COUNT=0
	$.ajax({
		url:url,
		data:data,
		type:"POST",
		success:function(resp) {
			if(resp != "" && resp != null) {
				var jsonData = $.parseJSON(resp);
					htmlStr  = "";
					circle   = $("#CIRCLE").val();

				if(jsonData != '') {
					$.each(jsonData,function(key,val) {
						if(circle === "months" || circle === "") {
							var date = new Date();
							    year = selectYear;
							htmlStr += "<tr><td class=\"tds\" width=\"10%\">"+val["USER_NAME"]+"</td><td class=\"tds\" width=\"10%\" title="+val["FULL_DEPT_NAME"]+" style=\"cursor:pointer;\">"+val["DEPT_NAME"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"01M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"02M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"03M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"04M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"05M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"06M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"07M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"08M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"09M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"10M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"11M"]+"</td><td class=\"tds\" width=\"6%\">"+val[year+"12M"]+"</td><td class=\"tds\" id=\"avg\" width=\"8%\">"+parseFloat(val["AVG"]).toFixed(2)+"</td></tr>";
						} else if (circle === "seasons") {
							htmlStr += "<tr><td class=\"tds\">"+val["USER_NAME"]+"</td><td class=\"tds\">"+val["DEPT_NAME"]+"</td><td class=\"tds\">"+val[selectYear+"01S"]+"</td><td class=\"tds\">"+val[selectYear+"02S"]+"</td><td class=\"tds\">"+val[selectYear+"03S"]+"</td><td class=\"tds\">"+val[selectYear+"04S"]+"</td></tr>";
						} else if (circle === "halfyears") {
							htmlStr += "<tr><td class=\"tds\">"+val["USER_NAME"]+"</td><td class=\"tds\">"+val["DEPT_NAME"]+"</td><td class=\"tds\">"+val[selectYear+"01H"]+"</td><td class=\"tds\">"+val[selectYear+"02H"]+"</td></tr>";
						} else if (circle === "fullyears") {
							htmlStr += "<tr><td class=\"tds\">"+val["USER_NAME"]+"</td><td class=\"tds\">"+val["DEPT_NAME"]+"</td><td class=\"tds\">"+val[selectYear+"01Y"]+"</td></tr>";
						}
					});
					//根据周期判断来显示
					if(circle == "months" || circle == "") {
						if($("#mtbody").text() == "" || clickCount == 0)
						{
							$("#mtbody").html(htmlStr);
						}
						else
						{

							$("#mtbody").append(htmlStr);
						}
					    $(".theads[value='0']").css("border-bottom","solid 2px #FFDA44");
						$(".tds[id='avg']").css("background-color","#F3F2F1");
					} else if (circle == "seasons") {
						if($('#stbody').text() =='' || clickCount == 0)
						{
							$("#stbody").html(htmlStr);
						}
						else
						{
							$("#stbody").append(htmlStr);
						}
					} else if (circle == "halfyears") {
						if($('#hytbody').text() =='' || clickCount == 0)
						{
							$("#hytbody").html(htmlStr);
						}
						else if(clickCount != 0)
						{
							$("#hytbody").append(htmlStr);
						}
					} else if (circle == "fullyears") {
						if($('#fytbody').text() =='' || clickCount == 0)
						{
							$("#fytbody").html(htmlStr);
						}
						else if(clickCount != 0)
						{
							$("#fytbody").append(htmlStr);
						}
					}
				} else {
					//根据周期判断来显示
					if(circle == "months" || circle == "") {
						var cols = 15;
					} else if (circle == "seasons") {
						var cols = 7;
					} else if (circle == "halfyears") {
						var cols = 5;
					} else if (circle == "fullyears") {
						var cols = 4;
					}

					if(clickCount == 0)
					{
						var htmlStr = '<td colspan="'+cols+'"><div class="alert alert-danger">'+PerformanceLang.performanceNotFindData+'</div></td>';
						if(circle == "months" || circle == "") {
							$("#mtbody").html(htmlStr);
						} else if (circle == "seasons") {
							$("#stbody").html(htmlStr);
						} else if (circle == "halfyears") {
							$("#hytbody").html(htmlStr);
						} else if (circle == "fullyears") {
							$("#fytbody").html(htmlStr);
						}
					}
					else
					{
						$.pnotify({
							type:"warning",
							text:PerformanceLang.performanceLoadComplete
						});
					}
				}
			} else {
				$.pnotify({
					type:"warning",
					text:PerformanceLang.performanceLoadComplete
				});
			}
			$("#tabs").height($(window).height()-40);
		}
	});
}

function addDiyDom(treeId, treeNode) {
	var spaceWidth = 10;
		switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
		switchObj.remove();
		icoObj.before(switchObj);
		spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
		switchObj.before(spaceStr);
}
</script>