/*
 * 门户设置
 * 有更好的方式实现，但是为了兼容IE8只能采用常规模式
 */
var lazyPortal = {
    /*2014-4-9*/
    version: "1.0",
    /*模式 view/edit  初始化前指定*/
    mode: "view",
    /*模板*/
    themeColor:{
        'warning':'#8A6D3B','info':'#31708F','primary':'#fff','default':'grey','danger':'#A94442','other2':'#CD6600','other3':'#5FB4C6','other1':'#666666','other4':'#9400D3','other5':'#00749A'
    },
    noPrivUrl:'/general/portal/no_priv.php',
    template: {
        layout: {
            view: '<div class="layout-row" style="margin-bottom:0px;">{{content}}</div>',
            edit: '<div class="panel layout-row" style="margin-bottom:10px;">\
                        <div class="panel-heading">\
                            <div class="layout-slider"></div>\
                            <div class="op-buttons-wrap">\
                                <a href="javascript:void(0);" title="'+PortalLang.portalSetLayout+'" class="op-button edit-layout"><i class="fa fa-cog"></i></a>  \
                                <a href="javascript:void(0);" title="'+PortalLang.portalDelLayout+'" class="op-button delete-layout"><i class="fa fa-times"></i></a>\
                            </div>\
                            <div class="op-save-button-wrap">\
                                <input type="button" class="btn btn-info save-layout" value="'+PortalLang.portalSetComplay+'"/>\
                            </div>\
                        </div>\
                        <div class="panel-body" >{{content}}</div>\
                    </div>'
        },
        element: {
            view: '<div class="panel element-wrap">\
                        <div class="panel-heading element_title_wrap">\
                            <h3 class="panel-title element_title"></h3>\
                        </div>\
                        <div class="panel-body" >{{content}}</div>\
                        <a href="javascript:void(0);"  title="'+PortalLang.portalReload+'" class="op-button reload-attribute" style="display:none;position:absolute;right:60px;top:9px;"><i class="fa fa-refresh fa-1x" style="color:grey;"></i></a>\
                    </div>',
            edit: '<div class="panel element-wrap">\
                        <div class="panel-heading element_title_wrap">\
                            <h3 class="panel-title element_title"></h3>\
                            <a href="javascript:void(0);"  title="'+PortalLang.portalDelElement+'" class="op-button delete-element"><i class="fa fa-times"></i></a>\
                            <a href="javascript:void(0);"  title="'+PortalLang.portalEditElement+'" class="op-button edit-attribute"><i class="fa fa-cog" ></i></a>\
                        </div>\
                        <div class="panel-body" >{{content}}</div>\
                    </div>'
        },
        empty: {
            view: '<div class="empty-tip-view"></div>',
            edit: '<div class="empty-tip">'+PortalLang.portalDragElement+'</div>'
        },
        noData: '<div class="alert alert-info">'+PortalLang.portalNoData+'</div>',
        noPriv: '<div class="alert alert-danger">'+PortalLang.portalNoMenuAuth+'</div>',
        newFlag: '<img src="/images/BDNew.gif.png"/>',
        loadMore:'<a target="_blank" title="'+PortalLang.portalLoadMore+'" href="{{moreUrl}}"  style="font-weight:bold;position:absolute;right:1px;top:9px;display:none;" class="load-more">&nbsp;&nbsp;&nbsp;MORE&nbsp;<i class="fa fa-angle-double-right" style="margin-top:5px;"></i>&nbsp;</a>'
    },
    /*模块配置*/
    module: {
        workflow: {
            title: PortalLang.portalWorkflow,
            dirChoose: {
                url: '/module/work_flow_template_select/index.php?inputID={id}&inputName={name}',
                title: PortalLang.portalDirSelect,
                returnData: false,
                type:'muli',
                closeClick:true
            },
            columns: {
                "run_name": {
                    title: PortalLang.portalWorkflowTitle,
                    isMain: true,
                    template: function(data) {
                        var wHeight = screen.availHeight-70;
                        switch (data.type) {
                            case 'todo':
                                var newStr = data.status == "new" ? lazyPortal.template.newFlag : "";
                                return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-file-text"></i>&nbsp;&nbsp;</div><a href="#"  onclick="openProcessPage(\'\',\'' + data.run_id + '\',\'' + data.flow_id + '\',\'' + data.prcs_id + '\',\'' + data.flow_prcs + '\',\'' + data.flow_type + '\');"title="' + data.run_name_title + '">' + '<font style="max-width: 80%;overflow: hidden;text-overflow:ellipsis;display:block;float: left;" title="'+ data.run_name+'">'+data.run_name+'</font>' + newStr + '</a>';
                                break;
                            case 'haveDone':
                            case 'done':
                                return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-file-text"></i>&nbsp;&nbsp;</div><a href="#" onclick="javascript:window.open(\'/general/workflow/print?RUN_ID=' + data.run_id + '&FLOW_ID=' + data.flow_id + '\',\'_blank\',\'left=0,top=0,width=3000,height='+wHeight+',status=0,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes\');" title="' + data.run_name_title + '">' + data.run_name + '</a>';
                                break;
                            case 'request':
                                if (data.dealFlow == 1) {
                                    return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-file-text"></i>&nbsp;&nbsp;</div><a href="#" onclick="openProcessPage(\'\',\'' + data.run_id + '\',\'' + data.flow_id + '\',\'' + data.prcs_id + '\',\'' + data.flow_prcs + '\',\'' + data.flow_type + '\');" title="' + data.run_name_title + '">' + data.run_name + '</a>';
                                } else {
                                    return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-file-text"></i>&nbsp;&nbsp;</div><a href="#" onclick="javascript:window.open(\'/general/workflow/print?RUN_ID=' + data.run_id + '&FLOW_ID=' + data.flow_id + '\',\'_blank\',\'left=0,top=0,width=3000,height='+wHeight+',status=0,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes\');" title="' + data.run_name_title + '">' + data.run_name + '</a>';
                                }
                                break;
                            case 'copy':
                                var newStr = data.status == "new" ? lazyPortal.template.newFlag : "";
                                return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-file-text"></i>&nbsp;&nbsp;</div><a title="' + data.run_name_title + '" href="#" onclick="javascript:window.open(\'/general/workflow/print?RUN_ID=' + data.run_id + '&FLOW_ID=' + data.flow_id + '&copyId='+data.copy_id+'\',\'_blank\',\'left=0,top=0,width=3000,height='+wHeight+',status=0,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes\');">' +'<font style="max-width: 80%;overflow: hidden;text-overflow:ellipsis;display:block;float: left;" title="'+ data.run_name+'">'+data.run_name+'</font>' + newStr + '</a>';
                                break;
                            default:
                                return "";
                                break;
                        }
                    }
                },
                "username": {
                    title: PortalLang.portalCreatePerson,
                    width: 90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.CREATOR_ID + '\',event);return false;">' + data.username + '</a>'
                    }
                },
                "datetime": {
                    title: PortalLang.portalTime,
                    width: 70
                }
            },
            format: "table",
            data: true,
            attribute: ["title", "isShowTitle","isShowIcon", "rows", "fontSize", "theme", "columns", "tabs", "directory", "height"],
            tabs: {
                "todo": {
                    title: PortalLang.portalTodo,
                    moreUrl:"/general/workflow/work_list.php?func_id=3&fromPortalFlowIds={id}",
                    funcID: 3
                },
                "haveDone": {
                    title: PortalLang.portalHaveDone,
                    moreUrl:"/general/workflow/work_list.php?listType=finished_list&fromPortalFlowIds={id}",
                    funcID: 252
                },
                "done": {
                    title: PortalLang.portalDone,
                    moreUrl:"/general/workflow/work_list.php?listType=passed_list&fromPortalFlowIds={id}",
                    funcID: 323
                },
                "request": {
                    title: PortalLang.portalRequest,
                    moreUrl:"/general/workflow/work_list.php?listType=my_request&fromPortalFlowIds={id}",
                    funcID: 420
                },
                "copy":{
                    title: PortalLang.portalCopy,
                    moreUrl:"/general/workflow/work_list.php?listType=flow_copy&fromPortalFlowIds={id}",
                    funcID: 377
                }
            }
        },  
        cooperation: {
            title: PortalLang.portalMyCoop,
            data: true,
            funcID: 363,
            format: "table",
            moreUrl:"/general/cooperation/?func_id=363",
            dirChoose: {
                url: '/module/index_coop_select/coop_select.php?sortid={id}&sortname={name}',
                title: PortalLang.portalDirSelect,
                returnData: false,
                closeClick:true,
            },
            columns: {
                "THE_SUBJECT": {
                    title: PortalLang.portalTitle,
                    isMain: true,
                    template: function(data) {
                        var newStr = data.isNew ? lazyPortal.template.newFlag : "";
                        return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-star-o"></i>&nbsp;&nbsp;</div><a href="javascript:openWindows(\'/general/cooperation/coop_view/index.php?theme_id=' + data.THE_ID + '\')" >' + data.THE_SUBJECT + newStr + '</a>';
                    }
                },
                "THE_CREATER": {
                    title: PortalLang.portalCreatePerson,
                    width: 90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.USER_ID + '\',event);return false;">' + data.THE_CREATER + '</a>'
                    }
                },
                "THE_TIME": {
                    title: PortalLang.portalCreateDate,
                    width: 70
                }
            },
            columns1: {
                "title" : 'THE_SUBJECT',
                "title_name":PortalLang.portalTitle,
                'create_time': 'THE_TIME1',
                'creator_name': PortalLang.portalCreatePerson,
                'creator': 'THE_CREATER',
                'user_id':'USER_ID',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return "javascript:openWindows(\'/general/cooperation/coop_view/index.php?theme_id=" + data.THE_ID + "\')";
                }
            },
            effect: {table: PortalLang.portalTable, table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle","isShowIcon", "rows", "fontSize", "theme", "columns","effect", "directory", "height"]
        },
        plan: {
            title: PortalLang.portalPlan,
            data: true,
            funcID: 30,
            format: "table",
            moreUrl:"/general/calendar9/workplan/index.php?func_id=30",
            columns: {
                "NAME": {
                    title: PortalLang.portalTitle,
                    isMain: true,
                    template: function(data) {
                        return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-pencil-square-o"></i>&nbsp;&nbsp;</div><a href="javaScript:openWindows(\'/general/calendar9/workplan/showhomepage.php?data_id=' + data.PLAN_ID + '\');">' + data.NAME + '</a>';
                    },
                },
                "personName": {
                    title: PortalLang.portalLeader,
                    width: 200,
                    template: function(data) {
                        var admins = data.personName;
                        var str = '';
                        for(x in admins){
                            var admin = admins[x];
                            if(typeof(admin['USER_NAME'])!="undefined"&&typeof(admin['USER_ID'])!="undefined"){
                                str +='<a style="cursor:pointer;" onclick="showUserGeneral(\'' + admin['USER_ID'] + '\',event);return false;">' + admin['USER_NAME'] + '</a>,';
                            }
                        }
                        return  str.substring(0,str.length - 1);
                    }
                },
                "begDataTime": {
                    title: PortalLang.portalBeginTime,
                    width: 120,
                },
                "endDataTime": {
                    title: PortalLang.portalEndTime,
                    width: 120
                },
                "stateText": {
                    title: PortalLang.portalState,
                    width: 40
                }
            },
            columns1: {
                "title" : 'NAME',
                "title_name":PortalLang.portalTitle,
                'create_time': 'CREATE_DATE',
                'creator_name': PortalLang.portalCreatePerson,
                'creator': 'creator',
                'user_id':'CREATOR',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return "javaScript:openWindows(\'/general/calendar9/workplan/showhomepage.php?data_id=" + data.PLAN_ID + "\');";
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle","isShowIcon", "rows", "fontSize", "theme","effect", "columns", "height"]
        },
        customer: {
            title: PortalLang.portalCustomerInfo,
            format: "table",
            data: true,
            funcID: 44,
            moreUrl:"/general/crm/customer/?func_id=502",
            attribute: ["title", "isShowTitle", "isShowIcon","rows", "fontSize", "theme", "columns","effect" ,"height"],
            columns: {
                "CUSTOMER_NAME": {
                    title: PortalLang.portalCustomerName,
                    isMain: true,
                    template: function(data) {
                        return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-user"></i>&nbsp;&nbsp;</div><a title="'+PortalLang.portalCustomerDetail+'" target="_blank" href="/general/crm/customer/index_iframe.php?CUSTOMER_ID=' + data.CUSTOMER_ID + '&is_open_switch=0">' + data.CUSTOMER_NAME + '</a>';
                    }
                },
                "MANAGE_USER_NAME": {
                    title: PortalLang.portalManageUser,
                    width: 90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.MANAGE_USER + '\',event);return false;">' + data.MANAGE_USER_NAME + '</a>';
                    }
                },
                "CREATE_TIME": {
                    title: PortalLang.portalCreateTime,
                    width: 70,
                    template: function(data) {
                        return '<span title="'+ PortalLang.portalCreateTime+'">' + data.CREATE_TIME + '</span>';
                    }
                }
            },
            columns1: {
                "title" : 'CUSTOMER_NAME',
                "title_name":PortalLang.portalCustomerName,
                'create_time': 'CREATE_TIME1',
                'creator_name': PortalLang.portalManageUser,
                'creator': 'MANAGE_USER_NAME',
                'user_id':'MANAGE_USER',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return 'javaScript:openWindows(\'/general/crm/customer/index_iframe.php?CUSTOMER_ID='+data.CUSTOMER_ID+'&is_open_switch=0\')';
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo}
        },
        news: {
            title: PortalLang.portalShowNews,
            format: "table",
            data: true,
            funcID: 130,
            moreUrl:"/general/news/show/newslist.php?func_id=130&dirID={id}",
            dirChoose: {
                url: '/module/index_news_select/index.php?sortid={id}&sortname={name}',
                title: PortalLang.portalDirSelect,
                returnData: false,
                closeClick:true,
            },
            columns: {
                "SUBJECT": {
                    title: PortalLang.portalNewTitle,
                    isMain: true,
                    template: function(data) {
                        var newStr = data.isNew ? lazyPortal.template.newFlag : "";
                        return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-file-text-o"></i>&nbsp;&nbsp;</div><a href="javaScript:openWindows(\'/general/news/show/read_news.php?NEWS_ID=' + data.NEWS_ID + '\')">' + data.SUBJECT + newStr + '</a>';
                    },
                },
                "username": {
                    title: PortalLang.portalPublishUser,
                    width:  90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.USER_ID + '\',event);return false;">' + data.username + '</a>';
                    }
                },
                "NEWS_TIME": {
                    title: PortalLang.portalPublishTime,
                    width:  70
                }
            },
            columns1:{
                'title_name':PortalLang.portalTitle,
                "title" : 'SUBJECT',
                'create_time': 'NEWS_TIME1',
                'creator': 'username',
                'creator_name':PortalLang.portalCreatePerson,
                'user_id':'USER_ID',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return 'javaScript:openWindows(\'/general/news/show/read_news.php?NEWS_ID='+data.NEWS_ID+'\')';
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo,thumb: PortalLang.portalThumb,image: PortalLang.portalTeletext},
            attribute: ["title", "isShowTitle","isShowIcon", "theme","directory", "fontSize","effect", "rows", "height"]
        },
        notify: {
            title: PortalLang.portalShowNotify,
            data: true,
            format: "table",
            funcID: 131,
            moreUrl:"/general/notify/show/index.php?func_id=131&dirID={id}",
           dirChoose: {
                url: '/module/index_notify_select/index.php?sortid={id}&sortname={name}',
                title: PortalLang.portalDirSelect,
                returnData: false,
                closeClick:true
            },
            columns: {
                "SUBJECT": {
                    title: PortalLang.portalNotifyTitle,
                    isMain: true,
                    template: function(data) {
                        var newStr = data.isNew ? lazyPortal.template.newFlag : "";
                        return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-volume-up"></i>&nbsp;&nbsp;</div><a href="javaScript:openWindows(\'/general/notify/show/read_notify.php?NOTIFY_ID=' + data.NOTIFY_ID + '\');">' + data.SUBJECT + newStr + '</a>';
                    }
                },
                "USER_NAME": {
                    title: PortalLang.portalCreatePerson,
                    width: 90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.USER_ID + '\',event);return false;">' + data.USER_NAME + '</a>';
                    }
                },
                "BEGIN_DATE": {
                    title: PortalLang.portalPublishTime,
                    width: 70
                }
            },
            columns1:{
                'title_name':PortalLang.portalNotifyTitle,
                "title" : 'SUBJECT',
                'create_time': 'BEGIN_DATE',
                'creator': 'USER_NAME',
                'creator_name':PortalLang.portalCreatePerson,
                'user_id':'USER_ID',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return "javaScript:openWindows(\'/general/notify/show/read_notify.php?NOTIFY_ID="+ data.NOTIFY_ID + "\');";
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle","isShowIcon", "rows", "fontSize", "theme","directory","effect", "columns", "height"]
        },
        sms: {
            title: PortalLang.portalSms,
            format: "table",
            data: true,
            funcID: 13,
            moreUrl:'/general/sms/index.php?func_id=208',
            columns: {
                "CONTENT": {
                    title: PortalLang.portalSmsContent,
                    isMain: true,
                    template: function(data) {
                        var linkHtml = '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-comment-o"></i>&nbsp;&nbsp;</div><a style="margin-right:15px;" href="javaScript:openWindows(\'/general/sms/detail.php?SMS_ID=' + data.SMS_ID + '\')" title="' + data.TYPE_NAME + '">' + data.CONTENT + '</a>';
                        return linkHtml;
                    }
                },
                "OPERATION": {
                    title: PortalLang.portalOperation,
                    width: 80,
                    template: function(data) {
                        var linkHtml = "";
                        switch (data.SMS_LINK_TYPE) {
                            case 1:
                                linkHtml += '<a  href="#" onclick="smsOpenWorkflow(\'' + data.TYPE_URL + '\',\'' + data.RUN_ID + '\')">' + data.TYPE_TEXT + '</a>';
                                break;
                            case 2:
                                linkHtml += '<a onclick="open_sms(\'' + data.TYPE_URL + '\',\'' + data.SMS_ID + '\');" href="#">' + data.TYPE_TEXT + '</a>';
                                break;
                            case 3:
                                linkHtml += '<a target="_blank" href="' + data.TYPE_URL + '?SMS_ID=' + data.SMS_ID + '&TABLE_NAME=' + data.TABLE_NAME + '&TABLE_ID=' + data.TABLE_ID + '">' + data.TYPE_TEXT + '</a>';
                                break;
                            case 4:
                                linkHtml += '<span>' + data.TYPE_TEXT + '</span>';
                                break;
                        }
                        if (data.REMIND_FLAG == 1) {
                            linkHtml += '<a id="'+data.SMS_ID+'" onclick="cannelRemind(\'' + data.SMS_ID + '\',\'\');"> <i class="fa fa-bell-o"></i></a>';
                        }
                        return linkHtml;
                    }
                },
                "USER_NAME": {
                    title: PortalLang.portalSendPerson,
                    width: 90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.FROM_ID + '\',event);return false;">' + data.USER_NAME + '</a>';
                    }
                },
                "SEND_TIME": {
                    title: PortalLang.portalTime,
                    width: 70
                }
            },
            columns1:{
                    'title_name':PortalLang.portalSmsContent,
                    "title" : 'CONTENT',
                    'create_time': 'SEND_TIME1',
                    'creator': 'USER_NAME',
                    'creator_name': PortalLang.portalSendPerson,
                    'user_id':'FROM_ID',
                    'avatar_type':'avatar_type',
                    'url': function(data){
                        return "javaScript:openWindows(\'/general/sms/detail.php?SMS_ID=" + data.SMS_ID + "\')";
                    },
                    'action':function(data){
                        var linkHtml = "";
                        switch (data.SMS_LINK_TYPE) {
                            case 1:
                                linkHtml += '<a style=""  href="#" onclick="smsOpenWorkflow(\'' + data.TYPE_URL + '\',\'' + data.RUN_ID + '\')">' + data.TYPE_TEXT + '</a>';
                                break;
                            case 2:
                                linkHtml += '<a style=""  onclick="open_sms(\'' + data.TYPE_URL + '\',\'' + data.SMS_ID + '\');" href="#">' + data.TYPE_TEXT + '</a>';
                                break;
                            case 3:
                                linkHtml += '<a style="" target="_blank"  href="' + data.TYPE_URL + '?SMS_ID=' + data.SMS_ID + '&TABLE_NAME=' + data.TABLE_NAME + '&TABLE_ID=' + data.TABLE_ID + '">' + data.TYPE_TEXT + '</a>';
                                break;
                            case 4:
                                linkHtml += '<span>' + data.TYPE_TEXT + '</span>';
                                break;
                        }
                        if (data.REMIND_FLAG == 1) {
                            linkHtml += '<a id="'+data.SMS_ID+'" onclick="cannelRemind(\'' + data.SMS_ID + '\',\'\');"> <i class="fa fa-bell-o"></i></a>';
                        }
                        return linkHtml;
                    }
                },
                effect: {table: PortalLang.portalTable,table1:PortalLang.portalTableOne,table2: PortalLang.portalTableTwo },
                attribute: ["title", "isShowTitle", "isShowIcon","rows", "fontSize", "theme", "effect","columns", "height"]
        },
        email: {
            title: PortalLang.portalEmail,
            data: true,
            funcID: 12,
            moreUrl:'/general/email/index.php?func_id=12',
            columns: {
                "SUBJECT": {
                    title: PortalLang.portalEmailTitle,
                    isMain: true,
                    template: function(data) {
                        var newStr = data.isNew != 1 ? lazyPortal.template.newFlag : "";
                        return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-envelope-o"></i>&nbsp;&nbsp;</div><a href="javaScript:openWindows(\'/general/email/email_detail.php?referer=portal&EMAIL_ID=' + data.EMAIL_ID + '&BOX_ID=0\')">' + data.SUBJECT + newStr + '</a>';
                    }
                },
                "FROM_USER_NAME": {
                    title:  PortalLang.portalSendPerson,
                    width: 90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.FROM_ID + '\',event);return false;">' + data.FROM_USER_NAME + '</a>';
                    }
                },
                "SEND_TIME": {
                    title: PortalLang.portalSendTime,
                    width: 70
                }
            },
            format: "table",
            columns1:{
                'title_name':PortalLang.portalEmailTitle,
                "title" : 'SUBJECT',
                'create_time': 'SEND_TIME1',
                'creator': 'FROM_USER_NAME',
                'creator_name': PortalLang.portalSendPerson,
                'user_id':'FROM_ID',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return "javaScript:openWindows(\'/general/email/email_detail.php?referer=portal&EMAIL_ID=" + data.EMAIL_ID + "&BOX_ID=0\')";
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle", "isShowIcon","rows", "fontSize", "theme", "effect","columns", "height"]
        },
        meeting: {
            title: PortalLang.portalMeeting,
            data: true,
            format: "table",
            columns: {
                "subject": {
                    title: PortalLang.portalMeetingTitle,
                    isMain: true,
                    template: function(data) {
                        switch(data.type) {
                            case "examine":
                                return '<div class="title-icon" style="float:left;width:30px;display:none;"><i class="fa fa-square-o"></i>&nbsp;&nbsp;</div><a style="float:left;" title="'+PortalLang.portalTheme+':' + data.subject + '&#13;'+PortalLang.portalMeetTime+':' + data.begin_time +PortalLang.portalTo + data.end_time + '" href="javaScript:openWindows(\'/general/meetings/myapply/show.php?diff=homepage&apply_id=' + data.apply_id + '\');"><div style="text-overflow:ellipsis;white-space:nowrap;overflow:hidden;float:left;padding-right:10px">' + data.subject + '</div></a><div style="text-overflow:ellipsis;white-space:nowrap;overflow:hidden;float:left;padding-right:10px">'+ data.room_name +'</div><div style="width:25px;float:left"><a href="javaScript:openWindows(\'/general/meetings/examine/examine_popup.php?apply_id='+data.apply_id+'&showpage=examine\')">'+PortalLang.portalIntoDeal+'</a></div>';
                                break;
                            case "join":
                                return '<div class="title-icon" style="float:left;width:30px;display:none;"><i class="fa fa-square-o"></i>&nbsp;&nbsp;</div><a style="float:left;"title="'+PortalLang.portalTheme+':' + data.subject + '&#13;'+PortalLang.portalMeetTime+':' + data.begin_time +PortalLang.portalTo + data.end_time + '" href="javaScript:openWindows(\'/general/meetings/myapply/show.php?diff=homepage&apply_id=' + data.apply_id + '\');"><div style="width:120px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;float:left">' + data.subject + '</div></a><div style="width:120px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;float:left">'+ data.room_name +'</div>';
                                break;
                            default:
                                break;
                        }
                    }
                },
                "applyPersonName": {
                    title: PortalLang.portalProposer,
                    width: 90,
                    template: function(data) {
                        return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.apply_person + '\',event);return false;">' + data.applyPersonName + '</a>';
                    }
                },
                "begin_time": {
                    title: PortalLang.portalBeginTime,
                    width: 130
                },
                "end_time": {
                    title: PortalLang.portalEndTime,
                    width: 130
                }
            },
            columns1:{
                'title_name': PortalLang.portalMeetingTitle,
                'title': 'subject',
                'title_name2': PortalLang.portalMeetingRoom,
                'title2': 'room_name',
                'create_time': 'create_time',
                'creator': 'applyPersonName',
                'creator_name': PortalLang.portalProposer,
                'user_id': 'apply_person',
                'avatar_type': 'avatar_type',
                'url': function(data){
                    return "javaScript:openWindows(\'/general/meetings/myapply/show.php?diff=homepage&apply_id=" + data.apply_id + "\');";
                },
                'action':function(data){
                    switch(data.type) {
                        case "examine":
                            return '<a href="javaScript:openWindows(\'/general/meetings/examine/examine_popup.php?apply_id='+data.apply_id+'&showpage=examine\')">'+PortalLang.portalIntoDeal+'</a>';
                            break;
                        default:
                            return '';
                            break;
                    }
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle","isShowIcon", "rows", "fontSize", "theme", 'effect',"columns", "tabs", "height"],
            tabs: {
                "examine": {
                    title: PortalLang.portalExamine,
                    moreUrl:"/general/meetings/examine/index.php?func_id=703",
                    funcID: 703
                },
                "join": {
                    title: PortalLang.portalJoin,
                    moreUrl:"/general/meetings/myapply/index.php?func_id=702",
                    funcID: 702
                }
            }
        },
        vehicle: {
            title: PortalLang.portalVehicle,
            data: true,
            format: "table",
            funcID: 603,
            moreUrl:"/general/vehicles/examine.php?func_id=603",
            columns: {
                "CAR_MODEL": {
                    title: PortalLang.portalCarModel,
                    isMain: true,
                    template: function(data) {
                        return '<div style="float:left;width:30px;display:none;" class="title-icon"><i class="fa fa-car" ></i></div><a href="javaScript:openWindows(\'/general/vehicles/showhomepage.php?diff=homepage&data_id=' + data.apply_id + '\');"><div style="min-width:90px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;float:left">' + data.CAR_MODEL + '</div></a><div style="float:left"><a href="/general/vehicles/examine.php" target="_blank">'+PortalLang.portalIntoDeal+'</a></div>';
                    }
                },
                "begin_time": {
                    title: PortalLang.portalBeginTime,
                    width: 90
                },
                "end_time": {
                    title: PortalLang.portalEndTime,
                    width: 70
                }
            },
            columns1:{
                'title_name':PortalLang.portalCarModel,
                "title" : 'CAR_MODEL',
                'create_time': 'begin_time1',
                'creator': 'creator',
                'creator_name':PortalLang.portalProposer,
                'user_id':'apply_person',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return "javaScript:openWindows(\'/general/vehicles/showhomepage.php?diff=homepage&data_id=" + data.apply_id + "\');"
                },
                'action':function(data){
                    return '<a href="/general/vehicles/examine.php" target="_blank">'+PortalLang.portalIntoDeal+'</a>';
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle", "isShowIcon","rows", "fontSize", "theme","effect", "columns", "height"]
        },
        vote: {
            title: PortalLang.portalVote,
            data: true,
            funcID: 250,
            format: "table",
            moreUrl:"/general/vote/admin/surveyresult.php?func_id=250",
            columns: {
                "Name": {
                    title: PortalLang.portalVoteTableName,
                    template: function(data) {
                        return "<div class='title-icon' style='float:left;display:none;'><i class='fa fa-page-title'></i>&nbsp;&nbsp;</div><a href='#' onClick=\"javascript:window.open('/general/vote/view.php?sid=" + data.SID + "&from=index');\">" + data.Name + "</a>";
                    },
                    isMain: true
                },
                "Opt": {
                    title: PortalLang.portalVoteResult,
                    width: 50
                }
            },
            columns1:{
                'title_name':PortalLang.portalVoteTableName,
                "title" : 'Name',
                'create_time': 'AddDate',
                'creator': 'creator',
                'creator_name':PortalLang.portalCreatePerson,
                'user_id':'CREATOR',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return "javascript:window.open(\'/general/vote/view.php?sid=" + data.SID + "&from=index\');";
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle","isShowIcon", "rows", "fontSize", "theme", "effect","columns", "height"]
        },
        winRun: {
            title: PortalLang.portalWinRun,
            data: true,
            format: "table",
            moreUrl:'/general/ipanel/shortcut/win_define/index.php',
            columns: {
                "WIN_DESC": {
                    title: PortalLang.portalWinRunName,
                    template: function(data) {
                        return '<div><div class="title-icon" style="float:left;display:none;"><i class="fa fa-cogs"></i>&nbsp;&nbsp;</div><a href="#" onClick="winexe(\''+data.WIN_DESC+'\',\''+data.WIN_PATH_C+'\')">' + data.WIN_DESC + '</a></div>';
                    },
                    isMain: true
                },
                "WIN_PATH": {
                    title: PortalLang.portalWinPath,
                    width: 200
                },
                "RUN": {
                    title: PortalLang.portalRun,
                    width: 30,
                    template: function(data) {
                        return '<div><a href="#" onClick="winexe(\''+data.WIN_DESC+'\',\''+data.WIN_PATH_C+'\')">PortalLang.portalRun</a></div>';
                    },
                }
            },
            columns1:{
                'title_name':PortalLang.portalWinRunName,
                "title" : 'WIN_DESC',
                'create_time': '',
                'creator': 'creator',
                'creator_name':PortalLang.portalCreatePerson,
                'user_id':'USER_ID',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return 'winexe(\''+data.WIN_DESC+'\',\''+data.WIN_PATH_C+'\')';
                },
                'action':function(data){
                    return '<a href="#" onClick="winexe(\''+data.WIN_DESC+'\',\''+data.WIN_PATH_C+'\')">PortalLang.portalRun</a>';
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo},
            attribute: ["title", "isShowTitle", "isShowIcon","rows", "fontSize", "theme",'effect', "columns", "height"]
        },
        link: {
            title: PortalLang.portalLink,
            data: false,
            format: "link",
            dialogSize:'big',
            dirChoose: {
                url: '/module/doc_select/selectDoc.php?inputID={id}&inputName={name}&selectNumber=single',
                title: PortalLang.portalLinkAddr,
                callback:function(dirID){
                     $(this).data("elementInfor").element.attribute.linkAddress = dirID;
                     $(this).find("iframe").attr("src", dirID);
                },
                returnData:false,
                closeClick:true,
            },
            attribute: ["title", "isShowTitle", "linkType","externalLink","linkAddress", "directory", "theme", "height"]
        } ,
        rss: {
            title: PortalLang.portalRss,
            data: false,
            format: "link",
            attribute: ["title", "isShowTitle", "theme", "height", "rssUrl"]
        },
        addressBook: {
            title: PortalLang.portalAddressBook,
            data: true,
            format: "table",
            attribute: ["title", "isShowTitle","isShowIcon", "rows", "fontSize", "theme", "columns", 'effect',"tabs", "height"],
            columnsAuto:true,
            trClick:'ADD_ID',
            columns: function() {
                var columnInfor;
                $.ajax({
                    url: "/general/portal/do.php",
                    data: {
                        op: "getAddressColumns"
                    },
                    async: false
                }).done(function(result) {
                    columnInfor = $.parseJSON(result);
                });
                return columnInfor;
            },
            tabs: {
                "public": {
                    title: PortalLang.portalPublicAddress,
                    moreUrl:"/general/address/pubcenter/addpublic.php?ADDRESS_TYPE=1&f=view",
                    funcID: 25
                },
                "personal": {
                    title: PortalLang.portalPersonAddress,
                    moreUrl:'/general/address/pubcenter/addpublic.php?ADDRESS_TYPE=2&f=view&GROUP_ID=0',
                    funcID: 23
                }
            },
            columns1:{
                'title_name':PortalLang.portalName,
                "title" : 'A1',
                'create_time': 'A12',
                'creator': 'creator',
                'creator_name':PortalLang.portalCreatePerson,
                'user_id':'userId',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return 'javascript:window.open(\'/general/address/view/address_list.php?add_id='+data.ADD_ID+'&f=view\',\'_blank\',\'left=200,top=171,width=400,height=650,status=0,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=no\');';
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo}
        },
        publicDocument: {
            title: PortalLang.portalDocument,
            format: "table",
            data: true,
            funcID: 8,
            moreUrl:"/general/file_folder/file_new/filelist.php?SORT_ID={id}&FILE_SORT=1",
            attribute: ["title", "isShowTitle","isShowIcon" ,"rows", "fontSize", "theme", "columns","effect", "directory", "height"],
            dirChoose: {
                url: '/module/document_file_select/?sortid={id}&sortname={name}&filesort=1&getwhat=readfile',
                title: PortalLang.portalDirSelect,
                returnData: false,
                closeClick:true,
            },
            columns: {
                "SUBJECT": {
                    title: PortalLang.portalTitle,
                    isMain: true,
                    template: function(data) {
                        var newStr = data.isNew ? lazyPortal.template.newFlag : "";
                        return '<div class="title-icon" style="float:left;display:none;"><i class="fa fa-file-text-o"></i>&nbsp;&nbsp;</div><a href="#" title="' + data.SUBJECT + '" onclick="open_sms(\'/general/file_folder/file_new/read.php?CONTENT_ID=' + data.CONTENT_ID + '\',\'&FILE_SORT=1&SORT_ID=' + data.SORT_ID + '&closetag=1\');">' + data.SUBJECT + newStr + '</a>';
                    }
                },
                "USER_NAME": {
                    title: PortalLang.portalCreatePerson,
                    width: 90,
                    template: function(data) {
                        if (data.USER_NAME)
                            return '<a style="cursor:pointer;" onclick="showUserGeneral(\'' + data.USER_ID + '\',event);return false;">' + data.USER_NAME + '</a>';
                        else
                            return " ";
                    }
                },
                "SEND_TIME": {
                    title:  PortalLang.portalCreateTime,
                    width: 70
                }
            },
            columns1:{
                'title_name':PortalLang.portalTitle,
                "title" : 'SUBJECT',
                'create_time': 'SEND_TIME',
                'creator': 'USER_NAME',
                'creator_name':PortalLang.portalCreatePerson,
                'user_id':'USER_ID',
                'avatar_type':'avatar_type',
                'url': function(data){
                    return 'javaScript:openWindows(\'/general/file_folder/file_new/read.php?CONTENT_ID='+data.CONTENT_ID+'\')';
                }
            },
            effect: {table: PortalLang.portalTable,table1: PortalLang.portalTableOne,table2: PortalLang.portalTableTwo}
        },
        project: {
            title: PortalLang.portalProject,
            data: true,
            funcID: 162,
            moreUrl:'/general/project/myproject/?func_id=162',
            format: "project",
            attribute: ["title", "isShowTitle", "rows",'fontSize', "theme", "height"]
        },
        agenda: {
            title: PortalLang.portalAgenda,
            data: true,
            funcID: 27,
            format: "calendar",
            attribute: ["title", "isShowTitle", "theme", "height"]
        },
        chart: {
            title: PortalLang.portalChart,
            data: false,
            funcID: 521,
            format: "chart",
           
            moreUrl: '/general/report/report_view/index.php?func_id=521',
            dirChoose: {
                url: '/module/chart_select/index.php?inputID={id}&inputName={name}',
                title: PortalLang.portalChooseChart,
                returnData: false,
                 closeClick:true,
                callback: function(reportID) {
                     
					if(!!reportID){
                        var $this = $(this);
                        if($('.main_content_wrap').attr('loadHighChart') == 1){
                            $this.find(".element-box-wrap").LazyReport({
                                reportID: reportID
                            });
                            $this.find(".element-box-wrap").LazyReport("createChart");
                        }else{
                            LazyLoad.js(['/newplugins/Highcharts-4.0.1/js/highcharts.js', '/newplugins/Highcharts-4.0.1/js/highcharts-more.js','/general/report/inc/jquery.lazyreport.js'], function () {
                                $('.main_content_wrap').attr('loadHighChart',1);
                                $this.find(".element-box-wrap").LazyReport({
                                    reportID: reportID
                                });
                                $this.find(".element-box-wrap").LazyReport("createChart");
                            });
                        }
                        
                        
                        
                        

			 }
                }
            },
            attribute: ["title", "isShowTitle", "theme", "height", "directory"]
        }
    },

    /*
     * 属性配置
     * setter
     * @param data    value-设置的属性值 attribute-元素属性 dataSource-元素数据源 module-模块
     * @param ui      element-元素对象 attribute-属性设置元素对象
     */
    attribute: {
        title: {
            title: PortalLang.portalTitle,
            view: "<input data_key='title' type='text'/ style='width:160px;'>",
            setter: function(elementInfor, ui) {

                $(this).val(elementInfor.element.attribute.title).keyup(function() {
                    ui.find(".element_title").html($(this).val());
                    ui.data("elementInfor").element.attribute.title = lazyPortal.attribute.title.getter.call(this);
                });
            },
            getter: function() {
                return $(this).val();
            },
            init: function(value) {
                $(this).find(".element_title").html(value);
            }
        },
        isShowIcon:{
            title: PortalLang.portalIsShowIcon,
            view: "<label><input data_key='isShowIcon' type='checkbox'/>&nbsp;</label>",
            setter: function(elementInfor, ui) {
                $(this).prop("checked", elementInfor.element.attribute.isShowIcon).on("ifChanged", function() {
                    var $elementTitleObj = ui.find(".title-icon");

                    if ($(this).prop("checked")) {
                        $elementTitleObj.css("display", "block");
                    } else {
                        $elementTitleObj.css("display", "none");
                    }
                    ui.data("elementInfor").element.attribute.isShowIcon = lazyPortal.attribute.isShowIcon.getter.call(this);
                });
            },
            getter: function() {
                return $(this).prop("checked");
            },
            init: function(value) {
                $(this).find(".title-icon").css("display", function() {
                    return value ? "block" : "none";
                });
            }
        },
        isShowTitle: {
            title: PortalLang.portalIsShowTitle,
            view: "<label><input data_key='isShowTitle' type='checkbox'/>&nbsp;</label>",
            setter: function(elementInfor, ui) {

                $(this).prop("checked", elementInfor.element.attribute.isShowTitle).on("ifChanged", function() {
                    var $elementTitleObj = ui.find(".element_title");

                    if ($(this).prop("checked")) {
                        $elementTitleObj.css("visibility", "visible");
                    } else {
                        $elementTitleObj.css("visibility", "hidden");
                    }

                    ui.data("elementInfor").element.attribute.isShowTitle = lazyPortal.attribute.isShowTitle.getter.call(this);
                });
            },
            getter: function() {
                return $(this).prop("checked");
            },
            init: function(value) {
                $(this).find(".element_title").css("visibility", function() {
                    return value ? "visible" : "hidden";
                });
            }
        },
        /** 目录**/
        directory: {
            title: function(module) {
                var dirChoose = lazyPortal.module[module].dirChoose;
                return dirChoose.title;
            },
            view: function(module) {
                var timestamp = new Date().getTime();
                return "<div data_key='directory' class='directory-wrap'>\
                            <input class='dir-id' id='id_"+timestamp+"' type='hidden'>\
                            <input readonly='readonly' id='name_"+timestamp+"' class='dir-name' type='text' style='width:160px;line-height:30px;'/>\
                            <a href='#' class='choose'><i class='fa fa-search'></i></a>\
                            <a href='#' class='clear'><i class='fa fa-trash-o'></i></a>\
                        </div>";
            },
            setter: function(elementInfor, ui) {
                var $this = $(this);
                if (elementInfor.element.attribute.directory && elementInfor.element.attribute.directory.name) {
                    $this.find(":text").val(elementInfor.element.attribute.directory.name);
                    $this.find(".dir-id").val(elementInfor.element.attribute.directory.ID);
                }
                $this.find(".choose").click(function() {
                    var module = elementInfor.element.module;
                    var dirChoose = lazyPortal.module[module].dirChoose;
                    var dialogSize = lazyPortal.module[module].dialogSize;
                    var url = dirChoose.url;
                    var returnData = dirChoose.returnData;
                    var param = self;
                    var id = $this.find('.dir-id').attr('id');
                    var name = $this.find('.dir-name').attr('id');
                    url = url.replace('{id}',id);
                    url = url.replace('{name}',name);
                    if(dirChoose.type == 'muli'){
                        param =self;
                        url += '&modeType=muli&defaultInputID='+$("#"+id).val();
                    }else{
                        url += '&modeType=single&defaultInputID='+$("#"+id).val();
                    }
                    var modalDialogSize = 'dialogWidth:320px;dialogHeight:395px;';
                    if(dialogSize == 'big'){
                        modalDialogSize = 'dialogWidth:820px;dialogHeight:530px;';
                    }
                    var returnValue = window.showModalDialog(url, param, "edge:raised;scroll:0;status:0;help:0;resizable:1;"+modalDialogSize);
                    if(returnData){
                        var dirID = '';
                        var dirName = '';
                        if(dirChoose.type == 'muli'){
                            $.each(returnValue,function(k,v){
                                dirID += v.flowId + ',';
                                dirName += v.flowName + ',';
                            });
                        }else{
                            dirID = returnValue.id;
                            dirName = returnValue.name;
                        }
                        $this.find(".dir-id").val(dirID);
                        $this.find(".dir-name").val(dirName);
                    }else{
                        var dirID = $('#'+id).val();
                        var dirName = $('#'+name).val();
                    }
                    ui.data("elementInfor").element.attribute.directory = {
                        ID: dirID,
                        name: dirName
                    };
                    if (lazyPortal.module[module].dirChoose.callback) {
                        lazyPortal.module[module].dirChoose.callback.call(ui, dirID);
                    } else {

                        if (elementInfor.param) {
                            elementInfor.param.dirID = dirID;
                        } else {
                            elementInfor.param = {
                                dirID: dirID
                            }
                        }
                        if (ui.find(".element-tabs-content").length > 0) {
                            ui.find(".element-tabs-content").each(function() {
                                var type = this.id;
                                elementInfor.param.type = type;
                                lazyPortal.operation.getElementData.call($(this), elementInfor);
                            });
                        } else {
                            lazyPortal.operation.getElementData.call(ui.find(".element-box-wrap"), elementInfor);
                        }
                    }
                    return false;
                });
                //目录选择多选时触发后续事件
                $this.parent().parent().find('.close-attribute-wrap').click(function(){
                    var module = elementInfor.element.module;
                    if(module == 'link'){
                        if(elementInfor.element.attribute.linkType=='externalLink'){
                            return true;
                        }
                    }
                    var dirChoose = lazyPortal.module[module].dirChoose;
                    var url = dirChoose.url;
                    var returnData = dirChoose.returnData;
                    var id = $this.find('.dir-id').attr('id');
                    var name = $this.find('.dir-name').attr('id');
                     
                    if(dirChoose.closeClick == true && returnData == false){
                        var dirID = $('#'+id).val();
                        var dirName = $('#'+name).val();
                        ui.data("elementInfor").element.attribute.directory = {
                            ID: dirID,
                            name: dirName
                        };
                        if (lazyPortal.module[module].dirChoose.callback) {
                            lazyPortal.module[module].dirChoose.callback.call(ui, dirID);
                        } else {
                            if (elementInfor.param) {
                                elementInfor.param.dirID = dirID;
                            } else {
                                elementInfor.param = {
                                    dirID: dirID
                                }
                            }
                            if (ui.find(".element-tabs-content").length > 0) {
                                ui.find(".element-tabs-content").each(function() {
                                    var type = $(this).attr("id");
                                    if (elementInfor.param) {
                                        elementInfor.param.type = type;
                                    } else {
                                        elementInfor.param = {
                                            type: type
                                        }
                                    }
                                    
                                    lazyPortal.operation.getElementData.call($(this), elementInfor);
                                });
                            } else {
                                lazyPortal.operation.getElementData.call(ui.find(".element-box-wrap"), elementInfor);
                            }
                        }
                    }
                });
                $this.parent().parent().click(function(){
                    var module = elementInfor.element.module;
                    if(module == 'link'){
                        if(elementInfor.element.attribute.linkType=='externalLink'){
                            return true;
                        }
                    }
                    var dirChoose = lazyPortal.module[module].dirChoose;
                    var url = dirChoose.url;
                    var returnData = dirChoose.returnData;
                    var id = $this.find('.dir-id').attr('id');
                    var name = $this.find('.dir-name').attr('id');
                    if(dirChoose.closeClick == true && returnData == false){
                        var dirID = $('#'+id).val();
                        var dirName = $('#'+name).val();
                        ui.data("elementInfor").element.attribute.directory = {
                            ID: dirID,
                            name: dirName
                        };
                        if (lazyPortal.module[module].dirChoose.callback) {
                            lazyPortal.module[module].dirChoose.callback.call(ui, dirID);
                        } else {
                            if (elementInfor.param) {
                                elementInfor.param.dirID = dirID;
                            } else {
                                elementInfor.param = {
                                    dirID: dirID
                                }
                            }
                            if (ui.find(".element-tabs-content").length > 0) {
                                ui.find(".element-tabs-content").each(function() {
                                    var type = this.id;
                                    elementInfor.param.type = type;
                                    lazyPortal.operation.getElementData.call($(this), elementInfor);
                                });
                            } else {
                                lazyPortal.operation.getElementData.call(ui.find(".element-box-wrap"), elementInfor);
                            }
                        }
                    }
                });
                //清除选择目录
                $this.find(".clear").click(function() {
                    $this.find(".dir-id,.dir-name").val('');
                    var dirID = "";
                    if (elementInfor.param) {
                        elementInfor.param.dirID = dirID;
                    } else {
                        elementInfor.param = {
                            dirID: dirID
                        }
                    }
                    if (ui.find(".element-tabs-content").length > 0) {
                        ui.find(".element-tabs-content").each(function() {
                            var type = $(this).attr("id");
                            if (elementInfor.param) {
                                elementInfor.param.type = type;
                            } else {
                                elementInfor.param = {
                                    type: type
                                }
                            }
                            lazyPortal.operation.getElementData.call($(this), elementInfor);
                        });
                    } else {
                        lazyPortal.operation.getElementData.call(ui.find(".element-box-wrap"), elementInfor);
                    }
                    ui.data("elementInfor").element.attribute.directory = {
                        ID: "",
                        name: ""
                    };
                });
            },
            getter: function() {
            },
            init: function(value) {
                $(this).find('.dir-id').val(value.ID);
            }
        },
        rows: {
            title: PortalLang.portalRows,
            view: "<input data_key='rows' type='text'  style='width:160px;'/>",
            setter: function(elementInfor, ui) {
                var $this = $(this);
                $this.change(function(){
                    var rows = $this.val()
                    if(rows >100 || rows <1){
                        $.pnotify({text: PortalLang.portalLetValueIn100, type : "error"});
                        return false;
                    }
                    elementInfor.element.attribute.rows = rows;
                    if (ui.find(".element-tabs-content").length > 0) {
                           ui.find(".element-tabs-content").each(function() {
                               var type = this.id;
                               elementInfor.param.type = type;
                               lazyPortal.operation.getElementData.call($(this), elementInfor);
                           });
                       } else {
                               lazyPortal.operation.getElementData.call(ui.find(".element-box-wrap"), elementInfor);
                       }
                    ui.data("elementInfor").element.attribute.rows = $this.val();
                });
                $(this).val(elementInfor.element.attribute.rows).spinner({
                    min: 1,
                    max: 100,
                    numberFormat: "n",
                    spin: function(event, spin) {
                        elementInfor.element.attribute.rows = spin.value;
                        if (ui.find(".element-tabs-content").length > 0) {
                            ui.find(".element-tabs-content").each(function() {
                                var type = this.id;
                                elementInfor.param.type = type;
                                lazyPortal.operation.getElementData.call($(this), elementInfor);
                            });
                        } else {
                                lazyPortal.operation.getElementData.call(ui.find(".element-box-wrap"), elementInfor);
                        }
                        ui.data("elementInfor").element.attribute.rows = spin.value;
                    }
                });
            },
            getter: function() {},
            init: function() {}
        },
        columns: {
            title: PortalLang.portalIsShowField,
            view: function(module) {
                var columns = $.type(lazyPortal.module[module].columns) === "function" ? lazyPortal.module[module].columns.call(this) : lazyPortal.module[module].columns;
                var columnHtml = [];
                $.each(columns, function(key, value) {
                    if (!value.isMain) {
                        columnHtml.push('<label><input type="checkbox" key="' + key + '"/> ' + ($.type(value) === "object" ? value.title : value) + '</label>');
                    }
                });
                return "<div data_key='columns'>" + columnHtml.join('') + "</div>";
            },
            setter: function(elementInfor, ui) {
                //如果没有列的信息，则默认选中所有列
//                if (!elementInfor.element.attribute.columns) {
//                    var columnInfor = [];
//                    var module = elementInfor.element.module;
//                    $.each(lazyPortal.module[module].columns, function(index, value) {
//                        columnInfor.push(index);
//                    });
//                    elementInfor.element.attribute.columns = columnInfor.join(',');
//                }
                var module = elementInfor.element.module;
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                if ($.type(elementConfig.columns) === "function") {
                    elementConfig.columns = elementConfig.columns.call(this);
                }
                if (!elementInfor.element.attribute.columns) {
					var split = [];
				} else {
					var split = elementInfor.element.attribute.columns.split(',');
				}
                
                var $this = $(this);
                for (var i = 0, length = split.length; i < length; i++) {
                    $this.find(":checkbox").filter(function() {
                        return $(this).attr("key") == split[i];
                    }).prop("checked", true);
                }
                
                $this.find(":checkbox").on("ifChanged", function() {
                    var columnKey = $(this).attr("key");
                    var thiscolumn = elementConfig.columns[columnKey];
                    
                    var $columnObj = ui.find(".column_" + columnKey);
                    var columnWidth = thiscolumn.width;
                    
                    var firstWidth = $columnObj.parent().find('.auto-width-column').css('width');
                    var firstOverflowWidth = $columnObj.parent().find('.auto-width-column .overflow').css('width');
                    if ($(this).prop("checked")) {
                        $columnObj.css('width',columnWidth);
                        $columnObj.find('.overflow').css('width',columnWidth);
                        $columnObj.parent().find('.auto-width-column').css('width',(parseInt(firstWidth) - parseInt(columnWidth)) + 'px');
                        $columnObj.parent().find('.auto-width-column .overflow').css('width',(parseInt(firstOverflowWidth) - parseInt(columnWidth)) + 'px');
                        $columnObj.show();
                    } else {
                        $columnObj.css('width','0px');
                        $columnObj.find('.overflow').css('width','0px');
                        $columnObj.parent().find('.auto-width-column').css('width',(parseInt(firstWidth) + parseInt(columnWidth)) + 'px');
                        $columnObj.parent().find('.auto-width-column .overflow').css('width',(parseInt(firstOverflowWidth) + parseInt(columnWidth)) + 'px');
                        $columnObj.hide();
                    }
                    ui.data("elementInfor").element.attribute.columns = lazyPortal.attribute.columns.getter.call($this, elementInfor.element.module);
                });
            },
            getter: function(module) {
                var columns = lazyPortal.module[module].columns;
                if ($.type(columns) === "function") {
                    columns = lazyPortal.module[module].columns.call(this);
                }
                var columnStr = [];
                $(this).find(":checkbox").each(function() {
                    if ($(this).prop("checked")) {
                        columnStr.push($(this).attr("key"));
                    }
                });
                return columnStr.join(',');
            },
            init: function(value) {
                var split = value.split(',');
                $(this).find(".columns").hide();
                for (var i = 0, length = split.length; i < length; i++) {
                    $(this).find(".column_" + split[i]).show();
                }
            }
        },
        color: {
            title: PortalLang.portalFontColor,
            view: '<span class="color bg_default" color="#000000" data_key="color"></span><span color="#1EB1ED" data_key="color" class="color bg1"></span><span data_key="color" color="#94CE58" class="color bg2"></span><span data_key="color" color="#FDBF2D" class="color bg3"></span><span color="#FC6621" data_key="color" class="color bg4"></span><span color="#808080" data_key="color" class="color bg5"></span>',
            setter: function(data, ui) {
                var self = $(this);
                self.filter(function() {
                    return $(this).attr("color") == data.value.toUpperCase();
                }).addClass("active");
                self.click(function() {
                    self.removeClass("active hover");
                    $(this).addClass("active");
                    ui.element.css("color", $(this).attr("color"));

                }).hover(function() {
                    if ($(this).hasClass("active")) {
                        return false;
                    }
                    $(this).addClass("hover");
                }, function() {
                    if ($(this).hasClass("active")) {
                        return false;
                    }
                    $(this).removeClass("hover");
                });
            },
            getter: function() {
                return $(this).filter(function() {
                    return $(this).hasClass("active");
                }).attr("color") || "#000000";
            },
            init: function(value) {
                $(this).css("color", value);
            }
        },
        fontSize: {
            title: PortalLang.portalFontSize,
            view: '<select data-container="body" class="font_size" data_key="fontSize" style="width:160px;"><option value="12px">12px</option><option value="14px">14px</option><option value="18px">18px</option><option value="20px">20px</option><option value="28px">28px</option></select>',
            setter: function(elementInfor, ui) {
                $(this).val(elementInfor.element.attribute.fontSize).change(function() {
                    ui.find(".element-box-wrap").css("font-size", $(this).val());
                    ui.data("elementInfor").element.attribute.fontSize = lazyPortal.attribute.fontSize.getter.call(this);

                });
            },
            getter: function() {
                return $(this).val();
            },
            init: function(value) {
                $(this).find(".element-box-wrap").css("font-size", value);
            }
        },
        effect: {
            title: PortalLang.portalEffect,
            view: function(module) {
                var effectList = lazyPortal.module[module].effect;

                var effectListHtml = [];
                $.each(effectList, function(key, value) {
                    effectListHtml.push('<input key="' + key + '" type="radio" name="effect"/>' + value);
                });
                return '<div data_key="effect">' + effectListHtml.join('') + '</div>';
            },
            setter: function(elementInfor, ui) {
                var module = elementInfor.element.module;
                var default_format = lazyPortal.module[module].format;
                var _format = elementInfor.element.format ? elementInfor.element.format : default_format;
                $(this).find(":radio").filter(function() {
                    return $(this).attr("key") == _format;
                }).prop("checked", true);
                if(_format == 'table'){
                    ui.find("div[attribute='columns']").show();
                }else{
                    ui.find("div[attribute='columns']").hide();
                }
                $(this).find(":radio").on("ifChecked", function() {
                    var effect = $(this).attr("key");
                    if(effect != 'table'){
                        ui.find("div[attribute='columns']").hide();
                    }else{
                        ui.find("div[attribute='columns']").show();
                    }
                    elementInfor.element.format = effect;
                    lazyPortal.operation.getElementData.call(ui.find(".element-box-wrap"), elementInfor);

                    ui.data("elementInfor").element.attribute.effect = lazyPortal.attribute.effect.getter.call(this);
                });
            },
            getter: function() {
                return $(this).find(":radio").filter(function() {
                    return $(this).prop("checked");
                }).attr("key");
            }
        },
        theme: {
            title: PortalLang.portalTheme,
            view: function() {
                return '<div style="padding-top:5px;"><ul data_key="theme" class="portal-theme-wrap">\
                            <li class="default"></li>\
                            <li class="primary"></li>\
                            <li class="danger"></li>\
                            <li class="info"></li>\
                            <li class="success"></li>\
                            <li class="warning"></li>\
                            <li class="other1"></li>\
                            <li class="other2"></li>\
                            <li class="other3"></li>\
                            <li class="other4"></li>\
                            <li class="other5"></li>\
                            <li class="other6"></li>\
                        </ul></div>';
            },
            setter: function(elementInfor, ui) {
                var $this = $(this)
                $this.find("li").click(function() {
                    $this.find("li").removeClass("current");
                    ui.removeClass("panel-default panel-primary panel-danger panel-info panel-success panel-warning panel-other1 panel-other2 panel-other3 panel-other4 panel-other5  panel-other6").addClass("panel-" + $(this).attr("class"));
                    $(this).addClass("current");
                    ui.data("elementInfor").element.attribute.theme = lazyPortal.attribute.theme.getter.call(this);
                }).filter(function() {
                    return $(this).hasClass(elementInfor.element.attribute.theme)
                }).addClass("current");
            },
            getter: function() {
                return $.trim($(this).filter(function() {
                    return $(this).hasClass("current");
                }).attr("class").replace("current", ""));
            },
            init: function(value) {
                $(this).addClass("panel-" + value);
            }
        },
        tabs: {
            title: PortalLang.portalTabs,
            view: function(module) {
                var tabs = lazyPortal.module[module].tabs;
                var tabHtml = [];
                $.each(tabs, function(key, value) {
                    var tabTitle = $.type(value) === "object" ? value.title : value;
                    tabHtml.push('<label><input title="' + tabTitle + '" type="checkbox" key="' + key + '"/> ' + tabTitle + '</label>');
                });
                return '<div data_key="tabs" style="font-size:0.9em;">' + tabHtml.join('') + "</div>";
            },
            setter: function(elementInfor, ui) {
                var split = elementInfor.element.attribute.tabs.split(',');
                var module = elementInfor.element.module;
                var $this = $(this);
                for (var i = 0, length = split.length; i < length; i++) {
                    $this.find(":checkbox").filter(function() {
                        return $(this).attr("key") == split[i];
                    }).prop("checked", true).iCheck("update");
                }
                $this.find(":checkbox").on("ifChanged", function() {
                    var checkedLength = $this.find(":checkbox").filter(function() {
                        return $(this).prop("checked") == true;
                    }).length;
                    var currentTabKey = $(this).attr("key");
                    var currentTabTitle = lazyPortal.module[module].tabs[currentTabKey];
                    if ($.type(currentTabTitle) === "object") {
                        currentTabTitle = currentTabTitle.title;
                    }
                    if (elementInfor.param) {
                        elementInfor.param.type = currentTabKey;
                    } else {
                        elementInfor.param = {
                            type: currentTabKey
                        }
                    }
                    if ($(this).prop("checked")) {
                        //原来只有一个，需要创建标签
//                        if (checkedLength == 2) {
//                            var elementHtml = [];
//                            var tabTitleHtml = [];
//                            var tabContentHtml = [];
//                            $this.find(":checkbox").filter(function() {
//                                return $(this).prop("checked") == true;
//                            }).each(function() {
//                                var tabKey = $(this).attr("key");
//                                var tabTitle = lazyPortal.module[module].tabs[tabKey];
//                                if ($.type(tabTitle) === "object") {
//                                    tabTitle = tabTitle.title;
//                                }
//                                tabTitleHtml.push('<li><a href="#' + tabKey + '">' + tabTitle + '</a></li>');
//                                tabContentHtml.push('<div class="element-tabs-content" id="'+tabKey+'">');
//                                if (ui.find("#" + tabKey).length == 1) {
//                                    tabContentHtml.push(ui.find("#" + tabKey).html());
//                                } else {
//                                    tabContentHtml.push('<div class="alert alert-warning">'+PortalLang.portalDataLoading+'</div>');
//                                }
//                                tabContentHtml.push('</div>');
//                            });
//                            elementHtml.push('       <ul>');
//                            elementHtml.push(tabTitleHtml.join(''));
//                            elementHtml.push('       </ul>');
//                            elementHtml.push(tabContentHtml.join(''));
//                            ui.find(".element-box-wrap").addClass('element-tabs').attr('id','').html(elementHtml.join(''));
//                            ui.find(".element-tabs").tabs();
//                            ui.find(".element-tabs").tabs("refresh");
//                            ui.find(".element-tabs").addClass('ui-tabs ui-widget ui-widget-content ui-corner-all')
//                            lazyPortal.operation.getElementData.call(ui.find(".element-tabs").find("#" + currentTabKey), elementInfor);
//                        }
//                        //添加标签页
//                        else {
                            var $tabObj = ui.find(".element-tabs");
                            $tabObj.find(".ui-tabs-nav").append('<li><a href="#' + currentTabKey + '">' + currentTabTitle + '</a></li>');
                            $tabObj.append('<div class="element-tabs-content" id="' + currentTabKey + '"><div class="alert alert-warning">'+PortalLang.portalDataLoading+'</div></div>');
                            $tabObj.tabs("refresh");             
                            lazyPortal.operation.getElementData.call(ui.find(".element-tabs").find("#" + currentTabKey), elementInfor);
                       // }
                    } else {  
                        //至少选中一个
                        if (checkedLength == 0) {
                            return false;
                        }
                        //只剩一个标签时，去除标签，保留表格
//                        else if (checkedLength == 1) {
//                            var key = $this.find(":checkbox").filter(function() {
//                                return $(this).prop("checked") == true;
//                            }).attr('key');
//                            if (elementInfor.param) {
//                                elementInfor.param.type = key;
//                            } else {
//                                elementInfor.param = {
//                                    type: key
//                                }
//                            }
//                            var tabHtml = ui.find(".element-tabs").find("#" + key).html();
//                            ui.find(".element-tabs").removeClass().addClass('element-box-wrap').attr('id',key).html(tabHtml);
//                        }
                        //去除选中的标签
                        else {
                            var $tabObj = ui.find(".element-tabs");
                            $tabObj.find("li[aria-controls='" + currentTabKey + "']").remove();
                            $tabObj.find("#" + currentTabKey).remove();
                            $tabObj.tabs("refresh");
                        }
                    }
                    ui.data("elementInfor").element.attribute.tabs = lazyPortal.attribute.tabs.getter.call($this);
                });
            },
            getter: function() {
                var tabsStr = [];
                $(this).find(":checkbox").filter(function() {
                    return $(this).prop("checked") == true;
                }).each(function() {
                    tabsStr.push($(this).attr("key"));
                });
                return tabsStr.join(',');
            },
            init: function(value) {
                $('.ui-state-default a').css('color','#5C5C5C');
            }
        },
        linkAddress: {
            title: PortalLang.portalLinkAddr,
            view: function() {
                return '<input type="hidden" data_key="linkAddress"/>';
            },
            setter: function(elementInfor, ui) {
                var linkAddress = elementInfor.element.attribute.linkAddress;
                $(this).val(linkAddress);
            },
            getter: function() {
                return $(this).val();
            },
            init: function(value) {}
        },
        externalLink: {
            title:  PortalLang.portalLinkAddr,
            view: function() {
                return '<div data_key="externalLink"><input type="text" id="externalLink" style="width:160px;" value=""/>&nbsp;<a class="clear" href="javascript:void(0);"><i class="fa fa-trash-o"></i></a></div>';
            },
            setter: function(elementInfor, ui) {
                var $this = $(this);
                var val = elementInfor.element.attribute.externalLink ? elementInfor.element.attribute.externalLink : 'http://';
                $this.find('#externalLink').val(val);
                $this.find('.clear').click(function(){
                    $this.find('#externalLink').val('http://');
                    ui.data("elementInfor").element.attribute.externalLink = 'http://';
                    ui.data("elementInfor").element.attribute.linkAddress = 'http://';
                    ui.data("elementInfor").element.attribute.linkType = 'externalLink';
                    ui.find("iframe").attr("src", 'about:blank');
                })
                $this.find('#externalLink').focusout(function() {
                    var src = lazyPortal.attribute.linkAddress.getter.call(this);
                    ui.data("elementInfor").element.attribute.externalLink = src;
                    ui.data("elementInfor").element.attribute.linkAddress = src;
                    ui.data("elementInfor").element.attribute.linkType = 'externalLink';
                    src = src == 'http://' ? 'about:blank' : src;
                    ui.find("iframe").attr("src", src);
                });
            },
            getter: function() {
                return $(this).find('#externalLink').val();
            },
            init: function(value) {}
        },
        rssUrl: {
            title: PortalLang.portalRssPath,
            view: function() {
                return '<input type="text" data_key="rssUrl" style="width:160px;"/>';
            },
            setter: function(elementInfor, ui) {
                $(this).val(elementInfor.element.attribute.rssUrl);
                $(this).focusout(function() {
                    var url = lazyPortal.attribute.rssUrl.getter.call(this);
                    ui.data("elementInfor").element.attribute.rssUrl = url;
                    url = url.replace(/&/gm,"*");
                    url = '/general/rss/rssShow.php?url='+url;
                    ui.find("iframe").attr("src", url);
                });
            },
            getter: function() {
                return $(this).val();
            },
            init: function(value) {
                value = value.replace(/&/gm,"*");
                var url = '/general/rss/rssShow.php?url='+value;
                $(this).find("iframe").attr("src", url);
            }
        },
        linkType: {
            title: PortalLang.portalLinkType,
            view: function() {
                return '<div data_key="linkType"><label><input name="link-type" line-type="document" type="radio"/>'+PortalLang.portalDocLink+'</label>\
                                <label><input name="link-type" line-type="externalLink" type="radio"/>'+PortalLang.portalExternalLink+'</label></div>';
            },
            setter: function(elementInfor, ui) {
                var linkType = elementInfor.element.attribute.linkType ? elementInfor.element.attribute.linkType : "externalLink";
                $(this).find(":radio").filter(function() {
                    return $(this).attr("line-type") == linkType;
                }).prop("checked", true);
                var $this = $(this);
                var $attributeWrapObj = $this.parents(".attribute-wrap");
                var $directoryObj = $attributeWrapObj.find(".attribute-list[attribute='directory']");
                var $linkAddressObj = $attributeWrapObj.find(".attribute-list[attribute='linkAddress']");
                var $externalLinkObj = $attributeWrapObj.find(".attribute-list[attribute='externalLink']");
                if (linkType == "document") {
                    $this.find(":radio[line-type='document']").prop("checked", true);
                    $directoryObj.show();
                    $linkAddressObj.hide();
                    $externalLinkObj.hide();
                } else {
                    $this.find(":radio[line-type='externalLink']").prop("checked", true);
                    $directoryObj.hide();
                    $linkAddressObj.hide();
                    $externalLinkObj.show();
                }   
                $(this).find(":radio").on("ifChecked", function() {
                    var linkType = $(this).attr("line-type");
                     if (linkType == "document") {
                        $this.find(":radio[line-type='document']").prop("checked", true);
                        ui.data("elementInfor").element.attribute.linkAddress =  $directoryObj.find(".dir-id").val();
                        $directoryObj.show();
                        $linkAddressObj.hide();
                        $externalLinkObj.hide();
                    } else {
                        $this.find(":radio[line-type='externalLink']").prop("checked", true);
                        ui.data("elementInfor").element.attribute.linkAddress =  $externalLinkObj.find("#externalLink").val();
                        $directoryObj.hide();
                        $linkAddressObj.hide();
                        $externalLinkObj.show();
                    }
                    var src = ui.data("elementInfor").element.attribute.linkAddress == 'http://' ? 'about:blank' : ui.data("elementInfor").element.attribute.linkAddress;
                    ui.find("iframe").attr("src",src);
                    ui.data("elementInfor").element.attribute.linkType = linkType;
                    
                });
            },
            getter: function() {
                return $(this).find(":radio").filter(function() {
                    return $(this).prop("checked");
                }).attr("line-type");
            },
            init: function(value) {}
        },
        height: {
            title: PortalLang.portalElementHeight,
            view: function() {
                return '<div data_key="height">\
                            <div class="height-slider"></div>\
                            <label style="margin-left:10px;">\
                                <input type="checkbox" checked/>'+PortalLang.portalTotalElementHeight+'\
                            </label>\
                        </div>';
            },
            setter: function(elementInfor, ui) {
                var $this = $(this);
                $this.find(".height-slider").slider({
                    min: 50,
                    max: 3000,
                    value: ui.height(),
                    slide: function(event, data) {
                        var self = this;
                        ui.data("elementInfor").element.attribute.height = lazyPortal.attribute.height.getter.call(self);
                        ui.height(data.value);
                        ui.find("iframe").height(data.value);
                        //同步更改本行其他元素的高度
                        if ($this.find(":checkbox").prop("checked")) {
                            var $siblingObj = ui.parent(".column-wrap").siblings();
                            $siblingObj.each(function() {
                                var $elementWrapObj = $(this).find(".element-wrap");
                                $elementWrapObj.height(data.value);
                                $elementWrapObj.find("iframe").height(data.value);
                                $elementWrapObj.data("elementInfor").element.attribute.height = lazyPortal.attribute.height.getter.call(self);
                            });
                        }
                    }
                }).slider("float");
            },
            getter: function() {
                return $(this).slider("value");
            },
            init: function(value) {
                $(this).height(value);
                $(this).find("iframe").height(value);
            }
        }
    },
    /*数据格式化*/
    format: {
        table: {
            view: function(dataSource, elementInfor) { 
				if (typeof(elementInfor.element.attribute.columns) == 'undefined') {
					var showColumnsArray = [];
				} else {
					var showColumns = elementInfor.element.attribute.columns;
					var showColumnsArray = showColumns.split(',');
				}
                
                var module = elementInfor.element.module;
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                if ($.type(elementConfig.columns) === "function") {
                    elementConfig.columns = elementConfig.columns.call(this);
                }

                var htmlStr = ['<table width="100%" class="table-hover" >'];
                if (dataSource) {
                    $.each(dataSource, function(key, value) {
                        if(typeof elementConfig.trClick != 'undefined'){
                            var clickStr = 'onclick="javascript:window.open(\'/general/address/view/address_list.php?add_id='+value[elementConfig.trClick]+'&f=view\',\'_blank\',\'left=200,top=171,width=400,height=650,status=0,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=no\');"'
                        }
                        htmlStr.push('<tr '+clickStr+'>');
                        $.each(elementConfig.columns, function(columnKey, columnValue) {
                            var columnHtml = value[columnKey];
                            if (columnValue.template) {
                                columnHtml = columnValue.template.call(this, value);
                            }
                            var className = columnValue.isMain ? 'column_' + columnKey : 'column_' + columnKey + ' columns';
                            var width = "";
                            var widthStyle = "";
                            if (columnValue.width) {
                                if (/^-?\d+(?:px)?$/i.test(columnValue.width)) {
                                    width = parseFloat(columnValue.width);
                                    if (width >= 0) {
                                        width = width + "px";
                                    }
                                } else {
                                    width = columnValue.width;
                                }
                            }
                            if (width == "") {
                                className += " auto-width-column";
                            } else {
                                if($.inArray(columnKey, showColumnsArray) >= 0) {
                                    widthStyle = "style='width:" + width + ";'";
                                }else {
                                    widthStyle = "style='width:0px;'";
                                }
                            }
                            htmlStr.push('<td class="' + className + '" ' + widthStyle + '>\
                                            <div class="overflow" ' + widthStyle + '>' + columnHtml + '</div>\
                                          </td>');
                        });
                        htmlStr.push('</tr>');
                    });
                }
                htmlStr.push('</tbody></table>');
                return htmlStr.join('');
            },
            onCreate: function(dataSource, elementInfor) {
                var totalWidth = 0;
                $(this).find("tr:first .columns").filter(function() {
                    return $(this).css("display") != "none";
                }).each(function() {
                    totalWidth += $(this).find(".overflow").width();          
                });
   
                var elementWidth = $(this).width() - 10;
                if($(this).attr('role') == 'tabpanel'){
                    elementWidth = $('.element-box-wrap').find('.element-tabs-content').eq(0).width()-10;
                }
                var module = elementInfor.element.module;
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                var columnsAuto  = elementConfig.columnsAuto;
                var overflowWidth = elementWidth - totalWidth;
                if((typeof columnsAuto != 'undefined') && columnsAuto == true){
                    overflowWidth = 150;
                    $(this).find(".auto-width-column").width(overflowWidth);
                    $(this).find(".auto-width-column .overflow").width(overflowWidth);
                }else{
                    $(this).find(".auto-width-column").width(overflowWidth);
                    $(this).find(".auto-width-column .overflow").width(overflowWidth);
                }
            }
        },
        table1: {
            view: function(dataSource, elementInfor) {
                var module = elementInfor.element.module;
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                var columns1 = elementConfig.columns1;
                var htmlStr = ['<div>'];
                if (dataSource) {
                    $.each(dataSource, function(key, value) {
                        htmlStr.push('<div class="comment">');
                        var newStr = value['isNew'] ? lazyPortal.template.newFlag : "";
                        var title = value[columns1.title];
                        var title_name = columns1.title_name;
                        if(columns1.title2) {
                            var title2 = value[columns1.title2];
                            var title_name2 = columns1.title_name2;
                        }
                        var creator_name = columns1.creator_name;
                        var user_id = value[columns1.user_id];
                        var avatar_type = value[columns1.avatar_type];
                        var image = '';
                        if(typeof user_id == 'undefined'){
                            user_id = '';
                            image = 'noimage_40.png';
                        }else{
                            if((typeof avatar_type == 'undefined') || avatar_type ==''){
                                avatar_type = '.png';
                            }
                            image = user_id+'/avatar_40'+ avatar_type;
                            var flag = 1;
                            $.ajax({
                                url: "portal/do.php",
                                data: {
                                    op: "checkPersonImage",
                                    image: image
                                },
                                async: false
                            }).done(function(result) {
                                flag = result;
                            });
                            if(flag == 0){
                                image = 'noimage_40.png';
                            }
                        }
                        var create_time = value[columns1.create_time];
                        if(typeof create_time == 'undefined'){
                            create_time = '';
                        }
                        var creator = value[columns1.creator];
                        if(typeof creator == 'undefined' || creator === null ){
                            creator = '';
                        }
                        var url = columns1.url.call(this, value);
                        var action = '';
                        if(typeof columns1.action != 'undefined'){
                             action = columns1.action.call(this, value);
                        }
                        htmlStr.push('<a onclick="showUserGeneral(\''+user_id+'\',event);return false;" style="cursor:pointer;">\
                                        <img class="comment-avatar" alt="" src="/attachment/personal/'+image +'?32409">\
                                    </a>');
                        htmlStr.push('<div class="comment-body">\
                                        <div class="comment-by">'+creator_name+':&nbsp;\
                                            <a title="" href="#" onclick="showUserGeneral(\''+user_id+'\',event);return false;" >'+creator+'</a>\
                                        </div>');
                        if(title2) {
                            htmlStr.push('<div class="comment-text">\
                                            <span class="comment-name">'+title_name+':&nbsp;</span>\
                                            <span class="comment-title">\
                                                <a onclick="'+url+'" title="'+title+'">'+title+'</a>\
                                            </span>'+newStr+'&nbsp;&nbsp;\
                                            <span class="comment-name2">'+title_name2+':&nbsp</span>\
                                            <span class="comment-title2" title="'+title2+'">'+title2+'</span>'+action+'\
                                        </div>');
                        }else{
                            htmlStr.push('<div class="comment-text">\
                                            <div style="float:left;color:#aaa;">'+title_name+':&nbsp;</div>\
                                            <a onclick="'+url+'" title="'+title+'">'+title+'</a>'+newStr+'&nbsp;&nbsp;'+action+'\
                                        </div>');
                        }
                        htmlStr.push('<div class="comment-actions"><span class="pull-right">'+create_time+'</span></div></div></div>');
                    });
                }
                htmlStr.push('</div>');
                return htmlStr.join('');
            },
            onCreate: function(dataSource, elementInfor) {}
        },
        table2: {
            view: function(dataSource, elementInfor) {
                var module = elementInfor.element.module;
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                var columns1 = elementConfig.columns1;
                var htmlStr = ['<div>'];
                if (dataSource) {
                    $.each(dataSource, function(key, value) {
                        htmlStr.push('<div class="ticket">');
                        var newStr = value['isNew'] ? lazyPortal.template.newFlag : "";
                        var title = value[columns1.title];
                        var title_name = columns1.title_name;
                        if(columns1.title2) {
                            var title2 = value[columns1.title2];
                            var title_name2 = columns1.title_name2;
                        }
                        var creator_name = columns1.creator_name;
                        var user_id = value[columns1.user_id];  
                        if(typeof user_id == 'undefined'){
                            user_id = 'admin';
                        }
                        var create_time = value[columns1.create_time];
                        if(typeof create_time == 'undefined'){
                            create_time = '';
                        }
                        var creator = value[columns1.creator];
                        if(typeof creator == 'undefined' || creator === null ){
                            creator = '';
                        }
                        var url = columns1.url.call(this, value);
                        var action = '';
                        if(typeof columns1.action != 'undefined'){
                            var action = columns1.action.call(this, value);
                        }
                        htmlStr.push('<span class="ticket-label">'+action+'</span>');
                        htmlStr.push('<div>\
                                        <div class="title-name">'+creator_name+':&nbsp;</div>\
                                        <span class="ticket-title">\
                                            <a title="" style="cursor:pointer;" onclick="showUserGeneral(\''+user_id+'\',event);return false;">'+creator+'</a>\
                                        </span>\
                                        <span class="title-time">['+create_time+']</span>\
                                    </div>');
                        if(title2) {
                            htmlStr.push('<span class="ticket-info" style="line-height:25px;">\
                                            <div class="title_name">'+title_name+':&nbsp;</div>\
                                            <span class="ticket-title">\
                                                <a onclick="'+url+'" title="'+title+'">'+title+'</a>'+newStr+'\
                                            </span>\
                                            <div class="title_name2">'+title_name2+':&nbsp</div>\
                                            <span clsss="ticket-title2" title="'+title2+'">'+title2+'</span>\
                                        </span>\
                                    </div>');
                        }else{
                            htmlStr.push('<span class="ticket-info" style="line-height:25px;">\
                                            <div class="title_name">'+title_name+':&nbsp;</div>\
                                            <a style="cursor:pointer;" onclick="'+url+'" title="'+title+'">'+title+'</a>'+newStr+'\
                                        </span>\
                                    </div>');
                        }
                    });
                }
                htmlStr.push('</div>');
                return htmlStr.join('');
            },
            onCreate: function(dataSource, elementInfor) {}
        },
        image: {
            view: function(dataSource, elementInfor) {
                var module = elementInfor.element.module;
                var height = elementInfor.element.attribute.height;
                if(elementInfor.element.attribute.isShowTitle) {
                    height = height - 48;
                } else {
                    height = height - 8;
                }
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                var sliderHtml = [];
                var slogansHtml = [];
                var index = 1;
                $.each(dataSource, function(key, value) {
                    var imgTip = index > 9 ? 9 : index;
                    sliderHtml.push('<li>\
                                        <a href="/general/news/show/read_news.php?NEWS_ID='+value.NEWS_ID+'" target="_blank">\
                                            <img src="' + value.imgSrc + '" alt="' + value.SUBJECT + '" title="' + value.SUBJECT + '"/>\
                                        </a>\
                                    </li>');
                    slogansHtml.push('<li>' + value.SUBJECT + '</li>');
                    index++;
                });
                var minHeight = height < 233 ? height : 233;
                return '<div class="ui-banner" style="height:'+height+'px;min-height:'+minHeight+'px;">\
                            <ul class="ui-banner-slides" style="min-height:'+minHeight+'px">' + sliderHtml.join('') + '</ul>\
                            <ul class="ui-banner-slogans" style="min-height:'+minHeight+'px">' + slogansHtml.join('') + '</ul>\
                        </div>';
            },
            onCreate: function(dataSource, module) {  
                var height = 233;
                
                if(module.element.attribute.height){
                    height = module.element.attribute.height;
                }
                if(module.element.attribute.isShowTitle) {
                    height = height - 48;
                } else {
                    height = height - 8;
                }
                var $this = $(this);
                    if($this.hasClass('ui-banner')){
                        $this.bannerize('destroy');
                    }
                    $this.bannerize({
                        width: $this.width(),
                        height:height,
                        shuffle: true
                    });
            }
        },
        thumb: {
            view: function(dataSource, elementInfor) {
                var module = elementInfor.element.module;
                var height = elementInfor.element.attribute.height;
                var height1 = height -120;
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                var imageHtml = [];
                var contentHtml = [];
                var navHtml = [];
                $.each(dataSource, function(key, value) {
                    var content = value.CONTENT.replace(/<[^>]+>/g, "");
                    imageHtml.push('<li style="height:'+height1+'px;">\
                                        <a style="height:'+height1+'px;" href="/general/news/show/read_news.php?NEWS_ID='+value.NEWS_ID+'" target="_blank">\
                                            <img height="'+height1+'" src="' + value.imgSrc + '" alt="' + value.SUBJECT + '" title="' + value.SUBJECT + '"/>\
                                        </a>\
                                    </li>');
                    contentHtml.push('<li style="height:'+height1+'px;">\
                                        <div class="desc" style="height:'+height1+'px;">\
                                            <h4>' + value.SUBJECT + '</h4>\
                                            <p style="padding-top:10px;">' + content + '</p>\
                                        </div>\
                                    </li>');
                    navHtml.push('<li _index="' + (key + 1) + '">\
                                        <img src="' + value.imgSrc + '"  alt="' + value.SUBJECT + '" />');
                });
                return '<div class="focusbox" style="height:'+height+'px;">\
                            <div class="contentbox" style="float:left;height:'+height1+'px;">\
                                <ul class="contentimg">' + imageHtml.join('') + '</ul>\
                                <ul class="contentdesc" style="height:'+height1+'px;">' + contentHtml.join('') + '</ul>\
                            </div>\
                            <div class="navbox" style="float:left;height:110px;">\
                                <ul class="mfoc_nav">' + navHtml.join('') + '</ul>\
                            </div>\
                        </div>';
            },
            onCreate: function(dataSource, module) {
                var $this = $(this);
                LazyLoad.js('/newplugins/js/focusbox/jquery.focusbox.js', function () {
                    $this.th_focus_swing({
                        dis: $this.width()
                    });
                });
            }
        },
        calendar: {
            view: function(dataSource, elementInfor) {
                var module = elementInfor.element.module;
                var elementConfig = lazyPortal.operation.getElementConfig(module);
                return '<div class=" calendar">\
                            <div class="calendar-small"></div>\
                            <div class="calendar-details">\
                                <div class="day"></div>\
                                <div class="date"></div>\
                                <ul class="events"></ul>\
                            </div>\
                            <div class="clearfix"></div>\
                        </div>';
            },
            onCreate: function(dataSource, module) {
                var date = new Date();
                var d = date.getDate();
                var m = date.getMonth();
                var y = date.getFullYear();
                var monthNames = [DateLang.DateJan, DateLang.DateFeb, DateLang.DateMar, DateLang.DateApr, DateLang.DateMay, DateLang.DateJun, DateLang.DateJul, DateLang.DateAug, DateLang.DateSep, DateLang.DateOct, DateLang.DateNov, DateLang.DateDec];
                var dayNames = [DateLang.Sun,DateLang.Mon, DateLang.Tue, DateLang.Wed, DateLang.Thu, DateLang.Fri, DateLang.Sat];
                var events = [];
                if (dataSource) {
                    $.each(dataSource, function(key, value) {
                        //解决ie，火狐日期兼容问题
                        var _start = value.CAL_BEGIN.split(' ');
                        var startArray = _start[0].split('-');
                        var startTime = _start[1].split(':');
                        var startDate = new Date(startArray[0],parseInt(startArray[1])-1,startArray[2],startTime[0],startTime[1]);
                        var _end = value.CAL_END.split(' ');
                        var endArray = _end[0].split('-');
                        var endTime = _end[1].split(':');
                        var endDate = new Date(endArray[0],parseInt(endArray[1])-1,endArray[2],endTime[0],endTime[1]);
                        events.push({
                            title: value.CAL_CONTENT,
                            start: startDate,
                            end: endDate
                        });
                    });
                }
                var $this = $(this);
                LazyLoad.js('/newplugins/js/fullcalendar/fullcalendar/fullcalendar.min.js', function () {
                    $this.find('.calendar-small').fullCalendar({
                        header: {
                            right: 'title',
                            left: 'prev,next,today'
                        },
                        buttonText: {
                            today: DateLang.Today,
                            month: 'month',
                            week: 'week',
                            day: 'day'
                        },
                        monthNames: monthNames,
                        monthNamesShort: monthNames,
                        dayNames: dayNames,
                        dayNamesShort: dayNames,
                        defaultView: 'month',
                        editable: true,
                        events: events,
                        dayClick: function(date, allDay, jsEvent, view) {
                            $('.calendar-details').niceScroll();
                            $('.calendar-details > .events').html('');
                            $('.calendar-small .fc-day').removeClass("fc-state-highlight fc-state-hover");
                            $(this).addClass("fc-state-highlight");
                            var weekday = dayNames;
                            var month = monthNames;
                            var date2 = new Date(date.getFullYear(), date.getMonth(), date.getDate() + 1);
                            var todaysEvents = $('.calendar-small').fullCalendar('clientEvents', function(event) {
                                function pad(n) {
                                    return n < 10 ? '0' + n : n;
                                }
                                var title = event.title;
                                var start = event.start;
                                var end = event.end;
                                $('.calendar-details > .day').html(weekday[date.getDay()]);
                                $('.calendar-details > .date').html(month[date.getMonth()] + date.getDate() + DateLang.Tdate); 
                                if (event.start >= date && event.end <= date2) { 
									var detailHtml = '<hr style="margin:5px 0"><li>' + pad(start.getHours()) + ':' + pad(start.getMinutes()) + ' - ';
									if(end == null) {
										detailHtml += '未设置结束时间</li><li>' + title + '</li>';
									} else {
										detailHtml += pad(end.getHours()) + ':' + pad(end.getMinutes()) + '</li><li>' + title + '</li>';
									}
                                    $('.calendar-details > .events').append(detailHtml);
                                } else if ((date >= event.start && date2 <= event.end) || (event.start >= date && event.start <= date2) || (event.end >= date && event.end <= date2)) { 
                                    $('.calendar-details > .events').append('<hr style="margin:5px 0"><li>' + month[start.getMonth()] + ' ' + pad(start.getDate()) + DateLang.Tdate + ' ' + pad(start.getHours()) + ':' + pad(start.getMinutes()) + ' - ' + month[end.getMonth()] + ' ' + pad(end.getDate()) + DateLang.Tdate + ' ' + pad(end.getHours()) + ':' + pad(end.getMinutes()) + '</li><li>' + title + '</li>');
                                }
                            });
                            if ($('.calendar-details ul li').length == 0) {
                                $('.calendar-details > .events').html('<li>'+PortalLang.portalNoEvent+'</li>');
                            }
                        }
                    });
                    $('.calendar-small').find(".fc-today").click();
                    $this.find('.calendar-small').find('.fc-week .fc-first .fc-day-number').parent().parent().css('height',$this.find('.calendar-small').find('.fc-week .fc-first .fc-day-number').parent().css('min-height'));
                    $this.find('.calendar-small').find('.fc-week .fc-first .fc-day-number').parent().css('min-height','');
                    $('.calendar-small').on({
                        mouseenter: function() {
                            if (!$(this).hasClass('fc-state-highlight')) {
                                $(this).addClass("fc-state-hover");
                            }
                        },
                        mouseleave: function() {
                            if (!$(this).hasClass('fc-state-highlight')) {
                                $(this).removeClass("fc-state-hover");
                            }
                        }
                    }, ".fc-day"); 
                }); 
            }
        },
        project: {
            view: function(dataSource, elementInfor) {
                var module = elementInfor.element.module;
                var html = ['<table width="100%" class="table-hover" >'];
                var className = ['success', 'info', 'warning', 'danger'];
                $.each(dataSource, function(key, value) {
                    var myClass = className[key % 4];
                    var projectName = "";
                    var managerName = value.MANAGER_NAME;
                    switch (value.MANAGER_STATE) {
                        case "1":
                            projectName = '<span style="color:#A58EE7; margin-right:5px;"><i class="fa fa-bell-o"></i></span><span style="color:#7F7F7F">' + managerName + "</span>";
                            break;
                        case "2":
                            projectName = '<span style="color:#6BAE42; margin-right:5px;"><i class="fa fa-share"></i></span>' + managerName;
                            break;
                        case "3":
                            projectName = '<span style="color:#E7695A; margin-right:5px;"><i class="fa fa-warning"></i></span><span style="color:#E46D0A">' + managerName + "</span>";
                            break;
                        case "4":
                            projectName = managerName;
                            break;
                        case "5":
                            projectName = '<span style="color:#31849B">' + managerName + "</span>";
                            break;
                    }
                    html.push('<tr>\
                                    <td width="50%" title="' + value.MANAGER_NAME + '"><a href="javaScript:openWindows(\'/general/project/showhomepage.php?data_id=' + value.MANAGER_ID + '\');">' + projectName + '</a></td>\
                                    <td width="40%">\
                                        <div class="progress">\
                                            <div class="progress-bar progress-bar-' + myClass + '" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: ' + (value.plan == 0 ? 1 : value.plan) + '%;">\
                                            </div>\
                                        </div>\
                                    </td>\
                                    <td width="10%">' + value.plan + '%</td>\
                                </tr>');
                });
                html.push("</table>");
                return html.join('');
            },
            onCreate: function(dataSource, module) {}
        },
        link: {
            view: function(dataSource, elementInfor) {
                var module = elementInfor.element.module;
                var src = elementInfor.element.attribute.linkAddress ? elementInfor.element.attribute.linkAddress : "about:blank";
                if(src == 'http://' || src == 'https://'){
                    src = "about:blank";
                }
                return '<div><iframe style="height:200px;width:100%;" src="' + src + '" frameBorder="0" ></iframe></div>';
            },
            onCreate: function(dataSource, module) {}
        },
        chart: {
            view: function(dataSource, elementInfor) {
                return '<div class="chart-wrap"></div>';
            },
            onCreate: function(dataSource, module) {
                if (module.element.attribute.directory && module.element.attribute.directory.ID) {
                    var $this = $(this);
                    if($('.main_content_wrap').attr('loadHighChart') == 1){
                        $this.LazyReport({reportID: module.element.attribute.directory.ID,isCheck:1});
                        $this.LazyReport("createChart");
                    }else{
                        LazyLoad.js(['/newplugins/Highcharts-4.0.1/js/highcharts.js', '/newplugins/Highcharts-4.0.1/js/highcharts-more.js','/general/report/inc/jquery.lazyreport.js'], function () {
                            $this.LazyReport({reportID: module.element.attribute.directory.ID,isCheck:1});
                            $this.LazyReport("createChart");
                            $('.main_content_wrap').attr('loadHighChart',1);
                        });
                    }
                }
            }
        }
    },
    util: {
        RGBToHex: function(color) {
            if (color.substr(0, 1) === "#" || color == "transparent") {
                return color;
            }
            var nums = /(.*?)rgb\((\d+),\s*(\d+),\s*(\d+)\)/i.exec(color);
            if (!nums) {
                nums = /(.*?)rgba\((\d+),\s*(\d+),\s*(\d+),\s*(\d+)\)/i.exec(color);
            }
            var r = parseInt(nums[2], 10).toString(16);
            var g = parseInt(nums[3], 10).toString(16);
            var b = parseInt(nums[4], 10).toString(16);
            return "#" + ((r.length == 1 ? "0" + r : r) + (g.length == 1 ? "0" + g : g) + (b.length == 1 ? "0" + b : b));
        }
    },
    ui: {
        getLayoutHelper: function(columnCount) {

            var columnHtml = "";

            var columnWidth = 12 / columnCount;

            for (var i = 0; i < columnCount; i++) {
                columnHtml += '<div class="col-xs-' + columnWidth + ' column-wrap">' + lazyPortal.template.empty[lazyPortal.mode] + '</div>';
            }

            return lazyPortal.template.layout[lazyPortal.mode].replace("{{content}}", '<div class="container-fluid"><div class="row">' + columnHtml + '</div>') + '</div>';
        },
        getElementAttribute: function(module) {

            var attribute = lazyPortal.module[module].attribute;

            var attributeHtml = [];
            if (attribute) {
                $.each(attribute, function(index, value) {

                    if (lazyPortal.attribute[value]) {
                        attributeHtml.push('<div class="attribute-list" attribute="' + value + '">');

                        var attributeTitle = lazyPortal.attribute[value].title;

                        if ($.type(lazyPortal.attribute[value].title) === "function") {
                            attributeTitle = lazyPortal.attribute[value].title.call(this, module);
                        }
                        attributeHtml.push('    <span class="attribute-title">' + attributeTitle + '</span>');
                        if ($.type(lazyPortal.attribute[value].view) === "function") {
                            attributeHtml.push(lazyPortal.attribute[value].view.call(this, module));
                        } else {
                            attributeHtml.push(lazyPortal.attribute[value].view);
                        }

                        attributeHtml.push('</div>');
                    }
                });
            }
            return attributeHtml.join('');

        },
        /** 创建元素html*/
        createElementHtml: function(columnsInfor) {
            var elements = columnsInfor.elements;
            var columnsHtml = '';
            $.each(elements,function(k,elementInfor){
                var elementHtml = [];
                if (lazyPortal.module[elementInfor.element.module] && lazyPortal.module[elementInfor.element.module].tabs && elementInfor.element.attribute.tabs) {
                    //如果标签只有一个，则不显示便签，直接显示列表
                    var tabTitleHtml = [];
                    var tabContentHtml = [];
                    $.each(lazyPortal.module[elementInfor.element.module].tabs, function(tabIndex, tabValue) {
                        if (elementInfor.element.attribute.tabs.indexOf(tabIndex) != -1) {

                            var funcID = tabValue.funcID ? tabValue.funcID : (lazyPortal.module[elementInfor.element.module].funcID ? lazyPortal.module[elementInfor.element.module].funcID : "");

                            tabTitleHtml.push('<li><a href="#' + tabIndex + '">' + ($.type(tabValue) === "object" ? tabValue.title : tabValue) + '</a></li>');
                            tabContentHtml.push('<div class="element-tabs-content" id="' + tabIndex + '">\
                                                                <div class="alert alert-warning">'+PortalLang.portalDataLoading+'</div>\
                                                            </div>');
                        }
                    });
    //                if (tabContentHtml.length == 1) {
    //                    elementHtml.push(tabContentHtml.join('').replace("element-tabs-content", "element-box-wrap"));
    //                } else {
                        elementHtml.push('   <div class="element-box-wrap element-tabs">');
                        elementHtml.push('       <ul>');
                        elementHtml.push(tabTitleHtml.join(''));
                        elementHtml.push('       </ul>');
                        elementHtml.push(tabContentHtml.join(''));
                        elementHtml.push('   </div>');
                  //  }

                } else {
                    elementHtml.push('<div class="element-box-wrap"><div class="alert alert-warning">'+PortalLang.portalDataLoading+'</div></div>');
                }
               columnsHtml +=  lazyPortal.template.element[lazyPortal.mode].replace("{{content}}", elementHtml.join(''));
            });
            return columnsHtml;

        }
    },
    operation: {
        initEdit: function() {
            lazyPortal.operation.createNavBar();
            //取消
            $(".portal .cancel,.cancel_setting_portal").click(function() {
                var portalName = $.trim($(".portal_name").val());
                if($(".portal_name").attr('portal-name') != 'default'){
                    $(".menu_list_wrap .portal-list.current .text").html(portalName);
                    $(".menu_list_wrap .portal-list.current").attr('portal-name',portalName);
                }
                $(".menu_list_wrap,.iframe-wrap").slideDown();
                $('.portal_list_wrap,.portal').slideUp();
                $(".cancel_setting_portal").hide();
                $(".add_portal").show();
                $(".set_default_portal").show();
                $(".menu_list_wrap .portal-list").filter(function() {
                    return $(this).hasClass("current");
                }).click();
                return false;
            });
            //保存
            $(".portal .save").click(function() {
                var portalID = $("body").data("portalID");
                var portalName = $.trim($(".portal_name").val());
                if (portalName == "") {
                    $.pnotify({
                        text: PortalLang.portalInputPortalName,
                        type: "error"
                    });
                    return false;
                }
                var layoutInfor = [];
                $(".layout-wrap").find(".layout-row").each(function() {
                    var rowIndex = $(this).index();
                    layoutInfor[rowIndex] = [];
                    
                    $(this).find(".column-wrap").each(function() {
                        var column = "";
                        var classSplit = $(this).attr("class").split(" ");
                        for (var i = 0, length = classSplit.length; i < length; i++) {
                            if (classSplit[i].indexOf("col-xs-") != -1) {
                                column = classSplit[i].replace("col-xs-", "");
                                break;
                            }
                        };
                        var columnsInfor    = {};
                        var elements         = [];
                        $(this).find(".element-wrap").each(function(){
                            var elementInfor = $(this).data("elementInfor");
                            //空元素
                            if (!elementInfor) {
                                elementInfor = {};
                            }
                           elements.push(elementInfor);
                        }); 
                        columnsInfor.column   = column;
                        columnsInfor.elements  = elements;
                        layoutInfor[rowIndex].push(columnsInfor);
                    });
                });
                $.ajax({
                    url: "portal/do.php",
                    data: {
                        op: "updateLayoutInfor",
                        layoutInfor: JSON.stringify(layoutInfor),
                        portalID: portalID,
                        portalName: portalName
                    },
                    type:'post'
                }).done(function(result) {
                    if (result) {
                        $.pnotify({
                            text: EOlang.msgDataSaveOK,
                            type: "success"
                        });
                    } else {
                        $.pnotify({
                            text: WebMailLang.SaveFail,
                            type: "error"
                        });
                    }
                });
                return false;
            });
            //显示属性编辑框
            $(".layout-wrap").on({
                click: function() {
                    var $elementWrapObj = $(this).parents(".element-wrap");
                    var elementInfor = $elementWrapObj.data("elementInfor");
                    var module = elementInfor.element.module;
                    $(".portal .attribute-wrap").hide();
                    if ($elementWrapObj.find(".attribute-wrap").length == 0) {
                        $elementWrapObj.prepend("<div class='attribute-wrap'>\
                                <div class='lazy_header'><span class='tip'>"+PortalLang.portalElementEdit+"-" + elementInfor.element.attribute.title + "</span>\
                                <a title='"+PortalLang.portalCloseElementBox+"' class='close-attribute-wrap pull-right' href='javascript:void(0);'><i class='fa fa-times'></i></a>\
                                </div>" + lazyPortal.ui.getElementAttribute(module) + "</div>");
                        $elementWrapObj.find(".attribute-wrap").find("[data_key]").each(function() {
                            var attributeKey = $(this).attr("data_key");
                            if (lazyPortal.attribute[attributeKey])
                                lazyPortal.attribute[attributeKey].setter.call($(this), elementInfor, $elementWrapObj);
                        });
                        $(".attribute-wrap").draggable({
                            containment: "window",
                            handle: ".lazy_header",
                            zIndex: 9999,
                            appendTo: "body"
                        });
                        //美化属性框中的控件，先放在这里，其实应该每个属性要有一个创建完成的回调函数
                        $elementWrapObj.find(".attribute-wrap").find("input").iCheck({
                            checkboxClass: 'icheckbox_square-blue',
                            radioClass: 'iradio_square-blue'
                        });
                        $elementWrapObj.find(".attribute-wrap").find("select").selectpicker({
                            height: "27px",
                            width: "159px",
                            container: 'body'
                        });
                    }
                    var $attributeWrapObj = $elementWrapObj.find(".attribute-wrap");
                    $attributeWrapObj.width(550).slideDown(100);
                    return false;
                }
            }, ".edit-attribute");
            //关闭属性框
            $(".layout-wrap").on({
                click: function() {
                    var $elementWrapObj = $(this).parents(".element-wrap");
                    var $attributeWrapObj = $elementWrapObj.find(".attribute-wrap");
                    $attributeWrapObj.slideUp(100);
                }
            }, ".close-attribute-wrap");
            //删除元素
            $(".layout-wrap").on({
                click: function() {
                    var $elementWrapObj = $(this).parents(".element-wrap");
                    bootbox.confirm(PortalLang.portalConfirmDelElement, function(result) {
                        if (result) {
                            $elementWrapObj.slideUp(200, function() {
                                $elementWrapObj.replaceWith(lazyPortal.template.empty[lazyPortal.mode]);
                            });
                        }
                    });
                }
            }, ".delete-element");
            //删除布局
            $(".layout-wrap").on({
                click: function() {
                    var $layoutRowObj = $(this).parents(".layout-row");
                    //没有元素的行直接删除，有元素的行提示
                    if ($layoutRowObj.find(".element-wrap").length == 0) {
                        $layoutRowObj.slideUp(200, function() {
                            $layoutRowObj.remove();
                        });
                    } else {
                        bootbox.confirm(PortalLang.portalConfirmDelLayout, function(result) {
                            if (result) {
                                $layoutRowObj.slideUp(200, function() {
                                    $layoutRowObj.remove();
                                });
                            }
                        });
                    }
                }
            }, ".delete-layout");
            //编辑布局
            $(".layout-wrap").on({
                click: function() {
                    var $layoutRowObj = $(this).parents(".layout-row");
                    var columnCount = $layoutRowObj.find(".column-wrap").length;
                    var $sliderObj = $layoutRowObj.find(".layout-slider");
                    $layoutRowObj.find(".op-save-button-wrap").slideDown();
                    $layoutRowObj.find(".op-buttons-wrap").hide();
                    $layoutRowObj.find(".layout-slider").show();
                    //获取此行所有列的宽度
                    var classArray = [];
                    $layoutRowObj.find(".column-wrap").each(function() {
                        var className = $(this).attr("class");
                        var columnWidth = "";
                        $.each(className.split(" "), function(classIndex, classValue) {
                            if (classValue.indexOf("col-xs") != -1) {
                                columnWidth = classValue.replace("col-xs-", "");
                                return;
                            }
                        });
                        classArray.push(columnWidth);
                    });
                    var values = [];
                    var step = parseInt($layoutRowObj.width() / 12);
                    for (var i = 0; i < classArray.length - 1; i++) {
                        //计算本列前面的所有列的宽度总和
                        var prevWidth = parseInt(classArray[i]);
                        for (var j = i - 1; j >= 0; j--) {
                            prevWidth += parseInt(classArray[j]);
                        }
                        values.push(step * prevWidth);
                    }
                    var sliderSettings = {
                        min: 0,
                        step: parseInt($layoutRowObj.width() / 12),
                        max: $layoutRowObj.width(),
                        slide: function(event, ui) {
                            var columnIndex = $(ui.handle).index();
                            var columnWidth = ui.value / $sliderObj.slider("option", "step");
                            //计算需要更改的列和后面一列宽度合计，更改列宽的时候更改本列和后面一列
                            var totalColumnWidth = parseInt(classArray[columnIndex]) + parseInt(classArray[columnIndex + 1]);
                            //计算需要更改的列之前的列宽总和
                            var prevTotal = 0;
                            for (var i = 0, length = classArray.length; i < columnIndex; i++) {
                                prevTotal += parseInt(classArray[i]);
                            }
                            var currentWidth = columnWidth - prevTotal;
                            var nextWidth = totalColumnWidth - currentWidth;
                            //最小宽度为2，最大宽度为10
                            if (columnWidth < 2 || columnWidth > 10 || nextWidth < 2 || currentWidth < 2) {
                                return false;
                            }
                            $layoutRowObj.find(".column-wrap").eq(columnIndex).removeClass("col-xs-" + classArray[columnIndex]).addClass("col-xs-" + currentWidth);
                            $layoutRowObj.find(".column-wrap").eq(columnIndex + 1).removeClass("col-xs-" + classArray[columnIndex + 1]).addClass("col-xs-" + nextWidth);
                            classArray[columnIndex] = currentWidth;
                            classArray[columnIndex + 1] = nextWidth;
                        }
                    }
                    if (values.length == 1) {
                        $.extend(sliderSettings, {
                            value: values[0]
                        });
                    } else {
                        $.extend(sliderSettings, {
                            values: values
                        });
                    }
                    $sliderObj.slider(sliderSettings);
                }
            }, ".edit-layout");
            //保存布局
            $(".layout-wrap").on({
                click: function() {
                    var $layoutRowObj = $(this).parents(".layout-row");
                    $layoutRowObj.find(".layout-slider").hide();
                    $layoutRowObj.find(".op-save-button-wrap").slideUp();
                    $layoutRowObj.find(".op-buttons-wrap").show();
                }
            }, ".save-layout");
            //拖动布局
            $(".portal_list_wrap .layout_list").draggable({
                appendTo: ".layout-wrap",
                containment: ".layout-wrap",
                helper: function() {
                    var layout = $(this).attr("layout");
                    return lazyPortal.ui.getLayoutHelper(layout);
                },
                connectToSortable: ".layout-wrap"
            });
            //拖动元素
            $(".element_list_wrap .element").draggable({
                appendTo: ".layout-wrap",
                connectToSortable: ".column-wrap",
                helper: function() {
                    var module = $(this).attr("module");
                    var $helperObj = $('<div/>', {
                        html: lazyPortal.operation.createElementBox.call(this, module)
                    });
                    $helperObj.find(".element-tabs").tabs();
                    return $helperObj;
                }
            });
            $(".iframe-wrap").slideUp();
            $('.portal').slideDown();
            $("body").data("isPortalEditInit", true);
        },
        init: function() {
            //提醒默认设置
            $.pnotify.defaults.styling = "bootstrap3";
            $.pnotify.defaults.closer = false;
            $.pnotify.defaults.sticker = false;
            $.pnotify.defaults.history = false;
            $.pnotify.defaults.delay = 1000;
            $.pnotify.defaults.addclass = "stack-topleft";
            $.pnotify.defaults.animate_speed = 'fast';
            //查看门户
            $(".menu_list_wrap").on({
                click: function() {
                    $(".menu_list_wrap .portal-list").removeClass("current");
                    $(this).addClass("current");
                    $(".iframe-wrap").slideUp();
                    $('.portal').slideDown();
                    var portalID = $(this).attr("portal-id");
                    var portalName = $(this).attr("portal-name");
                    $('.main_content_wrap').attr('portal-id',portalID);
                    lazyPortal.mode = "view";
                    lazyPortal.operation.getLayoutInfor(portalID, portalName);
                    $(".portal .lazy_header").hide();
                    return false;
                }
            }, ".portal-list");
            //编辑门户
            $(".menu_list_wrap").on({
                click: function() {
                    $(".menu_list_wrap .portal-list").removeClass("current");
                    $(this).parents(".portal-list").addClass("current");
                    $(".menu_list_wrap").slideUp();
                    $('.portal_list_wrap').slideDown();
                    $(".add_portal").hide();
                    $(".set_default_portal").hide();
                    $(".cancel_setting_portal").show();
                    $(".portal .lazy_header").show();
                    $('.portal-setting').show();
                    var $portalListObj = $(this).parents(".portal-list");
                    var portalID = $portalListObj.attr("portal-id");
                    $("body").data("portalID", portalID);
                    lazyPortal.mode = "edit";
                    var portalName = $portalListObj.attr("portal-name");
                    $(".portal_name").attr('portal-name','0');
                    if (!$("body").data("isPortalEditInit")) {
                        lazyPortal.operation.initEdit();
                    }
                    var portalID = $("body").data("portalID");
                    var userId = $('#portal_user_id').val();
                    var settingObj = [{
                        key: "setting",
                        title: PortalLang.portalSettingAuth,
                        isDefault: true
                    }, {
                        key: "default",
                        title: PortalLang.portalSetToDefaultPortal
                    }];
                    //个人门户无法删除
                    if (portalID == 1) {
                        if(userId == 'admin'){
                            settingObj.push({
                                key: "unify",
                                title: PortalLang.portalUnityPortal
                            });
                        }
                        settingObj.push({
                            key:'resumeDefault',
                            title:PortalLang.portalRecoverDefaultSet
                        });
                    } else {
                        settingObj.push({
                            key: "delete",
                            title: PortalLang.portalDelPortal
                        });
                    }
                    //编辑模式执行以下代码
                    $(".portal-setting").LazySplitButton({
                        className: "btn-info",
                        dataSource: settingObj,
                        onSelect: function(key) {
                            switch (key) {
                                case 'delete':
                                    bootbox.confirm(PortalLang.portalConfirmDelPortal, function(result) {
                                        if (result) {
                                            $.ajax({
                                                url: "portal/do.php",
                                                data: {
                                                    op: "deletePortal",
                                                    portalID: portalID,
                                                }
                                            }).done(function(result) {
                                                if (result) {
                                                    $(".menu_list_wrap,.iframe-wrap").slideDown();
                                                    $('.portal_list_wrap,.portal').slideUp();
                                                    $(".cancel_setting_portal").hide();
                                                    $(".add_portal").show();
                                                    //移除门户菜单
                                                    $(".menu_list_wrap").find("li[portal-id=" + portalID + "]").remove();
                                                    //选中默认门户
                                                    $(".menu_list_wrap").find("li[is-default=1]").click();
                                                } else {
                                                    $.pnotify({
                                                        text: PortalLang.portalDelPortalFailure,
                                                        type: "error"
                                                    });
                                                }
                                            });
                                        }
                                    });
                                    break;
                                case 'resumeDefault':
                                    bootbox.confirm(PortalLang.portalRecoverDefaultTip, function(result) {
                                        if(result){
                                             $.ajax({
                                                url: "portal/do.php",
                                                data: {
                                                    op: "resumeDefault",
                                                    userId: userId,
                                                    portalID: portalID
                                                }
                                            }).done(function(result) {
                                                if (result) {
                                                    $(".menu_list_wrap,.iframe-wrap").slideDown();
                                                    $('.portal_list_wrap,.portal').slideUp();
                                                    $(".cancel_setting_portal").hide();
                                                    $(".add_portal").show();
                                                    $(".menu_list_wrap .portal-list").filter(function() {
                                                        return $(this).hasClass("current");
                                                    }).click();
                                                     $.pnotify({
                                                        text: PortalLang.portalRecoverSuccess,
                                                        type: "success"
                                                    });
                                                } else {
                                                    $.pnotify({
                                                        text: PortalLang.portalRecoverFailure,
                                                        type: "error"
                                                    });
                                                }
                                            });
                                        }
                                    });
                                    break;
                                case 'unify':
                                    bootbox.confirm(PortalLang.portalUnityPortalTip, function(result) {
                                        if (result) {
                                             $.ajax({
                                                url: "portal/do.php",
                                                data: {
                                                    op: "unifyPortal",
                                                    userId: userId,
                                                    portalID: portalID
                                                }
                                            }).done(function(result) {
                                                 if (result) {
                                                    $.pnotify({
                                                        text: PortalLang.portalUnityPortalSuccess,
                                                        type: "success"
                                                    });
                                                } else {
                                                    $.pnotify({
                                                        text: PortalLang.portalUnityPortalFailure,
                                                        type: "error"
                                                    });
                                                }
                                            })
                                        }
                                    });
                                    break;
                                case 'default':
                                    $.ajax({
                                        url: "portal/do.php",
                                        data: {
                                            op: "setDefault",
                                            portalID: portalID
                                        }
                                    }).done(function(result) {
                                        if (result) {
                                            $.pnotify({
                                                text: PortalLang.portalSetDefaultSuccess,
                                                type: "success"
                                            });
                                        } else {
                                            $.pnotify({
                                                text: PortalLang.portalSetDefaultFailure,
                                                type: "error"
                                            });
                                        }
                                    });
                                    break;
                                case 'setting':
                                    //获取门户的权限
                                    $.ajax({
                                        url: "portal/do.php",
                                        data: {
                                            op: "getPortalInfor",
                                            portalID: portalID
                                        }
                                    }).done(function(result) {
                                        if (result) {
                                            var parsedData = $.parseJSON(result);

                                            //个人门户默认全部有查看权限
                                            if (portalID == 1) {
                                                $("#portal-priv-view-all").prop({
                                                    "checked": true,
                                                    "disabled": true
                                                }).iCheck("update");
                                                $("#portal-priv-view-wrap").hide();
                                            } else {
                                                if (parsedData.VIEW_DEPT_ID == "DEPT_ALL") {
                                                    $("#portal-priv-view-all").prop({
                                                        "checked": true,
                                                        "disabled": false
                                                    }).iCheck("update");
                                                    $("#portal-priv-view-wrap").hide();
                                                } else {
                                                    $("#portal-priv-view-all").prop({
                                                        "checked": false,
                                                        "disabled": false
                                                    }).iCheck("update");
                                                    $("#portal-priv-view-wrap").show();

                                                    $("#VIEW_PRIV_DEPT_NAME").val(parsedData.VIEW_DEPT_ID_STR);
                                                    $("#VIEW_PRIV_DEPT").val(parsedData.VIEW_DEPT_ID);

                                                    $("#VIEW_PRIV_PRIV_NAME").val(parsedData.VIEW_PRIV_ID_STR);
                                                    $("#VIEW_PRIV_PRIV").val(parsedData.VIEW_PRIV_ID);

                                                    $("#VIEW_PRIV_USER_NAME").val(parsedData.VIEW_USER_ID_STR);
                                                    $("#VIEW_PRIV_USER").val(parsedData.VIEW_USER_ID);

                                                }
                                            }
                                            if (parsedData.DEPT_ID == "DEPT_ALL") {
                                                $("#portal-priv-edit-all").prop({
                                                    "checked": true
                                                }).iCheck("update");
                                                $("#portal-priv-edit-wrap").hide();
                                            } else {
                                                $("#portal-priv-edit-all").prop({
                                                    "checked": false
                                                }).iCheck("update");
                                                $("#portal-priv-edit-wrap").show();

                                                $("#EDIT_PRIV_DEPT_NAME").val(parsedData.DEPT_ID_STR);
                                                $("#EDIT_PRIV_DEPT").val(parsedData.DEPT_ID);

                                                $("#EDIT_PRIV_PRIV_NAME").val(parsedData.PRIV_ID_STR);
                                                $("#EDIT_PRIV_PRIV").val(parsedData.PRIV_ID);

                                                $("#EDIT_PRIV_USER_NAME").val(parsedData.USER_ID_STR);
                                                $("#EDIT_PRIV_USER").val(parsedData.USER_ID);
                                            }

                                            var $newPortalObj = $(".new-portal-dialog");
                                            $newPortalObj.find(".lazy_header .tip").html(PortalLang.portalEditPortalAuth);
                                            $newPortalObj.find(".portal-name-wrap").hide();
                                            $newPortalObj.dialog("open");
                                        }
                                    });
                                    break;
                            }
                        }
                    });
                    lazyPortal.operation.getLayoutInfor(portalID, portalName);
                    return false;
                }
            }, ".portal-edit");
            $('.set_default_portal').click(function(){
                    $(".menu_list_wrap").slideUp();
                    $('.portal_list_wrap').slideDown();
                    $(".add_portal").hide();
                    $('.set_default_portal').hide();
                    $(".cancel_setting_portal").show();
                    $(".portal .lazy_header").show();
                    var portalID = $(this).attr("portal-id");
                    $("body").data("portalID", portalID);
                    lazyPortal.mode = "edit";
                    var portalName = $(this).attr("portal-name");
                    $('.portal_name').attr('portal-name','default');
                    if (!$("body").data("isPortalEditInit")) {
                        lazyPortal.operation.initEdit();
                    }
                    var portalID = $("body").data("portalID");
                    $('.portal-setting').hide();
                    lazyPortal.operation.getLayoutInfor(portalID, portalName);
                    return false;
            });
            //重新加载门户元素
            $(".layout-wrap").on({
                mouseenter:function(){
                    $(this).find('.reload-attribute').css('display','block');
                    if(lazyPortal.mode == "view"){
                        $(this).find('.load-more').css('display','block');
                    }
                },
                mouseleave:function(){
                    $(this).find('.reload-attribute').css('display','none');
                    $(this).find('.load-more').css('display','none'); 
                }
            },'.element-wrap');
            $(".layout-wrap").on({
                click:function(){
                    var portalID = $('.main_content_wrap').attr('portal-id');
                    var $this = $(this);
                    $.ajax({
                        url: "portal/do.php",
                        data: {
                            op: "getLayoutInfor",
                            portalID: portalID
                        }
                    }).done(function(result) {
                        var layoutData = $.parseJSON(result);
                        var $layoutRow = $this.parents(".layout-row");
                        var columnIndex = $this.parents(".column-wrap").index();
                        var rowIndex = $layoutRow.index();
                        var elementIndex = $this.parents('.element-wrap').index();
                        var elementInfor = layoutData[rowIndex][columnIndex]['elements'][elementIndex];
                        if($this.parent().parent().find(".element-box-wrap iframe").length != 0){
                            $this.parent().parent().find(".element-box-wrap iframe").hide();
                            $this.parent().parent().find(".element-box-wrap").append('<div class="alert alert-warning">'+PortalLang.portalDataLoadingAgain+'</div>');
                            var src = $this.parent().parent().find(".element-box-wrap iframe").attr('src');
                            $this.parent().parent().find(".element-box-wrap iframe").attr('src',src).show();
                            $this.parent().parent().find(".element-box-wrap .alert").remove();
                        }else{
                            var module = elementInfor.element.module;
                            var format = elementInfor.element.format ? elementInfor.element.format : lazyPortal.module[module].format;
                            if(lazyPortal.module[module].data){
                                var $elementWrap = $this.parents('.element-wrap')
                                $elementWrap.find(".element-box-wrap").html('<div class="alert alert-warning">'+PortalLang.portalDataLoadingAgain+'</div>');
                                var $elementWrapNew = $elementWrap.find(".element-box-wrap").length > 0 ? $elementWrap.find(".element-box-wrap") : $elementWrap;
                                lazyPortal.operation.getElementData.call($elementWrapNew, elementInfor);
                            }else{
                                if (lazyPortal.format[format] && lazyPortal.format[format].view) {
                                    $this.parent().parent().find(".element-box-wrap").html(lazyPortal.format[format].view.call($this.parent().parent().find(".element-box-wrap"), false, elementInfor));
                                }
                                if (lazyPortal.format[format] && lazyPortal.format[format].onCreate) {
                                    lazyPortal.format[format].onCreate.call($this.parent().parent().find(".element-box-wrap"), false, elementInfor);
                                }
                            }
                        }
                    });
                }
            },'.reload-attribute');
            //新建门户框
            $(".new-portal-dialog").dialog({
                autoOpen: false,
                modal: true,
                width: 700,
                draggable: false,
                open: function() {
                    $(".new-portal-dialog").parents(".lazy_dialog").animate({
                        top: $(".home .header").height()
                    }, 200);
                },
                resizable: false,
                buttons: [{
                    text: EOlang.msgSubmit,
                    'class': "btn btn-primary",
                    click: function() {
                        var portalID = $("body").data("portalID") ? $("body").data("portalID") : "";
                        if (portalID == "") {
                            var portalName = $.trim($(".new-portal-dialog .portal-name").val());
                            if (portalName == "") {
                                $.pnotify({
                                    text: PortalLang.portalEnterPortalName,
                                    type: "error"
                                });
                                return false;
                            }
                        }
                        var privViewAll = $("#portal-priv-view-all").prop("checked");
                        var viewDeptID = privViewAll ? "DEPT_ALL" : $("#VIEW_PRIV_DEPT").val();
                        var viewPrivID = privViewAll ? "" : $("#VIEW_PRIV_PRIV").val();
                        var viewUserID = privViewAll ? "" : $("#VIEW_PRIV_USER").val();
                        var privEditAll = $("#portal-priv-edit-all").prop("checked");
                        var editDeptID = privEditAll ? "DEPT_ALL" : $("#EDIT_PRIV_DEPT").val();
                        var editPrivID = privEditAll ? "" : $("#EDIT_PRIV_PRIV").val();
                        var editUserID = privEditAll ? "" : $("#EDIT_PRIV_USER").val();
                        var portalInfor = {
                            PORTAL_NAME: portalName,
                            VIEW_DEPT_ID: viewDeptID,
                            VIEW_PRIV_ID: viewPrivID,
                            VIEW_USER_ID: viewUserID,
                            DEPT_ID: editDeptID,
                            PRIV_ID: editPrivID,
                            USER_ID: editUserID
                        };
                        if (portalID == "") {
                            $.extend(portalInfor, {
                                PORTAL_ORDER: $(".menu_list_wrap .portal-list").length + 1
                            })
                        }
                        $.ajax({
                            url: "portal/do.php",
                            data: {
                                op: "newPortal",
                                portalInfor: portalInfor,
                                portalID: portalID
                            },
							type:'post'
                        }).done(function(result) {
                            if (result) {
                                var parsedData = $.parseJSON(result);
                                if (portalID == "") {
                                    $.pnotify({
                                        text: PortalLang.portalAddPortalSuccess,
                                        type: "success"
                                    });
                                    var newPortalID = parsedData.result;
                                    var $menuItem = $('<li title="' + portalName + '" portal-id="' + newPortalID + '" is-default="0" portal-name="' + portalName + '" class="menu_list portal-list overflow">\
                                                            <div class="icon" style="float:left"><i class="fa fa-square-o"></i></div><div class="icon" style="float:left">' + portalName + '</div></li>');
                                    //门户只有管理员才能新建，且管理员默认有编辑权限
                                    $menuItem.data("hasEditPriv", true);
                                    $(".menu_list_wrap").append($menuItem);
                                    $(".menu_list_wrap .portal-list[portal-id='" + newPortalID + "']").append('<a href="javascript:void(0);" title="'+PortalLang.portalEditPortal+'"  class="pull-right portal-edit tip-control" style="margin-right:5px;"><i class="fa fa-cog"></i></a>').end().find(".portal-edit").click();
                                } else {
                                    if (parsedData.hasEditPriv) {
                                        $.pnotify({
                                            text: PortalLang.portalEditPortalAuthSuccess,
                                            type: "success"
                                        });
                                    } else {
                                        $(".menu_list_wrap,.iframe-wrap").slideDown();  
                                        $('.portal_list_wrap,.portal').slideUp();
                                        if ($(".cancel_setting_portal").css("display") != "none") {
                                            $(".cancel_setting_portal").hide();
                                            $(".add_portal").show();
                                        }
                                        $(".menu_list_wrap .portal-list[portal-id='" + portalID + "']").removeData("hasEditPriv").click();
                                    }
                                }
                            } else {
                                var msg = portalID == "" ? EOlang.msgNew : LazyGridLang.Edit;
                                $.pnotify({
                                    text: msg + PortalLang.portalFailure,
                                    type: "error"
                                });
                            }
                        })
                        $(this).dialog("close");
                    }
                }, {
                    text: EOlang.msgRemove,
                    'class': "btn btn-default",
                    click: function() {
                        $(this).dialog("close");
                    }
                }],
                dialogClass: "lazy_dialog"
            });
            $('input').iCheck({
                checkboxClass: 'icheckbox_square-blue',
                radioClass: 'iradio_square-blue'
            });
            $("#portal-priv-view-all").on('ifChanged', function(event) {
                if ($(this).prop("checked")) {
                    $("#portal-priv-view-wrap").hide();
                    $("#VIEW_PRIV_DEPT_NAME").val("");
                    $("#VIEW_PRIV_DEPT").val("");
                    $("#VIEW_PRIV_PRIV_NAME").val("");
                    $("#VIEW_PRIV_PRIV").val("");
                    $("#VIEW_PRIV_USER_NAME").val("");
                    $("#VIEW_PRIV_USER").val("");
                } else {
                    $("#portal-priv-view-wrap").show();
                }
            });
            $("#portal-priv-edit-all").on('ifChanged', function(event) {
                if ($(this).prop("checked")) {
                    $("#portal-priv-edit-wrap").hide();
                    $("#EDIT_PRIV_DEPT_NAME").val("");
                    $("#EDIT_PRIV_DEPT").val("");
                    $("#EDIT_PRIV_PRIV_NAME").val("");
                    $("#EDIT_PRIV_PRIV").val("");
                    $("#EDIT_PRIV_USER_NAME").val("");
                    $("#EDIT_PRIV_USER").val("");
                } else {
                    $("#portal-priv-edit-wrap").show();
                }
            });
            //新建门户
            $(".add_portal").click(function() {
                $newPortalObj = $(".new-portal-dialog");
                $newPortalObj.find(".lazy_header .tip").html(PortalLang.portalNew);
                $newPortalObj.find(".portal-name-wrap").show();
                $newPortalObj.find(".portal-name").val("");
                $('#portal-priv-view-all').prop('checked',false).iCheck("update");
                $("#VIEW_PRIV_DEPT_NAME").val("");
                $("#VIEW_PRIV_DEPT").val("");
                $("#VIEW_PRIV_PRIV_NAME").val("");
                $("#VIEW_PRIV_PRIV").val("");
                $("#VIEW_PRIV_USER_NAME").val("");
                $("#VIEW_PRIV_USER").val("");
                $("#portal-priv-view-wrap").show();
                $('#portal-priv-edit-all').prop('checked',false).iCheck("update");
                $("#EDIT_PRIV_DEPT_NAME").val("");
                $("#EDIT_PRIV_DEPT").val("");
                $("#EDIT_PRIV_PRIV_NAME").val("");
                $("#EDIT_PRIV_PRIV").val("");
                $("#EDIT_PRIV_USER_NAME").val("");
                $("#EDIT_PRIV_USER").val("");
                $("#portal-priv-edit-wrap").show();
                $newPortalObj.dialog("open");
                $("body").removeData("portalID");
            });
        },
        createNavBar: function() {
            var portalSettingsHtml = [];
            $.each(lazyPortal.module, function(key, value) {
                portalSettingsHtml.push('<div class="overflow element" module="' + key + '" style="width:58px;" title="'+value.title+'">' + value.title + '</div>');
            });
            $(".content_list_wrap").html('<div class="element_list_wrap">' + portalSettingsHtml.join('') + '</div>');
        },
        getElementConfig: function(module) {
            return lazyPortal.module[module];
        },
        /**
         * 获取元素数据
         */
        getElementData: function(elementInfor) {
            var element = elementInfor.element;
            var theme   = element.attribute.theme;
            var color   = theme == 'primary' ? '#eee' : lazyPortal.themeColor[theme];
            var module  = element.module;
            var rows    = element.attribute.rows;
            var funcID  = '';
            var tabID;
            var tabActive;
            if(lazyPortal.module[module].funcID){
                funcID = lazyPortal.module[module].funcID;
            } else {
                if(elementInfor.param){
                    if(elementInfor.param.type){
                        if(lazyPortal.module[module].tabs[elementInfor.param.type].funcID){
                            tabID = elementInfor.param.type;
                            funcID = lazyPortal.module[module].tabs[elementInfor.param.type].funcID;
                        }
                    }
                    if(elementInfor.param.active){
                        tabActive = elementInfor.param.type;
                    }
                }
            }
            var myParam = {
                op: "getPortalData",
                module: module,
                rows: rows,
                funcID: funcID
            };
            
            $.extend(myParam, elementInfor.param);
            var format = elementInfor.element.format ? elementInfor.element.format : lazyPortal.module[module].format; 
            var $this = $(this);
            $.ajax({
                url: "/general/portal/do.php",
                data: myParam
            }).done(function(result) {
                //more按钮
                var moreUrl;
                if(tabActive){
                    moreUrl = lazyPortal.module[module].tabs[tabID].moreUrl;
                }else{
                    moreUrl = lazyPortal.module[module].moreUrl;
                }

                if(moreUrl){
                    if(myParam.dirID){
                        if(module == 'publicDocument' || module == 'news' || module == 'notify' || module == 'workflow'){//新闻公告模块更多按钮追加分类id
                            moreUrl = moreUrl.replace('{id}',myParam.dirID);
                        }
                    }else{
                        if(module == 'news' || module == 'notify'){//新闻公告模块更多按钮追加分类id
                            moreUrl = moreUrl.replace('{id}','');
                        }
                    }                    
                    if (result == -1) {
                        moreUrl = lazyPortal.noPrivUrl;
                    }
                    var moreUrlHtml =  lazyPortal.template.loadMore.replace('{{moreUrl}}',moreUrl);
                    if($this.parents(".element-wrap").find('.load-more').length == 0) {
                        $this.parents(".element-wrap").append(moreUrlHtml);
                        $this.parents(".element-wrap").find(".load-more").css({'color':color,'text-decoration' :'none'}); 
                    }
                }else{
                    $this.parents(".element-wrap").find(".reload-attribute").css('right','5px');
                }
                //数据为空
                if (result == "null" || result == "" || result == 0) {
                    $this.html(lazyPortal.template.noData);
                }
                //没有权限
                else if (result == -1) {
                    //移除属性设置按钮
                    // $this.parents(".element-wrap").find(".edit-attribute").remove();
                    //提示没有权限
                    $this.attr('no-priv',1);
                    $this.html(lazyPortal.template.noPriv);
                } else {  
                    
                    var parsedData = $.parseJSON(result);
                    //数据为空
                    if (parsedData.length == 0) {
                        $this.html(lazyPortal.template.noData);
                    } else {
                        $this.html(lazyPortal.format[format].view.call($this, parsedData, elementInfor));
                        lazyPortal.format[format].onCreate.call($this, parsedData, elementInfor);

                        $.each(elementInfor.element.attribute, function(attributeIndex, attributeValue) {
                            if (lazyPortal.attribute[attributeIndex] && lazyPortal.attribute[attributeIndex].init)
                                lazyPortal.attribute[attributeIndex].init.call($this, attributeValue);
                        });
                    }
                }
            });
        },
        /*
         * 门户布局信息
         * @param portalID 门户ID
         * @param portalName 门户名称
         */
        getLayoutInfor: function(portalID, portalName) {
            $.ajax({
                url: "/general/portal/do.php",
                data: {
                    op: "getLayoutInfor",
                    portalID: portalID
                }
            }).done(function(result) {
                //门户名称
                $(".portal .portal_name").val(portalName);
                var portalHtml = [];
                if (result != "") {
                    var layoutData = $.parseJSON(result);
                    //生成布局信息
                    $.each(layoutData, function(index, value) {
                        var layoutHtml = [];
                        layoutHtml.push('<div class="container-fluid">');
                        layoutHtml.push('   <div class="row">');
                        $.each(value, function(columnIndex, columnValue) {
                            layoutHtml.push('   <div class="col-xs-' + columnValue.column + ' column-wrap"');
                            if (lazyPortal.mode == "view") {
                                layoutHtml.push(' style="min-height:0;"');
                            }
                            layoutHtml.push('>');
                            if (columnValue.elements) {
                                layoutHtml.push(lazyPortal.ui.createElementHtml(columnValue));
                            } else {
                                layoutHtml.push(lazyPortal.template.empty[lazyPortal.mode]);
                            }
                            layoutHtml.push('</div>');
                        });
                        layoutHtml.push('</div></div>');
                        portalHtml.push(lazyPortal.template.layout[lazyPortal.mode].replace("{{content}}", layoutHtml.join('')));
                    });
                }
                $(".layout-wrap").html(portalHtml.join(''));
                $('.layout-row').each(function(rowIndex,row){
                    var columns = $(row).find('.column-wrap');
                    var columnLength = columns.length;
                    if (columnLength == 1) {
                        $(row).find(".edit-layout").remove();
                    }
                    $.each(columns,function(columnIndex,column){
                        var elements = $(column).find('.element-wrap');
                        $.each(elements,function(index,value){
                            var elementInfor = layoutData[rowIndex][columnIndex]['elements'][index];
                            var module = elementInfor.element.module;
                            //只有一列不需要更改布局分布的按钮
                            
                            if (!elementInfor || !elementInfor.element || !lazyPortal.module[module]) {
                                return false;
                            }
                            lazyPortal.operation.setElementDataInfor(elementInfor, $(value).find('.element-box-wrap'));
                        });
                    });
                });
                if($('.main_content_wrap').attr('afterScript') != 1){
                    loadJsScript();
                    $('.main_content_wrap').attr('afterScript',1);
                }
                if (lazyPortal.mode == "edit") {
                    lazyPortal.operation.setColumnSortable();
                    $('.layout-wrap').sortable({
                        placeholder: "sortable-placeholder",
                        forcePlaceholderSize: true,
                        handle: ".panel-heading",
                        cursor: "move",
                        stop: function(event, ui) {
                            if (ui.item.hasClass("layout_list")) {
                                var layout = ui.item.attr("layout");
                                ui.item.replaceWith(lazyPortal.ui.getLayoutHelper(layout));
                                lazyPortal.operation.setColumnSortable();
                            }
                        }
                    });
                }
            }).fail(function() {
                alert("get getLayoutInfor error");
            });
        },
        /**
         * 设置元素的数据 包含属性
         */
        setElementDataInfor: function(elementInfor, $elementWrap) {
            var theme   =  elementInfor.element.attribute.theme;
            var color   = theme == 'primary' ? '#eee' : lazyPortal.themeColor[theme];
            var module  = elementInfor.element.module;
            var format  = elementInfor.element.format ? elementInfor.element.format : lazyPortal.module[module].format;
            if ($elementWrap.hasClass("element-tabs")) {
                $elementWrap.tabs({
                    activate: function(event, ui){
                        //切换tabs时更换more的url
                        var currentTarget   = event.currentTarget;
                        var id              = $(currentTarget).parent().attr('aria-controls');
                        var moreUrl         = lazyPortal.module[module].tabs[id].moreUrl;
                        if(elementInfor.param && elementInfor.param.dirID){
                            if(module == 'workflow'){
                                moreUrl = moreUrl.replace('{id}',elementInfor.param.dirID);
                            }
                        }
                        var priv            = $elementWrap.find('#'+id).attr('no-priv');
                        if(priv == 1){
                            moreUrl = lazyPortal.noPrivUrl;
                        }
                        $elementWrap.parents(".element-wrap").find(".load-more").attr('href',moreUrl);
                    }
                });
               // if (lazyPortal.mode == "view") {
//                    $elementWrap.parents(".element-wrap").css('position','relative');
//                    $elementWrap.parents(".element-wrap").find(".panel-heading").remove();
                $elementWrap.parents(".element-wrap").find(".reload-attribute").remove();
                //}
            }
            if(lazyPortal.mode == "view"){
                $elementWrap.parents(".element-wrap").css('position','relative');
            }
            $elementWrap.parents(".element-wrap").find(".reload-attribute i").css({'color':color});
            
            if (lazyPortal.mode == "view" && !elementInfor.element.attribute.isShowTitle) {
                $elementWrap.parents(".element-wrap").find(".element_title_wrap").hide();
            }
            //需要加载数据
            if (lazyPortal.module[module].data) {
                if ($elementWrap.find(".element-tabs-content").length > 0) {
                    $elementWrap.find(".element-tabs-content").each(function() {
                        var type = $(this).attr("id");
                        if (elementInfor.param) {
                            elementInfor.param.type = type;
                        } else {
                            elementInfor.param = {
                                type: type
                            }
                        }
                        if($(this).attr('aria-expanded') == 'true'){
                            elementInfor.param.active = true;
                        }else {
                            elementInfor.param.active = false;
                        }
                        lazyPortal.operation.getElementData.call($(this), elementInfor);
                    });
                } else {
                    var $elementWrapNew = $elementWrap.find(".element-box-wrap").length > 0 ? $elementWrap.find(".element-box-wrap") : $elementWrap;
                    lazyPortal.operation.getElementData.call($elementWrapNew, elementInfor);
                }
            } else {
                //加载更多按钮
               
                var funcID = lazyPortal.module[module].funcID;
                if(!lazyPortal.operation.checkMenuPriv(funcID)){
                    $elementWrap.html(lazyPortal.template.noPriv);
                    $elementWrap.parents(".element-wrap").find(".reload-attribute").remove();
                }else{
                    var moreUrl = lazyPortal.module[module].moreUrl;
                    var moreUrlHtml =  lazyPortal.template.loadMore.replace('{{moreUrl}}',moreUrl);
                    if(moreUrl){
                        $elementWrap.parents(".element-wrap").append(moreUrlHtml);
                        $elementWrap.parents(".element-wrap").find(".load-more").css({'color':color,'text-decoration' :'none'}) 
                    }else{
                        $elementWrap.parents(".element-wrap").find(".reload-attribute").css('right','5px');
                    }
                    var $elementWrapNew = $elementWrap.find(".element-box-wrap").length > 0 ? $elementWrap.find(".element-box-wrap") : $elementWrap;
                    if (lazyPortal.format[format] && lazyPortal.format[format].view) {
                        $elementWrapNew.html(lazyPortal.format[format].view.call($elementWrapNew, false, elementInfor));
                    }
                    if (lazyPortal.format[format] && lazyPortal.format[format].onCreate) {
                        lazyPortal.format[format].onCreate.call($elementWrapNew, false, elementInfor);
                    }
                }
            }
            //门户元素容器高度
            //头高度
            var headerHeight = $(".header").height();
            //窗口高度
            var windowHeight = $(window).height();
            $(".portal .layout-wrap").height(windowHeight - headerHeight - (lazyPortal.mode == "edit" ? 50 : 20)).niceScroll({
                horizrailenabled: false
            });
            //根据属性设置元素
            var $elementWrapObj = $elementWrap.parents(".element-wrap").length > 0 ? $elementWrap.parents(".element-wrap") : $elementWrap;
            var attribute       = elementInfor.element.attribute;
            $.each(attribute, function(attributeIndex, attributeValue) {
                if (lazyPortal.attribute[attributeIndex] && lazyPortal.attribute[attributeIndex].init)
                    lazyPortal.attribute[attributeIndex].init.call($elementWrapObj, attributeValue);
            });
            if (lazyPortal.mode == "edit") {
                $elementWrapObj.data("elementInfor", elementInfor);
            }
        },
        setColumnSortable: function() {
            $('.column-wrap').sortable({
                items: ".element-wrap",
                placeholder: "sortable-placeholder",
                forcePlaceholderSize: true,
                handle: ".panel-heading",
                cursor: "move",
                connectWith: ".column-wrap",
                stop: function(event, ui) {
                    if (ui.item.hasClass("element")) {
                        $(this).find(".empty-tip").remove();
                        var module = ui.item.attr("module");
                        ui.item.replaceWith(lazyPortal.operation.createElementBox.call(this, module));
                        $(this).find(".element-tabs").tabs();
                    } else {
                        if ($(this).find(".element-wrap").length == 0) {
                            $(this).html(lazyPortal.template.empty[lazyPortal.mode]);
                        }
                    }
                },
                over: function(event, ui) {
                    $(this).find(".empty-tip").remove();
                }
            });
        },
        createElementBox: function(module) {
            var elementInfor = lazyPortal.operation.getDefaultAttribute(module);
            
            var $elementBox = $(lazyPortal.ui.createElementHtml({elements:[elementInfor]}));
            lazyPortal.operation.setElementDataInfor(elementInfor, $elementBox);
            return $elementBox;
        },
        /**
         * 生成元素默认属性
         */
        getDefaultAttribute: function(module) {
            var attribute = {
                title: lazyPortal.module[module].title,
                isShowTitle: true,
                rows: 4,
                theme: "default",
                fontSize: "12px",
                format: lazyPortal.module[module].format,
            }
            var tabs = [];
            if (lazyPortal.module[module].tabs) {
                $.each(lazyPortal.module[module].tabs, function(index, value) {
                    tabs.push(index);
                });
            }
            if (tabs.length > 0) {
                $.extend(attribute, {
                    tabs: tabs.join(',')
                });
            }
            var columns = [];
            if (lazyPortal.module[module].columns) {
                $.each(lazyPortal.module[module].columns, function(index, value) {
                    if (!value.isMain) {
                        columns.push(index);
                    }
                });
            }
            if (columns.length > 0) {
                $.extend(attribute, {
                    columns: columns.join(',')
                });
            }
            return {
                element: {
                    module: module,
                    attribute: attribute
                }
            }
        },
        checkMenuPriv:function(funcID){
            var flag = true;
            if(funcID){
                $.ajax({
                    url:'/general/portal/do.php',
                    data:{
                        funcID: funcID,
                        op: "checkMenuPriv",
                    },
                    async:false,
                }).done(function(data){
                   if(data == 0){
                       flag = false;
                   }
                });
            }
            return flag;
        }
    }
};
