<?php
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      新建项目处理
* @encoding      $_lang['encoding']
* @name          general/project/createproject
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");

$checkArr[] = $_REQUEST['pro_id'];
$checkArr[] = $_REQUEST['pro_type'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

$checkdiff = $_REQUEST["checkdiff"];
$projectapi = new Projects();
$url = "";
switch($checkdiff){
	case "newproject":
		//第一步新建
		$dataInfor = array();
		$dataInfor["MANAGER_NAME"]      = $_REQUEST["pro_name"];
		$dataInfor["MANAGER_NUMBER"]    = $_REQUEST["pro_number"];
		$dataInfor["MANAGER_BEGINTIME"] = $_REQUEST["begin_date"];
		$dataInfor["MANAGER_ENDTIME"]   = $_REQUEST["end_date"];
		$dataInfor["MANAGER_TYPE"]      = $_REQUEST["pro_type"];
		$dataInfor["MANAGER_PERSON"]    = $_REQUEST["pro_managerid"];
		$dataInfor["MANAGER_EXAMINE"]   = $_REQUEST["pro_examine"];
		$dataInfor["MANAGER_MONITOR"]   = $_REQUEST["pro_monitor"];
		$dataInfor["MANAGER_EXPLAIN"]   = $_REQUEST["pro_explain"];
		$dataInfor["MANAGER_CREAT_TIME"] = date("Y-m-d H:i:s",time());
		$dataInfor["MANAGER_CREATER"]    = $_SESSION["LOGIN_USER_ID"];
		$dataInfor["MANAGER_REMARK"]     = $_REQUEST["pro_remark"];
		$dataInfor["MANAGER_FAST"]       = $_REQUEST["pro_fast"];
		$dataInfor["MANAGER_LEVEL"]      = $_REQUEST["pro_level"];
		$insertid = $projectapi->pro_CreateData($dataInfor,"project_manager");
		//自定义字段
		$field_idstr = $_REQUEST["field_idstr"];	
		if($field_idstr){
			$fieldarray = explode(",",$field_idstr);
			$fieldcount = count($fieldarray);
			for($i=0;$i<$fieldcount;$i++){
				if($fieldarray[$i]){
					$field_data = array();
					$fieldid = explode("_",$fieldarray[$i]);
					$field_data["VALUE_FIELD"] = $fieldid[1];
					$field_data["VALUE_PROID"] = $insertid;
					$field_data["VALUE_VALUE"] = $_REQUEST[$fieldarray[$i]];
					$projectapi->pro_CreateData($field_data,"project_fieldvalue");
				}	
			}	
		}
		$url = "step2.php?pro_id=".$insertid."&pro_type=".$_REQUEST["pro_type"];
	break;
	case "editproject":
		//第一步编辑
		$pro_id = $_REQUEST["pro_id"];
		$dataInfor = array();
		$dataInfor["MANAGER_NAME"]      = $_REQUEST["pro_name"];
		$dataInfor["MANAGER_NUMBER"]    = $_REQUEST["pro_number"];
		$dataInfor["MANAGER_BEGINTIME"] = $_REQUEST["begin_date"];
		$dataInfor["MANAGER_ENDTIME"]   = $_REQUEST["end_date"];
		$dataInfor["MANAGER_TYPE"]      = $_REQUEST["pro_type"];
		$dataInfor["MANAGER_PERSON"]    = $_REQUEST["pro_managerid"];
		$dataInfor["MANAGER_EXAMINE"]   = $_REQUEST["pro_examine"];
		$dataInfor["MANAGER_MONITOR"]   = $_REQUEST["pro_monitor"];
		$dataInfor["MANAGER_EXPLAIN"]   = $_REQUEST["pro_explain"];
		$dataInfor["MANAGER_CREAT_TIME"] = date("Y-m-d H:i:s",time());
		$dataInfor["MANAGER_CREATER"]    = $_SESSION["LOGIN_USER_ID"];
		$dataInfor["MANAGER_REMARK"]     = $_REQUEST["pro_remark"];
		$dataInfor["MANAGER_FAST"]       = $_REQUEST["pro_fast"];
		$dataInfor["MANAGER_LEVEL"]      = $_REQUEST["pro_level"];
		$dataInfor["diff"]              = "step1";
		$projectapi->pro_EditData($dataInfor,"project_manager",$pro_id);
		$field_idstr = $_REQUEST["field_idstr"];	
		if($field_idstr){
			$fieldarray = explode(",",$field_idstr);
			$fieldcount = count($fieldarray);
			for($i=0;$i<$fieldcount;$i++){
				if($fieldarray[$i]){
					$field_data = array();
					$fieldid = explode("_",$fieldarray[$i]);
					$field_data["VALUE_FIELD"] = $fieldid[1];
					$field_data["VALUE_PROID"] = $pro_id;
					$field_data["VALUE_VALUE"] = $_REQUEST[$fieldarray[$i]];
					//判断是否存在
					$check_sql = " AND VALUE_FIELD='".$fieldid[1]."' AND VALUE_PROID='".$pro_id."'";
					$check = $projectapi->pro_SearchAllData("project_fieldvalue",$check_sql);
					if(count($check)>0){
						$projectapi->pro_EditData($field_data,"project_fieldvalue","");	
					}else{
						$projectapi->pro_CreateData($field_data,"project_fieldvalue");	
					}
				}	
			}	
		}
		$url = "step2.php?pro_id=".$pro_id."&pro_type=".$_REQUEST["pro_type"];
	break;
	case "chooseTeam":
		$privIdStr   = $_REQUEST["privIdStr"];
		$pro_id      = $_REQUEST["pro_id"];
		$pro_type    = $_REQUEST["pro_type"];
		$privIdArray = explode(",",$privIdStr);
		$privIdcount = count($privIdArray);
		for($i=0;$i<$privIdcount;$i++){
			if($privIdArray[$i]){
				$dataInfor["TEAM_PERSON"]  = $_REQUEST["selectid_".$privIdArray[$i]];
				$dataInfor["TEAM_PRIV"]    = $privIdArray[$i];
				$dataInfor["TEAM_PROJECT"] = $pro_id;
				//查询团队
				$search_sql = " AND TEAM_PROJECT='".$pro_id."' AND TEAM_PRIV='".$privIdArray[$i]."'";
				$teamarray = $projectapi->pro_SearchAllData("project_team",$search_sql);
				if(count($teamarray)>0){
					//编辑
					$projectapi->pro_EditData($dataInfor,"project_team",$teamarray[0]["TEAM_ID"]);	
				}else{
					if($dataInfor["TEAM_PERSON"]){
						//新建
						$insertid = $projectapi->pro_CreateData($dataInfor,"project_team");	
					}
				}	
			}	
		}
		//$url = "step3.php?pro_id=".$pro_id."&pro_type=".$pro_type;
		echo "sucess";
		exit;
	break;
	case "task_edit_do":
		$dataInfor = array();
		$task_id = $_REQUEST["task_id"];
		$dataInfor["TASK_PROJECT"]    = $_REQUEST["pro_id"];
		$dataInfor["TASK_COMPLATE"]   = $_REQUEST["pro_temp"];
		$dataInfor["TASK_NAME"]       = $_REQUEST["task_name"];
		$dataInfor["TASK_PERSONDO"]   = $_REQUEST["task_person"];
		$dataInfor["TASK_FRONTID"]    = $_REQUEST["task_pre"];
		$dataInfor["TASK_BEGINTIME"]  = $_REQUEST["begin_date"];
		$dataInfor["TASK_ENDTIME"]    = $_REQUEST["end_date"];
		$dataInfor["TASK_EXPLAIN"]    = $_REQUEST["task_explain"];
		$dataInfor["TASK_LEVEL"]      = $_REQUEST["task_level"];
		if($_REQUEST["task_mark"]=="on"){
			$dataInfor["TASK_MARK"] = "1";	
		}else{
			$dataInfor["TASK_MARK"] = "0";		
		}
		$dataInfor["TASK_REMARK"]     = $_REQUEST["task_remark"];
		$dataInfor["TASK_CREATER"]    = $_REQUEST["task_creater"];
		$dataInfor["TASK_CREAT_TIME"] = $_REQUEST["task_creattime"];
		echo $projectapi->pro_EditData($dataInfor,"project_task",$task_id);
	break;
	case "task_new_do":
		$dataInfor = array();
		$dataInfor["TASK_PROJECT"]    = $_REQUEST["pro_id"];
		$dataInfor["TASK_COMPLATE"]   = $_REQUEST["pro_temp"];
		$dataInfor["TASK_NAME"]       = $_REQUEST["task_name"];
		$dataInfor["TASK_PERSONDO"]   = $_REQUEST["task_person"];
		$dataInfor["TASK_FRONTID"]    = $_REQUEST["task_pre"];
		$dataInfor["TASK_BEGINTIME"]  = $_REQUEST["begin_date"];
		$dataInfor["TASK_ENDTIME"]    = $_REQUEST["end_date"];
		$dataInfor["TASK_EXPLAIN"]    = $_REQUEST["task_explain"];
		$dataInfor["TASK_LEVEL"]      = $_REQUEST["task_level"];
		if($_REQUEST["task_mark"]=="on"){
			$dataInfor["TASK_MARK"] = "1";	
		}else{
			$dataInfor["TASK_MARK"] = "0";		
		}
		$dataInfor["TASK_REMARK"]     = $_REQUEST["task_remark"];
		$dataInfor["TASK_CREATER"]    = $_REQUEST["task_creater"];
		$dataInfor["TASK_CREAT_TIME"] = $_REQUEST["task_creattime"];
		$insertid = $projectapi->pro_CreateData($dataInfor,"project_task");
		echo $insertid;
	break;
	
	/*case "selectTemplate":
		//第三步选择模板
		$pro_id     = $_REQUEST["pro_id"];
		$pro_type   = $_REQUEST["pro_type"];
		if($_REQUEST["selectType"]){
			$pro_data["MANAGER_TEMPLATE"] = $_REQUEST["selectType"];
			$pro_data["pro_id"] = $_REQUEST["pro_id"];
			$pro_data["diff"] = "step3";
			$projectapi->pro_EditData($pro_data,"project_manager",$pro_id);	
		}
		exit;
	break;
	case "prodelete":
		$pro_id  = $_REQUEST["pro_id"];
		$projectapi->pro_DeleteData($pro_id,"project_manager");	
		$url = "/general/project/createproject/index.php";
	break;*/
	case "proexamine":
		$pro_id  = $_REQUEST["pro_id"];
		$dataInfor["diff"] = "examine";
		$projectapi->pro_EditData($dataInfor,"project_manager",$pro_id);
		echo $pro_id; 
	break;
}
?>
<script language="javascript">
	location.href = "<?=$url?>";
</script>