<?php
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      新建项目
* @encoding      $_lang['encoding']
* @name          general/project/createproject
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");

includelangpak("project");

$checkArr[] = $_REQUEST['pro_id'];
$checkArr[] = $_REQUEST['pro_type'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('161,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$projectapi = new Projects();
//项目类别
$cae_sql = " ORDER BY TYPE_ORDER ASC";
$pro_category = $projectapi->pro_SearchAllData("project_type",$cae_sql);
//项目审批人
$exam_sql = " AND ((INSTR(EXAM_MANAGER,',changedept,') > 0
								 OR INSTR(EXAM_MANAGER,'changedept,') = 1))";
$pro_examine = $projectapi->pro_SearchAllData("project_examine",$exam_sql,"changedept");
//项目监控人
$mon_sql = " ORDER BY MONITOR_ORDER ASC";
$pro_monitor = $projectapi->pro_SearchAllData("project_monitor",$mon_sql);
//获取项目信息
$checkdiff = "newproject";
$pro_id   = $_REQUEST["pro_id"];

//$pro_id ="68";

$pro_type = $_REQUEST["pro_type"];
if($pro_id){
	$data_infor = $projectapi->pro_SearchSingleData("project_manager",$pro_id);	
	$checkdiff = "editproject";
}
//离职或者已删除用户ID
$otherIdStr = pro_checkUserCurState();
$otherIdStr = ",".$otherIdStr;

$PAGE_TITLE	= $_lang["system_project"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/general/project/css/bwizard.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
</head>

<body>
<div class="lazy_header">
	<span class="lazy-page-title">
        <i class="fa fa-page-title"></i>
        <span class="tip"><?php echo $_lang["project_create"]; ?></span>
    </span>
	<button type="button" id="next_step" class="btn btn-primary"><?=$_lang["common_submit"];?></button>
</div>
<div id="Message"></div>
<input type="hidden" id="stepshow" name="stepshow" value="1" />
<ul class="bwizard-steps clearfix clickable">
	<li class="active" style="z-index: 4;"><span class="label badge-inverse">1</span>
		<?php echo $_lang["project_create_new"];?>
	</li>
	<li style="z-index: 3;"><span class="label">2</span>
		<?php echo $_lang["project_create_team"];?>
	</li>
	<li style="z-index: 2;"><span class="label">3</span>
		 <?php echo $_lang["project_explode"];?>
	</li>
	<li style="z-index: 1;"><span class="label">4</span>
		<?php echo $_lang["project_create_other"];?>
	</li>
</ul>
<div id="step1div" style="overflow-y:auto">
<form id="form1" name="form1" method="post" action="do.php" enctype="multipart/form-data">
    <table id="step1Span" border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
        <tr>
            <td class="title"><?php echo $_lang["project_create_id"];?></td>
            <td>
                <input type="text" id="pro_number" name="pro_number" style="width:210px;" onchange="pro_DeleteBank(this)" onblur="pro_DeleteBank(this);" value="<?=$data_infor["MANAGER_NUMBER"]?>" />
                <input type="hidden" id="checkdiff" name="checkdiff" value="<?=$checkdiff?>" />
                <input type="hidden" id="pro_id" name="pro_id" value="<?=$pro_id?>" />
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_create_name"];?></td>
            <td>
				<?
                $checkRequire1 = "";
                if($data_infor["MANAGER_NAME"]==""){
                    $checkRequire1 = "require";	
                }else{
                    $checkRequire1 = "";		
                }
                ?>
                <input type="text" id="pro_name" name="pro_name" style="width:210px;" onkeyup="pro_CheckRequire(this);" onchange="pro_DeleteBank(this)" onblur="pro_DeleteBank(this);" value="<?=$data_infor["MANAGER_NAME"]?>" class="<?=$checkRequire1?>"/>
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_create_period"];?></td>
            <td>
            	<?
                $checkRequire2 = "";
                if($data_infor["MANAGER_BEGINTIME"]!="" && $data_infor["MANAGER_ENDTIME"]!=""){
                    $checkRequire2 = "";	
                }else{
                    $checkRequire2 = "require";		
                }
                ?>
                <input style="width:100px;" type="text" name="begin_date" id="begin_date" onchange="pro_CheckRequire(this);" onkeyup="pro_CheckRequire(this);" value="<? if($data_infor["MANAGER_BEGINTIME"]){ echo $data_infor["MANAGER_BEGINTIME"];}else{ echo date("Y-m-d",time());}?>">
                <input style="width:100px; margin-left:5px;" type="text" name="end_date" id="end_date" onchange="pro_CheckRequire(this);pro_CompareTime('begin_date','end_date')" onkeyup="pro_CheckRequire(this);" value="<?=$data_infor["MANAGER_ENDTIME"]?>" class="<?=$checkRequire2?>">
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_manager"]; ?></td>
            <td>
                <?
                $managerid   = "";
                $managername = "";
                if($data_infor["MANAGER_PERSON"]){
                    $managerid = $data_infor["MANAGER_PERSON"];	
                    $managername = getUserNameNew($data_infor["MANAGER_PERSON"]);	
                }else{
                    $managerid = $_SESSION["LOGIN_USER_ID"];	
                    $managername = $_SESSION["LOGIN_USER_NAME"];	
                }
                ?>
                <input type="text" style="width:167px;" id="pro_manager" name="pro_manager" class="textreadonly" readonly value="<?=$managername?>" >
                <input type="hidden" id="pro_managerid" name="pro_managerid" value="<?=$managerid?>">
				<button type="button" id="pre_step" class="btn btn-primary" onclick="LoadWindowUserSingle('pro_managerid','pro_manager','form1');pro_SelectCheckRequire('pro_manager');"><?=$_lang["common_choose"]?></button>
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_category"];?></td>
            <td>
                <?
                $pro_typeClass = "";
                if($data_infor["MANAGER_TYPE"]){
                    $pro_typeClass = "pro_type";
                }else{
                    $pro_typeClass = "pro_type require";  
                }
                ?>
                <select id="pro_type" name="pro_type" onchange="pro_checkselect('pro_type','check_type');" class="<?=$pro_typeClass?>">
                    <option value="0"><?php echo $_lang["project_choose_level"];?></option>
                    <?
                    
                    for($i=0;$i<count($pro_category);$i++){
                        if($pro_category[$i]["TYPE_ID"]!=""){
                    ?>
                        <option value="<?=$pro_category[$i]["TYPE_ID"]?>" <? if($pro_category[$i]["TYPE_ID"]==$data_infor["MANAGER_TYPE"]){echo "selected=\"selected\"";}?>>
                            <?=$pro_category[$i]["TYPE_NAME"]?>
                        </option>
                    <?          
                        }   
                    }
                    ?>
                </select>
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_level"]; ?></td>
            <td>
                <select id="pro_fast" name="pro_fast" >
                    <option value="1" <? if($data_infor["MANAGER_FAST"]=="1"){?>selected="selected"<? }?>><?php echo $_lang["project_secondary"]; ?></option>
                    <option value="2" <? if($data_infor["MANAGER_FAST"]=="2"){?>selected="selected"<? }?>><?php echo $_lang["project_normal"]; ?></option>
                    <option value="3" <? if($data_infor["MANAGER_FAST"]=="3"){?>selected="selected"<? }?>><?php echo $_lang["project_emergency"]; ?></option>
                    <option value="4" <? if($data_infor["MANAGER_FAST"]=="4"){?>selected="selected"<? }?>><?php echo $_lang["project_extra_urgent"]; ?></option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_PRI"];?></td>
            <td>
                <select id="pro_level" name="pro_level">
                    <option value="1" <? if($data_infor["MANAGER_LEVEL"]=="1"){?>selected="selected"<? }?>><?php echo $_lang["project_very_low"];?></option>
                    <option value="2" <? if($data_infor["MANAGER_LEVEL"]=="2"){?>selected="selected"<? }?>><?php echo $_lang["project_low"];?></option>
                    <option value="3" <? if($data_infor["MANAGER_LEVEL"]=="3"){?>selected="selected"<? }?>><?php echo $_lang["project_mid"];?></option>
                    <option value="4" <? if($data_infor["MANAGER_LEVEL"]=="4"){?>selected="selected"<? }?>><?php echo $_lang["project_high"];?></option>
                    <option value="5" <? if($data_infor["MANAGER_LEVEL"]=="5"){?>selected="selected"<? }?>><?php echo $_lang["project_very_high"] ;?></option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_approver"];?></td>
            <td>
                <?
                $pro_examineClass = "";
                if($data_infor["MANAGER_EXAMINE"]){
                    $pro_examineClass = "pro_examine";
                }else{
                    $pro_examineClass = "pro_examine require";
                }
                ?>
                <select id="pro_examine" name="pro_examine" onchange="pro_checkselectimg('pro_examine')" class="<?=$pro_examineClass?>">
                    <option value="0"><?php echo $_lang["project_choose_approver"];?></option>
                    <?
                    for($i=0;$i<count($pro_examine);$i++){
                        if($pro_examine[$i]["EXAM_ID"]!=""){
                            $examineUserId = substr($pro_examine[$i]["EXAM_PERSON"],0,-1);
                        ?>
                        <option value="<?=$examineUserId?>" <? if($examineUserId==$data_infor["MANAGER_EXAMINE"]){echo "selected=\"selected\"";}?>>
                            <?=getUserNameNew($examineUserId)?>
                        </option>
                        <?      
                        }   
                    }
                    ?>
                </select>
            </td>
        </tr>
        <tr>
            <td class="title"><?php echo $_lang["project_minders"];?></td>
            <td>
                <select id="pro_monitor" name="pro_monitor">
                    <option value="0"><?php echo $_lang["project_choose_minders"];?></option>
                <?
                $mo_user = $pro_monitor[0]["MONITOR_PERSON"];
                $mo_infor = explode(",",$mo_user);
                $moncount = count($mo_infor);
                for($i=0;$i<$moncount;$i++){
                    if($mo_infor[$i]!="" && !strpos($otherIdStr,$mo_infor[$i])){
                ?>
                    <option value="<?=$mo_infor[$i]?>" <? if($mo_infor[$i]==$data_infor["MANAGER_MONITOR"]){echo "selected=\"selected\"";}?>>
                        <?=getUserNameNew($mo_infor[$i])?>
                    </option>                            			
                <?	}	
                }
                ?>
                </select>
            </td>
        </tr>
        </table>
        <div id="fieldAnalysis">
        	<?
            if($pro_id){
			?>
            <table border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
            <?	
				//查找字段数据
				$field_sql = " AND FIELD_PROJECT='".$data_infor["MANAGER_TYPE"]."' AND FIELD_DELETE='0' ORDER BY FIELD_ORDER ASC";
				$filed_infor = $projectapi->pro_SearchAllData("project_fieldset",$field_sql);
				echo pro_FieldAnalysis($filed_infor,"edit",$pro_id);
				$field_idstr = "";
				for($n=0;$n<count($filed_infor);$n++){
					if($filed_infor[$n]["FIELD_ID"]){
						$field_idstr .= "field_".$filed_infor[$n]["FIELD_ID"].",";	
					}	
				}
			?>
            </table>
            <input type="hidden" id="field_idstr" name="field_idstr" value="<?=$field_idstr?>" />
            <?		
			}
			?>
        </div>
        <table border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
        <tr>
            <td class="title"><?php echo $_lang["project_description"];?></td>
            <td>
                <textarea id="pro_explain" name="pro_explain" style="overflow:auto;" rows="5" cols="50%"><?=$data_infor["MANAGER_EXPLAIN"]?></textarea>
            </td>
        </tr>
        <tr>
            <td class="title">
                <?php echo $_lang["project_remarks"];?>
            </td>
            <td>
                <textarea id="pro_remark" name="pro_remark" style="overflow:auto;" rows="5" cols="50%"><?=$data_infor["MANAGER_REMARK"]?></textarea>
            </td>
        </tr>
        <tr>
          <td class="title"><?php echo $_lang["project_creator"];?></td>
          <td>
              <?
              $personshow = "";
              if($data_infor["MANAGER_CREATER"]){
                  $personshow = $data_infor["MANAGER_CREATER"];	
              }else{
                  $personshow = $_SESSION["LOGIN_USER_ID"];	
              }
              echo getUserNameNew($personshow);
              ?>
              <input type="hidden" id="pro_creater" name="pro_creater" value="<?=$personshow?>" />
          </td>
      </tr>
      <tr>
          <td class="title"><?php echo $_lang["project_create_time"];?></td>
          <td>
              <?
              $dateshow = "";
              if($data_infor["MANAGER_CREAT_TIME"]){
                  $dateshow = $data_infor["MANAGER_CREAT_TIME"];	
              }else{
                  $dateshow = date("Y-m-d H:i:s",time());	
              }
              echo $dateshow;
              ?>
              <input type="hidden" id="pro_creattime" name="pro_creattime" value="<?=$dateshow?>" />
          </td>
      </tr>
    </table>
</form>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/general/ArchivesManagement/analysisfield.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>

<script language="javascript">
$.pnotify.defaults.styling = "bootstrap3";
$.pnotify.defaults.closer = false;
$.pnotify.defaults.sticker = false;
$.pnotify.defaults.history = false;
$.pnotify.defaults.delay = 1000;
$.pnotify.defaults.addclass = "stack-topleft";
$.pnotify.defaults.animate_speed = 'fast';
$.pnotify.defaults.type = "error";
$(document).ready(function(){
	$("select").selectpicker({width:210,size:10});
	$("#step1div").height($(window).height()-90);
    if($("#btnDateStr").val()){
        ch = new Array;
        ch = $("#btnDateStr").val().split(",");
        for(i=0;i<ch.length;i++){
            if(ch[i]){
               $("#"+ch[i]).datepicker(); 
            }
        } 
    }
    if($("#btnDateTimeStr").val()){
        ch = new Array;
        ch = $("#btnDateTimeStr").val().split(",");
        for(i=0;i<ch.length;i++){
            if(ch[i]){
               $("#"+ch[i]).datetimepicker(); 
            }
        } 
    }
	$("#step1div").niceScroll();
	$("#next_step").click(function(){
		if($.trim($("#pro_name").val())==""){
			$("#Message").LazyMessage("open","<?=$_lang["project_fillin_name"]?>","warning");	
			return false;
		}
		if($.trim($("#begin_date").val())=="" || $.trim($("#end_date").val())==""){
			$("#Message").LazyMessage("open","<?=$_lang["project_fillin_period"]?>","warning");	
			return false;
		}
		if($.trim($("#pro_managerid").val())==""){
			$("#Message").LazyMessage("open","<?=$_lang["project_fillin_manager"]?>","warning");		
			return false;	
		}
		if($("#pro_type").val()=="0"){
			$("#Message").LazyMessage("open","<?=$_lang["project_fillin_category"]?>","warning");	
			return false;		
		}
		if($("#pro_examine").val()=="0"){
			$("#Message").LazyMessage("open","<?=$_lang["project_fillin_approver"]?>","warning");		
			return false;		
		}
		flag = 0;
		// $(".requireimg").each(function() {
		// 	if(!$(this).is(":hidden")){
		// 		flag++;	
		// 	}
		// });
        if($(".require").length>0){
            flag++;
        }
		if(flag>0){
			$("#Message").LazyMessage("open","<?=$_lang["project_root_check_need"];?>","warning");		
			return false;	
		}
		$("#form1").submit();
	});
	//日期控件
	$("#begin_date").datepicker();
	$("#end_date").datepicker();
	$("#Message").LazyMessage({
		ofTarget : "#step1Span"	
	});
	
    //将 项目编号/项目名称/项目描述/项目备注 onkeyup事件改为blur事件
    $("#pro_number").blur(function() {
        characters_change(this,'high');
    });

    $("#pro_name").blur(function() {
        characters_change(this,'low');
    });

    $("#pro_explain").blur(function() {
        characters_change(this,'low');
    });

    $("#pro_remark").blur(function() {
        characters_change(this,'low');
    });
});
function pro_checkselect(checkid,imgid){
	if($("#"+checkid).val()==0){
        $('.'+checkid).addClass("require");
		$("#fieldAnalysis").html("");
		return false;	
	}else{
        $('.'+checkid).removeClass("require");
		var fielddiff = "";
		if($("#pro_id").val() && $("#pro_type").val()=="<?=$data_infor["MANAGER_TYPE"]?>"){
			fielddiff = "edit";	
		}else{
			fielddiff = "new";		
		}
		$.ajax({
			type:"POST",
            async: false,
			data:"checkdiff=fieldedit&pro_id=<?=$pro_id?>&pro_type="+$("#pro_type").val()+"&fielddiff="+fielddiff,
			url:"otherdo.php"	
		 }).done(function(result){
			$("#fieldAnalysis").html(result);	 
		});
	}
    $("#step1div").getNiceScroll().resize();
}
function pro_checkselectimg(checkid){
	if($("#"+checkid).val()==0){
		$('.'+checkid).addClass("require");
	}else{
		$('.'+checkid).removeClass("require");
	}		
}
function pro_checkdate(id1,id2,imgid){
	if($("#"+id1).val()!="" && $("#"+id2).val()!=""){
		$("#"+imgid).css("display","none");	
	}else{
		$("#"+imgid).css("display","");		
	}	
}
function pro_SelectCheckRequire(selectId){
	if($("#"+selectId).val()){
		$("#"+selectId).removeClass("require");	
	}else{
		$("#"+selectId).addClass("require");		
	}	
}
</script>