<?php

/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package       eoffice8.0
 * @function      新建项目处理
 * @encoding      $_lang['encoding']
 * @name          general/project/createproject
 * @version       1.0
 * @author        liuqingyu
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");

$checkArr[] = $_REQUEST['pro_id'];
$checkArr[] = $_REQUEST['pro_type'];
if (!I($checkArr))
    exit(Message('', $_lang["common_param_error"], 'failed'));

$checkdiff = $_REQUEST["checkdiff"];
$projectapi = new Projects();
$url = "";
switch ($checkdiff) {
    case "fieldedit":
        //自定义字段显示
        $pro_type = $_REQUEST["pro_type"];
        $fielddiff = $_REQUEST["fielddiff"];
        $pro_id = $_REQUEST["pro_id"];
        $field_sql = " AND FIELD_PROJECT='" . $pro_type . "' AND FIELD_DELETE='0' ORDER BY FIELD_ORDER ASC";
        $filed_infor = $projectapi->pro_SearchAllData("project_fieldset", $field_sql);
        $field_idstr = "";
        for ($n = 0; $n < count($filed_infor); $n++) {
            if ($filed_infor[$n]["FIELD_ID"]) {
                $field_idstr .= "field_" . $filed_infor[$n]["FIELD_ID"] . ",";
            }
        }
        $str = "";
        $str .= "<table border=\"0\" cellpadding=\"5\" cellspacing=\"1\" width=\"100%\" class=\"form_table\">";
        $str .= pro_FieldAnalysis($filed_infor, $fielddiff, $pro_id);
        $str .= "</table>";
        $str .= "<input type=\"hidden\" id=\"field_idstr\" name=\"field_idstr\" value=\"" . $field_idstr . "\" />";
        echo $str;
        break;
    case "creatTemp":
        $pro_id = $_REQUEST["pro_id"];
        $pro_temp = $_REQUEST["pro_temp"]; //模板ID
        if ($pro_temp) {
            //判断是否选择过
            $delet_sql = " AND TASK_PROJECT='" . $pro_id . "'";
            $projectapi->pro_freeDeleteData("project_task", $delet_sql);
            $pro_data["MANAGER_TEMPLATE"] = $pro_temp;
            $pro_data["pro_id"] = $pro_id;
            $pro_data["diff"] = "step3";
            $projectapi->pro_EditData($pro_data, "project_manager", $pro_id);
            echo $pro_id;
        } else {
            echo "nochoose";
        }
        break;
    case "task_list":
        $pro_id = $_REQUEST["pro_id"];
        //处理前置任务处
        $font_type = isset($_REQUEST["font_type"]) && $_REQUEST["font_type"] == "flush" ? 1 : 0;
        if ($font_type) {
            $projectapi->pro_updateTemplateTaskFront($pro_id);
        }

        $sortname = "";
        //处理排序字段
        switch ($_REQUEST["sortField"]) {
            case "TASK_PERSONDONAME":
                $sortname = "TASK_PERSONDO";
                break;
            default :
                $sortname = $_REQUEST["sortField"];
        }
        $sorttype = $_REQUEST["sortType"];
        $offset = $_REQUEST["currentPage"];
        $rows = $_REQUEST["itemsPerPage"];
        $offset = $offset * $rows;
        $infor = $projectapi->pro_ListTaskData($sortname, $sorttype, $offset, $rows, $pro_id, "");
        $infor_count = count($infor);
        $list_infor = array();
        $list_infor["totalCount"] = $infor["resultCount"];
        $list_infor["list"] = array();
        for ($i = 0; $i < $infor_count; $i++) {
            if ($infor[$i]["TASK_ID"]) {
                $list_infor["list"][$i] = $infor[$i];
                //$list_infor["list"][$i]["TASK_PERSONDONAME"] = getUserNameNew($infor[$i]["TASK_PERSONDO"]);
                if ($infor[$i]["TASK_PERSONDO"]) {
                    $list_infor["list"][$i]["TASK_PERSONDONAME"] = getUserNameNew($infor[$i]["TASK_PERSONDO"]);
                } else {
                    $list_infor["list"][$i]["TASK_PERSONDONAME"] = "暂无";
                }
                $mark_icon = "";
                if ($infor[$i]["TASK_MARK"] == "1") {
                    $mark_icon = "<span style=\"color:#FFAE6B\"><i class=\"fa fa-map-marker\"></i></span>&nbsp;&nbsp;";
                }
                $list_infor["list"][$i]["TASK_NAMESHOW"] = $mark_icon . $infor[$i]["TASK_NAME"];
            }
        }
        echo json_encode($list_infor);
        break;
    case "task_new":
        $pro_id = $_REQUEST["pro_id"];
        $dataInfor = array();
        $team_sql = " AND TEAM_PROJECT='" . $pro_id . "'";
        $team_data = $projectapi->pro_SearchAllData("project_team", $team_sql);
        $team_person = "";
        for ($i = 0; $i < count($team_data); $i++) {
            if ($team_data[$i]["TEAM_ID"]) {
                $team_person .= $team_data[$i]["TEAM_PERSON"];
            }
        }
        $personarray = explode(",", $team_person);
        $teamcount = count($personarray);
        $personarray = array_unique($personarray);
        $person_array = array();
        $j = 0;
        for ($i = 0; $i < $teamcount; $i++) {
            if ($personarray[$i]) {
                $person_array[$j]["personid"] = $personarray[$i];
                $person_array[$j]["personname"] = getUserNameNew($personarray[$i]);
                if ($personarray[$i] == $dataInfor["TASK_PERSONDO"]) {
                    $person_array[$j]["check"] = "1";
                } else {
                    $person_array[$j]["check"] = "0";
                }
                $j++;
            }
        }
        $dataInfor["TASK_DoPerson"] = $person_array;
        //前置任务
        $pre_task = array();
        $task_all = " AND TASK_PROJECT='" . $pro_id . "'";
        $task_all_data = $projectapi->pro_SearchAllData("project_task", $task_all);
        $task_count = count($task_all_data);
        for ($i = 0; $i < $task_count; $i++) {
            if ($task_all_data[$i]["TASK_ID"]) {
                $pre_task[$i]["taskid"] = $task_all_data[$i]["TASK_ID"];
                $pre_task[$i]["taskname"] = $task_all_data[$i]["TASK_NAME"];
                if ($pre_task[$i]["taskid"] == $dataInfor["TASK_FRONTID"]) {
                    $pre_task[$i]["check"] = "1";
                } else {
                    $pre_task[$i]["check"] = "0";
                }
            }
        }
        $dataInfor["TASK_Pre"] = $pre_task;
        $dataInfor["TASK_CurrDate"] = date("Y-m-d", time());
        echo json_encode($dataInfor);
        break;
    case "task_edit":
        $taskid = $_REQUEST["taskid"];
        $pro_id = $_REQUEST["pro_id"];
        $dataInfor = $projectapi->pro_SearchSingleData("project_task", $taskid);
        $dataInfor["TASK_CREATERNAME"] = getUserNameNew($dataInfor['TASK_CREATER']);
        //任务执行人
        if ($pro_id) {
            $pro_id = $pro_id;
        } else {
            $pro_id = $dataInfor["TASK_PROJECT"];
        }
        $team_sql = " AND TEAM_PROJECT='" . $pro_id . "'";
        $team_data = $projectapi->pro_SearchAllData("project_team", $team_sql);
        $team_person = "";
        for ($i = 0; $i < count($team_data); $i++) {
            if ($team_data[$i]["TEAM_ID"]) {
                $team_person .= $team_data[$i]["TEAM_PERSON"];
            }
        }
        $personarray = explode(",", $team_person);
        $teamcount = count($personarray);
        $personarray = array_unique($personarray);
        $person_array = array();
        $j = 0;
        for ($i = 0; $i < $teamcount; $i++) {
            if ($personarray[$i]) {
                $person_array[$j]["personid"] = $personarray[$i];
                $person_array[$j]["personname"] = getUserNameNew($personarray[$i]);
                if ($personarray[$i] == $dataInfor["TASK_PERSONDO"]) {
                    $person_array[$j]["check"] = "1";
                } else {
                    $person_array[$j]["check"] = "0";
                }
                $j++;
            }
        }
        $dataInfor["TASK_DoPerson"] = $person_array;
        //前置任务
        $pre_task = array();
        $task_all = " AND TASK_PROJECT='" . $pro_id . "'";
        $task_all_data = $projectapi->pro_SearchAllData("project_task", $task_all);
        $task_count = count($task_all_data);
        for ($i = 0; $i < $task_count; $i++) {
            if ($task_all_data[$i]["TASK_ID"]) {
                $pre_task[$i]["taskid"] = $task_all_data[$i]["TASK_ID"];
                $pre_task[$i]["taskname"] = $task_all_data[$i]["TASK_NAME"];
                if ($pre_task[$i]["taskid"] == $dataInfor["TASK_FRONTID"]) {
                    $pre_task[$i]["check"] = "1";
                } else {
                    $pre_task[$i]["check"] = "0";
                }
            }
        }
        $dataInfor["TASK_Pre"] = $pre_task;
        $dataInfor["workTime"] = pro_dateSubtraction($dataInfor["TASK_ENDTIME"], $dataInfor["TASK_BEGINTIME"]);
        echo json_encode($dataInfor);
        break;
    case "taskdelete":
        $dataStrId = $_REQUEST["dataStrId"];
        $idArray = explode(",", $dataStrId);
        $idcount = count($idArray);
        for ($i = 0; $i < $idcount; $i++) {
            if ($idArray[$i]) {
                $projectapi->pro_DeleteData($idArray[$i], "project_task");
            }
        }
        echo "success";
        break;
    case "pro_view":
        $pro_id = $_REQUEST["pro_id"];
        $dataInfor = $projectapi->pro_SearchSingleData("project_manager", $pro_id);
        echo $dataInfor["MANAGER_TEMPLATE"];
        break;
}
?>
