<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      新建项目
* @encoding      $_lang['encoding']
* @name          general/project/createproject
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");
includelangpak("project");
$checkArr[] = $_REQUEST['pro_id'];
$checkArr[] = $_REQUEST['pro_type'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

//新建项目信息
$pro_id   = $_REQUEST["pro_id"];
$pro_type = $_REQUEST["pro_type"];
$projectapi = new Projects();
$data_infor = $projectapi->pro_ListPrivData("PRIV_ORDER","ASC",$offset,$rows,"",array());
unset($data_infor["resultCount"]);
$data_count = count($data_infor);

$PAGE_TITLE	= $_lang["system_project"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/general/project/css/bwizard.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
</head>
<body >
<div class="lazy_header">
	<span class="lazy-page-title">
        <i class="fa fa-page-title"></i>
        <span class="tip"><?=$_lang["project_create"]?></span>
    </span>
	<button type="button" id="next_step" class="btn btn-primary"><?=$_lang["common_submit"]?></button>
    <button type="button" id="pre_step" class="btn btn-success"><?=$_lang["common_prev"]?></button>
</div>
<ul class="bwizard-steps clearfix clickable">
	<li style="z-index: 4;"><span class="label">1</span>
		<?=$_lang["project_create_new"]?>
	</li>
	<li class="active" style="z-index: 3;"><span class="label badge-inverse">2</span>
		<?=$_lang["project_create_team"]?>
	</li>
	<li style="z-index: 2;"><span class="label">3</span>
		<?=$_lang["project_explode"]?>
	</li>
	<li style="z-index: 1;"><span class="label">4</span>
		<?=$_lang["project_create_other"]?>
	</li>
</ul>
<div id="teamListSpan" style="overflow-y:auto">
<form id="form2" name="form2" method="post" action="do.php" enctype="multipart/form-data">
<input type="hidden" id="pro_id" name="pro_id" value="<?=$pro_id?>" />
<input type="hidden" id="pro_type" name="pro_type" value="<?=$pro_type?>" />
<input type="hidden" id="checkdiff" name="checkdiff" value="chooseTeam" />
<?
if($data_count>0){
?>
<table width="100%" border="0" cellpadding="5" cellspacing="1" class="form_table">
	<?
	$privIdStr = "";
    for($i=0;$i<$data_count;$i++){
		if($data_infor[$i]["PRIV_ID"]){
			$privIdStr .= $data_infor[$i]["PRIV_ID"].",";
			if($pro_id){
				//查询团队成员
				$search_sql = " AND TEAM_PROJECT='".$pro_id."' AND TEAM_PRIV='".$data_infor[$i]["PRIV_ID"]."'";
				$teamarray  = $projectapi->pro_SearchAllData("project_team",$search_sql);	
			}
		?>
        	<tr>
            	<td class="title">
                	<?=$data_infor[$i]["PRIV_NAME"]?>
                </td>
                <td>
                	<table border="0" cellpadding="0" cellspacing="0">
                    	<tr>
                        	<td>
                            	<input type="text" id="selectname_<?=$data_infor[$i]["PRIV_ID"]?>" name="selectname_<?=$data_infor[$i]["PRIV_ID"]?>" style="width:300px;" disabled="disabled" value="<?=getUsernameStr($teamarray[0]["TEAM_PERSON"])?>" />
                                <input type="hidden" id="selectid_<?=$data_infor[$i]["PRIV_ID"]?>" name="selectid_<?=$data_infor[$i]["PRIV_ID"]?>" value="<?=$teamarray[0]["TEAM_PERSON"]?>"/>
                            </td>
                            <td>
                                <!--<div class="team_chooseBtn" onclick="teamUserSelect('<?=$data_infor[$i]["PRIV_ID"]?>')">
                                	选择
                                </div>-->
                                <div style="margin-left:10px;">
                                	<button type="button" class="btn btn-primary" onclick="teamUserSelect('<?=$data_infor[$i]["PRIV_ID"]?>')"><?=$_lang["common_choose"]?></button>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        <?		
		}	
	}
	?>	
</table>
<input type="hidden" id="privIdStr" name="privIdStr" value="<?=$privIdStr?>" />
<?		
}else{
	Message("",$_lang["project_info_addrole"]);	 
}
?>
</form>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/general/ArchivesManagement/analysisfield.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script language="javascript">
var myLazyGrid;
$(document).ready(function(){
	$("#teamListSpan").height($(window).height()-90);
	$("#teamListSpan").niceScroll();
	$("#next_step").click(function(){
		//$("#form2").submit();
		$('#form2').ajaxSubmit(function(data){
			if(data){
				location.href = "step3.php?pro_id=<?=$pro_id?>&pro_type=<?=$pro_type?>";	
			}else{
				alert("error!");	
			}
		});
	});
	$("#pre_step").click(function(){
		location.href = "index.php?pro_id=<?=$pro_id?>&pro_type=<?=$pro_type?>";
	});
});
//选择团队成员
function teamUserSelect(showid){
	var str = "";
	LoadWindowUser('selectid_'+showid,'selectname_'+showid,'form2');	
}
</script>