<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      监控权限设置
* @encoding      $_lang['encoding']
* @name          general/project/moduleset/monitor
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");
includelangpak("project");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('172,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$projectapi = new Projects();
$mon_sql = " AND MONITOR_ID!=''";
$dataInfor = $projectapi->pro_SearchAllData("project_monitor",$mon_sql);
$showData = array();
if(count($dataInfor)>0){
	$showData = $dataInfor[0];
    //离职或者已删除用户ID
    $otherIdStr = pro_checkUserCurState();
    $otherIdStr = ",".$otherIdStr;

    $newUserIdStr = "";
    $checkUserStr = $dataInfor[0]["MONITOR_PERSON"];
    $checkUserArray = explode(",",$checkUserStr);
    for($i=0;$i<count($checkUserArray);$i++){
        if ($checkUserArray[$i]) {
            if (!strpos($otherIdStr,$checkUserArray[$i])) {
                $newUserIdStr .= $checkUserArray[$i].","; 
            }         
        }
    }
    if ($newUserIdStr!=$dataInfor[0]["MONITOR_PERSON"]) {
        $dataInfor = array();
        $dataInfor["MONITOR_PERSON"]     = $newUserIdStr;
        $dataInfor["MONITOR_ORDER"]      = "";
        $dataInfor["MONITOR_CREATER"]    = $dataInfor[0]["MONITOR_CREATER"];
        $dataInfor["MONITOR_CREAT_TIME"] = $dataInfor[0]["MONITOR_CREAT_TIME"];
        $dataInfor["MONITOR_REMARK"]     = $dataInfor[0]["MONITOR_REMARK"];
        $projectapi->pro_EditData($dataInfor,"project_monitor",$dataInfor[0]["MONITOR_ID"]); 
    } else {
        $newUserIdStr = $dataInfor[0]["MONITOR_PERSON"];
    }	
}


$PAGE_TITLE	= $_lang["system_project"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<!--新添css-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
<!--新添js-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<!--tabjs-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>

<title><?=$_lang["project_monitor_set_title"]?></title>
</head>
<script language="javascript">
$(document).ready(function(){
	$.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";
	
	$("#monitorSubmit").click(function(){
		$('#form1').ajaxSubmit(function(data){
			if(data){
				if(data=="noData"){
					$.pnotify({
						text: "<?=$_lang["project_monitor_data_info"]?>",
						type : "info"
					});		
				}else{
					$.pnotify({
						text: "<?=$_lang["common_submit_success"]?>",
						type : "success"
					});	
				}
			}else{
				alert("error!");	
			}
		});			
	});
});
</script>
<body>
<div class="lazy_header">
	<span class="lazy-page-title">
        <i class="fa fa-page-title"></i>
        <span class="tip"><?=$_lang["project_monitor_set"]?></span>
    </span>
	<button type="button" id="monitorSubmit" class="btn btn-primary"><?=$_lang["common_submit"]?></button>
</div>
<table id="showTable" border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr id="monitorMain">
        <td>
            <form id="form1" name="form1" method="post" action="do.php" enctype="multipart/form-data">
                <table border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
                    <tr>
                        <td class="title" >
                            <?=$_lang["project_monitor_minders"]?>
                            <input type="hidden" id="monitorid" name="monitorid" value="<?=$showData["MONITOR_ID"]?>" />
                            <input type="hidden" id="checkdiff" name="checkdiff" value="newAndEdit" />
                        </td>
                        <td>
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
                                        <input type="hidden" id="mo_showid" name="mo_showid" value="<?=$newUserIdStr?>">
                                        <textarea id="mo_showname" name="mo_showname" rows="5" cols="50%" class="BigStatic" wrap="yes" readonly style="overflow:auto;"><?=getUsernameStr($newUserIdStr)?></textarea>
                                    </td>
                                    <td valign="bottom">
                                    	<div style="margin-left:10px">
                                        	<button type="button" class="btn btn-primary" onClick="LoadWindowUser('mo_showid','mo_showname','form1');pro_CheckRequire('mo_showname','check_show');"><?=$_lang["common_add"]?></button>
                                        	<button type="button" id="cancel3" class="btn btn-default btn-sm" onClick="pro_ClearChoose('mo_showid','mo_showname')"><?=$_lang["common_empty"]?></button>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                    	<td class="title">
                        	<?=$_lang["project_task_remark"]?>
                        </td>
                        <td>
                        	<textarea id="mo_remark" name="mo_remark" style="overflow:auto;" rows="5" cols="50%"><?=$showData["MONITOR_REMARK"]?></textarea>
                        </td>
                    </tr>
                    <tr>
                    	<td class="title">
                        	<?=$_lang["project_apply_auth_modify"]?>
                        </td>
                        <td>
                        	<?=$_SESSION["LOGIN_USER_NAME"]?>
                        	<input type="hidden" id="mo_creater" name="mo_creater" value="<?=$_SESSION["LOGIN_USER_ID"]?>" />
                        </td>
                    </tr>
                    <tr>
                    	<td class="title">
                        	<?=$_lang["project_apply_auth_modifydate"]?>
                        </td>
                        <td>
                        	<?=date("Y-m-d H:i:s",time())?>
                        	<input type="hidden" id="mo_creattime" name="mo_creattime" value="<?=date("Y-m-d H:i:s",time())?>" />
                        </td>
                    </tr>
                </table>
            </form>
        </td>
    </tr>
</table>
</body>
</html>