<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      项目角色设置
* @encoding      $_lang['encoding']
* @name          general/project/moduleset/priv
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");
includelangpak('project');
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('169,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$showorder = proFun_GetMaxOrderNum("project_priv");
$showorder = $showorder+1;

$PAGE_TITLE	= $_lang["system_project"];
include_once 'inc/page_header.inc.php';
?>
<!--<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">-->
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<!--新添css-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
</head>
<body>
<input type="hidden" id="choosePrivid" name="choosePrivid">
<div id="Message"></div>
<div class="left_list_wrap">
    <div class="lazy_header">
        <span class="lazy-list-title">
            <i class="fa fa-list-title"></i>
            <span class="tip"><?=$_lang["project_role_name"];?></span>
        </span>
    	<button id="leftTitleBtn" type="button" class="btn btn-primary"><?=$_lang["common_new"];?></button>
        <div class="left_search" style="float:right; margin-right:5px;"></div>
    </div>
    <div id="left_list"></div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <span class="lazy-page-title">
            <i class="fa fa-page-title"></i>
            <span class="tip"><?=$_lang["project_role_name_new"];?></span>
        </span>
        <button type="button" id="privSumbit" class="btn btn-primary"><?=$_lang["common_submit"];?></button>
    </div>
    <div id="right_table">
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <form id="form1" name="form1" method="post" action="do.php" enctype="multipart/form-data">
                        <table border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
                            <tr>
                                <td class="title"><?=$_lang["common_order"];?></td>
                                <td>
                                    <input type="text" id="priv_order" name="priv_order" onkeyup="pro_NumberCheck(this,'','')" value="<?=$showorder?>">
                                    <input type="hidden" id="type" name="type" value="new" />
                                    <input type="hidden" id="priv_id" name="priv_id" />
                                    <span style="margin-left:10px; color:#F00;">(<?=$_lang["project_pro_check_num"];?>)</span>
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["project_role_rolename"];?></td>
                                <td>
                                   <input type="text" id="priv_name" name="priv_name" onKeyUp="pro_CheckRequire(this);" onchange="pro_DeleteBank(this)" onblur="pro_DeleteBank(this);pro_CheckRequire(this);" class="require">
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["project_role_desc"];?></td>
                                <td>
                                    <textarea id="priv_explain" name="priv_explain" style="overflow:auto;" rows="5" cols="50%"></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["project_task_remark"];?></td>
                                <td>
                                    <textarea id="priv_remark" name="priv_remark" style="overflow:auto;" rows="5" cols="50%"></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["project_task_creator"];?></td>
                                <td>
                                    <span id="createrShow">
                                        <?=$_SESSION["LOGIN_USER_NAME"]?>
                                    </span>
                                    <input type="hidden" id="priv_creater" name="priv_creater" value="<?=$_SESSION["LOGIN_USER_ID"]?>" />
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["project_create_time"];?></td>
                                <td>
                                    <span id="TimeShow">
                                        <?=date("Y-m-d H:i:s",time())?>
                                    </span>
                                    <input type="hidden" id="priv_creattime" name="priv_creattime" value="<?=date("Y-m-d H:i:s",time())?>" />
                                </td>
                            </tr>
                        </table>
                    </form>
                </td>
            </tr>
        </table>
    </div>
</div>    
<input type="hidden" id="haveChooseId" name="haveChooseId">
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
<!--新添js-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<!--tabjs-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$.pnotify.defaults.styling = "bootstrap3";
$.pnotify.defaults.closer = false;
$.pnotify.defaults.sticker = false;
$.pnotify.defaults.history = false;
$.pnotify.defaults.delay = 1000;
$(function() {
	$(":text").css("width","210px");
	var leftlist = $("#left_list").LazyList({
		buttons : {
			  buttonInfor : {
				  "delete" : {
					 title : "<?=$_lang["common_del"];?>",
					func : function(data) {
						bootbox.confirm("<?=$_lang["project_task_delete_content"];?>", function(result) {
							if(result){
								var priv_id = data.PRIV_ID;
								$.ajax({
									type: "post", 
									url : "do.php", 
									data:"type=delete&dataid="+priv_id
								}).done(function(result){
									if(result=="manager"){
										$.pnotify({
											text: "<?=$_lang["project_pro_run_no_del"];?>",
											type : "info"
										});		
									}else if(result=="success"){
										$("#left_list").LazyList("reload");	
										$("#leftTitleBtn").click();			
									}
								});				
							}	
						});
					}
				  }
			  }
		},
		itemListTemplate : '<div id="{PRIV_ID}" class="left_list_text" title="{PRIV_NAME}">{PRIV_NAME}</div>',
		dataSource : "do.php",
		param : {
			type : "priv_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			proPrivEdit(data.PRIV_ID);
			$("#haveChooseId").val(data.PRIV_ID);
		},
		onInit:function(){
			var chooseId = $("#haveChooseId").val();
			if (chooseId) {
				$(this).find("#"+chooseId).click();
			} 
			$("#left_list").getNiceScroll().resize();
		}
	});
	$("#leftTitleBtn").on("click",function(){
		var showorder = "";
		$("#haveChooseId").val("");
		$("#left_list").LazyList("reload");
		$.ajax({
			type:"POST",
			async:false,
			data:"type=getOrder",
			url:"do.php"
		}).done(function(result){
			showorder = result;
		});
		$("#priv_order").val(showorder);
		$("#priv_id").val("");
		$("#priv_name").val("").addClass("require");
		$("#priv_explain").val("");
		$("#priv_remark").val("");
		$("#createrShow").html("<?=$_SESSION["LOGIN_USER_NAME"]?>");
		$("#priv_creater").val("<?=$_SESSION["LOGIN_USER_ID"]?>");
		$("#TimeShow").html("<?=date("Y-m-d H:i:s",time())?>");
		$("#priv_creattime").val("<?=date("Y-m-d H:i:s",time())?>");
		$("#type").val("new");
		diffButtonShow("new");
	});
	diffButtonShow("new");
	$("#Message").LazyMessage({
		ofTarget : "#right_table"	
	});
	$("#left_list").height($(window).height()-40);
	$("#left_list").niceScroll();	
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	
	$(".switch").LazyToggle({
		showTip : "<?=$_lang["project_template_showCategory"];?>",
		hideTip : "<?=$_lang["project_template_hideCategory"];?>",
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
		}
	});
	$(".left_search").LazySearch({
		tip : "<?=$_lang["project_pro_seach_title"];?>",
		url : "do.php",
		param : {
			type : "autoSearch1"
		},
		width : 130,
		autoSearch : {
			template : "{typeName}",
			onItemClick : function(data,value) {
				proPrivEdit(data.key);
			}
		},
		onClearButtonClick:function()
		{
			//查询清除回调函数
		}
	});	

	$("#priv_name").blur(function() {
		characters_change(this,'low');
	});
});	
function diffButtonShow(diff){
	var but_text = "";
	switch(diff){
		case "new":
			but_text = "<?=$_lang["project_role_name_new"];?>";
		break;
		case "edit":
			but_text = "<?=$_lang["project_role_name_edit"];?>";
		break;	
	}
	$(".right_main_wrap .tip").html(but_text);
	$("#privSumbit").unbind("click").bind("click",function(){
		if($("#priv_name").val()==""){
			$("#Message").LazyMessage("open","<?=$_lang["project_role_fill_role_name"];?>","warning");	
			return false;
		}
		$('#form1').ajaxSubmit(function(data){
			if(data){
				$("#Message").LazyMessage("open","<?=$_lang["common_submit_success"];?>","success");
				if (diff=="new") {
					
					$("#left_list").LazyList("reload");
					$("#leftTitleBtn").click();
				} else{
					$("#haveChooseId").val(data);
					$("#left_list").LazyList("reload");
				};
				
			}else{
				alert("error!");	
			}
		});	
	});
}
//编辑项目角色
function proPrivEdit(dataid){
	$.ajax({
		type:"POST",
		data:"type=getview&dataid="+dataid,
		url:"do.php"
	}).done(function(result){
		var dataobj = $.parseJSON(result);	
		diffButtonShow("edit");
		$("#priv_order").val(dataobj.PRIV_ORDER);
		$("#priv_id").val(dataobj.PRIV_ID);
		$("#priv_name").val(dataobj.PRIV_NAME).removeClass("require");
		$("#priv_explain").val(dataobj.PRIV_EXPLAIN);
		$("#priv_remark").val(dataobj.PRIV_REMARK);
		$("#createrShow").html(dataobj.creatName);
		$("#priv_creater").val(dataobj.PRIV_CREATER);
		$("#TimeShow").html(dataobj.PRIV_CREAT_TIME);
		$("#priv_creattime").val(dataobj.PRIV_CREAT_TIME);
		$("#type").val("edit");
	});	
}
</script>