<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的项目
* @encoding      $_lang['encoding']
* @name          general/project/myproject
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");

//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('162,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}		

$PAGE_TITLE	= $_lang["system_project"];
include_once 'inc/page_header.inc.php';
?>
<!--<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">-->
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<!--新添css-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/general/project/css/bar.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/calendar/calendar.js"></script>
<script type="text/javascript" src="/inc/calendar/time.js"></script>
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
<!--新添js-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<!--tabjs-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<script language="javascript">
$(function() {
	$("#left_list").LazyList({
		width : 300,
		/*header:{
			search : {
			tip : "搜索分类标题",
			url : "alldo.php",
			param : {
				type : "autoSearch1"
			},
			autoSearch : {
				template : "{flowName}",
				onItemClick : function(data,value) {
					alert(data.key+"----"+data.flowName);
				}
			}
		},
		template : "全部({proCount})"
		},*/
		buttons : {
			  buttonInfor : {
				  "proExamine" : {
					 title : "提交审批",
					func : function(data) {
						$("#dealProDiff").val("sumbitpro");
						checkButtonDeal("examine",data.proid);
					}
				  },
				  "proApprove" : {
					 title : "批准",
					func : function(data) {
						$("#dealProDiff").val("approve");
						checkButtonDeal("approve",data.proid);
					}
				  },
				  "proRefuse" : {
					 title : "退回",
					func : function(data) {
						$("#dealProDiff").val("returnback");
						checkButtonDeal("back",data.proid);
					}
				  },
				  "delete" : {
					 title : "删除",
					func : function(data) {
						//console.log(data);
						$("#dealProDiff").val("delete");
						checkButtonDeal("delete",data.proid);
					}
				  }
			  },
			  filter : function(data) {
				 var buttonFilterStr = new Array();
				 if((data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_CREATER=="<?=$_SESSION["LOGIN_USER_ID"]?>") && data.MANAGER_STATE=="1"){
					buttonFilterStr.push("proExamine");	 
				 } 
				 if(data.MANAGER_EXAMINE=="<?=$_SESSION["LOGIN_USER_ID"]?>" && (data.MANAGER_STATE=="2" || data.MANAGER_STATE=="3")){
					buttonFilterStr.push("proApprove");	
					buttonFilterStr.push("proRefuse");	 
				 } 
				 if((data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_CREATER=="<?=$_SESSION["LOGIN_USER_ID"]?>") && (data.MANAGER_STATE=="1" || data.MANAGER_STATE=="5")){
					buttonFilterStr.push("delete");	
				 } 
				 return buttonFilterStr;
			  }
		},
		itemTitleTemplate : "{proTypeName}",
		itemListTemplate : function(data) {
			//return "<div style=\"width:100%\"><div style=\"float:left\">{proName}</div><div style=\"float:right;margin-right:5px;width:60px;\">{manager}</div><div style=\"float:right; margin-right:8px; \">{plan}</div></div>";
			return "{proName}";
			//return "<div style=\"float:left;\">{proName}</div><div style=\"float:left; margin-right:8px; \">{plan}</div><div style=\"margin-right:5px;\">{manager}</div>";
		},
		dataSource : "alldo.php",
		param : {
			type : "right_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			
			$("#task").attr("href","task.php?pro_id="+data.proid);
			$("#team").attr("href","team.php?pro_id="+data.proid);
			$("#dicuss").attr("href","dicuss.php?pro_id="+data.proid);
			$("#question").attr("href","question.php?pro_id="+data.proid);
			$("#document").attr("href","document.php?pro_id="+data.proid);
			$("#gantt").attr("href","gantt.php?pro_id="+data.proid);
			$("#view").attr("href","view.php?pro_id="+data.proid);
			var tabsnum = $("#tabsCurrSelected").val();
			//alert(tabsnum);
			$( "#right_table" ).tabs( "load", parseInt(tabsnum));
			//$( "#right_table" ).tabs();
		}
	});
	//标签
	var tabs = $( "#right_table" ).tabs({
		//"active":0,
		/*activate: function( event, ui ) {
			alert('111');	
		},*/
		ajaxOptions:{cache:false},
		beforeLoad: function( event, ui ) {
			ui.jqXHR.error(function() {
				ui.panel.html(
					"Couldn't load this tab. We'll try to fix this as soon as possible. " +
					"If this wouldn't be a demo." );
			});
		}
	});
	//$(".ui-tabs-panel").css("padding","0");
	$(".ui-tabs-panel").css("padding","10px 0 0 5px");
	$("#showHide").click(function(){
		if($("#left_list").is(":visible")){
			$("#right_table").css("margin-left","0");	
			$("#left_list").hide();		
		}else{
			$("#right_table").css("margin-left","300px");
			$("#left_list").show();			
		}
	});
	$("#left_list").LazyToggle({
		showTip : "显示项目分类",
		hideTip : "隐藏项目分类",
		autoHide : false,
		onAfterShow : function() {
			$("#head_left").show();
			$("#right_table").css("margin-left", "300px").LazyTable("hideFields");
		},
		onAfterHide : function() {
			$("#head_left").hide();
			$("#right_table").css("margin-left", "0px").LazyTable("showFields");
		}
	});
	$("#proQuickSearch").LazySelect();
	$("#proAutoSearch").LazySearch({
		tip : "搜索项目标题",
		url : "alldo.php",
		autoSerch : true,
		width : 130,
		param : {
			type : "autoSearch1"
		},
		autoSearch : {
			template : "{flowName}",
			onItemClick : function(data,value) {
				alert(data.key+"----"+data.flowName);
			}
		}
	});
	$("#task").click(function(){
		$("#tabsCurrSelected").val("0");	
	});
	$("#team").click(function(){
		$("#tabsCurrSelected").val("1");	
	});
	$("#dicuss").click(function(){
		$("#tabsCurrSelected").val("2");	
	});
	$("#question").click(function(){
		$("#tabsCurrSelected").val("3");	
	});
	$("#document").click(function(){
		$("#tabsCurrSelected").val("4");	
	});
	$("#gantt").click(function(){
		$("#tabsCurrSelected").val("5");	
	});
	$("#view").click(function(){
		$("#tabsCurrSelected").val("6");	
	});
	//提示语句
	$("#remindProMessage").dialog({
		  autoOpen: false,
		  resizable: false,
		  modal: true,
		  closeOnEscape: true,
		  buttons: {
			   "<?=$_lang["common_cancel"]?>":function(){
				 $(this).dialog("close"); 
			   },
			  "<?=$_lang["common_sure"]?>": function() {
				var pro_id = $("#chooseProID").val();
				var dealdiff = $("#dealProDiff").val();
				var typediff = "";
				switch(dealdiff){
					case "sumbitpro":
						typediff = "proSubmit";
					break;	
					case "approve":
						typediff = "proApprove";
					break;	
					case "returnback":
						typediff = "proBack";
					break;	
					case "delete":
						typediff = "proDelete";
					break;	
				}
				$.ajax({
					type: "post", 
					url : "alldo.php", 
					data:"type="+typediff+"&dataid="+pro_id
				}).done(function(result){
					$("#left_list").LazyList("reload");		
				});				
				$(this).dialog("close");  
			  }
		  }
	});
	//列表快速筛选
	$("#proQuickSearch").change(function(){
		var selectValue = $(this).val();
		$("#left_list").LazyList("reload",{
			param:{
				type : "right_list",
				quickparam :selectValue	
			}	
		});	
	});
	
});	
function checkButtonDeal(diff,dataid){
	var remindstr = "";
	switch(diff){
		case "examine":
			remindstr = "您确定要将此项目提交审核吗？";
		break;	
		case "approve":
			remindstr = "您确定要批准此项目吗？";
		break;	
		case "back":
			remindstr = "您确定要将此项目退回给申请人吗？";
		break;	
		case "delete":
			remindstr = "您确定要删除此数据吗？";
		break;	
	}	
	$("#remindProMessage").html(remindstr);
	$("#chooseProID").val(dataid);
	$("#remindProMessage").dialog("open");
}
</script>
<body>
<input type="hidden" id="chooseProID" name="chooseProID">
<input type="hidden" id="dealProDiff" name="dealProDiff">
<div id="remindProMessage" title="提示"></div>

<input type="hidden" id="tabsCurrSelected" name="tabsCurrSelected" value="0">
<div style="float:left; width:300px">
	<div id="head_left" class="pro_left_head">
    	<div style="float:left; margin-top:5px;">
            <select id="proQuickSearch">
                <option value="all">全部</option>
                <optgroup label="项目类别">
                    <option value="pro_myjoin">我参与的项目</option>
                    <option value="pro_mymanage">我管理的项目</option>
                    <option value="pro_mymontior">我监控的项目</option>
                    <option value="pro_examine">我审核的项目</option>
                </optgroup>
                <optgroup label="项目状态">
                    <option value="state_1">立项中</option>
                    <option value="state_2">审批中</option>
                    <option value="state_3">已退回</option>
                    <option value="state_4">进行中</option>
                    <option value="state_5">已结束</option>
                </optgroup>
            </select> 
        </div>
        <div id="proAutoSearch" style="float:right; margin-top:5px; margin-right:5px">
        </div>
    </div>
    <div id="left_list" style="float:left;"></div>
</div>
<!--<div id="left_list" style="float:left;"></div>-->
<div id="right_table" style="margin-left:300px; border:0;">
	<ul style=" height:33px;">
    	<!--<li id="showHide">
        	<div class="project_showhide">
            	类型
            </div>
        </li>-->
		<li><a id="task" href="task.php">任务</a></li>
        <li><a id="team" href="team.php">团队</a></li>
		<li><a id="dicuss" href="dicuss.php">讨论</a></li>
		<li><a id="question" href="question.php">问题</a></li>
		<li><a id="document" href="document.php">文档</a></li>
		<li><a id="gantt" href="gantt.php">甘特图</a></li>
        <li><a id="view" href="view.php">详情</a></li>
	</ul>
</div>

</body>
</html>