<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的项目
* @encoding      $_lang['encoding']
* @name          general/project/myproject
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");

//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('162,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}	
$projectapi = new Projects();
$infor = $projectapi->pro_ListMyProjectData("MANAGER_ID","DESC","","","",array());
unset($infor["resultCount"]);
if(count($infor)==0){
	Message("","暂无相关项目数据，请新建项目！");
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<!--新添css-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/general/project/css/bar.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<title>我的项目</title>
</head>
<style type="text/css">
/*  .lazy_header .form_table .bootstrap-select{
    border:1px solid #ddd;
  }*/
</style>
<body>
<input type="hidden" id="chooseProID" name="chooseProID">
<input type="hidden" id="dealProDiff" name="dealProDiff">
<input type="hidden" id="tabsCurrSelected" name="tabsCurrSelected" value="0">
<div class="left_list_wrap">
    <div class="lazy_header">
        <div style="float:left; margin-top:5px;">
            <select id="proQuickSearch">
                <option value="all">全部</option>
                <optgroup label="项目类别">
                    <option value="pro_myjoin">我参与的项目</option>
                    <option value="pro_mymanage">我管理的项目</option>
                    <option value="pro_mymontior">我监控的项目</option>
                    <option value="pro_examine">我审核的项目</option>
                </optgroup>
                <optgroup label="项目状态">
                    <option value="state_1">立项中</option>
                    <option value="state_2">审批中</option>
                    <option value="state_3">已退回</option>
                    <option value="state_4">进行中</option>
                    <option value="state_5">已结束</option>
                </optgroup>
            </select> 
        </div>
        <div id="proAutoSearch" class="left_search" style="float:right; margin-right:5px;"></div>
    </div>
    <div id="left_list"></div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <div id="right_table">
            <ul id="proTabUl" style=" height:40px;">
                <li id="taskli"><a id="task" href="task.php">任务</a></li>
                <li><a id="team" href="team.php">团队</a></li>
                <li><a id="dicuss" href="dicuss.php">讨论</a></li>
                <li><a id="question" href="question.php">问题</a></li>
                <li><a id="document" href="document.php">文档</a></li>
                <li><a id="gantt" href="gantt.php">甘特图</a></li>
                <li><a id="view" href="view.php">详情</a></li>
            </ul>
        </div>
    </div>
</div>    
<input type="hidden" id="haveChooseId" name="haveChooseId">
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
<!--新添js-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<!--tabjs-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<!--<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>-->
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>

<!--编辑器-->
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>
<script language="javascript">
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";
	// $("#proTabUl li").each(function(index, element) {
 //        if($(this).attr("id")!="taskli"){
	// 		$(this).css("display","none");	
	// 	}
 //    });
	$("#left_list").LazyList({
		width:"380px",
		buttons : {
			  buttonInfor : {
				  "proExamine" : {
					 title : "提交审批",
					func : function(data) {
						$("#dealProDiff").val("sumbitpro");
						checkButtonDeal("examine",data.proid);
					}
				  },
				  "proApprove" : {
					 title : "批准",
					func : function(data) {
						$("#dealProDiff").val("approve");
						checkButtonDeal("approve",data.proid);
					}
				  },
				  "proRefuse" : {
					 title : "退回",
					func : function(data) {
						$("#dealProDiff").val("returnback");
						checkButtonDeal("back",data.proid);
					}
				  },
				  "proEnd" : {
					 title : "结束",
					func : function(data) {
						$("#dealProDiff").val("proEnd");
						checkButtonDeal("proEnd",data.proid);
					}
				  },
				  "proRestart" : {
					 title : "重新启动",
					func : function(data) {
						$("#dealProDiff").val("proRestart");
						checkButtonDeal("proRestart",data.proid);
					}
				  },
				  "delete" : {
					 title : "删除",
					func : function(data) {
						//console.log(data);
						$("#dealProDiff").val("delete");
						checkButtonDeal("delete",data.proid);
					}
				  }
			  },
			  filter : function(data) {
				 var buttonFilterStr = new Array();

				 if(data.MANAGER_STATE=="1" || data.MANAGER_STATE=="3"){
				 	if(data.MANAGER_CREATER=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>"){
				 		buttonFilterStr.push("proExamine");
				 		buttonFilterStr.push("delete");	
				 	}
				 }else if(data.MANAGER_STATE=="2"){
				 	if(data.MANAGER_EXAMINE=="<?=$_SESSION["LOGIN_USER_ID"]?>"){
				 		buttonFilterStr.push("proApprove");	
						buttonFilterStr.push("proRefuse");
				 	}
				 }else if(data.MANAGER_STATE=="4"){
				 	if(data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_MONITOR=="<?=$_SESSION["LOGIN_USER_ID"]?>"){
				 		buttonFilterStr.push("proEnd");	
				 	}
				 	if(data.MANAGER_MONITOR=="<?=$_SESSION["LOGIN_USER_ID"]?>"){
				 		buttonFilterStr.push("delete");
				 	}
				 }else if(data.MANAGER_STATE=="5"){
				 	if(data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_MONITOR=="<?=$_SESSION["LOGIN_USER_ID"]?>"){
				 		buttonFilterStr.push("proRestart");
				 		buttonFilterStr.push("delete");
				 	}
				 }
				 // if((data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_CREATER=="<?=$_SESSION["LOGIN_USER_ID"]?>") && (data.MANAGER_STATE=="1" || data.MANAGER_STATE=="3")){
					// buttonFilterStr.push("proExamine");	 
				 // } 
				 // if(data.MANAGER_EXAMINE=="<?=$_SESSION["LOGIN_USER_ID"]?>" && data.MANAGER_STATE=="2"){
					// buttonFilterStr.push("proApprove");	
					// buttonFilterStr.push("proRefuse");	 
				 // } 
				 // if((data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_MONITOR=="<?=$_SESSION["LOGIN_USER_ID"]?>")){
					// if(data.MANAGER_STATE=="4"){
					// 	buttonFilterStr.push("proEnd");	
					// 	if(data.MANAGER_MONITOR=="<?=$_SESSION["LOGIN_USER_ID"]?>"){
					// 		buttonFilterStr.push("delete");		
					// 	}	
					// }else if(data.MANAGER_STATE=="5"){
					// 	buttonFilterStr.push("proRestart");
					// 	buttonFilterStr.push("delete");		 	
					// }		 
				 // }
				 // if((data.MANAGER_PERSON=="<?=$_SESSION["LOGIN_USER_ID"]?>" || data.MANAGER_CREATER=="<?=$_SESSION["LOGIN_USER_ID"]?>") && (data.MANAGER_STATE=="1" || data.MANAGER_STATE=="3")){
					// buttonFilterStr.push("delete");	
				 // } 
				 return buttonFilterStr;
			  }
		},
		itemTitleTemplate : "{proTypeName}",
		itemListTemplate : function(data) {
			var titletext = '<div id="{MANAGER_ID}" class="proLeftSpan" style="width:100%;"><div style="float:left;width:60%;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="{titleName}">{proName}</div><div id="plan_{MANAGER_ID}" style="float:left; color:#3498DB;width:10%;">{plan}</div><div style="float:left;">{manager}</div></div>';
			return titletext;
		},
		dataSource : "alldo.php",
		param : {
			type : "right_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			//console.log(data);
			projectChooseDo(data);
			$("#haveChooseId").val(data.MANAGER_ID);
		},
	    onInit:function(){
	      var chooseId = $("#haveChooseId").val();
	      if (chooseId) {
	        $(this).find("#"+chooseId).click();
	      }else{
	      	if ($(this).find(".proLeftSpan").length>0) {
	      		$(this).find(".proLeftSpan").eq(0).click();
	      	} 
	      }
	      $("#left_list").getNiceScroll().resize(); 
	    }
	});

	//标签
	var tabs = $( "#right_table" ).tabs({
		//"active":0,
		/*activate: function( event, ui ) {
			alert('111');	
		},*/
		ajaxOptions:{cache:false},
		beforeLoad: function( event, ui ) {
			ui.jqXHR.error(function() {
				ui.panel.html(
					"Couldn't load this tab. We'll try to fix this as soon as possible. " +
					"If this wouldn't be a demo." );
			});
		}
	});
	//$(".ui-tabs-panel").css("padding","0");
	//$(".ui-tabs-panel").css("padding","10px 0 0 5px");
	$("#showHide").click(function(){
		if($("#left_list").is(":visible")){
			$("#right_table").css("margin-left","0");	
			$("#left_list").hide();		
		}else{
			$("#right_table").css("margin-left","300px");
			$("#left_list").show();			
		}
	});
	
	$("#left_list").height($(window).height()-40);
	$("#left_list").niceScroll();

	$("div[id^='ui-tabs']").height($(window).height()-40);
	$("div[id^='ui-tabs']").niceScroll();
	
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	
	$(".switch").LazyToggle({
		showTip : "显示项目分类",
		hideTip : "隐藏项目分类",
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
			$("table .right_main_wrap").css("margin-left","0px");
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
		}
	});
	
	$("#proQuickSearch").selectpicker({
		width:"140px"	
	});
	$("#proAutoSearch").LazySearch({
		tip : "搜索项目标题",
		url : "alldo.php",
		autoSerch : true,
		width : 150,
		param : {
			type : "autoSearch1"
		},
		autoSearch : {
			template : "{titleName}",
			onItemClick : function(data) {
				projectChooseDo(data);
			}
		},
		onClearButtonClick:function()
		{
			//查询清除回调函数
		}
	});
	
	$("#task").click(function(){
		$("#tabsCurrSelected").val("0");	
	});
	$("#team").click(function(){
		$("#tabsCurrSelected").val("1");	
	});
	$("#dicuss").click(function(){
		$("#tabsCurrSelected").val("2");	
	});
	$("#question").click(function(){
		$("#tabsCurrSelected").val("3");	
	});
	$("#document").click(function(){
		$("#tabsCurrSelected").val("4");	
	});
	$("#gantt").click(function(){
		$("#tabsCurrSelected").val("5");	
	});
	$("#view").click(function(){
		$("#tabsCurrSelected").val("6");	
	});
	//列表快速筛选
	$("#proQuickSearch").change(function(){
		var selectValue = $(this).val();
		$("#left_list").LazyList("reload",{
			param:{
				type : "right_list",
				quickparam :selectValue	
			}	
		});	
	});
	
});	
function checkButtonDeal(diff,dataid){
	var remindstr = "";
	switch(diff){
		case "examine":
			remindstr = "您确定要将此项目提交审核吗？";
		break;	
		case "approve":
			remindstr = "您确定要批准此项目吗？";
		break;	
		case "back":
			remindstr = "您确定要将此项目退回给申请人吗？";
		break;	
		case "delete":
			remindstr = "您确定要删除此数据吗？";
		break;	
		case "proEnd":
			remindstr = "您确定要结束此项目吗？";
		break;
		case "proRestart":
			remindstr = "您确定要重新启动此项目吗？";
		break;
	}	
	$("#chooseProID").val(dataid);
	bootbox.confirm(remindstr, function(result) {
		if(result){
			var pro_id = $("#chooseProID").val();
			var dealdiff = $("#dealProDiff").val();
			var typediff = "";
			switch(dealdiff){
				case "sumbitpro":
					typediff = "proSubmit";
				break;	
				case "approve":
					typediff = "proApprove";
				break;	
				case "returnback":
					typediff = "proBack";
				break;	
				case "delete":
					typediff = "proDelete";
				break;	
				case "proEnd":
					typediff = "proEnd";
				break;
				case "proRestart":
					typediff = "proRestart";
				break;
			}
			$.ajax({
				type: "post", 
				url : "alldo.php", 
				data:"type="+typediff+"&dataid="+pro_id
			}).done(function(result){
				if(diff=="delete"){
					location.href="index.php";
				}else{
					$("#left_list").LazyList("reload");
					$("#task").attr("href","task.php");
					$("#proTabUl li").each(function(index, element) {
						if($(this).attr("id")!="taskli"){
							$(this).css("display","none");	
						}
					});	
					$("#task").click();
				}
			});				
		}	
	});
}
//选择项目
function projectChooseDo(data){
	$("#proTabUl li").each(function(index, element) {
		$(this).css("display","");	
	});
	$("#task").attr("href","task.php?pro_id="+data.proid+"&pro_name="+encodeURIComponent(data.proName)+"&pro_state="+data.MANAGER_STATE+"&pro_person="+data.MANAGER_PERSON+"&pro_monitor="+data.MANAGER_MONITOR+"&pro_creator="+data.MANAGER_CREATER);
	$("#team").attr("href","team.php?pro_id="+data.proid+"&pro_name="+encodeURIComponent(data.proName)+"&pro_state="+data.MANAGER_STATE+"&pro_person="+data.MANAGER_PERSON+"&pro_monitor="+data.MANAGER_MONITOR+"&pro_creator="+data.MANAGER_CREATER);
	$("#dicuss").attr("href","dicuss.php?pro_id="+data.proid+"&pro_name="+encodeURIComponent(data.proName)+"&pro_state="+data.MANAGER_STATE);
	$("#question").attr("href","question.php?pro_id="+data.proid+"&pro_name="+encodeURIComponent(data.proName)+"&pro_state="+data.MANAGER_STATE+"&pro_person="+data.MANAGER_PERSON+"&pro_monitor="+data.MANAGER_MONITOR+"&pro_creator="+data.MANAGER_CREATER);
	$("#document").attr("href","document.php?pro_id="+data.proid+"&pro_name="+encodeURIComponent(data.proName)+"&pro_state="+data.MANAGER_STATE+"&pro_person="+data.MANAGER_PERSON+"&pro_monitor="+data.MANAGER_MONITOR+"&pro_creator="+data.MANAGER_CREATER);
	$("#gantt").attr("href","gantt.php?pro_id="+data.proid+"&pro_name="+encodeURIComponent(data.proName)+"&pro_state="+data.MANAGER_STATE);
	$("#view").attr("href","view.php?pro_id="+data.proid+"&pro_name="+encodeURIComponent(data.proName)+"&pro_state="+data.MANAGER_STATE);
	var tabsnum = $("#tabsCurrSelected").val();

	//alert(tabsnum);
	$( "#right_table" ).tabs( "load", parseInt(tabsnum));
	//$( "#right_table" ).tabs();
}
</script>