<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      项目问题
* @encoding      $_lang['encoding']
* @name          general/project/question
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
includelangpak("project");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('164,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}

$PAGE_TITLE	= $_lang["system_project"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypagination.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazyquicksort.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/calendar/calendar.js"></script>
<script type="text/javascript" src="/inc/calendar/time.js"></script>
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
</head>
<script language="javascript">
var myLazyGrid;
$(document).ready(function(){
	$("body").LazyBeautifyForm();
	$("#newcreat").click(function(){
		location.href="/general/project/question/new.php?check=all";		
	});	
	function LazyGridCallback(){
		$(":checkbox").LazyBeautifyCheckBox();
	}
	myLazyGrid = $("#showData").LazyGrid({
		theme : "<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/",
		/*
		* 分页参数
		*/
		pagination : {	
			pageCount : 15//每页条数，默认为12
		},
		quicksort : {
			mainID : "pro_myquestion",//快速筛选ID
			width:150,
			defaultValue:"all"
		},
		defaultSortField:"QUESTION_ID",
		defaultSortOrder:"DESC",
		buttons:[{
			type:"checkall",
			name:"checkdata_id"
			},
			{
				type:"search",
				url:"/general/project/question/search.php",
				width:530,
				height:270,
				caption:"<?=$_lang["common_inquire"]?>"
			},
			{
				type:"normal",
				text:'<?=$_lang["common_del_many"]?>',
					callback:del_many
		}],
		callback:{
			complete:LazyGridCallback
		},
		url : encodeURI('/general/project/question/index_do.php') //数据处理页面
	});
});
/*单个删除*/
function deletesingle(data_id) {
	if(confirm("<?=$_lang["project_task_delete_content"]?>")) {
		$.ajax({
			type:"POST",
			data:"checkdiff=delete&type=single&data_id="+data_id,
			url:"do.php",
			success:function(resp) {
				myLazyGrid.Reload();
			}
		})
	}
}
/*批量删除*/
function del_many() {	
	var data_ids = document.getElementsByName('checkdata_id');
	var i,vids = '';
	for( i = 0; i< data_ids.length; i++) {
		if(data_ids[i].checked == true) {
			vids += data_ids[i].value + ',';
		}
	}
	vids = vids.substr( 0,(vids.length-1) );
	if(vids=='') {
		alert('<?=$_lang["project_task_delete_onmore"]?>');
			return false;
	} else {
		if(!confirm('<?=$_lang["project_mytask_deletall"]?>'))
			return false;
		$.ajax({
				type:'POST',
				data:'idstr='+vids+'&type=many&checkdiff=delete',
				url:"do.php",
				success:function(resp)
				{
					myLazyGrid.Reload();
				}
		});
	}
}
</script>
<body>
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="margin-top:5px">
	<tr>
		<td class="page-title"><?=$_lang["project_question"]?></td>
		<td>
        	<div style=" float:right;">
            	<a class="button" id="newcreat">
					<span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/add.gif" border="0" align="absmiddle"><?=$_lang["project_myproject_question_new"]?></span>
                </a>
            </div>
             <? pageHeadItem("project_category",1,1,1,1)?>
		</td>
	</tr>
	<tr>
		<td colspan="2">
            <div class='bg-split' style="margin-bottom:5px; margin-top:5px;"></div>
		</td>
	</tr>
</table>
<div id="showData"></div>
</body>
</html>