<?
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package       eoffice8.0
 * @function      项目模板
 * @encoding      $_lang['encoding']
 * @name          general/project/template
 * @version       1.0
 * @author        liuqingyu
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");
includelangpak("project");

//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if (!isThisPri($priv_str, isMenuPri('165,'))) {
    echo "<body class='bodycolor'><title>" . $_lang["other_dir_limit"] . "</title><body bgcolor='#264989'>";
    Message($_lang["other_menu_warning"], $_lang["other_app_auth"]);
    exit;
}
//取项目类别
$projectapi = new Projects();
$cate_sql = " ORDER BY TYPE_ORDER ASC";
$cate_data = $projectapi->pro_SearchAllData("project_type", $cate_sql);

$PAGE_TITLE = $_lang["system_project"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<body>
    <input type="hidden" id="tem_id" name="tem_id" />
    <input type="hidden" id="templateid" name="templateid" />
    <input type="hidden" id="dataStrId" name="dataStrId" />
    <input type="hidden" id="checkDeleteDiff" name="checkDeleteDiff">
    <input type="hidden" id="deleteTempId" name="deleteTempId">
    <div id="remindMessage" title="<?= $_lang["common_prompt"]; ?>"></div>
    <div id="Message" style="z-index:9999"></div>

    <div class="left_list_wrap">
        <div class="lazy_header">
            <span class="lazy-list-title">
                <i class="fa fa-list-title"></i>
                <span class="tip"><?= $_lang["project_template"]; ?></span>
            </span>
            <button id="leftTitleBtn" type="button" class="btn btn-primary"><?= $_lang["common_new"]; ?></button>
            <div class="left_search" style="float:right; margin-right:5px;"></div>
        </div>
        <div id="left_list"></div>
    </div>
    <div class="right_main_wrap">
        <div class="lazy_header">
            <div class="switch"></div>
            <div style="float:left">
                <span class="lazy-page-title">
                    <i class="fa fa-page-title"></i>
                    <span class="tip"><?= $_lang["project_template_new"]; ?></span>
                </span>
            </div>
            <div id="newTaskBtn" class="button_wrap" style="display:none">
                <button id="createNewTask" type="button" class="btn btn-primary"><?= $_lang["project_task_new"]; ?></button>
            </div>
            <div id="temButTitle" style="display:none">
                <button type="button" id="templateBack" class="btn btn-default"><?= $_lang["common_back"]; ?></button>
                <button type="button" id="templateSumbit" class="btn btn-primary"></button>
            </div>
            <div id="searchTaskBtn" class="search_wrap" style="display:none"></div>
        </div>
        <div id="right_table">
            <div id="template_views" style="width:100%;display:none;"></div>
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td>
                        <div id="template_new" style="width:100%">
                            <form id="formtemp" name="formtemp" method="post" action="alldo.php" enctype="multipart/form-data">
                                <table border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
                                    <tr>
                                        <td class="title"><?= $_lang["project_template_name"]; ?></td>
                                        <td>
                                            <input type="text" id="te_name" name="te_name" onkeyup="pro_CheckRequire(this);" onchange="pro_DeleteBank(this)" onblur="pro_DeleteBank(this);" class="require" style="width:210px">
                                            <input type="hidden" id="type" name="type" value="templateCreat" />
                                            <input type="hidden" id="templateid" name="templateid" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_category"]; ?></td>
                                        <td>
                                            <select id="category_id" name="category_id" >
                                                <?
                                                $cate_count = count($cate_data);
                                                if ($cate_count == 0) {
                                                    ?>
                                                    <option value="0"><?= $_lang["project_template_zanno"]; ?></option>
                                                    <?
                                                } else {
                                                    for ($i = 0; $i < $cate_count; $i++) {
                                                        if ($cate_data[$i]["TYPE_ID"] != "") {
                                                            ?>
                                                            <option value="<?= $cate_data[$i]["TYPE_ID"] ?>"><?= $cate_data[$i]["TYPE_NAME"] ?></option>
                                                            <?
                                                        }
                                                    }
                                                }
                                                ?>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_template_intro"] ?></td>
                                        <td>
                                            <textarea id="te_explain" name="te_explain" style="overflow:auto;" rows="5" cols="50%"></textarea>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_creator"] ?></td>
                                        <td>
                                            <span id="temp_creatPerson">
                                                <?= $_SESSION["LOGIN_USER_NAME"] ?>
                                            </span>
                                            <input type="hidden" id="te_creater" name="te_creater" value="<?= $_SESSION["LOGIN_USER_ID"] ?>" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_create_time"] ?></td>
                                        <td>
                                            <span id="temp_creatTime">
                                                <?= date("Y-m-d H:i:s", time()) ?>
                                            </span>
                                            <input type="hidden" id="te_creattime" name="te_creattime" value="<?= date("Y-m-d H:i:s", time()) ?>" />
                                        </td>
                                    </tr>
                                </table>
                            </form>
                        </div>
                        <div id="template_edit" style="display:none">
                            <form id="form1" name="form1" method="post" action="alldo.php" enctype="multipart/form-data">
                                <table border="0" cellpadding="5" cellspacing="1" width="100%" class="form_table">
                                    <tr>
                                        <td class="title"><?= $_lang["project_template_name"]; ?></td>
                                        <td>
                                            <table border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                    <td>
                                                        <span id="tempShowName"></span>
                                                        <input type="hidden" id="pro_temp" name="pro_temp" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task"] ?></td>
                                        <td>
                                            <input type="text" id="task_name" name="task_name" style="width:210px;" onkeyup="pro_CheckRequire(this);" onchange="pro_DeleteBank(this)" onblur="pro_DeleteBank(this)">
                                            <input type="hidden" id="task_id" name="task_id" />
                                            <!--<input type="hidden" id="pro_temp" name="pro_temp" />-->
                                            <input type="hidden" id="type" name="type" value="task_edit_do" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_executor"]; ?></td>
                                        <td>
                                            <table border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                    <td>
                                                        <select maxHeight="200" width="208" id="task_person" name="task_person">
                                                            <option value=""><?= $_lang["project_task_no"] ?></option>
                                                            <option value="<?= $_SESSION["LOGIN_USER_ID"] ?>"><?= $_SESSION["LOGIN_USER_NAME"] ?></option>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <span style="margin-left:10px;">
                                                            <!-- <img id="person_name" name="person_name" <? if ($showdata["TASK_PERSONDO"] != "0") {
                                                    echo "style=\"display:none\"";
                                                } ?>  src="/theme/<?= $_SESSION["LOGIN_THEME"] ?>/images/icon/warning.gif"> -->
                                                        </span>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_front"] ?></td>
                                        <td>
                                            <select maxHeight="200" width="208" id="task_pre" name="task_pre" class="select">

                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_planning"] ?></td>
                                        <td>
                                            <table border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                    <td>
                                                        <input style="width:100px;" type="text" name="begin_date" id="begin_date" onchange="pro_CheckRequire(this);
                                                                pro_DoTaskTime('begin_date', 'end_date', 'showTime');" onkeyup="pro_CheckRequire(this);
                                                                        pro_DoTaskTime('begin_date', 'end_date', 'showTime');" class="require">
                                                    </td>
                                                    <td width="10px"></td>
                                                    <td>
                                                        <input style="width:100px;" type="text" name="end_date" id="end_date"  onchange="pro_CheckRequire(this);
                                                                pro_DoTaskTime('begin_date', 'end_date', 'showTime');
                                                                pro_CompareTime('begin_date', 'end_date')" onkeyup="pro_CheckRequire(this);
                                                                        pro_DoTaskTime('begin_date', 'end_date', 'showTime');" class="require">
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_hours"] ?></td>
                                        <td>
                                            <span id="showTime">

                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_level"] ?></td>
                                        <td>
                                            <select maxHeight="200" width="208" id="task_level" name="task_level" class="select">
                                                <option value="0"><?= $_lang["project_secondary"] ?></option>
                                                <option value="1"><?= $_lang["project_task_commonly"] ?></option>
                                                <option value="2"><?= $_lang["project_task_important"] ?></option>
                                                <option value="3"><?= $_lang["project_task_very_important"] ?></option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_milepost"] ?></td>
                                        <td>
                                            <input type="checkbox" id="task_mark" name="task_mark"/>
                                            <span style="color:#F00">（<?= $_lang["project_task_remark_milepost"] ?>）</span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_desc"] ?></td>
                                        <td>
                                            <textarea id="task_explain" name="task_explain" style="overflow:auto;" rows="5" cols="50%"></textarea>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_remark"] ?></td>
                                        <td>
                                            <textarea id="task_remark" name="task_remark" style="overflow:auto;" rows="5" cols="50%"></textarea>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_task_creator"] ?></td>
                                        <td>
                                            <span id="show_creater"></span>
                                            <input type="hidden" id="task_creater" name="task_creater" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="title"><?= $_lang["project_create_time"] ?></td>
                                        <td>
                                            <span id="show_creattime"></span>
                                            <input type="hidden" id="task_creattime" name="task_creattime" />
                                        </td>
                                    </tr>
                                </table>
                            </form>
                        </div>
                    </td>
                </tr>
            </table>    
        </div>
    </div>    
    <input type="hidden" id="haveChooseId" name="haveChooseId">

</body>
</html>
<script type="text/javascript" src="/lang/<?= $_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/general/project/js/js_all.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?= $_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
                                                                    $.pnotify.defaults.styling = "bootstrap3";
                                                                    $.pnotify.defaults.closer = false;
                                                                    $.pnotify.defaults.sticker = false;
                                                                    $.pnotify.defaults.history = false;
                                                                    $.pnotify.defaults.delay = 1000;
                                                                    $.pnotify.defaults.addclass = "stack-topleft";
                                                                    $.pnotify.defaults.animate_speed = 'fast';
                                                                    $.pnotify.defaults.type = "error";
                                                                    $(function () {
                                                                        $("select").selectpicker({width: 210, size: 10});
                                                                        $('input').iCheck({
                                                                            checkboxClass: 'icheckbox_square-blue',
                                                                            radioClass: 'iradio_square-blue'
                                                                        });

                                                                        $("#te_name").keydown(function (event) {
                                                                            if (event.keyCode == 13) {
                                                                                return false;
                                                                            }
                                                                        });

                                                                        var leftlist = $("#left_list").LazyList({
                                                                            buttons: {
                                                                                buttonInfor: {
                                                                                    "edit": {
                                                                                        title: "<?= $_lang["common_edit"] ?>",
                                                                                        func: function (data) {
                                                                                            //  console.log(data);
                                                                                            $("#template_new").show();
                                                                                            $("#template_views").hide();
                                                                                            $("#template_edit").hide();
                                                                                            $("#check_name").css("display", "none");
                                                                                            $(".right_main_wrap .tip").html("<?= $_lang["project_template_edit"] ?>");
                                                                                            //显示按钮
                                                                                            temp_button("edit");
                                                                                            //添加数据
                                                                                            $.ajax({
                                                                                                type: "POST",
                                                                                                data: "type=getTempView&temp_id=" + data.TEMPLATE_ID,
                                                                                                url: "alldo.php"
                                                                                            }).done(function (result) {
                                                                                                var tempEditObj = $("#template_new");
                                                                                                var dataobj = $.parseJSON(result);
                                                                                                tempEditObj.find("#te_name").val(dataobj.TEMPLATE_NAME).removeClass("require");
                                                                                                //tempEditObj.find("#type").val("templateCreat");
                                                                                                tempEditObj.find("#templateid").val(dataobj.TEMPLATE_ID);
                                                                                                tempEditObj.find("#category_id").val(dataobj.TEMPLATE_TYPE);
                                                                                                tempEditObj.find("#te_explain").val(dataobj.TEMPLATE_EXPLAIN);
                                                                                                tempEditObj.find("#temp_creatPerson").html(dataobj.showCreater);
                                                                                                tempEditObj.find("#te_creater").val(dataobj.TEMPLATE_CREATER);
                                                                                                tempEditObj.find("#temp_creatTime").html(dataobj.TEMPLATE_CREAT_TIME);
                                                                                                tempEditObj.find("#te_creattime").val(dataobj.TEMPLATE_CREAT_TIME);
                                                                                                $("select").selectpicker("refresh");
                                                                                            });
                                                                                        }
                                                                                    },
                                                                                    "delete": {
                                                                                        title: "<?= $_lang["common_del"] ?>",
                                                                                        func: function (data) {
                                                                                            //console.log(data);
                                                                                            bootbox.confirm("<?= $_lang["project_task_delete_content"]; ?>", function (result) {
                                                                                                if (result) {
                                                                                                    var dataid = data.TEMPLATE_ID;
                                                                                                    $.ajax({
                                                                                                        type: "POST",
                                                                                                        data: "type=deleteTemp&dataid=" + dataid,
                                                                                                        url: "alldo.php"
                                                                                                    }).done(function (result) {
                                                                                                        $("#left_list").LazyList("reload");
                                                                                                    });
                                                                                                    $("#leftTitleBtn").click();
                                                                                                }
                                                                                            });
                                                                                        }
                                                                                    }
                                                                                }
                                                                            },
                                                                            itemTitleTemplate: "{proTypeName}({proTypeCount})",
                                                                            /*itemListTemplate : function(data) {
                                                                             //return "{TEMPLATE_NAME}";
                                                                             return "<div style=\"float:left;width:160px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;\" title=\"{TEMPLATE_NAME}\">{TEMPLATE_NAME}</div>";
                                                                             },*/
                                                                            itemListTemplate: function (data) {
                                                                                //return "{TEMPLATE_NAME}";
                                                                                return '<div id="{TEMPLATE_ID}" class="left_list_text" title="{TEMPLATE_NAME}">{TEMPLATE_NAME}</div>';
                                                                            },
                                                                            dataSource: "alldo.php",
                                                                            param: {
                                                                                type: "left_list"
                                                                            },
                                                                            onItemMouseEnter: function () {
                                                                                $(this).find("span").addClass("hover").end().find("span.split").hide();
                                                                            },
                                                                            onItemMouseLeave: function () {
                                                                                $(this).find("span").removeClass("hover").end().find("span.split").show();
                                                                            },
                                                                            onItemClick: function (ui, data) {
                                                                                ui.find("li.list span").removeClass("hover").end().find("span.split").show();
                                                                                $(this).find("span").addClass("hover").end().find("span.split").hide();
                                                                                proChooseTemplate(data.TEMPLATE_ID);
                                                                                $("#haveChooseId").val(data.TEMPLATE_ID);
                                                                            },
                                                                            onInit: function () {
                                                                                var chooseId = $("#haveChooseId").val();
                                                                                if (chooseId) {
                                                                                    $(this).find("#" + chooseId).click();
                                                                                }
                                                                                $("#left_list").getNiceScroll().resize();
                                                                            }
                                                                        });
                                                                        //新建按钮
                                                                        $("#leftTitleBtn").on("click", function () {
                                                                            if ($("#category_id").val() == "0") {
                                                                                $.pnotify({
                                                                                    text: "<?= $_lang["project_template_cre_add"]; ?>",
                                                                                    type: "error"
                                                                                });
                                                                            } else {
                                                                                $("#haveChooseId").val("");
                                                                                $("#left_list").LazyList("reload");
                                                                                $("#template_new").show();
                                                                                $("#template_views").hide();
                                                                                $("#template_edit").hide();
                                                                                temp_button("new");

                                                                                var tempEditObj = $("#template_new");
                                                                                tempEditObj.find("#te_name").val("").addClass("require");
                                                                                tempEditObj.find("#templateid").val("");
                                                                                tempEditObj.find("#category_id").val("");
                                                                                tempEditObj.find("#te_explain").val("");
                                                                                tempEditObj.find("#temp_creatPerson").html("<?= $_SESSION["LOGIN_USER_NAME"] ?>");
                                                                                tempEditObj.find("#te_creater").val("<?= $_SESSION["LOGIN_USER_ID"] ?>");
                                                                                tempEditObj.find("#temp_creatTime").html("<?= date("Y-m-d H:i:s", time()) ?>");
                                                                                tempEditObj.find("#te_creattime").val("<?= date("Y-m-d H:i:s", time()) ?>");
                                                                                $("select").selectpicker("refresh");
                                                                            }
                                                                        });
                                                                        //搜索
                                                                        $(".left_search").LazySearch({
                                                                            tip: "<?= $_lang["project_template_seach_title"]; ?>",
                                                                            url: "alldo.php",
                                                                            param: {
                                                                                type: "autoSearch1"
                                                                            },
                                                                            width: 130,
                                                                            autoSearch: {
                                                                                template: "{flowName}",
                                                                                onItemClick: function (data, value) {
                                                                                    //alert(data.key+"----"+data.flowName);
                                                                                    proChooseTemplate(data.key);
                                                                                }
                                                                            },
                                                                            onClearButtonClick: function ()
                                                                            {
                                                                                //查询清除回调函数
                                                                            }
                                                                        });

                                                                        $("#left_list").height($(window).height() - 40);
                                                                        $("#left_list").niceScroll();

                                                                        $("#right_table").height($(window).height() - 40);
                                                                        $("#right_table").niceScroll();

                                                                        $(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});

                                                                        $(".switch").LazyToggle({
                                                                            showTip: "<?= $_lang["project_template_showCategory"]; ?>",
                                                                            hideTip: "<?= $_lang["project_template_hideCategory"]; ?>",
                                                                            autoHide: false,
                                                                            onAfterShow: function () {
                                                                                $(".left_list_wrap").show();
                                                                                //$("#left_list").getNiceScroll().show();
                                                                                $(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
                                                                            },
                                                                            onAfterHide: function () {
                                                                                $(".left_list_wrap").hide();
                                                                                //$("#left_list").getNiceScroll().hide();
                                                                                $(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
                                                                            }
                                                                        });


                                                                        $("#Message").LazyMessage({
                                                                            ofTarget: "#right_table"
                                                                        });
                                                                        $("#begin_date").datepicker();
                                                                        $("#end_date").datepicker();
                                                                        //新建任务
                                                                        $("#createNewTask").on("click", function () {
                                                                            var templateId = $("#templateid").val();
                                                                            $("#template_edit").show();
                                                                            $("#template_views").hide();

                                                                            $.ajax({
                                                                                type: "POST",
                                                                                data: "type=task_creat&temp_id=" + templateId,
                                                                                url: "alldo.php"
                                                                            }).done(function (result) {
                                                                                var dataobj = $.parseJSON(result);
                                                                                var tempEdit = $("#template_edit");
                                                                                //添加必填符号
                                                                                tempEdit.find("#tempShowName").html(dataobj.tempName);
                                                                                tempEdit.find("#pro_temp").val(dataobj.tempID);
                                                                                tempEdit.find("#task_creater").val(dataobj.taskCreatID);
                                                                                tempEdit.find("#task_creattime").val(dataobj.taskTime);
                                                                                tempEdit.find("#show_creater").html(dataobj.taskCreatName);
                                                                                tempEdit.find("#show_creattime").html(dataobj.taskTime);
                                                                                tempEdit.find("#task_name").val("").addClass("require");
                                                                                tempEdit.find("#task_id").val("");
                                                                                tempEdit.find("#begin_date").val("").addClass("require");
                                                                                tempEdit.find("#end_date").val("").addClass("require");
                                                                                tempEdit.find("#task_level").val("");
                                                                                tempEdit.find("#task_explain").val("");
                                                                                tempEdit.find("#task_remark").val("");
                                                                                $("#showTime").html("");
                                                                                //前置任务
                                                                                var preTask = "";
                                                                                preTask += "<option value=\"\"><?= $_lang["project_task_no"] ?></option>";
                                                                                for (var i = 0; i < dataobj.TASK_Pre.length; i++) {
                                                                                    if (dataobj.TASK_Pre[i]["check"] == "1") {
                                                                                        preTask += "<option selected=\"selected\" value=\"" + dataobj.TASK_Pre[i]["taskid"] + "\">" + dataobj.TASK_Pre[i]["taskname"] + "</option>";
                                                                                    } else {
                                                                                        preTask += "<option value=\"" + dataobj.TASK_Pre[i]["taskid"] + "\">" + dataobj.TASK_Pre[i]["taskname"] + "</option>";
                                                                                    }
                                                                                }
                                                                                tempEdit.find("#task_pre").html(preTask);
                                                                                tempEdit.find("#task_person").val("");
                                                                                $("select").selectpicker("refresh");
                                                                                tempEdit.find("#task_mark").removeAttr("checked");
                                                                                $('input').iCheck('update');
                                                                                //按钮处理事件
                                                                                $("#temButTitle").show();
                                                                                $("#templateBack").show();
                                                                                //列表上方按钮
                                                                                $("#newTaskBtn").hide();
                                                                                $("#searchTaskBtn").hide();

                                                                                $("#templateSumbit").show().html("<?= $_lang["common_submit"]; ?>");

                                                                                $(".right_main_wrap .tip").html("<?= $_lang["project_template_task_new"]; ?>");

                                                                                $("#templateSumbit").unbind("click").bind("click", function () {
                                                                                    var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");

                                                                                    $("#template_edit").find("#type").val("task_creat_do");
                                                                                    //$("#type").val("task_creat_do");
                                                                                    if (!taskFormCheck()) {
                                                                                        return false;
                                                                                    }
                                                                                    $('#form1').ajaxSubmit(function (data) {
                                                                                        if (data) {
                                                                                            $("#template_edit").hide();
                                                                                            $("#template_views").show();
                                                                                            $("#temButTitle").hide();
                                                                                            //列表上方按钮
                                                                                            $("#newTaskBtn").show();
                                                                                            $("#searchTaskBtn").show();

                                                                                            $(".right_main_wrap .tip").html("<?= $_lang["project_template_task_list"] ?>");
                                                                                            $("#template_views").LazyTable("reload", {
                                                                                                param: {
                                                                                                    type: "right_list",
                                                                                                    data_id: data_id
                                                                                                }
                                                                                            });
                                                                                        } else {
                                                                                            alert("error!");
                                                                                        }
                                                                                    });
                                                                                });
                                                                                $("#templateBack").unbind("click").bind("click", function () {
                                                                                    $("#template_edit").hide();
                                                                                    $("#template_views").show();
                                                                                    $("#temButTitle").hide();
                                                                                    //列表上方按钮
                                                                                    $("#newTaskBtn").show();
                                                                                    $("#searchTaskBtn").show();
                                                                                    $(".right_main_wrap .tip").html("<?= $_lang["project_template_task_list"]; ?>");
                                                                                });

                                                                            });
                                                                        });
                                                                        /*
                                                                         * 列表查询
                                                                         */
                                                                        $(".search_wrap").LazySearch({
                                                                            tip: "<?= $_lang["project_search_title"]; ?>",
                                                                            url: "alldo.php",
                                                                            param: {
                                                                                type: "autoTaskSearch"
                                                                            },
                                                                            fieldSearch: {
                                                                                onItemClick: function (data, value) {
                                                                                    var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");
                                                                                    $("#template_views").LazyTable("reload", {
                                                                                        param: {
                                                                                            task_name: value,
                                                                                            type: "right_list",
                                                                                            data_id: data_id
                                                                                        }
                                                                                    });
                                                                                },
                                                                                items: [{
                                                                                        key: "TASK_NAME",
                                                                                        title: "<?= $_lang["project_include_title"]; ?>"
                                                                                    }]
                                                                            },
                                                                            advancedSearch: {
                                                                                onSearch: function (data) {
                                                                                    var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");
                                                                                    $("#template_views").LazyTable("reload", {
                                                                                        param: {
                                                                                            searchData: data,
                                                                                            type: "right_list",
                                                                                            data_id: data_id
                                                                                        }
                                                                                    });
                                                                                },
                                                                                items: [/*{
                                                                                 key : "TASK_PERSONDO",
                                                                                 title : "执行人",
                                                                                 type : "text"
                                                                                 },*/ {
                                                                                        key: "TASK_FRONTID",
                                                                                        title: "<?= $_lang["project_task_front"]; ?>",
                                                                                        type: "select",
                                                                                        dataList: [{
                                                                                                key: "all",
                                                                                                title: "<?= $_lang["common_show_allinfo"] ?>"
                                                                                            }, {
                                                                                                key: "0",
                                                                                                title: "<?= $_lang["project_template_noexist"]; ?>"
                                                                                            }, {
                                                                                                key: "1",
                                                                                                title: "<?= $_lang["project_template_exist"]; ?>"
                                                                                            }]
                                                                                    }, {
                                                                                        key: "TASK_LEVEL",
                                                                                        title: "<?= $_lang["project_task_level"]; ?>",
                                                                                        type: "select",
                                                                                        dataList: [{
                                                                                                key: "all",
                                                                                                title: "<?= $_lang["common_show_allinfo"]; ?>"
                                                                                            }, {
                                                                                                key: "0",
                                                                                                title: "<?= $_lang["project_secondary"]; ?>"
                                                                                            }, {
                                                                                                key: "1",
                                                                                                title: "<?= $_lang["project_task_commonly"]; ?>"
                                                                                            }, {
                                                                                                key: "2",
                                                                                                title: "<?= $_lang["project_task_important"]; ?>"
                                                                                            }, {
                                                                                                key: "3",
                                                                                                title: "<?= $_lang["project_task_very_important"]; ?>"
                                                                                            }]
                                                                                    }, {
                                                                                        key: "TASK_MARK",
                                                                                        title: "<?= $_lang["project_task_milepost"]; ?>",
                                                                                        type: "select",
                                                                                        dataList: [{
                                                                                                key: "all",
                                                                                                title: "<?= $_lang["common_show_allinfo"]; ?>"
                                                                                            }, {
                                                                                                key: "0",
                                                                                                title: "<?= $_lang["project_remark_no"]; ?>"
                                                                                            }, {
                                                                                                key: "1",
                                                                                                title: "<?= $_lang["project_remark_ok"]; ?>"
                                                                                            }]
                                                                                    }]
                                                                            },
                                                                            onClearButtonClick: function ()
                                                                            {

                                                                                var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");
                                                                                $("#template_views").LazyTable("reload", {
                                                                                    param: {
                                                                                        type: "right_list",
                                                                                        data_id: data_id,
                                                                                        task_name: ""
                                                                                    }
                                                                                });


//                                                                                $("#template_views").LazyTable("reload", {
//                                                                                    param: {
//                                                                                        task_name: ""
//                                                                                    }
//                                                                                });
                                                                            }
                                                                        });

                                                                        //初始化模板新建按钮
                                                                        temp_button("new");
                                                                        //全选
                                                                        $("#template_views").on('ifChanged', '.lazy_table_checkall', function (event) {
                                                                            $("#template_views").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update');
                                                                        });

                                                                        $("#template_views").on('ifChanged', '.lazy_table_checkbox', function (event) {
                                                                            if ($(this).prop("checked")) {
                                                                                if ($("#template_views").find(".lazy_table_checkbox").filter(function () {
                                                                                    return $(this).prop("checked") == false;
                                                                                }).length == 0) {
                                                                                    $("#template_views").find(".lazy_table_checkall").prop("checked", true);
                                                                                }
                                                                            } else {
                                                                                $("#template_views").find(".lazy_table_checkall").prop("checked", false);
                                                                            }

                                                                            $(":checkbox").iCheck('update');
                                                                        });

                                                                        $("#te_name").blur(function () {
                                                                            characters_change(this, 'low');
                                                                        });

                                                                        $("#task_name").blur(function () {
                                                                            characters_change(this, 'low');
                                                                        });

                                                                    });
                                                                    function temp_button(diff) {
                                                                        var titleText = "";
                                                                        switch (diff) {
                                                                            case "new":
                                                                                titleText = "<?= $_lang["project_template_new"]; ?>";
                                                                                break;
                                                                            case "edit":
                                                                                titleText = "<?= $_lang["project_template_edit"]; ?>";
                                                                                break;
                                                                        }
                                                                        //按钮处理事件
                                                                        $("#temButTitle").show();
                                                                        $("#templateBack").hide();
                                                                        //列表上方按钮
                                                                        $("#newTaskBtn").hide();
                                                                        $("#searchTaskBtn").hide();

                                                                        $("#templateSumbit").show().html("<?= $_lang["common_submit"]; ?>");

                                                                        $(".right_main_wrap .tip").html(titleText);
                                                                        $("#templateSumbit").unbind("click").bind("click", function () {
                                                                            if ($("#formtemp").find("#te_name").val() == "") {
                                                                                $("#formtemp").find("#te_name").addClass("require");
                                                                                $("#Message").LazyMessage("open", "<?= $_lang["project_template_fill_name"]; ?>", "warning");
                                                                                return false;
                                                                            }
                                                                            $('#formtemp').ajaxSubmit(function (result) {

                                                                                if (result) {
                                                                                    $("#Message").LazyMessage("open", "<?= $_lang["common_submit_success"]; ?>", "success");
                                                                                    //$("#formtemp").find("#te_name").val("");	
                                                                                    //$("#formtemp").find("#check_name").css("display","");
                                                                                    if (diff == "new") {
                                                                                        $("#left_list").LazyList("reload");
                                                                                        $("#leftTitleBtn").click();
                                                                                    } else {
                                                                                        //$("#haveChooseId").val(data);
                                                                                        $("#haveChooseId").val("");
                                                                                        $("#left_list").LazyList("reload");
                                                                                    }
                                                                                    ;
                                                                                } else {
                                                                                    alert("error!");
                                                                                }
                                                                            });
                                                                        });
                                                                    }
                                                                    function taskFormCheck() {
                                                                        var temEditObj = $("#template_edit");
                                                                        if (!temEditObj.find("#task_name").val()) {
                                                                            temEditObj.find("#task_name").addClass("require");
                                                                            $("#Message").LazyMessage("open", "<?= $_lang["project_template_fill_taskname"]; ?>", "warning");
                                                                            return false;
                                                                        }
                                                                        if (!temEditObj.find("#begin_date").val()) {
                                                                            $("#Message").LazyMessage("open", "<?= $_lang["project_template_starttime"]; ?>", "warning");
                                                                            return false;
                                                                        }
                                                                        if (!temEditObj.find("#end_date").val()) {
                                                                            $("#Message").LazyMessage("open", "<?= $_lang["project_template_endtime"]; ?>", "warning");
                                                                            return false;
                                                                        }
                                                                        return true;
                                                                    }
                                                                    var myLazyTable;
                                                                    function initLazyTable(templateID) {
                                                                        myLazyTable = $("#template_views").LazyTable({
                                                                            buttons: {
                                                                                buttonInfor: {
                                                                                    "edit": {
                                                                                        title: "<?= $_lang["common_edit"]; ?>",
                                                                                        func: function (data) {
                                                                                            $("#template_edit").show();
                                                                                            $("#template_views").hide();
                                                                                            $.ajax({
                                                                                                type: "POST",
                                                                                                data: "type=temp_edit&taskid=" + data.TASK_ID + "&temp_id=" + data.TASK_COMPLATE,
                                                                                                url: "alldo.php"
                                                                                            }).done(function (result) {
                                                                                                var dataobj = $.parseJSON(result);
                                                                                                var tempEdit = $("#template_edit");
                                                                                                //赋值
                                                                                                tempEdit.find("#tempShowName").html(dataobj.TaskName);
                                                                                                tempEdit.find("#pro_temp").val(dataobj.TASK_COMPLATE);
                                                                                                tempEdit.find("#task_name").val(dataobj.TASK_NAME).removeClass("require");
                                                                                                tempEdit.find("#task_id").val(data.TASK_ID);
                                                                                                tempEdit.find("#begin_date").val(dataobj.TASK_BEGINTIME).removeClass("require");
                                                                                                tempEdit.find("#end_date").val(dataobj.TASK_ENDTIME).removeClass("require");
                                                                                                tempEdit.find("#task_level").val(dataobj.TASK_LEVEL);
                                                                                                tempEdit.find("#task_explain").val(dataobj.TASK_EXPLAIN);
                                                                                                tempEdit.find("#task_remark").val(dataobj.TASK_REMARK);
                                                                                                tempEdit.find("#task_creater").val(dataobj.TASK_CREATER);
                                                                                                tempEdit.find("#task_creattime").val(dataobj.TASK_CREAT_TIME);
                                                                                                tempEdit.find("#show_creater").html(dataobj.TASK_CREATERNAME);
                                                                                                tempEdit.find("#show_creattime").html(dataobj.TASK_CREAT_TIME);
                                                                                                //里程碑
                                                                                                if (dataobj.TASK_MARK == "1") {
                                                                                                    tempEdit.find("#task_mark").attr("checked", "checked");
                                                                                                } else {
                                                                                                    tempEdit.find("#task_mark").removeAttr("checked");
                                                                                                }
                                                                                                //前置任务
                                                                                                var preTask = "";
                                                                                                preTask += "<option value=\"\"><?= $_lang["project_task_no"] ?></option>";
                                                                                                for (var i = 0; i < dataobj.TASK_Pre.length; i++) {
                                                                                                    if (dataobj.TASK_Pre[i]["taskid"] != data.TASK_ID) {
                                                                                                        if (dataobj.TASK_Pre[i]["check"] == "1") {
                                                                                                            preTask += "<option selected=\"selected\" value=\"" + dataobj.TASK_Pre[i]["taskid"] + "\">" + dataobj.TASK_Pre[i]["taskname"] + "</option>";
                                                                                                        } else {
                                                                                                            preTask += "<option value=\"" + dataobj.TASK_Pre[i]["taskid"] + "\">" + dataobj.TASK_Pre[i]["taskname"] + "</option>";
                                                                                                        }
                                                                                                    }

                                                                                                }
                                                                                                tempEdit.find("#task_pre").html(preTask);
                                                                                                var showTime = dataobj.workTime + 1;
                                                                                                $("#showTime").html(showTime);
                                                                                                tempEdit.find("#task_person").val(dataobj.TASK_PERSONDO);
                                                                                                $("select").selectpicker("refresh");
                                                                                                $('input').iCheck('update');

                                                                                            });
                                                                                            //按钮处理事件
                                                                                            $("#temButTitle").show();
                                                                                            $("#templateBack").show();
                                                                                            //列表上方按钮
                                                                                            $("#newTaskBtn").hide();
                                                                                            $("#searchTaskBtn").hide();

                                                                                            $("#templateSumbit").show().html("<?= $_lang["common_submit"]; ?>");

                                                                                            $(".right_main_wrap .tip").html("<?= $_lang["project_template_edit_task"]; ?>");
                                                                                            $("#templateSumbit").unbind("click").bind("click", function () {
                                                                                                $("#template_edit").find("#type").val("task_edit_do");
                                                                                                //$("#type").val("task_edit_do");
                                                                                                if (!taskFormCheck()) {
                                                                                                    return false;
                                                                                                }
                                                                                                $('#form1').ajaxSubmit(function (data) {
                                                                                                    var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");

                                                                                                    if (data) {
                                                                                                        $("#template_edit").hide();
                                                                                                        $("#template_views").show();
                                                                                                        $("#temButTitle").hide();
                                                                                                        //列表上方按钮
                                                                                                        $("#newTaskBtn").show();
                                                                                                        $("#searchTaskBtn").show();

                                                                                                        //$("#template_views").LazyTable("reload");	
                                                                                                        $(".right_main_wrap .tip").html("<?= $_lang["project_template_task_list"]; ?>");

                                                                                                        //   proChooseTemplate(data['list']['TASK_COMPLATE']);

                                                                                                        $("#template_views").LazyTable("reload", {
                                                                                                            param: {
                                                                                                                type: "right_list",
                                                                                                                data_id: data_id
                                                                                                            }
                                                                                                        });

                                                                                                    } else {
                                                                                                        alert("error!");
                                                                                                    }
                                                                                                });
                                                                                            });
                                                                                            $("#templateBack").unbind("click").bind("click", function () {
                                                                                                $("#template_edit").hide();
                                                                                                $("#template_views").show();
                                                                                                $("#temButTitle").hide();
                                                                                                //列表上方按钮
                                                                                                $("#newTaskBtn").show();
                                                                                                $("#searchTaskBtn").show();
                                                                                                $(".right_main_wrap .tip").html("<?= $_lang["project_template_task_list"]; ?>");
                                                                                            });

                                                                                        }
                                                                                    },
                                                                                    "delete": {
                                                                                        title: "<?= $_lang["common_del"]; ?>",
                                                                                        func: function (data) {
                                                                                            bootbox.confirm("<?= $_lang["project_task_delete_content"]; ?>", function (result) {
                                                                                                var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");
                                                                                                if (result) {
                                                                                                    var dataStrId = data.TASK_ID + ",";
                                                                                                    $.ajax({
                                                                                                        type: "POST",
                                                                                                        data: "type=deleteData&dataStrId=" + dataStrId,
                                                                                                        url: "alldo.php"
                                                                                                    }).done(function (result) {
                                                                                                        $("#template_views").LazyTable("reload", {
                                                                                                            param: {
                                                                                                                type: "right_list",
                                                                                                                data_id: data_id
                                                                                                            }
                                                                                                        });
                                                                                                    });
                                                                                                }
                                                                                            });
                                                                                        }
                                                                                    }
                                                                                }
                                                                            },
                                                                            batchButtons: [{
                                                                                    title: "<?= $_lang["common_del_many"]; ?>",
                                                                                    func: function (data) {
                                                                                        //console.log(data);
                                                                                        var dataStrId = "";
                                                                                        for (var i = 0; i < data.length; i++) {
                                                                                            dataStrId += data[i]["TASK_ID"] + ",";
                                                                                        }
                                                                                        if (dataStrId) {
                                                                                            bootbox.confirm("<?= $_lang["project_template_delete_selectall"]; ?>", function (result) {
                                                                                                if (result) {
                                                                                                    var dataStrIds = dataStrId;
                                                                                                    $.ajax({
                                                                                                        type: "POST",
                                                                                                        data: "type=deleteData&dataStrId=" + dataStrIds,
                                                                                                        url: "alldo.php"
                                                                                                    }).done(function (result) {
                                                                                                        $("#template_views").LazyTable("reload");
                                                                                                        var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");
                                                                                                        $("#template_views").LazyTable("reload", {
                                                                                                            param: {
                                                                                                                type: "right_list",
                                                                                                                data_id: data_id
                                                                                                            }
                                                                                                        });
                                                                                                    });
                                                                                                }
                                                                                            });

                                                                                        } else {
                                                                                            $("#Message").LazyMessage("open", "<?= $_lang["project_task_delete_onmore"]; ?>", "warning");
                                                                                        }
                                                                                    }
                                                                                }],
                                                                            column: [{
                                                                                    key: "checkall"
                                                                                }, {
                                                                                    key: "TASK_NAMESHOW",
                                                                                    title: "<?= $_lang["project_task"]; ?>"
                                                                                }, {
                                                                                    key: "taskDoPerson",
                                                                                    title: "<?= $_lang["project_executor"]; ?>"

                                                                                }, {
                                                                                    key: "taskTime",
                                                                                    title: "<?= $_lang["project_template_fortime"]; ?>"

                                                                                }],
                                                                            sort: {
                                                                                items: [{
                                                                                        key: "taskDoPerson",
                                                                                        title: "<?= $_lang["project_executor"]; ?>"
                                                                                    }],
                                                                                onItemClick: function (key, sortType) {
                                                                                    var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");
                                                                                    $("#template_views").LazyTable("reload", {
                                                                                        param: {
                                                                                            sortField: key,
                                                                                            sortType: sortType,
                                                                                            type: "right_list",
                                                                                            data_id: data_id
                                                                                        }
                                                                                    });
                                                                                }
                                                                            },
                                                                            dataSource: "alldo.php",
                                                                            param: {
                                                                                type: "right_list",
                                                                                data_id: templateID
                                                                            },
                                                                            page: {
                                                                                callback: function (page) {
                                                                                    var data_id = $(".sub_menu_wrap .current").find('.left_list_text').attr("id");
                                                                                    $("#template_views").LazyTable("reload", {
                                                                                        page: {
                                                                                            currentPage: page,
                                                                                            type: "right_list",
                                                                                            data_id: data_id
                                                                                        }
                                                                                    });
                                                                                }
                                                                            },
                                                                            onAfterLoad: function () {
                                                                                $(':checkbox.lazy_table_checkbox').iCheck({
                                                                                    checkboxClass: 'icheckbox_square-grey',
                                                                                    radioClass: 'iradio_square-grey'
                                                                                });

                                                                                $(':checkbox.lazy_table_checkall').iCheck({
                                                                                    checkboxClass: 'icheckbox_square-blue',
                                                                                    radioClass: 'iradio_square-blue'
                                                                                });
                                                                            }
                                                                        });
                                                                    }
//选择项目模板
                                                                    function proChooseTemplate(dataid) {
                                                                        $("#templateid").val(dataid);
                                                                        if (myLazyTable) {
                                                                            myLazyTable.LazyTable("reload", {
                                                                                param: {
                                                                                    data_id: dataid
                                                                                }
                                                                            });
                                                                        } else {
                                                                            initLazyTable(dataid);
                                                                        }

                                                                        $(".right_main_wrap .tip").html("<?= $_lang["project_template_task_list"]; ?>");

                                                                        $("#template_new").hide();
                                                                        $("#template_views").show();
                                                                        //$("#temp_button").html("");
                                                                        $("#temButTitle").hide();
                                                                        //列表上方按钮
                                                                        $("#newTaskBtn").show();
                                                                        $("#searchTaskBtn").show();
                                                                        //新建、编辑任务隐藏
                                                                        $("#template_edit").hide();
                                                                    }
</script>