<?php include_once('inc/page_header.inc.php');?>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<style type="text/css">
	.container{
		width:900px;
	}
	.left{
		float:left;
		position: relative;
		padding-top:150px;
		width:40%;
		
	}
	.right{
		float:left;
		width:60%;
		
	}
	.right table{
		width:100%;
		border:none;
		border-color:#000;
		margin-bottom:-1px;
		height: 100%;
	}
	.right table tr td{
		border-left:1px solid #000;
		border-top:0px;
		border-bottom:1px solid #000;
		text-indent: 5px;
		border-right:0px;
		font-size: 14px;
	}
	.left-top{
		position:absolute;
		top:0px;
		width:100%;
		height:150px;
	}
	.left-top img{
		width:100%;
		height:100%;
	}
	.left-bottom table{
		height: 100%;
		border-color:#000;
		border:none;
		width:100%;
		margin-left: -1px;
		margin-bottom: -1px;
	}
	.left-bottom table tr td{
		border-left:1px solid #000;
		border-top:0px;
		padding-left:5px;
		padding-right:5px;
		border-bottom:1px solid #000;
		border-right:0px;
		font-size: 14px;
	}
	.left-bottom table tr:first-child{
		border-top:1px solid #000;
	}
	.right table tr.p-right-tr{
		height:40px;
	}
	.right table tr .p-right-title{
		width:15%;
	}
	.remark{
		height: 110px;
	}
	.header{
		text-align: center;
	}
	.header-end{
		margin-top: 40px;
	}
	.header-font{
		margin-right: 50px;
	}
	.header-text{
		margin-left: 10px;
	}
	td{
		height: 30px;
		width: 60px;

	}
	.content{
		width:100%;
		float:left;
		margin-top:20px;
		border:1px solid #000;
		position: relative;
	}
	.print{
		margin-top: 20px;
	}
	.footer{
		text-align: center;
	}
</style>

<body>
	<div class="container">
	<h2 class="header">通化市工商局固定资产登记单</h2>
	<div class="header-end">
		<span class="header-font">资产编号 ：<span class="header-text"><?=$result['PROPERTY_ID'] ?></span></span>
		<span class="header-font">部门领导签字 ：<span class="header-text"> ________________</span></span>
		<span  class="header-font">使用人签字 ：<span class="header-text"> ________________</span></span>
	</div>
	<div class="content">
	<div class="left">
		<div class="left-top">
		</div>
		<div class="left-bottom">
			<table border="1">
				<tr>
				<td>当前使用人</td>
				<td> <?=$result['USER_NAME']?></td>
				<td>登记日期</td>
				<td><?= date('Y年m月d日',strtotime($result["Created"])) ?></td>
				</tr>
				<?php  foreach ($property_logs as $v) { ?>
				<tr>
				<td>变更前使用人</td>
				<td><?=$v['USER_NAME']?></td>
				<td>登记日期</td>
				<td><?= date('Y年m月d日',strtotime($v["Created"])) ?></td>
				</tr>
				<?php } ?>


			</table>
		</div>
	</div>
	<div  class="right">
		<table border="1">
			<tr class="p-right-tr">
				<td class="p-right-title">名称</td>
			<td><?=$result['PROPERTY_NAME'] ?></td>
			<td class="p-right-title">资产分类</td>
			<td><?=$result['CLASS_NAME']?></td>
			</tr>
			<tr class="p-right-tr">
			<td class="p-right-title">规格型号</td>
			<td><?=$result['MODEL_NUMBER'] ?></td>
			<td class="p-right-title">金额</td>
			<td><?=$result['PROPERTY_PRICE'] ?></td>
			</tr>
			<tr class="p-right-tr">
			<td class="p-right-title">购置日期</td>
			<td><?=$result['BUY_DATE'] ?></td>
			<td class="p-right-title">财务编号</td>
			<td><?=$result['FINANCE_NUMBER'] ?></td>
			</tr>
			<tr class="p-right-tr">
			<td class="p-right-title">使用状态</td>
			<td>
			 <?php if($result['STATUS'] == "use")
                {
                    echo "使用中";
                }else{
                    echo "未使用";
                }
                ?> 
            </td>
			<td class="p-right-title">生产厂家</td>
			<td>  <?=$result['PRODUCT_NAME'] ?></td>
			</tr>

			<tr class="p-right-tr">
			<td class="p-right-title">使用年限</td>
			<td><?=$result['USE_YEAR'] ?></td>
			<td>资产编号</td>
			<td><?=$result['PROPERTY_ID'] ?></td>
			</tr>
			<tr class="remark">
			<td class="p-right-title">备注</td>
			<td colspan="3"><?=$result['Remark'] ?></td>
			</tr>
		</table>
	</div>
	</div>
		<div class="footer">
		<input type="button" class="btn btn-info print" onClick="PrintDoc()" value='打印'/>
		</div>
		
	</div>
</tbody>
</table>	
</body>
<script type="text/javascript">
function PrintDoc()
{
	$(".print").hide();
    window.print();
}
var attachId = "<?=$file['ATTACHMENT_ID']?>";

var attachName = "<?=$file['ATTACHMENT_NAME']?>";
var $obj = $('.left-top');
var attachHtml = '';
var attachIdArray   = attachId.split(',');
var attachNameArray = attachName.split('*');
var attachLen       = attachNameArray.length -1;

attachHtml ='<img  class="pic" src="/inc/attach.php?ATTACHMENT_ID='+(parseInt(attachIdArray[0]*3)+parseInt(2))+"&ATTACHMENT_NAME="+encodeURI(attachNameArray[0])+'">'     

$obj.html(attachHtml);

 var leftheight = $(".left").outerHeight(true);
 var rightheight = $(".right").outerHeight(true);
 if (leftheight > rightheight) {
 	$(".right").css("height",leftheight);
 } 


</script>
