<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      供应商详情页
 * @encoding      $_lang['encoding']
 * @name          general/provider/manage/detail.php
 * @version       11
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-12
 */
include_once("inc/auth.php"); 
include_once("api/customer.class.php");
include_once("inc/utility_all.php");
includelangpak("customer");

$customer = new customer();

if($_REQUEST['provider_id'])
{
	if(!is_numeric($_REQUEST['provider_id'])){
		Message('',$_lang["common_param_error"],'failed');
		exit;
	}
}

$PAGE_TITLE = $_lang["customer_supplier_detail"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
    
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
    
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
    
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
/*   .form_table td:first-child {
  text-align: right;
  width: 20%;
  padding-right: 20px;
} */
</style>
<body>
<div class="lazy_header">
	<span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_supplier_detail"]?></span></span>
	<input type="button" class="btn btn-default" value="<?=$_lang["common_back"]?>" href="#" onclick="location='index.php'"/>
</div>

<?
$info = $customer->get_provider_info('PROVIDER_ID','DESC','',$_REQUEST['provider_id']);
?>
<table border="0"  width="100%" class="form_table">
	<tr>
		<td class="title"><?=$_lang["customer_pro_supplier_name"]?></td>
		<td><?=$info[1][PROVIDER_NAME]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["common_phone"]?></td>
		<td><?=$info[1][TEL_NO]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["common_fax"]?></td>
		<td><?=$info[1][FAX_NO]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["common_website"]?></td>
		<td><?=$info[1][PROVIDER_WWW]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["common_email"]?></td>
		<td><?=$info[1][EMAIL]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["common_address"]?></td>
		<td><?=$info[1][PROVIDER_ADD]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["common_zipcode"]?></td>
		<td><?=$info[1][POSTALCODE]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_sup_bank_name"]?></td>
		<td><?=$info[1][BANK]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["common_accounts"]?></td>
		<td><?=$info[1][ACCOUNT]?></td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_cus_remarks"]?></td>
		<td><?=$info[1][MEMO]?></td>
	</tr>
</table>
</body>
</html>