<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      供应商管理页
 * @encoding      $_lang['encoding']
 * @name          general/provider/manage/index.php
 * @version       14
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-12
 */
include_once("inc/auth.php"); 
include_once("api/customer.class.php");
include_once("inc/utility_all.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer");

$PAGE_TITLE = $_lang["customer_sup_mess_man"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<script language=javascript src="/inc/usergeneral.js"></script>
		
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
		
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
		
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<body>
<div class="lazy_header">
	<span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_sup_mess_man"]?></span></span>
	<a class="btn btn-primary" id="new" onclick="location='new.php';"><?=$_lang["common_new"]?></a>
	<div class="provider_search" style="float:right;margin:6px 5px 0 0;"></div>
</div>
<div class="contact_list_wrap"></div>
<? showUserGeneralDiv()?>
</body>
</html>
<script>

$(function(){

	$(".provider_search").LazySearch({
		tip : "<?=$_lang['customer_man_supplier_look']?>",
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {
				$(".contact_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						where_query:"",
					},
					page : {
						currentPage:0
					}
				});
			},
			items : [{
				key : "PROVIDER_NAME",
				title : "<?=$_lang['customer_man_supplier_have']?>"
			}, {
				key : "TEL_NO",
				title : "<?=$_lang['customer_man_supplier_tel_have']?>"
			},{
				key : "PROVIDER_ADD",
				title : "<?=$_lang['customer_man_supplier_addr_have']?>"
			}]
		},
		onClearButtonClick:function(){
			$(".contact_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					where_query:"",
				},
				page : {
					currentPage:0
				}
			});
		},
		advancedSearch : {
			onSearch : function(a,b) {
				$.ajax({
					url: 'index_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form1').serialize(),
					success:function(data){
						$(".contact_list_wrap").LazyTable("reload",{
							param:{
								where_query:data,
								search_field:"",
								search_str:"",
							},
							page : {
								currentPage:0
							}
						});
					}
				});
			},
			items : "search.php",
		},
	});

	var confirm_notify;
	$(".contact_list_wrap").height($(window).height()-80).niceScroll();
	$(".contact_list_wrap").LazyTable({
		dataSource : "index_do.php",
		param : {
			op : "getProviderList",
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if ("<?=$_SESSION['LOGIN_USER_ID']?>"==data.PROVIDER_CREATE_USER) {
					return true;
				}else{
					return false;
				}
			}
		}, {
			key : "PROVIDER_NAME",
			width:150,
			title : "<?=$_lang["customer_pro_supplier_name"]?>"
		}, {
			key : "TEL_NO",
			title : "<?=$_lang["common_phone"]?>"
		}, {
			key : "PROVIDER_WWW",
			width: 100,
			title : "<?=$_lang["common_website"]?>"
		}, {
			key : "EMAIL",
			width: 100,
			title : "<?=$_lang["common_email"]?>"
		}, {
			key : "PROVIDER_CREATE_USER_NAME",
			title : "<?=$_lang["customer_crm_cont_creat"]?>"
		}],
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang["common_del_many"]?>",
			func : function(data) {

			 	var i,providerids = '';
			 	for( i = 0; i< data.length; i++) {
			 		providerids += data[i].PROVIDER_ID + ',';
			 	}
			 	providerids = providerids.substr( 0,(providerids.length-1) );
			 	if(providerids=='') {
			 		if (confirm_notify) {
						confirm_notify.pnotify_remove();
					}
					confirm_notify = $.pnotify({
				        text: "<?=$_lang["customer_choose_option_first"]?>",
				        type : "info",
				        delay:"1500"
				    }).click(function(){
				    	confirm_notify.pnotify_remove();
				    });
			 		return false;
			 	} else {
			 		bootbox.confirm("<?php echo $_lang['customer_sure_want_del']?>",function(result){
						if (result) {
							$.ajax({
								type:'POST',
								data:"op=delete_all&providerids="+providerids,
								url:'index_do.php',
								success:function(data)
								{
									if(data == '1') {
										$(".contact_list_wrap").LazyTable("reload",{
											param:{
												search_field:"",
												search_str:"",
											}
										});

										if (confirm_notify) {
											confirm_notify.pnotify_remove();
										}
										confirm_notify = $.pnotify({
									        text: "<?=$_lang["customer_delete_success"]?>",
									        type : "success",
									        delay:"1500"
									    }).click(function(){
									    	confirm_notify.pnotify_remove();
									    });
									} else {
										$.pnotify({
										        text: "<?=$_lang['customer_man_supplier_no_power']?>",
										        type: "info",
										        delay:"3000"
										});
									}
								}
							});
						}
					});
			 	}
			}
		}],
		buttons : {
			buttonInfor : {
				"detail" : {
					title : "<?=$_lang["common_detail"]?>",
					isDefault:true,
					func : function(data) {
						var url	= "detail.php?provider_id="+data.PROVIDER_ID;
						location = url;
					}
				},
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
						var url	= "edit.php?provider_id="+data.PROVIDER_ID+"&edt_r=index_r";
						location = url;
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						var msg	= '<?=$_lang["common_del_alert"]?>';
						bootbox.confirm(msg,function(result){
							if (result) {
								$.ajax({
									url:"index_do.php?op=delete&PROVIDER_ID="+data.PROVIDER_ID,
									success:function(result){
										if(result == "success") {
                                            //==========清空其他查询条件==========================//
                                            $('.provider_search').find(':text').val('');
                                            $('.provider_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
                                            //==================================================//
											$(".contact_list_wrap").LazyTable("reload",{
												param:{
													search_field:"",
													search_str:"",
												}
											});
										}else if (result == "fail") {
											$.pnotify({
										        text: "<?=$_lang['customer_man_supplier_not_del']?>",
										        type : "info",
										        delay:"1500"
										    });
										} 
									}
								});
							}
						});
					}
				}
			},
			filter:function(data){
				var LOGIN_USER_ID="<?=$_SESSION['LOGIN_USER_ID']?>";
				if (LOGIN_USER_ID==data.PROVIDER_CREATE_USER) {
					return ["edit","delete","detail"];
				}else{
					return ["detail"];
				}
			}
		},
		sort : {
			items : [{
				key : "TEL_NO",
				title : "<?=$_lang["common_phone"]?>"
			}, {
				key : "PROVIDER_WWW",
				title : "<?=$_lang["common_website"]?>"
			}, {
				key : "EMAIL",
				title : "<?=$_lang["common_email"]?>"
			}, {
				key : "PROVIDER_CREATE_USER",
				title : "<?=$_lang["customer_crm_cont_creat"]?>"
			}],
			onItemClick : function(key, sortType) {
				$(".contact_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortType,
					}
				},true);
			}
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });

			$(".contact_list_wrap").niceScroll().resize(); 
		}
	});

	$(".contact_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".contact_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});

	$(".contact_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
            if ($(".contact_list_wrap").find(".lazy_table_checkbox").filter(function() {
                return $(this).prop("checked") == false;
            }).length == 0) {
                $(".contact_list_wrap").find(".lazy_table_checkall").prop("checked", true);
            }
        } else {
            $(".contact_list_wrap").find(".lazy_table_checkall").prop("checked", false);
        }

        $(":checkbox").iCheck('update'); 
	});
});

function provider_detail(provider_id)
{
	var url	= "detail.php?provider_id="+provider_id;
	window.open(url, '', 'height=450,width=650,top=200,left=300,toolbar=no,menubar=no,scrollbars=yes, resizable=yes,location=no, status=yes');
}
</script>