<?php
include_once("inc/auth.php");
include_once("general/qyweixin/qywechat.php");

includelangpak("system");

$title = $_lang['system_qyweixin_app_manage'];

$PAGE_TITLE = $_lang["system_mp_set_option"];
include_once 'inc/page_header.inc.php';


$qyWechat = new qyWechat();
$apps = $qyWechat->getApps();
?>
<script type="text/javascript" src="/lang/<?= $_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">

<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?= $_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?= $_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/general/ArchivesManagement/analysisfield.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>



<script language="javascript">
    $(document).ready(function () {
        $.pnotify.defaults.styling = "bootstrap3";
        $.pnotify.defaults.sticker = false;
        $.pnotify.defaults.history = false;
        $.pnotify.defaults.delay = 2000;


        $("#return").click(function () {
            location.href = "/general/qyweixin/app/index.php";
        });

        $("#save").click(function () {

            var appIds = [];
            $.each($('.value-only'), function (k, v) {
                var app_id = $(v).attr('id');
                var app_name = $(v).val();
                var appObj = {};
                appObj[app_id] = app_name;
                appIds.push(appObj);
            });

            $.ajax({
                url: "do.php",
                type: "post",
                data: {
                    op: "edit",
                    appIds: appIds,
                }
            }).done(function (result) {

                if (result) {

                    $.pnotify({
                        text: "<?= $_lang["system_qyweixin_submit_running"] ?>",
                        type: "success"
                    });
                    history.back();
                } else {
                    $.pnotify({
                        text: "<?= $_lang["system_qyweixin_app_new_error"] ?>",
                        type: "error"
                    });
                }


            });


        });

    });



</script>
</head>
<body class="bodycolor">

    <div class="lazy_header">
        <span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?= $title ?></span></span>
        <a class="btn btn-default" onClick="window.close();" id="return" title="<?= $_lang["common_close"] ?>"><?= $_lang["common_close"] ?></a>
        <a class="btn btn-primary" id="save" title="<?= $_lang["common_submit"] ?>"><?= $_lang["common_submit"] ?></a>
    </div>
    <div>
        <form>
            <div style="margin-left:20px">
                <?php
                foreach ($apps as $k => $t) {
                    if ($k % 5 == 0) {
                        echo "<div style='clear:both'></div>";
                    }
                    ?>
                    <div style="float:left;margin:10px;">
                        <div style="width:100px;height:30px;text-align:left;line-height:30px;overflow: hidden" title="<?php echo $t["name"] ?>"> <?php echo $t["name"] ?> </div>
                        <input type="text" value="<?php echo $t['agentid'] ?>"  onkeyup="this.value = this.value.replace(/[^0-9]/g, '')" onafterpaste="this.value=this.value.replace(/[^0-9]/g,'')" class="value-only" id="<?php echo $t['funcid'] ?>">
                    </div>
                    <?php
                }
                ?>  
            </div>
            <input type="hidden" value="edit" name='op'> 
        </form>
    </div>              

</body>
</html>