<?php

include_once 'inc/AppGlobal.php';

class qy {

    public $uid;
    protected $corpid;
    protected $secret;
    protected $access_token;
    protected $encodingAesKey = 'JlfyTnD5B4CxpapcyRvqT9uXERJqa7oBN72xeMCmZds';
    protected $token_time;
    protected $create_time;
    public $autoMsg = '';

    public function __construct($uid = null) {
        $this->uid = $uid;
        $this->updateAccessToken();
    }

    protected function updateAccessToken() {
        date_default_timezone_set('Asia/Shanghai'); //设置时区
        $this->get_access_token();
    }

    //***********************
    protected function get_access_token() {
        //获取时间
        if ($this->uid) {
            $sql = "select * from qyweixin_token where uid = '{$this->uid}' limit 1";
        } else {
            $sql = 'select * from qyweixin_token limit 1';
        }
        $result = $this->query($sql);
        $row = @mysql_fetch_assoc($result);
        if (!$row) {
            return false;
        }
        foreach ($row as $key => $value) {
            if ('uid' == $key)
                continue;
            $this->$key = trim($value);
        }
 
        
       
        
        if (abs(time() - $this->token_time) > 7200 || !$this->access_token) { 
            //GET请求的地址
            $url = "https://qyapi.weixin.qq.com/cgi-bin/gettoken?corpid={$this->corpid}&corpsecret={$this->secret}";
 
            $access_token_Arr = $this->https_request($url);
            $this->token_time = time();
            $this->access_token = $access_token_Arr['access_token']; 
            $sql = "update qyweixin_token set access_token = '{$this->access_token}', token_time = '{$this->token_time}' where corpid='{$this->corpid}' and secret='{$this->secret}'";
            $this->query($sql);
            $mm = new qy();
        }

        return $this->access_token;
    }

    //https请求（支持GET和POST）
    public function https_request($url, $data = null) {

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        if (!empty($data)) {
            curl_setopt($ch, CURLOPT_POST, 1); //模拟POST
            curl_setopt($ch, CURLOPT_POSTFIELDS, $data); //POST内容
        }
        $outopt = curl_exec($ch);
        $outopt = json_decode($outopt, true);
        curl_close($ch);
        return $outopt;
        exit;
    }

    //***********************


 


    protected function query($sql) {
        global $connection;
        return exequery($connection, $sql);
    }

    public function responseMsg() {

        return false;
    }

    public function valid() {

        $echoStr = $_GET["echostr"];
        $msg_signature = $_GET["msg_signature"];
        $timestamp = $_GET["timestamp"];
        $nonce = $_GET["nonce"];
        $token = TOKEN;

        // 需要返回的明文
        $respondstr = "";

        $wxcpt = new WXBizMsgCrypt($token, $this->encodingAesKey, $this->corpid);
        $errCode = $wxcpt->VerifyURL($msg_signature, $timestamp, $nonce, $echoStr, $respondstr);
        if ($errCode === 0) {
            echo $respondstr;
        } else {
            echo $errCode;
        }
    }

    //日志记录
    protected function logger($log_content) {
        if (isset($_SERVER['HTTP_APPNAME'])) {   //SAE
            sae_set_display_errors(false);
            sae_debug($log_content);
            sae_set_display_errors(true);
        } else if ($_SERVER['REMOTE_ADDR'] != "127.0.0.1") { //LOCAL
            $max_size = 10000;
            $log_filename = "log.xml";
            if (file_exists($log_filename) and ( abs(filesize($log_filename)) > $max_size)) {
                unlink($log_filename);
            }
            file_put_contents($log_filename, date('H:i:s') . " " . $log_content . "\r\n", FILE_APPEND);
        }
    }

}
