<?
include_once 'inc/auth.php';
include_once 'api/report.class.php';
include_once 'inc/utility_all.php';
include_once 'inc/oa_config.php';

$checkArr[] = $_REQUEST['chartID'];
$checkArr[] = $_REQUEST['reportID'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

function __autoload($className) {
	if ($className != 'custom') {
		require_once 'general/report/inc/' . $className . '.class.php';
	}

}

$loginUserID = $_SESSION['LOGIN_USER_ID'];

$report = new Report;

$op = $_REQUEST['op'];

switch ($op) {
	case 'getList' :
		$where = array();
		if ($_REQUEST['lazySearch']) {
			array_push($where, array("AND DATASOURCE_TITLE LIKE '%" . $_REQUEST['lazySearch'] . "%'"));
		}
		echo json_encode($report -> getDataSourceList($where));

		break;
	case 'getTag' :
		$tagList = $report -> getTagList();

		echo json_encode($tagList);
		break;
	case 'newReport' :
		if ($_REQUEST['chartID']) {
			echo $report -> updateReport($_REQUEST['reportInfor'], $_REQUEST['chartID']);
		} else {
			$_REQUEST['reportInfor']["CHART_CREATE_USER_ID"] = $loginUserID;
			$_REQUEST['reportInfor']["CHART_CREATE_TIME"] = date("Y-m-d H:i:s");
			echo $report -> newReport($_REQUEST['reportInfor']);
		}

		break;
	case 'getNameByID' :
		$idValue = $_REQUEST['idValue'];

		$module = $_REQUEST['module'];

		switch ($module) {
			case 'customerName':
				$nameField = "CUSTOMER_NAME";
				$idField = "CUSTOMER_ID";
				$tableName='customer';
				break;
			
			case 'creator':
			case 'customerManager':
				$nameField = "USER_NAME";
				$idField = "USER_ID";
				$tableName='user';
				break;
				
			case 'archiveDepartment':
				$nameField = "DEPT_NAME";
				$idField = "DEPT_ID";
				$tableName='department';
				break;
			
			default:
				# code...
				break;
		}

		$nameStr = getNameFromId($idValue, $nameField, $idField, $tableName);

		echo trim($nameStr,",");
		break;
		
	case 'putSVG':
		
		$reportID = $_REQUEST['reportID'];
		$chartType = $_REQUEST['chartType'];
		$svg = $_REQUEST['svg'];
		$ext = 'svg';

		if ($chartType === 'excel') {
			$ext = 'txt';
		} else {
			$svg = dealSVGforIE($svg);
		}
		
		$file_dir = ROOT_PATH .'general/report/export/temp/';
		if(!is_dir($file_dir)){
			mkdir($file_dir, 0777, true);
		}
		chmod($file_dir, 0777);
		
		$file = "{$file_dir}chart_{$reportID}.{$ext}";
		chmod($file, 0777);
		@unlink($file);
		
		//写入文件
		$fp = fopen($file, 'w+');
		echo fwrite($fp, $svg);
		
		break;
	default :
		break;
}
?>