<?php
include_once 'inc/auth.php';
include_once ("inc/utility_all.php");
includelangpak('report');

$checkArr[] = $_REQUEST['chartID'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

$reportType = $_REQUEST['chartType'] ? $_REQUEST['chartType'] : "line";

$PAGE_TITLE	= $_lang["system_new_report"];
include_once 'inc/page_header.inc.php';
?>
		<link rel="stylesheet" id="theme-url" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		<link rel="stylesheet" href="/newplugins/js/jquery-ui-daterangepicker/css/ui.daterangepicker.css" />
		<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
		<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
		<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
		<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
		<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
		<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
		<style>
			.datasource-list-wrap {
				width: 300px;
				float: left;
				border-right: 1px solid #D9D9D9;
			}
			.datasource-list, .report-infor-wrap {
				overflow-y: auto;
				overflow-x: hidden;
			}

			.datasource-form-wrap {
				margin-left: 300px;
			}

			.datasource-form-wrap input[type='text'] {
				width: 218px;
			}

			.datasource-search {
				float: right;
				margin-top: 6px;
				margin-right: 3px;
			}
			.filter-data-dialog input[type='text']{
				width:218px;
			}

			.filter-data-dialog a{
				margin-left:5px;
			}

			.chart-type-preview-wrap {
				float: left;
			}

			.chart-type-preview-wrap a {
				float: left;
				display: block;
				margin: 15px;
				margin-left:10px;
				border:1px solid transparent;
			}

			.chart-type-preview-wrap a.active {
				border:1px solid #3276b1;
			}

			.chart-type-preview-wrap a.hover {
				border:1px solid #3276b1;
			}

			textarea {
				width: 300px;
				height: 80px;
			}

			.close-dialog {
				line-height: 40px;
				margin-right: 10px;
				cursor: pointer;
			}

			i:hover {
				color: #3498DB;
			}

			.infor-wrap, .save,.cancel {
				display: none;
			}
			
			#privForm .form_table textarea{
				float:left;
				margin-left:10px;
			}
			
			#privForm .form_table input{
				float:left;
				margin-left:10px;
			}
			.chart-wrap .chart-preivew,.chart-wrap{
				clear:both;
			}
			.dropdown-menu li{
				width:200px;
			}
		
		</style>
	</head>
	<body>
		<div class="datasource-list-wrap">
			<div class="lazy_header">
				<span class="lazy-list-title"> <i class="fa fa-list-title"></i> <span class="tip"><?=$_lang['report_choose_source']?></span> </span>

				<div class="datasource-search"></div>
			</div>
			<div class="datasource-list"></div>
		</div>
		<div class="datasource-form-wrap">

			<div class="lazy_header">
				<div class="toggle-list"></div>
				<span class="lazy-page-title"> 
					<i class="fa fa-page-title"></i>
					<span class="tip">
						<?
							if($_REQUEST['op'] == 'edit') {
								echo $_lang['report_edit_source'];
							} else if($_REQUEST['op'] == 'copy') {
								echo $_lang['report_copy_source'];
							} else {
								echo $_lang['report_create_source'];
							}
						?>
					</span>
				</span>
				<input type="button" value="<?=$_lang['report_cancel']?>" class="btn btn-default cancel" />
				<input type="button" value="<?=$_lang['report_save']?>" class="btn btn-primary save" />
			</div>

			<div class="alert alert-info empty-tip" style="width:80%;margin:25px auto;">
				<?=$_lang['report_select_left_source']?>
			</div>
			<?
				$reportTypeList = array(
						"line" => $_lang['report_line'],
						"column" => $_lang['report_column'],
						"column_stack" => $_lang['report_column_stack'],
						"bar" => $_lang['report_bar'],
						"bar_stack" => $_lang['report_bar_stack'],
						"area" => $_lang['report_area'],
						"area_stack" => $_lang['report_area_stack'],
						"pie" => $_lang['report_pie'],
						"scatter" => $_lang['report_scatter'],
						"bubble" => $_lang['report_bubble'],
						"line_polar" => $_lang['report_line_polar'],
						"spline" => $_lang['report_spline'],
						"excel" => $_lang['report_excel'],
					);
			?>
			<div class="infor-wrap">
				<div class="report-infor-wrap">
				<style type="text/css">
				.report-type-mask{
					background:rgba(209, 54, 54, .75);height:32px;width:32px;position:absolute;top:0;
					display:none;
				}
				</style>
					<div class="chart-type-preview-wrap">
						<?
							foreach ($reportTypeList as $key => $value) {
								?>
									<a style="position:relative;" href="javascript:void(0);" <?if($reportType == $key) echo 'class="active"'?> chart-type="<?=$key?>" title="<?=$value?>">
										<img src="/images/chart/<?=$key?>.png"/>
										<span class="report-type-mask"></span>
									</a>
								<?
							}

						?>
						
					</div>

					<div class="chart-wrap"></div>
					<div class="excel-wrap" style="display:none;"></div>
					<div class="chart-form">
						<table class="form_table">
							<tr>
								<td class="title"><?=$_lang['report_title']?></td>
								<td>
								<input type="text" class="require chart-title">
								</td>
							</tr>
							<tr>
								<td class="title"><?=$_lang['report_tag']?></td>
								<td><select data-container=".infor-wrap" multiple class="chart-tag"></select></td>
							</tr>
							<tr>
								<td class="title"><?=$_lang['report_authority']?></td>
								<td>
								<input type="button" value="<?=$_lang['report_select']?>" class="btn btn-primary set-priv">
								</td>
							</tr>
							<tr class="data-filter-tr">
								<td class="title"><?=$_lang['report_data_filter']?></td>
								<td>
								<input type="button" value="<?=$_lang['report_select']?>" class="btn btn-primary set-data-filter">
								</td>
							</tr>
						</table>
					</div>

				</div>
			</div>
		</div>

		<!--权限选择对话框-->
		<div class="priv-dialog">
			<div class="lazy_header">
				<span class="lazy-page-title"> <i class="fa fa-page-title"></i> <span class="tip"><?=$_lang['report_statement_permissions']?></span> </span>
				<i title="<?=$_lang['report_close']?>" class="fa fa-times pull-right close-dialog"></i>
			</div>
			<div style="padding:10px 20px;width:600px;">
				<div style="float:right;padding:5px 0;">
					<label>
							<input type="checkbox" checked="checked" id="all-dept"> <?=$_lang['report_crew']?>
						</label>
				</div>
				<div style="clear:both;">
				<form id="privForm" name="privForm" style="display:none;">
				<?createPurSelect('reportPriv','privForm',$_REQUEST['chartID'],'CHART_ID','report_chart','CHART_PERMISSION_DEPT','CHART_PERMISSION_PRIV','CHART_PERMISSION_USER')?>
				</form>
				</div>
			</div>
		</div>

		<!--筛选条件对话框-->
		<div class="filter-data-dialog">
			<div class="lazy_header">
				<span class="lazy-page-title">
					<i class="fa fa-page-title"></i>
					<span class="tip"><?=$_lang['report_data_screening']?></span>
				</span>
				<i title="<?=$_lang['report_close']?>" class="fa fa-times pull-right close-dialog"></i>
			</div>
			<div style="padding:10px 20px;overflow:auto;" class="dialog-content-wrap"></div>
			<div class="lazy_header">
				<input type="button" class="btn btn-primary confirm" value="<?=$_lang['report_confirm']?>">
				<input type="button" class="btn btn-default cancel-dialog" value="<?=$_lang['report_cancel']?>">
			</div>
		</div>
		<input type="hidden" id="chartID" value="<?=$_REQUEST['chartID']?>" />
		<input type="hidden" id="op" value="<?=$_REQUEST['op']?>" />
	</body>
</html>

<script src="/inc/jquery/jquery.js"></script>
<script src="/lang/<?=$_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/general/report/inc/jquery.lazyreport.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/modules/exporting.src.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts-more.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/date.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/daterangepicker.jQuery.compressed.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script>
	$(function() {

		$(".priv-dialog .close-dialog").click(function() {
			$(".priv-dialog").dialog("close");
		});

		$(".filter-data-dialog .close-dialog,.filter-data-dialog .cancel-dialog").click(function() {
			$(".filter-data-dialog").dialog("close");
		});

		$('#all-dept').iCheck({
		    checkboxClass : 'icheckbox_square-blue'
		}).on('ifChanged', function(event){
		  if($(this).prop("checked")) {
		  	$("#privForm").slideUp(200);
		  } else {
			$("#privForm").slideDown(200);
		  }
		});


		$(".filter-data-dialog .confirm").click(function() {

			var searchInfor = [];
			$(".filter-data-dialog").find(":input").each(function() {
				var dataKey = $(this).attr("data-key");

				if (dataKey) {
					var val = $(this).val();
					if(val){
						searchInfor.push(dataKey +'='+ val);
					}
				}
			});

			$(".filter-data-dialog").data("searchInfor", searchInfor.join('&')).dialog("close");

			var chartType = $(".chart-type-preview-wrap a").filter(function() {
				return $(this).hasClass('active');
			}).attr("chart-type");
			
			$(".chart-wrap").LazyReport("createChart",{
				chartTitle:$(".chart-title").val(),
				chartType:chartType,
				searchInfor:$(".filter-data-dialog").data("searchInfor") ? $(".filter-data-dialog").data("searchInfor") : ""
			});
		});

		$.pnotify.defaults.styling = "bootstrap3";
		$.pnotify.defaults.closer = false;
		$.pnotify.defaults.sticker = false;
		$.pnotify.defaults.history = false;
		$.pnotify.defaults.delay = 1000;
		$.pnotify.defaults.addclass = "stack-topleft";
		$.pnotify.defaults.animate_speed = 'fast';
		$.pnotify.defaults.type = "error";

		$(".priv-dialog,.filter-data-dialog").dialog({
			autoOpen : false,
			modal : true,
			minHeight:100,
			dialogClass : "lazy_dialog",
			width : 'auto',
			open:function(){
				$(".priv-dialog").parents(".lazy_dialog").animate({
					top:0
				},200);
			}
		});


		$(".filter-data-dialog .dialog-content-wrap").css("max-height",$(window).height() - 150);


		$(".set-priv").click(function() {
			$(".priv-dialog").dialog("open");
		});


		$(".set-data-filter").click(function() {
			$(".filter-data-dialog").dialog("open");
		});

		$(".datasource-list,.datasource-form-wrap .infor-wrap").height($(window).height() - 40).niceScroll();

		$(".datasource-search").LazySearch({
			tip : "<?=$_lang['report_query_source']?>",
			width : 150,
			param : {
				op : "getList"
			},
			autoSearch : {
				template : "{DATASOURCE_TITLE}",
				onItemClick : function(data) {
					selectDataSource(data);
					//console.log(data);
				}
			}
		});

		$(".chart-type-preview-wrap a").mouseenter(function() {
			if (!$(this).hasClass('active')) {
				$(this).addClass("hover");
			}

		}).mouseleave(function() {
			if (!$(this).hasClass('active')) {
				$(this).removeClass("hover");
			}
		}).click(function() {
			$(".chart-type-preview-wrap a").removeClass('hover active');

			$(this).addClass("active");
			var chartType = $(this).attr("chart-type")
			$(".chart-wrap").LazyReport("createChart",{
				chartTitle:$(".chart-title").val(),
				chartType:chartType,
				searchInfor:$(".filter-data-dialog").data("searchInfor") ? $(".filter-data-dialog").data("searchInfor") : ""
			});
		});

		$.ajax({
			url : "do.php",
			data : {
				op : "getTag"
			}
		}).done(function(result) {
			if (result) {
				var parsedData = $.parseJSON(result);

				var tagHtml = [];
				$.each(parsedData, function(index, value) {
					tagHtml.push('<option value="' + index + '">' + value.TAG_TITLE + '</option>');
				});

				var chartTag = [];
				if('<?=$_REQUEST["chartTag"]?>'){
					chartTag = '<?=$_REQUEST["chartTag"]?>'.split(",");
				}
				$("select.chart-tag").html(tagHtml.join('')).val(chartTag).selectpicker({
					noneSelectedText : "<?=$_lang['report_select_tag']?>"
				});
			}
		});




		$(".datasource-list").LazyList({
			dataSource : "do.php",
			param : {
				op : "getList"
			},
			dataKey:"DATASOURCE_ID",
			itemTitleTemplate : "{title}",
			itemListTemplate : "{DATASOURCE_TITLE}",
			onItemClick : function(ui, data, event) {
				selectDataSource(data);
			},
			onInit : function() {
				if ($(".datasource-list .item_list_wrap li").length == 0) {
					$(".empty-tip").addClass("alert-danger").html("<?=$_lang['report_create_source_first']?>");
				}

				//编辑、复制报表
				if($("#chartID").val() != ""){
					var chartID = $("#chartID").val();

					$.ajax({
						url:"/general/report/inc/lazy_report.php",
						data:{
							op:"getReportData",
							reportID:chartID
						}
					}).done(function(result){
						if(result){
							var parsedData = $.parseJSON(result);

							//标题
							//
							var chartTitle = $("#op").val()=="copy"?parsedData.chartInfor.CHART_TITLE+"-复件":parsedData.chartInfor.CHART_TITLE;
							$(".chart-form .chart-title").val(chartTitle);

							//复制 清空ID
							if($("#op").val()=="copy"){
								$("#chartID").val("");
							}

							//选中标签
							
							var chartTag = parsedData.chartInfor.CHART_TAG;

							if(chartTag) {
								var chartTagSplit = chartTag.split(",");
								$("select.chart-tag").val(chartTagSplit).selectpicker("refresh");
							}

							//选中数据源
							$(".datasource-list").LazyList('select', parsedData.dataSourceInfor.DATASOURCE_ID, true);

							$(".empty-tip").hide();
							$(".infor-wrap,.save,.cancel").show();

							//$(".filter-data-dialog").removeData("searchInfor");

							if(parsedData.dataSourceInfor.DATASOURCE_SEARCH){
								createSearchHtml(parsedData.dataSourceInfor.DATASOURCE_SEARCH,parsedData.chartInfor.CHART_SEARCH);
							}

							//自定义数据源 没有数据筛选
							if(parsedData.dataSourceInfor.DATASOURCE_TYPE == 'custom') {
								$(".data-filter-tr").hide();
							}else{
								$(".data-filter-tr").show();
							}

							$(".chart-wrap").LazyReport({
								dataSourceID:parsedData.dataSourceInfor.DATASOURCE_ID
							});

							$(".chart-wrap").data("dataSourceID", parsedData.dataSourceInfor.DATASOURCE_ID);

							var chartType = parsedData.chartInfor.CHART_TYPE;

							$(".chart-type-preview-wrap a").removeClass('active');
							$(".chart-type-preview-wrap a[chart-type='"+chartType+"']").addClass('active');


							$(".chart-wrap").LazyReport("createChart",{
								chartTitle:$(".chart-form .chart-title").val(),
								chartType:chartType,
								searchInfor:parsedData.chartInfor.CHART_SEARCH
							});

							//权限
							if(parsedData.chartInfor.CHART_PERMISSION_DEPT!="DEPT_ALL"){
								$("#all-dept").prop("checked",false).iCheck("update");
								$("#privForm").show();
							}
						}
					});
				}
			}
		});

		function selectDataSource(data){
			
			$(".empty-tip").hide();
			$(".infor-wrap,.save").show();

			$(".filter-data-dialog").removeData("searchInfor");
			
			//自定义数据源 没有数据筛选
			if(data.DATASOURCE_TYPE == 'custom') {
				$(".data-filter-tr").hide();
			}else{
				$(".data-filter-tr").show();
			}
			//console.log(data);
			if(data.DATASOURCE_SEARCH){
				createSearchHtml(data.DATASOURCE_SEARCH);
			}

			$(".chart-wrap").LazyReport({
				dataSourceID:data.DATASOURCE_ID
			});

			$(".chart-wrap").data("dataSourceID", data.DATASOURCE_ID);

			var $currentChartTypeObj = $(".chart-type-preview-wrap a").filter(function() {
				return $(this).hasClass('active');
			});

			var chartType = $currentChartTypeObj.attr("chart-type");

			$(".chart-wrap").LazyReport("createChart",{
				chartTitle:$(".chart-title").val(),
				chartType:chartType,
				searchInfor:$(".filter-data-dialog").data("searchInfor") ? $(".filter-data-dialog").data("searchInfor") : ""
			});
		}

		$(".cancel").click(function(){
			location.href = "../report_manage/index.php";
		});

		$(".save").click(function() {

			//报表标题
			var chartTitle = $.trim($(".chart-title").val());

			if (chartTitle == "") {
				$.pnotify("<?=$_lang['report_input_title']?>");
				return false;
			}

			//报表类型
			var chartType = $(".chart-type-preview-wrap a").filter(function() {
				return $(this).hasClass('active');
			}).attr("chart-type");

			//报表标签
			var chartTag = $(".chart-tag").val();
			chartTag = chartTag ? chartTag.join(',') : "";

			//权限
			var chartDept = $("#all-dept").prop("checked") ? "DEPT_ALL" : $("#reportPriv_DEPT").val();
			var chartPriv = $("#all-dept").prop("checked") ? "" : $("#reportPriv_PRIV").val();
			var chartUser = $("#all-dept").prop("checked") ? "" :  $("#reportPriv_USER").val();

			//查询条件
			var searchInfor = "";
			if ($(".filter-data-dialog").data("searchInfor")) {
				searchInfor = $(".filter-data-dialog").data("searchInfor");
			}

			//时间筛选
			var time_filter = $('.report-type-filter li.current').attr("mode");
			var time_year	= $('.year-select').val();
			var time_month	= $('.month-select').val();

			searchInfor += '&time_filter='+time_filter+'&time_year='+time_year+'&time_month='+time_month;
			$.ajax({
				url : "do.php",
				data : {
					op : "newReport",
					chartID:$("#chartID").val(),
					reportInfor : {
						CHART_TITLE : chartTitle,
						CHART_TAG : chartTag,
						CHART_TYPE : chartType,
						CHART_PERMISSION_DEPT : chartDept,
						CHART_PERMISSION_PRIV : chartPriv,
						CHART_PERMISSION_USER : chartUser,
						CHART_SEARCH : searchInfor,
						CHART_DATASOURCE_ID : $(".chart-wrap").data("dataSourceID")
					}
				}
			}).done(function(result) {
				if (result) {
					$.pnotify({
						type : "success",
						text : "<?=$_lang['report_save_success']?>"
					});
					$(".chart-title").val('').selectpicker("refresh");
					$(".chart-tag").val('').selectpicker("refresh");

				} else {
					$.pnotify("<?=$_lang['report_save_error_and_retry']?>");
				}
				
				var svg; 
				if (chartType === 'excel') {
					svg = $('.chart-wrap').find('.chart-preivew').html();
				} else {
					var	chart = $('.chart-wrap').find('.chart-preivew').highcharts();
					svg = chart.getSVG();
				}
				$.ajax({
					url: 'do.php',
					type:'POST',
					data:{
						op:'putSVG',
						svg:svg,
						chartType: chartType,
						reportID:$("#chartID").val() || result
					}
				});
			});
		});

		$(".toggle-list").LazyToggle({
			onAfterShow : function() {
				$(".datasource-list-wrap").show();
				$(".datasource-form-wrap").css("margin-left", "300px");
				$(".chart-wrap").LazyReport("reflowChart");

			},
			onAfterHide : function() {
				$(".datasource-list-wrap").hide();
				$(".datasource-form-wrap").css("margin-left", "0");
				$(".chart-wrap").LazyReport("reflowChart");
				
			}
		});
	});

function searchStrToArr(searchInfor) {

	var searchArray = {};
	var searchInforSplit = searchInfor.split("&");

	for (var i = 0, length = searchInforSplit.length; i < length; i++) {
		var subCondition = searchInforSplit[i].split("=");

			searchArray[subCondition[0]] = subCondition[1];
	}
	return searchArray;
}

function createSearchHtml(reportDataFilterInfor,reportSearchInfor){
			//解析已存在的查询条件
			if(reportDataFilterInfor.length == 0){
				$(".data-filter-tr").hide();
				return;
			}else{
				$(".data-filter-tr").show();
			}
			var parsedSearch;
			if(reportSearchInfor){
				parsedSearch = searchStrToArr(reportSearchInfor);
			}
			
			var filterHtml = ['<table class="form_table" style="width:100%;">'];

					$.each(reportDataFilterInfor, function(index, value) {
						filterHtml.push('<tr><td class="title">' + value.title + '</td><td>');

						switch(value.type) {
							case 'text':
							case 'dateRange':
								var idValue = '';
								if(parsedSearch && typeof parsedSearch[index] == 'string'){
									idValue = parsedSearch[index];
								}
								filterHtml.push('<input value="'+ idValue +'" data-type="'+value.type+'" data-key="' + index + '" type="text"/>');
								break;
							case 'choose':

								var formStr = index+"_form";
								var idStr = index+"_id";
								var nameStr = index+"_name";

								var idValue = "";
								var nameValue = "";
								if(parsedSearch && parsedSearch[index]){
									idValue = parsedSearch[index];

									//需要根据ID获取具体的信息，现在这里同步获取下
									$.ajax({
										url:"do.php",
										async:false,
										data:{
											op:"getNameByID",
											module:index,
											idValue:idValue
										}
									}).done(function(result){
										nameValue = result;
									});
								}
								var html = "<form id='"+ formStr +"' name='"+ formStr + "'>";
								html += "<input value='"+ idValue +"' id='"+ idStr +"' data-key='"+ index +"' type='hidden'>";
								html += "<input value='"+ nameValue +"' id='"+ nameStr +"' readonly='readonly' type='text'>";
								html += "<a href='#' class='choose' key='"+ index +"' url='"+ value.url +"'><i class='fa fa-search'></i></a>";
								html += "<a href='#' class='clear' key='"+ index +"'><i class='fa fa-trash-o'></i></a>";
								html += "</form>";
								
								filterHtml.push(html);
								break;
								
							case 'select':
							case 'multiSelect':

								var tip = "<?=$_lang['report_select']?>"+value.title;

								var selectHtml = ["<select data-type='"+value.type+"' data-none-selected-text='"+tip+"' data-container='body' data-key='" + index + "' " + (value.type == "multiSelect" ? "multiple" : "") + ">"];
								if (value.dataSource) {

									$.each(value.dataSource, function(selectIndex, selectValue) {

										selectHtml.push('<option');

										if(parsedSearch && parsedSearch[index]){
											if((","+parsedSearch[index]+",").indexOf(","+selectIndex+",")!=-1){
												selectHtml.push(' selected="selected"');
											}
										}else{
											if((value.defaultSearch && (","+value.defaultSearch+",").indexOf(","+selectIndex+",")!=-1)){
												selectHtml.push(' selected="selected"');
											}
										}
										
										selectHtml.push(' value="' + selectIndex + '">' + selectValue + '</option>');
									});
								};

								selectHtml.push("</select>");

								filterHtml.push(selectHtml.join(''));
								break;
						}

						filterHtml.push('</td></tr>');
					});

					filterHtml.push("</table>");

					$(".filter-data-dialog").find(".dialog-content-wrap").html(filterHtml.join(''));
					$(".filter-data-dialog select").selectpicker();

					$(".filter-data-dialog a.choose").click(function(){
						var url = $(this).attr("url");
						var key = $(this).attr("key");

						var idStr = key+"_id";
						var nameStr = key+"_name";
						var formStr = key+"_form";

						if(url == "user") {
							LoadWindowUser(idStr,nameStr,formStr);
						} else if(url == "dept"){
							LoadWindowDept(idStr,nameStr,formStr);
						} else if(url == 'customer'){
							LoadCustomerDialog(idStr,nameStr,formStr,0,"all");
						} else {

							url += "?inputID="+idStr+"&inputName="+nameStr+"&formName="+formStr;
							var returnValue = window.showModalDialog(url, self, "edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:320px;dialogHeight:395px;");
						}
						return false;
					});

					$(".filter-data-dialog a.clear").click(function(){
						var key = $(this).attr("key");

						var idStr = key+"_id";
						var nameStr = key+"_name";

						$("#"+idStr).val("");
						$("#"+nameStr).val("");
						
					});

					if($(".filter-data-dialog :text[data-type='dateRange']").length > 0 ){
						$(".filter-data-dialog :text[data-type='dateRange']").each(function(){
							$(this).daterangepicker({
							    presetRanges : [{
							        text : '<?=$_lang['report_last_3_days']?>',
							        dateStart : 'today-3days',
							        dateEnd : 'today'
							    }, {
							        text : '<?=$_lang['report_last_7_days']?>',
							        dateStart : 'today-7days',
							        dateEnd : 'today'
							    }, {
							        text : '<?=$_lang['report_last_1_month']?>',
							        dateStart : 'today-1month',
							        dateEnd : 'today'
							    }, {
							        text : '<?=$_lang['report_last_3_month']?>',
							        dateStart : 'today-3month',
							        dateEnd : 'today'
							    }],
							    dateFormat: "yy-m-d",
							    rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
							    rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
							    nextLinkText: '>',
							    prevLinkText: '<',
							    rangeSplitter: "~",
							    doneButtonText: EOlang.msgSubmit,
							    presets: {
							        specificDate: LazyPluginLang.LazyDateRangePicker.specificDate,
							        dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
								}
							});
						})
							
					}


			var searchInfor = [];
			$(".filter-data-dialog").find(":input").each(function() {
				var dataKey = $(this).attr("data-key");

				if (dataKey) {
					searchInfor.push(dataKey + "=" + ($(this).val()?$(this).val():""));
				}
			});

			$(".filter-data-dialog").data("searchInfor", searchInfor.join('&'));
		}
</script>
