<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/rss/more_limit.php
 *@function:         RSS资讯展示
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:           lizhijun
 *@date:             2014-8-13
 *@file Version:     2.0
 *@eoffice Version:  8.3
*/
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Pragma: no-cache"); 

include_once("inc/conn.php");
include_once("inc/utility_all.php");
require_once("inc/xml_parse.inc.php");
$_res_rss_url = isset($_GET['url']) ? $_GET['url'] :"";
$more = isset($_GET['more']) ? $_GET['more'] :0;
$res_rss_url = str_replace('*','&',$_res_rss_url);
if(!$more){
    $encode = mb_detect_encoding($_res_rss_url, array('ASCII','UTF-8','GB2312','GBK','BIG5'));//判断中文字符串编码
    if($encode == 'GBK' || $encode == 'EUC-CN'){
        $_res_rss_url = iconv('GBK', 'UTF-8', $_res_rss_url);
    }

}
@session_start();
$borowserType = getBrowserType();
$PAGE_TITLE = $_lang["flow_chooseflow"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<?php if($borowserType != 'IE8' && $borowserType != 'IE7' && $borowserType != 'IE6'){?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<?php }?>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
</head>
    <style>
        body:hover .row-list-more {display: block;}
        .row-list-more{text-align: center; display: none;}
        .row-list-more span {cursor: pointer; font-size: 16px; color: #808080; }
        .row-list{width:100%;float:left;height:30px;line-height: 35px;}
        .row-td{float:left;text-indent: 15px;color:#5C5C5C;}
        .row-td a{
            color:#5C5C5C;
        }
        .row-td a:hover{color: #00BFFF;}
        .hover{background: #ECECEC;}
    </style>
    <script>
      $(function(){
            var body_width = $(window).width();
            $(".main-content").width(body_width);
            $(".row-list").mouseover(function(){
                $(this).addClass('hover');
            }).mouseleave(function(){
                $(this).removeClass('hover');
            });
            /*$(".row-list-more").mouseover(function(){
                $(this).css({'background':'#ECECEC','border':'1px solid #C7C7C7'});
            }).mouseleave(function(){
                $(this).css({'background':'#C7C7C7','border':'1px solid #C7C7C7'});
            });*/
            $("#load-more").click(function(){
                location.href= '/general/rss/rssShow.php?more=1&url=<?=$_res_rss_url?>';
            });
            $('body').niceScroll();
      });
    </script>
<body>
    <div class="main-content">
<?
if($res_rss_url){
    $RP = new RssParse();
    $RP->parseRss($res_rss_url); 
    $result  = $RP->getItems();
    $size = sizeof($result);
    if($more == 1){
        $count = $size;
    }else{
        $count = $size > 6 ? 6 : $size;
    }
    if($result){
        if($more == 1){
?>
        <!-- <div class="row-list-more" id="go-back" onclick="javascript:history.go(-1)">返回</div>
        <div class="row-list-more">
            <span id="go-back" title="返回" onclick="javascript:history.go(-1)">
                <i class="fa fa-reply"></i>
            </span>
        </div> -->
<?
        }     
        for($i=0;$i<$count;$i++){
	$title = htmlspecialchars_decode($result[$i]['title']);
        if($result[$i]['pubdate'] > 0){
            $date = date("Y-m-d",$result[$i]['pubdate']);
	}
        $link = $result[$i]['link'];
?>
<div class="row-list"><div class="row-td" style="width:40px;text-align: center;margin-left:-20px;"><i class="fa fa-square-o" style="line-height:35px;"></i></div><div class="row-td"><a href="<?=$link?>" target='_blank'><?php echo substrGB($title,46,'...');?></a></div><div class="row-td" style=""><?=$date?></div><div class="row-td" style="float:right;margin-right:20px;"><a href="<?=$link?>" target='_blank'>查看</a></div></div>
<?
        }
        if($size >6 && $more != 1){
?>
            <!-- <div class="row-list-more" id="load-more">加载更多....</div> -->
            <div class="row-list-more">
                <span id="load-more" title="加载更多">
                    <i class="fa fa-angle-double-down"></i>
                </span>
            </div>
<?
        }
        }else{
        echo '<div class="alert alert-info" style="border:1px solid #bce8f1;background-color: #d9edf7;color: #31708f;height:50px;line-height:50px;" >&nbsp;&nbsp;该地址暂无数据</div>';
    }
}else{
    echo '<div class="alert alert-info" style="border:1px solid #bce8f1;background-color: #d9edf7;color: #31708f;height:50px;line-height:50px;" >&nbsp;&nbsp;暂无rss地址</div>';
}?>
    </div>
</body>
</html>