<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/salary/manage/sal_flow/index.php
 *@function:         新建工资上报流程
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-04-19
 *@file Version:     12.0
 *@eoffice Version:  8.0
*/
include_once("inc/auth.php");
includelangpak("hr");
include_once("inc/utility_all.php");

$PAGE_TITLE = $_lang["hr_info_salary_new_flow"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 2000;

	$("#BEGIN_DATE,#END_DATE").datepicker({dateFormat:"yy-mm-dd"});
	$(".lazy_content").height($(window).height()-200);
	$(".lazy_content").niceScroll();

	$("#SMS_REMIND").iCheck({
		 checkboxClass : 'icheckbox_square-blue'
	});
});
function delete_flow(FLOW_ID)
{
	bootbox.confirm("<?=$_lang["hr_info_del_sala_flow"]?>？", function(result) 
	{
		if(result)
		{
			URL="delete.php?FLOW_ID=" + FLOW_ID;
			window.location=URL;
		}
	});
}

function stop_flow(FLOW_ID)
{
	bootbox.confirm("<?=$_lang["hr_info_end_sala_flow"]?>？", function(result) 
	{
		if(result)
		{
			URL="stop.php?FLOW_ID=" + FLOW_ID;
			window.location=URL;
		}
	});
}

function CheckForm()
{
	if(document.form1.BEGIN_DATE.value=="")
	{
		$.pnotify({
			text:"<?=$_lang["hr_info_report_date_start"]?>",
			type:"error"
		});
		return (false);
	}
	if(document.form1.END_DATE.value=="")
	{
		$.pnotify({
			text:"<?=$_lang["hr_info_report_date_end"]?>",
			type:"error"
		});
		return (false);
	}
	if(document.form1.BEGIN_DATE.value>=document.form1.END_DATE.value)
	{
		$.pnotify({
			text:"<?=$_lang["hr_duty_end_big_start"]?>",
			type:"error"
		});
		return false;
	}

	document.form1.submit();
}
</script>
</head>
<body style="overflow:hidden;">
<?
$CUR_DATE = date("Y-m-d",time());
$CUR_MON  = date("m",time());
$CUR_YEAR = date("Y",time());
if(substr($CUR_MON,0,1)==0)
	$CUR_MON=substr($CUR_MON,1,strlen($CUR_MON)-1);

$query = "SELECT * from SAL_ITEM";
$cursor= exequery($connection,$query);
$item_count = mysql_affected_rows();
?>
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["hr_info_salary_new_flow"]?></span>
	</span>
	<?
	if($item_count)
	{
	?>
		<button type="button" class="btn btn-primary" onClick="CheckForm();"><?=$_lang["common_submit"]?></button>
	<?
	}
	?>
	<button type="button" class="btn btn-default" onClick="location='../index.php';"><?=$_lang["common_back"]?>
	</button>
</div>
<?
if(!$item_count)
{
?>

	<div class="alert alert-danger"><?=$_lang["hr_info_no_prein_flow"]?></div>
<?
}
else
{
?>	
<form action="add.php" method="post" name="form1" id="form1">
	<table border="0" width="100%" cellpadding="5" cellspacing="0" class="form_table">
		<tr>
			<td width="10%" nowrap="nowrap" class="title"><?=$_lang["hr_info_report_start_date"]?></td>
			<td>
			<input type="text" name="BEGIN_DATE" id="BEGIN_DATE" value="<?=$CUR_DATE?>" size="30" maxlength="30"/>
			</td>
		</tr>
		<tr>
			<td nowrap="nowrap" class="title"><?=$_lang["hr_info_report_end_date"]?></td>
			<td>
			<input type="text" name="END_DATE" id="END_DATE" value="<?=$CUR_DATE?>" size="30" maxlength="30"/>
			</td>
		</tr>
		<tr>
			<td nowrap="nowrap" class="title"><?=$_lang["hr_info_exta_explain"]?></td>
			<td>
				<input type="text" name="CONTENT" id="CONTENT" class="BigInput" size="30" maxlength="100" value="<?=$CUR_YEAR?><?=$_lang["common_year"]?><?=$CUR_MON?><?=$_lang["hr_info_report_month"]?>">
			</td>
		</tr>
		<tr>
			<td nowrap="nowrap" class="title"> <?=$_lang["hr_info_look_out"]?></td>
			<td>
				<input type="checkbox" class='checkbox' name="SMS_REMIND" id="SMS_REMIND" checked>
				&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["hr_info_look_out_moveb"]?>
			</td>
		</tr>
	</table>
	<?
	//============================ 显示已定义工资上报流程 =======================================
	$query = "SELECT * from SAL_FLOW order by SEND_TIME desc";
	$cursor= exequery($connection,$query);
	$FLOW_COUNT = mysql_affected_rows();
	$LINE_COUNT = 0;
	if($FLOW_COUNT)
	{
	?>
	<div class="lazy_content">
		<table border="0" cellspacing="0" width="100%" class="table" cellpadding="5">
			<thead>
				<tr style="background-color:#E6E6E6;">
					<td nowrap="nowrap"><?=$_lang["hr_info_flow_create_time"]?> </td>
					<td nowrap="nowrap"><?=$_lang["hr_duty_start_time"]?></td>
					<td nowrap="nowrap"><?=$_lang["hr_duty_end_time"]?></td>
					<td nowrap="nowrap"><?=$_lang["hr_info_exta_explain"]?></td>
					<td nowrap="nowrap"><?=$_lang["common_state"]?></td>
					<td nowrap="nowrap"><?=$_lang["common_operate"]?></td>
				</tr>
			</thead>
			<?
			while($ROW=mysql_fetch_array($cursor))
			{
				$LINE_COUNT++;
				$FLOW_ID    = $ROW["FLOW_ID"];
				$BEGIN_DATE = $ROW["BEGIN_DATE"];
				$BEGIN_DATE = strtok($BEGIN_DATE," ");
				$END_DATE   = $ROW["END_DATE"];
				$END_DATE   = strtok($END_DATE," ");
				if($END_DATE=="0000-00-00")
				$END_DATE   = "";
				$CONTENT    = $ROW["CONTENT"];
				$SEND_TIME  = $ROW["SEND_TIME"];
			?>
				<tr>
					<td nowrap="nowrap" ><?=$SEND_TIME?></td>
					<td nowrap="nowrap" ><?=$BEGIN_DATE?></td>
					<td nowrap="nowrap" ><?=$END_DATE?></td>
					<td nowrap="nowrap" title="<?=$CONTENT?>"><?=subStrGB($CONTENT,30,'...')?></td>
					<td nowrap="nowrap" >
						<?
						$RUNNING = 0;
						if($END_DATE == "")
						{
							echo "<font color='#00AA00'>".$_lang["hr_info_reporting"]."</span>";
							$RUNNING=1;
						}
						else
						{
							if(compare_date($END_DATE,$CUR_DATE)<0)
								echo "<font color='#FF0000'>".$_lang["hr_info_report_stop"]."</span>";
							elseif(compare_date($BEGIN_DATE,$CUR_DATE)<=0)
							{
								echo "<font color='#00AA00'>".$_lang["hr_info_reporting"]."</span>";
								$RUNNING=1;
							}
							else
								echo $_lang["hr_info_report_wait"];
						}
						?>
					</td>
					<td nowrap="nowrap" width="120">
						<a href="report.php?FLOW_ID=<?=$FLOW_ID?>" target="_blank"><?=$_lang["hr_info_report_forms"]?></a>
						<?
						if($RUNNING==1)
						{
						?>
							<a href="javascript:stop_flow(<?=$FLOW_ID?>);"><?=$_lang["hr_info_report_stopping"]?></a>
						<?
						}
						?>
						<a href="javascript:delete_flow(<?=$FLOW_ID?>);"><?=$_lang["common_del"]?></a>
					</td>
				</tr>
			<?
			}
			?>
		</table>
	</div>
	<?
	}
	else
	{
	?>
		<div class="alert alert-danger"><?=$_lang["hr_duty_set_nothing"]?></div>
	<?
	}
	?>
<?
}
?>
</form>
</body>
</html>