<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/salary/manage/sal_item/edit.php
 *@function:         工资项目编辑
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-29
 *@file Version:     5.0
 *@eoffice Version:  8.0
*/

include_once("inc/auth.php");
includelangpak("hr");

$PAGE_TITLE = $_lang["hr_info_salary_edit"];
include_once("inc/page_header.inc.php");

//安全性判断
if(!is_numeric($_REQUEST['ITEM_ID'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script language="javascript" src="/inc/checkform_function.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
$(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 2000;
});
function CheckForm()
{
	var strFname = document.form1.ITEM_NAME.value;
	if(Trim(strFname) == "")
	{
		$.pnotify({
			text:"<?=$_lang["hr_info_salary_name_null"]?>",
			type:"error"
		});
		document.form1.ITEM_NAME.focus();
		return (false);
	}
	var specialStr = NormativeStr(Trim(strFname));
	if (specialStr != false)
	{
		$.pnotify({
			text:"<?=$_lang["hr_info_name_special"]?>"+specialStr+" ！",
			type:"error"
		});
		document.form1.ITEM_NAME.focus();
		return false;
	}
	var moneystr = document.form1.ITEM_MONEY.value;
	if(this.isNaN(moneystr))
	{
		$.pnotify({
			text:"<?=$_lang["hr_salary_amount_war"]?>",
			type:"error"
		});
		return false;
	}
	document.form1.submit();
}
</script>
</head>
<?php
$ITEM_ID = SecurityFilter($ITEM_ID);
$query = "SELECT * from SAL_ITEM where ITEM_ID=$ITEM_ID";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor)){
	$ITEM_NAME  = $ROW["ITEM_NAME"];
	$ITEM_MONEY = $ROW["ITEM_MONEY"];
}
?>
<body>
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["hr_info_salary_edit"]?></span>
	</span>
	<button type="button" class="btn btn-primary" onClick="CheckForm();"><?=$_lang["common_submit"]?>
	</button>
	<button type="button" class="btn btn-default" onClick="location='../index.php';"><?=$_lang["common_back"]?>
	</button>		
</div>
<div class="editdiv">
	<table border="0" width="100%" cellspacing="0" cellpadding="0" class="form_table">
		<form action="update.php"  method="post" name="form1" id="form1">
			<tr>
				<td class="title"><?=$_lang["hr_info_salary_numb"]?></td>
				<td>&nbsp;<?=$ITEM_ID?></td>
			</tr>
			<tr>
				<td class='title'><?=$_lang["hr_info_salary_stall_name"]?></td>
				<td>
					<table>
						<tr>
							<td>
								<input type="text" name="ITEM_NAME" id="ITEM_NAME" class="require" size="30" maxlength="100" value="<?=$ITEM_NAME?>">
							</td>
							<td>
								<input type="hidden" name="ITEM_ID" id="ITEM_ID" value="<?=$ITEM_ID?>">
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td class='title'><?=$_lang["hr_info_salary_preinstall"]?></td>
				<td>
					<table>
						<tr>
							<td>
								<input name="ITEM_MONEY" id="ITEM_MONEY" type="text" class="text" id="ITEM_MONEY" size="10" maxlength="6" value="<?=$ITEM_MONEY?>">
							</td>
							<td>&nbsp;RMB</td>
						</tr>
					</table>
				</td>
			</tr>
		</form>
	</table>
</div>
</body>
</html>