<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      产品新建页
 * @encoding      $_lang['encoding']
 * @name          general/sale/product/manage/new.php
 * @version       17
 * @author        Qu|www.weaver.com.cn
 * @date          2012-04-24
 */
include_once("inc/auth.php"); 
include_once("api/field_set.class.php");
include_once("inc/utility_all.php");
includelangpak("customer");

$OtherFieldObj = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('PRODUCT',$CUSTOMER_ID,'PRODUCT_ID','form1','edit');

$PAGE_TITLE = $_lang["customer_pro_new"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script language=javascript src="/inc/field_add/field_add.js"></script>
<script language="javascript" src="/fck/added.js" ></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
    
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
    
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
    
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>

<script Language="JavaScript">
var check_notify;
function submit_form(){
	if(CheckForm()) {
		document.form1.submit();
		document.getElementById("submit").disabled = true;
	}
}

function CheckForm()
{
	var returnValue = true;
	if(document.form1.PRODUCT_NAME.value=="" || document.form1.PRODUCT_NAME.value.substr(0, 1) == " ")
	{
		if (check_notify) {
	        check_notify.pnotify_remove();
	      }

	      check_notify=$.pnotify({
	          text:"<?=$_lang["customer_pro_name_alert"]?>",
	          type:"error",
	          animate_speed:"fast",
	          delay:"1500",
	          history:false
	      }).click(function(event) {
	        check_notify.pnotify_remove();
	      });
		return false;
	}

	if(document.form1.PROVIDER_NAME.value == "")
	{
		if (check_notify) {
	        check_notify.pnotify_remove();
	      }

	      check_notify=$.pnotify({
	          text:"<?=$_lang["customer_sup_name_alert"]?>",
	          type:"error",
	          animate_speed:"fast",
	          delay:"1500",
	          history:false
	      }).click(function(event) {
	        check_notify.pnotify_remove();
	      });
		return false;
	}
	
	//必填字段的检测
	if('<?=$OtherFieldArray ["MustInput"]?>'!=""){
		var returnValue = checkMustInput('<?=$OtherFieldArray["MustInput"]?>');
	}

	if(returnValue!=false) {
		return true;
	}
}

function LoadWindow(id,name,form,dialog_div,isRequire)
{
  URL="/general/sale/product/manage/provider_select/index.php?id="+id+"&name="+name+"&form="+form+"&dialog_div="+dialog_div+"&isRequire="+isRequire;
  $("#Div_Provider_Dialog").attr("src",URL);
  $(".Div_Provider_Dialog").dialog("open");
}
</script>
<body>
<div class="lazy_header">
	<span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_pro_new"]?></span></span>
	<a class="btn btn-default" onclick="location='index.php'"><?=$_lang["common_back"]?></a>
	<a class="btn btn-primary" onclick="submit_form();"><?=$_lang["common_save"]?></a>
</div>

<div class="Div_Provider_Dialog">
    <iframe style="width:100%;border:none;height:100%;" frameborder="0" id="Div_Provider_Dialog"></iframe>
</div>
<div class="main_wrap">
<form action="index_do.php?op=add"  method="post" name="form1" id="form1">
<table width="100%" class="form_table">
	<tr>
		<td class="title"><?=$_lang["customer_product_supplier"]?></td>
		<td>
			<input type="hidden" name="PROVIDER_ID" id="PROVIDER_ID" value="<?=$PROVIDER_ID?>">
			<input type="text" name="PROVIDER_NAME" id="PROVIDER_NAME" class="require" size="33" maxlength="100" readonly value="<?=$PROVIDER_NAME?>">
			<a class="btn btn-primary" onClick="LoadWindow('PROVIDER_ID','PROVIDER_NAME','form1','Div_Provider_Dialog',1);"><?=$_lang["common_choose"]?></a>&nbsp;
			
		</td>
		<td class="title"><?=$_lang["customer_product_name"]?></td>
		<td>
			<input type="text" name="PRODUCT_NAME" id="PRODUCT_NAME" class="require" size="33" maxlength="100" value="<?=$PRODUCT_NAME?>">
		</td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_product_model"]?></td>
		<td>
			<input type="text" name="PRODUCT_TYPE" class="text" size="33" maxlength="100" value="<?=$PRODUCT_TYPE?>">&nbsp;
		</td>
		<td class="title"><?=$_lang["customer_pro_unit_math"]?></td>
		<td>
			<input type="text" name="MEASURE_UNIT" class="text" size="33" maxlength="100" value="<?=$MEASURE_UNIT?>">&nbsp;
		</td>
	</tr>
	<!--成本价和出售价-->
	<tr>
		<td class="title"><?=$_lang["customer_product_basic_pr"]?></td>
		<td>
			<input type="text" name="COST_PRICE" class="text" size="33" maxlength="12" value="<?=$COST_PRICE?>" onkeyup="checknumtype(this);">&nbsp;
		</td>
		<td class="title"><?=$_lang["customer_product_sale_pr"]?></td>
		<td>
			<input type="text" name="STANDARD_PRICE" class="text" size="33" maxlength="12" value="<?=$STANDARD_PRICE?>" onkeyup="checknumtype(this);">&nbsp;
		</td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_pro_describe"]?></td>
		<td colspan="3">
			<textarea name="PRODUCT_DESC" id="PRODUCT_DESC" style="width:95%;height:100px;"></textarea>
			<script type="text/javascript">
				UE.getEditor('PRODUCT_DESC',{
		           zIndex:1,
		           autoHeightEnabled: false,
			       toolbars:[['bold','italic','underline','forecolor','backcolor','|',            'fontsize','|','scrawl','|','justifyleft','justifycenter','justifyright']]
		        });
			</script>
		</td>
	</tr>	
  </table>
	<?=$OtherFieldArray['Page']?>
</form>
</div>
</body>
</html>
<script type="text/javascript">
$(function(){
	$(".main_wrap").height($(window).height()-40).niceScroll();
	
	$(".Div_Provider_Dialog").dialog({
	    autoOpen: false,
	    width: 600,
	    modal: true,
	    height:470,
	    dialogClass:"lazy_dialog",  //此行必须有
	    resizable:false
	});

	if ("<?=$_REQUEST['isSuccess']?>") {
		var dd=$.pnotify({
	          text:"<?=$_lang["common_save_successed"]?>",
	          type:"error",
	          animate_speed:"fast",
	          delay:"1500",
	          history:false
      	}).click(function(event) {
      		dd.pnotify_remove();
      	});
	}

	$("#PRODUCT_NAME").keyup(function(event) {
		var PRODUCT_NAME = $("#PRODUCT_NAME").val();
		  if (PRODUCT_NAME=="") {
		    $("#PRODUCT_NAME").attr("class","require");
		  }else{
		    $("#PRODUCT_NAME").attr("class","");
		  }
	});
        
        //=====================update by lizhijun=============================//
        $.pnotify.defaults.styling = "bootstrap3";
        $.pnotify.defaults.closer = false;
        $.pnotify.defaults.sticker = false;
        $.pnotify.defaults.history = false; 
        $.pnotify.defaults.delay = 3000;
        $.pnotify.defaults.addclass = "stack-topright";
        $.pnotify.defaults.animate_speed = 'fast';
        $.pnotify.defaults.type = "error"
        $(".require").each(function(i,v){
            if($(this).val() != ""){
                $(this).removeClass("require");
            }
        })
        $(".customDate").datepicker({
                onClose:function(ui,data)
                {
                    var fieldId = data.id.substr(11,data.id.length);
                    fieldStr    = getFieldInfo('product',fieldId);
                    fieldInfo   = $.parseJSON(fieldStr);
                    $.trim($(this).val()) != ""?$(this).removeClass("require"):(fieldInfo.F_PROPERTY == "1"?$(this).addClass("require"):"");
                }
        });
        //====================================================================//
});

function display_provider(){
	var PROVIDER_NAME = $("#PROVIDER_NAME").val();
	  if (PROVIDER_NAME=="") {
	    $("#PROVIDER_NAME").attr("class","require");
	  }else{
	    $("#PROVIDER_NAME").attr("class","");
	  }
}
</script>
