<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户管理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/index.php
 * @version       24
 * @author        Qu|www.weaver.com.cn
 * @date          2012-04-20
 */
include_once("inc/auth.php");
include_once("api/field_set.class.php");
include_once("inc/utility_all.php");
includelangpak("customer");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["customer_crm_linkman_man"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
    
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
    
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
    
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
  .lazy_header .bootstrap-select .btn-default {
      color: #000000;
      border: none;
  }

  .lazy_sub_header .bootstrap-select .btn-default {
      color: #000000;
      border: none;
  }

  .close_div{
      position: absolute;
      bottom: 3px;
      width: 100%;
      padding-top: 3px;
      height: 33px;
      padding-right: 10px;
      border-top: 1px solid lightgray;
  }
</style>
</head>
<body>
    <div class="lazy_header">
        <span class="lazy-page-title"><i class="fa fa-bars"></i><span class="tip" style="cursor:pointer"><?=$_lang["customer_man_supplier_list"]?></span></span>
        
        <!-- <span style="padding-top:13px;float:right;padding-right:10px;cursor:pointer;" onclick="close_dialog()"><i class="fa fa-times fa-lg text-danger"></i></span> -->
        <div class="provider_search" style="float:right;margin-right:10px;margin-top:5px;"></div>
    </div>
    <div class="provider_list"></div>
    <div class="close_div"><a class="btn btn-default" style="float:right;" onclick="close_dialog()"><?=$_lang["customer_man_close"]?></a><a class="btn btn-primary" style="float:right;margin-right:10px;display:none" id="submit" onclick="submit_dialog()"><?=$_lang["customer_man_sure"]?></a></div>
    <input type="hidden" id="listid">
</body>
</html>
<script type="text/javascript">
var div = "<?=$_REQUEST['dialog_div']?>";
var id = "<?=$_REQUEST['id']?>";
var name = "<?=$_REQUEST['name']?>";
var form = "<?=$_REQUEST['form']?>";
var isRequire = "<?=$_REQUEST['isRequire']?>";

$(function(){
    $(".provider_list").LazyTable({
      hideHeader:true,
      page : {
        itemsPerPage : 10
      },
      column : [{
        width:550,
        template:function(value){
          var htmlStr = [];
          htmlStr.push('  <div style="position:relative;width:100%;height:32px;">');
          htmlStr.push('    <div title="<?=$_lang[customer_product_supplier]?>：'+value.PROVIDER_NAME+'" style="z-index:2;position:absolute;cursor:pointer;width:100%;height:31px;line-height:31px;vertical-align:middle;" class="detail_div_wrap" id="'+value.PROVIDER_ID+'" onclick="open_detail_provider(this,'+value.PROVIDER_ID+')">');
          htmlStr.push('            <span style="display:inline-block;width:80%;padding-left:5px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;-o-text-overflow:ellipsis;">'+ value.PROVIDER_NAME + '</span>');
          htmlStr.push('    </div>');
          htmlStr.push('  </div>');
          return htmlStr.join('');
        }
      }],
      dataSource : "index_do.php",
      param : {
        op : "getProviderList",
      },
    });

    $(".provider_search").LazySearch({
      tip : "<?=$_lang['customer_man_supplier_look']?>",
      fieldSearch : {
        onItemClick : function(data, value) {
          //alert(data.key+"---"+value);
          $(".provider_list").LazyTable("reload",{
            page:{
              currentPage:0
            },
            param:{
              search_field:data.key,
              search_str:$.trim(value),
            }
          });
        },
        items : [{
          key : "PROVIDER_NAME",
          title : "<?=$_lang['customer_man_supplier_have']?>"
        }]
      },
      onClearButtonClick:function(){
        $(".provider_list").LazyTable("reload",{
          param:{
            search_field:"",
            search_str:"",
          }
        });
      }
    });

});

function open_detail_provider(obj,PROVIDER_ID){
    $("#submit").css("display","");

    $(".lazy_table_table .lazy_table_tbody .lazy_table_tr").each(function() {
       if ($(this).find('.detail_div_wrap').attr("id")==PROVIDER_ID) {
        $(this).closest('.lazy_table_tr').css("background-color","#E8E8E8");
       }else{
        $(this).closest('.lazy_table_tr').css("background-color","white");
       }
    });

    $("#listid").val(PROVIDER_ID);

   
    
}

function submit_dialog(){
   var PROVIDER_ID=$("#listid").val();

   if (PROVIDER_ID) {
      window.parent.$("#"+form).find("#"+id).val(PROVIDER_ID);

      $.ajax({
        url:"index_do.php",
        data:{
          op : 'getProviderName',
          PROVIDER_ID:PROVIDER_ID
        },
        success:function(result){
          window.parent.$("#"+name).val(result);
        }
      });

      if (isRequire==1) {
         window.parent.$("#"+name).attr("class","");
      }
   }
   close_dialog();
}

function close_dialog(){
  window.parent.$("."+div).dialog("close");
}
</script>
