<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      首页产品页
 * @encoding      $_lang['encoding']
 * @name          general/product/manage/query/index.php
 * @version       7
 * @author        Qu|www.weaver.com.cn
 * @date          2012-04-24
 */
include_once("inc/auth.php"); 
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
includelangpak("customer");

$customer = new customer();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["customer_product_read"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypagination.js"></script>
<SCRIPT type="text/javascript" src="/inc/calendar/calendar.js"></SCRIPT>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script>
var myLazyGrid;
$(document).ready(function() {
	function LazyGridCallback(){
			$(":checkbox").LazyBeautifyCheckBox();
	}
	myLazyGrid = $("#myTable").LazyGrid({
			/*
			 * 分页参数
			 */
			pagination : {	
				pageCount : 15//每页条数，默认为12
			},
			defaultSortField:"PRODUCT_ID",
				defaultSortOrder:"DESC",
			buttons:[{
				type:"checkall",
				name:"product_id"
			},
			{
				type:"normal",
				text:'<?=$_lang["customer_all_delete"]?>',
					callback:del_add
			},
			{
				type:"search",
				url:"/general/sale/product/query/search.php",
				width:"680",
				height:"250",
				caption:"<?=$_lang["customer_pro_massage_que"]?>"
			}],
			callback:{
				complete:LazyGridCallback
			},
			url : '/general/sale/product/manage/show_product.php', //数据处理页面
			theme:'<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/'
		});
		$("body").LazyBeautifyForm();
});

function del(product_id)
{
	var msg	= "<?=$_lang['common_del_alert']?>";
	if(window.confirm(msg))
	{
		$.ajax({
			url:"/general/sale/product/manage/delete.php?product_id="+product_id+"&cur_page="+$(".pagination").data("current_page")
		}).done(function(result) {
			if(result == "success") {
				myLazyGrid.Reload();
			} else {
				alert("Error");
			}
		}).fail(function() {
			alert("Error");
		})

	}
}

function edt(product_id, provider_id)
{
	var url	= "/general/sale/product/manage/edit.php?product_id="+product_id+"&provider_id="+provider_id+"&cur_page="+$(".pagination").data("current_page");
	location = url;
}

function product_detail(product_id)
{
	var url	= "detail.php?product_id="+product_id;
	window.open(url, '', 'height=600,width=800,top=50, left=100,toolbar=no,menubar=no,scrollbars=no, resizable=yes,location=no, status=yes');
}

function detail(product_id)
{
	/*2007-7-4 sun 把product_id改成PRODUCT_ID*/
	URL="detail.php?product_id="+product_id;
	window.open(URL,"read_notify","height=600,width=800,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=50,left=100,resizable=yes");
}

function provider_detail(provider_id)
{
	var url	= "../../../provider/manage/detail.php?provider_id="+provider_id;
	window.open(url, '', 'height=600,width=800,top=50, left=100,toolbar=no,menubar=no,scrollbars=no, resizable=yes,location=no, status=yes'); 
}

 /*批量删除*/
 function del_add() {
	var product_ids = document.getElementsByName('product_id');
	var url = '/general/sale/product/manage/delete_all.php';
	var i,productids = '';
	for( i = 0; i< product_ids.length; i++) {
		if(product_ids[i].checked == true) {
			productids += product_ids[i].value + ',';
		}
	}

	productids = productids.substr(0,(productids.length-1) );
	if(productids == '') {
		alert('<?=$_lang["customer_choose_option_first"]?>');
		return false;
	} else {
		if(!confirm("<?php echo $_lang['customer_sure_want_del']?>"))
			return false;
		$.ajax({
				type:'POST',
				data:'productids='+productids,
				url:url,
				success:function(data)
				{
					if(data == '1') {
						alert("<?php echo $_lang['customer_delete_success'];?>!");
						window.location.href='index.php?cur_page='+$(".pagination").data("current_page");
					} else {
						var del_info_table = document.getElementById('delete_log');
						init_del_table(del_info_table);
						eval('var del_log = ' + data  );
						show_del_info(del_info_table, del_log);
					}
				}
		});
	}
 }

function LoadWindow()
{
  URL="/general/sale/product/manage/provider_select";
  loc_x=document.body.scrollLeft+event.clientX-event.offsetX+250;
  loc_y=document.body.scrollTop+event.clientY-event.offsetY-160;
  window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:320px;dialogHeight:400px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}
</script>
</head>
<body>
<table border="0" width="100%" cellspacing="0" cellpadding="3">
  <tr>
    <td>
		<span class="page-title"><?=$_lang["customer_product_read"]?></span>
    </td>
	<td>
    	<?pageHeadItem("customer",1,1,1,1)?>
    </td>
  </tr>
  <tr><td colspan="2">
	<div class='bg-split' style="margin-bottom:5px; margin-top:5px;"></div></td></tr>
</table>
<div id="myTable"></div>
</body>
</html>