<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      销售记录新建页
 * @encoding      $_lang['encoding']
 * @name          general/sale/sale_history/new.php
 * @version       15
 * @author        Qu|www.weaver.com.cn
 * @date          2012-04-24
 */
include_once("inc/auth.php"); 
include_once("api/customer.class.php");
includelangpak("customer");

$customer   = new customer();


if($_REQUEST['CUSTOMER_ID'])
{
  if(!is_numeric($_REQUEST['CUSTOMER_ID'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}
if($_REQUEST['PRODUCT_ID'])
{
  if(!is_numeric($_REQUEST['PRODUCT_ID'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}

$customers  = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);
$row = $customer->getDataOne('product','*',"PRODUCT_ID='".$_REQUEST["PRODUCT_ID"]."'");
$PAGE_TITLE = $_lang["customer_reco_new"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<body>
<div class="lazy_header">
    <span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_reco_new"]?></span></span>
    <input type="button" class="btn btn-default" value="<?=$_lang["common_back"]?>" id="cancel" onclick="location='index.php';"/>
    <input type="button" class="btn btn-primary" id="submit" value="<?=$_lang["common_save"]?>" onclick="CheckForm();"/>
</div>

<div class="Div_Product_Dialog">
    <iframe style="width:100%;border:none;height:100%;" frameborder="0" id="Div_Product_Dialog"></iframe>
</div>
<div class="main_wrap">
<form action="index_do.php?op=add"  method="post" name="form1" id="form1">
<table class="form_table">
   <tr>
    <td class="title"><?=$_lang["customer_cus_name"]?></td>
    <td colspan="3">
      		<input type="hidden" name="CUSTOMER_ID" id="CUSTOMER_ID" value="<?=$_REQUEST["CUSTOMER_ID"]?>">
      		<input type="text" name="CUSTOMER_NAME" id="CUSTOMER_NAME" class="require" maxlength="80" readonly value="<?=$customers["CUSTOMER_NAME"]?>">
      		<input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadCustomerDialog('CUSTOMER_ID','CUSTOMER_NAME','form1',1,'limit');">
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_sale_product"]?></td>
    <td width="300">
      	<input type="hidden" name="PRODUCT_ID" id="PRODUCT_ID" value="<?=$_REQUEST["PRODUCT_ID"]?>">
      	<input type="text" name="PRODUCT_NAME_TYPE" id="PRODUCT_NAME_TYPE" class="require" maxlength="80" readonly value="<?=$row["PRODUCT_NAME"]?>">
      	<input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadWindow2('PRODUCT_ID','PRODUCT_NAME_TYPE','form1','Div_Product_Dialog',1);">
    </td>
    <td class="title"><?=$_lang["customer_sale_date"]?></td>
    <td><input type="text" class="datatime" name="DATE" id="DATE" value="<?=$DATE?>" maxlength="10"/></td>
   </tr>

   <tr>
    <td class="title"><?=$_lang["customer_sale_num"]?></td>
    <td>
        <input type="text" name="AMT" id="AMT" class="text" maxlength="9" value="" onkeyup="checknumtype(this);">&nbsp;
    </td>
    <td class="title"><?=$_lang["customer_sale_price"]?></td>
    <td >
        <input type="text" id="PRICE" name="PRICE" class="text" maxlength="50" value="<?=$PRICE?>" onkeyup="checknumtype(this);">&nbsp;
    </td>
   </tr>

   <tr>
    <td class="title"><?=$_lang["customer_sale_discount"]?></td>
    <td>
        <input type="text" id="DISCOUNT" name="DISCOUNT" class="BigInput" maxlength="10" value="<?=$DISCOUNT?>" onkeyup="checknumtype(this);" onblur="checkdata(this);">&nbsp;
    </td>
    <td class="title"><?=$_lang["customer_sale_saler"]?></td>
    <td>
        <input type="text" name="SALESMAN" class="text" maxlength="100" value="<?=$SALESMAN?>">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_cus_remarks"]?></td>
    <td colspan="3">
      <textarea name="MEMO" id="MEMO" wrap="yes" style="height:100px;"></textarea>
      <!--<script id="MEMO" name="MEMO" type="text/plain"></script>-->
    </td>
   </tr>
   </table>
   </form>
 </div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>
<script Language="JavaScript">
$(function(){
    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false; 
    $.pnotify.defaults.delay = 3000;
    $.pnotify.defaults.addclass = "stack-topright";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";

    UE.getEditor('MEMO',{
       zIndex:10,
       initialFrameWidth:700
    });

    $('iframe[id^=ueditor_]').css("width","90%");
})
var check_notify;
function CheckForm()
{
   if(document.form1.CUSTOMER_ID.value=="")
   {
      if (check_notify) {
        check_notify.pnotify_remove();
      }
      check_notify=$.pnotify({
        text:"<?=$_lang["customer_crm_cus_name_not"]?>",
        type:"error",
        history:false,
        animate_speed:"fast",
        delay:"2000"
      }).click(function(event) {
        check_notify.pnotify_remove();
      });
     return (false);
   }
   if(document.form1.PRODUCT_ID.value=="")
   {
      if (check_notify) {
        check_notify.pnotify_remove();
      }
      check_notify=$.pnotify({
        text:"<?=$_lang["customer_pro_not_null"]?>",
        type:"error",
        history:false,
        animate_speed:"fast",
        delay:"2000"
      }).click(function(event) {
        check_notify.pnotify_remove();
      });
     return (false);
   }
   document.form1.submit();
   document.getElementById("submit").disabled = true;
}

function LoadWindow2(id,name,form,dialog_div,isRequire)
{
  URL="/general/sale/sale_history/product_select/index.php?id="+id+"&name="+name+"&form="+form+"&dialog_div="+dialog_div+"&isRequire="+isRequire;
  $("#Div_Product_Dialog").attr("src",URL);
  $(".Div_Product_Dialog").dialog("open");
}


function checkdata(obj) {
  var numVal = obj.value;
  if(numVal>1) {
    if (check_notify) {
        check_notify.pnotify_remove();
      }
      check_notify=$.pnotify({
        text:"<?=$_lang["customer_discount_not_correct"]?>",
        type:"error",
        history:false,
        animate_speed:"fast",
        delay:"2000"
      }).click(function(event) {
        check_notify.pnotify_remove();
      });
    obj.value = "";
    obj.focus();
  }
}

$(".datatime").datepicker({
  beforeShow:function(a,b){
      setTimeout(function(){
              b.dpDiv.css('z-index', 9999);
          }, 100);
    }
});
$(function(){
  $(".main_wrap").height($(window).height()-40).niceScroll();

  $(".Div_Product_Dialog").dialog({
      autoOpen: false,
      width: 600,
      modal: true,
      height:470,
      dialogClass:"lazy_dialog",  //此行必须有
      resizable:false
  });
  
  if ("<?=$_REQUEST[isSuccess]?>"==1) {
    $.pnotify({
      text:"<?=$_lang[common_save_successed]?>",
      type:"success",
      animate_speed:"fast",
      delay:"2000",
      history:false
    });
  }
});

function display_customer(){
  var CUSTOMER_NAME = $("#CUSTOMER_NAME").val();
  if (CUSTOMER_NAME=="") {
    $("#CUSTOMER_NAME").attr("class","require");
  }else{
    $("#CUSTOMER_NAME").attr("class","");
  }
}

function display_product_name(){
  var PRODUCT_NAME_TYPE = $("#PRODUCT_NAME_TYPE").val();
  if (PRODUCT_NAME_TYPE=="") {
    $("#PRODUCT_NAME_TYPE").attr("class","require");
  }else{
    $("#PRODUCT_NAME_TYPE").attr("class","");
  }
}
</script>