<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      销售记录详情页
 * @encoding      $_lang['encoding']
 * @name          general/sale/sale_history/sale_detail.php
 * @version       8
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-14
 */
include_once("inc/auth.php"); 
include_once("inc/check_type.php");
include_once("api/customer.class.php");
includelangpak("customer");

$customer = new customer();

if($_REQUEST['history_id'])
{
	if(!is_numeric($_REQUEST['history_id'])){
		Message('',$_lang["common_param_error"],'failed');
		exit;
	}
}

$row = $customer->getDataOne('sale_history','*',"HISTORY_ID=".$_REQUEST['history_id']);
if($row) {
	$customer_id = $row["CUSTOMER_ID"];
	$info = $customer->get_customer_info($customer_id);
}

$PAGE_TITLE = $_lang["customer_sale_reco_mas"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
    
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
    
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
    
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<?
$ROW = $customer->getDataOne('sale_history','*',"HISTORY_ID=".$_REQUEST['history_id']);
 if($ROW)
 {
	$HISTORY_ID	  = $ROW["HISTORY_ID"];
	$CUSTOMER_ID1 = $ROW["CUSTOMER_ID"];
	$PRODUCT_ID1  = $ROW["PRODUCT_ID"];
	$DATE1		  = $ROW["DATE"];
	$AMT1		  = $ROW["AMT"];
	$PRICE1		  = $ROW["PRICE"];
	$DISCOUNT1	  = $ROW["DISCOUNT"];
	$SALESMAN1	  = $ROW["SALESMAN"];
	$MEMO1		  = $ROW["MEMO"];
	
  $ROW = $customer->getDataOne('customer','CUSTOMER_NAME',"CUSTOMER_ID=$CUSTOMER_ID1");
    if($ROW)
		  $CUSTOMER_NAME=$ROW["CUSTOMER_NAME"];	

    $ROW = $customer->getDataOne('product','PRODUCT_NAME,PRODUCT_TYPE',"PRODUCT_ID=$PRODUCT_ID1");
    if($ROW)
    {
   	  $PRODUCT_NAME = $ROW["PRODUCT_NAME"];	
	  $PRODUCT_TYPE = $ROW["PRODUCT_TYPE"];	
		  
	  if($PRODUCT_TYPE!="")
		$PRODUCT_NAME_TYPE = $PRODUCT_NAME.$PRODUCT_TYPE;
	  else
		$PRODUCT_NAME_TYPE = $PRODUCT_NAME;
    }
 }
?>
<body>
<div class="lazy_header">
    <span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_sale_reco_mas"]?></span></span>
  <input type="button" class="btn btn-default" value="<?=$_lang["common_back"]?>" href="#" onclick="location='index.php'"/>
</div>
<?
if($info["CUSTOMER_ID"])
{
?>
<table border="0" width="100%" class="form_table">  
   <tr>
    <td class="title"><?=$_lang["customer_sale_cusromer"]?></td>
    <td colspan="3"><?=$CUSTOMER_NAME?></td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_sale_product"]?></td>
    <td colspan="3"><?=$PRODUCT_NAME_TYPE?></td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_sale_date"]?></td>
    <td colspan="3"><?=$DATE1?></td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_sale_num"]?></td>
    <td ><?=$AMT1?></td>
   </tr>
   <tr>
	<td class="title"><?=$_lang["customer_sale_price"]?></td>
    <td><?=$PRICE1?></td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_sale_discount"]?></td>
    <td colspan="3"><?=$DISCOUNT1?></td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_sale_saler"]?></td>
    <td colspan="3"><?=$SALESMAN1?></td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_cus_remarks"]?></td>
    <td colspan="3"><?=$MEMO1?></td>
   </tr>   
        <input type="hidden" value="<?=$HISTORY_ID?>" name="HISTORY_ID">
        <input type="hidden" value="CUSTOMER_ID=<?=$CUSTOMER_ID?>&PRODUCT_ID=<?=$PRODUCT_ID?>&PROVIDER_ID=<?=$PROVIDER_ID?>&DATE=<?=$DATE?>&AMT=<?=$AMT?>&PRICE=<?=$PRICE?>&DISCOUNT=<?=$DISCOUNT?>&SALESMAN=<?=$SALESMAN?>&MEMO=<?=$MEMO?>&PAGE_START=<?=$PAGE_START?>" name="QUERY_LIST">
</table>
<?
}
else
{
	Message( "",$_lang["common_read_pur_explain"]);
	exit ();
}
?>
</body>
</html>