<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      销售记录数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/sale/sale_history/show_history.php
 * @version       14
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-13
 */
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
includelangpak("customer");

$customer  = new customer();
$resultStr = "";

//分页参数_偏移量
$offset = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows   = $_REQUEST['paginationRows'];
//排序参数
$sortParamRequest = $_REQUEST['sortParam'];
$sortParamSplit   = explode("*", $sortParamRequest);

$where_str = array();
$searchArray = array();

$customers = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);

if (trim($_REQUEST["CUSTOMER_ID"]) != "") {
	$where_str['CUSTOMER_ID'] = $_REQUEST["CUSTOMER_ID"];
	array_push($searchArray, array(
			"field" => "CUSTOMER_ID",
			"title" => $_lang["customer_linkman_bel_to"],
			"text"  => $customers["CUSTOMER_NAME"],
			"value" => $_REQUEST["CUSTOMER_ID"],
			"op"    => $_lang["customer_field_equal"]
	));
}

if (trim($_REQUEST["PRODUCT_ID"]) != "") {
	$where_str['PRODUCT_ID'] = $_REQUEST["PRODUCT_ID"];
	array_push($searchArray, array(
			"field" => "PRODUCT_ID",
			"title" => $_lang["customer_product_name"],
			"text"  => $customer->getProductName($_REQUEST["PRODUCT_ID"]),
			"value" => $_REQUEST["PRODUCT_ID"],
			"op"    => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["DATE"]) != "") {
	$where_str['DATE'] = $_REQUEST["DATE"];
	array_push($searchArray, array(
			"field" => "DATE",
			"title" => $_lang["customer_sale_date"],
			"text"  => $_REQUEST["DATE"],
			"op"	=> $_lang["customer_field_larger"] 
	));
}

if( trim($_REQUEST["DATE2"]) != "") {
	$where_str['DATE2'] = $_REQUEST["DATE2"];
	array_push($searchArray,array(
			"field" => "DATE",
			"title" => $_lang["customer_sale_date"],
			"text"  => $_REQUEST["DATE2"],
			"op"    => $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["AMT"]) != "") {
	$where_str['AMT'] = dhtmlspecialchars($_REQUEST["AMT"]);
	array_push($searchArray, array(
			"field" => "AMT",
			"title" => $_lang["customer_sale_num"],
			"text"  => dhtmlspecialchars($_REQUEST["AMT"]),
			"op"	=> $_lang["customer_field_larger"]
	));
}

if( trim($_REQUEST["AMT2"]) != "") {
	$where_str['AMT2'] = dhtmlspecialchars($_REQUEST["AMT2"]);
	array_push($searchArray,array(
			"field"	=> "AMT",
			"title" => $_lang["customer_sale_num"],
			"text"  => dhtmlspecialchars($_REQUEST["AMT2"]),
			"op"	=> $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["PRICE"]) != "") {
	$where_str['PRICE'] = dhtmlspecialchars($_REQUEST["PRICE"]);
	array_push($searchArray, array(
			"field" => "PRICE",
			"title" => $_lang["customer_sale_price"],
			"text"  => dhtmlspecialchars($_REQUEST["PRICE"]),
			"op"	=> $_lang["customer_field_larger"]
	));
}

if(trim($_REQUEST["PRICE2"]) != "") {
	$where_str['PRICE2'] = dhtmlspecialchars($_REQUEST["PRICE2"]);
	array_push($searchArray, array(
			"field" => "PRICE",
			"title" => $_lang["customer_sale_price"],
			"text"  => dhtmlspecialchars($_REQUEST["PRICE2"]),
			"op"	=> $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["DISCOUNT"]) != "") {
	$where_str['DISCOUNT'] = dhtmlspecialchars($_REQUEST["DISCOUNT"]);
	array_push($searchArray, array(
			"field" => "DISCOUNT",
			"title" => $_lang["customer_sale_discount"],
			"text"  => dhtmlspecialchars($_REQUEST["DISCOUNT"]),
			"op"	=> $_lang["customer_field_larger"]
	));
}

if(trim($_REQUEST["DISCOUNT2"]) != "") {
	$where_str['DISCOUNT2'] = dhtmlspecialchars($_REQUEST["DISCOUNT2"]);
	array_push($searchArray, array(
			"field" => "DISCOUNT",
			"title" => $_lang["customer_sale_discount"],
			"text"  => dhtmlspecialchars($_REQUEST["DISCOUNT2"]),
			"op"	=> $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["SALESMAN"]) != "") {
	$where_str['SALESMAN'] = dhtmlspecialchars($_REQUEST["SALESMAN"]);
	array_push($searchArray, array(
			"field" => "SALESMAN",
			"title" => $_lang["customer_sale_saler"],
			"text"  => dhtmlspecialchars($_REQUEST["SALESMAN"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["MEMO"]) != "") {
	$where_str['MEMO'] = $_REQUEST["MEMO"];
	array_push($searchArray, array(
			"field" => "MEMO",
			"title" => $_lang["customer_note"],
			"text"  => $_REQUEST["MEMO"],
			"op"	=> $_lang["customer_field_contain"]
	));
}

$info  = $customer->get_sale_sql_string($sortParamSplit[0],$sortParamSplit[1],$where_str,$offset,$rows);
$count = 0;

if($info[1][HISTORY_ID]) {
	for($i=0;$i<count($info);$i++) {
		$count++;		
		if($count==1)
		{
			$resultStr .= "<table class='pubtable' border='0' width='100%' cellspacing='0' cellpadding='0'>";
		}
		$customer_name	= $info[$count][CUSTOMER_NAME];
		if($date == '0000-00-00')
			$date	= '';
	
		$purview_ses = "<a href=\"#\" onclick=\"customer_detail('".$info[$count][CUSTOMER_ID]."');\">".substrGB($customer_name,30,'...')."</a>";				
		//无权限查看则不显示记录		
		if ($customer_name != ""){
			$rowcu = $customer->getDataOne('user','USER_NAME',"USER_ID='".$info[$count][SALE_HISTORY_CREATE_USER]."'");
			$create_name = $rowcu['USER_NAME'];
		}
		else
		{
			$create_name = "";
		}
		
		$resultStr .= "<tr><td title=''>";
		if($info[$count][SALE_HISTORY_CREATE_USER] == $_SESSION["LOGIN_USER_ID"] || $info[$count][SALE_HISTORY_CREATE_USER] == "" || $LOGIN_USER_ID == $info[$count][MANAGE_USER]) 
		{
		    $resultStr .= "<input type='checkbox' id='history_id[]' name='history_id' value=".$info[$count][HISTORY_ID]."/></td>";
		}
		$resultStr .= "<td title=".$customer_name.">".$purview_ses."</td>
		<td title=".$info[$count][PRODUCT_NAME]."><a href='#' onclick=\"product_detail('".$info[$count][PRODUCT_ID]."');\">".substrGB($info[$count][PRODUCT_NAME],30,'...')."</a></td>
		<td title=".$info[$count][DATE].">".$info[$count][DATE]."</td>
		<td title=".$info[$count][AMT].">".substrGB($info[$count][AMT],30,'...')."</td>
		<td title=".$info[$count][PRICE].">".substrGB($info[$count][PRICE],30,'...')."</td>
		<td title=".$info[$count][DISCOUNT].">".$info[$count][DISCOUNT]."</td>
		<td title=".$info[$count][SALESMAN].">".substrGB($info[$count][SALESMAN],30,'...')."</td>
		<td>".$create_name."</td>
		<td><a href='#' onclick=\"sale_detail('".$info[$count][HISTORY_ID]."');\">".$_lang["common_detail"]."</a>";
		if($info[$count][SALE_HISTORY_CREATE_USER] == $_SESSION["LOGIN_USER_ID"] || $info[$count][SALE_HISTORY_CREATE_USER] == "" || $LOGIN_USER_ID == $info[$count][MANAGE_USER])
		{		
			$resultStr .="&nbsp;&nbsp;<a href='#' onclick=\"edt('".$info[$count][HISTORY_ID]."');\">".$_lang["common_edit"]."</a>&nbsp;&nbsp;
				<a href='#' onclick=\"del('".$info[$count][HISTORY_ID]."');\">".$_lang["common_del"]."</a>";
		}			
		$resultStr .= "</td></tr>";	
	}
}

if($count == 0) {
} else {
	$resultStr .="<thead >
		<td width='3%'></td>
		<td width='10%' field='CUSTOMER_ID'>".$_lang["customer_linkman_bel_to"]."</td>
		<td width='10%' field='PRODUCT_ID'>".$_lang["customer_sale_product"]."</td>
		<td width='10%' field='DATE'>".$_lang["customer_sale_date"]."</td>
		<td width='10%' field='AMT'>".$_lang["customer_sale_num"]."</td>
		<td width='10%' field='PRICE'>".$_lang["customer_sale_price"]."</td>
		<td width='10%' field='DISCOUNT'>".$_lang["customer_sale_discount"]."</td>
		<td width='10%' field='SALESMAN'>".$_lang["customer_sale_saler"]."</td>
		<td>".$_lang["customer_crm_cont_creat"]."</td>
		<td width='14%'>".$_lang["common_operate"]."</td>
	</thead><tbody></tbody></table>";				
}
$resultArray = array("htmlStr" => $resultStr, "pagingParam" => $info[1]["COUNT"],"searchParam" => $searchArray);
echo json_encode($resultArray);	
?>