<?
/**
*@Systemname:       E-Office
*@Filename:         general/crm
*@Function:         客户管理系统
*@Encoding:         utf8
*@Author:           www.weaver.com.cn
*@Date:             2010-7-12
*@File Version:     8.0
*@Eoffice Version:  7.6
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("customer");
include_once("inc/function_page_01.php");
include_once("api/customer.class.php");

if ($_REQUEST["cur_page"] == '')
    $cur_page = 1;
else
    $cur_page = $_REQUEST["cur_page"];

// 用户id
$customer_id = $_GET['customer_id'];
// 产品名称
$product_id = $_GET['product_id'];
// 时间段

$time_sel = $_GET['time_sel'];
// 开始时间

$time_start = $_GET['start'];
// 结束时间
$time_end = $_GET['end'];
// 按照
$count_field = $_GET['count_field'];
// 统计
$count_type = $_GET['count_type'];
// 排序
$sort = $_GET['sort'];

//参数字符串，用于分页
$par = '';
$par .= "customer_id=$customer_id";
$par .= "&product_id=$product_id";
$par .= "&time_sel=$time_sel";
$par .= "&start=$start";
$par .= "&end=$end";
$par .= "&count_field=$count_field";
$par .= "&count_type=$count_type";
$par .= "&group=$group";
$par .= "&sort=$sort";

switch( $count_field ){
	case 1:
		$group = 's.SALESMAN';
		$group_name = $_lang['customer_sale_man']; 
		break;
	case 2:
		$group = 's.CUSTOMER_ID';
		$group_name = $_lang['customer_self']; 
		break;
	case 3:
		$group = 's.PRODUCT_ID';
		$group_name = $_lang['customer_pdt']; 
		break;
	case 4:
		$group = 's.DATE';
		$group_name = $_lang['customer_time']; 
		break;
}

$sale_data = get_summary_data( $customer_id, $product_id, $start, $end, $group, $sort, $count_type );

$field_counts = count($sale_data['data']);

$sale_title = get_sale_title( $group, $count_type );

/**
*显示在thead标签中的列名
*@param  string $group
*@param  string $count_type
*@return array $result
*/
function get_sale_title( $group, $count_type ){
	$arr = array();
	$customerObj = new customer();
	$group_field = $customerObj->get_group_field( $group );

	if( strstr( $group_field, 'mon' ) )
		$group_field = 'mon';
	
	array_push( $arr, $group_field );
	$summary_field = $customerObj->get_summary_field( $count_type );
	preg_match_all( "/as(\s*)[a-zA-Z0-9_]+/", $summary_field, $match );
	
	foreach($match[0] as $item){
		array_push( $arr, str_replace('as ', '', $item) );
	}
	return $arr;
}
	
/**
*获取销售记录报表的查询结果
*@param  string $customer_id
*@param  string $product_id
*@param  string $start
*@param  string $end
*@param  string $group
*@param  string $sort
*@param  string $count_type
*@return array $result
*/
function get_summary_data( $customer_id, $product_id, $start, $end, $group, $sort, $count_type){
	$customerObj = new customer();
	$where_str = get_summary_where( $customer_id, $product_id, $start, $end );

	$result['data']  = $customerObj->get_summary_data_list( $group, $where_str, $sort, $count_type );
	$result['total'] = $customerObj->get_summary_data_count($where_str, $count_type);
	return $result;
}

/**
*获取销售记录统计查询条件

*@param  string $customer_id
*@param  string $product_id
*@param  string $start
*@param  string $end
*@return string $where_str
*/
function get_summary_where( $customer_id, $product_id, $start, $end ){

	$where_str = '';
	if($customer_id){
		$where_str .= " AND s.`CUSTOMER_ID` IN ( $customer_id ) ";
	}
	if($product_id){
		$where_str .= " AND s.`PRODUCT_ID` IN ( $product_id ) ";
	}
	if($start){
		$where_str .= " AND s.`DATE` >= '$start' ";
	}
	if($end){
		$where_str .= " AND s.`DATE` <= '$end' ";
	}
	return $where_str;
}

?>

<html>
<head>
<title><?=$_lang["customer_sale_summary"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
</head>

<body class="bodycolor" topmargin="0">
<form id='form1' name='form1' action='export.php' method='post'>
	<input type='hidden' name='customer_id' value='<?=$customer_id?>'/>
	<input type='hidden' name='product_id' value='<?=$product_id?>'/>
	<input type='hidden' name='time_sel' value='<?=$time_sel?>'/>
	<input type='hidden' name='start' value='<?=$time_start?>'/>
	<input type='hidden' name='end' value='<?=$time_end?>'/>
	<input type='hidden' name='count_field' value='<?=$count_field?>'/>
	<input type='hidden' name='count_type' value='<?=$count_type?>'/>
	<input type='hidden' name='sort' value='<?=$sort?>'/>
	<table border="0" width="100%" cellspacing="0" cellpadding="3">
		<tr>
			<td class="pagehead1">
				<img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/general/icon_customer.gif" align="absmiddle"><?=$_lang["customer_sale_summary"]?>
			</td>
		</tr>
		<tr>
			<td class="pagehead2">
			<a class="button" href="#" onClick="javascript:document.getElementById('form1').submit();">
				<span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/export.gif" border="0" align="absmiddle"> <?=$_lang["customer_query_export"]?></span>
			</a>
			<a class="button" href="#" onclick="location='sale_report.php'">
				<span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif" border="0" align="absmiddle"> <?=$_lang["common_back"]?></span>
			</a>
		</tr>
	</table>
	</br>	
	<table border="0" cellspacing="1" width="100%" cellpadding="3" class="pubtable">
		<?php if( !empty($sale_data['data'][0]) ):?>

		<?php foreach($sale_data['data'] as $key=>$value):?>
		<?
			if($key % 2 == 1)
				$TableLine	= "TableLine1";
			else
				$TableLine	= "TableLine2";
		?>
		<tr class="<?=$TableLine?>">
			<?php $i=0;?>
			<?php foreach($sale_title as $key):?>
			
			<td <?php if($i == 0):?> width='20%' <?php endif;?> >
				<?php echo $value[$key];?>
			</td>
			<?php $i++;?>
			<?php endforeach;?>			
		</tr>		
		<?php endforeach;?>
		<?php endif;?>
	
		<thead class="TableHeader">
		<?php foreach($sale_title as $key):?>
			<td><?=$_lang["custommer_sale_summary_".$key];?></td>
		<?php endforeach;?>
		</thead>
		<tr>
			<td width='20%'><span style ="color:'red';font-weight:bolder"><?=$_lang['customer_total'];?></span>
			</td>
			<?php foreach($sale_data['total'][0] as $value):?>
			<td>
				<?php echo empty($value)? 0: $value; ?>
			</td>
			<?php endforeach;?>
			<td >
			</td>	
		</tr>
	</table>
</form>
	<table width="100%" border="0" cellspacing="1" cellpadding="5">
		<tr>
			<td class="TableLine1" nowrap align="right"><? disp($par.'&sens='.$_REQUEST['sens'].'&order='.$_REQUEST['order']);?></td>
		</tr>
	</table>	
	<?
	if (($n=($_REQUEST['cur_page']-$GLOBALS['total_page_nums'])) > 0){
		$cur_page = $_REQUEST['cur_page']-$n;
		header('location:'.$_SERVER['PHP_SELF'].'?&order='.$_REQUEST['order'].'&sens='.$_REQUEST['sens'].'&cur_page='.$cur_page);
	}
	?>
</body>
</html>
