<?php
/**
 * Systemname:       E-Office
 * Filename:         general/attendance/
 * Function:         我的人事
 * Encoding:         $_lang['encoding']
 * Author:           www.weaver.com.cn
 * Date:             2008-5-12
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
//加载语言
include_once("inc/auth.php");
include_once("api/attend.class.php");
includelangpak("hr");

$pageLeave = new attend();
if($_REQUEST['page_id'])
{
	if(!is_numeric($_REQUEST['page_id'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

$pageId	   = $_REQUEST['page_id'];

if($pageId!="") {
	$leaveArray   = $pageLeave->getLeave($pageId);
	$checkedValue = $leaveArray['leavePaid']==1?'checked':'';
}

$PAGE_TITLE = $_lang["hr_attend_leavetype_set"];
include_once("inc/page_header.inc.php");
?>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<!--jQuery UI-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--语言包-->
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
var pnotify='';
$(function(){
	$("#leaveName").keyup(function() {
		var url = 'checkLeave.php';
		var leaveName = $('#leaveName').val();
		var leaveId   = $('#leaveId').val();
		$.ajax({
			type:'POST',
			data:'leaveName='+$.trim(leaveName)+'&leaveId='+leaveId,
			url:url,
			success:function(result) {
				if(result >= 1) {
					if(!pnotify){
						pnotify=$.pnotify({
					        text: '<?=$_lang["hr_attend_leavetype_exist"]?>',
					        type : "error",
					        pnotify_after_close:function(){
					        	pnotify='';
					        }
					    });
					}
					$('#leaveName').val('');
				}
			}
		})
	});
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;

	//类型名称必填检测
	$("#leaveName").keyup(function() {
		$.trim($(this).val())!= ""?$(this).removeClass("require"):$(this).addClass("require");
	});

	$.trim($("#leaveName").val()) != ""?$("#leaveName").removeClass("require"):$("#leaveName").addClass("require");
});

function formSubmit() {
	if($.trim($('#leaveName').val())=="") {
		if(!pnotify){
			pnotify=$.pnotify({
				text: '<?=$_lang["hr_attend_type_name_input"]?>',
				type : "error",
				pnotify_after_close:function(){
					pnotify='';
				}
			});
		}
		return  false;
	}
	form1.submit();
}
</script>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["hr_attend_leavetype_set"]?></span>
		</span>
		<button class="btn btn-default" type="button" onClick="window.location='index.php'"><?=$_lang['common_back']?></button>
		<button class="btn btn-primary" type="button" onClick="formSubmit()"><?=$_lang['common_save']?></button>
	</div>
	<table width="100%" class="form_table" style="margin-top:5px">
	<form name='form1' action='do.php?page_id=<?=$pageId?>' method="post">
	<tr>
		<td class="title">
			<?=$_lang["hr_attend_leave_type"]?>
		</td>
		<td colspan='2'>
			<input type = 'text' id='leaveName' name ='leaveName' style="width:204px" class='text require' value="<?=$leaveArray['leaveName']?>">
		</td>
	</tr>
	<tr>
		<td class='title'>
			<?=$_lang["hr_attend_leavetype_note"]?>
		</td>
		<td colspan='2'>
			<textarea style="overflow:auto;width:204px" rows="10" name ='leaveNote' class='textarea'><?=$leaveArray['leaveNote']?></textarea>
		</td>
	</tr>
	<input type='hidden' name='op' value="save">
	<input type='hidden' id='leaveId' name='leaveId' value="<?=$pageId?>">
	</form>		
</table>
</body>
</html>