<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/system/attendance/index.php
 *@function:         考勤设置-设置排班
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-11-19
 *@file Version:     12.0
 *@eoffice Version:  8.3
*/
//加载语言
include_once("inc/auth.php");
includelangpak("hr");
include_once("inc/utility_all.php");
$type = "only";

$PAGE_TITLE = $_lang["hr_duty_schedule_edit"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--jQuery UI-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--语言包-->
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
$(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 500;
	window.dialogObject = $(".memberDialog").dialog({
	    autoOpen: false,
	    width: $(window).width()-100,
	    modal: true,
	    height:$(window).height()-100,
	    dialogClass:"lazy_dialog",
		buttons:[{
			text:"<?=$_lang["common_close"]?>",
			click:function() {
				$(this).dialog("close");
			},
			"class":"btn btn-default"
		}]
	});

	window.listTable = $(".schedule_list").LazyTable({
		column:[
			{
				key:'DUTY_ID',
				title:'<?=$_lang["hr_number"]?>'
			},
			{
				key:'DUTY_NAME',
				title:'<?=$_lang["hr_user_dutytype"]?>',
				width:40,
				template:function(data){
					return "<div title="+data.DUTY_NAME+" class='ellipsis_field' style='width:40px'><a href='javaScript:editDuty("+data.DUTY_ID+")'>"+data.DUTY_NAME+"</a></div>";
				}
			},
			{
				key:'DUTY_SIGN_IN',
				title:'<?=$_lang["hr_attend_sign_in"]?>'
			},
			{
				key:'DUTY_SIGN_OUT',
				title:'<?=$_lang["hr_attend_sign_out"]?>'
			},
			{
				key:'dutyVacationStr',
				title:'<?=$_lang["hr_attend_vacation"]?>',
				template:function(data){
					return "<div title="+data.dutyVacationStr+" class='ellipsis_field' style='width:60px'><a href='javascript:newVacation("+data.DUTY_VACATION+","+data.VACATION_YEAR+")'>"+data.dutyVacationStr+"</a></div>";
				}
			},
			{
				key:'dutyLoginValue',
				title:'<?=$_lang["hr_sign_in_auto_default"]?>',
				width:40
			},
			{
				key:'dutyUseValue',
				title:'<?=$_lang["hr_dutyuse_check"]?>',
				width:40
			},
			{
				key:'dutyUserName',
				title:'<?=$_lang["hr_duty_turns_users"]?>',
				template:function(data){
					if(data.dutyUserName!=null){
						return "<div title="+data.dutyUserName+" class='ellipsis_field' style='width:400px'><a href='#' onClick='javascript:openmemberdialog("+data.DUTY_ID+")'>"+data.dutyUserName+"</a></div>";
					}
				}
			}
		],
		buttons:{
			buttonInfor:{
					"edit":{title:"<?=$_lang['common_edit']?>",func:function(data){
						window.location.href='duty/config_edit.php?duty_id='+data.DUTY_ID;
					}},
					"delete":{title:"<?=$_lang['common_del']?>",func:function(data){
						bootbox.confirm('<?=$_lang["hr_duty_not_have_user"]?>',function(result){
							if(result){
								$.ajax({
									type:'get',
									url:'duty/do.php?op=delete&duty_id='+data.DUTY_ID,
									success:function(data){
										if(data==1){
											$.pnotify({
										        text: "<?=$_lang['hr_duty_delete_success']?>",
										        type : "success"
										    });
										    $(".schedule_list").LazyTable('reload',{op:"getScheduleList"});
										}
									}
								});
							}
						});
					}}
			},
			filter:function(data){
				if(data.dutyUserName!=null){
					return ["edit"];
				}else{
					return ['edit','delete'];
				}
			}
		},
		dataSource:"do.php",
		param:{op:"getScheduleList"}
	});
});

function editDuty(duty_id)
{
	window.location.href='duty/config_edit.php?duty_id='+duty_id;
}

function newVacation(page_id,year)
{
	$("#memberifr").attr('src','/general/system/attendance/vacation/new_edit.php?page_id='+page_id+'&year='+year+"&from=dutyedit");
	$(".memberDialog").dialog('open');
}
function openmemberdialog(duty_id){
	$("#memberifr").attr('src','/general/info/user/search_schedule.php?duty_type='+duty_id);
	$(".memberDialog").dialog('open');
}
</script>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["hr_duty_schedule_edit"]?></span>
		</span>
		<button class="btn btn-primary" type="button" onClick="window.location='duty/config_edit.php'"><?=$_lang["hr_duty_new_work_time"]?></button>
	</div>
	<div class="schedule_list"></div>
	<div class="memberDialog">
        <iframe id="memberifr" style="width:100%;border:none;height:100%;" src="" ></iframe>
    </div>
</body>
</html>