<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.x
* @function      下拉框设置
* @encoding      $_lang['encoding']
* @name          general/system/combox/index.php
* @version       25.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("inc/combox_cache.php");
includelangpak("system");
$PAGE_TITLE = $_lang[""];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
ul.sortable li{
	cursor:move; 
	margin-bottom:3px; 
	padding:3px; 
	border-bottom:1px dashed #ccc; 
	position:relative;
}

div.hidden{
	height:1px;
}

#fieldItem[] {
	height:20px;
}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;

	iniSelect();
	$(".modulelist").LazyList({
		dataSource:"/general/system/combox/index_do.php",
		param:{
			type:"fieldshow"
		},
		itemTitleTemplate :"<span style='cursor:pointer;'>{MODULE_NAME}</span>", 
		itemListTemplate : "{CP_NAME}",
		onItemClick : function(ui,data) {
			editField(data.CP_ID);
		}
	});

	//使用jqueryUI插件来对下拉框中字段排序
	$("#sortable").sortable({
		axis :'y',
		start:function(event,ui){
			var itemValue = ui.item.find("input").val();
			if(itemValue == '')
			{
				$.pnotify({
					text:EOlang.msgComboxFieldValueNullCanNotDrag,
					type:"error"
				});
			}
		},
		update:function(event,ui)
		{
			var fieldId   = "";
			var fieldVal  = "";
			$(".sortable li").each(function() {
				if($(this).find("input").val() != '')
				{
					fieldId  += $(this).attr("id")+",";
					fieldVal += $(this).find("input").val()+",";					
				}
			});

			$("#FIELD_ID").val(fieldId);
			$("#FIELD_VALUE").val(fieldVal);
		}
	});

	$("#new").click(function()
	{
		//var maxItemId = $(".sortable li:last-child").attr("id");
		//var maxItemId  = getMaxItemId(parentId);
		var maxItemIdObj = $(".sortable li");
		itemIds = "";
		$.each(maxItemIdObj,function(key,value){
			itemIds += value.id+",";
		});
		var maxItemId = getMaxItemId($("#PARENT_ID").val(),itemIds);	
		var parentId   = $("#PARENT_ID").val();

		$(".sortable").append("<li style='margin-left:20px;' id="+maxItemId+"><input type='text' id='fieldItem[]' name="+maxItemId+"><button onclick='deleteInfo(this);' style='float:right;' type='button' class='btn btn-default'><?=$_lang["common_del"]?></button></li>");
	
		$(".fieldDetail").getNiceScroll().resize();
	});

	$("#submit").click(function() {
		var fieldValue = "";
		var fieldId    = "";
		var submitFlag = true;
		$("input[id='fieldItem[]']").each(function(key,obj){

			if($.trim(obj.value) == "")
			{
				$.pnotify({
					text:EOlang.msgComboxFieldContentCanNotNull,
					type:"error"
				});
				$("input[name="+obj.name+"]").focus();
				submitFlag = false;
			}
			else
			{

				if(fieldValue.indexOf($.trim(obj.value)) == -1)
				{
					fieldValue += $.trim(obj.value)+",";
				}
				else
				{
					submitFlag = false;
					$(this).val("").focus();
					$.pnotify({
						text:EOlang.msgComboxFieldNameCanNotRepeat,
						type:"error"
					});
				}
			}
		});

		if(submitFlag == true)
		{
			var sortInfo = $("#sortable").sortable('toArray').toString();

			$("#FIELD_ORDER").val(sortInfo);
			$("#FIELD_VALUE").val(fieldValue);

			$("#form1").ajaxSubmit({
				type:"POST",
				success:function(resp)
				{
					if(resp)
					{
						$.pnotify({
							text:WebMailLang.SaveSuccess,
							type:"success"
						});
					}
				}
			});
		}
		else
		{
			$.pnotify({
				text:EOlang.msgComboxFieldContentCanNotNull,
				type:"error"
			});
		}
	});

	$(".fieldDetail,.modulelist").height($(window).height()-40).niceScroll();
	$("input").css("height","30");
});
</script>
<body style="overflow:hidden;">
<div class="leftdiv" style="float:left;border-right:1px solid #E6E6E6;">
	<div class="lazy_header">
		<span class="lazy-list-title">
			<i class="fa fa-list-title"></i>
			<span class="tip" style="cursor:pointer;"><?=$_lang['system_combox_system_module']?></span>
		</span>
	</div>
	<div class="modulelist"></div>
</div>
<div class="fieldEdit" style="margin-left:301px;">
	<div class="lazy_header">
		<button type="button" id="new" class="btn btn-primary"><?=$_lang["common_add"]?></button>
		<button type="button" id="submit" class="btn btn-primary"><?=$_lang["common_submit"]?></button>
	</div>
	<div class="fieldDetail">
		<form id="form1" name="form1" action="/general/system/combox/index_do.php?type=saveField" method="post">
			<ul id='sortable' class='sortable' style='margin-top:5px;margin-right:20px;'>

			</ul>
			<input type="hidden" name="PARENT_ID" id="PARENT_ID">
			<input type="hidden" name="FIELD_ORDER" id="FIELD_ORDER">
			<input type="hidden" name="FIELD_VALUE" id="FIELD_VALUE">
			<input type="hidden" name="ITEM_ID" id="ITEM_ID">
		</form>
	</div>
</div>
</body>
</html>
<script>
function editField(fieldId)
{
	var parentId = $("#PARENT_ID");
	parentId.val(fieldId);
	var url  = "/general/system/combox/index_do.php";
	var data = "type=getField&CP_ID="+fieldId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp)
		{
			if(resp)
			{
				$(".fieldInfo").css("display","none");
				$(".fieldEdit").css("display","block");
				var jsonData = eval("("+resp+")");
				var htmlStr  = "";
				$.each(jsonData,function(key,value) {
					if(value.CC_NAME)
					{
						htmlStr += "<li style='margin-left:20px;' id="+value.CC_ID+"><input type='text' id='fieldItem[]' name="+value.CC_ID+" value="+value.CC_NAME+"><button type='button' class='btn btn-default' onclick='deleteInfo(this);' style='float:right;'><?=$_lang["common_del"]?></button><input type='hidden' name='CC_VALUE' id='CC_VALUE' value="+value.CC_VALUE+"></li>";
					}
				});
				$(".sortable").html(htmlStr);
			}
		}
	});
}


//删除下拉框中的选项
function deleteInfo(obj)
{

	if($(obj).parent().find("input").val() != "") {
		bootbox.confirm(EOlang.msgComboxFieldWhetherConfirmDelete+"?",function(result) {
			if(result)
			{
				var itemId = $(obj).parent().attr("id");			
				var url    = "/general/system/combox/index_do.php";
				var data   = "type=delField&FIELD_ID="+itemId;
				$.ajax({
					type:"POST",
					url:url,
					data:data,
					success:function(resp)
					{
						if(resp == '1')		
						{
							$(obj).parent().remove();
						}
						else
						{

							$.pnotify({
								text:EOlang.msgComboxFieldBetakenCanNotDelete,
								type:"error"
							})
						}
					}
				});
			}
		});
	}
	else
	{
		$(obj).parent().remove();
	}
}

function checkField(fieldObj) {
	console.log(fieldObj);
	return false;
}

function iniSelect()
{
	var url  = "/general/system/combox/index_do.php";
	var data = "type=getInit";
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp) {
			if(resp)
			{
				editField(resp);
			}
		}
	});
}

function getMaxItemId(parentId,itemIds)
{
	var url = "/general/system/combox/index_do.php";
	    data = "type=getItemId&PARENT_ID="+parentId+"&ITEM_IDS="+itemIds;
		itemId = "";
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		async:false,
		success:function(resp)
		{
			if(resp)
			{
				$("#ITEM_ID").val($("#ITEM_ID").val() != ""?parseInt(resp)+1:parseInt(resp));
			    itemId = $("#ITEM_ID").val()!=""?parseInt($("#ITEM_ID").val())+1:(parseInt(resp));
			}
		}
	});
		return itemId;
}
</script>