<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/security/submit.php
 * Function:         系统安全设置提交
 * Encoding:         $_lang['encoding']
 * Author:           samuel
 * Date:             2011-9-20
 * File Version:     3.0
 * Eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("system");

$PAGE_TITLE = $_lang["system_sys_safe_set"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<body>
<div class="lazy_header">
<!-- 	<span class="tip"><?=$_lang["system_sys_safe_set"]?></span> -->
	<a style="color:white" class="btn btn-default" onClick="history.back();"><?=$_lang["common_back"]?></a>
</div>
<div align="center">
<?
$query="update SYS_PARA set PARA_VALUE='".SecurityFilter($SEC_PASS_FLAG)."' where PARA_NAME='SEC_PASS_FLAG'";
exequery($connection,$query);

if($_REQUEST["PVALUE"] == "contract") {
	if($_REQUEST["CONTRACT_ROUND"] == "") {
		$_REQUEST["CONTRACT_ROUND"] = 0;
	}
	$query = "UPDATE sys_para SET PARA_VALUE='".SecurityFilter($_REQUEST["CONTRACT_ROUND"])."' 
			      WHERE PARA_NAME='CONTRACT_ROUND'";
	exequery($connection,$query);
}


if($_REQUEST["HRLABOR_VALUE"] == "hrlabor") {
	if(trim($_REQUEST["HRLABOR_ROUND"]) == "") {
		$_REQUEST["HRLABOR_ROUND"] = 0;
	}

	$query = "UPDATE sys_para SET PARA_VALUE='".SecurityFilter($_REQUEST["HRLABOR_ROUND"])."'
				  WHERE PARA_NAME='HRLABOR_ROUND'";
	exequery($connection,$query);
}

if($SEC_PASS_FLAG=="1")
{
   $SEC_PASS_TIME=intval($SEC_PASS_TIME);
   if(!is_int($SEC_PASS_TIME)||$SEC_PASS_TIME<=0)
   {
   	   Message($_lang["common_waring"],$_lang["system_sys_vali_inter"]);
   	   //Button_Back();
   	   exit;
   }
   $query="update SYS_PARA set PARA_VALUE='".SecurityFilter($SEC_PASS_TIME)."' where PARA_NAME='SEC_PASS_TIME'";
   exequery($connection,$query);
}

$query="update SYS_PARA set PARA_VALUE='".SecurityFilter($SEC_PASS_IMG)."' where PARA_NAME='SEC_PASS_IMG'";
exequery($connection,$query);

$query = "UPDATE sys_para SET PARA_VALUE='".SecurityFilter($_REQUEST['LIMIT_LOGIN_TIMES'])."' 
			  WHERE PARA_NAME='LIMIT_LOGIN_TIMES'";
exequery($connection,$query);

$query = "UPDATE sys_para SET PARA_VALUE='".SecurityFilter($_REQUEST['DYNAMIC_LOGIN_SMS'])."' 
			  WHERE PARA_NAME='DYNAMIC_LOGIN_SMS'";
exequery($connection,$query);
//edit by sun 2009-05-30 增加设置系统登录的usbkey验证
if($_REQUEST['usbkeytype'] != "") {
	$query = "UPDATE sys_para SET PARA_VALUE='".SecurityFilter($_REQUEST['usbkeytype'])."' 
			      WHERE PARA_NAME='LOGIN_USBKEY_TYPE'";
	exequery($connection,$query);
}

if($usbkeytype == "0"||!$usbkeytype)
{
	$query = "UPDATE user SET LOGIN_USBKEY='0' ";
	exequery($connection,$query);
}
else
{
	$query = "UPDATE user SET LOGIN_USBKEY='".SecurityFilter($usbkeytype)."'
			      WHERE LOGIN_USBKEY != '0' ";
	exequery($connection,$query);
}

$sql = "UPDATE sys_para SET PARA_VALUE='".SecurityFilter($DYNAMI_USED)."' WHERE 1 AND PARA_NAME='DYNAMI_CODE'";
exequery($connection,$sql);
unset($query);

$query = "UPDATE sys_para SET PARA_VALUE='".SecurityFilter($DYNAMI_ADDR)."' WHERE 1 AND PARA_NAME='DYNAMI_ADDR'";
exequery($connection,$query);


Message("",$_lang["system_sms_set_ok"]);
?>

</div>
</body>
</html>
