<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      系统邮箱设置
* @encoding      $_lang['encoding']
* @name          general/system/sysmail/account_manage/do.php
* @version       5
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2012-01-10
*/
include 'inc/auth.php';
include_once 'general/webmail/inc/class.api.php';
$op = $_REQUEST["op"];

if($_REQUEST['emailboxID'])
{
	if(!is_numeric($_REQUEST['emailboxID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

switch ($op) {
	case 'checkEmailExist' :
		$emailAddress = $_REQUEST["emailAddress"];
		$emailboxID   = $_REQUEST["emailboxID"];
		if(!$emailboxID)
		{
			$query = "SELECT COUNT(*) AS CNT FROM `webmail_emailbox` WHERE EMAIL_ADDRESS = '" . SecurityFilter($emailAddress) . "' AND MAIL_TYPE = 'sysmail'";
			$result = exequery($connection, $query);
			if ($row = mysql_fetch_array($result)) {
				echo $row["CNT"];
			}
		}
		else
		{
			$query_1  = "SELECT COUNT(*) AS CNT FROM `webmail_emailbox` WHERE EMAIL_ADDRESS = '" . SecurityFilter($emailAddress) . "' AND EMAILBOX_ID = '".SecurityFilter($emailboxID)."' AND MAIL_TYPE = 'sysmail'";
			$result_1 = exequery($connection, $query_1);
			if($row_1 = mysql_fetch_array($result_1)) {
				if($row_1["CNT"] == "1")
				{
					echo "0";
				}
				else
				{
					$query_2  = "SELECT COUNT(*) AS CNT FROM `webmail_emailbox` WHERE EMAIL_ADDRESS = '" . SecurityFilter($emailAddress) . "' AND MAIL_TYPE = 'sysmail'";
					$result_2 = exequery($connection, $query_2);
					if($row_2 = mysql_fetch_array($result_2)) {
						echo $row_2["CNT"];
					}
				}
			}
		}
		break;
	//检查邮箱地址域，确定是否可以自动匹配服务器信息
	case 'checkDomain' :
		$emailAddress = $_REQUEST["emailAddress"];
		$domainIndex = strpos($emailAddress, "@");
		$domain = substr($emailAddress, $domainIndex + 1);
		$query = "SELECT * FROM webmail_domain 
				  WHERE DOMAIN = '" . SecurityFilter($domain) . "'";
		$result = exequery($connection, $query);
		if ($row = mysql_fetch_array($result)) {
			echo json_encode($row);
		}
		else
		{

			echo false;

		}
		break;
	case 'insert' :
		//如果当前用户只有一个邮箱，则自动设为默认
		$isDefault = GetAccountInfor("", true,-1,"sysmail") == 0 ? 1 : 0;
		$nickName = $_REQUEST['nickName'] ? $_REQUEST['nickName'] : substr($_REQUEST['emailAddress'], 0, strpos($_REQUEST['emailAddress'], "@"));

		$query = "INSERT INTO `webmail_emailbox`(
					`EMAIL_ADDRESS`,
					`NICKNAME`,
					`USER_ID`,
					`POP_SERVER`,
					`SMTP_SERVER`,
					`IS_SMTP_AUTH`,
					`POP_PORT`,
					`SMTP_PORT`,
					`IS_SSL_AUTH`,
					`IS_DEFAULT`,
					`PASSWORD`,
					`MAIL_TYPE`,
					`USER_NAME`)
				VALUES(
					'" . SecurityFilter($_REQUEST['emailAddress']) . "',
					'" . SecurityFilter($nickName) . "',
					'" . SecurityFilter($_SESSION['LOGIN_USER_ID']) . "',
					'" . SecurityFilter($_REQUEST['popServer']) . "',
					'" . SecurityFilter($_REQUEST['smtpServer']) . "',
					'" . SecurityFilter($_REQUEST['isSmtpAuth']) . "',
					'" . SecurityFilter($_REQUEST['popPort']) . "',
					'" . SecurityFilter($_REQUEST['smtpPort']) . "',
					'" . SecurityFilter($_REQUEST['isSslAuth']) . "',
					'" . SecurityFilter($isDefault) . "',
					'" . encrypt(SecurityFilter($_REQUEST['password'])) . "',
					'sysmail',
					'" . SecurityFilter($_REQUEST['emailUserName']) . "'
				);";
		echo exequery($connection, $query);
		break;
	case 'setDefault' :
	//设置默认
		$emailboxID = $_REQUEST['emailboxID'];
		$query = "UPDATE webmail_emailbox
				  SET IS_DEFAULT = 0 WHERE MAIL_TYPE = 'sysmail'";
		exequery($connection, $query);
		$query = "UPDATE webmail_emailbox 
				  SET IS_DEFAULT = 1 
				  WHERE EMAILBOX_ID = " . SecurityFilter($emailboxID);
		echo exequery($connection, $query);
		break;

	case 'delete' :
	//删除帐号
		$emailboxID = $_REQUEST['emailboxID'];
		$emailbox = $_REQUEST["emailbox"];
		$query = "DELETE FROM webmail_emailbox 
				  WHERE EMAILBOX_ID = " . SecurityFilter($emailboxID);
		echo exequery($connection, $query);
		$isDefault = GetAccountInfor("", true,-1,"sysmail") == 1 ? 1 : 0;
		if($isDefault==1){
			$query = "UPDATE webmail_emailbox 
				  SET IS_DEFAULT = 1 WHERE MAIL_TYPE = 'sysmail'";
		 	exequery($connection,$query);
		}
		break;
	case 'edit' :
	//编辑
		$emailboxID = $_REQUEST['emailboxID'];
		$nickName = trim($_REQUEST['nickName']) != "" ? $_REQUEST['nickName'] : substr($_REQUEST['emailAddress'], 0, strpos($_REQUEST['emailAddress'], "@"));
		$query = "UPDATE `webmail_emailbox`
					SET
					`EMAIL_ADDRESS` = '" . SecurityFilter($_REQUEST["emailAddress"]) . "',
					`NICKNAME` = '" . SecurityFilter($nickName) . "',
					`POP_SERVER` = '" . SecurityFilter($_REQUEST["popServer"]) . "',
					`SMTP_SERVER` = '" . SecurityFilter($_REQUEST["smtpServer"]) . "',
					`IS_SMTP_AUTH` = '" . SecurityFilter($_REQUEST["isSmtpAuth"]) . "',
					`POP_PORT` = '" . SecurityFilter($_REQUEST["popPort"]) . "',
					`SMTP_PORT` = '" . SecurityFilter($_REQUEST["smtpPort"]) . "',
					`IS_SSL_AUTH` = '" . SecurityFilter($_REQUEST["isSslAuth"]) . "',
					`PASSWORD` = '" . encrypt(SecurityFilter($_REQUEST["password"])) . "',
					`USER_NAME` = '". SecurityFilter($_REQUEST["emailUserName"])."'
					WHERE EMAILBOX_ID = " . SecurityFilter($emailboxID);
		echo exequery($connection, $query);
		break;
	//获取邮箱信息
	case 'getInfor' :
		$emailboxID = $_REQUEST['emailboxID'];
		$accountInfor = GetAccountInfor("",false,$emailboxID,"sysmail");
		//解密密码
		$accountInfor[0]["PASSWORD"] = decrypt($accountInfor[0]["PASSWORD"]);
		echo json_encode($accountInfor);
		break;
	//验证邮箱设置
	case 'checksysset' :
		$query = "SELECT * FROM `webmail_emailbox` WHERE IS_DEFAULT  = '1' AND MAIL_TYPE = 'sysmail'";
		$result = exequery($connection, $query);
		if ($row = mysql_fetch_array($result)) {
			echo $row["EMAIL_ADDRESS"];
		}
		break;
	case 'getSysmailList' :
		$limitRows = $_REQUEST["itemsPerPage"];
		$limitOffset = $_REQUEST["currentPage"] * $limitRows;
		$emailInfor = GetAccountList("",$limitRows,$limitOffset,false,-1,'sysmail');
		echo json_encode($emailInfor);
	default :
		break;
}
?>