<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/template/
 * Function:         模板管理
 * Encoding:         $_lang['encoding']
 * Author:           www.weaver.com.cn
 * Date:             2012-03-14
 * File Version:     7.0
 * Eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
includelangpak("system");
include_once("inc/function_page_01.php");
include_once("ikernel/utility.php");
include_once("inc/utility_all.php");

$PAGE_TITLE = $_lang["system_temp_title"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<style type="text/css">
.pubtable td:first-child {
    padding-left:10px;
}
</style>
<script type="text/javascript">
$(document).ready(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 10;

	$(".pubtable").LazyBeautifyTable({
		buttons:[{
			type:"checkall",
			name:"tpl_select"
		},{
				text : "<?=$_lang['common_del_many']?>",
				callback : delete_msms
		}],
		callback:function(){
			$('input').iCheck({
			    checkboxClass : 'icheckbox_square-blue'
			});
		},
		theme:"<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/",
		showHoverEffect:false
	});

	$('#checkall').on("ifChanged",function(){
		$(".checkbox").prop("checked",$(this).prop("checked")).iCheck("update");
	});

	$(".checkbox").on("ifChanged",function(){
		if($(this).prop("checked")){
			if($(".checkbox").filter(function(){
				return !$(this).prop("checked");
			}).length == 0) {
				$('#checkall').prop("checked", true).iCheck("update");
			}
		} else {
			$('#checkall').prop("checked", false).iCheck("update");
		}
	});
	$(".templateListMain").height($(window).height()-40).niceScroll();
});
</script>
<body topmargin="0">
<div class="lazy_header">
	<span class="lazy-page-title">
	    <i class="fa fa-file-text"></i>
	    <span class="tip"><?=$_lang["system_public_template"]?></span>
	 </span>
	<button class="btn btn-primary" type="button" onclick="location.href='edit.php'"><?=$_lang["common_new"]?></button>
</div>
<div class="templateListMain">
		<table border="0" cellspacing="0" width="100%" class="pubtable" cellpadding="0">
		<form action="do.php" method="get" name="smsform" id="smsform">
			<thead>
			<tr>
			<?
			//增加排序等

			$sens = $_REQUEST['sens']?0:1;
			$sensimg = $_REQUEST['sens']?'arrowup.gif':'arrowdown.gif';
			$sensimg = "/theme/".$_SESSION["LOGIN_THEME"]."/images/icon/".$sensimg; 
			$sufurl = $_SERVER['PHP_SELF']."?sens=".$sens;
			?>
			<td width="5%" nowrap ><?=$_lang["common_choose"]?></td>
			<td width="23%" nowrap ><?=$_lang["system_temp_name"]?></td>
			<td width="35%" nowrap ><?=$_lang["system_temp_summary"]?></td>
			<td width="24%" nowrap ><?=$_lang["system_temp_tag"]?></td>
			<td width="13%" nowrap ><?=$_lang["common_operate"]?></td>
			</tr>
		</thead>
		<tbody>
		<?
		
		$sql = "SELECT TPl_ID,TPL_THREAD,TPL_GENERAL,ATTACHMENT_ID,ATTACHMENT_NAME FROM template_html";

		switch ($_REQUEST['order']){
				case 'name':
					$sql .= " ORDER BY TPL_THREAD";
					break;
				case 'general':
					$sql .= " ORDER BY TPL_GENERAL";
					break;
				default:
					$sql .= " ORDER BY TPl_ID";
					break;
		}
		$sql .=  $_REQUEST['sens']?' ASC':' DESC';
		$sql=page($sql,5);
		if (($n=($_REQUEST['cur_page']-$GLOBALS['total_page_nums']))>0)
		{
			$cur_page = $_REQUEST['cur_page']-$n;
		?>
			<script language="javascript">
				location = "<?=$_SERVER['PHP_SELF']?>?order=<?=$_REQUEST['order']?>&sens=<?=$_REQUEST['sens']?>&cur_page=<?=$cur_page?>";
			</script>
		<?
		}
		$rs = exequery($connection,$sql);
		$tplc=0;
		while($row=mysql_fetch_array($rs))
		{
			$tpl_id            = $row['TPl_ID'];
			$tpl_thread        = $row['TPL_THREAD'];
			$tpl_general       = $row['TPL_GENERAL'];
			$tpl_aid           = $row['ATTACHMENT_ID'];
			$tpl_name          = $row['ATTACHMENT_NAME'];
			
			$tpl_aid_array     = explode(",",$tpl_aid);
			$tpl_aname_array   = explode("*",$tpl_name);
			
			unset($img_id);
			unset($img_name);
			while(list($key,$var)=each($tpl_aid_array)){
				if ($var == ""){
					continue;
				}
				$img_id  = $var;
			}
			while(list($key,$var)=each($tpl_aname_array)){
				if ($var == ""){
					continue;
				}	
				$img_name = $var;
			}
			
			$tplc++;
			if($tplc%2==1)
				$TableLine="TableLine1";
			else
				$TableLine="TableLine2";
		?>
		<tr class="<?=$TableLine?>">
			<td>
				<input type="checkbox" class='checkbox' name="tpl_select" id="tpl_select" value="<?=$tpl_id?>">
			</td>
			<td><div title="<?=$tpl_thread?>" style="width:170px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;"><?=$tpl_thread?></div></td>
			<td><div title="<?=$tpl_general?>" style="width:300px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;"><?=$tpl_general?></div></td>
			<td>
				<?
				if ($img_id == ''){
					$imgsrc = "/images/noicon1.gif";
				}
				else{
					$imgsrc = "/attachment/$img_id/$img_name";
				}
				if(!file_exists(iconv('UTF-8','GB2312',ROOT_PATH.$imgsrc)))
					$imgsrc = "/images/noicon1.gif";
				?>
				<img src="<?=$imgsrc?>" width="100" height="70" border="1">
			</td>
			<td>
				<a href="edit.php?tpl_id=<?=$tpl_id?>&cur_page=<?=$_REQUEST['cur_page']?>"><?=$_lang["common_edit"]?></a> <a onClick="deleteTemplate(<?=$tpl_id?>);" href="javascript:void(0);"><?=$_lang["common_del"]?></a>
			</td>
		</tr>
		<?
		}
		?>
		</tbody>
		</form>
		</table>
		<table width="100%"  border="0" cellspacing="2" cellpadding="2">
		  <tr>
			<td align="right"><? disp('sens='.$_REQUEST['sens'].'&order='.$_REQUEST['order']);?></td>
		  </tr>
		</table>
</table>
</div>
</body>
</html>
<script>
function deleteTemplate(tpl_id){
	bootbox.confirm('<?=$_lang["common_del_alert"]?>', function(result) {
      if(result){
          location.href="do.php?tpl_id=" + tpl_id + "&f=delete&cur_page=<?=$_REQUEST['cur_page']?>";
      }
    });
}

function delete_msms()
{
	delete_str="";
	for(i=0;i<document.all.tpl_select.length;i++)
	{
		el=document.all.tpl_select.item(i);
		if(el.checked)
		{
		val=el.value;
			delete_str+=val + ",";
		}
	}

	if(i==0)
	{
		el=document.all.tpl_select;
		if(el.checked)
		{
			val=el.value;
			delete_str+=val + ",";
		}
	}
	if(delete_str=="")
	{
		$.pnotify({
	        text: "<?=$_lang['systen_temp_del_alert']?>",
	        type : "error"
	    });
	    return false;
	}
	msg='<?=$_lang["system_del_alert"]?>';

	bootbox.confirm(msg, function(result) {
      if(result){
          url="do.php?id_str="+ delete_str +"&cur_page=<?=$_REQUEST['cur_page']?>&order=<?=$_REQUEST['order']?>&f=delete";
			location=url;
      }
    });
}
</script>
<?

?>