<?php
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.3
 * @function      添加用户的数据处理页
 * @encoding      $_lang['encoding']
 * @name          generar/system/user/add.php
 * @version       13
 * @author        qlj|www.weaver.com.cn
 * @date          2012-12-21
 */
//加载语言
include_once "inc/auth.php";
include_once "inc/reg_check.php";
include_once "inc/utility_all.php";
include_once "inc/weaver.inc";
include_once "inc/demo.inc";
include_once "inc/phpqrcode/phpqrcode.php";
include_once "api/user.class.php";

includelangpak("system");
includelangpak("index");

if ($OA_REG_ON != 2) {
	exit;
}

//-------- 用户数检验 --------
global $IS_REGISTERED_MYOA;
$query = "SELECT count(*) FROM user WHERE DEPT_ID>0";
$cursor = exequery($connection, $query);
if ($ROW = mysql_fetch_array($cursor)) {
	$USER_COUNT = $ROW["0"];
}

if (!$IS_REGISTERED_MYOA) {
	if ($USER_COUNT >= DEMO_LIMIT_USER) {
//		Message($_lang["common_prompt"],$_lang["system_user_max_exp"]."（".DEMO_LIMIT_USER."），".$_lang["system_user_no_insert"]);
		//		Button_Back();
		echo $_lang["system_user_max_exp"] . "（" . DEMO_LIMIT_USER . "），" . $_lang["system_user_no_insert"];
		exit;
	}
} else {
	$arrayR = parse_regfilestr();
	$ct = count($arrayR) - 1;
	$oaaccount = $arrayR[$ct]['useraccound'];
	$USER_LIMIT = $oaaccount;
	if ($USER_COUNT >= $USER_LIMIT) {
//		Message($_lang["common_prompt"],$_lang["system_user_max_exp"]."（".$USER_LIMIT."），".$_lang["system_user_no_insert"]);
		//		Button_Back();
		echo $_lang["system_user_max_exp"] . "（" . $USER_LIMIT . "），" . $_lang["system_user_no_insert"];
		exit;
	}
}

//------------------------ 合法性检验 ----------------------
if (strstr($USER_ACCOUTNS, "\'") != false) {
//	Message($_lang["common_waring"],$_lang["system_user_have_wr_s"]);
	//	Button_back();
	echo $_lang["system_user_have_wr_s"];
	exit;
}
if (strstr($PASSWORD, "\'") != false) {
//	Message($_lang["common_waring"],$_lang["system_pass_hava_wr"]);
	//	Button_back();
	echo $_lang["system_pass_hava_wr"];
	exit;
}
if(!$USER_ACCOUNTS || trim($USER_ACCOUNTS) == "") {
	exit();
} else {
	$query = "select * from USER where USER_ACCOUNTS='".SecurityFilter($USER_ACCOUNTS)."'";
	$cursor = exequery($connection, $query);
	if ($ROW = mysql_fetch_array($cursor)) {
	//	Message($_lang["common_waring"],$_lang["common_user"]." ".$USER_ACCOUTNS." ".$_lang["system_user_is_have"]);
		//	Button_Back();
		echo $_lang["common_user"] . " " . $USER_ACCOUTNS . " " . $_lang["system_user_is_have"];
		exit;
	}
}
//工号字段验证重复
if(!empty($JOB_NUMBER)){
    $query = "select * from USER where JOB_NUMBER='".SecurityFilter($JOB_NUMBER)."'";
    $cursor = exequery($connection, $query);
    if ($ROW = mysql_fetch_array($cursor)) {
        echo $_lang["common_jobnumber"] . " " . $JOB_NUMBER . " " . $_lang["system_user_is_have"];
        exit;
    }
}
if(!$USER_NAME || trim($USER_NAME) == "") {
	exit();
}
$PASSWORD = crypt($PASSWORD);

//判断权限
$sql = "SELECT * FROM user_priv WHERE USER_PRIV=" . SecurityFilter($_REQUEST["USER_PRIV"]);
$cursor = exequery($connection, $sql);
if ($row = mysql_fetch_array($cursor)) {
	$u_priv = $row['FUNC_ID_STR'];
}

$u_priv = explode(",", $u_priv);
$str = explode(",", "2,3,315,28,25,245,");
for ($i = 0; $i < sizeof($u_priv); $i++) {
	if (in_array($str[$i], $u_priv) && $str[$i] != "") {
		$user_p .= $str[$i] . ",";
	}

}

//自动生成USER_ID 2007-4-10 lxl role(WV00000001)
$sql = "SELECT USER_ID FROM user WHERE LENGTH(USER_ID)=10 AND LEFT(USER_ID,2)='WV' ORDER BY USER_ID DESC";
$rs = exequery($connection, $sql);
if ($row = mysql_fetch_array($rs)) {
	$userid = $row['USER_ID'];
	$id_max = abs(str_replace('WV', '', $userid));
	$id_max++;
	$id_max_str = '';
	for ($i = 0; $i < (8 - strlen($id_max)); $i++) {
		$id_max_str .= '0';
	}
	$userid_next = "WV" . $id_max_str . $id_max;
} else {
	$userid_next = 'WV00000001';
}

$USER_ID = $userid_next;
$UserNamePy = convertPy($USER_NAME);

if ($_REQUEST["usbkeylogin"]) {
	$usbkeylogin = $_REQUEST["usbkeylogin"];
} else {
	$usbkeylogin = 0;
}

$USER_SUB_PRIV = empty($_POST['USER_SUB_PRIV']) ? '' : implode(",", $_POST['USER_SUB_PRIV']);
if ($_REQUEST['LISTNUMBER'] == "") {
    $query = "INSERT INTO USER(BIRTHDAY, TEL_NO_DEPT, FAX_NO_DEPT, ADD_HOME, POST_NO_HOME, TEL_NO_HOME, MOBIL_NO, EMAIL, OICQ_NO, MSN, NOTES, USER_ID, USER_ACCOUNTS, USER_NAME, SEX, PASSWORD, USER_PRIV, USER_SUB_PRIV, POST_PRIV, CANBROADCAST, DEPT_ID, DEPT_ID_BACKUPS, AVATAR, CALL_SOUND, DUTY_TYPE, SMS_ON, MENU_HIDE, SHORTCUT, SMS_LOGIN,WAP_ALLOW,LOGIN_USBKEY,USER_STATUS,USER_NAME_PY,USER_NAME_ZM,IS_AUTOHRMS,JOB_NUMBER)
			values
			('".SecurityFilter($BIRTHDAY)."', '".SecurityFilter($TEL_NO_DEPT)."', '".SecurityFilter($FAX_NO_DEPT)."', '".SecurityFilter($ADD_HOME)."', '".SecurityFilter($POST_NO_HOME)."', '".SecurityFilter($TEL_NO_HOME)."', '".SecurityFilter($MOBIL_NO)."', '".SecurityFilter($EMAIL)."', '".SecurityFilter($OICQ_NO)."', '".SecurityFilter($MSN)."', '".SecurityFilter($NOTES)."', '".SecurityFilter($USER_ID)."', '".SecurityFilter($USER_ACCOUNTS)."', '".SecurityFilter($USER_NAME)."', '".SecurityFilter($SEX)."', '".SecurityFilter($PASSWORD)."', '".SecurityFilter($USER_PRIV)."', '".SecurityFilter($USER_SUB_PRIV)."', '".SecurityFilter($POST_PRIV)."', '".SecurityFilter($CANBROADCAST)."', '".SecurityFilter($DEPT_ID)."', '".SecurityFilter($DEPT_ID)."', '1', '1', '".SecurityFilter($DUTY_TYPE)."', '1', '2', '" . SecurityFilter($user_p) . "', '" . SecurityFilter($SMS_LOGIN) . "','" . SecurityFilter($WAP_ALLOW) . "','" . SecurityFilter($usbkeylogin) . "','" . SecurityFilter($USER_STATUS) . "','" . SecurityFilter($UserNamePy[0]) . "','" . SecurityFilter($UserNamePy[1]) . "','" . SecurityFilter($IS_AUTOHRMS) . "','".SecurityFilter($JOB_NUMBER)."')";
} else {
    $query = "INSERT INTO USER(BIRTHDAY, TEL_NO_DEPT, FAX_NO_DEPT, ADD_HOME, POST_NO_HOME, TEL_NO_HOME, MOBIL_NO, EMAIL, OICQ_NO, MSN, NOTES, LISTNUMBER, USER_ID, USER_ACCOUNTS, USER_NAME,SEX, PASSWORD, USER_PRIV, USER_SUB_PRIV,POST_PRIV, CANBROADCAST, DEPT_ID, DEPT_ID_BACKUPS, AVATAR, CALL_SOUND, DUTY_TYPE, SMS_ON, MENU_HIDE, SHORTCUT, SMS_LOGIN,WAP_ALLOW,LOGIN_USBKEY,USER_STATUS,USER_NAME_PY,USER_NAME_ZM,IS_AUTOHRMS,JOB_NUMBER)
			  values
			 ('".SecurityFilter($BIRTHDAY)."', '".SecurityFilter($TEL_NO_DEPT)."', '".SecurityFilter($FAX_NO_DEPT)."', '".SecurityFilter($ADD_HOME)."', '".SecurityFilter($POST_NO_HOME)."', '".SecurityFilter($TEL_NO_HOME)."', '".SecurityFilter($MOBIL_NO)."', '".SecurityFilter($EMAIL)."', '".SecurityFilter($OICQ_NO)."', '".SecurityFilter($MSN)."', '".SecurityFilter($NOTES)."', '".SecurityFilter($LISTNUMBER)."', '".SecurityFilter($USER_ID)."', '".SecurityFilter($USER_ACCOUNTS)."', '".SecurityFilter($USER_NAME)."', '".SecurityFilter($SEX)."', '".SecurityFilter($PASSWORD)."', '".SecurityFilter($USER_PRIV)."', '".SecurityFilter($USER_SUB_PRIV)."','".SecurityFilter($POST_PRIV)."', '".SecurityFilter($CANBROADCAST)."', '".SecurityFilter($DEPT_ID)."', '".SecurityFilter($DEPT_ID)."', '1', '1', '".SecurityFilter($DUTY_TYPE)."', '1', '2', '" . SecurityFilter($user_p) . "', '" . SecurityFilter($SMS_LOGIN) . "','" . SecurityFilter($WAP_ALLOW) . "','" . SecurityFilter($usbkeylogin) . "','" . SecurityFilter($USER_STATUS) . "','" . SecurityFilter($UserNamePy[0]) . "','" . SecurityFilter($UserNamePy[1]) . "','" . SecurityFilter($IS_AUTOHRMS) . "','".SecurityFilter($JOB_NUMBER)."')";
}

exequery($connection, $query);
$user_id = $USER_ID;

$sql = "SELECT * FROM unit";
$res = exequery($connection, $sql);
if ($ROW = mysql_fetch_array($res)) {
	$ORG = $ROW["UNIT_NAME"];
	$POST_NO = $ROW["POST_NO"];
	$ADDRESS = $ROW["ADDRESS"];
}
//创建用户相关的二维码图片
saveQrImg(array("USER_ID" => $USER_ID, "EMAIL" => $EMAIL, "MOBIL_NO" => $MOBIL_NO, "DEPT_ID" => $DEPT_ID, "USER_PRIV" => getUserPrivStr($USER_PRIV), "ADD_HOME" => $ADDRESS, "POST_NO_HOME" => $POST_NO, "ORG" => $ORG));

unset($sql);
$sql = "INSERT INTO user_secext (USER_ID,LOGIN_USBKEY,IS_DYNAMI_CODE,SN_NUM) VALUES ('" . SecurityFilter($USER_ID) . "','" . SecurityFilter($usbkeylogin) . "','" . SecurityFilter($IKEY_USED) . "','" . SecurityFilter($IKEY_CODE) . "')";
exequery($connection, $sql);

//动态密码判断
if (isDynamiCode() == 1 && $IKEY_USED == 1 && trim($IKEY_CODE) != '') {
	$querys = "SELECT * FROM sys_para WHERE PARA_NAME='DYNAMI_ADDR'";
	$ress = exequery($connection, $querys);
	if ($rows = mysql_fetch_array($ress)) {
		$dyAddr = $rows["PARA_VALUE"];
	}
	$sql = "SELECT * FROM tokendc WHERE tokenkey='" . SecurityFilter($IKEY_CODE) . "'";
	$res = exequery($connection, $sql);
	if ($row = mysql_fetch_array($res)) {
		$isbind = 1;
	} else {
		$isbind = 0;
	}

	$result = @file_get_contents($dyAddr . "/tokenDL/index.jsp?TYPE=bindKey&ISBIND=" . trim($isbind) . "&USER_ID=" . $USER_ID . "&TOKENKEY=" . trim($IKEY_CODE) . "&TOKENCODE=" . trim($DYNAMI_CODE));
}

//创建菜单
$sql = "SELECT * FROM sys_function ORDER BY MENU_ID ASC";
$rs = exequery($connection, $sql);
$menu_cnt = 0;
$order_c1 = 0;
$order_c2 = 0;
$order_c3 = 0;

//$defaultMenuArray = array("2", "3", "252", "311", "316", "310", "315", "207", "217", "253", "219", "29", "363", "130", "131");
$defaultMenuArray = array("11", "362", "32", "6", "1");

while ($row = mysql_fetch_array($rs)) {
	$menu_cnt++;
	$user_id = $user_id;
	$func_id = $row['FUNC_ID'];
	$menu_id = $row['MENU_ID'];
//	if(strlen($menu_id)==2)
	//	{
	//		$order_c1 ++;
	//		$order_c = $order_c1;
	//	}
	//	if(strlen($menu_id)==4)
	//	{
	//		$order_c2 ++;
	//		$order_c = $order_c2;
	//	}
	//	if(strlen($menu_id)==6)
	//	{
	//		$order_c3 ++;
	//		$order_c = $order_c3;
	//	}

//	$order_id    = $order_c;
	$order_id = $row["FUNC_ORDER"];
	$func_isshow = 1;
	$func_issys = 1;
	$func_name = $row['FUNC_NAME'];
	$func_code = $row['FUNC_CODE'];
	$func_follow = $row['FUNC_FOLLOW'];
	$func_param = $row['FUNC_PARAM'];
	$func_type = 0;
	if (array_search($func_id, $defaultMenuArray) !== false) {
		$frequency = array_search($func_id, $defaultMenuArray) + 2;
	} else {
		$frequency = 1;
	}
	$sql_i = "INSERT INTO user_menu VALUES(
				'".SecurityFilter($user_id)."',
				".SecurityFilter($func_id).",
				'".SecurityFilter($menu_id)."',
				".SecurityFilter($order_id).",
				".SecurityFilter($func_isshow).",
				".SecurityFilter($func_issys).",
				'".SecurityFilter($func_name)."',
				'".SecurityFilter($func_code)."',
				".SecurityFilter($func_follow).",
				".SecurityFilter($func_type).",
				'".SecurityFilter($func_type_id)."',
				".SecurityFilter($frequency).",
				'',
				'',
				'".SecurityFilter($func_param)."'
	)";
	exequery($connection, $sql_i);
}

//用户首页添加显示考勤元素
//$sql = "INSERT INTO index_block (USER_ID,BLOCK_TYPE,BLOCK_TITLE,BLOCK_ROW,SUBJECT_LENGTH,BLOCK_IMG,PORTAL_INDEX,BLOCK_HEIGHT) VALUES ('$user_id','-98','个人考勤','5','25','box.gif','1','20')";
//exequery($connection,$sql);

if ($POST_PRIV == "2") {
	$query = "UPDATE user SET POST_DEPT='$TO_ID' WHERE USER_ID='".SecurityFilter($USER_ID)."'";
	exequery($connection, $query);
}
//对上级的操作
$superiorParam["userSuperiorId"] = $_REQUEST["user-superior-id"];
$superiorParam["userSuperiorName"] = $_REQUEST["user-superior-name"];
$superiorParam["USER_ID"] = $USER_ID;
$user = new user;
$user->updateUserSuperiorByUserId($superiorParam);
$subordinateParam["userSubordinateId"] = $_REQUEST["user-subordinate-id"];
$subordinateParam["USER_NAME"] = $_REQUEST["USER_NAME"];
$subordinateParam["USER_ID"] = $USER_ID;
$user->updateUsersubordinateByUserId($subordinateParam);
add_log(6, $USER_ID, $LOGIN_USER_ID);
echo "success";
exit();
?>
<script>
	parent.user_list.location.reload();
	location="user_new.php?DEPT_ID=<?=$_REQUEST['DEPT_ID']?>";
	function url_refersh()
	{
		location="user_new.php?DEPT_ID=<?=$_REQUEST['DEPT_ID']?>";
	}
</script>
</body>
</html>
