<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/user/index.php
 * Function:         用户管理
 * Encoding:         $_lang['encoding']
 * Author:           samuel
 * Date:             2011-9-15
 * File Version:     1.0
 * Eoffice Version:  8.0
*/

//加载语言
include_once("inc/auth.php");
includelangpak("system");
includelangpak("hr");
$PAGE_TITLE = $_lang["system_user_management"];
include_once 'inc/page_header.inc.php';
?>

<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>

<!--引入用户导出所需的包-->
<script type="text/javascript" src="/inc/imp_exp/imp_exp.js"></script>

<?
/*
 * max_priv_no ,user table - user_priv <-> user_priv table user_priv priv_no
 */
  $query = "SELECT MAX(PRIV_NO) from USER_PRIV";
  $cursor= exequery($connection,$query);
  if($ROW=mysql_fetch_array($cursor))
     $PRIV_NO_MAX=$ROW["0"];		//maximum priv_no

	$q = "SELECT PRIV_NO FROM USER_PRIV WHERE USER_PRIV = '".SecurityFilter($LOGIN_USER_PRIV)."'";
	$rs = exequery($connection, $q);
	if($row = mysql_fetch_array($rs)){
		$PRIV_NO_USER = $row[0];
	}

  if($PRIV_NO_MAX==$PRIV_NO_USER && $LOGIN_USER_PRIV!=1)
  {
?>
     <body class="bodycolor" topmargin="5">
<?
     Message($_lang["common_prompt"],$_lang["system_user_no_priv"]);
     exit;
  }
?>
<script language="javascript">
$(function(){
	$("#user_list").height($(window).height());
	$("#user_main").height($(window).height()-40);
	$(".switch").LazyToggle({
		autoHide : false,
		onAfterShow : function() {
			$("#user_main").contents().find(".autoHiddenTd").hide();
			$(".deptUserList").show();
			if($("#flushTree").val() == "flush") {
				$('#user_list').attr('src', $('#user_list').attr('src'));
				$("#flushTree").val("");
			}
			$(".document_list_main_wrap").css("margin-left", $(".deptUserList").width()+1+"px");
		},
		onAfterHide : function() {
			$("#user_main").contents().find(".autoHiddenTd").show();
			$(".deptUserList").hide();
			$(".document_list_main_wrap").css("margin-left", "0px");
		}
	});
});
</script>
<style type="text/css">
body,html{
	overflow:hidden;
}
</style>
<?
 //------------- 获取管理范围 ------------------
 $query = "SELECT * from USER where USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";

 $cursor= exequery($connection,$query);
 if($ROW=mysql_fetch_array($cursor))
 {
    $POST_PRIV=$ROW["POST_PRIV"];
    $POST_DEPT=$ROW["POST_DEPT"];
 }

 if($POST_PRIV=="1")
    $DEPT_PRIV=$_lang["system_netdisk_all"];
 else if($POST_PRIV=="2")
    $DEPT_PRIV=$_lang["system_dept_point"];
 else
 {
    $query1="select * from DEPARTMENT where DEPT_ID=".SecurityFilter($LOGIN_DEPT_ID);
    $cursor1= exequery($connection,$query1);
    if($ROW=mysql_fetch_array($cursor1))
       $DEPT_PRIV=$ROW["DEPT_NAME"];
 }
?>
<body>


<div class="deptUserList" style="float:left;border-right: 1px solid #D9D9D9;">
	<iframe name='user_list' id="user_list" class="my_iframe" style="height:100%;width:100%;" allowtransparency="true" frameborder='0' src="user_list.php" ></iframe>
</div>
<div class="document_list_main_wrap" style="">
	<div class="lazy_header">
		<div class="switch"></div>
		<!--<span class="lazy-page-title">
		<i class="fa fa-file-text"></i>
		<span class="tip"><?=$_lang["system_user_management"]?> - <?=$_lang["system_manage_range"]?>（<?=$DEPT_PRIV?>，<?=$_lang["system_manage_explian"]?>）</span>
		</span>-->
		<button type="button" class="btn btn-primary" onClick="user_main.location='query.php';"><?=$_lang["system_user_search"]?></button>
		<button type="button" class="btn btn-primary" onClick="user_main.location='user_new1.php';"><?=$_lang["system_user_add"]?></button>
		<?
		if($LOGIN_USER_ID == "admin") {
		?>
			<button type="button" class="btn btn-primary" onClick="window.location='/general/system/user/export_do.php'"><?=$_lang["common_out"]?></button>
		<?
		}
		?>
		<button type="button" class="btn btn-primary" onClick="ImportData('user','sort')"><?=$_lang["hr_address_group_export"]?></button>
		<!-- <button type="button" class="btn btn-primary" onClick="location='import/index.php'">xin<?=$_lang["hr_address_group_export"]?></button> -->
		<button type="button" class="btn btn-primary" onClick="user_main.location='user_status.php';"><?=$_lang['user_status']?></button>
	</div>
	<iframe name="user_main" id="user_main" class="my_iframe" style="height:100%;width:100%;" allowtransparency="true" frameborder='0' src="userlist.php">
	</iframe>
</div>
<input type="hidden" id="flushTree" name="flushTree" value="">
</body>
</html>
