﻿<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice9.0
* @function      系统管理--用户管理--左边树处理页，部门带人员，展示离职人员
* @encoding      $_lang['encoding']
* @name          /general/system/user/user_list.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dp
* @date          2015-01-12
*/
include_once("inc/auth.php");
include_once("api/user.class.php");
include_once("api/dept.class.php");
include_once("newplugins/js/jquery-select-dialog/dept/privFunctionDo.php");
includelangpak("system");
function GetCompanyName() {
	global $connection;
	//获取公司名称
	$getCompanyNameQuery = "SELECT UNIT_NAME FROM `unit`";
	$getCompanyNameResult = exequery($connection, $getCompanyNameQuery);
	if ($getCompanyNameRow = mysql_fetch_array($getCompanyNameResult)) {
		$companyName = $getCompanyNameRow["UNIT_NAME"];
	}
	return $companyName;
}
// 判断是否有子部门
function IsHasSubDept($deptID) {
	global $connection;
	$query = "SELECT COUNT(*) AS CNT FROM department
			  WHERE DEPT_PARENT = " . SecurityFilter($deptID);
	$result = exequery($connection, $query);
	if ($row = mysql_fetch_array($result)) {
		return $row["CNT"] > 0;
	} else {
		return false;
	}
}
// 获取某个部门的下属人员；有部门的权限，就展示下面的所有人员
function getUserByDeptId($deptID) {
	global $connection,$LOGIN_USER_PRIV,$LOGIN_DEPT_ID,$LOGIN_USER_ID;
	$userListArray = array();
	if(is_dept_priv($deptID)) {
		// 如果管理范围是本部门，展示角色比自己低的，即 USER_PRIV.PRIV_NO > ".$PRIV_NO."的。
		if($_SESSION['LOGIN_POST_PRIV'] == "0") {
			if($deptID == $LOGIN_DEPT_ID) {
				$query = "
					SELECT * from USER_PRIV where USER_PRIV = '".SecurityFilter($LOGIN_USER_PRIV)."'
					";
				$cursor= exequery($connection,$query);
				if($ROW=mysql_fetch_array($cursor))
					$PRIV_NO=$ROW["PRIV_NO"];
				$sql = "
						SELECT USER_ID,USER_NAME,PRIV_NAME FROM USER,USER_PRIV
						WHERE USER.USER_PRIV=USER_PRIV.USER_PRIV
						AND  DEPT_ID = '".SecurityFilter($deptID)."'
						AND USER_PRIV.PRIV_NO > ".SecurityFilter($PRIV_NO)."
						AND USER.USER_ID != 'admin'
						ORDER BY USER.LISTNUMBER ASC,PRIV_NO,USER_NAME
						";
			}
		} else {
			$sql = "
					SELECT USER_ID,USER_NAME,PRIV_NAME FROM USER,USER_PRIV
					WHERE USER.USER_PRIV=USER_PRIV.USER_PRIV
					AND  DEPT_ID = '".SecurityFilter($deptID)."'
					";
			if($LOGIN_USER_ID != "admin") {
				$sql .= "AND USER.USER_ID != '".SecurityFilter($LOGIN_USER_ID)."'";
			}
			$sql .= "
					ORDER BY USER.LISTNUMBER ASC,PRIV_NO,USER_NAME
					";
		}
		if($sql) {
			$rs  = exequery($connection,$sql);
			while($row=mysql_fetch_assoc($rs)) {
				$userListArray[] = $row;
			}
		}
	}
	return $userListArray;
}
// 获取离职人员
function getLeaveOfficeUserList() {
	global $connection,$LOGIN_USER_PRIV;
	$leaveOfficeUserListArray = array();
	if($LOGIN_USER_PRIV != "1")
	{
		$query = "
				SELECT * from USER_PRIV where USER_PRIV = '".SecurityFilter($LOGIN_USER_PRIV)."'
				";
		$cursor= exequery($connection,$query);
		if($ROW=mysql_fetch_array($cursor))
			$PRIV_NO=$ROW["PRIV_NO"];
		$query = "
					SELECT USER_ID,USER_NAME,user.USER_PRIV,PRIV_NAME FROM USER,USER_PRIV
					WHERE DEPT_ID=0 and USER.USER_PRIV=USER_PRIV.USER_PRIV and USER_PRIV.PRIV_NO > $PRIV_NO
					AND USER_PRIV.USER_PRIV != 1
					ORDER BY PRIV_NO,USER_NAME
				";
	} else {
	   $query = "
	   			SELECT USER_ID,USER_NAME,user.USER_PRIV,PRIV_NAME FROM USER,USER_PRIV WHERE DEPT_ID=0 AND USER.USER_PRIV=USER_PRIV.USER_PRIV ORDER BY PRIV_NO,USER_NAME
	   			";
	}
	$cursor= exequery($connection,$query);
	while($ROW=mysql_fetch_assoc($cursor))
	{
		$leaveOfficeUserListArray[] = $ROW;
	}
	return $leaveOfficeUserListArray;
}

switch($type) {
	case "getDeptList":
		$deptParentID = $_REQUEST['id'] ? $_REQUEST['id'] : 0;
		$query = "
				SELECT * FROM department
				WHERE DEPT_PARENT = '" . SecurityFilter($deptParentID). "'
				ORDER BY DEPT_NO ASC
				";
		if (!$_REQUEST['id'] || $_REQUEST['id'] == 0) {
			$deptListStr = '{ id:"", name:"' . GetCompanyName() . '", open:true, nodeType:\'rootFolder\'},';
		}
		$result = exequery($connection, $query);
		while ($row = mysql_fetch_array($result)) {
			// 判断是否有子部门
			$isHasSubDept = IsHasSubDept($row['DEPT_ID']);
			if($isHasSubDept) {
				$isParent = "true";
			}  else {
				// 判断是否有下属人员
				$listUserCnt = count(getUserByDeptId($row['DEPT_ID']));
				if($listUserCnt > 0) {
					$isParent = "true";
				} else {
					$isParent = "false";
				}
			}
			$deptListStr .= "{ id:'" . $row['DEPT_ID'] . "', name:'" . $row['DEPT_NAME'] . "', open:true, isParent:" . $isParent . ", nodeType:'folder'},";
		}
		// 拼接用户字符串
		if($deptParentID && $deptParentID != '-1') {
			$listUser = getUserByDeptId($deptParentID);
			foreach ($listUser as $key => $value) {
				$deptListStr .= "{ id:'" . $value['USER_ID'] . "', name:'" . $value['USER_NAME'] . "', open:true, isParent:false, nodeType:'user'},";
			}
		}
		// 只有admin才可以管理离职人员
		if($deptParentID == "0" && $LOGIN_USER_ID == "admin") {
			// 拼接离职人员
			$deptListStr .= "{ id:'-1', name:'".$_lang["system_user_out_job"]."', open:false, isParent:true, nodeType:'LeaveFolder'},";
		}
		if($deptParentID == "-1") {
			$leaveOfficeUserList = getLeaveOfficeUserList();
			foreach ($leaveOfficeUserList as $key => $value) {
				$deptListStr .= "{ id:'" . $value['USER_ID'] . "', name:'".$value['USER_NAME']." [ ".$value['PRIV_NAME']." ]', open:false, isParent:false, nodeType:'LeaveUser'},";
			}
		}
		$deptListStr = substr($deptListStr, 0, -1);
		echo '[' . $deptListStr . ']';
		break;
}
?>
