<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice9.0
* @function      系统管理--角色管理--新建编辑角色基础信息
* @encoding      $_lang['encoding']
* @name          /general/system/user_priv/edit.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dp
* @date          2015-01-12
*/
//加载语言
include_once("inc/auth.php");
includelangpak("system");
$TITLE = $USER_PRIV!=""?$_lang["system_priv_edit"]:$_lang["system_priv_new"];

$PAGE_TITLE = $TITLE;
include_once 'inc/page_header.inc.php';

if($_REQUEST['USER_PRIV'])
{
  if(!is_numeric($_REQUEST['USER_PRIV'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script Language="JavaScript">
var check_notify;
$(document).ready(function() {
	$(".pubtable").LazyBeautifyTable({
		showHoverEffect:false
	});
	$('input').iCheck({
		checkboxClass : 'icheckbox_square-blue',
		radioClass : 'iradio_square-blue'
	});
	$(".userPrivMainDiv").height($(window).height()-160).niceScroll();
});
function CheckForm()
{
   if($.trim(document.form1.PRIV_NO.value)=="")
   {
      if (check_notify) {
          check_notify.pnotify_remove();
        }

        check_notify = $.pnotify({
          text:"<?=$_lang["system_priv_level_null"]?>",
          type:"info",
          animate_speed:"fast",
          history:false,
          delay:"1500"
        }).click(function(event) {
          check_notify.pnotify_remove();
        });
     return false;
   }

   if($.trim(document.form1.PRIV_NAME.value)=="")
   {

      if (check_notify) {
          check_notify.pnotify_remove();
        }

        check_notify = $.pnotify({
          text:"<?=$_lang["system_priv_name_null"]?>",
          type:"info",
          animate_speed:"fast",
          history:false,
          delay:"1500"
        }).click(function(event) {
          check_notify.pnotify_remove();
        });
     return false;
   }

   // form1.submit();
   $('#form1').ajaxSubmit({
    success : function(returnData){
      if(returnData == "success") {
        $.pnotify({
          text : "<?=$_lang['common_save_successed']?>",
          type : "success",
          delay : 100,
          addclass: "stack-topleft",
          styling : "bootstrap3",
          history : false,
          sticker : false,
          closer : false,
          after_close: function(pnotify, timer_hide) {
            location.href='index.php';
          }
        });
      } else {
        $.pnotify({
          text : returnData,
          type : "error",
          delay : 1000,
          addclass: "stack-topleft",
          styling : "bootstrap3",
          history : false,
          sticker : false,
          closer : false
        });
      }
    }
  });
}
</script>

<?

if($USER_PRIV!="")
{
 $connection=OpenConnection();
 $query = "SELECT * from USER_PRIV where USER_PRIV='".SecurityFilter($USER_PRIV)."'";
 $cursor= exequery($connection,$query);
 if($ROW=mysql_fetch_array($cursor))
 {
    $PRIV_NO	= $ROW["PRIV_NO"];
    $PRIV_NAME	= $ROW["PRIV_NAME"];
	$FUNC_ID_STR= $ROW["FUNC_ID_STR"];
 }
}
?>
<body onLoad="document.form1.PRIV_NO.focus();" style="overflow:hidden;">
<form action="<? if($USER_PRIV!="") echo"update"; else echo "insert";?>.php"  method="post" name="form1" id="form1">
<div class="lazy_header">
	<a class="btn btn-primary" type="button" onclick="CheckForm();" ><?=$_lang["common_submit"]?></a>
	<a class="btn btn-default" type="button" onclick="location='index.php';"><?=$_lang["common_back"]?></a>
</div>

<table border="0" cellspacing="0" width="100%" class="form_table">
   <tr>
    <td class="title"><?=$_lang["system_priv_level"]?></td>
    <td nowrap>
        <input type="text" name="PRIV_NO" class="text" size="3" maxlength="3" style="width:200px;" value="<?=$PRIV_NO?>" validation="{require:true,theme:'<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>'}">
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["system_priv_name"]?></td>
    <td nowrap>
        <input type="text" name="PRIV_NAME" class="text" size="25" maxlength="100" style="width:200px;" value="<?=$PRIV_NAME?>" validation="{require:true,theme:'<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>'}">
    </td>
   </tr>
        <input type="hidden" value="<?=$USER_PRIV?>" name="USER_PRIV"><input type="hidden" value="<?=$FUNC_ID_STR?>" name="func_id_str">
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="pubtable">
<thead>
	<td nowrap colspan="2"><?=$_lang["system_priv_inherit"]?>：</td>
</thead>
</table>
<div class="userPrivMainDiv">
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="pubtable">
	<tbody>
<?
	$priv_count	= 0;
	$query	= "SELECT * FROM user_priv order by PRIV_NO";
	$cursor	= exequery($connection, $query);
	while($row = mysql_fetch_array($cursor))
	{
		$priv_count++;
		$user_priv	= $row["USER_PRIV"];
		$priv_name	= $row["PRIV_NAME"];
		$func_id	= $row["FUNC_ID_STR"];
?>
  <tr>
    <td width="10%"><input type="checkbox" value="<?=$func_id?>" name="new_func_id[]"></td>
    <td><?=$priv_name?></td>
  </tr>
<?
	}
?>
</tbody>
</table>
<?
if($USER_PRIV==1)
{
   Message($_lang["common_prompt"],$_lang["system_priv_explain"]);
}
?>
</div>
</form>


</body>
</html>