<?php
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      角色与权限管理的设置
 * @encoding      $_lang['encoding']
 * @name          general/system/user_priv/edit_priv.php
 * @version       15
 * @author        Qu|www.weaver.com.cn
 * @date          2012-03-12
 */
//加载语言
include_once("inc/auth.php");
includelangpak("system");
include_once("inc/utility_all.php");

if($_REQUEST['USER_PRIV'])
{
	if(!is_numeric($_REQUEST['USER_PRIV'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

$userPriv 	= $_REQUEST['USER_PRIV'];
$PAGE_TITLE = $_lang["system_priv_set_rights"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
<style type="text/css">
	.menu-list-wrap .menu-list{
		float:left;
		width:180px;
		margin:10px;
	}

	.menu-list-wrap .menu-list .title{
		height:30px;
		line-height: 30px;
		background: #DFDFDF;
		font-weight: bold;
		padding-left:5px;
	}

	.menu-list-wrap .menu-list .title a{
		float:right;
		margin-right:10px;
	}

	.menu-list-wrap .menu-list .title a i{
		line-height: 30px;
		font-size:14px;
		font-weight: bold;
	}

	.menu-list-wrap .menu-list label{
		height:27px;
		line-height: 27px;
	}

	.menu-list-wrap .menu-list .title label{
		padding-left: 5px;
	}

	.menu-list-wrap .menu-list .sub-menu-wrap label{
		padding-left: 20px;
	}

	.menu-list-wrap .menu-list .sub-sub-menu-wrap label{
		padding-left: 40px;
	}
	.menu-list-wrap .menu-list li{
		height:27px;
		line-height: 27px;
		padding-left:5px;
	}
	.loading{
		display: none;
	}
</style>
<body>
<div class="lazy_header">
	<span class="lazy-page-title">
      <i class="fa fa-file-text"></i>
      <span class="tip"><?=$_lang["system_priv_set_rights"]?> - <span class="priv-name"></span></span>
  	</span>
	<span class="loading">Loading....</span>
	<input type="button" class="btn btn-primary submit" value='<?=$_lang["common_submit"]?>'>
	<input type="button" class="btn btn-default" value='<?=$_lang["common_back"]?>' onClick="location='index.php';">
	<div class="all-op-button pull-right"></div>
</div>
<div class="main_wrap">
 	<div class="menu-list-wrap"></div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script>

$(function() {
	$(".loading").ajaxStart(function(){
		$(this).show();
	}).ajaxStop(function(){
		$(this).hide();
	})
	$.ajax({
		url : "do.php",
		data : {
			op : "getMenuList",
			userPriv : '<?=$userPriv?>'
		}
	}).done(function(result){
		if(result){
			var parsedData = $.parseJSON(result);

			$(".priv-name").html(parsedData.privName);

			var menuListHtml = [];

			$.each(parsedData.menuList, function(index, value){
				if(index.length == 2) {
					menuListHtml.push('<div class="menu-list"><div class="title"><input type="checkbox"');

					if(value.hasPriv){
						menuListHtml.push(' checked="checked" ');
					}
					menuListHtml.push(' class="top-menu" id="' + value.funcID + '"/><label for="'+value.funcID+'">' + value.funcName + '</label><a href="#"><i class="fa fa-angle-up"></i></a></div>');
				}

				if(value.subMenuList) {
					menuListHtml.push('<ul class="sub-menu-wrap">');
					$.each(value.subMenuList, function(subIndex,subValue){
						menuListHtml.push('<li>');
						if(subValue.funcFollow=="0"){
							menuListHtml.push('<input type="checkbox"');

							if(subValue.hasPriv){
								menuListHtml.push(' checked="checked" ');
							}

							menuListHtml.push(' id="' + subValue.funcID + '"/><label for="'+subValue.funcID+'"> ' + subValue.funcName + '</label>');
						}else{
							menuListHtml.push('<span style="padding-left:40px;">' + subValue.funcName + '</span></li>');
						}

						menuListHtml.push('</li>');
						if(subValue.subMenuList){
							menuListHtml.push('<ul class="sub-sub-menu-wrap">');
							$.each(subValue.subMenuList, function(subSubIndex, subSubValue){
								menuListHtml.push('<li>');

								if(subSubValue.funcFollow=="0"){
									menuListHtml.push('<input type="checkbox"');

									if(subSubValue.hasPriv){
										menuListHtml.push(' checked="checked" ');
									}

									menuListHtml.push(' id="' + subSubValue.funcID + '"/><label for="'+subSubValue.funcID+'"> ' + subSubValue.funcName + '</label>');
								}else{
									menuListHtml.push('<span style="padding-left:60px;">' + subSubValue.funcName + '</span></li>');
								}
								menuListHtml.push('</li>');
							});
							menuListHtml.push('</ul>');
						}
					});
					menuListHtml.push('</ul>');
				}

				if(index.length == 2) {
					menuListHtml.push('</div>');
				}
			});

			$(".menu-list-wrap").html(menuListHtml.join(''));

			$(':checkbox').iCheck({
			    checkboxClass : 'icheckbox_square-grey'
			}).on('ifChanged', function(event){
				var $topMenuObj = $(this).parents(".menu-list").find(".top-menu");

				var $liObj = $(this).parents("li");

				var $subSubWrapObj = $(this).parents(".sub-sub-menu-wrap");

				if(!$(this).prop("checked")){
					var checkedLength = $(this).parents(".menu-list").find(":checkbox").not(".top-menu").filter(function(){
							return $(this).prop("checked")
					}).length;

					if(checkedLength == 0){
						$topMenuObj.prop("checked", false);
					}
					

					if($liObj && $liObj.next(".sub-sub-menu-wrap").length > 0) {
				  		$liObj.next(".sub-sub-menu-wrap").find(":checkbox").prop("checked",false).iCheck('update');
				  	}

				  	if($subSubWrapObj.length > 0){
				  		if($subSubWrapObj.find(":checkbox").filter(function(){
				  			return $(this).prop("checked");
				  		}).length == 0){
				  			$subSubWrapObj.prev("li").find(":checkbox").prop("checked", false).iCheck('update');
				  		}
				  	}

				} else {
					$topMenuObj.prop("checked", true);

					if($liObj && $liObj.next(".sub-sub-menu-wrap").length > 0) {
				  		$liObj.next(".sub-sub-menu-wrap").find(":checkbox").prop("checked",true).iCheck('update');
				  	}

				  	if($subSubWrapObj.length > 0){
				  		$subSubWrapObj.prev("li").find(":checkbox").prop("checked", true).iCheck('update');

				  	}

				}
			  	$topMenuObj.iCheck('update');
			  	
			});

			$('.top-menu').iCheck({
			    checkboxClass : 'icheckbox_square-blue'
			}).on('ifChanged', function(event){
			  $(this).parents(".menu-list").find(":checkbox").prop("checked",$(this).prop("checked")).iCheck('update');
			});

		}
	}).fail(function(){
		//alert("ajax error");
	});	

	$(".all-op-button").LazySplitButton({
		dataSource : [{
			key : "checkAll",
			title : "全部选中",
			isDefault : true
		}, {
			key : "unCheckAll",
			title : "全部不选中",

		}, {
			key : "expandAll",
			title : "展开全部"
		}, {
			key : "collapseAll",
			title : "收缩全部"
		}],
		onSelect:function(key){
			switch(key){
				case 'checkAll':
					$(".menu-list-wrap :checkbox").prop("checked",true).iCheck('update');
				break;
				case 'unCheckAll':
					$(".menu-list-wrap :checkbox").prop("checked",false).iCheck('update');
				break;
				case 'expandAll':
				$(".menu-list-wrap .title i").removeClass().addClass("fa fa-angle-up");
				$(".menu-list-wrap .sub-menu-wrap").slideDown(150);
				break;
				case 'collapseAll':
				$(".menu-list-wrap .title i").removeClass().addClass("fa fa-angle-down");
				$(".menu-list-wrap .sub-menu-wrap").slideUp(150);
				break;
			}
		}
	});

	$(".menu-list-wrap").on({
		click:function(){
			var $iconObj = $(this).find("i");
			var $menuListObj = $(this).parents(".menu-list").find(".sub-menu-wrap");

			if($iconObj.hasClass("fa-angle-up")){
				$iconObj.removeClass().addClass("fa fa-angle-down");
				$menuListObj.slideUp(150);
			}else{
				$iconObj.removeClass().addClass("fa fa-angle-up");
				$menuListObj.slideDown(150);
			}
			return false;
		}
	},".title a");
	
	$(".submit").click(function(){
		var funcIDStr = "";
		$(":checkbox").each(function(){
			if($(this).prop("checked")) {
				funcIDStr += $(this).attr("id") + ",";
			}
		});

		location = "update_priv.php?FUNC_ID_STR="+funcIDStr+"&USER_PRIV=<?=$userPriv?>";
	});
});
</script>