<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/unit
 * Function:         角色信息

 * Encoding:         $_lang['encoding']
 * Author:           www.weaver.com.cn
 * Date:             2014-6-16
 * File Version:     1.0
 * Eoffice Version:  9.0
*/

//加载语言
include_once("inc/auth.php");
includelangpak("system");
$PAGE_TITLE = $_lang["system_user_prv_manage"];
include_once 'inc/page_header.inc.php';
?>

<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>

<style type="text/css">
.pubtable td:first-child {
    padding-left:10px;
}
</style>
<script>
$(document).ready(function() {
	$(".userPrivMainDiv").height($(window).height()-40).niceScroll();
	$("#table").LazyTable({
		column : [{
				key : "PRIV_NO",
				title : "<?=$_lang['system_priv_level']?>"
			}, {
				key : "PRIV_NAME",
				title : "<?=$_lang['system_priv_name']?>"
			}, {
				key : "CREATER",
				title : "<?=$_lang['loginothersys_sys_action']?>",
				template : function(data) {
					var template = "";
					template += "<a href=\"javascript:manage_priv('"+data.USER_PRIV+"')\"><?=$_lang['system_user_prv_manage']?></a>&nbsp;&nbsp;";
					template += "<a href=\"javascript:set_priv('"+data.USER_PRIV+"')\"><?=$_lang['system_user_prv_manage_set']?></a>&nbsp;&nbsp;";
					template += "<a href=\"javascript:delete_priv('"+data.USER_PRIV+"')\"><?=$_lang['common_del']?></a>";
					return template;
				}
			}],
		dataSource : "/general/system/user_priv/do.php",
		param : {
			op : "getUserPrivTable"
		},
		onAfterLoad:function(){
			$(".pagination_wrap").hide();
			$(".userPrivMainDiv").getNiceScroll().resize();
		}
	});
	$(".list_search").LazySearch({
		tip : "<?=$_lang["system_qyweixin_select"].$_lang["common_role"]?>",
		url : "/general/system/user_priv/do.php",
		param : {
			op : "getUserPrivTable"
		},
		fieldSearch : {
			onItemClick : function(data,value) {
				$("#table").LazyTable("reload", {
					param : {
						readType : data.key,
						fieldSearchVal : value
					}
				});
			},
			items : [{
				key : "PRIV_NAME",
				title : "<?=$_lang['system_priv_name'].$_lang["other_include"]?>"
			}]
		},
		onClearButtonClick:function(){
			$("#table").LazyTable("reload");
		}
	});
});
function manage_priv(USER_PRIV){
	var url = "edit.php?USER_PRIV="+USER_PRIV;
	window.location = url;
}
function set_priv(USER_PRIV){
	var url = "edit_priv.php?USER_PRIV="+USER_PRIV;
	window.location = url;
}
function delete_priv(USER_PRIV)
{
	bootbox.confirm("<?=$_lang['system_user_prv_delete_alert']?>", function(result) {
		if(result){
			//URL="delete.php?USER_PRIV="+USER_PRIV;
			//window.location=URL;
			$.ajax({
				type:"post",
				url:"delete.php",
				data:"USER_PRIV="+USER_PRIV,
				success: function(result){
					if(result == "success") {
						$.pnotify({
							text : "<?=$_lang['common_deletesuccess']?>",
							type : "success",
							delay : 1000,
							addclass: "stack-topleft",
							styling : "bootstrap3",
							history : false,
							sticker : false,
							closer : false,
							after_close: function(pnotify, timer_hide) {
								$("#table").LazyTable("reload");
							}
						});
					} else {
						$.pnotify({
							text : "<?=$_lang['system_priv_have_user']?>",
							type : "error",
							delay : 1000,
							addclass: "stack-topleft",
							styling : "bootstrap3",
							history : false,
							sticker : false,
							closer : false,
							after_close: function(pnotify, timer_hide) {
								
							}
						});
					}
				}
			});
		}
	});
}
</script>

<body style="overflow:hidden;">
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-file-text"></i>
		<span class="tip"><?=$_lang['system_user_prv_manage']?></span>
	</span>
	<button class="btn btn-primary" type="button" onclick="location='edit.php';" ><?=$_lang["system_new_priv"]?></button>
	<div class="list_search" style="float:right;margin-top:6px;margin-right:10px;"></div>
</div>
<div class="userPrivMainDiv">
	<div id="table" style=""></div>
</div>

</body>
</html>