<?php
include_once ("inc/utility_all.php");//引入公共函数文件。
include_once('inc/auth.php');
$method     = request_var('method','nullMethod');
$DataSend   = new DataSend();
$DataSend->$method();
class DataSend {
    public function __construct() {
        ;
    }
    public function nullMethod(){
        echo 'this is a null method';
    }
    public function innerSend(){
        $oper   = request_var('oper');
        switch($oper){
            case 'getModules':
                $this->getModules();
                break;
            case 'getDetail':
                $this->getDetail();
                break;
            case 'getFormFields':
                $this->getFormFields();
                break;
            case 'createJsonConfig':
                $this->createJsonConfig();
                break;
            case 'initInnerSendBox':
                $this->initInnerSendBox();
                break;
        }
    }
    public function outerSend(){
        $oper   = request_var('oper');
        switch($oper){
            case 'getFormFields':
                $this->getFormFields();
                break;
            case 'linkDb':
                $this->linkDb();
                break;
            case 'getFields':
                $this->getFields();
                break;
            case 'createOutJsonConfig':
                $this->createOutJsonConfig();
                break;
            case 'initOutSendBox':
                $this->initOutSendBox();
                break;
        }
    }
    public function linkDb(){
        $dbHost     = request_var('db_host');
        $dbPort     = request_var('db_port');
        $dbType     = request_var('db_type');
        $dbUser     = request_var('db_user');
        $dbPass     = request_var('db_pass');
        $dbName     = request_var('db_name');
        if($dbType == 'Mysql'){
            include ('inc/data_send/db/Mysql.php');
        }elseif ($dbType == 'Mmsql') {
            include ('inc/data_send/db/Mmsql.php');
        }
        $db = new $dbType();
        $dbConnectId = $db->sqlConnect($dbHost, $dbUser, $dbPass, $dbName, $dbPort);
        if($dbConnectId){
            $tables = $db->sqlGetTables($dbName);
            echo json_encode($tables);
        }else{
            echo 0;
        }
    }
    public function initOutSendBox(){
        $configUrl      = request_var('configUrl');
        $config = file_get_contents($configUrl);
        echo $config;
    }
    public function getFields(){
        $dbHost     = request_var('db_host');
        $dbPort     = request_var('db_port');
        $dbType     = request_var('db_type');
        $dbUser     = request_var('db_user');
        $dbPass     = request_var('db_pass');
        $dbName     = request_var('db_name');
        $tableName  = request_var('tableName');
        if($dbType == 'Mysql'){
            include ('inc/data_send/db/Mysql.php');
        }elseif ($dbType == 'Mmsql') {
            include ('inc/data_send/db/Mmsql.php');
        }
        $db = new $dbType();
        $dbConnectId = $db->sqlConnect($dbHost, $dbUser, $dbPass, $dbName, $dbPort);
        if($dbConnectId){
            $fields     = $db->sqlGetFields($tableName);
            echo json_encode($fields);
        }else{
            echo 0;
        }
    }
    public function createOutJsonConfig(){
        $dbHost     = request_var('dbHost');
        $dbPort     = request_var('dbPort');
        $dbType     = request_var('dbType');
        $dbUser     = request_var('dbUser');
        $dbPass     = request_var('dbPass');
        $dbName     = request_var('dbName');
        $tableName  = request_var('tableName');
        $formFields = request_var('formFields');
        $sendFields = request_var('sendFields');
        $fieldMap = array();
        foreach($formFields as $key => $value){
            $fieldMap[$value] = $sendFields[$key];
        }
        $config = array(
            'dbHost'    => $dbHost,
            'dbPort'    => $dbPort,
            'dbType'    => $dbType,
            'dbUser'    => $dbUser,
            'dbPass'    => $dbPass,
            'dbName'    => $dbName,
            'tableName'    => $tableName,
            'fieldMap'  => $fieldMap
        );
        $configName = md5($dbName.$tableName).'.json';
        if(file_put_contents(ROOT_PATH.'inc/data_send/json/'.$configName,json_encode($config))){
            echo ROOT_PATH.'inc/data_send/json/'.$configName;
            exit;
        }
        echo 0;
    }
    public function initInnerSendBox(){
        $configUrl      = request_var('configUrl');
        $config = file_get_contents($configUrl);
        echo $config;
    }
    public function getModules(){
        $config     = include_once('inc/data_send/config/config.php');
        $modules    = $config['module'];
        echo json_encode($modules);exit;
    }
    public function getDetail(){
        $moduleId       = request_var('moduleId');
        $config         = include_once('inc/data_send/config/config.php');
        $details        = $config['detail'];
        $detail         = $details[$moduleId];
        echo json_encode($detail);exit;
    }
    public function createJsonConfig(){
        $formFields = request_var('formFields');
        $sendFields = request_var('sendFields');
        $sendUrl    = request_var('sendUrl');
        $moduleName = request_var('moduleName');
        $moduleId   = request_var('moduleId');
        $fieldMap = array();
        foreach($formFields as $key => $value){
            $fieldMap[$value] = $sendFields[$key];
        }
        $config = array(
            'sendUrl'   => $sendUrl,
            'moduleID'=> $moduleId,
            'fieldMap'  => $fieldMap
        );
        $configName = md5($moduleName).'.json';
        if(file_put_contents(ROOT_PATH.'inc/data_send/json/'.$configName,json_encode($config))){
            echo ROOT_PATH.'inc/data_send/json/'.$configName;
            exit;
        }
        echo 0;
    }
    public function getFormFields(){
        global $connection;
        $flowId     = request_var('flowId');
        $query      = 'SELECT FLOW_NAME,FORM_ID FROM flow_type WHERE FLOW_ID='.SecurityFilter($flowId);
        $result     = exequery($connection, $query);
        if(!$result){
            echo 0;exit;
        }
        $row = mysql_fetch_array($result,MYSQL_ASSOC);
        mysql_free_result($result);
        $formId     = $row['FORM_ID'];
        $query      = "SELECT * FROM flow_form_type WHERE FORM_ID='".SecurityFilter($formId)."'";
		$result1    = exequery($connection,$query);
        if(!$result1){
            echo 0;exit;
        }
		$row1 = mysql_fetch_array($result1);
        mysql_free_result($result1);
        $formName   = $row1["FORM_NAME"];
        $printModel = $row1["PRINT_MODEL"];
        include_once('inc/utility_html.php');
        $formElement = html_element($printModel);
		$formFields  = array();
		for($i=0;$i < count($formElement); $i++)
		{
			$ELEMENT               = $formElement[$i];
			$ID                    = get_attr($ELEMENT,"ID");
			$EITLE                 = get_attr($ELEMENT,"TITLE");
			$ECLASS                = get_attr($ELEMENT,"CLASS");
			$EITLE                 = str_replace("+","＋",$EITLE);
			$EITLE                 = str_replace("#","＃",$EITLE);
			$EITLE                 = str_replace(" ","",$EITLE);
			if($ECLASS != "DATE" && $ECLASS != "time")
			{
                $formFields[$ID] = $EITLE;
			}
		}
        echo json_encode($formFields);
    }
}
