$(function(){
    $('#innerOutSendBtn').click(function(){
        $('#innerDataSend').dialog("open");
    });
    $("#innerDataSend").dialog({
        autoOpen: false,
        modal: true,
        width: 700,
        height: 600,
        draggable: false,
        open: function() {
            $("#innerDataSend").parents(".lazy_dialog").animate({top: $(".home .header").height()}, 200);
            $("#innerDataSend").parents(".lazy_dialog").find('.ui-dialog-buttonset').css({'height':'40px'});
            $("#innerDataSend").parents(".lazy_dialog").find('.ui-dialog-buttonset .btn.btn-primary').removeClass().addClass('btn btn-primary');
            $("#innerDataSend").parents(".lazy_dialog").find('.ui-dialog-buttonset .btn.btn-default').removeClass().addClass('btn btn-default');
            if($('#outsend_type').val() == 2 && $('#flow_outsend_url').val() != ''){
                $.ajax({
                   url:'/general/system/workflow/data_send/DataSend.php',
                    data:{
                        method:'innerSend',
                        oper:'initInnerSendBox',
                        configUrl:$('#flow_outsend_url').val()
                    }
                }).done(function(result){
                    var parseData = $.parseJSON(result);
                    var fieldMap    = parseData.fieldMap;
                    var leftFields = new Array();
                    var rightFields = new Array();
                    $.each(fieldMap,function(k,v){
                        leftFields.push(k);
                        rightFields.push(v);
                    });
                    getModules(parseData.moduleID,rightFields);
                    getFormFields(leftFields);
                });
            }else{
                getModules('','');
                getFormFields('');
            }
        },
        resizable: false,
        buttons: [{
            text: Flowlang.flowSubmit,
            'class': "btn btn-primary",
            click: function() {
                var leftItems = $('#innerDataSend .box-content-bottom .bottom-left .item');
                var rightItems = $('#innerDataSend .box-content-bottom .bottom-right .item');
                if($(leftItems).length == 0 || $(rightItems).length == 0){
                     $.pnotify({
                        text : Flowlang.flowFieldNotNull,
                        type : "error",
                        delay : 200,
                        addclass: "stack-topleft",
                        styling : "bootstrap3",
                        history : false,
                        sticker : false,
                        closer : false
                    });
                    return false;
                }
                var leftItemArr = new Array();
                var rightItemArr = new Array();
                $(leftItems).each(function(k,v){
                    var fieldName   = $(v).attr('field-name');
                    leftItemArr.push(fieldName);
                });
                $(rightItems).each(function(k,v){
                    var fieldName   = $(v).attr('field-name');
                    rightItemArr.push(fieldName);
                });
                var moduleName = $('#module').find("option:selected").text();
                var moduleId = $('#module').val();
                var sendUrl     = $('#innerSendUrl').val();
                $.ajax({
                   url:'/general/system/workflow/data_send/DataSend.php',
                   data:{
                        method:'innerSend',
                        oper:'createJsonConfig',
                        moduleName:moduleName,
                        formFields:leftItemArr,
                        sendFields:rightItemArr,
                        sendUrl:sendUrl,
                        moduleId:moduleId
                   }
                }).done(function(result){
                    $('#flow_outsend1').val(result);
                });
                $(this).dialog("close");
            }
        }, {
            text: Flowlang.flowClose,
            'class': "btn btn-default",
            click: function() {
                $(this).dialog("close");
            }
        }],
        dialogClass: "lazy_dialog"
    });
    $('#module').change(function(){
        var module  = $(this).val();
        if(module == ''){
            $.pnotify({
                text : Flowlang.flowSelectModule,
                type : "error",
                delay : 200,
                addclass: "stack-topleft",
                styling : "bootstrap3",
                history : false,
                sticker : false,
                closer : false
            });
            return false;
        }
        getDetail(module,'');
    });
    
    $('.data-send .box-content').on({
        mouseenter:function(){
            $(this).css('background','#f7f7f7');
        },
        mouseleave:function(){
            $(this).css('background','#fff');
        }
    },'.item');
    $('#innerDataSend .box-content').on({
        click:function(){
            if($(this).attr('select') == 0){
                $(this).attr('select',1);
                $(this).find('i').show();
            }else{
                $(this).attr('select',0);
                $(this).find('i').hide();
            }
            var topLeftItem     = $('#innerDataSend .top-left-item[select=1]');
            var bottomLeftItem  = $('#innerDataSend .bottom-left-item[select=1]');
            var topRightItem     = $('#innerDataSend .top-right-item[select=1]');
            var bottomRightItem  = $('#innerDataSend .bottom-right-item[select=1]');
            if(topLeftItem.length >0){
                $("#innerDataSend").find('.select-left').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#innerDataSend").find('.select-left').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
            if(bottomLeftItem.length >0){
                $("#innerDataSend").find('.select-left1').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#innerDataSend").find('.select-left1').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
            if(topRightItem.length >0){
                $("#innerDataSend").find('.select-right').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#innerDataSend").find('.select-right').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
            if(bottomRightItem.length >0){
                $("#innerDataSend").find('.select-right1').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#innerDataSend").find('.select-right1').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
        }
    },'.item');
    $('#outerDataSend .box-content').on({
        click:function(){
            if($(this).attr('select') == 0){
                $(this).attr('select',1);
                $(this).find('i').show();
            }else{
                $(this).attr('select',0);
                $(this).find('i').hide();
            }
            var topLeftItem     = $('#outerDataSend .top-left-item[select=1]');
            var bottomLeftItem  = $('#outerDataSend .bottom-left-item[select=1]');
            var topRightItem     = $('#outerDataSend .top-right-item[select=1]');
            var bottomRightItem  = $('#outerDataSend .bottom-right-item[select=1]');
            if(topLeftItem.length >0){
                $("#outerDataSend").find('.select-left').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#outerDataSend").find('.select-left').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
            if(bottomLeftItem.length >0){
                $("#outerDataSend").find('.select-left1').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#outerDataSend").find('.select-left1').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
            if(topRightItem.length >0){
                $("#outerDataSend").find('.select-right').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#outerDataSend").find('.select-right').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
            if(bottomRightItem.length >0){
                $("#outerDataSend").find('.select-right1').css({'border-color':'','color':''}).addClass('active');
            }else{
                $("#outerDataSend").find('.select-right1').removeClass('active').css({'border-color':'gray','color':'gray'});
            }
        }
    },'.item');
    $('.data-send .box-content').on({
        mouseenter:function(){
            $(this).css({'border-color':'#3498DB','color':'#3498DB'});
        },
        mouseleave:function(){
            $(this).css({'border-color':'#333','color':'#333'});
        },
    },'.select.active');
    $("#innerDataSend").on({
        click:function(){
            var topLeftItem     = $('#innerDataSend .top-left-item[select=1]');
            var html            = '';
            $(topLeftItem).each(function(k,v){
                var fieldName   = $(v).attr('field-name');
                var fieldId     = $(v).attr('field-id');
                html            += '<div class="item bottom-left-item" select="0" field-name="'+fieldName+'" field-id="'+fieldId+'"><div class="item-left">'+fieldName+'</div><div class="item-right"><i class="fa fa-check fa-lg"></i></div></div>'
                $(v).attr('select',0).find('i').hide();
                $(v).hide();
            });
            $('#innerDataSend .box-content .bottom-left').append(html).sortable({
                placeholder: "ui-state-highlight" ,
                cursor: "move",
                items : ".item",
                forcePlaceholderSize:true,
                opacity: 0.6,
                update: function(event,ui){
                    $(".item").each(function(){
                        $(this).attr("id",$(this).index() + 1);
                    });
                }
            });
        }
    },'.select-left.active');
    $("#innerDataSend").on({
        click:function(){
            var topRightItem     = $('#innerDataSend .top-right-item[select=1]');
            var html            = '';
            $(topRightItem).each(function(k,v){
                var fieldName   = $(v).attr('field-name');
                var fieldDesc     = $(v).attr('field-desc');
                html            += '<div class="item bottom-right-item" select="0" field-name="'+fieldName+'" field-desc="'+fieldDesc+'"><div class="item-left">'+fieldName+'</div><div class="item-right">'+fieldDesc+'<i class="fa fa-check fa-lg"></i></div></div>'
                $(v).attr('select',0).find('i').hide();
                $(v).hide();
            });
            $('#innerDataSend .box-content .bottom-right').append(html).sortable({
                placeholder: "ui-state-highlight" ,
                cursor: "move",
                items : ".item",
                forcePlaceholderSize:true,
                opacity: 0.6,
                update: function(event,ui){
                    $(".item").each(function(){
                        $(this).attr("id",$(this).index() + 1);
                    });
                }
            });;
        }
    },'.select-right.active');
    $("#innerDataSend").on({
        click:function(){
            var topLeftItem     = $('#innerDataSend .bottom-left-item[select=1]');
            $(topLeftItem).each(function(k,v){
                var fieldName   = $(v).attr('field-name');
                $('#innerDataSend .top-left-item[field-name='+fieldName+']').show();
            });
            $(topLeftItem).remove();
        }
    },'.select-left1.active');
    $("#innerDataSend").on({
        click:function(){
            var topRightItem     = $('#innerDataSend .bottom-right-item[select=1]');
            $(topRightItem).each(function(k,v){ 
                var fieldName   = $(v).attr('field-name');
                $('#innerDataSend .top-right-item[field-name='+fieldName+']').show();
            });
            $(topRightItem).remove();
        }
    },'.select-right1.active');
    
    $('#outerOutSendBtn').click(function(){
        $('#outerDataSend').dialog("open");
    });
    
    $("#outerDataSend").dialog({
        autoOpen: false,
        modal: true,
        width: 700,
        height: 650,
        draggable: false,
        open: function() {
            $("#outerDataSend").parents(".lazy_dialog").animate({top: $(".home .header").height()}, 200);
            $("#outerDataSend").parents(".lazy_dialog").find('.ui-dialog-buttonset').css({'height':'40px'});
            $("#outerDataSend").parents(".lazy_dialog").find('.ui-dialog-buttonset .btn.btn-primary').removeClass().addClass('btn btn-primary');
            $("#outerDataSend").parents(".lazy_dialog").find('.ui-dialog-buttonset .btn.btn-default').removeClass().addClass('btn btn-default');
            if($('#outsend_type').val() == 3 && $('#flow_outsend_url').val() != ''){
                $.ajax({
                   url:'/general/system/workflow/data_send/DataSend.php',
                    data:{
                        method:'outerSend',
                        oper:'initOutSendBox',
                        configUrl:$('#flow_outsend_url').val()
                    }
                }).done(function(result){
                    var parseData = $.parseJSON(result);
                    var fieldMap    = parseData.fieldMap;
                    var leftFields = new Array();
                    var rightFields = new Array();
                    $.each(fieldMap,function(k,v){
                        leftFields.push(k);
                        rightFields.push(v);
                    });
                    getOutFormFields(leftFields);
                    $('#db_host').val(parseData.dbHost);
                    $('#db_port').val(parseData.dbPort);
                    if(parseData.dbType == 'Mysql'){
                        $('#db_type').selectpicker('val','Mysql')
                    }else if(parseData.dbType == 'Mmsql'){
                        $('#db_type').selectpicker('val','Mmsql')
                    }
                    $('#db_user').val(parseData.dbUser);
                    $('#db_pass').val(parseData.dbPass);
                    $('#db_name').val(parseData.dbName);
                    linkDb(parseData.tableName,rightFields);
                });
            }else{
                getOutFormFields('');
            }
        },
        resizable: false,
        buttons: [{
            text: Flowlang.flowSubmit,
            'class': "btn btn-primary",
            click: function() {
                var leftItems = $('#outerDataSend .box-content-bottom .bottom-left .item');
                var rightItems = $('#outerDataSend .box-content-bottom .bottom-right .item');
                if($(leftItems).length == 0 || $(rightItems).length == 0){
                     $.pnotify({
                        text : Flowlang.flowFieldNotNull,
                        type : "error",
                        delay : 200,
                        addclass: "stack-topleft",
                        styling : "bootstrap3",
                        history : false,
                        sticker : false,
                        closer : false
                    });
                    return false;
                }
                var leftItemArr = new Array();
                var rightItemArr = new Array();
                $(leftItems).each(function(k,v){
                    var fieldName   = $(v).attr('field-name');
                    leftItemArr.push(fieldName);
                });
                $(rightItems).each(function(k,v){
                    var fieldName   = $(v).attr('field-name');
                    rightItemArr.push(fieldName);
                });
                var dbHost      = $('#db_host').val();
                var dbPort      = $('#db_port').val();
                var dbType      = $('#db_type').val();
                var dbUser      = $('#db_user').val();
                var dbPass      = $('#db_pass').val();
                var dbName      = $('#db_name').val();
                var tableName   = $('#table_name').val();
                $.ajax({
                   url:'/general/system/workflow/data_send/DataSend.php',
                   data:{
                        method:'outerSend',
                        oper:'createOutJsonConfig',
                        dbHost:dbHost,
                        formFields:leftItemArr,
                        sendFields:rightItemArr,
                        dbPort:dbPort,
                        dbType:dbType,
                        dbUser:dbUser,
                        dbPass:dbPass,
                        dbName:dbName,
                        tableName:tableName
                   }
                }).done(function(result){
                    $('#flow_outsend2').val(result);
                });
                $(this).dialog("close");
            }
        }, {
            text: Flowlang.flowClose,
            'class': "btn btn-default",
            click: function() {
                $(this).dialog("close");
            }
        }],
        dialogClass: "lazy_dialog"
    });
    $(".data-send").parents(".lazy_dialog").find('.ui-dialog-buttonset .btn').hover(function(){
        $(this).removeClass('ui-state-hover');
        return false;
    });
    $('#linkDbBtn').click(function(){
        linkDb('','');
    });
    $('#table_name').change(function(){
        getTableFields('');
    });
    $("#outerDataSend").on({
        click:function(){
            var topLeftItem     = $('#outerDataSend .top-left-item[select=1]');
            var html            = '';
            $(topLeftItem).each(function(k,v){
                var fieldName   = $(v).attr('field-name');
                var fieldId     = $(v).attr('field-id');
                html            += '<div class="item bottom-left-item" select="0" field-name="'+fieldName+'" field-id="'+fieldId+'"><div class="item-left">'+fieldName+'</div><div class="item-right">'+fieldId+'<i class="fa fa-check fa-lg"></i></div></div>'
                $(v).attr('select',0).find('i').hide();
                $(v).hide();
            });
            $('#outerDataSend .box-content .bottom-left').append(html).sortable({
                placeholder: "ui-state-highlight" ,
                cursor: "move",
                items : ".item",
                forcePlaceholderSize:true,
                opacity: 0.6,
                update: function(event,ui){
                    $(".item").each(function(){
                        $(this).attr("id",$(this).index() + 1);
                    });
                }
            });
        }
    },'.select-left.active');
    $("#outerDataSend").on({
        click:function(){
            var topRightItem     = $('#outerDataSend .top-right-item[select=1]');
            var html            = '';
            $(topRightItem).each(function(k,v){
                var fieldName   = $(v).attr('field-name');
                var fieldDesc     = $(v).attr('field-desc');
                var length  = fieldDesc.length;
                if(length > 8){
                    var comment = fieldDesc.substr(0,8) + '...'; 
                }else{
                    var comment = fieldDesc;
                }
                html            += '<div class="item bottom-right-item" select="0" field-name="'+fieldName+'" field-desc="'+fieldDesc+'"><div class="item-left">'+fieldName+'</div><div class="item-right" title="'+fieldDesc+'">'+comment+'<i class="fa fa-check fa-lg"></i></div></div>'
                $(v).attr('select',0).find('i').hide();
                $(v).hide();
            });
            $('#outerDataSend .box-content .bottom-right').append(html).sortable({
                placeholder: "ui-state-highlight" ,
                cursor: "move",
                items : ".item",
                forcePlaceholderSize:true,
                opacity: 0.6,
                update: function(event,ui){
                    $(".item").each(function(){
                        $(this).attr("id",$(this).index() + 1);
                    });
                }
            });
        }
    },'.select-right.active');
    $("#outerDataSend").on({
        click:function(){
            var topLeftItem     = $('#outerDataSend .bottom-left-item[select=1]');
            $(topLeftItem).each(function(k,v){
                var fieldName   = $(v).attr('field-name');
                $('#outerDataSend .top-left-item[field-name='+fieldName+']').show();
            });
            $(topLeftItem).remove();
        }
    },'.select-left1.active');
    $("#outerDataSend").on({
        click:function(){
            var topRightItem     = $('#outerDataSend .bottom-right-item[select=1]');
            $(topRightItem).each(function(k,v){ 
                var fieldName   = $(v).attr('field-name');
                $('#outerDataSend .top-right-item[field-name='+fieldName+']').show();
            });
            $(topRightItem).remove();
        }
    },'.select-right1.active');
});
function linkDb(tableName,fields){
    var db_host     = $('#db_host').val();
    var db_port     = $('#db_port').val();
    var db_type     = $('#db_type').val();
    var db_user     = $('#db_user').val();
    var db_pass     = $('#db_pass').val();
    var db_name     = $('#db_name').val();
    if(db_host == ''){
        $.pnotify({
            text : Flowlang.flowHostUrlNotNull,
            type : "error",
            delay : 200,
            addclass: "stack-topleft",
            styling : "bootstrap3",
            history : false,
            sticker : false,
            closer : false
        });
        return false;
    }
    if(db_user == ''){
        $.pnotify({
            text : Flowlang.flowUserNameNotNull,
            type : "error",
            delay : 200,
            addclass: "stack-topleft",
            styling : "bootstrap3",
            history : false,
            sticker : false,
            closer : false
        });
        return false;
    }
    if(db_pass == ''){
        $.pnotify({
            text : Flowlang.flowPasswordNotNull,
            type : "error",
            delay : 200,
            addclass: "stack-topleft",
            styling : "bootstrap3",
            history : false,
            sticker : false,
            closer : false
        });
        return false;
    }
    if(db_name == ''){
        $.pnotify({
            text : Flowlang.flowDbNameNotNull,
            type : "error",
            delay : 200,
            addclass: "stack-topleft",
            styling : "bootstrap3",
            history : false,
            sticker : false,
            closer : false
        });
        return false;
    }
    $.ajax({
        url:'/general/system/workflow/data_send/DataSend.php',
        data:{
             method:'outerSend',
             oper:'linkDb',
             db_host:db_host,
             db_port:db_port,
             db_type:db_type,
             db_user:db_user,
             db_pass:db_pass,
             db_name:db_name
        }
    }).done(function(result){
        if(result == 0){
            $.pnotify({
                text : Flowlang.flowDbLinkFialureLinkAgain,
                type : "error",
                delay : 200,
                addclass: "stack-topleft",
                styling : "bootstrap3",
                history : false,
                sticker : false,
                closer : false
            });
        }else{
            var parseResult = $.parseJSON(result);
            var html = '<option value="">'+Flowlang.flowSelectTables+'</option>';
            $.each(parseResult,function(k,v){
                var select = '';
                if(tableName != ''){
                    if(v['Tables_in_'+db_name] == tableName){
                        select = 'selected'
                    }
                }
                html += '<option value="'+v['Tables_in_'+db_name]+'" '+select+'>'+v['Tables_in_'+db_name]+'</option>';
            });
            $('#table_name').html(html).selectpicker('refresh');;
            $.pnotify({
                text : Flowlang.flowDbLinkSuccess,
                type : "success",
                delay : 200,
                addclass: "stack-topleft",
                styling : "bootstrap3",
                history : false,
                sticker : false,
                closer : false
            });
            $('#db_result_info').text(Flowlang.flowDbLinkSuccess);
        }
        if(tableName != ''){
            getTableFields(fields);
        }
    });
}
function getTableFields(fields){
    var tableName   = $('#table_name').val();
    var db_host     = $('#db_host').val();
    var db_port     = $('#db_port').val();
    var db_type     = $('#db_type').val();
    var db_user     = $('#db_user').val();
    var db_pass     = $('#db_pass').val();
    var db_name     = $('#db_name').val();
    $.ajax({
        url:'/general/system/workflow/data_send/DataSend.php',
        data:{
            method:'outerSend',
            oper:'getFields',
            tableName:tableName,
            db_host:db_host,
            db_port:db_port,
            db_type:db_type,
            db_user:db_user,
            db_pass:db_pass,
            db_name:db_name
        }
    }).done(function(result){
        var parseResult = $.parseJSON(result);
        var html = '';
        var html1 = '';
        var fieldArray = new Array();
        $.each(parseResult,function(k,v){
            var style = '';
            var comment = '';
            if(v['Comment'] != ""){
                var length  = v.Comment.length;
                if(length > 8){
                    comment = v.Comment.substr(0,8) + '...'; 
                }else{
                    comment = v.Comment;
                }
            }        
            if(fields != ''){
                if($.inArray(v.Field,fields) >= 0){
                    style = 'style="display:none;"';
                    fieldArray[v.Field] = comment;  
                }
            }
            html += '<div class="item top-right-item" '+style+' select="0" field-name="'+v.Field+'" field-desc="'+v.Comment+'"><div class="item-left">'+v.Field+'</div><div class="item-right" title="'+v.Comment+'">'+comment+'<i class="fa fa-check fa-lg"></i></div></div>';
        });
        for(var i=0;i<fields.length;i++){
            html1 += '<div class="item bottom-right-item" select="0" field-name="'+fields[i]+'" field-desc="'+fieldArray[fields[i]]+'"><div class="item-left">'+fields[i]+'</div><div class="item-right" title="'+fieldArray[fields[i]]+'">'+fieldArray[fields[i]]+'<i class="fa fa-check fa-lg"></i></div></div>';
        }
        $('#outerDataSend .box-content .top-right').html(html);
        $('#outerDataSend .box-content .bottom-right').html(html1).sortable({
            placeholder: "ui-state-highlight" ,
            cursor: "move",
            items : ".item",
            forcePlaceholderSize:true,
            opacity: 0.6,
            update: function(event,ui){
                $(".item").each(function(){
                    $(this).attr("id",$(this).index() + 1);
                });
            }
        });
    });
}
function getModules(moduleId,fields){
    $.ajax({
        url:'/general/system/workflow/data_send/DataSend.php',
        data:{
            method:'innerSend',
            oper:'getModules',
        }
    }).done(function(result){
        var parseResult = $.parseJSON(result);
        var html = '<option value="">'+Flowlang.flowSelectModule+'</option>';
        if(parseResult.length != 0){
            $.each(parseResult,function(k,v){
                if(k==moduleId){
                    html += '<option value="'+k+'" selected>'+v+'</option>'
                }else{
                    html += '<option value="'+k+'">'+v+'</option>';
                }
            });
        }
        $('#module').html(html).selectpicker('refresh');
        if(moduleId != ''){
            getDetail(moduleId,fields);
        }
    });
}
function getFormFields(fields){
    $.ajax({
        url:'/general/system/workflow/data_send/DataSend.php',
        data:{
            method:'innerSend',
            oper:'getFormFields',
            flowId:$('#FLOW_ID').val()
        }
    }).done(function(result){
        if(result){
            var parseResult = $.parseJSON(result);
            var html = '';
            var html1 = '';
            var fieldArray = new Array();
            $.each(parseResult,function(k,v){
                var style = '';
                if(fields != ''){
                    if($.inArray(v,fields) >= 0){
                        style = 'style="display:none;"';
                        fieldArray[v] = k;
                    }
                }
                html += '<div class="item top-left-item" '+style+' select="0" field-name="'+v+'" field-id="'+k+'"><div class="item-left">'+v+'</div><div class="item-right"><i class="fa fa-check fa-lg"></i></div></div>';
            });
            for(var i=0;i<fields.length;i++){
                html1 += '<div class="item bottom-left-item" select="0" field-name="'+fields[i]+'" field-id="'+fieldArray[fields[i]]+'"><div class="item-left">'+fields[i]+'</div><div class="item-right"><i class="fa fa-check fa-lg"></i></div></div>';
            }
            $('#innerDataSend .box-content .top-left').html(html);
            $('#innerDataSend .box-content .bottom-left').html(html1).sortable({
                placeholder: "ui-state-highlight" ,
                cursor: "move",
                items : ".item",
                forcePlaceholderSize:true,
                opacity: 0.6,
                update: function(event,ui){
                    $(".item").each(function(){
                        $(this).attr("id",$(this).index() + 1);
                    });
                }
            });;
        }
    });
}
function getOutFormFields(fields){
    $.ajax({
        url:'/general/system/workflow/data_send/DataSend.php',
        data:{
            method:'outerSend',
            oper:'getFormFields',
            flowId:$('#FLOW_ID').val()
        }
    }).done(function(result){
        if(result){
            var parseResult = $.parseJSON(result);
            var html = '';
            var html1 = '';
            var fieldArray = new Array();
            $.each(parseResult,function(k,v){
                var style = '';
                if(fields != ''){
                    if($.inArray(v,fields) >= 0){
                        style = 'style="display:none;"';
                        fieldArray[v] = k;
                    }
                }
                html += '<div class="item top-left-item" '+style+' select="0" field-name="'+v+'" field-id="'+k+'"><div class="item-left">'+v+'</div><div class="item-right"><i class="fa fa-check fa-lg"></i></div></div>';
            });
            var otherFields  = {
                'RUN_ID':Flowlang.flowRunId,
                'RUN_NAME':Flowlang.flowRunName,
                'RUN_SEQ':Flowlang.flowRunSeq,
                'LOGIN_USER_ID':Flowlang.flowLoginUserId,
                'LOGIN_USER_NAME':Flowlang.flowLoginUserName,
                'PRCS_DATE':Flowlang.flowPrcsDate,
                'PRCS_DATE_TIME':Flowlang.flowPrcsDateTime,
                'PUBLIC_ATTACHMENT_ID':Flowlang.flowPublicAttachId,
                'PUBLIC_ATTACHMENT_NAME':Flowlang.flowPublicAttachName,
                'LINK_DOC':Flowlang.flowLinkDoc,
                'PRCS_USER':Flowlang.flowPrcsUser,
                'PRCS_OP_USER':Flowlang.flowPrcsOpUser,
                'PRCS_OP_USER_NAME':Flowlang.flowPrcsOpUserName
            };
            $.each(otherFields,function(k,v){
                var style = '';
                if(fields != ''){
                    if($.inArray(k,fields) >= 0){
                        style = 'style="display:none;"';
                        fieldArray[k] = v;
                    }
                }
                html += '<div class="item top-left-item" '+style+' select="0" field-name="'+k+'" field-id="'+v+'"><div class="item-left">'+k+'</div><div class="item-right">'+v+'<i class="fa fa-check fa-lg"></i></div></div>';
            });
            for(var i=0;i<fields.length;i++){
                html1 += '<div class="item bottom-left-item" select="0" field-name="'+fields[i]+'" field-id="'+fieldArray[fields[i]]+'"><div class="item-left">'+fields[i]+'</div><div class="item-right">'+fieldArray[fields[i]]+'<i class="fa fa-check fa-lg"></i></div></div>';
            }
            $('#outerDataSend .box-content .top-left').html(html);
            $('#outerDataSend .box-content .bottom-left').html(html1).sortable({
                placeholder: "ui-state-highlight" ,
                cursor: "move",
                items : ".item",
                forcePlaceholderSize:true,
                opacity: 0.6,
                update: function(event,ui){
                    $(".item").each(function(){
                        $(this).attr("id",$(this).index() + 1);
                    });
                }
            });
        }
    });
}
function getDetail(module,fields){
    $.ajax({
        url:'/general/system/workflow/data_send/DataSend.php',
        data:{
            method:'innerSend',
            oper:'getDetail',
            moduleId:module
        }
    }).done(function(result){
        if(result){
            var parseResult = $.parseJSON(result);
            var sendUrl     = parseResult.sendUrl;
            var html = '';
            var html1 = '';
            var fieldArray = new Array();
            $.each(parseResult.fields,function(k,v){
                var style = '';
                if(fields != ''){
                    if($.inArray(k,fields) >= 0){
                        style = 'style="display:none;"';
                        fieldArray[k] = v;
                    }
                }
                html += '<div class="item top-right-item" '+style+' select="0" field-name="'+k+'" field-desc="'+v+'"><div class="item-left">'+k+'</div><div class="item-right">'+v+'<i class="fa fa-check fa-lg"></i></div></div>';
            });
            for(var i=0;i<fields.length;i++){
                html1 += '<div class="item bottom-right-item" select="0" field-name="'+fields[i]+'" field-desc="'+fieldArray[fields[i]]+'"><div class="item-left">'+fields[i]+'</div><div class="item-right">'+fieldArray[fields[i]]+'<i class="fa fa-check fa-lg"></i></div></div>';
            }
            $('#innerDataSend .box-content .top-right').html(html);
            $('#innerDataSend .box-content .bottom-right').html(html1).sortable({
                placeholder: "ui-state-highlight" ,
                cursor: "move",
                items : ".item",
                forcePlaceholderSize:true,
                opacity: 0.6,
                update: function(event,ui){
                    $(".item").each(function(){
                        $(this).attr("id",$(this).index() + 1);
                    });
                }
            });;
            $('#innerSendUrl').val(sendUrl);
        }
    });
}