/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice7.8
* @name          general/system/workflow/flow_form/cool_form/charater_change.js
* @version       3.0 
* @author        liuqingyu 
* @modify        liuqingyu 
* @date          2011-5-23
*/
//---获取光标位置函数
function getPosition(obj)
{   
	var result = 0;   
	if(obj.selectionStart)
	{ //非IE浏览器   
	   result = obj.selectionStart;   
	}
	else
	{ //IE   
	   var rng;   
	   if(obj.tagName == "TEXTAREA")
	   { //如果是文本域  
//			rng = event.srcElement.createTextRange();   
//			rng.moveToPoint(event.x,event.y);   
			obj.focus();
			var Sel  = document.selection.createRange(); 
			var Sel2 = Sel.duplicate(); 
			Sel2.moveToElementText(obj);
			var result = -1;
			while(Sel2.inRange(Sel))
			{ 
				Sel2.moveStart('character'); 
				result++; 
			}
	   }
	   else
	   { //输入框   
			rng = document.selection.createRange();  
			rng.moveStart("character",-event.srcElement.value.length);   
	   		result = rng.text.length; 
	   }   
	}  
	return result;   
}

//---设置光标位置函数
function setCursorPosition(ctrl, pos)
{ 
	if(ctrl.setSelectionRange)
	{ //非IE浏览器 
		ctrl.focus(); 
		ctrl.setSelectionRange(pos,pos); 
	} 
	else if (ctrl.createTextRange)
	{ //IE 
		var range = ctrl.createTextRange(); 
		range.collapse(true); 
		range.moveEnd('character', pos); 
		range.moveStart('character', pos); 
		range.select(); 
	} 
}

//---全角转化为半角函数

function only_change(event,obj)
{
	var str    = obj.value;
	var result = "";
	var pos    = getPosition(obj);   
	if(event.keyCode == 37 | event.keyCode == 39)
	{ 
       return; 
    } 
	for (var i = 0; i < str.length; i++)
	{
		if (str.charCodeAt(i)==12288)
		{
			result += String.fromCharCode(str.charCodeAt(i)-12256);
			continue;
		}
		if (str.charCodeAt(i)>65280 && str.charCodeAt(i)<65375)
		{
			result += String.fromCharCode(str.charCodeAt(i)-65248);
		}
			
		else
		{
			result += String.fromCharCode(str.charCodeAt(i));
		}
	} 
	obj.value = result;
	setCursorPosition(obj,pos);
}

//---全角转化为半角且屏蔽特殊字符函数
function characters_change(event,obj)
{
	var str       = obj.value;
	var result    = "";
	var pattern   = new RegExp("[~!@#$%^&*()+|<>?/,.;:'=\\-_{}\\[\\]\\\\《》\"~！@#￥&*（）——|{}【】‘；：”“'。，、？]"); 
	var validChar = /^[\u2E80-\uFE4F\da-zA-Z\s]+$/;
	var pos       = getPosition(obj);   
	if(event.keyCode == 37 | event.keyCode == 39)
	{ 
       return; 
    } 
	for (var i = 0; i < str.length; i++)
	{
		if (str.charCodeAt(i)==12288)
		{
			result += String.fromCharCode(str.charCodeAt(i)-12256);
			continue;
		}
		if (str.charCodeAt(i)>65280 && str.charCodeAt(i)<65375)
		{
			result += String.fromCharCode(str.charCodeAt(i)-65248);
		}
			
		else
		{
			result += String.fromCharCode(str.charCodeAt(i));
		}
	} 
	obj.value = result;
	//辨别特殊字符
	if(validChar.test(obj.value))
	{
		//去除空格
		var changevalue = obj.value.replace(/(^\s*)|(\s*$)/g,"");
		obj.value = changevalue;
		setCursorPosition(obj,pos);
	}
	else
	{
		//去除空格
		var changevalue = obj.value.replace(/(^\s*)|(\s*$)/g,"");
		if(pattern.test(changevalue))
		{
			alert(CommonLang.specialCharTip+"！");
		}
		rs = "";
		for(var i = 0; i < changevalue.length; i++)
		{
			rs += changevalue.substr(i, 1).replace(pattern, '');
		}
		obj.value = rs;
		setCursorPosition(obj,pos-1);
	}
}
function characters_change_form(event,obj)
{
	var str       = obj.value;
	var result    = "";
	pattern   = new RegExp("['\"|<>&]");
	var validChar = /^[\u2E80-\uFE4F\da-zA-Z\s]+$/;
	//var pos       = getPosition(obj);   
	if(event.keyCode == 37 | event.keyCode == 39)
	{ 
       return; 
    } 
	//辨别特殊字符
	var changevalue = obj.value;
	if(pattern.test(changevalue))
	{
		alert(CommonLang.specialCharTip+"！");
		rs = "";
		for(var i = 0; i < changevalue.length; i++)
		{
			rs += changevalue.substr(i, 1).replace(pattern, '');
		}
		obj.value = rs;
	}
}
