<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程表单
* @encoding      $_lang['encoding']
* @name          general/system/workflow/flow_form/index.php
* @version       4
* @author        dingp|www.weaver.com.cn
* @modify        sunx
* @date          2011-12-28
*/
include_once("inc/auth.php"); 
includelangpak("flow");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
$PAGE_TITLE = $_lang["flow_formlist_title"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script language="javascript">
function delete_form(FORM_ID)
{
	bootbox.confirm("<?=$_lang["flow_form_confirmdelform"]?>", function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"delete.php",
				data:"FORM_ID="+FORM_ID,
				success: function(result){
					$("#table").LazyTable("reload");
				}
			});
		}
	});
}
function join_warehouse(FORM_ID)
{
	bootbox.confirm("<?=$_lang["flow_form_sure_join_warehouse"]?>", function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"warehouse.php",
				data:"FORM_ID="+FORM_ID,
				success: function(result){
					$.pnotify({
						text : "<?=$_lang['common_save_successed']?>",
						type : "success",
						delay : 100,
						addclass: "stack-topleft",
						history : false,
						sticker : false,
						closer : false
					});
				}
			});
		}
	});
}
function newflowform()
{
	window.location="edit.php";
}
$(function() {
	$(".myFlowProcessMainDiv").height($(window).height()-40).niceScroll();
	$("#table").LazyTable({
		search : false,
		toggleListWidget : {
			title : " ",
			selector : $("#list")
		},
		buttons : {
			buttonInfor : {
				"edit" : {
					title : "<?=$_lang['flow_edit_formname']?>",
					func : function(data) {
						window.location="edit.php?FORM_ID="+data.FORM_ID;
					}
				},
				"design" : {
					title : "<?=$_lang['flow_form_design']?>",
					func : function(data) {
						//window.open('cool_form?FORM_ID='+data.FORM_ID,'cool_form','menubar=0,toolbar=0,scrollbars=no,status=0,resizable=1');
						window.open('/general/form_builder/index.php?FORM_ID='+data.FORM_ID,'_blank');
					},
					isDefault:true
				},
				"warehouse" : {
					title : "<?=$_lang['flow_form_join_warehouse']?>",
					func : function(data) {
						join_warehouse(data.FORM_ID);
					}
				},
				"in" : {
					title : "<?=$_lang['common_in']?>",
					func : function(data) {
						window.location="import.php?FORM_ID="+data.FORM_ID;
					}
				},
				"out" : {
					title : "<?=$_lang['common_out']?>",
					func : function(data) {
						window.location="export.php?FORM_ID="+data.FORM_ID;
					}
				},
				"delete" : {
					title : "<?=$_lang['common_del']?>",
					func : function(data) {
						delete_form(data.FORM_ID);
					}
				}
			},
			filter : function(data) {
				var buttonFilterStr = new Array();
				buttonFilterStr = ["edit","design","warehouse","in","out"];
				if(!data.FLOW_CNT)
					buttonFilterStr.push("delete");
				return buttonFilterStr;
			}
		},
		filter : false,
		column : [{
				key : "FORM_NAME",
				title : Flowlang.flowFormName
			}],
		dataSource : "index_do.php",
		param : {
			op : "table",
			listType : " ",
			sortField : "fft.FORM_ID",
			sortType : "DESC"
		},
		onSortItemClick : function(data, sortType) {
			$("#table").LazyTable("reload", {
				param : {
					sortField : data.key,
					sortType : sortType
				}
			});
		},
		sort : {
			items : [{
				key : "fft.FORM_NAME",
				title : "<?=$_lang["flow_form_name"]?>",
				isDefault : true,
				type : "ASC"
			}],
			onItemClick : function(key, sortType) {
				$("#table").LazyTable("reload", {
					param : {
						sortField : key,
						sortType : sortType
					}
				},true);
			}
		},
		page : {
			//每页数量
			itemsPerPage : 16,
			//当前页
			currentPage : 0,
			//分页中间页码数量
			numDisplayEntries : 4,
			callback : function(page) {
				$("#table").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		onAfterLoad : function(){
			$(".myFlowProcessMainDiv").getNiceScroll().resize();
		}
	});
	$(".search_wrap").LazySearch({
		tip : LazyPluginLang.LazySearch.search+"<?=$_lang["flow_form"]?>",
		url : "index_do.php",
		param : {
			op : "table",
			listType : " "
		},
		autoSearch : false,
		fieldSearch : {
			onItemClick : function(data,value) {
				$("#table").LazyTable("reload", {
					param : {
						readType : data.key,
						fieldSearchVal : value
					}
				})
			},
			items : [{
				key : "FORM_NAME",
				title : Flowlang.flowFormName+"<?=$_lang["flow_include"]?>"
			}]
		},
		onClearButtonClick:function(){
			$("#table").LazyTable("reload");
		}
	});
})
</script>
<body>
<div class="lazy_header">
	<button type="button" class="btn btn-primary" id="turnbutton" title="<?=$_lang["common_new"]?>" onClick="newflowform()"><?=$_lang["common_new"]?>
	</button>
	<div class="search_wrap" style="float:right;margin-top:6px;margin-right:10px;"></div>
</div>
<div class="myFlowProcessMainDiv" style="overflow:hidden;">
<div id="table"></div>
</div>
</body>
</html>