<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程表单库
* @encoding      $_lang['encoding']
* @name          general/system/workflow/flow_house/index.php
* @version       3
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2012-07-26
*/
include_once("inc/auth.php"); 
includelangpak("flow");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
include_once("api/system_Workflow.class.php");
include_once("inc/function_usergeneral.php");
include_once("inc/meet_vehicle.php");
include_once("inc/function_picture.php");
$workFlowDefine = new workFlowDefine;
if($_REQUEST['cur_page']==''){
	$cur_page=1;
}else{
	$cur_page=$_REQUEST['cur_page'];
}
$PAGE_TITLE = $_lang["flow_formlist_title"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script language="javascript">
$(function() {
	$("#table").LazyTable({
		search : {
			tip : Flowlang.flowSearchFormHouse,
			url : "index_do.php",
			param : {
				op : "table"
			},
			autoSearch : false,
			fieldSearch : {
				onItemClick : function(data,value) {
					$("#table").LazyTable("reload", {
						param : {
							readType : data.key,
							fieldSearchVal : value
						}
					})
				},
				items : [{
					key : "formName",
					title : Flowlang.flowFormNameInclude
				}, {
					key : "formType",
					title : Flowlang.flowFormTypeInclude
				}]
			}
		},
		toggleListWidget : {
			title : " ",
			selector : $("#list")
		},
		buttons : {
			buttonInfor : {
				"edit" : {
					title : "<?=$_lang['common_edit']?>",
					func : function(data) {
						window.location="edit.php?FORM_ID="+data.FORM_ID;
					}
				},
				"in" : {
					title : "<?=$_lang['common_in']?>",
					func : function(data) {
						window.location="import.php?FORM_ID="+data.FORM_ID;
					}
				},
				"out" : {
					title : "<?=$_lang['common_out']?>",
					func : function(data) {
						window.location="export.php?FORM_ID="+data.FORM_ID;
					}
				},
				"delete" : {
					title : "<?=$_lang['common_del']?>",
					func : function(data) {
						delete_form(data.FORM_ID);
					}
				}
			},
			filter : function(data) {
				var buttonFilterStr = new Array();
				buttonFilterStr = ["edit","in","out"];
				if(!data.FLOW_CNT)
					buttonFilterStr.push("delete");
				return buttonFilterStr;
			}
		},
		batchButtons : {
			"delete" : {
				title : "<?=$_lang['common_del_many']?>",
				func:function(data){
					var send_str = "";
					var number   = data.length;
					for(var i=0;i<number;i++){
						if(data[i].FORM_ID){
							send_str+= data[i].FORM_ID+',';
						}
					}
					delete_form(send_str);
				}
			}
		},
		filter : false,
		column : [{
				key : "checkall",
				showCheckAll : function(data){
					if(data.FLOW_CNT)
					{
						return false;
					}
					else
					{
						return true;
					}
				}
			},{
				key : "FORM_NAME",
				title : Flowlang.flowFormName,
				sort : true
			},{
				key : "TYPE_NAME",
				title : Flowlang.flowFormType
			},{
				key : "EDIT_TIME",
				title : Flowlang.createTime
			},],
		dataSource : "index_do.php",
		param : {
			op : "table",
			listType : " ",
			sortField : "FORM_ID",
			sortType : "ASC"
		},
		onSortItemClick : function(data, sortType) {
			$("#table").LazyTable("reload", {
				param : {
					sortField : data.key,
					sortType : sortType
				}
			});
		},
		page : {
			//每页数量
			itemsPerPage : 10,
			//当前页
			currentPage : 0,
			//分页中间页码数量
			numDisplayEntries : 4,
			callback : function(page) {
				$("#table").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		onAfterLoad:function(){
			$(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});
				
			$(':checkbox.lazy_table_checkall').iCheck({
				checkboxClass : 'icheckbox_square-blue',
				radioClass : 'iradio_square-blue'
			});
			$(".myFlowProcessMainDiv").height($(window).height()-40).niceScroll();
		}
	});
	$("#table").on('ifChanged', '.lazy_table_checkall', function(event){
		$("#table").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});

	$("#table").on('ifChanged','.lazy_table_checkbox', function(event){
		if($(this).prop("checked")) {
			if ($("#table").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$("#table").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$("#table").find(".lazy_table_checkall").prop("checked", false);
		}

		$(":checkbox").iCheck('update'); 
	});
})
function delete_form(FORM_ID)
{
	bootbox.confirm("<?=$_lang["flow_form_confirmdelform"]?>", function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"delete.php",
				data:"send_str="+FORM_ID+"&sens=<?=$_REQUEST['sens']?>&order=<?=$_REQUEST['order']?>&cur_page=<?=$_REQUEST['cur_page']?>",
				success: function(result){
					$("#table").LazyTable("reload");
				}
			});
		}
	});
}
////-全选
//function getselect()
//{
//	var idarr=new Array();
//	$(":checkbox[name='house_select']").each(function(){
//			if($(this).attr("checked"))
//			{
//				idarr.push($(this).attr("value"));}
//			})
//	return idarr.join();
//}
//function delCoopSort(sid){
//	var send_str = '';
//	msg = "<?=$_lang['common_del_alert']?>";
//	if(sid=='all'){
//		var obj = document.getElementsByName('house_select');
//		var number = obj.length;
//		for(var i=0;i<number;i++){
//			if(obj[i].checked==true){
//				send_str+= obj[i].value+',';
//			}
//		}
//	}else{
//		send_str = sid;
//	}
//	if(send_str==''){
//		bootbox.alert("<?=$_lang['flow_form_house_checkone']?>");
//		return false;
//	}
//	if(window.confirm(msg)){
//		window.location = "delete.php?send_str="+send_str+"&sens=<?=$_REQUEST['sens']?>&order=<?=$_REQUEST['order']?>&cur_page=<?=$_REQUEST['cur_page']?>";
//	}
//}
function newflowform()
{
	window.location="edit.php";
}
function formSort()
{
	window.location="flow_type/index.php";
}
</script>
<body>
<div class="lazy_header">
	<button type="button" class="btn btn-info" id="turnbutton" title="<?=$_lang["common_sort"]?>" onClick="formSort()"><?=$_lang["common_form_house_sort"]?>
	</button>
	<button type="button" class="btn btn-primary" id="turnbutton" title="<?=$_lang["common_new"]?>" onClick="newflowform()"><?=$_lang["common_new"]?>
	</button>
</div>
<div class="myFlowProcessMainDiv" style="overflow:hidden;">
<div id="table"></div>
</div>
</body>
</html>