<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/workflow/flow_type/flowlist.php
 * Function:         定义流步骤中的新建节点的定义办理人员
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2012-09-17
 * File Version:     4.0
 * Eoffice Version:  8.0
*/
include_once("inc/auth.php");
includelangpak("flow,common");
include_once("inc/utility_all.php");
include_once("inc/utility_html.php");
include_once("api/system_Workflow.class.php");
//获取部门和角色的列表
$deptListArray = getAllDept();
$privListArray = getAllPriv();
$powerandprivArray = getAllPowerAndPriv();
$workFlowDefine             = new workFlowDefine;
$workFlowDefine->FLOW_ID    = $FLOW_ID;
$workFlowDefine->PROCESS_ID = $FLOWSETID;
//查询流程所有节点,用于步骤选择
$flow_process_info          = $workFlowDefine->getFlowProcessInfo("PRCS_ID");
//查询流程节点
$process_info               = $workFlowDefine->getProcessInfo();
$prcsUser                   = $process_info["PRCS_USER"];
$prcsDept                   = $process_info["PRCS_DEPT"];
$prcsPriv                   = $process_info["PRCS_PRIV"];
//判断这个节点之前是否还有节点，（现在无需判断）
$nodeListArray              = $workFlowDefine->getBeforeThisNodes($FLOW_ID,$process_info["PRCS_ID"]);
$TITLE                      = $_lang["flow_editflowstep"]."-". $_lang["flow_candeal"];
$flow_info = $workFlowDefine->getFlowInfo();
$FORM_ID   = $flow_info['FORM_ID'];
$workFlowDefine->FORM_ID = $FORM_ID;
$formInputField = $workFlowDefine->getFieldComment();
$PAGE_TITLE = $TITLE;
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script src="/inc/common.js"></script>
<script src="/inc/follow.js"></script>
<script language="javascript">
jQuery(function() {
	jQuery(window.parent.document).find("#ui-tabs-2 .iframeprocesspath").height(jQuery(parent.window).height()-40);
	jQuery('input').iCheck({
		radioClass : 'iradio_square-blue'
	}).on('ifChecked', function(event){
		if(jQuery(this).attr("id") == "manulSetRadio")
			location="set_permission.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$FLOWSETID?>&from=AutoGet";
	});
	jQuery("#selectProcess").selectpicker({
		height:30,
		width:150
	});
});
</script>
<style>
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
</style>
<body>
<form action="permission_do.php" method="post" name="formPermission" id="formPermission">
<div class="lazy_sub_header">
	<div style="float:left;line-height:35px;margin-left:10px;">
		<?=$_lang["flow_choosenode"]?>
	</div>
	<div style="float:left;margin-left:10px;margin-top:3px;">
		<select name="selectProcess" id="selectProcess" onChange="selectProcessId('tagContent2','<?=$FLOW_ID?>','<?=$_REQUEST['uback']?>')">
			<? 
			$workFlowDefine->FLOW_ID = $_REQUEST['FLOW_ID'];
			$flow_process_info = $workFlowDefine->getFlowProcessInfo("PRCS_ID");
			while(list($key,$val) = each($flow_process_info)){
				$strSelected = "";
				if ($val['ID'] == $_REQUEST['FLOWSETID']){
					$strSelected = "selected";
				}
				?>
				<option value="<?=$val['ID']?>" <?=$strSelected?>><?=mb_strcut($val['PRCS_ID'].".".$val['PRCS_NAME'],0,30,"utf-8");if(strlen($val['PRCS_ID'].".".$val['PRCS_NAME'])>30)echo "...";?></option>
			<?
			}
			?>
		</select>
	</div>
	<button type="button" style="float:right;" onClick="backToProcessSet('<?=$FLOW_ID?>');" class="btn btn-default" title="<?=$_lang["common_back"]?>"><?=$_lang["common_back"]?>
	</button>
	<button type="button" id="savebutton" style="float:right;" onClick="submitForm();" class="btn btn-primary" title="<?=$_lang["common_save"]?>"><?=$_lang["common_save"]?>
	</button>
</div>
<?
$processorRule = "";
if($process_info)
{
	if ($process_info["PRCS_AUTO_GET_USER"] != ""){
		$processorRule = $process_info["PRCS_AUTO_GET_USER"];
	}
}
?>
<table border="0" width="100%" cellpadding="5" cellspacing="1" class="form_table">
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["common_type"]?></td>
		<td colspan="2">
			<input type="radio" id="manulSetRadio" name="setPrcocessorWay" class="radio">&nbsp;&nbsp;<?=$_lang["flow_asign_operator_or_scope"]?>&nbsp;&nbsp;<input type="radio" name="setPrcocessorWay" id="autoGetRadio" class="radio" checked="checked">&nbsp;&nbsp;<?=$_lang["flow_auto_get"]?>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title">
			<?=$_lang["flow_relate_object"]?>
		</td>
		<td nowrap="nowrap">
			<select name="relationObj" id="relationObj" onChange="relationObjChange(this)" style="width:200px;">
				<option id="0" value="0"  >---<?=$_lang["flow_pleaseselect"]?>---</option>
				<option id="1" value="1"  ><?=$_lang["flow_flow_creator"]?></option>
				<option id="2" value="2" ><?=$_lang["flow_one_node_operator"]?></option>
				<option id="3" value="3" ><?=$_lang["flow_human_resource"]?></option>
				<option id="4" value="4" ><?=$_lang["flow_some_field_from_form"]?></option>
			</select>
		</td>
		<td nowrap="nowrap">
			<?
			if($proRuleArray[0] == 2)
				$display = ""; 
			else
				$display = "none"; 
			?>
			<select name="flowNode" id="flowNode" style="display:<?=$display?>; width:200px;">
			<?
			if($nodeListArray)
			{
				for($i=0;$i<count($nodeListArray);$i++)
				{
				?>
					<option id="<?=$nodeListArray[$i]["ID"]?>" value="<?=$nodeListArray[$i]["PRCS_ID"]?>" ><?=$_lang["flow_node"]?><?=$nodeListArray[$i]["PRCS_ID"]?>：<?=$nodeListArray[$i]["PRCS_NAME"]?></option>
				<?
				}
			}
			else
			{
			?>
				<option id="0" value="0" ></option>
			<?
			}
			?>
			</select>
		</td>
	</tr>
	<tr id="relationObjrelTr">
		<td class="title" nowrap="nowrap">
			<?=$_lang["flow_object_relation"]?>
		</td>
		<td nowrap="nowrap">
			<select name="relationObjrel" id="relationObjrel" style="width:200px;" onChange="relationChange(this)">
				<option id="0" value="0"  >---<?=$_lang["flow_pleaseselect"]?>---</option>
			</select>
		</td>
		<td id="deptOrPriv">
			<select name="dept" id="dept" style="display:none;">
				<?
				for($i=0;$i<count($deptListArray);$i++)
				{
				?>
				<option id="<?=$deptListArray[$i]["DEPT_ID"]?>" value="<?=$deptListArray[$i]["DEPT_ID"]?>"><?=$deptListArray[$i]["DEPT_NAME"]?></option>
				<?
				}
				?>
			</select>
			<select name="priv" id="priv" style="display:none;">
				<?
				for($i=0;$i<count($privListArray);$i++)
				{
				?>
				<option id="<?=$privListArray[$i]["USER_PRIV"]?>" value="<?=$privListArray[$i]["USER_PRIV"]?>"><?=$privListArray[$i]["PRIV_NAME"]?></option>
				<?
				}
				?>
			</select>
			<select name="power" id="power" style="display:none;" style="width:200px;">
				<?
				for($i=0;$i<count($powerandprivArray);$i++)
				{
				?>
				<option id="<?=$powerandprivArray[$i]["priv_no"]?>" value="<?=$powerandprivArray[$i]["priv_str"]?>" title="<?=$powerandprivArray[$i]["name_str"]?>"><?=substrGB($powerandprivArray[$i]["name_str"],"16","...")?></option>
				<?
				}
				?>
			</select>
		</td>
	</tr>
	<!--表单中的某个字段的值作为智能获取的人-->
	<tr id="fieldFromFlowForm" style="display:none;">
		<td class="title">
			<?=$_lang["flow_field_from_form"]?>
		</td>
		<td nowrap="nowrap">
			<select name="formFieldSelect" id="formFieldSelect" style="width:200px;" class="select" >
				<option id="0" value="0"  >---<?=$_lang["flow_pleaseselect"]?>---</option>
				<? 
				while(list($keyField,$valField) = each($formInputField)){
				?>
					<option id="<?=$valField["field"]?>" value="<?=$valField['field']?>"><?=$valField['comment']?></option>
				<?
				}
				?>
			</select>
		</td>
	</tr>
	<tr id="deptTr" style="display:none;">
		<td class="title">
			<?=$_lang["common_dept"]?>
		</td>
		<td colspan="2">
			<select name="hrDept" id="hrDept">
				<?
				for($i=0;$i<count($deptListArray);$i++)
				{
				?>
				<option id="<?=$deptListArray[$i]["DEPT_ID"]?>" value="<?=$deptListArray[$i]["DEPT_ID"]?>"><?=$deptListArray[$i]["DEPT_NAME"]?></option>
				<?
				}
				?>
			</select>
		</td>
	</tr>
	<tr id="privTr" style="display:none;">
		<td class="title">
			<?=$_lang["common_role"]?>
		</td>
		<td colspan="2">
			<select name="hrPriv" id="hrPriv">
				<?
				for($i=0;$i<count($privListArray);$i++)
				{
				?>
				<option id="<?=$privListArray[$i]["USER_PRIV"]?>" value="<?=$privListArray[$i]["USER_PRIV"]?>"><?=$privListArray[$i]["PRIV_NAME"]?></option>
				<?
				}
				?>
			</select>
		</td>
	</tr>
		<input type='hidden' value="<?=$FLOW_ID?>" name="FLOW_ID" id="FLOW_ID">
		<input type='hidden' value="<?=$FLOWSETID?>" name="FLOWSETID" id="FLOWSETID">
		<input type="hidden" name="uback" id="uback" value="<?=$_REQUEST['uback']?>">
		<input type='hidden' name="f" id="f" value="updateAutoGetUser" >
		<input type="hidden" name="processorStr" id="processorStr" value="">
</table>
</form>
</body>
</html>
<script language="javascript">
var prcsUser = "<?=$prcsUser?>";
var prcsDept = "<?=$prcsDept?>";
var prcsPriv = "<?=$prcsPriv?>";
function relationObjChange(obj)
{
	var rorObj     = document.getElementById("relationObjrel");
	var rorObjLen  = rorObj.length;
	if(obj.value == 0)
	{
		$("#relationObjrelTr").show();
		$("#flowNode,#deptTr,#privTr,#dept,#priv,#power,#fieldFromFlowForm").hide();
		destroyOptions(document.getElementById("relationObjrel"));
	}
	else if(obj.value == 1)
	{
		$("#relationObjrelTr").show();
		$("#flowNode,#deptTr,#privTr,#dept,#priv,#power,#fieldFromFlowForm").hide();
		initialOptionsValue("creator");
	}
	else if(obj.value == 2)
	{
		$("#flowNode,#relationObjrelTr").show();
		$("#deptTr,#privTr,#dept,#priv,#power,#fieldFromFlowForm").hide();
		initialOptionsValue("nodeOperator");
	}
	else if(obj.value == 3)
	{
		$("#flowNode,#relationObjrelTr,#fieldFromFlowForm").hide();
		$("#deptTr,#privTr").show();
	}
	else if(obj.value == 4)
	{
		$("#flowNode,#relationObjrelTr,#deptTr,#privTr,#dept,#priv,#power").hide();
		$("#fieldFromFlowForm").show();
	}
}
function relationChange(obj)
{
	if(obj.value == 4)
	{
		$("#priv").show();
		$("#dept,#power").hide();
	}
	else if(obj.value == 5)
	{
		$("#dept").show();
		$("#priv,#power").hide();
	}
	else if(obj.value == 9)
	{
		$("#priv").show();
		$("#dept,#power").hide();
	}
	else if(obj.value == 10)
	{
		$("#dept").show();
		$("#priv,#power").hide();
	}
	else if(obj.value == 12)
	{
		$("#priv").show();
		$("#dept,#power").hide();
	}
	else if(obj.value == 14)
	{
		$("#priv").show();
		$("#dept,#power").hide();
	}
	else if(obj.value == 16)
	{
		$("#priv").show();
		$("#dept,#power").hide();
	}
	else if(obj.value == 18)
	{
		$("#priv").show();
		$("#dept,#power").hide();
	}
	else if(obj.value == 19)
	{
		$("#power").show();
		$("#dept,#priv").hide();
	}
	else if(obj.value == 20 || obj.value == 21 || obj.value == 23)
	{
		$("#power").show();
		$("#dept,#priv").hide();
	}
	else
	{
		$("#dept,#priv,#power").hide();
	}
}
function getValue()
{
	var relationObjValue    = document.getElementById("relationObj").value ;
	var relationObjrelValue = "";
	var returnStr           = relationObjValue+"|" ;
	if(relationObjValue == 0)
	{
		bootbox.alert("<?=$_lang["flow_choose_relate_object"]?>"+"！");
		return ;
	}
	else if(relationObjValue == 1)
	{
		relationObjrelValue = document.getElementById("relationObjrel").value;
		if(relationObjrelValue == 0)
		{
			bootbox.alert("<?=$_lang["flow_choose_relation_with_obj"]?>"+"！");
			return ;
		}
		else if(relationObjrelValue == 1||relationObjrelValue ==2 ||relationObjrelValue ==3 ||relationObjrelValue ==11 ||relationObjrelValue ==13 ||relationObjrelValue ==22 ||relationObjrelValue ==24)
		{
			returnStr += relationObjrelValue;
		}
		else if(relationObjrelValue == 4)
		{
			var aPriv  = document.getElementById("priv").value; 
			returnStr += relationObjrelValue+"|"+aPriv;
		}
		else if(relationObjrelValue == 5)
		{
			var aDept  = document.getElementById("dept").value; 
			returnStr += relationObjrelValue+"|"+aDept;
		}
		else if(relationObjrelValue == 12)
		{
			var aPriv  = document.getElementById("priv").value; 
			returnStr += relationObjrelValue+"|"+aPriv;
		}
		else if(relationObjrelValue == 14)
		{
			var aPriv  = document.getElementById("priv").value; 
			returnStr += relationObjrelValue+"|"+aPriv;
		}
		else if(relationObjrelValue == 20 || relationObjrelValue == 21)
		{
			var aPower  = document.getElementById("power").value; 
			returnStr += relationObjrelValue+"|"+aPower;
		}
	}
	else if (relationObjValue == 2)
	{
		var nodeId  = document.getElementById("flowNode").value;
		returnStr  += nodeId+"|";
		relationObjrelValue = document.getElementById("relationObjrel").value;
		if(relationObjrelValue == 0)
		{
			bootbox.alert("<?=$_lang["flow_choose_relation_with_obj"]?>"+"！");
			return ;
		}
		else if(relationObjrelValue == 6||relationObjrelValue ==7 ||relationObjrelValue ==8 ||relationObjrelValue ==15 ||relationObjrelValue ==17 ||relationObjrelValue ==25 ||relationObjrelValue ==26)
		{
			returnStr += relationObjrelValue;
		}
		else if(relationObjrelValue == 9)
		{
			var aPriv  = document.getElementById("priv").value; 
			returnStr += relationObjrelValue+"|"+aPriv;
		}
		else if(relationObjrelValue == 10)
		{
			var aDept  = document.getElementById("dept").value; 
			returnStr += relationObjrelValue+"|"+aDept;
		}
		else if(relationObjrelValue == 16)
		{
			var aPriv  = document.getElementById("priv").value; 
			returnStr += relationObjrelValue+"|"+aPriv;
		}
		else if(relationObjrelValue == 18)
		{
			var aPriv  = document.getElementById("priv").value; 
			returnStr += relationObjrelValue+"|"+aPriv;
		}
		else if(relationObjrelValue == 19 || relationObjrelValue == 23)
		{
			var aPower  = document.getElementById("power").value; 
			returnStr += relationObjrelValue+"|"+aPower;
		}
	}
	else if(relationObjValue == 3)
	{
		var hrDept = document.getElementById("hrDept").value ;
		var hrPriv = document.getElementById("hrPriv").value ;
		returnStr  = relationObjValue +"|"+hrDept+"|"+hrPriv;
	}
	else if(relationObjValue == 4)
	{
		var formFieldSelect = document.getElementById("formFieldSelect").value ;
		returnStr  = relationObjValue +"|"+formFieldSelect;
	}
	return returnStr;
}
function submitForm()
{
	//将智能获取和指定范围二者的并集,换回来,二者只能用一个
	/*var processorStr = getValue();
	document.getElementById("processorStr").value = processorStr;
	document.getElementById("formPermission").submit();*/
	var processorStr = getValue();
	if(processorStr)
	{
		if(prcsUser||prcsDept||prcsPriv)
		{
			bootbox.confirm("<?=$_lang['flow_get_operator_way_caution']?>", function(result) {
				if(result){
					document.getElementById("processorStr").value = processorStr;
					//document.getElementById("formPermission").submit();
					$('#formPermission').ajaxSubmit(function() {
						$.pnotify({
							text : "<?=$_lang['common_save_successed']?>",
							type : "success",
							delay : 100,
							addclass: "stack-topleft",
							history : false,
							sticker : false,
							closer : false,
							after_close: function(pnotify, timer_hide) {
								location.reload();
							}
						});
					});
				}
			});
		}
		else
		{
			if(!prcsUser&&!prcsDept&&!prcsPriv)
			{
				document.getElementById("processorStr").value = processorStr;
				//document.getElementById("formPermission").submit();
				$('#formPermission').ajaxSubmit(function() {
					$.pnotify({
						text : "<?=$_lang['common_save_successed']?>",
						type : "success",
						delay : 100,
						addclass: "stack-topleft",
						history : false,
						sticker : false,
						closer : false,
						after_close: function(pnotify, timer_hide) {
							location.reload();
						}
					});
				});
			}
		}
	}
	else
	{
		return ;
	}
}
//处理与关联对象关系下拉框的选项值
function initialOptionsValue(objName)
{
	$("#relationObjrel").val("0");
	if(objName == "creator") {
		var valueArray = new Array("1","2","3","4","5","20","11","12","21","13","14","24","22");
		var textArray  = new Array("<?=$_lang["flow_creator_self"]?>");
	} else {
		var valueArray = new Array("6","7","8","9","10","19","15","16","23","17","18","26","25");
		var textArray  = new Array("<?=$_lang["flow_operator_self"]?>");
	}
	textArray.push(
					"<?=$_lang["flow_same_dept_all_menber"]?>",
					"<?=$_lang["flow_same_role_all_menber"]?>",
					"<?=$_lang["flow_same_dept_one_role"] ?>",
					"<?=$_lang["flow_same_role_one_dept"]?>",
					"<?=$_lang["flow_same_dept_some_no"]?>",
					"<?=$_lang["flow_up_dept_all_menber"]?>",
					"<?=$_lang["flow_up_dept_some_priv"]?>",
					"<?=$_lang["flow_up_dept_some_no"]?>",
					"<?=$_lang["flow_root_dept_all_menber"]?>",
					"<?=$_lang["flow_root_dept_some_priv"]?>",
					"<?=$_lang["flow_the_head_of_the_department"]?>",
					"<?=$_lang["flow_the_superior"]?>"
				);
	var relationSelectOptionString = "<option id='0' value='0'>---<?=$_lang["flow_pleaseselect"]?>---</option>";
	$.each(valueArray, function(index, val) {
		relationSelectOptionString += "<option value='"+val+"'>"+textArray[index]+"</option>";
	});
	$("#relationObjrel").html(relationSelectOptionString);
}
//销毁下来菜单的选项
function destroyOptions(selObj)
{
	var len = selObj.options.length;
	for(i = len; i >0; i--)
	{
		selObj.options.remove(i);
	}
}
//初始化下拉菜单
function initialSelects()
{
	var processorRule = "<?=$processorRule?>";
	var prcsRuleArray = processorRule.split("|");
	if(prcsRuleArray[0] == 1)
	{
		document.getElementById("relationObj").options[1].selected = "selected";		
		relationObjChange(document.getElementById("relationObj"));
		var relationObjrelOjb = document.getElementById("relationObjrel");		
		for(i=0;i<relationObjrelOjb.length;i++)
		{
			if(relationObjrelOjb[i].value == prcsRuleArray[1])
			{
				relationObjrelOjb[i].selected = "selected";
				if(relationObjrelOjb[i].value == 4)
				{
					var privObj = document.getElementById("priv");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						if(privObj[j].value == prcsRuleArray[2])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelOjb[i].value == 5)
				{
					var deptObj = document.getElementById("dept");
					deptObj.style.display = "";
					for(j=0;j<deptObj.length;j++)
					{
						if(deptObj[j].value == prcsRuleArray[2])
						{
							deptObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelOjb[i].value == 12)
				{
					var privObj = document.getElementById("priv");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						if(privObj[j].value == prcsRuleArray[2])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelOjb[i].value == 14)
				{
					var privObj = document.getElementById("priv");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						if(privObj[j].value == prcsRuleArray[2])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelOjb[i].value == 20)
				{
					var privObj = document.getElementById("power");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						var privstrArray1 = privObj[j].value.split("@_@");
						var privstrArray2 = prcsRuleArray[2].split("@_@");
						if(privstrArray1[0] == privstrArray2[0])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelOjb[i].value == 21)
				{
					var privObj = document.getElementById("power");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						var privstrArray1 = privObj[j].value.split("@_@");
						var privstrArray2 = prcsRuleArray[2].split("@_@");
						if(privstrArray1[0] == privstrArray2[0])
						{
							privObj[j].selected = "selected";
						}
					}
				}
			}
		}
	}
	else if(prcsRuleArray[0] == 2)
	{
		var relationObjObj = document.getElementById("relationObj");
		relationObjObj.options[2].selected = "selected";
		var flowNodeObj = document.getElementById("flowNode");
		flowNodeObj.style.display = "";
		for(k=0;k<flowNodeObj.length;k++)
		{
			if(flowNodeObj[k].value == prcsRuleArray[1])
			{
				flowNodeObj[k].selected = "selected";
			}
		}
		relationObjChange(relationObjObj);
		var relationObjrelObj = document.getElementById("relationObjrel");
		for(l=0;l<relationObjrelObj.length;l++)
		{
			if(relationObjrelObj[l].value == prcsRuleArray[2])
			{
				relationObjrelObj[l].selected = "selected";
				if(relationObjrelObj[l].value == 9)
				{
					var privObj = document.getElementById("priv");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						if(privObj[j].value == prcsRuleArray[3])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelObj[l].value == 10)
				{
					var deptObj = document.getElementById("dept");
					deptObj.style.display = "";
					for(j=0;j<deptObj.length;j++)
					{
						if(deptObj[j].value == prcsRuleArray[3])
						{
							deptObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelObj[l].value == 16)
				{
					var privObj = document.getElementById("priv");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						if(privObj[j].value == prcsRuleArray[3])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelObj[l].value == 18)
				{
					var privObj = document.getElementById("priv");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						if(privObj[j].value == prcsRuleArray[3])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelObj[l].value == 19)
				{
					var privObj = document.getElementById("power");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						var privstrArray1 = privObj[j].value.split("@_@");
						var privstrArray2 = prcsRuleArray[3].split("@_@");
						if(privstrArray1[0] == privstrArray2[0])
						{
							privObj[j].selected = "selected";
						}
					}
				}
				else if(relationObjrelObj[l].value == 23)
				{
					var privObj = document.getElementById("power");
					privObj.style.display = "";
					for(j=0;j<privObj.length;j++)
					{
						var privstrArray1 = privObj[j].value.split("@_@");
						var privstrArray2 = prcsRuleArray[3].split("@_@");
						if(privstrArray1[0] == privstrArray2[0])
						{
							privObj[j].selected = "selected";
						}
					}
				}
			}
		}
	}
	else if(prcsRuleArray[0] == 3)
	{
		$("#flowNode,#relationObjrelTr").hide();
		$("#deptTr,#privTr").show();
		var hrDeptObj = document.getElementById("hrDept");
		var hrPrivObj = document.getElementById("hrPriv");
		document.getElementById("relationObj").options[3].selected = "selected";
		for(m=0;m<hrDeptObj.length;m++)
		{
			if(hrDeptObj[m].value == prcsRuleArray[1])
			{
				hrDeptObj[m].selected = "selected";
			}
		}
		for(n=0;n<hrPrivObj.length;n++)
		{
			if(hrPrivObj[n].value == prcsRuleArray[2])
			{
				hrPrivObj[n].selected = "selected";
			}
		}
	}
	else if(prcsRuleArray[0] == 4)
	{
		$("#flowNode,#relationObjrelTr").hide();
		$("#fieldFromFlowForm").show();
		var formFieldSelectObj               = document.getElementById("formFieldSelect");
		document.getElementById("relationObj").options[4].selected = "selected";
		for(m=0;m<formFieldSelectObj.length;m++)
		{
			if(formFieldSelectObj[m].value == prcsRuleArray[1])
			{
				formFieldSelectObj[m].selected = "selected";
			}
		}
	}
}
initialSelects();
</script>
