<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/workflow/flow_type/flowlist.php
 * Function:         定义流步骤中的新建节点的定义办理人员
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2008-05-15
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
include_once("inc/auth.php");
includelangpak("flow,common");
include_once("inc/utility_all.php");
include_once("api/system_Workflow.class.php");
$version = getVersion();
$workFlowDefine             = new workFlowDefine;
$workFlowDefine->FLOW_ID    = $FLOW_ID;
$workFlowDefine->PROCESS_ID = $FLOWSETID;
//查询流程所有节点,用于步骤选择
$flow_process_info          = $workFlowDefine->getFlowProcessInfo("PRCS_ID");
//查询流程节点
$process_info               = $workFlowDefine->getProcessInfo();
$prcsAutoGetUser            = $process_info["PRCS_AUTO_GET_USER"];
if($prcsAutoGetUser&&!$from)
{
	header("location:setAutoGetPermission.php?FLOW_ID=$FLOW_ID&FLOWSETID=$FLOWSETID&f=update&uback='".$_REQUEST['uback']."'");
	exit;
}
//判断这个节点之前是否还有节点
$nodeListArray              = $workFlowDefine->getBeforeThisNodes($FLOW_ID,$process_info["PRCS_ID"]);
$TITLE                      = $_lang["flow_editflowstep"]."-". $_lang["flow_candeal"];
if($process_info['PRCS_DEFAULT_USER'] != "")
{
	$ishavede = 1;
}
$PAGE_TITLE = $TITLE;
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js?<?=$version?>"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js?<?=$version?>"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script src="/inc/common.js?<?=$version?>"></script>
<script src="/inc/follow.js?<?=$version?>"></script>
<style>
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
.my_dialog .setDefaultProcessDialog{
	border:0px red solid;
	overflow:hidden;
}
.my_dialog .ui-dialog-titlebar{
	display:none;
}

.my_dialog .ui-dialog-content{
	padding:0;
}
</style>
<script language="javascript">
function check_form(){
	if(formPermission.ishavede.value == 1){
		return window.confirm("<?=$_lang["flow_confirmchangedealperson"]?>");

	}else{
		return 1;
	}
}
function clearUser(){
	formPermission.PERMISSION_NAME.value=""
	formPermission.PERMISSION_USER_ID.value=""
}
function clearPriv(){
	formPermission.PERMISSION_PRIV.value=""
	formPermission.PERMISSION_PRIV_ID.value=""
}
function clearDept(){
	formPermission.PERMISSION_DEPT.value=""
	formPermission.PERMISSION_DEPT_ID.value=""
}
$(function() {
	$(window.parent.document).find("#ui-tabs-2 .iframeprocesspath").height($(parent.window).height()-35);
	$(".myFlowProcessMainDiv").height($(window).height()-35).niceScroll();
	$('input:radio').iCheck({
		radioClass : 'iradio_square-blue'
	}).on('ifChecked', function(event){
		if($(this).attr("id") == "autoGetRadio")
			location="setAutoGetPermission.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$FLOWSETID?>&uback=<?=$_REQUEST['uback']?>";
	});
	$("select").selectpicker({
		height:30,
		width:150
	});
	//定义弹出框
	window.msgDialog = $(".setDefaultProcessDialog").dialog({
		autoOpen: false,
		width: 550,
		modal: true,
		height:300,
		dialogClass:"my_dialog"
	});
	//触发弹出框
	$("#setDefaultProcessor").click(function(){
		if("<?=$prcsAutoGetUser?>")
		{
			bootbox.confirm("<?=$_lang['flow_get_operator_way_caution']?>", function(result) {
				if(result){
					$('#formPermission').ajaxSubmit(function() {
						$(".setDefaultProcessDialog").dialog("open");
					});
				}
			});
		}
		else
		{
			$('#formPermission').ajaxSubmit(function() {
				$(".setDefaultProcessDialog").dialog("open");
			});
		}
	});
});
</script>
<body>
<form action="permission_do.php" method="post" name="formPermission" id="formPermission">
<div class="lazy_sub_header">
	<div style="float:left;line-height:35px;margin-left:10px;">
		<?=$_lang["flow_choosenode"]?>
	</div>
	<div style="float:left;margin-left:10px;margin-top:3px;">
		<select name="selectProcess" id="selectProcess" onChange="selectProcessId('tagContent2','<?=$FLOW_ID?>','<?=$_REQUEST['uback']?>')">
			<?
			$workFlowDefine->FLOW_ID = $_REQUEST['FLOW_ID'];
			$flow_process_info = $workFlowDefine->getFlowProcessInfo("PRCS_ID");
			while(list($key,$val) = each($flow_process_info)){
				$strSelected = "";
				if ($val['ID'] == $_REQUEST['FLOWSETID']){
					$strSelected = "selected";
				}
				?>
				<option value="<?=$val['ID']?>" <?=$strSelected?>><?=mb_strcut($val['PRCS_ID'].".".$val['PRCS_NAME'],0,30,"utf-8");if(strlen($val['PRCS_ID'].".".$val['PRCS_NAME'])>30)echo "...";?></option>
			<?
			}
			?>
		</select>
	</div>
	<button type="button" style="float:right;" onClick="backToProcessSet('<?=$FLOW_ID?>');" class="btn btn-default" title="<?=$_lang["common_back"]?>"><?=$_lang["common_back"]?>
	</button>
	<button type="button" id="savebutton" style="float:right;" onClick="submitForm();" class="btn btn-primary" title="<?=$_lang["common_save"]?>"><?=$_lang["common_save"]?>
	</button>
</div>
<div class="myFlowProcessMainDiv" style="overflow:hidden;">
<?
if($process_info)
{
	if ($process_info["PRCS_USER"] != ""){
		$PERMISSION_NAME = getUsernameStr($process_info["PRCS_USER"]);
	}
	if ($process_info["PRCS_PRIV"] != ""){
		$PERMISSION_PRIV = getPrivStr($process_info["PRCS_PRIV"]);
	}
	if ($process_info["PRCS_DEPT"] != ""){
		$PERMISSION_DEPT = getDeptStr($process_info["PRCS_DEPT"]).",";
	}
}
//根据节点位置设置自动获取办理人链接是否出现

if($nodeListArray)
	$display = "block";
else
	$display = "none";
?>
<table border="0" width="100%" cellpadding="5" cellspacing="1" class="form_table">
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["common_type"]?></td>
		<td>
			<span style="display:<?=$display?>;"><input type="radio" id="manulSetRadio" name="setPrcocessorWay" checked="checked" class="radio">&nbsp;&nbsp;<?=$_lang["flow_asign_operator_or_scope"]?>&nbsp;&nbsp;<input type="radio" name="setPrcocessorWay" id="autoGetRadio" class="radio">&nbsp;&nbsp;<?=$_lang["flow_auto_get"]?></span>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["flow_passprocessman"]?></td>
		<td valign="bottom">
		<textarea cols="40" name="PERMISSION_NAME" id="PERMISSION_NAME" rows="3" style="width:300px;" class="textarea" wrap="yes" readonly><?=$PERMISSION_NAME?></textarea>
		<input type="button" value="<?=$_lang["common_add"]?>" class="btn btn-primary" onClick="LoadWindowUser('PERMISSION_USER_ID','PERMISSION_NAME','formPermission')" title="<?=$_lang["flow_adddealperson"]?>" name="button">
		<input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-danger" onClick="clearUser()" title="<?=$_lang["flow_emptydealperson"]?>" name="button">
		<input type='hidden' value="<?=$process_info['PRCS_USER']?>" name="PERMISSION_USER_ID" id="PERMISSION_USER_ID">
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["flow_passprocessrole"]?></td>
		<td>
		<textarea cols="40" name="PERMISSION_PRIV" id="PERMISSION_PRIV" rows="3" style="width:300px;" class="textarea" wrap="yes" readonly><?=$PERMISSION_PRIV?></textarea>
		<input type="button" value="<?=$_lang["common_add"]?>" class="btn btn-primary" onClick="LoadWindowPriv('PERMISSION_PRIV_ID','PERMISSION_PRIV','formPermission', event)" title="<?=$_lang["flow_adddealrole"]?>" name="button">
		<input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-danger" onClick="clearPriv()" title="<?=$_lang["flow_emptydealrole"]?>" name="button">
		<input type='hidden' value="<?=$process_info['PRCS_PRIV']?>" name="PERMISSION_PRIV_ID" id="PERMISSION_PRIV_ID">
	  </td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title"><?=$_lang["flow_passprocessdept"]?></td>
		<td class="tablecol1" nowrap="nowrap" >
		<textarea cols="40" name="PERMISSION_DEPT" id="PERMISSION_DEPT" rows="3" style="width:300px;" class="textarea" wrap="yes" readonly><?=$PERMISSION_DEPT?></textarea>
		<input type="button" value="<?=$_lang["common_add"]?>" class="btn btn-primary" onClick="LoadWindowDept('PERMISSION_DEPT_ID','PERMISSION_DEPT','formPermission')" title="<?=$_lang["flow_adddealdept"]?>" name="button">
		<input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-danger" onClick="clearDept()" title="<?=$_lang["flow_emptydealdept"]?>" name="button">
		<input type='hidden' value="<?=$process_info['PRCS_DEPT']?>" name="PERMISSION_DEPT_ID" id="PERMISSION_DEPT_ID">

	  </td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title">
			<?=$_lang["flow_defaultdealperson"]?>
		</td>
		<td>
			<input type="button" value="<?=$_lang["common_set"]?>" name="setDefaultProcessor" id="setDefaultProcessor" class="btn btn-success" onClick="">
		</td>
	</tr>
	<input type='hidden' value="<?=$FLOW_ID?>" name="FLOW_ID" id="FLOW_ID">
	<input type='hidden' value="<?=$FLOWSETID?>" name="FLOWSETID" id="FLOWSETID">
	<input type="hidden" name="uback" id="uback" value="<?=$_REQUEST['uback']?>">
	<input type='hidden' value="update" name="f" id="f">
	<input type="hidden" value="<?=$ishavede?>" name="ishavede" id="ishavede">
	<input type="hidden" value="<?=$prcsAutoGetUser?>" name="PRCS_AUTO_GET_USER" id="PRCS_AUTO_GET_USER">
</table>
<br>
 <i class="fa fa-square fa-fw" style="color: #f9e8da;"></i> <?=$_lang["flow_set_operator_tip1"]?>
<br><br>
 <i class="fa fa-square fa-fw" style="color: #e9eede;"></i> <?=$_lang["flow_set_operator_tip2"]?>
<br><br>
 <i class="fa fa-square fa-fw" style="color: #f9e8da;"></i> <?=$_lang["flow_set_operator_tip3"]?>
<br><br>
</div>
</form>
<div class="setDefaultProcessDialog">
	<iframe style="width:100%;border:none;height:100%;" src="/general/system/workflow/flow_type/flow_process/set_permission_default.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$FLOWSETID?>"></iframe>
</div>
</body>
</html>
<script>
function LoadWindowUserDefaultProcessor(inputID,inputName,formName)
{
	  URL="/module/selectuser_flowdefault/?FLOWSETID=<?=$_REQUEST['FLOWSETID']?>&inputID="+inputID+"&inputName="+inputName+"&formName="+formName;
	  loc_x=document.body.scrollLeft+event.clientX-event.offsetX-100;
	  loc_y=document.body.scrollTop+event.clientY-event.offsetY+170;
	  window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:200px;dialogHeight:400px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}
function LoadWindowManage(inputID,inputName,formName)
{
	  URL="/module/manage_select_new/?inputID="+inputID+"&inputName="+inputName+"&formName="+formName;
	  loc_x=document.body.scrollLeft+event.clientX-event.offsetX-100;
	  loc_y=document.body.scrollTop+event.clientY-event.offsetY+170;
	  window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:200px;dialogHeight:400px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}
function submitForm(){
	if("<?=$prcsAutoGetUser?>")
	{
		bootbox.confirm("<?=$_lang['flow_get_operator_way_caution']?>", function(result) {
			if(result){
				$('#formPermission').ajaxSubmit(function() {
					$.pnotify({
						text : "<?=$_lang['common_save_successed']?>",
						type : "success",
						delay : 100,
						addclass: "stack-topleft",
						history : false,
						sticker : false,
						closer : false,
						after_close: function(pnotify, timer_hide) {
							location.reload();
						}
					});
				});
			}
		});
	}
	else
	{
		$('#formPermission').ajaxSubmit(function() {
			$.pnotify({
				text : "<?=$_lang['common_save_successed']?>",
				type : "success",
				delay : 100,
				addclass: "stack-topleft",
				history : false,
				sticker : false,
				closer : false,
				after_close: function(pnotify, timer_hide) {
					location.reload();
				}
			});
		});
	}
}
function initialradio()
{
	//当自动获取办理人有值时，自动跳转过去，暂时不用，通过php程序控制效果更好一的

	var pcrsAutoGetUser = document.getElementById("PRCS_AUTO_GET_USER").value;
	if(pcrsAutoGetUser)
	{
		document.getElementById("autoGetRadio").click();
	}
	else
	{
		document.getElementById("manulSetRadio").click();
	}
}
</script>
