<?php
/**
 * Systemname:       E-Office
 * Filename:         general/system/workflow/flow_type/flowlist.php
 * Function:         定义流步骤中提交页面
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2008-05-15
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
include_once("inc/auth.php");
includelangpak("flow");
include_once("inc/check_type.php");
include_once("api/system_Workflow.class.php");
$workFlowDefine = new workFlowDefine;
$workFlowDefine->PROCESS_ID = $FLOWSETID;
$nodeInfo  = $workFlowDefine->getProcessInfo();
$oldPrcsId = $nodeInfo["PRCS_ID"];

if(!is_number($PRCS_ID))
{
   Message($_lang["common_error"],$_lang["flow_ordernummustbeoint"]);
   Button_Back();
   exit;
}
if(is_exist($FLOW_ID,$oldPrcsId,$PRCS_ID))
{
	Message($_lang["common_error"],$_lang["flow_sn_cant_duplication"]);
	Button_Back();
	exit;
}
//计算催办时间小时数
$pressAddHour        = $_REQUEST["flow-press-time-set-hour"];
$flowPressTimeSetDay = $_REQUEST["flow-press-time-set-day"];
if ($flowPressTimeSetDay > 0) {
	$pressAddHour = $pressAddHour + $flowPressTimeSetDay*24;
}
$pressAddHour = floor($pressAddHour);
$PRCS_TO = str_replace("，",",",$PRCS_TO);
//数据外发改进
$outsend_type   = $_REQUEST['outsend_type'];
if($outsend_type == 1){
    $flow_outsend = $_REQUEST['flow_outsend'];
}elseif($outsend_type == 2){
    $flow_outsend = $_REQUEST['flow_outsend1'];
}elseif($outsend_type == 3){
    $flow_outsend = $_REQUEST['flow_outsend2'];
}else{
    $flow_outsend = '';
}
$row = array("PRCS_ID"=>$PRCS_ID,"PRCS_NAME"=>$PRCS_NAME,"PRCS_TO"=>$PRCS_TO,"PRCS_CONCOURSE"=>$PRCS_CONCOURSE,"PRCS_OPTYPE"=>$PRCS_OPTYPE,"PRCS_DESCRIPT"=>$PRCS_DESCRIPT,'PRCS_FORWARD'=>$flowForward,'END_WORKFLOW'=>$canEndWorkflow,'FLOW_OUTSEND_TYPE' => $outsend_type ,'FLOW_OUTSEND'=>$flow_outsend,"FLOW_OUTMAIL"=>$flowOutMail,"FLOW_COPY"=>$flowCopy,"PRESS_ADD_HOUR"=>$pressAddHour);
$workFlowDefine->editProcess($row);

//去除默认办理人
if(($checkprcs_optype=="1" || $checkprcs_optype=="2") && $PRCS_OPTYPE=="0"){
	global $connection;
	$sql = "UPDATE flow_process
				SET PRCS_DEFAULT_USER = '',
				  PRCS_DEFAULT_TYPE = '',
				  PRCS_DEFAULT_MANAGE = ''
				WHERE ID = '".SecurityFilter($FLOWSETID)."'";
	exequery($connection, $sql);			
}

if ($_REQUEST['uback'] == 'img'){
	header("location: edit.php?FLOW_ID=$FLOW_ID&FLOWSETID=$FLOWSETID&o=1");
}
else {
	header("location: edit.php?FLOW_ID=$FLOW_ID&FLOWSETID=$FLOWSETID&o=1");
}

?>