<?
/**
 *@systemname:       E-Office
 *@filename:         general/task/mytask/task_edit.php
 *@function:         任务管理
 *@encoding:         $_lang['encoding']
 *@file Version:     1.0
 *@eoffice Version:  9.0
 *@author:           qishaobo|www.weaver.com.cn
 *@modify            qishaobo
 *@date:             2015-03-05
*/
	include_once("inc/auth.php"); 
	include_once("inc/utility_all.php");
	include_once("inc/common.inc");
	include_once("api/field_set.class.php");
	include_once("inc/function_page_01.php");
	include_once("api/calendar.class.php");
	include_once("inc/function_calendar.php");
	include_once("api/labels.class.php");
	includelangpak("task");
	include_once("../public/helper.php");	
	include_once ("inc/function_usergeneral.php");
?>
<style type="text/css">
	.ui-datepicker-close{display:none;}
	.ui-datepicker-current{outline:none;}
	.ui-datepicker .ui-state-hover{
		background:#FFF;
	}
	.ui-datepicker-current:hover{
		background:#C0C0C0;
	}
</style>
<div class="lazy_header">
	<div class="arrow" id="arrow"></div>
	<span class="lazy-page-title">
		<i class="fa fa-pencil-square-o"></i>
		<span class="tip"><?=$_lang['task_edit']?></span>
	</span>	
</div>
<div class="task-form">
<div id="task-base">
	<div class="form-base" data="<?=$task['TASK_ID']?>">
		<p><?=$_lang['task_base_info']?></p>
		<div class="field field-height">
			<span class="field-value title">
				<input type="text" name="TASK_NAME" class="task-name text border task-title <?if($task['TASK_STATUS']==2){?>done<?}?>" data="<?=$task['TASK_NAME']?>" value="<?=$task['TASK_NAME']?>" />
			</span>	
			<span class="task-important">
				<i title="<?=$_lang['task_important']?>" class="fa fa-exclamation important <?if($task['IMPORTANT_LEVEL']==1){?>active<?}?>"></i>
				<i title="<?=$_lang['task_normal']?>" class="fa fa-exclamation normal <?if($task['IMPORTANT_LEVEL']==0){?>active<?}?>"></i>
				<input type="hidden" name="important" value="0">
			</span>		
		</div>
		<div class="field task-description">
			<table>
			<tr>
				<td>
					<textarea id="task-desc" placeholder="<?=$_lang['task_add_desc']?>"  class="border desc-con" style="overflow:hidden;" name="DESCRIPTION"><?=$task['TASK_DESCRIPTION']?></textarea>
				</td>
			</tr>
			</table>
		</div>	
		<div class="field field-height">
			<label><?=$_lang['task_end_date']?></label>
			<span class="field-value">
				<input type="text" name="END_DATE" class="end-date text border" id="end-date" value="<?if($task['END_DATE']>0)echo date('Y-m-d',$task['END_DATE']);?>"/>
			</span>
		</div>
		<div class="field">
		<table>
			<tr class="field-add">
				<td class="title"><?=$_lang['task_join_user']?></td>
					<td class="con">
						<span class="participant task-single-opt"> 
				    <?
				    $uidArr = $unameArr = $users = array();
				    if(!empty($taskUsers['join']['user_id'])){
				    	$uidArr = explode(",",$taskUsers['join']['user_id']);
				    	$unameArr = explode(",",$taskUsers['join']['user_name']);
				    	$users = array_combine($uidArr,$unameArr);
				    }
	                if(!empty($users)){
						foreach($users as $k=>$v){
							if(!empty($v)){
					?>
							<span name="<?=$v?>" data="<?=$k?>" data="<?=$v['CONTENT_ID']?>"  class="single-opt participant-user">
								<?=showUserGeneral($k);?>
								<i class="del fa fa-times"></i>
							</span>
                	<?
	                		}
						}	
					}
					?>
						</span>
						<span class="add-btn add-user" onClick="LoadWindowUser('PARTICIPANT_ID','PARTICIPANT_NAME','form1','','','','getParticipantUsers')" ><i class="fa fa-plus"></i></span>
						<input type="hidden" id="PARTICIPANT_ID" name="PARTICIPANT_ID" value="<?=$taskUsers['join']['user_id']?>">
		                <input type="hidden" id="PARTICIPANT_NAME" value="<?=$taskUsers['join']['user_name']?>"/>
					</td>
			</tr>
		</table>
		</div>
		<div class="field">
		<table>
			<tr class="field-add">
				<td class="title"><?=$_lang['task_share_to']?></td>
				<td class="con">
					<span class="share task-single-opt"> 
					<?
				    $uidArr = $unameArr = $users = array();
				    if(!empty($taskUsers['share']['user_id'])){
				    	$uidArr = explode(",",$taskUsers['share']['user_id']);
				    	$unameArr = explode(",",$taskUsers['share']['user_name']);
				    	$users = array_combine($uidArr,$unameArr);
				    }
	                if(!empty($users)){
						foreach($users as $k=>$v){
							if(!empty($v)){
					?>
						<span name="<?=$v?>" data="<?=$k?>" class="single-opt share-user"><?=showUserGeneral($k);?><i class="del fa fa-times"></i></span>
	                <?
	                		}
						}	
					}
					?>
					</span>				
            		<input type="hidden" id="SHARE_ID" name="SHARE_ID" value="<?=$taskUsers['share']['user_id']?>" />
                	<input type="hidden" id="SHARE_NAME" value="<?=$taskUsers['share']['user_name']?>"/>
					<span class="add-btn add-user" onClick="LoadWindowUser('SHARE_ID','SHARE_NAME','form1','','','','getShareUsers')" ><i class="fa fa-plus"></i></span>
				</td>
			</tr>
		</table>
		</div>
		<div class="field" >
			<table>
				<tr class="field-add">
					<td class="title"><?=$_lang['task_tag']?></td>
					<td class="con">
						<span id="labelsSpan" class="task-single-opt tags">
				        <?
		            	$tagIds = '';
		                if(!empty($taskTags)){
							foreach($taskTags as $taskTag){
								if(!empty($taskTag['TAG_NAME'])){
									$tagIds .= $taskTag['TAG_ID'].",";
						?>
								<span data="<?=$taskTag['TAG_ID']?>"  class="single-opt tag">
									<span ><?=$taskTag['TAG_NAME']?></span>
									<i class="del fa fa-times"></i>
								</span>
		          		 <?
		                		}
							}	
						}
						?>
							<span id="labelsOperation" class="tag-opt">
	                			<input type="text" placeholder="<?=$_lang['task_input_tag']?>" id="selectLables" class="selectLables text-add-tag"> 
	                    		<span class="add-btn btn-add-tag" id="createLables" name="createLables"><i class="fa fa-plus"></i></span>
	                		</span>
                		</span>
              			<input type="hidden" id="leablesIdStr" name="lablesId" value="<?=$tagIds?>">
					</td>
				</tr>
			</table>
		</div>														
	</div>
	<?if($task['PID']==0){?>
	<div class="form-son">
		<p><?=$_lang['task_son']?></p>
		<ul>
			<?
			foreach($taskSons as $son){
			?>
				<?if($son['TASK_STATUS']>0){?>
				<li data="<?=$son['TASK_ID']?>">
					<span class="task-name <?if($son['TASK_STATUS']==2){?>done<?}?>"><?=$son['TASK_NAME']?></span>
					<span class="task-creater"><?=$son['USER_NAME']?></span>
					<?if($son['USER_TYPE']!=3){?>
					<span class="task-opt">
						<span class="complate" <? if($son['TASK_STATUS']==2){?> style="display:none;" <?}?> ><i title="<?=$_lang['task_mark_done']?>" class="fa fa-check"></i></span>
						<span class="dis-complate"<? if($son['TASK_STATUS']==1){?> style="display:none;" <?}?>  ><i  title="<?=$_lang['task_mark_doing']?>" class="fa fa-check"></i></span>
						<span class="dis-attention" <? if(empty($son['ATTENTION'])){?> style="display:none;" <?}?> ><i title="<?=$_lang['task_cacel_attention']?>" class="fa fa-star-o"></i></span>
						<span class="attention" <? if(!empty($son['ATTENTION'])){?> style="display:none;" <?}?> ><i title="<?=$_lang['task_add_attention']?>" class="fa fa-star"></i></span>
						<?if($son['USER_ID']==$_SESSION['LOGIN_USER_ID']){?>
						<span class="del-task"><i title="<?=$_lang['task_del_task']?>"  class="fa fa-times"></i></span>
						<?}?>
					</span>
					<?}?>					
				</li>
				<?}?>	
			<?
			}
			?>
		</ul>
		<div class="create-son"><?=$_lang['task_create_son']?></div>
	</div>
	<?}else{?>
	<div class="form-son">
		<p><?=$_lang['task_parent']?></p>
		<ul>
			<li class="parent" data="<?=$taskParent['TASK_ID']?>"><span class="task-name"><?=$taskParent['TASK_NAME']?></span><span class="task-creater" style="display:inline-block;"><? echo showUserGeneral($taskParent["USER_ID"]);?></span></li>
		</ul>
	</div>
	<?}?>
	<div class="form-relative">
		<p><?=$_lang['task_relation']?></p>
		<form enctype="multipart/form-data" action="do.php" method="POST" name="form1" id="form1">
		<div class="field attachments" <? if(empty($taskAtts)) echo 'style="display:none;"' ?> >
		<table>
			<tr class="field-add">
				<td class="title"><?=$_lang['task_attachment']?></td>
				<td class="con">
					<span class="field-width">
						<span id="uploaddiv" class="uploadify-queue" >
							<? echo getAttachment($taskAtts,$_SESSION['LOGIN_USER_ID']);?>
						</span>
						<span class="attachment-button">
							<input type="file" id="file_elem" name="file_elem" style="display:none;">
						</span>
					</span>
					<input type="hidden" name="attachmentIDStr" value="" id="attachmentIDStr"/>
					<input type="hidden" name="attachmentNameStr" value="" id="attachmentNameStr"/>
					<input type="hidden" name="TASK_ID" value="<?=$task['TASK_ID']?>" />	
				</td>
			</tr>
		</table>			
		</div>
		</form>
		<div class="field docs" <? if(empty($task['CONTRAT_DOC'])) echo 'style="display:none;"' ?> >
			<table>
				<tr class="field-add">
					<td class="title"><?=$_lang['task_doc']?></td>
					<td class="con">
						<span id="DOC_NAME" class="task-single-opt">
							<?
								$docs=$taskObj->getTaskDoc($task['CONTRAT_DOC']);
								if(!empty($docs)){
									foreach($docs as $v){
							?>
										<span data="<?=$v['CONTENT_ID']?>"  class="single-opt doc-opt">
											<span class="single-link" onclick="openDocumentsWindows('<?=$v[CONTENT_ID]?>&docStr=<?=$v[SUBJECT]?>','');" ><?=$v['SUBJECT']?></span>
											<i class="del fa fa-times"></i>
										</span>
							<?
									}
								}
							?>
						</span>
						<span onClick="LoadWindowDocs('CONTRAT_DOC','DOC_NAME','form1','cowork');" class="add-btn"><i class="fa fa-plus"></i></span>
						<input type="hidden" id="CONTRAT_DOC" name="CONTRAT_DOC" value="<?=$task['CONTRAT_DOC']?>">
					</td>
				</tr>
			</table>
		</div>
		<div class="fields">
			<span class="attachments" data="attachments" <? if(!empty($taskAtts)) echo 'style="display:none;"' ?> ><?=$_lang['task_attachment']?></span>
			<span class="docs" data="docs" <? if(!empty($task['CONTRAT_DOC'])) echo 'style="display:none;"' ?> ><?=$_lang['task_doc']?></span>
		</div>
	</div>
</div>
<div class="form-feedback">
	<p><?=$_lang['task_feedback']?></p>
	<div id="form-feedback">
		<form action="do.php">
			<textarea  placeholder="<?=$_lang['task_add_feedbacks']?>" id="feedback-con"></textarea>
			<div class="opt">
				<input type="button" id="task-feedback-sub" value="<?=$_lang['task_submit']?>">
			</div>
		</form>
	</div>
	<?php
		if(!empty($feedbacks['con'])){
			foreach($feedbacks['con'] as $feedback){
	?>
			<div class="feedback-list">
				<div class="feedback">
					<span><span class="username"><? echo showUserGeneral($feedback["USER_ID"]);?></span> <?=$feedback['FB_DATE']?></span>
					<div>
						<?=$feedback['FB_CONTENT']?>
					</div>
				</div>
			</div>	
	<?php
			}
		}
	?>
	<?php
		if($feedbacks['num']>0){
	?>
			<div id="feedback-more" class="more" page="2"><?=$_lang['task_list_more']?></div>		
	<?php
		}
	?>						
</div>
<div class="form-record">
	<p><?=$_lang['task_log']?></p>
	<ul id="log">
		<?
		if(!empty($logs['con'])){
			foreach($logs['con'] as $log){
		?>
		<li>
			<span class="log-user"><? echo showUserGeneral($log["USER_ID"]);?></span>
			<span class="log-con"><?=$log['LOG_CON']?></span>
			<span class="log-time"><?=$log['LOG_TIME']?></span> 
		</li>
		<?
			}			
		}
		?>		
	</ul>
	<?
	if($logs['num']>0){
	?>
	<div class="more" id="log-more" page="2"><?=$_lang['task_list_more']?></div>
	<?
	}
	?>
</div>
</div>
<? showUserGeneralDiv()?>
<script>
var power = "<?=$_SESSION['LOGIN_FUNC_STR']?>";
var uid = "<?=$_SESSION['LOGIN_USER_ID']?>";
$(function(){
	$(".task-form").height($(window).height()-40).niceScroll();
	$("#task-desc").autosize();
	$(".fields span").click(function(){
		var opt = $(this).attr("data");
		$(this).hide();
		$(".field."+opt).show();
		if (opt == "attachments") {
			$("#file_elem").Upload("refresh");
		}
	})

	$('.add-user-text').focus(function(){
		$(this).parents('span').siblings('.add-user').show();
	})

	//编辑任务名
	$('.task-title').keyup(function(event){
		var oldName = $(".task-name").attr("data");
		var newName = $(".task-name").val();
		if(newName!=oldName){
			$(".click .task").html(newName);
		}
		if(event.keyCode == "13"){
  			$(this).blur();
		}
	})

	$('.task-title').blur(function(){
		var TASK_ID = $(".form-base").attr("data");
		var TASK_NAME = $(this).val();
		data="TASK_ID="+TASK_ID+"&TASK_NAME="+TASK_NAME;
		editTaskInfo(data);
	})

    $.datepicker.setDefaults({ 
    	showButtonPanel: true, 
    	showHour:true,
		//currentText: '<span class="today" data="1">今天</span><span class="tomorrow" data="2">明天</span><span class="will" data="3">即将</span><span class="no_tag" data="4">无到期日</span>',
		currentText: '<?=$_lang["task_no_tag"]?>',
		closeText: '',
    });  


	$(".ui-datepicker-current").live("click", function ()  
     {  
     	var remark = 'no_tag';
     	var date = $(this).attr("data");
		var TASK_ID = $(".form-base").attr("data");
		data="TASK_ID="+TASK_ID+"&date="+date;
		editTaskInfo(data);    	
     	selectTaskDate(remark);
     	$("#end-date").val('');
     	$('#end-date').datepicker( 'hide');
     });

/*	$(".ui-datepicker-current span").live("click", function ()  
     {  
     	alert(1);
     	var remark = $(this).attr("class");
     	var date = $(this).attr("data");
		var TASK_ID = $(".form-base").attr("data");
		data="TASK_ID="+TASK_ID+"&date="+date;
		editTaskInfo(data);    	
     	selectTaskDate(remark);
     });*/

	//编辑结束日期
	$('#end-date').datepicker({
		onSelect: function(dateText, inst) {
 			var TASK_ID = $(".form-base").attr("data");
			data="TASK_ID="+TASK_ID+"&END_DATE="+dateText;
			editTaskInfo(data);
			var myDate = new Date();
			var today  = new Date(myDate.getFullYear(),myDate.getMonth()+1,myDate.getDate());
			var stoday = today.getTime();

			var arrA = dateText.split("-");
			var dateA = new Date(arrA[0],arrA[1],arrA[2]);
			var selectDate = dateA.getTime();
			var remark = '';
			if(selectDate==0){
				remark = 'no_tag'
			}else if(selectDate<stoday){
				remark = 'delay'
			}else if(selectDate>=stoday&&selectDate<stoday+86400000){
				remark = 'today'
			}else if(selectDate>=stoday+86400000&&selectDate<stoday+86400000*2){
				remark = 'tomorrow'
			}else{
				remark = 'will'
			}
			selectTaskDate(remark);
		}
	});

	function selectTaskDate(remark){
		if(remark=='delay'){
			if($(".delay").is(":hidden")){
				$(".delay").show();
			}
		}
		var str = $("li.click").clone();
		updateTaskNum($("li.click"),-1);
		$("li.click").remove();
		var tObj = $("."+remark+" ul");
		if(tObj.find('.no-task-remark')){
			tObj.children('.no-task-remark').remove();
		}
		tObj.prepend(str);
		updateTaskNum($("li.click"),1);
	}

	//编辑重要程度
	$(".task-important .fa-exclamation").click(function(){
		var TASK_ID = $(".form-base").attr("data");
		if($(this).hasClass('normal')){
			$(this).siblings('input').val('1');
			var data="TASK_ID="+TASK_ID+"&important=1";
			editTaskInfo(data);
			var star = 	'<span class="task-star">'
					+		'<i class="fa fa-exclamation"></i>'
					+	'</span>';	
			$(".click").children(".task").before(star);
		}else{
			$(".click .task-star").html('').remove();
			$(this).siblings('input').val('0');	
			var data="TASK_ID="+TASK_ID+"&important=0";	
			editTaskInfo(data);	
		}
		$(this).siblings('.fa-exclamation').show();
		$(this).hide();		
	})
	//编辑描述
	$('.desc-con').blur(function(){
		var TASK_ID = $(".form-base").attr("data");
		var DESCRIPTION = $(this).val();
		data="TASK_ID="+TASK_ID+"&DESCRIPTION="+DESCRIPTION;
		editTaskInfo(data);
	}).keypress(function(event){
		if(event.keyCode == "13"){
  			
		}
	})
	//=====添加标签开始========
	/*$('.field-add').mouseenter(function(){
		$(this).find(".add-btn,#file_elem_button").show();
	}).mouseleave(function(){
		$(this).find(".add-btn,#file_elem_button").hide();
	})*/

	$('.add-user').click(function(){
		var addUserTextObj = $(this).siblings('span').children('.add-user-text');
		if(!addUserTextObj.is(":visible")){
			addUserTextObj.show();
		}
	})

	$("#createLables").on("click",function(){
		$("#selectLables").show().focus();	
	});

	$("#selectLables").blur(function(){
		var val = $("#selectLables").val();
		if(val == ''){
			$("#selectLables").val("").hide();	
		}
	})

	function getCreateTag(data,title){
	return str = '<span data="'+data+'"  class="single-opt tag">'
				+	'<span>'+title+'</span>'
				+	'<i class="del fa fa-times"></i>'
				+'</span>';
	}

	$(".selectLables").bigAutocomplete({
		width:100,
		url:"/general/task/tag/alldo.php?type=getAllTags",
		callback:function(data){
			if($("#labelsSpan").is(":hidden")){
				$("#labelsSpan").show();	
			}
			var haveStr = $("#leablesIdStr").val();
			var TASK_ID  = $(".form-base").attr("data");
			if(data.title=="createData"){
				if(data.result.title!=''){
					$.ajax({
						type:"POST",
						url:"/general/task/tag/alldo.php",
						data:"type=addTaskTag&TAG_NAME="+data.result.title+"&TASK_ID="+TASK_ID
					}).done(function(result){
						var str = getCreateTag(result,data.result.title);
						$("#labelsOperation").before(str);	
						var allStr = haveStr+result+",";
						$("#leablesIdStr").val(allStr);	
						data="TASK_ID="+TASK_ID+"&lablesId="+allStr;
						editTaskInfo(data);
					});
				}
			}else{
				var checkStr = ","+haveStr;
				if(checkStr.indexOf(","+data.result.id+",") > -1){
				}else{
					var str = getCreateTag(data.result.id,data.title);
					$("#labelsOperation").before(str);	
					var allStr = haveStr+data.result.id+",";
					data="TASK_ID="+TASK_ID+"&lablesId="+allStr;
					editTaskInfo(data);
					$("#leablesIdStr").val(allStr);	
				}
			}	
			$("#selectLables").val("").hide();	
		}
	});

	$(".tags").on({
		click:function(){
			var tid = $(".form-base").attr("data");
			var pObj = $(this).parent(".tag");
			var id = pObj.attr("data");
			var haveStr = $("#leablesIdStr").val();
			haveStr  = haveStr.replace(id+',','');
			$("#leablesIdStr").val(haveStr);
			$.ajax({
				type:"POST",
				data:"type=deleteRelation&tag_id="+id+"&task_id="+tid,
				url:"/general/task/tag/alldo.php"
			}).done(function(result){

			});			
			pObj.remove();
		}
	},".del");	

	//=====添加标签结束========	
	//========新建子任务开始==============
	$(".create-son").click(function(){
		var str = $(this).html();
		if(str == "<?=$_lang['task_create_son']?>"){
			str = '<input type="text" class="task-son" id="task-son" />';
			$(this).html(str);
			$("#task-son").focus();			
		}
	})
	function createNewSon($this,pid){
		var name = $this.val();
		if(name!=''){
			$this.val('');
			$.ajax({
				type:"POST",
				data:"opt=create&date=4&name="+name+"&pid="+pid,
				url:"/general/task/mytask/do.php"
			}).done(function(result){
				if(result!=0){
					$.pnotify({text:"<?=$_lang['task_add_success']?>",type:"success"});
					var data = $.parseJSON(result);
					var str = '<li data="'+data['TASK_ID']+'">'
							+	'<span class="task-name">'+data['TASK_NAME']+'</span>'
							+	'<span class="task-creater">'+data['USER_NAME']+'</span>'
							+	'<span class="task-opt">'
							+		'<span class="complate"><i title="<?=$_lang[task_mark_done]?>" class="fa fa-check"></i></span>'
							+		'<span class="dis-complate" style="display:none;"><i title="<?=$_lang[task_mark_doing]?>" class="fa fa-check"></i></span>'
							+		'<span class="dis-attention" style="display:none;" ><i title="<?=$_lang[task_cacel_attention]?>" class="fa fa-star-o"></i></span>'
							+		'<span class="attention" ><i title="<?=$_lang[task_add_attention]?>" class="fa fa-star"></i></span>'
							+		'<span class="del-task"><i title="<?=$_lang[task_del_task]?>"  class="fa fa-times"></i></span>'
							+	'</span>'
					 		+'</li>';
					 	$this.parent().html("<?=$_lang['task_create_son']?>");
					 	$(".form-son ul").append(str);
				}
				return false;
			})				
		}else{
			$this.parent().html("<?=$_lang['task_create_son']?>");
		}		
	}
	$(".create-son").on({
		blur:function(){
			var pid = $(".form-base").attr("data");
			createNewSon($(this),pid);
		},
		keypress:function(event){
            if(event.keyCode == "13"){
				var pid = $(".form-base").attr("data");
				createNewSon($(this),pid);
            }
		}
	},'#task-son');	

	//========新建子任务结束==============
	//========添加附件开始==============	
	$("#file_elem").Upload({
		height:24,
		width:24,
		uploadType:'OTHER',
		showToolTip:false,
		queueID:'uploaddiv',
		buttonText: '<div style="font-size:20px;font-weight:bold;text-align:center;line-height:20px;margin:-6px 0 0 -7px;">+</div>',
		onUploadSuccess:function(attachmentID,attachementName){
			var attachmentIDStr = $("#attachmentIDStr").val()+attachmentID+",";
			var attachmentNameStr = $("#attachmentNameStr").val()+attachementName+"*";
			$("#attachmentIDStr").val(attachmentIDStr);
			$("#attachmentNameStr").val(attachmentNameStr);
		},
		onQueueComplete:function(){
			var data = $("#form1").serialize();
				data = data+"&opt=editAttInfo";
				$.ajax({
					type:"POST",
					data:data,
					url:"/general/task/mytask/do.php"
				}).done(function(result){
					$("#attachmentIDStr").val('');
					$("#attachmentNameStr").val('');
				});
		},
		onDialogClose:function(){
			$("#file_elem").uploadify("upload", "*");
		}
	});	
	//========添加附件结束==============	

	//删除参与人
	$(".participant").on({
		click:function(){
			var uid = $(this).parent().attr('data');
			var name = $(this).parent().attr('name');
			var tid   =	$(".form-base").attr("data");
			var $this = $(this);
		    $.ajax({
		        url:"/general/task/mytask/do.php",
		        type:"POST",
		        data:"opt=delParticipant&USER_ID="+uid+"&TASK_ID="+tid+"&USER_TYPE=1"
		    }).done(function(result){
		    	var pids = $('#PARTICIPANT_ID').val();
		    	var npids = pids.replace(uid+',', '');
		    	$('#PARTICIPANT_ID').val(npids)
		    	var pnames = $('#PARTICIPANT_NAME').val();
		    	var npnames = pnames.replace(name+',', '');
		    	$('#PARTICIPANT_NAME').val(npnames)
		    	$this.parent().remove();
		    });
		}			
	},'.del')
	//删除分享人
	$(".share").on({
		click:function(){
			var uid = $(this).parent().attr('data');
			var name = $(this).parent().attr('name');
			var tid   =	$(".form-base").attr("data");
			var $this = $(this);
		    $.ajax({
		        url:"/general/task/mytask/do.php",
		        type:"POST",
		        data:"opt=delParticipant&USER_ID="+uid+"&TASK_ID="+tid+"&USER_TYPE=3"
		    }).done(function(result){
		    	var pids = $('#SHARE_ID').val();
		    	var npids = pids.replace(uid+',', '');
		    	$('#SHARE_ID').val(npids)
		    	var pnames = $('#SHARE_NAME').val();
		    	var npnames = pnames.replace(name+',', '');
		    	$('#SHARE_NAME').val(npnames)
		    	$this.parent().remove();
		    });	
	    }		
	},'.del')

	//删除文档
	$('#DOC_NAME').on({
		click:function(){
			var did   = $(this).parent().attr('data');
			var tid   =	$(".form-base").attr("data");
			var $this = $(this);
		    $.ajax({
		        url:"/general/task/mytask/do.php",
		        type:"POST",
		        data:"opt=delDoc&CONTRAT_DOC="+did+"&TASK_ID="+tid
		    }).done(function(result){
		    	var dids = $('#CONTRAT_DOC').val();
		    	var ndids = dids.replace(did+',', '');
		    	$('#CONTRAT_DOC').val(ndids)
		    	$this.parent().remove();
		    });	
		}
	},'.del');

})

//选择参与人
function getParticipantUsers(uids,unames){
	uidArr = uids.split(",");
	unameArr = unames.split(",");
	var str = '';
	var len = uidArr.length;
	for (var i = 0; i < len; i++) {
		var uid = uidArr[i];
		var uname = unameArr[i];	
		var userInfo = getUserInfo(uid);
		if(uid!=''){
			str +=	'<span name="'+uname+'" data="'+uid+'" class="single-opt participant-user">'+userInfo+'<i class="del fa fa-times"></i></span>';
		}
	}
	$(".participant.task-single-opt").html(str);
	updateTaskUser(uids,'participant')		
}
//选择分享人
function getShareUsers(uids,unames){
	uidArr = uids.split(",");
	unameArr = unames.split(",");
	var str = '';
	var len = uidArr.length;
	for (var i = 0; i < len; i++) {
		var uid = uidArr[i];
		var uname = unameArr[i];
		var userInfo = getUserInfo(uid);
		if(uid!=''){
			str +=	'<span name="'+uname+'" data="'+uid+'" class="single-opt share-user">'+userInfo+'<i class="del fa fa-times"></i></span>';
		}
	}
	$(".share.task-single-opt").html(str);	
	updateTaskUser(uids,'share')			
}	
//修改参与人和分享人
function updateTaskUser(uids,userType){
	var TASK_ID = $(".form-base").attr("data");
	if(userType=='participant'){
		var PARTICIPANT_ID = uids;
		var SHARE_ID = $('#SHARE_ID').val();
	}else if(userType=='share'){
		var SHARE_ID = uids;
		var PARTICIPANT_ID = $('#PARTICIPANT_ID').val();
	}
	var data="TASK_ID="+TASK_ID+"&PARTICIPANT_ID="+PARTICIPANT_ID+"&SHARE_ID="+SHARE_ID;
	editTaskInfo(data);	
	
	$(".task-form").height($(window).height()-40).niceScroll();
	$(".task-form").getNiceScroll().resize();	
}


</script>