<?
/**
 *@systemname:       E-Office
 *@filename:         general/task/mytask/task_read.php
 *@function:         任务管理
 *@encoding:         $_lang['encoding']
 *@file Version:     1.0
 *@eoffice Version:  9.0
 *@author:           qishaobo|www.weaver.com.cn
 *@modify            qishaobo
 *@date:             2015-03-05
*/
	include_once("inc/auth.php"); 
	include_once("inc/utility_all.php");
	include_once("inc/common.inc");
	include_once("api/field_set.class.php");
	include_once("inc/function_page_01.php");
	include_once("api/calendar.class.php");
	include_once("inc/function_calendar.php");
	include_once("api/labels.class.php");
	includelangpak("task");
	include_once("../public/helper.php");	
	include_once ("inc/function_usergeneral.php");
?>
<div class="lazy_header">
	<div class="arrow" id="arrow"></div>
	<span class="lazy-page-title">
		<i class="fa fa-book"></i>
		<span class="tip"><?=$_lang['task_check']?></span>
	</span>	
</div>
<div class="task-form">
<div id="task-base">
	<div class="form-base" data="<?=$task['TASK_ID']?>">
		<p><?=$_lang['task_base_info']?></p>
		<div class="field field-height">
			<span class="field-value title">
				<input type="text" name="TASK_NAME" class="task-name text border task-title <?if($task['TASK_STATUS']==2){?>done<?}?>" style="border:none;cursor:default;"  readonly="true"  data="<?=$task['TASK_NAME']?>" value="<?=$task['TASK_NAME']?>" />
			</span>
			<span class="task-important">
				<?if($task['IMPORTANT_LEVEL']==1){?><i title="<?=$_lang['task_important']?>" class="fa fa-exclamation important active"></i><?}?>
			</span>				
		</div>
		<?if(!empty($task['TASK_DESCRIPTION'])){?>
		<div class="field task-description">
			<table>
			<tr>
				<td>
					<textarea id="task-desc" readonly="readonly" class="border desc-con" style="overflow:hidden;" name="DESCRIPTION"><?=$task['TASK_DESCRIPTION']?></textarea>
				</td>
			</tr>
			</table>
		</div>				
		<?}?>
		<?if($task['END_DATE']>0){?>
		<div class="field field-height">
			<label><?=$_lang['task_end_date']?></label>
			<span class="field-value" >
					<?echo date('Y-m-d',$task['END_DATE']);?>
			</span>
		</div>
		<?}?>
		<?if(!empty($taskUsers['join']['user_name'])){?>
		<div class="field">
		<table>
			<tr class="field-add">
				<td class="title"><?=$_lang['task_join_user']?></td>
					<td class="con">
						<span class="participant task-single-opt"> 
				    <?
				    $uidArr = $unameArr = $users = array();
				    if(!empty($taskUsers['join']['user_id'])){
				    	$uidArr = explode(",",$taskUsers['join']['user_id']);
				    	$unameArr = explode(",",$taskUsers['join']['user_name']);
				    	$users = array_combine($uidArr,$unameArr);
				    }
	                if(!empty($users)){
						foreach($users as $k=>$v){
							if(!empty($v)){
					?>
							<span name="<?=$v?>" data="<?=$k?>" data="<?=$v['CONTENT_ID']?>"  class="single-opt read participant-user">
								<?=showUserGeneral($k);?>
							</span>
                	<?
	                		}
						}	
					}
					?>
						</span>
					</td>
			</tr>
		</table>
		</div>
		<?}?>
		<?if(!empty($taskUsers['share']['user_name'])){?>
		<div class="field" >
		<table>
			<tr class="field-add">
				<td class="title"><?=$_lang['task_share_to']?></td>
				<td class="con">
					<span class="share task-single-opt"> 
					<?
				    $uidArr = $unameArr = $users = array();
				    if(!empty($taskUsers['share']['user_id'])){
				    	$uidArr = explode(",",$taskUsers['share']['user_id']);
				    	$unameArr = explode(",",$taskUsers['share']['user_name']);
				    	$users = array_combine($uidArr,$unameArr);
				    }
	                if(!empty($users)){
						foreach($users as $k=>$v){
							if(!empty($v)){
					?>
						<span name="<?=$v?>" data="<?=$k?>" class="single-opt read share-user"><?=showUserGeneral($k);?></span>
	                <?
	                		}
						}	
					}
					?>
					</span>				
				</td>
			</tr>
		</table>
		</div>
		<?}?>
		<?if(!empty($taskTags)){?>
		<div class="field">
			<table>
				<tr class="field-add">
					<td class="title"><?=$_lang['task_tag']?></td>
					<td class="con">
						<span id="labelsSpan" class="task-single-opt tags">
				        <?
		            	$tagIds = '';
		                if(!empty($taskTags)){
							foreach($taskTags as $taskTag){
								if(!empty($taskTag['TAG_NAME'])){
									$tagIds .= $taskTag['TAG_ID'].",";
						?>
								<span data="<?=$taskTag['TAG_ID']?>"  class="single-opt read tag">
									<span ><?=$taskTag['TAG_NAME']?></span>
								</span>
		          		 <?
		                		}
							}	
						}
						?>
                		</span>
					</td>
				</tr>
			</table>
		</div>
		<?}?>													
	</div>
	<?if(!empty($taskSons)){?>
	<div class="form-son">
		<p><?=$_lang['task_son']?></p>
		<ul>
			<?foreach($taskSons as $son){?>
			<?if($son['TASK_STATUS']>0){?>
				<li data="<?=$son['TASK_ID']?>">
					<span class="task-name son <?if($son['TASK_STATUS']==2){?>done<?}?>"><?=$son['TASK_NAME']?></span>
					<span class="task-creater <?if(strpos('-'.$taskUsers['join']['user_id'],$_SESSION['LOGIN_USER_ID'].',')&&$son['USER_TYPE']!=3){?>no-hover<?}?>"><? echo showUserGeneral($son["USER_ID"]);?></span>
					
					<span class="task-opt">
					<?if(strpos('-'.$taskUsers['join']['user_id'],$_SESSION['LOGIN_USER_ID'].',')&&$son['USER_TYPE']!=3){?>
						<span class="complate" <? if($son['TASK_STATUS']==2){?> style="display:none;" <?}?> ><i title="<?=$_lang['task_mark_done']?>" class="fa fa-check"></i></span>
						<span class="dis-complate"<? if($son['TASK_STATUS']==1){?> style="display:none;" <?}?>  ><i  title="<?=$_lang['task_mark_doing']?>" class="fa fa-check"></i></span>
					<?}?>		
						<span class="dis-attention" <? if(empty($son['ATTENTION'])){?> style="display:none;" <?}?> ><i title="<?=$_lang['task_cacel_attention']?>" class="fa fa-star-o"></i></span>
						<span class="attention" <? if(!empty($son['ATTENTION'])){?> style="display:none;" <?}?> ><i title="<?=$_lang['task_add_attention']?>" class="fa fa-star"></i></span>
					<?if($son['USER_ID']==$_SESSION['LOGIN_USER_ID']){?>
						<span class="del-task"><i title="<?=$_lang['task_del_task']?>"  class="fa fa-times"></i></span>
					<?}?>
					</span>
									
				</li>
			<?}?>
			<?}?>
		</ul>
	</div>
	<?}else if(!empty($taskParent)){?>
	<div class="form-son">
		<p><?=$_lang['task_parent']?></p>
		<ul>
			<li class="parent" data="<?=$taskParent['TASK_ID']?>"><span class="task-name parent"><?=$taskParent['TASK_NAME']?></span><span class="task-creater"  style="display:inline-block;"><? echo showUserGeneral($taskParent["USER_ID"]);?></span></li>
		</ul>
	</div>
	<?}?>
<?if(!empty($taskAtts)||!empty($task['CONTRAT_DOC'])||$joinType==1){?>
	<div class="form-relative">
		<p><?=$_lang['task_relation']?></p>
		<form enctype="multipart/form-data" action="do.php" method="POST" name="form1" id="form1">
		<div class="field attachments" <? if(empty($taskAtts)&&$joinType!=1) echo 'style="display:none;"' ?> >
		<table>
			<tr class="field-add">
				<td class="title"><?=$_lang['task_attachment']?></td>
				<td class="con">
					<span class="field-width">
						<span id="uploaddiv" class="uploadify-queue" >
							<? echo getAttachment($taskAtts,$_SESSION['LOGIN_USER_ID']);?>
						</span>
						<span class="attachment-button" <?if($joinType!=1) echo 'style="display:none;"' ?> >
							<input type="file" id="file_elem" name="file_elem">
						</span>
					</span>
					<input type="hidden" name="attachmentIDStr" value="" id="attachmentIDStr"/>
					<input type="hidden" name="attachmentNameStr" value="" id="attachmentNameStr"/>
					<input type="hidden" name="TASK_ID" value="<?=$task['TASK_ID']?>" />	
				</td>
			</tr>
		</table>
		</div>
		</form>		
		<div class="field docs" <? if(empty($task['CONTRAT_DOC'])) echo 'style="display:none;"' ?> >
			<table>
				<tr>
					<td class="title"><?=$_lang['task_doc']?></td>
					<td class="con">
						<span id="DOC_NAME" class="task-single-opt">
							<?
								$docs=$taskObj->getTaskDoc($task['CONTRAT_DOC']);
								if(!empty($docs)){
									foreach($docs as $v){
							?>
										<span data="<?=$v['CONTENT_ID']?>"  class="single-opt doc-opt read">
											<span class="single-link" onclick="openDocumentsWindows('<?=$v[CONTENT_ID]?>&docStr=<?=$v[SUBJECT]?>','');" ><?=$v['SUBJECT']?></span>
										</span>
							<?
									}
								}
							?>
						</span>
					</td>
				</tr>
			</table>			
		</div>
	</div>
</div>
<?}?>
<div class="form-feedback">
	<p><?=$_lang['task_feedback']?></p>
	<div id="form-feedback">
		<form action="do.php">
			<textarea id="feedback-con"></textarea>
			<div class="opt">
				<input type="button" id="task-feedback-sub" value="<?=$_lang['task_submit']?>">
			</div>
		</form>
	</div>
	<?php
		if(!empty($feedbacks['con'])){
			foreach($feedbacks['con'] as $feedback){
	?>
			<div class="feedback-list">
				<div class="feedback">
					<span><span class="username"><? echo showUserGeneral($feedback["USER_ID"]);?></span> <?=$feedback['FB_DATE']?></span>
					<div>
						<?=$feedback['FB_CONTENT']?>
					</div>
				</div>
			</div>	
	<?php
			}
		}
	?>
	<?php
		if($feedbacks['num']>0){
	?>
			<div id="feedback-more" class="more" page="2"><?=$_lang['task_list_more']?></div>		
	<?php
		}
	?>						
</div>
<div class="form-record">
	<p><?=$_lang['task_log']?></p>
	<ul id="log">
		<?
		if(!empty($logs['con'])){
			foreach($logs['con'] as $log){
		?>
		<li>
			<span class="log-user"><? echo showUserGeneral($log["USER_ID"]);?></span>
			<span class="log-con"><?=$log['LOG_CON']?></span>
			<span class="log-time"><?=$log['LOG_TIME']?></span> 
		</li>
		<?
			}			
		}
		?>		
	</ul>
	<?
	if($logs['num']>0){
	?>
	<div class="more" id="log-more" page="2"><?=$_lang['task_list_more']?></div>
	<?
	}
	?>
</div>
</div>
<? showUserGeneralDiv()?>
<script type="text/javascript">
$(function() {
	$(".task-form").height($(window).height()-40).niceScroll();	
	$("#task-desc").autosize();

	$('.field-add').mouseenter(function(){
		$(this).find("#file_elem-button").show();
	}).mouseleave(function(){
		$(this).find("#file_elem-button").hide();
	})	

	//========添加附件开始==============	
	$("#file_elem").Upload({
		height:24,
		width:24,
		uploadType:'OTHER',
		showToolTip:false,
		queueID:'uploaddiv',
		buttonText: '<div style="font-size:20px;font-weight:bold;text-align:center;line-height:20px;">+</div>',
		onUploadSuccess:function(attachmentID,attachementName){
			var attachmentIDStr = $("#attachmentIDStr").val()+attachmentID+",";
			var attachmentNameStr = $("#attachmentNameStr").val()+attachementName+"*";
			$("#attachmentIDStr").val(attachmentIDStr);
			$("#attachmentNameStr").val(attachmentNameStr);
		},
		onQueueComplete:function(){

			var data = $("#form1").serialize();
				data = data+"&opt=editAttInfo";
				$.ajax({
					type:"POST",
					data:data,
					url:"/general/task/mytask/do.php"
				}).done(function(result){
					$("#attachmentIDStr").val('');
					$("#attachmentNameStr").val('');
				});	
		},
		onDialogClose:function(){
			$("#file_elem").uploadify("upload", "*");
		}
	});	
	//========添加附件结束==============	

})
</script>