<?php
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function     我的用车处理页面
* @encoding      $_lang['encoding']
* @name          general/vehicles/myapplydo.php
* @version       1.0
* @author        liuqingyu
*/
include_once ("inc/auth.php");
include_once ("inc/utility_all.php");
include_once ("inc/meet_vehicle.php");
include_once ("inc/function_picture.php");
include_once("inc/function_usergeneral.php");
include_once ("api/vehicles.class.php");
includelangpak("vehicles");

$type = $_REQUEST["type"];
$vehicles = new vehicles ();

switch($type){
	case "analysis_list":
		$applySearch = '';
		$vehiclesSearch = '';

		//高级查询
		$searchParam = $_REQUEST['searchParam'];
		//筛选
		$quickParam = $_REQUEST["quickParam"];
		//字段查询
		$carModel = $_REQUEST["car_model"];

		if($searchParam) {
			foreach ($searchParam as $key => $value) {
				switch ($key) {
					case 'car_model':
						if($value != '') {
							$vehiclesSearch .= " AND V_MODEL LIKE '%" . $value . "%'";
						}
						break;
					case 'car_number':
						if($value != '') {
							$vehiclesSearch .= " AND V_NUM LIKE '%" . $value . "%'";
						}
						break;
					case 'apply_user':
						if($value != '') {
							$applySearch .= " AND VA_PERSON IN ('" . str_replace(",", "','", substr($value, 0, -1)) . "')";
						}
						break;
					case 'begin_time':
						if($value != '') {
							$beginTimeArray = array_filter(explode('--', $value));

							if(count($beginTimeArray) == 1) {
								$applySearch .= " AND VA_BEGIN_TIME > '" . $beginTimeArray[0] . "'";
							}else if(count($beginTimeArray) == 2) {
								$applySearch .= " AND VA_BEGIN_TIME BETWEEN '" . $beginTimeArray[0] . "' AND '" . $beginTimeArray[1] . "'";
							}
							// file_put_contents('d://11.txt', $applySearch);
						}
						break;
					case 'end_time':
						if($value != '') {
							$endTimeArray = array_filter(explode('--', $value));

							if(count($endTimeArray) == 1) {
								$applySearch .= " AND VA_END_TIME > '" . $endTimeArray[0] . "'";
							}else if(count($endTimeArray) == 2) {
								$applySearch .= " AND VA_END_TIME BETWEEN '" . $endTimeArray[0] . "' AND '" . $endTimeArray[1] . "'";
							}
						}
						break;
					case 'apply_status':
						if($value != '') {
							switch ($value) {
								case 'checking':
									$applySearch .= " AND VA_STUATE = 1";
									break;
								case 'approved':
									$applySearch .= " AND VA_STUATE = 2";
									break;
								case 'refuse':
									$applySearch .= " AND VA_STUATE = 3";
									break;
								case 'returning':
									$applySearch .= " AND VA_STUATE = 4";
									break;
								case 'returned':
									$applySearch .= " AND VA_STUATE >= 5";
									break;
							}
						}
						break;
				}
			}
		}elseif($quickParam) {
			switch ($quickParam) {
				case 'this_week':
					$startTime = date('Y-m-d H:i:s', strtotime(date('Y-m-d').' 00:00:00') - 86400 * (date('w') ? date('w') - 1 : 6));
					$endTime   = date('Y-m-d H:i:s', strtotime(date('Y-m-d').' 23:59:59') + 86400 * (date('w') ? 7 - date('w') : 0));
					break;
				case 'this_month':
					$startTime = date('Y-m') . '-01 00:00:00';
					$endTime   = date('Y-m') . '-' . date('t') . ' 23:59:59';
					break;
				case 'this_year':
					$startTime = date('Y') . '-01-01 00:00:00';
					$endTime   = date('Y') . '-12-31 23:59:59';
					break;
				
				default:
					$startTime = '';
					$endTime   = '';
					break;
			}

			if($startTime && $endTime) {
				$applySearch .= " AND VA_BEGIN_TIME BETWEEN '" . $startTime . "' AND '" . $endTime . "'";
			}
		}elseif($carModel) {
			$vehiclesSearch .= " AND V_MODEL LIKE '%" . $carModel . "%'";
		}

		//分页
		$limitRows =$_REQUEST["itemsPerPage"];
		$limitOffset =$_REQUEST["currentPage"] * $limitRows;

		$orders = " ORDER BY VA_BEGIN_TIME DESC";
		$limits = " LIMIT " . $limitOffset . ',' . $limitRows;

		$listInfo = $vehicles->getAnalysisList($vehiclesSearch, $applySearch, $orders, $limits);

		foreach ($listInfo['list'] as $key => $value) {
			if(is_array($value)) {
				switch ($value['state']) {
					case '1':
						$listInfo['list'][$key]['stateText'] = $_lang["vehicles_checking"];
						break;
					case '2':
						$listInfo['list'][$key]['stateText'] = $_lang["vehicles_approved"];
						break;
					case '3':
						$listInfo['list'][$key]['stateText'] = $_lang["vehicles_not_approve"];
						break;
					case '4':
						$listInfo['list'][$key]['stateText'] = $_lang["vehicles_returnning"];
						break;
					case '5':
					case '7':
						$listInfo['list'][$key]['stateText'] = $_lang["vehicles_returned"];
						break;
					
					default:
						$listInfo['list'][$key]['stateText'] = '';
						break;
				}
			}
		}

		echo json_encode($listInfo);
	break;
}