<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的资产--车辆审核
* @encoding      $_lang['encoding']
* @name          general/car/examine.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php");
includelangpak("asset");
includelangpak("hr");
includelangpak("other");
includelangpak("vehicles");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
include_once("inc/function_picture.php");
include_once("api/vehicles.class.php");
include_once("inc/function_usergeneral.php");
$vehicles = new vehicles();
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('603,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
//用车冲突
$conflict_num = $vehicles->num_conflict();
$showConNum = $conflict_num['subnum'];
$showConCarid = $conflict_num['car_id'];
$PAGE_TITLE = $_lang["asset_vehicles_analysis"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/general/vehicles/css/vehicels.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<body>
<input type="hidden" id="checkDiffRemind" name="checkDiffRemind">
<div id="Message"></div>
<div style="width:100%">
    <div id="vehiclesHead" class="right_main_wrap">
        <div class="lazy_header">
            <div class="filter_wrap" style="height:0px;"></div>
            <button type="button" class="btn btn-primary" id="export"><?=$_lang["hr_export"]?></button>
            <div class="search_wrap" style="margin-top:5px;float:right;"></div>
        </div>
        <div id="checkExamine" style="width:100%"></div>
    </div>
    <div id="checkInforSpan" style="width:100%; display:none;"></div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/general/vehicles/vehicles_all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/date.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-daterangepicker/js/daterangepicker.jQuery.compressed.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script language="javascript">
$(function() {
	//筛选参数,高级查询参数,字段查询参数
	var filterData = "";
	var searchParam = "";
	var searchValue = "";

	$("#checkExamine").LazyTable({
		page : {
			callback : function(page) {
				$("#checkExamine").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		column : [{
			key : "car_model",
			title : '<?=$_lang["vehicles_type_name"]?>'
		},{
			key : "car_number",
			title :  '<?=$_lang["vehicles_number"]?>'
		}, {
			key : "apply_user",
			title : '<?=$_lang["vehicles_apply_man"]?>'
		}, {
			key : "begin_time",
			title : '<?=$_lang["vehicles_use_start"]?>'
		}, {
			key : "end_time",
			title : '<?=$_lang["vehicles_use_end"]?>'
		}, {
			key : "apply_mileage",
			title : '<?=$_lang["vehicles_mileage"]?>'
		}, {
			key : "apply_oil",
			title : '<?=$_lang["vehicles_use_oil"]?>'
		}, {
			key : "stateText",
			title : '<?=$_lang["vehicles_status"]?>'
		}],
		dataSource : "/general/vehicles/analysis/do.php",
		param : {
			type : "analysis_list",
			sortField : "VA_BEGIN_TIME",
			sortType : "DESC"
		},
		page : {
			callback:function(page){
				$("#checkExamine").LazyTable("reload", {
					page:{
						currentPage:page
					}
				});
			}
		},
	});
	/*
	 * 筛选
	 */
	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			searchParam = "";
			searchValue = "";
			filterData = data;

			$("#checkExamine").LazyTable("reload", {
				param : {
					quickParam : data
				},
				page: {
            		currentPage: 0
        		}
			});
		},
		common : {
			template : "{title}",
			dataSource : [
				{
					key: "all",
					title: "<?=$_lang['vehicles_all']?>"
				},
				{
					key: "this_week",
					title: "<?=$_lang['vehicles_apply_week']?>"
				},
				{
					key: "this_month",
					title: "<?=$_lang['vehicles_apply_month']?>"
				},
				{
					key: "this_year",
					title: "<?=$_lang['vehicles_apply_year']?>"
				}
			]
		}
	});
	/**
	 * 查询
	 */
	$(".search_wrap").LazySearch({
		tip : "<?=$_lang['vehicles_search_name']?>",
		fieldSearch : {
			onItemClick : function(data, value) {
				filterData = "";
				searchParam = "";
				searchValue = value;
				$( ".filter_wrap" ).LazyFilter( "select","all" );

				$("#checkExamine").LazyTable("reload", {
					param:{
						car_model: value
					},
					page: {
                		currentPage: 0
            		}
				});
			},
			items : [{
				key : "car_model",
				title : '<?=$_lang["vehicles_car_name_have"]?>'
			}]
		},
		advancedSearch : {
			onSearch : function(data) {
				data.apply_user = $("#APPLIER_ID").val();

				filterData = "";
				searchValue = "";
				searchParam = data;
				$( ".filter_wrap" ).LazyFilter( "select","all" );

				$("#checkExamine").LazyTable("reload", {
					param : {
						searchParam : data
					},
					page: {
                		currentPage: 0
            		}
				});
			},
			items : [{
				key : "car_model",
				title : '<?=$_lang["vehicles_car_name"]?>',
				type : "text"
			}, {
				key : "car_number",
				title : '<?=$_lang["vehicles_number"]?>',
				type : "text"
			}, {
				key : "apply_user",
				title : '<?=$_lang["vehicles_apply_man"]?>',
				html : "<form id='form1' name='form1'><input type='text' name='APPLIER' id='APPLIER' readonly><input type='hidden' name='APPLIER_ID' id='APPLIER_ID'><button class='btn btn-primary' type='button' id='choose' onClick=\"LoadWindowUser('APPLIER_ID','APPLIER','form1');\"><?=$_lang["common_choose"]?></button><button class='btn btn-danger' type='button' id='clean' onClick=\"clearConten('APPLIER_ID','APPLIER','form1');\"><?=$_lang["common_empty"]?></button></form>"
			}, {
				key : "begin_time",
				title : '<?=$_lang["vehicles_use_start"]?>',
				type : "text"
			}, {
				key : "end_time",
				title : '<?=$_lang["vehicles_use_end"]?>',
				type : "text"
			}, {
				key: 'apply_status',
				title: '<?=$_lang["vehicles_status"]?>',
				type: 'select',
				dataList : [{
					key : "all",
					title : '<?=$_lang["vehicles_all"]?>'
				}, {
					key : "checking",
					title : '<?=$_lang["vehicles_checking"]?>'
				}, {
					key : "approved",
					title : '<?=$_lang["vehicles_approved"]?>'
				}, {
					key : "refuse",
					title : '<?=$_lang["vehicles_not_approve"]?>'
				}, {
					key : "returning",
					title : '<?=$_lang["vehicles_returnning"]?>'
				}, {
					key : "returned",
					title : '<?=$_lang["vehicles_returned"]?>'
				}]
			}]
		},
		onClearButtonClick:function()
		{
			$("#checkExamine").LazyTable("reload");
		}
	});
	$(":text[key='begin_time']").daterangepicker({
		presetRanges:[],
	    dateFormat: "yy-mm-dd",
	    rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
	    rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
	    nextLinkText: '>',
	    prevLinkText: '<',
	    rangeSplitter: "--",
	    doneButtonText: EOlang.msgSubmit,
	    presets: {
	        dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
	    }
	});
	$(":text[key='begin_time']").attr('readonly',true);
	$(":text[key='end_time']").daterangepicker({
		presetRanges:[],
	    dateFormat: "yy-mm-dd",
	    rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
	    rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
	    nextLinkText: '>',
	    prevLinkText: '<',
	    rangeSplitter: "--",
	    doneButtonText: EOlang.msgSubmit,
	    presets: {
	        dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
	    }
	});
	$(":text[key='end_time']").attr('readonly',true);

	//提示语
	$("#Message").LazyMessage({
		ofTarget : "body"	
	});
	//导出的操作
	$("#export").click(function() {
		if(searchParam != '') {
			searchParam = JSON.stringify(searchParam);
		}

		location.href = "export_do.php?filterData="+filterData+"&searchParam="+searchParam+"&searchValue="+searchValue;
	});
});	
</script>