<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的资产--车辆管理
* @encoding      $_lang['encoding']
* @name          general/car/manage.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
includelangpak("asset");
includelangpak("other");
includelangpak("vehicles");
include_once("inc/utility_all.php");
include_once("inc/function_picture.php");
include_once("general/system/combox/packaging.php");
include_once("api/vehicles.class.php");
include_once ("inc/meet_vehicle.php");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('604,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$PAGE_TITLE = $_lang["asset_vehicle_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="css/vehicels.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style type="text/css">
/*  .lazy_header .form_table .bootstrap-select{
    border:1px solid #ddd;
  }*/
</style>
<body>
<input type="hidden" id="tabsCurrSelected" name="tabsCurrSelected" value="0">
<input type="hidden" id="chooseVehiclesId" name="chooseVehiclesId">
<input type="hidden" id="chooseDoid" name="chooseDoid">
<!-- <div id="viewMessage"></div> -->

<div class="left_list_wrap">
    <div class="lazy_header">
        <div style="float:left; margin-top:5px;">
            <select id="QuickSearch">
                <option value="all"><?=$_lang["vehicles_all"]?></option>
                <optgroup label='<?=$_lang["vehicles_use_status"]?>'>
                    <option value="rest"><?=$_lang["vehicles_unuse"]?></option>
                    <option value="use"><?=$_lang["vehicles_using"]?></option>
                </optgroup>
                <optgroup label='<?=$_lang["vehicles_maintain_status"]?>'>
                    <option value="maintain_no"><?=$_lang["vehicles_no_maintain"]?></option>
                    <option value="maintain_ready"><?=$_lang["vehicles_will_maintain"]?></option>
                    <option value="maintain_ing"><?=$_lang["vehicles_in_maintain"]?></option>
                </optgroup>
            </select> 
        </div>
        <div class="show_button">
        	<button id="button_view" type="button" class="btn btn-primary"><?=$_lang["vehicles_new"]?></button>
        </div>
    </div>
    <div id="left_list"></div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <div id="showTitleText" style="float:left">
        	<span class="lazy-page-title">
                <i class="fa fa-page-title"></i>
                <span class="tip"><?=$_lang["vehicles_new_car"]?></span>
            </span>
        </div>
        <div id="right_table">
            <ul id="vehiclesTabs" style=" height:40px;">
                <li><a id="useRecord" href="/general/vehicles/manage/record.php"><?=$_lang["vehicles_use_record"]?></a></li>
                <li><a id="mantianRecord" href="/general/vehicles/manage/maintain.php"><?=$_lang["vehicles_use_maintain"]?></a></li>
                <li><a id="view" href="#newVehicleSpan"><?=$_lang["vehicles_detail"]?></a></li>
            </ul>
        </div>
        <button type="button" id="viewSumbit" class="btn btn-primary"><?=$_lang["vehicles_new_submit"]?></button>
    </div>
    <div id="newVehicleSpan">
        <div id="editSubmitBtn" class="lazy_sub_header" style="display:none">
        	<span class="lazy-page-title">
                <i class="fa fa-page-title"></i>
                <span class="tip"><?=$_lang["vehicles_edit_car"]?></span>
            </span>
            <button type="button" id="viewEditSumbit" class="btn btn-primary"><?=$_lang["vehicles_submit"]?></button>
        </div> 
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td valign="top">
                  <form id="formview" name="formview" method="post" action="/general/vehicles/manage/insert.php" enctype="multipart/form-data">
                  <input type="hidden" id="car_id" name="car_id" value="<?=$vehiclesId?>">
                  <table width="100%" border="0" cellspacing="1" cellpadding="5" class="form_table">
                      <tr>
                          <td class="title"><?=$_lang["asset_factory_type"]?></td>
                          <td >
                              <!-- <input name="model" id="model" type="text" onKeyUp="vehi_CheckRequire(this);" maxlength="80" onblur="delete_bank(this);characters_change(this,'high');vehi_CheckRequire(this);" onChange="delete_bank(this);characters_change(this,'high');" class="require"> -->
                              <input name="model" id="model" type="text" onKeyUp="vehi_CheckRequire(this);" maxlength="80" onblur="vehi_CheckRequire(this);delete_bank(this);" onChange="delete_bank(this);characters_change(this,'high');" class="require">
                          </td>
                          <td class="title"><?=$_lang["asset_vehicles_type"]?></td>
                          <td >
                              <select id="vehicle_type" width="148" name="vehicle_type">
                              </select>
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["asset_car_id"]?></td>
                          <td>
                            <input type="hidden" id="vehicle_num" name="vehicle_num" />
                            <div style="float:left">
                              <input name="num" id="num" type="text" onKeyUp="vehi_CheckRequire(this);" maxlength="80" onblur="vehi_CheckRequire(this);delete_bank(this);checkreapt(this);" onChange="delete_bank(this);characters_change(this,'high');" class="require">
                            </div>
                            <div id="checknum" name="checknum" style="float:left;margin-left:10px;display:none;padding-top:10px">
                              <!-- <img src="/theme/8series/default/images/vehicles/warning.png" /> -->
                              <font color="#FF0000"><?=$_lang["asset_vehicles_checkreptea"]?></font>
                            </div>
                          </td>
                          <td class="title"><?=$_lang["asset_vehicles_neworold"]?></td>
                          <td >
                              <select id="vehicle_oldornew" width="148" name="vehicle_oldornew">
                              </select>
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["asset_vehicles_driver"]?></td>
                          <td >
                              <input onblur="delete_bank(this);" type="text" id="drive_id" name="drive_id" maxlength="50">
                          </td>        
                          <td class="title"><?=$_lang["asset_vehicles_color"]?></td>
                          <td >
                              <input onblur="delete_bank(this);" name="color" id="color" type="text" maxlength="50">
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["asset_vehicles_buyprice"]?>(<?=$_lang["asset_vehicles_price_unit"]?>)</td>
                          <td >
                              <input onblur="delete_bank(this);" name="price" id="price" type="text" onchange="check_legal(this,'number')" maxlength="10">
                          </td>
                          <td class="title"><?=$_lang["asset_vehicles_buydate"]?></td>
                          <td >
                              <input onblur="delete_bank(this);" type="text" name="BEGIN_DATE" id="BEGIN_DATE"  maxlength="10" onchange="check_legal(this,'date')" value="<?=date('Y-m-d')?>"/>
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["asset_vehicles_space"]?></td>
                          <td >
                              <input onblur="delete_bank(this);" name="space" id="space" type="text" maxlength="50">
                          </td>
                          <td class="title"><?=$_lang["asset_vehicles_load"]?></td>
                          <td >
                              <input onblur="delete_bank(this);" name="load" id="load" type="text" maxlength="50">
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["asset_vehicles_speed"]?></td>
                          <td >
                              <input onblur="delete_bank(this);" name="speed" id="speed" type="text" maxlength="50">
                          </td>
                          <td class="title"><?=$_lang["asset_vehicles_mile"]?></td>
                          <td >
                              <input onblur="delete_bank(this);" name="mileage" id="mileage" type="text" maxlength="50">
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["asset_vehicles_egine"]?></td>
                          <td colspan="3">
                              <input onblur="delete_bank(this);" name="engine" id="engine" type="text" maxlength="50">
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["asset_vehicles_remark"]?></td>
                          <td colspan="3">
                              <textarea id="input_remark" name="input_remark" style="overflow:auto;" rows="5" cols="50%"></textarea>
                          </td>
                      </tr>
                      <tr>
                          <td class="title"><?=$_lang["vehicles_attachment"]?></td>
                          <td colspan="3">
                             <div id="showAttachSpan"></div>
                             <input type="file" id="file_elem" name="file_elem">
                             <input type="hidden" name="attachmentIDStr" id="attachmentIDStr"  />
                             <input type="hidden" name="attachmentNameStr" id="attachmentNameStr" />
                          </td>
                      </tr>
                   </table>
                  </form>
              </td>
            </tr>
            </tr>
        </table>        
    </div>
</div>


</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/general/vehicles/vehicles_all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<!--<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>-->
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$.pnotify.defaults.styling = "bootstrap3";
$.pnotify.defaults.closer = false;
$.pnotify.defaults.sticker = false;
$.pnotify.defaults.history = false;
$.pnotify.defaults.delay = 1000;
$.pnotify.defaults.addclass = "stack-topleft";
$.pnotify.defaults.animate_speed = 'fast';
$.pnotify.defaults.type = "error";
$(function() {
	//初始化页面
	initFirstPage();
  //文本框样式
  $(":text").css("width","150px");
	$("select").selectpicker({
		width:"150px"	
	});
  //上传附件
  $("#file_elem").Upload({
      uploadType:'OTHER',
      showToolTip:true,
      removeCompleted:true,
      onUploadSuccess:function(attachmentID,attachementName){
          $("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
          $("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
      },
      onQueueComplete:function(){
         $('#formview').ajaxSubmit(function(data){
          if(data){
            if($("#car_id").val()){
              $.pnotify({
                  text: '<?=$_lang["vehicles_edit_success"]?>',
                  type : "success"
              });
              $("#left_list").LazyList("reload");
            }else{
              $.pnotify({
                  text: '<?=$_lang["vehicles_add_success"]?>',
                  type : "success"
              });
              $("#left_list").LazyList("reload");
              $("#button_view").click();
            }
            $("#attachmentIDStr").val("");
            $("#attachmentNameStr").val("");
          }else{
            alert("error!");  
          }
        });
      }
  });
	$("#left_list").LazyList({
		/*width : 300,*/
		buttons : {
			  buttonInfor : {
				  "edit" : {
						title : "<?=$_lang["common_edit"]?>",
						func : function(data) {
							$("#showTitleText").hide();
							$("#editSubmitBtn .tip").html('<?=$_lang["vehicles_edit_car"]?>');
							$("#chooseVehiclesId").val(data.car_id);
							$("#tabsCurrSelected").val("2");
							$("#right_table").show();
							$("#viewSumbit").hide();
							$("#newVehicleSpan").hide();
							$("#view").click();	
							$( "#right_table" ).tabs( "load", 2);	
						}
					},
				  "delete" : {
					 title : '<?=$_lang["vehicles_delete"]?>',
					func : function(data) {
						bootbox.confirm('<?=$_lang["vehicles_sure_delete"]?>', function(result) {
							if(result){
								var data_id = data.car_id;
								//alert(data_id);
								$.ajax({
									type: "post", 
									url : "managedo.php", 
									data:"type=delete&dataid="+data_id
								}).done(function(result){
									if(result=="success"){
										$("#left_list").LazyList("reload");			
									}else if(result=="refuse"){
										//alert("<?=$_lang["asset_vehicles_check_single_delete"]?>");
                    $.pnotify({
                        text: "<?=$_lang["asset_vehicles_check_single_delete"]?>",
                        type : "info"
                    });
									}
								});				
							}	
						});
					}
				  }
			  },
			  filter : function(data) {
				 return ["edit","delete"];
			  }
		},
		itemListTemplate : '<div width="100%"><div id="{car_id}" style="float:left;width:40%" class="left_list_text" title="{car_model}">{car_model}</div><div style="float:left;width:10%">&nbsp;</div><div style="float:left;width:40%" class="left_list_text" title="{car_num}">{car_num}</div></div>',
		dataSource : "managedo.php",
		param : {
			type : "vehicle_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			$("#useRecord").attr("href","/general/vehicles/manage/record.php?vehiclesId="+data.car_id);
			$("#mantianRecord").attr("href","/general/vehicles/manage/maintain.php?vehiclesId="+data.car_id);
			/*$("#calender").attr("href","gantt.php?pro_id="+data.proid);*/
			//$("#view").attr("href","/general/vehicles/manage/new_vehicle.php?vehiclesId="+data.car_id);
			//$("#newVehicleSpan").hide().html("");
			$("#showTitleText").hide();
			$("#chooseVehiclesId").val(data.car_id);
			var tabsnum = $("#tabsCurrSelected").val();
			$("#right_table").show();
			$("#viewSumbit").hide();
			$("#newVehicleSpan").hide();
      $("#checknum").hide();
			if(tabsnum!="2"){
				$("#newVehicleSpan").hide();	
			}else{
				$("#view").click();	
			}
      //alert(tabsnum);
			$( "#right_table" ).tabs( "load", parseInt(tabsnum));
			
		},
    onInit:function(){
      var chooseId = $("#car_id").val();
      if (chooseId!="") {
        $(this).find("#"+chooseId).click();
      } 
      $("#left_list").getNiceScroll().resize();
    }
	});
	//标签
	var tabs = $( "#right_table" ).tabs({
		//"active":0,
		/*activate: function( event, ui ) {
			alert('111');	
		},*/
		ajaxOptions:{cache:false},
		beforeLoad: function( event, ui ) {
			ui.jqXHR.error(function() {
				ui.panel.html(
					"Couldn't load this tab. We'll try to fix this as soon as possible. " +
					"If this wouldn't be a demo." );
			});
		}
	});
	//$(".ui-tabs-panel").css("padding","0");
	//$(".ui-tabs-panel").css("padding","10px 0 0 5px");
	$("#showHide").click(function(){
		if($("#left_list").is(":visible")){
			$("#right_table").css("margin-left","0");	
			$("#left_list").hide();		
		}else{
			$("#right_table").css("margin-left","300px");
			$("#left_list").show();			
		}
	});
	$("#left_list").height($(window).height()-40);
  $("#left_list").niceScroll(); 
		
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	
	$(".switch").LazyToggle({
		showTip : '<?=$_lang["vehicles_show_list"]?>',
		hideTip : '<?=$_lang["vehicles_hide_list"]?>',
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
      $("table .right_main_wrap").css("margin-left","0px");
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
      //alert($("#recordRightHead").length);
		}
	});
	
	//列表快速筛选
	$("#QuickSearch").selectpicker({
		width:"140px"	
	});
	$("#QuickSearch").change(function(){
		var selectValue = $(this).val();
		$("#left_list").LazyList("reload",{
			param:{
				type : "vehicle_list",
				quickparam :selectValue	
			}	
		});	
	});
	//新建按钮
	$("#button_view").on("click",function(){
		$("#showTitleText").show();
		$("#showTitleText .tip").html('<?=$_lang["vehicles_new_car"]?>');
    $("#showAttachSpan").html("");
		creatNewVehicles();	
	});
	$("#useRecord").click(function(){
		$("#tabsCurrSelected").val("0");	
	});
	$("#mantianRecord").click(function(){
		$("#tabsCurrSelected").val("1");	
	});
	// $("#calender").click(function(){
	// 	$("#tabsCurrSelected").val("2");	
	// });
	//标签单击事件
	$("#useRecord").on("click",function(){
		$("#newVehicleSpan").hide();	
	});
	$("#mantianRecord").on("click",function(){
		$("#newVehicleSpan").hide();	
	});
	// $("#calender").on("click",function(){
	// 	$("#newVehicleSpan").hide();	
	// });
	$("#view").on("click",function(){
		$("#newVehicleSpan").show();
		$("#tabsCurrSelected").val("2");
		//编辑按钮
		$("#editSubmitBtn").show();
		var chooseID = $("#chooseVehiclesId").val();	
		$.ajax({
			type:"POST",
			url:"managedo.php",
			data:"type=vehiclesView&dataid="+chooseID
		}).done(function(result){
			var dataobj = $.parseJSON(result);
			var editobj = $("#newVehicleSpan");	
			//$("#viewSumbit").show().html("编辑提交");
			editobj.find("#car_id").val(dataobj.V_ID);
			editobj.find("#model").val(dataobj.V_MODEL).removeClass("require");
			var vehicleType = "";
			vehicleType += '<option value="0"><?=$_lang["asset_vehicles_select_type"]?></option>';
			$.ajax({
				type:"POST",
				url:"managedo.php",
				async:false,
				data:"type=selectField&num=8&datatype="+dataobj.V_TYPE
			}).done(function(result){
				vehicleType += result;	
			});
			editobj.find("#vehicle_type").html(vehicleType);
			editobj.find("#num").val(dataobj.V_NUM).removeClass("require");
			editobj.find("#vehicle_num").val(dataobj.V_NUM);
			var vehicleOldOrNew = "";
			vehicleOldOrNew += '<option value="0"><?=$_lang["asset_vehicles_neworold"]?></option>';
			$.ajax({
				type:"POST",
				url:"managedo.php",
				async:false,
				data:"type=selectField&num=9&datatype="+dataobj.V_NEW_OLD
			}).done(function(result){
				vehicleOldOrNew += result;	
			});
      //附件显示
      $.ajax({
        type:"POST",
        url:"managedo.php",
        async:false,
        dataType:"html",
        data:"type=showAttach&attchId="+dataobj.ATTACHMENT_ID+"&attchName="+dataobj.ATTACHMENT_NAME+"&dataId="+dataobj.V_ID
      }).done(function(result){
          editobj.find("#showAttachSpan").html(result); 
      });
			editobj.find("#vehicle_oldornew").html(vehicleOldOrNew);
			editobj.find("#drive_id").val(dataobj.V_DRIVER);
			editobj.find("#color").val(dataobj.V_COLOR);
			editobj.find("#price").val(dataobj.V_PRICE);
			editobj.find("#BEGIN_DATE").val(dataobj.V_DATE);
			editobj.find("#space").val(dataobj.V_SPACE);
			editobj.find("#load").val(dataobj.V_LOAD);
			editobj.find("#speed").val(dataobj.V_SPEED);
			editobj.find("#engine").val(dataobj.V_ENGINE);
			editobj.find("#mileage").val(dataobj.V_MILEAGE);
			editobj.find("#filed_id").val(dataobj.ATTACHMENT_ID);
			editobj.find("#filed_name").val(dataobj.ATTACHMENT_NAME);
			editobj.find("#input_remark").val(dataobj.V_REMARK);
			$("select").selectpicker("refresh");
		});
	});
	$("#newVehicleSpan").find("#BEGIN_DATE").datepicker();
	$("#viewSumbit").click(function(){
		sendForm();
	});
	$("#viewEditSumbit").click(function(){
		sendForm();
	});
	// $("#viewMessage").LazyMessage({
	// 	ofTarget : "#newVehicleSpan"	
	// });

});	
//初始化页面
function initFirstPage(){
	$("#right_table").hide();
	$("#viewSumbit").html('<?=$_lang["vehicles_submit"]?>');
	creatNewVehicles();
}
//新建按钮
function creatNewVehicles(){
	//$("#vehiclesTabs").hide();
	$("#right_table").hide();
	$("#newVehicleSpan").show();
	//编辑按钮
	$("#editSubmitBtn").hide();
	$("#viewSumbit").show().html('<?=$_lang["vehicles_submit"]?>');
	var newobj = $("#newVehicleSpan");
	newobj.find("#car_id").val("");
	newobj.find("#model").val("").addClass("require");
	var vehicleType = "";
	vehicleType += '<option value="0"><?=$_lang["asset_vehicles_select_type"]?></option>';
	vehicleType += "<?=show_info(8)?>";
	newobj.find("#vehicle_type").html(vehicleType);
	newobj.find("#num").val("").addClass("require");
	newobj.find("#vehicle_num").val("");
	var vehicleOldOrNew = "";
	vehicleOldOrNew += '<option value="0"><?=$_lang["asset_vehicles_neworold"]?></option>';
	vehicleOldOrNew += "<?=show_info(9)?>";
	newobj.find("#vehicle_oldornew").html(vehicleOldOrNew);			/*newobj.find("#drive_id").val("").find("#color").val("").find("#price").val("").find("#space").val("").find("#load").val("").find("#speed").val("").find("#engine").val("").find("#mileage").val("").find("#filed_id").val("").find("#filed_name").val("").find("#input_remark").val("");*/
	newobj.find("#drive_id").val("");
	newobj.find("#color").val("");
	newobj.find("#price").val("");
	newobj.find("#space").val("");
	newobj.find("#load").val("");
	newobj.find("#speed").val("");
	newobj.find("#engine").val("");
	newobj.find("#mileage").val("");
	newobj.find("#filed_id").val("");
	newobj.find("#filed_name").val("");
	newobj.find("#input_remark").val("");
}
//---提交表单
function sendForm()
{
	model = document.getElementById("model").value;
	num   = document.getElementById("num").value;
	if(model!="" && num!="")
	{
		checkreapt(document.getElementById("num"));
		if(document.getElementById("checknum").style.display=="")
		{
			//alert("<?=$_lang["asset_check_must_repeate"]?>");	
      $.pnotify({
          text: "<?=$_lang["asset_check_must_repeate"]?>",
          type : "info"
      });
		}
		else
		{
      if ($("#file_elem").Upload("getUploadCount") > 0) {
          $("#file_elem").uploadify("upload", "*");
      }else{
        $('#formview').ajaxSubmit(function(data){
          if(data){
            if($("#car_id").val()){
              $.pnotify({
                  text: '<?=$_lang["vehicles_edit_success"]?>',
                  type : "success"
              });
              $("#left_list").LazyList("reload");
            }else{
              $.pnotify({
                  text: '<?=$_lang["vehicles_add_success"]?>',
                  type : "success"
              });
              $("#left_list").LazyList("reload");
              $("#button_view").click();
            }
          }else{
            alert("error!");  
          }
        });
      }
		}
	}
	else
	{
		//alert("<?=$_lang["asset_check_must"]?>");
		//$("#viewMessage").LazyMessage("open","<?=$_lang["asset_check_must"]?>","warning");	
    $.pnotify({
        text: "<?=$_lang["asset_check_must"]?>",
        type : "warning"
    });
	}
}
//删除附件
function deleteAttachment(ATTACHMENT_ID,ATTACHMENT_NAME,id,tablename)
{
    bootbox.confirm('<?=$_lang["vehicles_sure_delete_attachment"]?>', function(result) {
    if(result){
        $.ajax({
        type:"POST",
        data:"applyid="+id+"&ATTACHMENT_ID="+ATTACHMENT_ID+"&ATTACHMENT_NAME="+ATTACHMENT_NAME+"&tablename=vehicles",
        url :"/general/vehicles/deleteattch.php"
      }).done(function(result){
        if (result="success") {
          $("#"+ATTACHMENT_ID).hide().remove();
          $.pnotify({
                text: '<?=$_lang["vehicles_delete_success"]?>',
                type : "success"
            });
        } else{
          $.pnotify({
                text: '<?=$_lang["vehicles_delete_fault"]?>',
                type : "erro"
            });
        };
      }); 
    }
  });
}
</script>