<?

/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package       eoffice8.0
 * @function      车辆管理--维护提交
 * @encoding      $_lang['encoding']
 * @name          general/vehicles/manage/maintain_do.php
 * @version       1.0
 * @author        liuqingyu
 */
include_once("inc/auth.php");
includelangpak("asset");
includelangpak("vehicles");
include_once("inc/utility_all.php");
include_once ("inc/meet_vehicle.php");
include_once("inc/function_picture.php");
include_once ("general/system/combox/packaging.php");
include_once("api/vehicles.class.php");
include_once("inc/combox_cache.php");
$type = $_REQUEST["type"];
$vehicles = new vehicles ();
switch ($type) {
    case "maintain_list":
        $vehiclesId = $_REQUEST["vehiclesId"];
        $sortname = "";
        //处理排序字段
        switch ($_REQUEST["sortField"]) {
            case "begin_time":
                $sortname = "VM_BEGIN_TIME";
                break;
            case "end_time":
                $sortname = "VM_END_TIME";
                break;
            case "stateText":
                $sortname = "VM_TYPE";
                break;
            default :
                $sortname = $_REQUEST["sortField"];
        }
        $sorttype = $_REQUEST["sortType"];
        $offset = $_REQUEST["currentPage"];
        $rows = $_REQUEST["itemsPerPage"];
        $quickParam = $_REQUEST["quickParam"];
        $offset = $offset * $rows;
        $where_str = array();
        if ($_REQUEST["vehicle_name"]) {
            $where_str["vehicle_name"] = $_REQUEST["vehicle_name"];
        }
        if ($_REQUEST["searchData"]) {
            if ($_REQUEST["searchData"]["begin_date"] != "") {
                $where_str["begin_date"] = $_REQUEST["searchData"]["begin_date"];
            }
            if ($_REQUEST["searchData"]["end_date"] != "") {
                $where_str["end_date"] = $_REQUEST["searchData"]["end_date"];
            }
            if ($_REQUEST["searchData"]["maintain_type"] != "all") {
                $where_str["maintain_type"] = $_REQUEST["searchData"]["maintain_type"];
            }
            if ($_REQUEST["searchData"]["maintain_state"] != "") {
                $where_str["maintain_state"] = $_REQUEST["searchData"]["maintain_state"];
            }
        }
        //区分车辆
        $where_str["vehicleID"] = $vehiclesId;
        $infor = $vehicles->maintain_show($sortname, $sorttype, $offset, $rows, $quickParam, $where_str, $_SESSION["LOGIN_USER_ID"]);
        $infor_count = count($infor);
        $list_infor = array();
        $list_infor["totalCount"] = $infor["resultCount"];
        $list_infor["list"] = array();
        $cur_time = date("Y-m-d H:i:00", time());
        for ($i = 0; $i < $infor_count; $i++) {
            if ($infor[$i]["maintain_id"]) {
                $list_infor["list"][$i] = $infor[$i];
                $list_infor["list"][$i]["showType"] = get_info(10, $infor[$i]['type'], 1);
                $stateText = "";
                if (strtotime($cur_time) >= strtotime($infor[$i]['begin_time']) && strtotime($cur_time) < strtotime($infor[$i]['end_time'])) {
                    $stateText = $_lang["asset_vehicles_maintaining"];
                } else if (strtotime($cur_time) >= strtotime($infor[$i]['end_time'])) {
                    $stateText = $_lang["asset_vehicles_ready_maintain_end"];
                } else if (strtotime($cur_time) < strtotime($infor[$i]['begin_time'])) {
                    $stateText = $_lang["asset_vehicles_ready_maintain"];
                }
                $list_infor["list"][$i]["stateText"] = $stateText;
                //按钮需要条件
                $list_infor["list"][$i]["btn_curdate"] = strtotime(date("Y-m-d H:i:00", time()));
                $list_infor["list"][$i]["btn_begindate"] = strtotime($infor[$i]['begin_time']);
                $list_infor["list"][$i]["btn_enddate"] = strtotime($infor[$i]['end_time']);
            }
        }
        echo json_encode($list_infor);
        break;
    case "maintain_view":
        $dataid = $_REQUEST["dataid"];
        $infor = array();
        $infor = $vehicles->info_maintain($dataid);
        $infor["typeShow"] = get_info(10, $infor['type'], 1);
        echo json_encode($infor);
        break;
    case "maintain_edit":
        $dataid = $_REQUEST["dataid"];
        $doDiff = $_REQUEST["doDiff"];
        $infor = array();
        if ($doDiff == "new") {
            $vehiclesId = $_REQUEST["vehiclesId"];
            $con_sql = " AND V_ID='" . $vehiclesId . "'";
            $infor = $vehicles->vehicesSearchSingleData("vehicles", $con_sql);
            //$infor["typeShow"] = show_info(10);	
            $infor["typeShow"] = get_info(10, "0", 0);
        } else if ($doDiff == "edit") {
            $infor = $vehicles->info_maintain($dataid);
            $infor["typeShow"] = get_info(10, $infor['type'], 0);
            $infor["begin_time"] = date("Y-m-d H:i", strtotime($infor["begin_time"]));
            $infor["end_time"] = date("Y-m-d H:i", strtotime($infor["end_time"]));
        }
        echo json_encode($infor);
        break;
    case "maintain_form":
        $maintaidID = $_REQUEST["maintaidID"];
        $vehiclesId = $_REQUEST["vehiclesId"];
        $dataArray = array();
        $dataArray["V_ID"] = $vehiclesId;
        $dataArray["VM_TYPE"] = $_REQUEST["maintain_type"];
        $dataArray["VM_BEGIN_TIME"] = $_REQUEST["mainBegTime"];
        $dataArray["VM_END_TIME"] = $_REQUEST["mainEndTime"];
        $dataArray["VM_PRICE"] = $_REQUEST["cost"];
        $dataArray["VM_PROJECT"] = $_REQUEST["maintain"];
        $dataArray["VM_REMARK"] = $_REQUEST["input_remark"];


        //获取车辆信息       
        $sms_infor = $vehicles->vehicesSearchSingleData("vehicles", " AND V_ID='" . $vehiclesId . "'");
        //获取拥有某个菜单的所有人
        $sms_toids = $vehicles->getVeicleMangerUsers(604);
        $type_content = $vehicles->getMainTypeName($dataArray["VM_TYPE"]);
        if (!$type_content) {
            $type_content = "其他";
        }

        $sms_contents = "车型名称：{$sms_infor['V_MODEL']};  维护类型：{$type_content};  维护开始时间：{$_REQUEST["mainBegTime"]};  结束时间：{$_REQUEST["mainEndTime"]}";
        $sms_array = array(
            "type" => $type_content,
            'name' => $sms_infor['V_MODEL'],
            'begin'=> $_REQUEST["mainBegTime"],
            'end'  => $_REQUEST["mainEndTime"]
        );
        
        if ($maintaidID) {
            $dataArray["VM_ID"] = $maintaidID;
            $vehicles->edit_vehicles('vehicles_maintenance', $dataArray);
            $vehicles->deletedNewsByWhere("vehicles_maintenance", $maintaidID, 11);
            sendSmsMain("admin", $sms_toids, "[已更新]".$sms_contents, 1, 11, "vehicles_maintenance", $maintaidID, $sms_array, "", "", array($_REQUEST["mainBegTime"], $_REQUEST["mainEndTime"]));
            echo $maintaidID;
        } else {
            $insertid = $vehicles->creat_info('new_maintain', $dataArray);
            sendSmsMain("admin", $sms_toids, "[已登记]".$sms_contents, 1, 11, "vehicles_maintenance", $insertid, $sms_array, "", "", array($_REQUEST["mainBegTime"], $_REQUEST["mainEndTime"]));
            echo $insertid;
        }


        //这里发送消息
        //sendSms($fromid = "admin", "admin", "车型名称", $remind = 1, $smstype = 11, $tablename = "维护用车", $tableid = "",$sendtime = "");
        //maintain_form

        break;
    case "searchSelectType":
        $newResult = array();
        $newResult[0]["key"] = "all";
        $newResult[0]["title"] = $_lang["vehicles_all"];
        $comcache = new combox_cache();
        $combo_date = $comcache->startCache();
        $date_type = $combo_date[10];
        $num = count($date_type);
        for ($I = 1; $I <= $num; $I++) {
            $newResult[$I]["key"] = $date_type[$I]['VALUE'];
            $newResult[$I]["title"] = $date_type[$I]['NAME'];
        }
        echo json_encode($newResult);
        break;
    case "deleteData":
        $dataStrId = $_REQUEST["dataStrId"];
        $idArray = explode(",", $dataStrId);
        $idcount = count($idArray);
        for ($i = 0; $i < $idcount; $i++) {
            if ($idArray[$i]) {
                //$projectapi->pro_DeleteData($idArray[$i],"project_task");	
                $vehicles->deletedNewsByWhere("vehicles_maintenance", $idArray[$i], 11);
                $vehicles->delete_vehicles('vehicles_maintenance', $idArray[$i]);
            }
        }
        echo "success";
        break;
    case "endMantain":
        $dataId = $_REQUEST["dataId"];
        $info = array();
        $info['maintain_id'] = $dataId;

        $info['end_time'] = date("Y-m-d H:i", time());
        $vehicles->edit_vehicles('end_maintain', $info);

        $inforSms = $vehicles->info_maintain($dataId);
//                file_put_contents("D:/1.txt", json_encode($inforSms));
        //获取车辆信息       
//		$sms_infor = $vehicles->vehicesSearchSingleData("vehicles"," AND V_ID='".$inforSms['car_id']."'");    
        //获取拥有某个菜单的所有人
        $sms_toids = $vehicles->getVeicleMangerUsers(604);
        $type_content = $vehicles->getMainTypeName($inforSms["type"]);
        if (!$type_content) {
            $type_content = "其他";
        }

        $sms_contents = "[已结束] 车型名称：{$inforSms['CAR_MODEL']};  维护类型：{$type_content};  维护开始时间：{$inforSms["begin_time"]};  结束时间：{$inforSms["end_time"]}";
        $sms_array = array(
            "type" => $type_content,
            'name' => $inforSms['CAR_MODEL'],
            'begin'=> $inforSms["begin_time"],
            'end'  => $inforSms["end_time"]
        );
        $vehicles->edit_vehicles('vehicles_maintenance', $dataArray);
        $vehicles->deletedNewsByWhere("vehicles_maintenance", $dataId, 11);
        sendSmsMain("admin", $sms_toids, $sms_contents, 1, 11, "vehicles_maintenance", $dataId, $sms_array, "", "", array($inforSms["begin_time"], $inforSms["end_time"]));


        echo "success";
        break;
}
?>