<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/vote/admin/surveyresult.php
 *@function:         调查表管理
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-01-16
 *@file Version:     6.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
includelangpak("info");
include_once("inc/function_page_01.php");
include_once("inc/utility_all.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">

<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />

<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--语言包-->
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>

<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>

<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
jQuery(document).ready(function(){
	window.voteObj=$(".vote_list").LazyTable({
		column:[
			{
				key:'Name',
				title:'<?=$_lang["info_vote_name"]?>',
				template:function(data){
					if(data.Name!=''){
						return "<a href='javascript:void(0)' onclick='inputVote("+data.SID+")'><div class='ellipsis_field' style='width:200px' title='"+data.Name+"'>"+data.Name+"</div></a>"
					}
				}
			},
			{
				key:'StartDate',
				title:'<?=$_lang["info_vote_start_time"]?>'
			},
			{
				key:'EndDate',
				title:'<?=$_lang["info_vote_end_time"]?>'
			},
			{
				key:'HAVE_NUM',
				title:'<?=$_lang["info_vote_allreadly_p"]?>'
			},
			{
				key:'state_str',
				title:'<?=$_lang["common_state"]?>'
			}
		],
		sort:{
			items : [{
				key : "Name",
				title : '<?=$_lang["info_vote_name"]?>'
			}, {
				key : "StartDate",
				title : '<?=$_lang["info_vote_start_time"]?>'
			}, {
				key : "EndDate",
				title : '<?=$_lang["info_vote_end_time"]?>',
			}],
			onItemClick : function(key, sortType) {
				$(".vote_list").LazyTable("reload", {
					param : {
						sortField : key,
						sortType : sortType
					}
				});
			}
		},
		buttons:{
			buttonInfor:{
				"vote":{
					title:'<?=$_lang["info_vote_vote"]?>',func:function(data){
						var url = "/general/vote/view.php?sid="+data.SID+"&op=input";
						//window.open(url,'newwindow','height=600,width=800,top=0,left=0,toolbar=no,menubar=no,scrollbars=no, resizable=no,location=no, status=no');
						$("#infoifr").attr('src',url);
						$(".infoDialog").dialog('open');
					}
				},
				"vote_result":{
					title:'<?=$_lang["info_vote_see_result"]?>',func:function(data){
						var url = "/general/vote/see_result.php?sid="+data.SID+"&op=view";
						$("#infoifr").attr('src',url);
						$(".infoDialog").dialog('open');
					}
				}
			},
			filter:function(data){
				if(data.input!='no'){
					return ['vote','vote_result'];
				}else{
					return ['vote_result'];
				}
			}
		},
		dataSource:"surveyresult_do.php",
		param:{op:"getVoteList"}
	});
	
	window.DialogObj=$(".infoDialog").dialog({
	    autoOpen: false,
	    width: 800,
	    modal: true,
	    height:600,
	    dialogClass:"lazy_dialog" ,//此行必须有
	});
});

function inputVote(sid){
	var url = "/general/vote/view.php?sid="+sid+"&op=input&from=index";
	window.open(url,'newwindow','height=600,width=800,top=0,left=0,toolbar=no,menubar=no,scrollbars=yes, resizable=yes,location=no,status=no,fullscreen=yes');	
}
</script>
</head>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["info_vote_can_table"]?></span>
		</span>
	</div>
	<div class="vote_list"></div>
	<div class="infoDialog">
        <iframe id="infoifr" name="infoifr" style="width:100%;border:none;height:100%;" src=""></iframe>
    </div>
</body>
</html>