<?php
/**
 * Systemname:       E-Office
 * Filename:         general/vote/admin/outputDetail1.php
 * Function:         调查表-查看结果-导出明细2
 * Encoding:         $_lang['encoding']
 * Author:           Samuel|www.weaver.com.cn
 * Date:             2010-09-13
 * File Version:     1.0
 * Eoffice Version:  7.3
 */
include_once ("inc/auth.php");
include_once ("inc/utility_all.php");
includelangpak ( "info" );

$SID = $_REQUEST ['SID'];
$IDStr = $_REQUEST ['IDStr'];

$strArr = explode ( "||", $IDStr );
$biaoshiStr = "";
$mingxiStr = "";
if (count ( $strArr ) == 2) {
    $biaoshiStr = $strArr [0];
    $mingxiStr = $strArr [1];
}
$biaoshiStrArr = explode ( "/", $biaoshiStr );
$mingxiStrArr = explode ( "/", $mingxiStr );


$sql = "SELECT phpqquestion.QID, phpqquestion.Question, phpqquestion.Answer AS questionOption, phpqanswer.Answer,phpqquestion.ElseOption
       FROM `phpqquestion`
       JOIN `phpqanswer` ON phpqquestion.QID = phpqanswer.QID
       WHERE phpqquestion.SID =" . SecurityFilter($SID) . "";
$rs1 = exequery ( $connection, $sql );


$biaoshiArr = array (); //标识字段数组
$mingxiArr = array (); //明细字段数组
$questionInfoArr = array (); //问题和选项数组

while ( $questionRow = mysql_fetch_array ( $rs1, MYSQL_ASSOC ) ) {
    if(in_array ( $questionRow ['QID'], $biaoshiStrArr )||in_array ( $questionRow ['QID'], $mingxiStrArr )){
        $QID = $questionRow ['QID'];
        $question = $questionRow ['Question'];
        $questionOption = $questionRow ['questionOption'];
        $answer = $questionRow ['Answer'];
        $elseOption = $questionRow ['ElseOption'];
        $result = GetResult ( $questionOption, $answer, $_lang );

//	if (in_array ( $QID, $biaoshiStrArr )) {
        if (array_key_exists ( $QID, $biaoshiArr )) {
            array_push ( $biaoshiArr [$QID] [1], $result );
        } else {
            $biaoshiArr [$QID] = array ($question, array ($result ) );
        }
//	} else if (in_array ( $QID, $mingxiStrArr )) {
        if (array_key_exists ( $QID, $questionInfoArr )) {
            array_push ( $questionInfoArr [$QID] [2], $result );
        } else {
            $questionInfoArr [$QID] = array ($question, GetOption ( $questionOption, $elseOption, $_lang ), array ($result ) );
        }
//	}
    }
}

$sqlTitle = "SELECT * FROM phpqsurvey   WHERE SID=" . SecurityFilter($_REQUEST ['SID']) . "";
$rsTitle = exequery ( $connection, $sqlTitle );
$rowTitle = mysql_fetch_array ( $rsTitle );
$reportname = $rowTitle ['Name'];

$file_name = $reportname . date ( "YdmHis" ) . $_lang ["info_vote_MingXi"] . ".xls";

$file_name = getTypeString ( $file_name, 'gbk' );

$finalArray = GetFinalArray ( $questionInfoArr, $biaoshiArr );


GetResultArray ( $finalArray, $_lang, $file_name );
function GetResultArray($FinalArray, $_lang, $file_name) {
    $str = "<?xml version=\"1.0\"?>";
    $str .= "<?mso-application progid=\"Excel.Sheet\"?>";
    $str .= "<Workbook xmlns=\"urn:schemas-microsoft-com:office:spreadsheet\"";
    $str .= " xmlns:o=\"urn:schemas-microsoft-com:office:office\"";
    $str .= " xmlns:x=\"urn:schemas-microsoft-com:office:excel\"";
    $str .= " xmlns:ss=\"urn:schemas-microsoft-com:office:spreadsheet\"";
    $str .= " xmlns:html=\"http://www.w3.org/TR/REC-html40\">";

    for($i = 0; $i < count ( $FinalArray ); $i ++) {
        $maxCount = 0;
        $isfind = true;
        $sheetName = $FinalArray [$i] [0];
        $sheetName = FormatSheetName ( $sheetName );
        $myCount = 0;
        while ( $isfind ) {
            $myCount ++;
            if (strstr ( $str, "ss:Name=" . "\"" . $sheetName . "\"" ) !== false) {
                $sheetName = $sheetName . "_" . $myCount;
            } else {
                $isfind = false;
            }
        }
        $str .= " <Worksheet ss:Name=" . "\"" . $sheetName . "\"" . "><Table>";
        $optionArray = array ();
        $mingxiArray = array ();
        foreach ( $FinalArray [$i] [1] as $myKey => $myValue ) {
            array_push ( $optionArray, $myKey );
            $maxCount = count ( $myValue ) > $maxCount ? count ( $myValue ) : $maxCount;
//			if (count ( $myValue ) > 0) {
//				if (count ( $mingxiArray ) == 0) {
//					foreach ( $myValue [0] as $myKey1 => $myValue1 ) {
//						array_push ( $mingxiArray, $myKey1 );
//					}
//				}
//			}
        }
        file_put_contents(date("Ymd").".txt","[".date("Y-m-d H:i:s",time())."]\r\n".json_encode($mingxiArray)."\r\n",FILE_APPEND);

        $str .= "<Row>";
        for($j = 0; $j < count ( $FinalArray [$i] [1] ); $j ++) {
            $str .= "<Cell><Data ss:Type=\"String\">" . $FinalArray [$i] [1] [$j] . "</Data></Cell>";
//			for($k = 0; $k < count ( $mingxiArray ); $k ++) {
//				$str .= "<Cell><Data ss:Type=\"String\">" . $mingxiArray [$k] . "</Data></Cell>";
//			}
        }
        $str .= "</Row>";

        for($j = 0; $j < $maxCount; $j ++) {
            $str .= "<Row>";
            foreach ( $FinalArray [$i] [1] as $myKey => $myValue ) {
                $str .= "<Cell><Data ss:Type=\"String\"></Data></Cell>";
                for($k = 0; $k < count ( $mingxiArray ); $k ++) {
                    $str .= "<Cell><Data ss:Type=\"String\">" . $myValue . "</Data></Cell>";
                }
            }
            $str .= "</Row>";
        }
        $str .= "</Table></Worksheet>";
    }
    $str .= "</Workbook>";

    ob_end_clean ();
    Header ( "Cache-control: private" );
    Header ( "Content-type: application/vnd.ms-excel" );
    Header ( "Accept-Ranges: bytes" );
    header ( "Accept-Length: " . strlen ( $str ) );
    header ( "Content-Disposition: attachment; filename=" . $file_name );
    echo $str;
}
function GetFinalArray($questionInfoArr, $biaoshiArr) {
    $questionInfoArr = array_values ( $questionInfoArr );
    $finalArray = array ();
    for($i = 0; $i < count ( $questionInfoArr ); $i ++) {
        $finalTemPArray = array ();

        array_push ( $finalTemPArray, $questionInfoArr [$i] [0] );
        $tempArray = array ();
        for($j = 0; $j < count ( $questionInfoArr [$i] [2] ); $j ++) {
            array_push ( $tempArray,$questionInfoArr [$i] [2][$j] );
        }



        array_push ( $finalTemPArray, $tempArray );
        array_push ( $finalArray, $finalTemPArray );
    }
    return $finalArray;
}

function GetBiaoShiInfo($Count, $biaoshiArr) {
    $biaoshiArr = array_values ( $biaoshiArr );
    $resultArray = array ();
    for($i = 0; $i < count ( $biaoshiArr ); $i ++) {
        $resultArray [$biaoshiArr [$i] [0]] = $biaoshiArr [$i] [1] [$Count];
    }
    return $resultArray;
}

/**
 * 格式化Excel的Sheet名称
 * 不能为空
 * 长度不能超过31
 * 不能有特殊标点符号
 * @param $sheetName
 */
function FormatSheetName($sheetName) {
    if (trim ( $sheetName ) == "") {
        $sheetName = "NewSheet";
    }

    $strArr = array ("<", ">", "*", "?", "\"", "|", ":", "/", "[", "]", "《", "》", "×", "？", "”", "：", "【", "】", "(", ")", "（", "）" );
    $sheetName = str_replace ( $strArr, "", $sheetName );

    if (strlen ( $sheetName ) > 90) {
        $sheetName = substr ( $sheetName, 0, 90 );
    }
    return $sheetName;
}

/**
 *
 * 解析当前问题的所有选项，判断是否需要加上其他选项
 * @param $questionOption
 * @param $elseOption
 */
function GetOption($questionOption, $elseOption, $_lang) {
    $arr = array ();
    $array_col = explode ( "|||", $questionOption );
    for($j = 0; $j < count ( $array_col ); $j ++) {
        $array_all = explode ( "||", $array_col [$j] );
        $answer_order = $array_all [0];
        $answer_id = $array_all [1];
        $answer_name = $array_all [2];
        $answer_tag = $array_all [3];
        $answer_read = $array_all [4];
        array_push ( $arr, $answer_name );
    }
    if ($elseOption == 'y') {
        array_push ( $arr, $_lang ["info_vote_else_input"] );
    }
    return $arr;
}

/**
 * 通过选项和答案解析答案。选项格式：1||1||满意||N||Y|||2||2||一般||N||Y|||3||3||不满意||N||Y，答案格式：N1
 * @param $questionOption
 * @param $answer
 */
function GetResult($questionOption, $answer, $_lang) {
    if (trim ( $questionOption ) == "") {
        return $answer;
    }
    $resultStr = "";
    $answerArr = explode ( "||", $answer );
    for($i = 0; $i < count ( $answerArr ); $i ++) {
        if (strpos ( $answerArr [$i], "else/" ) !== false) {
            if ($resultStr == "") {
                $resultStr = $_lang ["info_vote_else_input"];
            } else {
                $resultStr .= "||" . $_lang ["info_vote_else_input"];
            }
        } else if (strpos ( $answerArr [$i], "explain/" ) !== false) {
        } else {
            $array_col = explode ( "|||", $questionOption );
            for($j = 0; $j < count ( $array_col ); $j ++) {
                $array_all = explode ( "||", $array_col [$j] );
                $answer_order = $array_all [0];
                $answer_id = $array_all [1];
                $answer_name = $array_all [2];
                $answer_tag = $array_all [3];
                $answer_read = $array_all [4];
                $sql_str = $answer_tag . $answer_order;
                if ($sql_str == $answerArr [$i]) {

                    if ($resultStr == "") {
                        $resultStr = $answer_name;
                    } else {
                        $resultStr .= "||" . $answer_name;
                    }
                }
            }
        }
    }

    return $resultStr;
}
?>