<?php
include_once("inc/utility_all.php");
include_once('api/MobileAttend.class.php');

// data:"curPage=0&rows=10&userid="+userid+"&quickParam="+quickParam+"&checkDiff=init",
$MobileAttend = new MobielAttend();


$SearchStr = array();
$userid = $_REQUEST["userid"];
$username = getUserNameNew($userid);

$quickParam = $_REQUEST["quickParam"];
$offset = $_REQUEST["curPage"] ? $_REQUEST["curPage"] : 0;
$rows = $_REQUEST["rows"] ? $_REQUEST["rows"] : 10;
$SearchStr["USER_ID"] = $userid;
$nextEnd = 0;
//判断是否还有数据
$checkHaveData = "";
switch ($quickParam) {
    case "lastWeek":
        $date = date('N');
        if ($date == 1) {
            $SearchStr["begin"] = date('Y-m-d', strtotime('last monday'));
        } else {
            $SearchStr["begin"] = date('Y-m-d', strtotime('-1 week last monday'));
        }
        $SearchStr["end"] = date('Y-m-d', strtotime('last sunday'));
        break;
    case "twoWeek":
        $date = date('N');
        if ($date == 1) {
            $SearchStr["begin"] = date('Y-m-d', strtotime('last monday'));
        } else {
            $SearchStr["begin"] = date('Y-m-d', strtotime('-1 week last monday'));
        }
        if ($offset == 0) {
            $SearchStr["end"] = date("Y-m-d", time());
            $begin = date("Y-m-d", strtotime("-9 day"));
            $SearchStr["begin"] = $SearchStr["begin"] < $begin ? $begin : $SearchStr["begin"];
        } else {
            $SearchStr["end"] = date("Y-m-d", strtotime("-10 day"));
        }
        break;
    case "thisWeek":
        $date = date('N');
        if ($date == 1) {
            $SearchStr["begin"] = date('Y-m-d', strtotime('this monday'));
        } else {
            $SearchStr["begin"] = date('Y-m-d', strtotime('last monday'));
        }
        $SearchStr["end"] = date("Y-m-d", time());
        break;
    case "lastMonth":
        $DoEndDate = date('Y-m-t', strtotime('-1 month'));
        if ($offset == 0) {
            $SearchStr["end"] = date('Y-m-t', strtotime('-1 month'));
            $SearchStr["begin"] = date("Y-m-d", strtotime("$DoEndDate -9 day"));
        } else {
            $nextEnd = ($offset / 10) * $rows;
            $SearchStr["end"] = date("Y-m-d", strtotime("$DoEndDate -$nextEnd day"));
            $endData = $SearchStr["end"];
            $SearchStr["begin"] = date("Y-m-d", strtotime("$endData -9 day"));
        }
        $lastDate = date('Y-m-01', strtotime('-1 month'));
        if ($SearchStr["begin"] < $lastDate) {
            $SearchStr["begin"] = $lastDate;
            $checkHaveData = "noData";
        }
        break;
    case "twoMonth":
        if ($offset == 0) {
            $SearchStr["end"] = date("Y-m-d", time());
            $SearchStr["begin"] = date("Y-m-d", strtotime("-9 day"));
        } else {
            $nextEnd = ($offset / 10) * $rows;
            $SearchStr["end"] = date("Y-m-d", strtotime("-$nextEnd day"));
            $endData = $SearchStr["end"];
            $SearchStr["begin"] = date("Y-m-d", strtotime("$endData -9 day"));
        }
        $lastDate = date('Y-m-01', strtotime('-1 month'));
        if ($SearchStr["begin"] < $lastDate) {
            $SearchStr["begin"] = $lastDate;
            $checkHaveData = "noData";
        }
        break;
    case "thisMonth":
        if ($offset == 0) {
            $SearchStr["end"] = date("Y-m-d", time());
            $SearchStr["begin"] = date("Y-m-d", strtotime("-9 day"));
        } else {
            $nextEnd = ($offset / 10) * $rows;
            $SearchStr["end"] = date("Y-m-d", strtotime("-$nextEnd day"));
            $endData = $SearchStr["end"];
            $SearchStr["begin"] = date("Y-m-d", strtotime("$endData -9 day"));
        }
        $lastDate = date('Y-m-01', strtotime('this month'));
        if ($SearchStr["begin"] < $lastDate) {
            $SearchStr["begin"] = $lastDate;
            $checkHaveData = "noData";
        }
        break;
    case "allShow":
        if ($offset == 0) {
            $SearchStr["end"] = date("Y-m-d", time());
            $SearchStr["begin"] = date("Y-m-d", strtotime("-9 day"));
        } else {
            $nextEnd = ($offset / 10) * $rows;
            $SearchStr["end"] = date("Y-m-d", strtotime("-$nextEnd day"));
            $endData = $SearchStr["end"];
            $SearchStr["begin"] = date("Y-m-d", strtotime("$endData -9 day"));
        }
        
        unset($SearchStr["mobile_category"]);
        break;
    case "outDuty":
        //业务出差
        if ($offset == 0) {
            $SearchStr["end"] = date("Y-m-d", time());
            $SearchStr["begin"] = date("Y-m-d", strtotime("-9 day"));
        } else {
            $nextEnd = ($offset / 10) * $rows;
            $SearchStr["end"] = date("Y-m-d", strtotime("-$nextEnd day"));
            $endData = $SearchStr["end"];
            $SearchStr["begin"] = date("Y-m-d", strtotime("$endData -9 day"));
        }
        $SearchStr["mobile_category"] = 1;
        break;
    case "signDuty":
        //签到签退 + allshow条件
        if ($offset == 0) {
            $SearchStr["end"] = date("Y-m-d", time());
            $SearchStr["begin"] = date("Y-m-d", strtotime("-9 day"));
        } else {
            $nextEnd = ($offset / 10) * $rows;
            $SearchStr["end"] = date("Y-m-d", strtotime("-$nextEnd day"));
            $endData = $SearchStr["end"];
            $SearchStr["begin"] = date("Y-m-d", strtotime("$endData -9 day"));
        }

        $SearchStr["mobile_category"] = 0;
        break;
}

    
$defaultData = $MobileAttend->getDutyRecords($SearchStr, $offset, $rows,-1); 
    

$info = array();

$start_date = strtotime($SearchStr["begin"]);
$end_date = strtotime($SearchStr["end"]);
$sub_num = round(($end_date - $start_date) / 3600 / 24) + 1;

for ($I = 0; $I < $sub_num; $I++) {
    $info[$I]["cur_time"] = $start_date + ($I * (3600 * 24));
    $last = $start_date + (($I + 1) * (3600 * 24));
    foreach ($defaultData as $v) {

        $com_date = $v["CREATE_TIME"];

        if ($info[$I]["cur_time"] <= $com_date && $com_date < $last) {
            $info[$I]["data"][] = $v;
        }
    }
}



$number = count($info) - 1;
?>
<input type="hidden" id="quickParam" name="quickParam" value="<?= $quickParam ?>">

<?php
for ($I = $number; $I >= 0; $I--) {
    $cur_date = date("Y-m-d H:i:s", $info[$I]["cur_time"]);
    $arr = array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
    $show_week = $arr[date("w", $info[$I]["cur_time"])];
    $Month = substr($cur_date, 5, 2);
    $Day = substr($cur_date, 8, 2);
    //判断是否为周末
    $checkWeek = "";
    $checkWeek = date('w', strtotime($cur_date));
    if ($checkWeek == 0 || $checkWeek == 6) {
        $dayShowClass = "diary-dayrest";
    } else {
        $dayShowClass = "diary-day";
    }
    ?>
    <div class="reportItem">
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td valign="top" width="70px" style="height:100%" nowrap="nowrap">
                    <div class="dateArea">
                        <div class="day"><?= $show_week ?></div>
                        <div class="yearAndMonth"><?= $Month . "月" . $Day . "日" ?></div>
                    </div>
    <?php
    //判断状态
    $diaryCount = count($info[$I]["data"]);
    $stateClass = "";
    $stateText = "";
    if ($diaryCount < 1) {
        $stateClass = "no";
        $stateText = "未提交";
    } else {
        //正常提交
        $stateClass = "ok";
        $stateText = "正常考勤";
    }
    ?>
                    <div id="showState" class="state <?= $stateClass ?>" style="" title="<?= $stateText ?>"></div>
                    <div class="discussline" style=""></div>

                </td>
                <td valign="top" width="90%"   >
                    <?php
                    if ($diaryCount < 1) {
                        ?>
                        <div id="conDiv">
                            <div id="newDiaryDiv">
                                <div class="dicussSpan" style=" width:100%">
                                    <div class="lazy_sub_header" style="line-height:35px">
                                        <div class="diary_buttons_wrap">

                                        </div>
                                        <div style="float:left">
                                            <span style="margin-right:5px;padding-left:10px"><?= $username ?></span>
                                        </div> 
                                    </div>
                                    <table class="diary-no-ontent" border="0" cellpadding="0" cellspacing="0" width="100%" style="margin-top: 30px;">
                                        <tr>
                                            <td align="center"> 
                                                <img src="/general/weixin/image/blog_unsubmit.png">
                                                没有相关考勤记录
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>

                        </div>
        <?php } else {
        ?>
                        <div id="conDiv">
                            <div id="diaryDiv_<?= $info[$I]["data"][0]["ID"] ?>" class="diaryDivClass">
                                <div class="dicussSpan" style=" width:100%">
                                    <div class="lazy_sub_header" style="line-height:35px">

                                        <div style="float:left">
                                            <span style="margin-right:5px;padding-left:10px;"><?php echo $info[$I]["data"][0]["USER_NAME"]; ?></span>
                                            <span></span>

                                        </div> 
                                    </div>
        <?php
        for ($J = 0; $J < count($info[$I]["data"]); $J++) {
            ?> 
                                        <div class="diaryContent" style="width:100%; margin-top:5px;clear:both">



                                            <div> <?php
                                        $infoData = "<span style='padding-left:10px'>" . date("H:i:s", $info[$I]["data"][$J]["CREATE_TIME"]) . "</span>";
                                        if ($info[$I]["data"][$J]["mobile_category"] == 1) {
                                            $infoData .= "<span style='color:#014305;padding-left:10px'>业务出差</span>";
                                        }

                                        if ($info[$I]["data"][$J]["STATUS"] == 1) {
                                            echo '<i class="fa fa-sign-in fa-lg" style="color:#75BF26;padding:10 10 10 0 ;"></i>' . "签到" . $infoData;
                                        } else if ($info[$I]["data"][$J]["STATUS"] == 2) {
                                            echo '<i class="fa fa-sign-out fa-lg" style="color:#F5B400;padding:10 10 10 0 ;"></i>' . "签退" . $infoData;
                                        } else {
                                            echo '<i class="fa fa-map-marker fa-lg" style="color:#A9B7B7;padding:10 14 10 0 ;"></i>' . "定位" . $infoData;
                                        }

                                        echo "<div style='border-left:2px solid #cdcdcd;margin-left:5px;padding-left:15px' > ";

                                        echo $info[$I]["data"][$J]["ADDRESS"], "<br/>";


                                        if ($info[$I]["data"][$J]["mobile_category"] == 1) {

                                            if (!empty($info[$I]["data"][$J]["out_info"])) {
                                                echo "外出备注：", $info[$I]["data"][$J]["out_info"];
                                            }

                                            if (!empty($info[$I]["data"][$J]["out_img"])) {
                                                
                                                $imgs = trim($info[$I]["data"][$J]["out_img"],",");
                                                $imgObjs  = explode(",",$imgs);
                                                
                                                $str = "<br/>";
                                                if(count($imgObjs)){
                                                    foreach($imgObjs as $obj){
    
                                                          $str  .= "<div class='img-box-layer'><div class='img-content' onclick=previewImg('".$obj."')><img src='".$obj."' style='width:50px;height:50px;'/></div></div>";
                                                    }
                                                }
    
                                                echo $str,"<br/>" ;
                                            }
                                        }


                                        echo "</div>";
                                        ?>
                                            </div>

                                        </div>







            <?php
        }
    }
    ?></div>  </div>
                    </div>
                </td>
            </tr>
        </table>
    </div>
                                <?php
                            }
//返回是否还有数据
                            if ($checkHaveData == "noData" || ($_REQUEST["searchWord"] && count($info) == 0) || count($info) < 10) {
                                ?>
    <input type="hidden" id="checkHaveData" name="checkHaveData">
    <?php
}
?>