<?php
include_once('inc/utility_all.php');
include_once 'inc/sharePage.php';
include_once('inc/CheckAppVerfy.php'); //引入授权
include_once('lang/cn/calendar.lang.php');
if (!isset($_GET["uid"])) {
    Message('failed', $_lang["calendar_op_waring"] . " 0x001");
    return false;
}
//$token = $_GET["token"];
//$_userId = str_replace(' ', '+', $token);
//$uid = encrypt2($_userId, 'D', "eoffice"); //用户ID解密
$uid = trim($_GET["uid"]);

//验证是否有模块权限 126
$wxCode1 = CheckAPP(126); // 薪资授权
if ($wxCode1 != 1) {
    Message('failed', $_lang["calendar_exception_auth"] . " 0x002");
    return false;
}
//319
//获取当前用户的权限
$privSql = "select USER_PRIV,USER_SUB_PRIV from user where USER_ID ='" . SecurityFilter($uid) . "' limit 1";
$rs = exequery($connection, $privSql);
$rows = mysql_fetch_assoc($rs);

$userRole = "";
if ($rows) {
    $userRole .= $rows["USER_PRIV"];
    if ($rows["USER_SUB_PRIV"] > 0) {
        $userRole .= "," . $rows["USER_SUB_PRIV"];
    }
}


$authMenu = "select count(*) as count from user_priv where find_in_set(319,FUNC_ID_STR) and USER_PRIV in (" . SecurityFilter($userRole) . ")";
$auths = exequery($connection, $authMenu);
$authResult = mysql_fetch_assoc($auths);
if ($authResult["count"] == 0) {
    Message('failed', $_lang["calendar_exception_auth"] . " 0x003");
    return false;
}
?>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
        <title><?= $_lang["calendar_salary"]; ?> - <?= $_lang["calendar_my_salary"]; ?></title>
    </head>

    <link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
    <link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
    <link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
    <link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
    <style type="text/css">

        *{
            font-size:12px;
        }

        .userSpan{
            float: left;
            width: 41px;
            height: 41px;
            overflow: hidden;
            border: solid 1px #e2e2e2;
        }
        .emptyData {
            text-align: center;
            line-height: 140px;
            font-size: 24px;
        }

    </style>

    <body >
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td valign="top" width="*" style="max-width: 800px;">
                    <div class="lazy_header">
                        <div class="filter_wrap"></div>

                    </div>
                    <div id="diaryLeftList" style="float:left;width:100%;position:relative;z-index:1;">

                        <table border="0" cellspacing="0" width="100%" cellpadding="0" class="table table-condensed">

                            <tr style="background-color:#E6E4E5;">
                                <td nowrap="nowrap"  style="padding-left:20px" width="75%">
<?= $_lang["calendar_remark"]; ?>
                                </td>

                                <td  width="25%">
<?= $_lang["calendar_total"] ?>
                                </td>
                            </tr>

                        </table>
                        <div id="lisSpan" style="width:100%; margin-bottom:10px; padding:10px;padding-top: 0px;">
                            <!-- 列表数据 -->
                        </div>
                        <div id="showMoreSpan" style="width:100%;margin-bottom:30px;padding-right: 10px;padding-left: 10px;">
                            <button type="button" class="btn btn-primary btn-lg btn-block" style="letter-spacing:5px;word-spacing:10px;" onclick="showMoreData()"><?= $_lang["calendar_load_more_data"] ?></button>
                        </div>

                    </div>
                </td>

            </tr>
        </table>

        <input type="hidden" id="chooseDataId" name="chooseDataId" value="<?= $uid ?>">
    </body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>


<script language="javascript">

                                var liststart = 0;
                                var listrows = 10;
                                var leftlist = "";
                                var recordlist = "";
                                $(function () {
                                    //默认数据加载
                                    initDiaryData();

                                    $("#diaryLeftList").height($(window).height() - 40);


                                    //标签
                                    $('#myTab a:first').tab('show');
                                    $('#recordTab a:first').tab('show');
                                    //导航
                                    $(".menuItem").click(function (event) {
                                        $(".menuItem").each(function (index, val) {
                                            if ($(this).hasClass('weibochange-click')) {
                                                $(this).removeClass('weibochange-click');
                                            }
                                        });
                                        $(this).removeClass('weibochange-over');
                                        $(this).addClass('weibochange-click');
                                    });
                                    $(".item1").mouseover(function (event) {
                                        $(this).css({
                                            background: '#E2F5F3'
                                        });
                                    }).mouseleave(function (event) {
                                        $(this).css({
                                            background: ''
                                        });
                                    });

                                    $(".filter_wrap").LazyFilter({
                                        onClick: function (data) {
                                            //更改显示开始数
                                            liststart = 0;
                                            var userid = $("#chooseDataId").val();
                                            if (data == "thisWeek" || data == "lastWeek") {
                                                var showRmind = moreAndNodataShow("remind");
                                                $("#showMoreSpan").html(showRmind);
                                            } else {
                                                var showRmind = moreAndNodataShow("btn");
                                                $("#showMoreSpan").html(showRmind);
                                            }

                                            $.ajax({
                                                type: "POST",
                                                dataType: "html",
                                                data: "userid=" + userid + "&quickParam=" + data,
                                                url: "/general/weixin/ajaxSalary.php"
                                            }).done(function (result) {

                                                $("#lisSpan").html(result);

                                                var str = $("#showMoreStatus").val();
                                                if (str < 10) {
                                                    var showRmind = moreAndNodataShow("remind");
                                                    $("#showMoreSpan").html(showRmind);
                                                } else {
                                                    var showRmind = moreAndNodataShow("btn");
                                                    $("#showMoreSpan").html(showRmind);
                                                }


                                            });
                                        },
                                        more: {
                                            header: '<?= $_lang["calendar_more_filer"]; ?>',
                                            dataSource: [{
                                                    key: "monthShow",
                                                    title: '<?= $_lang["calendar_year"]; ?>',
                                                    subItems: [{
                                                            key: "2014",
                                                            title: '2014'
                                                        }, {
                                                            key: "2013",
                                                            title: '2013'
                                                        }, {
                                                            key: "2012",
                                                            title: '2012'
                                                        }]
                                                }]
                                        },
                                        common: {
                                            template: "{title}",
                                            dataSource: [{
                                                    key: "allShow",
                                                    title: '<?= $_lang["calendar_level_all"] ?>',
                                                    isDefault: true
                                                }, {
                                                    key: "thisYear",
                                                    title: '<?= $_lang["calendar_this_year"] ?>'
                                                }, {
                                                    key: "lastYear",
                                                    title: '<?= $_lang["calendar_last_year"] ?>'
                                                }]
                                        }
                                    });

                                    //修改滚动条zindex
                                    $("#ascrail2000").css("z-index", "1");

                                });
//初始化数据
                                function initDiaryData() {
                                    var userid = "<?= $uid; ?>";
                                    var quickParam = "allShow";

                                    $.ajax({
                                        type: "GET",
                                        dataType: "html",
                                        data: "curPage=0&rows=10&userid=" + userid + "&quickParam=" + quickParam + "&checkDiff=init&sessionkey=<?= $_REQUEST['sessionkey'] ?>",
                                        url: "/general/weixin/ajaxSalary.php"
                                    }).done(function (result) {
                                        $("#lisSpan").html(result);

                                        var str = $("#showMoreStatus").val();
                                        if (str < 10) {
                                            var showRmind = moreAndNodataShow("remind");
                                            $("#showMoreSpan").html(showRmind);
                                        } else {
                                            var showRmind = moreAndNodataShow("btn");
                                            $("#showMoreSpan").html(showRmind);
                                        }
                                    });
                                }

//加载和无数据
                                function moreAndNodataShow(diff) {

                                    var remindStr = "";
                                    if (diff == "btn") {
                                        remindStr = '<button type="button" class="btn btn-primary btn-lg btn-block" style="letter-spacing:5px;word-spacing:10px;" onclick="showMoreData()"><?= $_lang["calendar_load_more_data"] ?></button>';
                                    } else if (diff == "remind") {
                                        remindStr = '<div class="alert alert-info" style="text-align:center;letter-spacing:5px;word-spacing:10px;"><?= $_lang["calendar_not_more_data"] ?></div>';
                                    }
                                    return remindStr;
                                }
                                function showMoreData() {
                                    liststart += 10;
                                    var userid = $("#chooseDataId").val();
                                    var quickParam = $("#quickParam").val();

                                    if ($("#checkHaveData").length > 0) {
                                        var showRmind = moreAndNodataShow("remind");
                                        $("#showMoreSpan").html(showRmind);
                                    } else {

                                        var url = '/general/weixin/ajaxSalary.php';

                                        var data = "curPage=" + liststart + "&rows=" + listrows + "&userid=" + userid + "&defaultUserId=" + userid + "&quickParam=" + quickParam;
                                        $.ajax({
                                            type: "POST",
                                            dataType: "html",
                                            data: data,
                                            url: url
                                        }).done(function (result) {
                                            $("#lisSpan").append(result);
                                            var showRmind = moreAndNodataShow("btn");
                                            $("#showMoreSpan").html(showRmind);
                                        });
                                    }

                                }

                                function showInfo(id) {

                                    var userid = "<?= $uid; ?>";
                                    var id = id;
                                    location.href = "/general/weixin/salaryInfo.php?id=" + id + "&user_id=" + userid;

                                }

</script>