<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程转发页面
* @encoding      $_lang['encoding']
* @name          general/workflow/work_list.php
* @version       6
* @author        sun|www.weaver.com.cn
* @modify        sunx
* @date          2011-11-25
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("prcs_role.php");
include_once("api/fixedworkflow.class.php");
includelangpak("flow");
if(!run_role($RUN_ID,$PRCS_ID)) {
	Message("",$_lang["flow_not_existed"]);
	exit;
}
$workFlowInstance = new fixedWorkflow($FLOW_ID);	
$workFlowInstance->runId   = $RUN_ID;
$OP_FLAG = $workFlowInstance->isOpFlag($LOGIN_USER_ID,$PRCS_ID);
if($OP_FLAG) {
	$turned = $workFlowInstance->haveTurned($PRCS_ID,$LOGIN_USER_ID);
} else {
	$turned = $workFlowInstance->operatorHaveTurned($PRCS_ID,$LOGIN_USER_ID);
}
if($turned) {
	// 如果是结束的。特殊处理。
	if($workFlowInstance->isEnd() == 1) {
		
	} else {
		Message("",$_lang["flow_haveturn_can_not_save"]);
		exit;
	}
}
$func_id = 0;
$array   = checkReminds($func_id);
$sms_select     =  $array[0];
$smstel_select  =  $array[1];
$email_select   =  $array[2];
$sms_modify     =  $array[3];
$smstel_modify  =  $array[4];
$email_modify   =  $array[5];
$PAGE_TITLE = $_lang["flow_flow_forward"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript">
$(function(){
	$("#dialogClose").click(function(){
		bootbox.confirm("<?=$_lang['flow_make_sure_cancel']?>", function(result) {
			if(result){
				window.parent.flowTrunDialog.dialog("close");
			}
		});
	});
	$(".flowLimitRemindDiv").find('input').iCheck({
		checkboxClass : 'icheckbox_square-blue'
	});
})
function clearUser(){
	form1.forwardUserName.value=""
	form1.forwardUserId.value=""
}
function forwardSubmit()
{
	if(!document.getElementById("forwardUserId").value)
	{
		bootbox.alert("<?=$_lang["flow_choose_forward_receiver"]?>"+"！");
		return false;
	}
	else
	{
		$("#submitButtonId").attr("disabled","disabled");
		$('#form1').ajaxSubmit({
			success : function(returnData){
				var pnotifyText = "<?=$_lang["flow_forward_failed"]?>"+"！";
				var pnotifyType = "error";
				if(returnData == "success")
				{
					pnotifyText = "<?=$_lang["flow_forward_success"]?>"+"！";
					pnotifyType = "success";
				}
				$.pnotify({
					text : pnotifyText,
					type : pnotifyType,
					delay : 100,
					addclass: "stack-topleft",
					styling : "bootstrap3",
					history : false,
					sticker : false,
					closer : false,
					after_close: function(pnotify, timer_hide) {
						window.parent.flowTrunDialog.dialog("close");
					}
				});
			}
		});
	}
}
function setFocus()
{
	if(document.getElementById("forwardUserName"))
	{
		try{
			document.getElementById("forwardUserName").focus();
		}
		catch(e)
		{}
	}
}
function forwardLoadWindowUser(inputID,inputName,formName){
	var param = {
		inputID : inputID,
		inputName : inputName,
		mode : "multi",
		fromType : "loadWindowsFlowForward"
	};
	self.parent.LoadUserSubFlow(param);
	window.parent.loadWindowsFlowForwardObj.data({
		userIDStr: $("#" + inputID).val(),
		userNameStr: $("#"+ inputName).val()
	}).dialog("open");
}
</script>
<body onLoad="setFocus()" style="overflow:hidden;">
<div class="lazy_header">
	<button type="button" id="dialogClose" style="float:right;" class="btn btn-default" title="<?=$_lang["common_cancel"]?>"><?=$_lang["common_cancel"]?>
	</button>
	<button type="button" id="submitButtonId" name="submitButtonId" style="float:right;" onClick="forwardSubmit();" class="btn btn-primary" title="<?=$_lang["common_sure"]?>"><?=$_lang["common_sure"]?>
	</button>
</div>
<form name="form1" id="form1" action="flow_forward_do.php" method="post">
	<input type="hidden" name="RUN_ID" id="RUN_ID" value="<?=$RUN_ID?>">
	<input type="hidden" name="PRCS_ID" id="PRCS_ID" value="<?=$PRCS_ID?>">
	<input type="hidden" name="FLOW_PRCS" id="FLOW_PRCS" value="<?=$FLOW_PRCS?>">
	<input type="hidden" name="FLOW_ID" id="FLOW_ID" value="<?=$FLOW_ID?>">
	<table border="0" cellpadding="3" cellspacing="1" class="form_table">
		<tr>
			<td class="title" nowrap="nowrap">
				<?=$_lang["flow_forward_receiver"]?>
			</td>
			<td nowrap="nowrap">
				<textarea name="forwardUserName" id="forwardUserName" readonly="readonly" class="textarea" rows="3" cols="30" style="width:300px;"></textarea>
				<input type="hidden" name="forwardUserId" id="forwardUserId" value="">
				<input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="forwardLoadWindowUser('forwardUserId','forwardUserName','form1');" />
				<input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-danger" onClick="clearUser()" title="<?=$_lang["common_empty"]?>" name="button">
			</td>
		</tr>
		<tr>
			<td class="title">
				<?=$_lang["flow_feedback_suggests"]?>
			</td>
			<td>
				<textarea class="textarea" name="feedbackContent" id="feedbackContent" cols="37" rows="5" style="width:300px;"></textarea>
			</td>
		</tr>
		<tr>
			<td class="title" nowrap>
				<?
				if($sms_modify == 1 || $email_modify == 1 || (ifSendMbSms() && $smstel_modify == 1))
				{
				?>
					<div class="tableTrForFreeStopTitleTd"><?=$_lang["flow_remind_type"]?></div>
				<?
				}
				?>
			</td>
			<td>
				<div style="float:left;border:0px red solid;" class="flowLimitRemindDiv">
				<?
				if($sms_modify!='1')
				{
					if($sms_select)
					{
					?>
						<input type="hidden" name="SMS_REMIND" id="SMS_REMIND" value="1"/>
					<?
					}
				}
				else
				{
				?>
					<div style="float:left;">
						<input type="checkbox" class="checkbox" name="SMS_REMIND" id="SMS_REMIND"  value="1" <? if($sms_select == '1') {echo "checked"." ";}?>>&nbsp;<?=$_lang["flow_smsalerts"]?>
					</div>
				<?
				}
				if($email_modify!='1')
				{
					if($email_select=='1')
					{
					?>
						<input type="hidden" name="EMAIL_REMIND" id="EMAIL_REMIND" value="1"/>
					<?
					}
				}
				else
				{
				?>
					<div style="float:left;margin-left:5px;">
						<input type="checkbox" class="checkbox" name="EMAIL_REMIND"  id="EMAIL_REMIND" value="1" <? if($email_select == '1') {echo "checked"." ";}?>>&nbsp;<?=$_lang["flow_emailalerts"]?>
					</div>
				<?
				}
				if(ifSendMbSms())
				{
					if($smstel_modify!='1')
					{
						if($smstel_select=='1')
						{
						?>
							<input type="hidden" name="MOBILE_SMS_REMIND" id="MOBILE_SMS_REMIND" value="1"/>
						<?
						}
					}
					else
					{
					?>
						<div style="float:left;margin-left:5px;">
							<input type="checkbox" class="checkbox" name="MOBILE_SMS_REMIND" id="MOBILE_SMS_REMIND"  value="1" <? if($smstel_select == '1') {echo "checked";}?>>&nbsp;<?=$_lang["flow_phonesmsalerts"]?>
						</div>
					<?
					}
				}
				?>
				</div>
			</td>
		</tr>
	</table>
</form>
</body>
</html>