<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程转发处理页面
* @encoding      $_lang['encoding']
* @name          general/workflow/flow_forward_do.php
* @version       3
* @author        sun|www.weaver.com.cn
* @modify        sunx
* @date          2012-02-07
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("prcs_role.php");
includelangpak("flow");
include_once("inc/function_flow.php");
include_once("inc/mobile_sms.inc.php");
include_once("api/email.class.php");
include_once("general/workflow/flow_agency/function_agent.php");
if(!run_role($RUN_ID,$PRCS_ID))
{
	Message("",$_lang["flow_not_existed"]);
	exit;
}
//取消，改成被转发到记录，中加上转发人的id
//记录转发人的转发操作，并将转发人记录下来,fRSql = forwardRecordSql
//$fRSql = "UPDATE flow_run_prcs SET FORWARD_USER_IDS = '".$forwardUserId."' WHERE RUN_ID = '".$RUN_ID."' AND PRCS_ID ='".$PRCS_ID."' AND USER_ID = '".$LOGIN_USER_ID."' ";
//$fRRs  = exequery($connection,$fRSql);

//转发,给每个转发人增加一个待办事宜


//增加签办反馈意见
$seqId          = getNextSeqId($_SESSION['LOGIN_USER_ID'],$RUN_ID);
$curTime        = date("Y-m-d H:i:s");
if($feedbackContent)
{
	$addFeedbackSql = "INSERT INTO flow_run_feedback (RUN_ID,USER_ID,CONTENT,EDIT_TIME,SEQ_ID,FLOW_PRCS,PRCS_ID) VALUES('".SecurityFilter($RUN_ID)."','".SecurityFilter($LOGIN_USER_ID)."','".SecurityFilter($feedbackContent)."','".SecurityFilter($curTime)."','".SecurityFilter($seqId)."','".SecurityFilter($FLOW_PRCS)."','".SecurityFilter($PRCS_ID)."')";
	exequery($connection,$addFeedbackSql);
}
$forwardUserIdArray = explode(",",trim(SecurityFilter($forwardUserId),","));
$userId = "";
for($i = 0; $i <count($forwardUserIdArray);$i++)
{
	//判断被转发人是否流程委托了
	$haveAgent = flowHaveAgent($FLOW_ID,$forwardUserIdArray[$i]);
	if($haveAgent)
	{
		$haveAgentArray = explode("|",$haveAgent);
		$agentFlowId    = $haveAgentArray[0];
		$agentUserId    = $haveAgentArray[1];
		$sql            = "INSERT INTO flow_run_prcs (RUN_ID,PRCS_ID,USER_ID,PRCS_FLAG,FLOW_PRCS,OP_FLAG,BY_AGENT_ID,FLOW_AGENCY_ID,FORWARD_USER_ID) VALUES ('".SecurityFilter($RUN_ID)."',".SecurityFilter($PRCS_ID).",'$agentUserId','1',".SecurityFilter($FLOW_PRCS).",'0','".$forwardUserIdArray[$i]."','".$agentFlowId."','".SecurityFilter($LOGIN_USER_ID)."')";
		//给haveAgent增加流程文档权限
		if(!find_id($forwardUserId,$agentUserId))
		{
			$forwardUserId = $forwardUserId.$agentUserId.",";
		}
		$userId = $agentUserId;
	}
	else
	{
		$sql = "INSERT INTO flow_run_prcs (RUN_ID,PRCS_ID,USER_ID,PRCS_FLAG,FLOW_PRCS,OP_FLAG,FORWARD_USER_ID) VALUES ('".SecurityFilter($RUN_ID)."','".SecurityFilter($PRCS_ID)."','".$forwardUserIdArray[$i]."','1','".SecurityFilter($FLOW_PRCS)."','0','".SecurityFilter($LOGIN_USER_ID)."')";
		$userId = $forwardUserIdArray[$i];
	}
	$rs  = exequery($connection,$sql);
	//更新flow_run_step
	//判断有没有数据
	$query = "SELECT FLOW_STEP_ID FROM flow_run_step WHERE run_id = '".SecurityFilter($RUN_ID)."' AND user_id = '".SecurityFilter($userId)."'";
	$cursor = exequery($connection,$query);
	if($ROW=mysql_fetch_array($cursor)) {
		$FLOW_STEP_ID = $ROW["FLOW_STEP_ID"];
		$query = "UPDATE flow_run_step frs SET frs.PRCS_ID = '".SecurityFilter($PRCS_ID)."',frs.FLOW_PRCS = '".SecurityFilter($FLOW_PRCS)."',frs.USER_RUN_TYPE = '1',frs.PRCS_TIME = NULL,frs.LIMIT_DATE = NULL WHERE FLOW_STEP_ID = '".SecurityFilter($FLOW_STEP_ID)."'";
		exequery($connection,$query);
	} else {
		//插入数据
		$query = "INSERT INTO flow_run_step (RUN_ID,PRCS_ID,USER_ID,FLOW_PRCS,USER_RUN_TYPE,OP_FLAG) VALUES ('".SecurityFilter($RUN_ID)."','".SecurityFilter($PRCS_ID)."','".SecurityFilter($userId)."','".SecurityFilter($FLOW_PRCS)."','1','0')";
		exequery($connection,$query);
	}
}
//TRANSACT_TIME
$query = "UPDATE flow_run fr,flow_run_step frs SET frs.TRANSACT_TIME = UNIX_TIMESTAMP(fr.TRANSACT_TIME) WHERE fr.run_id = frs.run_id AND fr.run_id = '".SecurityFilter($RUN_ID)."'";
exequery($connection,$query);

//发送流程短信，给所有的被转发人
//短信提醒，内容生成
$runInfoSql = "SELECT * FROM flow_run WHERE RUN_ID = '".SecurityFilter($RUN_ID)."'";
$rs         = exequery($connection,$runInfoSql);
if($rows    = mysql_fetch_array($rs))
{
	$runName = $rows["RUN_NAME"];
	$linkDoc = $rows["LINK_DOC"];
}
$SMS_CONTENT = $_lang["flow_flowsmscontent"].$runName;
$tablename   = "flow_run";
$TABLE_ID    = $RUN_ID;
$TABLE_VAR   = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|".$FLOW_ID.",".$RUN_ID.",$PRCS_ID,$FLOW_PRCS,";
//sendSms($_SESSION['LOGIN_USER_ID'],$forwardUserId,$SMS_CONTENT,$SMS_REMIND,$smstype,$tablename,$TABLE_ID,$TABLE_VAR);
//加了已经委托的人，重新循环
$forwardUserArray = explode(",",trim($forwardUserId,","));
$count_ff = count($forwardUserArray);
$USER_ID_STRING = "";
for($n = 0; $n <$count_ff;$n++)
{
	$USER_ID    = $forwardUserArray[$n];
        $USER_ID_STRING .= $forwardUserArray[$n] . ",";


	if($_REQUEST['EMAIL_REMIND']=='1')
	{
		if(ifSendMbSms('email'))
		{
			$email = new email();
			$email->sendEmail($LOGIN_USER_ID,$USER_ID,$USER_ID,$_lang["flow_deal_email_remind"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
		}
	}
}

$USER_ID_STRING = substr($USER_ID_STRING, 0, -1);
if($_REQUEST['SMS_REMIND']=='1'){
    if(ifSendMbSms('message')){
	sendSms($LOGIN_USER_ID,$USER_ID_STRING,$SMS_CONTENT,1,7,$tablename,$TABLE_ID,$TABLE_VAR);
    }
}
if($_REQUEST['MOBILE_SMS_REMIND']=='1'){
    if(ifSendMbSms()){
	$newSms = new MobileSms();
	$newSms->SelfSendMore($USER_ID_STRING,$SMS_CONTENT);
    }
}




//增加，被转发人的文档权限
if(trim($linkDoc,","))
{
	addDocViewPur($linkDoc,$forwardUserId,$RUN_ID);
}
//增加子流程查看权限
addViewUser($RUN_ID);
if($rs)
{
	echo "success";
}
else
{
	echo "error";
}
?>
