<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      新建流程-选择流程页面
* @encoding      $_lang['encoding']
* @name          general/workflow/new/freeedit2.php
* @version       5
* @author        sun|www.weaver.com.cn
* @modify        sunx
* @date          2011-11-25
*/
include_once("inc/auth.php");
includelangpak("flow");
include_once("../prcs_role.php");
include_once("inc/utility_all.php");
include_once ("api/workflow.list.class.php");
$func_id = $_GET["func_id"];
$searchKeyVal    = $_REQUEST['searchKeyVal'];
//定义颜色数组
$colorArray = array("9AD268","FFC545","4DD4FD","FE402B","9AD268","FFC545");
$imgArray = array("fa-file-text-o","fa-bar-chart-o","fa-envelope","fa-user","fa-file-text-o","fa-bar-chart-o");
$colors = array("#1EB1ED","#94CE58","#FDBF2D","#FC6621","#808080");
$PAGE_TITLE = $_lang["flow_workflow"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script language="javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript">
$(document).ready(function(){
	function scrollMainDiv()
	{
		var flowId = $("#searchHiddenFlowId").val();
		if($(".flowImportDataDiv").is(":visible"))
			$(".flowImportDataDiv").animate({top : $("#lineli_"+flowId).offset().top+35 },{ duration:100 , queue:false });
	}
	$(".myFlowNewIndexDiv").bind('scroll',function(){
		scrollMainDiv();
	});
	$("#flowSearch").LazySearch({
		tip : Flowlang.searchFlow,
		url : "/general/workflow/do.php",
		param : {
			op : "list",
			listType : "new_flow"
		},
		autoSearch : {
			template : function(data) {
				return "<i class='fa fa-angle-right'></i><span style='margin-left:15px;'>{flow_name}</span>";
			},
			onItemClick : function(data) {
				var func_id  = $(this).attr("func_id");
				if(data.flow_type == 1)
				{
					openNewPage('do.php',data.flow_id,'create',data.flow_type,func_id);
				}
				else if(data.flow_type == 2)
				{
					openNewPage('freedo.php',data.flow_id,'create',data.flow_type,func_id);
				}
			}
		}
	});
	$(".myFlowNewIndexDiv").height($(window).height()-40);
	$.ajax({
		url: "do.php",
		data: "f=getNewIndex"
	}).done(function(result) {
		var parsedData = $.parseJSON(result);
		if(parsedData)
		{
			$(".flowTypeNoData").hide();
			var count = 0;
			$.each(parsedData, function(index, value) {
				var colors = new Array("#1EB1ED","#94CE58","#FDBF2D","#FC6621","#808080");
				var colorNum = parseInt(Math.random()* (6) -1);
				var flowTypeDiv = [];
				var flowTypeStr = "<ul style=\"margin-left:10px;\">\n";
				var nowcount = 0;
				$.each(value.flowid, function(key, arrayflow) {
					nowcount++;
					var flowid = arrayflow.flowid;
					if(arrayflow.flowtype == 1)
					{
						flowTypeStr += "<li id=\"lineli_"+flowid+"\" class=\"lineli\"><i class='fa fa-angle-right'></i>&nbsp;&nbsp;&nbsp;&nbsp;<a class=\"new_flow_click_link\" href=\"javascript:void('0');\" flowid='"+flowid+"' func_id='<?=$func_id?>' flowtype='"+arrayflow.flowtype+"' title='"+arrayflow.flowname+"'>"+arrayflow.flowname+"</a>";
						if(arrayflow.FLOW_CNT > 0)
							flowTypeStr += "<div class=\"flowImportDiv\" style=\"width:50px;height:36px;position:relative;left:100%;top:-27px;display:none;\" title=\"<?=$_lang["common_introduction_flow"]?>\"><i class='fa fa-angle-double-down fa-2x' style=\"margin-left:14px;margin-top:6px;\"></i></div>";
						flowTypeStr += "</li>\n";
					}
					if(arrayflow.flowtype == 2)
					{
						flowTypeStr += "<li id=\"lineli_"+flowid+"\" class=\"lineli\"><i class='fa fa-angle-right'></i>&nbsp;&nbsp;&nbsp;&nbsp;<a class=\"new_flow_click_link\" href=\"javascript:void('0');\" flowid='"+flowid+"' func_id='<?=$func_id?>' flowtype='"+arrayflow.flowtype+"' title='"+arrayflow.flowname+"'>"+arrayflow.flowname+"</a><span style='color:#cccccc'>(<?=$_lang["flow_freeflow"]?>)</span>";
						if(arrayflow.FLOW_CNT > 0)
							flowTypeStr += "<div class=\"flowImportDiv\" style=\"width:50px;height:36px;position:relative;left:100%;top:-27px;display:none;\" title=\"<?=$_lang["common_introduction_flow"]?>\"><i class='fa fa-angle-double-down fa-2x' style=\"margin-left:14px;margin-top:6px;\"></i></div>";
						flowTypeStr += "</li>\n";
					}
				});
				flowTypeStr += "</ul>\n";
				flowTypeDiv.push('<div class="one_type_flow">');
				flowTypeDiv.push('<div class="one_type_flow_top">');
				flowTypeDiv.push('<div style="float:left;margin-top:8px;border:0px red solid;">');
				flowTypeDiv.push('<a href="javascript:void(\'0\');" class="" style="color:#fff;text-align:center;line-height:1.5;display:block;width :17px;height:17px;border:0px solid #166C7B;border-radius:10px;background:'+colors[colorNum]+';">');
				flowTypeDiv.push(nowcount);
				flowTypeDiv.push('</a>');
				flowTypeDiv.push('</div>');
				flowTypeDiv.push('<div style="float:left;" class="one_type_flow_name">');
				flowTypeDiv.push('<span style="font-size:13px;">'+value.sortname+'</span>');
				flowTypeDiv.push('</div>');
				flowTypeDiv.push('</div>');
				flowTypeDiv.push(flowTypeStr);
				flowTypeDiv.push('</div>');
				if(count%3 == 0)
					$(".showFlowNew1").append(flowTypeDiv.join(''));
				else if(count%3 == 1)
					$(".showFlowNew2").append(flowTypeDiv.join(''));
				else if(count%3 == 2)
					$(".showFlowNew3").append(flowTypeDiv.join(''));
				count++;
			});
		} else {
			$(".flowTypeNoData").show();
		}
		$(".lineli").hover(function() {
			if($(".flowImportDataDiv").is(":hidden"))
				$(this).find("div").show();
		}, function() {
			if($(".flowImportDataDiv").is(":hidden"))
				$(this).find("div").hide();
		});

		$(".flowNewBody").click(function (event){
			//点中导入小图标
			var div = $(".flowImportDataDiv");
			if($(event.target).hasClass("fa-angle-double-down")){
				if(div.is(":hidden")){
					div.show();
					div.css("left",parseInt($(event.target).parent().parent().parent().offset().left)+"px");
					div.css("top",$(event.target).parent().parent().offset().top+35);
					div.css("background-color","#e0e0e0");
					$(".flowImportDiv").css("background-color","#e0e0e0");
					div.width(parseInt($(event.target).parent().parent().parent().width())+"px");
					var flowId = $(event.target).parent().parent().find("a").attr("flowid");
					if(flowId != div.find("#searchHiddenFlowId").attr("value"))
					{
						div.find("#searchFlowImport").attr("value","");
						div.find("#searchHiddenFlowId").attr("value",flowId);
					}
					div.find("#searchFlowImport").width(parseInt(div.width())-30+"px");
					div.find("#searchFlowImport").keyup(function(event) {
						var thisValue = $.trim($(this).val());
						getFlowHistoryDataByFlowId(flowId,thisValue);
					});
					var searchValue = div.find("#searchFlowImport").attr("value");
					//加载历史数据
					getFlowHistoryDataByFlowId(flowId,searchValue);
				}
				else if(div.is(":visible"))
				{
					div.hide();
					$(".flowImportDiv").css("background-color","").hide();
					div.find("#searchFlowImport").unbind("keyup");
				}
			}
			//给a链接添加click事件
			else if($(event.target).attr("class") == "new_flow_click_link")
			{
				var flowtype = $(event.target).attr("flowtype");
				var func_id  = $(event.target).attr("func_id");
				var flowid   = $(event.target).attr("flowid");
				var runid    = $(event.target).attr("runid");
				if(flowtype == 1)
				{
					openNewPage('do.php',flowid,'create',flowtype,func_id,runid);
				}
				else if(flowtype == 2)
				{
					openNewPage('freedo.php',flowid,'create',flowtype,func_id,runid);
				}
			}
			else
			{
				if(!$(event.target).parents().hasClass("flowImportDataDiv"))
				{
					if(div.is(":visible"))
					{
						div.hide();
						$(".flowImportDiv").css("background-color","").hide();
						div.find("#searchFlowImport").unbind("keyup");
					}
				}
			}
		});
		//给常用流程添加click
		$(".often_over_td").find(".new_flow_click_link").on("click",function(){
			var flowtype = $(this).attr("flowtype");
			var func_id  = $(this).attr("func_id");
			var flowid   = $(this).attr("flowid");
			var runid    = $(this).attr("runid");
			if(flowtype == 1)
			{
				openNewPage('do.php',flowid,'create',flowtype,func_id,runid);
			}
			else if(flowtype == 2)
			{
				openNewPage('freedo.php',flowid,'create',flowtype,func_id,runid);
			}
		});
		$.ajax({
	        url: '/general/workflow/delete.php',
	        type: 'post',
	        data: "OP=delete_new_effect"
	    });
	});
});
function getFlowHistoryDataByFlowId(flowId,searchValue){
	$.ajax({
		url: "do.php",
		data: "f=getFlowHistoryData&flowid="+flowId+"&searchValue="+encodeURI(searchValue)
	}).done(function(result) {
		$(".flowImportDataUlDiv").html("&nbsp;&nbsp;&nbsp;"+String.format(LazyPluginLang.LazySearch.searchEmpty, searchValue));
		var parsedData = $.parseJSON(result);
		if(parsedData)
		{
			$(".flowImportDataUlDiv").html("");
			var flowTypeStr = "<ul style=\"margin-left:10px;\">\n";
			$.each(parsedData, function(key, value) {
				flowTypeStr += "<li class=\"historylineli\"><a class=\"new_flow_click_link\" href=\"javascript:void('0');\" flowid='"+value.FLOW_ID+"' func_id='<?=$func_id?>' runid='"+value.RUN_ID+"' flowtype='"+value.FLOW_TYPE+"' title='"+value.RUN_NAME+"'>"+value.RUN_NAME+"</a></li>\n";
			});
			flowTypeStr += "</ul>\n";
			$(".flowImportDataUlDiv").append(flowTypeStr);
			var flowId = $("#searchHiddenFlowId").val();
			var importDivHeight = $(".flowImportDataUlDiv").height()+47;
			//修整div位置
			if(document.body.offsetHeight-$("#lineli_"+flowId).offset().top-38 < importDivHeight)
			{

				$(".flowImportDataDiv").animate({top : $("#lineli_"+flowId).offset().top-importDivHeight+4 },{ duration:100 , queue:false });
			}
		}
	});
}

</script>
<style type="text/css">
.showFlowNewTop a:link ,.often_a_link_div a:link,.flowImportDataUlDiv a:link	{color: black; text-decoration: none;}
.showFlowNewTop a:visited,.often_a_link_div a:visited,.flowImportDataUlDiv a:visited 	{color: black; text-decoration: none;}
.showFlowNewTop a:hover,.often_a_link_div a:hover,.flowImportDataUlDiv a:hover 	{color: red; text-decoration: none;}
.showFlowNewTop a:active,.often_a_link_div a:active,.flowImportDataUlDiv a:active 	{color: black; text-decoration: none;}
.lineli{
	padding:10px 45px 10px 10px;
	text-overflow:ellipsis;
	white-space:nowrap;
	overflow:hidden;
	height:37px;
}
.historylineli{
	padding:10px 20px 10px 10px;
	text-overflow:ellipsis;
	white-space:nowrap;
	overflow:hidden;
	height:37px;
}
.often_link{
	margin:16px 5px 1px 8px;
	padding:0px;
	display:inline-block;
	border:0px red solid;
	overflow:hidden;
}
.often_td{
	background-color:#F2F2F2;
	border-right:1px #BFBFBF solid;
}
.often_td_main{
	height:auto;
	border:0px red solid;
	text-align:center;
	line-height:20px;
}
.often_link_div{
	height:80px;
	width:100%;
	border:0px red solid;
	overflow-y:hidden;
}
.often_over_td{
	border:0px #BFBFBF solid;
	width:100%;
	height:100px;
}
.one_type_flow_top{
	float:top;
	width:100%;
	height:32px;
	border-bottom:1px #C5D9F1 solid;
}
.one_type_flow_name{
	height:100%;
	border:0px red solid;
	text-align:left;
	line-height:35px;
	padding-left:10px;
}
.one_type_flow{
	margin-left:auto;
	margin-right:auto;
	border:0px #BFBFBF solid;
	width:80%;
}
.roundBtn {
	display:block;
	width:17px;
	height:17px;
	border:0px solid #166C7B;
	background:#1C97AC;
	border-radius:10px;
}
.lazy_search_result_wrap {
	border:1px #F9B073 solid;
}
</style>
<body class="flowNewBody" topmargin="0" leftmargin="0" style="overflow:hidden;">
<div class="flowImportDataDiv" style="border:0px red solid;display:none;position: absolute;">
	<div style="border:7px #e0e0e0 solid;">
		<input type="text" id="searchFlowImport" value="">
		<input type="hidden" id="searchHiddenFlowId" value="">
	</div>
	<div class="flowImportDataUlDiv">
	</div>
</div>
<?
$PRCS_ROLE=prcs_role(0,1);
if($PRCS_ROLE==0)
{
	Message("",$_lang["flow_mesnoprivtonewflow"]);
	exit;
}
//获取常用流程
$type = array(
	"TYPE" => "flow_often"
);
$search = array(
	"LOGIN_USER_ID" => $LOGIN_USER_ID,
	"LOGIN_DEPT_ID" => $LOGIN_DEPT_ID,
	"LOGIN_USER_PRIV" => $LOGIN_USER_PRIV
);
$list = new listItem($type, $search, array(""), array(""));
$outoften = $list -> getList();
//echo "<pre>";
//print_r($outoften);
?>
<div id="newFlowTop" style="height:40px;border-bottom:#d9d9d9 1px solid;line-height:40px;">
	<span class="lazy-page-title"><i class="fa fa-page-title"></i> <span class="tip"><?=$_lang["flow_newflow"]?></span> </span>
	<div style="float:right;margin-top:5px;"><div id="flowSearch"></div></div>
</div>
<div class="myFlowNewIndexDiv" style="overflow-x:hidden;overflow-y:auto;">
<?
if(count($outoften) != 0)
{
?>
<div class="often_over_td" style="overflow:hidden;border:0px blue solid;margin-top:13px;">
	<?
	for($i = 0;$i < 5;$i++)
	{
	?>
		<?
		if($outoften[$i]["FLOW_NAME"])
		{
		?>
			<div class="new_flow_click_link" flowid="<?=$outoften[$i]["FLOW_ID"]?>" func_id="<?=$func_id?>" flowtype="<?=$outoften[$i]["FLOW_TYPE"]?>" style="cursor:pointer;width:180px;float:left;border:0px red solid;height:100%;margin-left:60px;background-color:#<?=$colorArray[$i]?>;">
				<div class="often_a_link_div" style="color:#FFFFFF;float:left;height:80px;width:100%;">
					<div style="float:left;width:120px;height:100%;">
						<div style="margin-left:8px;width:100%;float:left;margin-top:8px;">
							<font size="6"><?=$outoften[$i]["flowCount"]?></font>
						</div>
						<div title="<?=$outoften[$i]["FLOW_NAME"]?>" style="border:0px red solid;margin-left:8px;width:100%;float:left;white-space:nowrap;overflow:hidden;margin-top:6px;">
							<font size="3"><?=substrGB($outoften[$i]["FLOW_NAME"],6)?></font>
						</div>
					</div>
					<div style="border:0px red solid;float:right;height:100%;margin-right:8px;">
						<div style="margin-top:25px;"><i class="fa <?=$imgArray[$i]?> fa-4x"></i></div>
					</div>
				</div>
				<div style="float:left;height:20px;border:0px red solid;width:100%;">
					<div style="float:left;color:#FFFFFF;margin-left:8px;">Last : <?=date('Y-m-d H:i',strtotime($outoften[$i]["LastTime"]));?></div>
				</div>
			</div>
		<?
		}
		else
		{
			break;
		}
	}
?>
</div>
<?
}
?>
<div class="showFlowNewTop" style="margin-top:10px;">
	<div style="width:33%;float:left;border:0px red solid;" class="showFlowNew1">
	</div>
	<div style="width:33%;float:left;border:0px red solid;" class="showFlowNew2">
	</div>
	<div style="width:33%;float:left;border:0px red solid;" class="showFlowNew3">
	</div>
</div>
<div class="flowTypeNoData" style="display: none;">
	<?=Message("",$_lang["flow_form_mesflownotdefine"]);?>
</div>
</div>
</html>
<script language="javascript">
function openNewPage(url,flowId,operator,flowType,func_id,runid)
{
	if(!runid)
		runid = "";
	var url     = url+"?FLOW_ID="+flowId+"&f="+operator+"&FLOW_TYPE="+flowType+"&FUNC_ID="+func_id+"&DATA_RUN_ID="+runid;
	var wWidth  = screen.availWidth-10;
	var wHeight = screen.availHeight-70;
	window.open(url,"_blank","height="+wHeight+",width="+wWidth+",left=0,top=0,scrollbars=no,status=no,toolbar=no,menubar=no,location=no,resizable=yes,titlebar=no");
}
</script>
