<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      查看页面
* @encoding      $_lang['encoding']
* @name          general/workflow/print/index.php
* @version       34
* @author        sun|www.weaver.com.cn
* @modify        sunx
* @date          2011-12-22
*/
include_once("inc/auth.php");
includelangpak("flow");
include_once("inc/utility_all.php");
include_once("inc/utility_html.php");
include_once("../prcs_role.php");
include_once("inc/function_usergeneral.php");
include_once("general/workflow/function_textarea.php");
include_once("api/AnalyticFormView.class.php");
$version = getVersion();
$HTTP_HOST = $_SERVER["HTTP_HOST"];
//是通过子流程查看进入的，判断此人是否为父流程的监控人
if($PARENT_RUN_ID) {
	//没有流程的查看权限再去判断是否有监控权限
	if(!run_role($RUN_ID,0)) {
		if(!haveMonitor($PARENT_RUN_ID,$LOGIN_USER_ID)) {
			Message("",$_lang["flow_no_view_priv"]);
			exit;
		}
	}
} else {
	//判断是否有权限查看流程
	if(!run_role($RUN_ID,0)) {
		//增加判断是否是委托出去的流程，如果是则提示流程已经委托，如果不是提示没有权限查看
		$sql = "SELECT * FROM flow_run_prcs WHERE RUN_ID ='".SecurityFilter($RUN_ID)."' AND BY_AGENT_ID = '".$_SESSION["LOGIN_USER_ID"]."' ";
		$rs  = exequery($connection,$sql);
		if($rows = mysql_fetch_array($rs)) {
			Message("",$_lang["flow_have_been_agent"]);
			exit;
		} else {
			Message("",$_lang["flow_no_view_priv"]);
			exit;
		}
	}
}
$query = "SELECT FLOW_TYPE FROM flow_type WHERE FLOW_ID ='".SecurityFilter($FLOW_ID)."'";
$rs    = exequery($connection,$query);
if($rows  = mysql_fetch_array($rs))
{
	$flow_type = $rows["FLOW_TYPE"];
}
//查看表单也相当于查看了签办反馈故，查看后流程的状态也修改为已查看，且应记录最后访问时间
//修改接受时间的话，必须判断此步骤是否是动态设定主办人
$sql = "SELECT FLOW_PRCS,PRCS_ID,OP_FLAG FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($RUN_ID)."' AND USER_ID ='".SecurityFilter($LOGIN_USER_ID)."' ORDER BY PRCS_ID DESC LIMIT 0,1";
$rs  = exequery($connection,$sql);
//参与流程的办理的
if($rows = mysql_fetch_array($rs))
{
	$FLOW_PRCS = $rows["FLOW_PRCS"];
	$PRCS_ID   = $rows["PRCS_ID"];
	if($flow_type==1)
	{
		include_once("api/fixedworkflow.class.php");
		$workFlowRunning = new fixedWorkflow($FLOW_ID);
		$workFlowRunning->runId   = $RUN_ID;
		$PRCS_OPTYPE     = $workFlowRunning->getPrcsOptype($FLOW_PRCS);
		// 参与流程办理的人，才有权限在结束后转发
		if($workFlowRunning->isEnd() == 1) {
			// 主办人
			$OP_FLAG         = $rows["OP_FLAG"];
			$nodeInfo        = $workFlowRunning->getNodeInfo();
			//流程本节点是否可以转发
			$flowForward     = $nodeInfo[$FLOW_PRCS]["PRCS_FORWARD"];
			// 是否有主办人
			$maxOpFlag       = $workFlowRunning->opFlagIsExist($PRCS_ID);
			//任意办理人员为主办人的特殊处理
			if($PRCS_OPTYPE == 3)
			{
				if($maxOpFlag <= 0)
				{
					$OP_FLAG = "1";
				}
			}
			// 最终得出是否可以转发
			$flowCanForwardFlag = "";
			if(($flowForward == 1&&$OP_FLAG&&$maxOpFlag != 0)||$flowForward == 2) {
				$flowCanForwardFlag = "1";
			}
		}
	}
	else if($flow_type==2)
	{
		include_once("api/freeworkflow.class.php");
		$workFlowRunning        = new freeWorkflow($FLOW_ID);
		$PRCS_OPTYPE            = $workFlowRunning->handWay;
	}
	$workFlowRunning->runId = $RUN_ID;
	$workFlowRunning->setOpFlag($PRCS_OPTYPE,$PRCS_ID,$FLOW_PRCS,$LOGIN_USER_ID,"print");
	$workFlowRunning->markHaveReceive($LOGIN_USER_ID,$PRCS_ID);
	$workFlowRunning->cancelSmsRemind();
	$workFlowRunning->recordLastVisitdTime($PRCS_ID);
	$form_data = $workFlowRunning->getFormDataNew();
	// 参与流程办理的人，才有权限抄送流程
	$flowCanCopyFlag = "1";
}
//未参与办理但是有权限看的
else
{
	$sql = "SELECT FLOW_PRCS,PRCS_ID FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($RUN_ID)."' ORDER BY PRCS_ID DESC LIMIT 0,1";
	$rs  = exequery($connection,$sql);
	if($rows = mysql_fetch_array($rs))
	{
		$FLOW_PRCS = $rows["FLOW_PRCS"];
		$PRCS_ID   = $rows["PRCS_ID"];
	}
	if($flow_type==1)
	{
		include_once("api/fixedworkflow.class.php");
		$workFlowRunning        = new fixedWorkflow($FLOW_ID);
	}
	else if($flow_type==2)
	{
		include_once("api/freeworkflow.class.php");
		$workFlowRunning        = new freeWorkflow($FLOW_ID);
	}
	$workFlowRunning->runId = $RUN_ID;
	$form_data = $workFlowRunning->getFormDataNew();
	//标记为已查看抄送
	$workFlowRunning->markFlowCopyHaveReceive($LOGIN_USER_ID);
	$workFlowRunning->cancelSmsRemind();
	// 记录最后查看时间，不传参数，只记录日志，不做数据更改
	$workFlowRunning->recordLastVisitdTime("");
}
$flowInfo           = $workFlowRunning->getFlowInfo();
$LABLE_SHOW_DEFAULT = $flowInfo["LABLE_SHOW_DEFAULT"];
//如果是被抄送的流程
$copyId = $_REQUEST["copyId"];
$ishtmlsignature = isHtmlSignature();
$query   = "SELECT * FROM flow_type WHERE FLOW_ID = '".SecurityFilter($FLOW_ID)."'";
$cursor1 = exequery($connection,$query);
if($ROW  = mysql_fetch_array($cursor1))
{
	$FLOW_NAME = $ROW["FLOW_NAME"];
	$FLOW_TYPE = $ROW["FLOW_TYPE"];
	$FORM_ID   = $ROW["FORM_ID"];
	$FORM_TYPE = $ROW["FORM_TYPE"];
}

$query   = "SELECT * FROM flow_form_type WHERE FORM_ID = '".SecurityFilter($FORM_ID)."'";
$cursor1 = exequery($connection,$query);
if($ROW  = mysql_fetch_array($cursor1))
{
	$FORM_NAME   = $ROW["FORM_NAME"];
	$PRINT_MODEL = $ROW["PRINT_MODEL"];
}
//----- 取表单数据 --------
//为了解决打印表单时签章显示的问题，将此处的隐藏表单数据调整到525行
$query     = "SELECT * from FLOW_RUN_DATA WHERE RUN_ID=".SecurityFilter($RUN_ID)." ORDER BY ITEM_ID";
$cursor    = exequery($connection,$query);
while($ROW = mysql_fetch_array($cursor))
{
	$ITEM_ID   = $ROW["ITEM_ID"];
	$ITEM_DATA = $ROW["ITEM_DATA"];

	$STR       = "DATA_".$ITEM_ID;
	$$STR      = $ITEM_DATA;
	$hideStr   = str_replace("\r\n",";",$$STR);
	if($hideStr == "{会签字段}"||$hideStr == "{宏控件}")
	{
		$hideStr = "";
	}
}
//----------- 文号和说明 -------------
$query  = "SELECT * FROM flow_run WHERE RUN_ID=".SecurityFilter($RUN_ID)."";
$cursor = exequery($connection,$query);
if($ROW = mysql_fetch_array($cursor))
{
	$RUN_NAME = $ROW["RUN_NAME"];
	$RUN_SEQ  = $ROW["RUN_SEQ"];
	$INSTANCY_TYPE  = $ROW["INSTANCY_TYPE"];
	$INSTANCY_NAME  = getInstancyName($INSTANCY_TYPE);
}
//----------- 步骤1 -------------
$query  = "SELECT * FROM flow_run_prcs WHERE RUN_ID=".SecurityFilter($RUN_ID)." AND PRCS_ID=1";
$cursor = exequery($connection,$query);
if($ROW = mysql_fetch_array($cursor))
{
	$USER_ID    = $ROW["USER_ID"];
	$PRCS_TIME1 = $ROW["PRCS_TIME"];
	$PRCS_TIME1 = format_date($PRCS_TIME1);
}
$pageTitle = $_lang["flow_view"];
if($copyId)
	$pageTitle .= $_lang["flow_copy_to"];
$pageTitle .= $_lang["flow_flow"]." - ".$FORM_NAME;
$PAGE_TITLE = $pageTitle;
include_once 'inc/page_header.inc.php';

$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}

?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" href="/newplugins/js/phrase/jquery.lazy_common_phrase.css" />
<link rel="stylesheet" type="text/css" href="/general/workflow/flowstyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/general/system/workflow/flow_form/cool_form/character_change.js" ></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/common_phrase.js"></script>
<script type="text/javascript" src="/newplugins/js/phrase/jquery.lazy_common_phrase.js"></script>
<script type="text/javascript" src="/inc/common.js?<?=$version?>"></script>
<script type="text/javascript" src="/inc/follow.js?<?=$version?>"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/third-party/zeroclipboard/ZeroClipboard.js"></script>
<script type="text/javascript" src="/inc/ajax_about.js"></script>
<script language="javascript" src="/inc/attachgeneral.js"></script>
<script language="javascript" src="/isignaturehtml/iSignature.js"></script>
<style type="text/css">
.my_dialog ,.lazy_dialog{
	z-index:65536;
}
.my_dialog .inputFlowShowDialog{
	overflow:hidden;
}
.my_dialog .ui-dialog-titlebar{
	/*display:none;*/
	position: absolute;
	width: 530px;
	z-index: 100;
	height:39px;
	filter:alpha(opacity=0);
	-moz-opacity:0;
	opacity: 0;
}
.my_dialog .ui-dialog-titlebar .ui-dialog-titlebar-close{
	display:none;
}
.my_dialog .ui-dialog-content{
	padding:0;
}
</style>
<script Language="JavaScript">
jQuery(document).ready(function(){
	initialMenu();
	jQuery(".feedBackAndMore").hover(function(){
		jQuery(".feedBackAndMoreDiv").show();
	},function(){
		jQuery(".feedBackAndMoreDiv").hide();
	});
	jQuery(".anchorType").click(function (){
		location.hash="anchorType";
		jQuery(".feedBackAndMoreDiv").hide();
		var anchorTypeId = jQuery(this).attr("id");
		//alert(anchorTypeId.substr(anchorTypeId.length-1));
		var anchorTypeNum = anchorTypeId.substr(anchorTypeId.length-1);
		//这里做一个点击tabs
		jQuery( "#con1" ).tabs( "option", "active", anchorTypeNum );
	});
	var height=jQuery(window).height();
	jQuery(".outSideDiv").height(height-42).niceScroll();
	jQuery(".flowTabsDiv").height(height-jQuery("#middleDiv").height()-42);
	ZeroClipboard.config({
		debug: false,
		swfPath: '/newplugins/js/ueditor/third-party/zeroclipboard/ZeroClipboard.swf'
	});
	var client = new ZeroClipboard();
	client.clip($("#copyformlink"));
	client.on('copy', function (e) {
		var middleDivHtmlString = $("#middleDiv").html();
		middleDivHtmlString = middleDivHtmlString.replace(/ src="\/attachment\/personal/g," src=\"http://<?=$HTTP_HOST?>/attachment/personal");
		client.setText(middleDivHtmlString);
		client.setHtml(middleDivHtmlString);
		$.pnotify({
			text : "<?=$_lang["flow_copyform"].$_lang["common_success"]?>!",
			type : "success",
			delay : 100,
			addclass: "stack-topleft",
			styling : "bootstrap3",
			history : false,
			sticker : false,
			closer : false
		});
	});
	$(".btnHaveDialogEvent").click(function (){
		//定义dialog
		window.flowTrunDialog = $(".inputFlowShowDialog").dialog({
			autoOpen: false,
			width: 660,
			modal: true,
			height:470,
			dialogClass:"my_dialog",
			resizable: false,
			draggable: true
		});
		$(".inputFlowShowDialog").find("iframe").attr("src",$(this).attr("href"));
		//弹出dialog
		window.flowTrunDialog.dialog("open");
	});
});
function flowForward() {
	$("#forwardLink").click();
}
var HKEY_Root,HKEY_Path,HKEY_Key;
HKEY_Root = "HKEY_CURRENT_USER";
HKEY_Path = "\\Software\\Microsoft\\Internet Explorer\\PageSetup\\";
function myprint(state)
{
	if(state=='all')
	{
		/*if(document.getElementById('re_content'))
		{
			document.getElementById('re_content').style.display='block';
		}
		document.execCommand('Print');
		*/
	}else{
		var form_html = document.getElementById('middleDiv').innerHTML;
		form_html = form_html.replace(/<OBJECT(.*?)OBJECT>/g,"");
		var str="<html xmlns=\"http://www.w3.org/1999/xhtml\">\n<meta http-equiv='content-type' content='text/html; charset=utf-8'>";
		str +=  '<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css"><link rel="stylesheet" href="/newplugins/css/style.css" />';
		str +=  '<title>'+document.title+'<\/title>';
		str +=  '<script type="text/javascript" src="/inc/jquery/jquery.js"><\/script><script type="text/javascript"src="/inc/follow.js" ><\/script><script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"><\/script>';
		str +=  "<body onLoad=\"<? if($ishtmlsignature){ ?>if(SignatureControl.AutoSave == true) SignatureControl.ShowSignature('<?=$RUN_ID?>');<? }?>\" bgcolor=\"#ffffff\" topmargin=\"5\" leftmargin=\"5\" marginheight=\"5\" marginwidth=\"5\" style=\"border:0px;overflow:auto;\"><form action=\"\" method=\"post\" name=\"form1\" id=\"form1\">";
		str +=  "<? if($ishtmlsignature){ ?><OBJECT id=\"SignatureControl\" classid=\"clsid:D85C89BE-263C-472D-9B6B-5264CD85B36E\" codebase=\"/isignaturehtml/iSignatureHTML.cab#version=6,1,0,114\" width=\"0\" height=\"0\"><param name=\"ServiceUrl\" value=\"http://<?=$_SERVER["HTTP_HOST"]?>/isignaturehtml/Service.php\"></OBJECT><? }?>";
		str +=  "<table width=\"650\"  border=\"0\" cellpadding=\"0\" cellspacing=\"0\"  align=\"center\" id=\"controlpanel\"><tr>";
		str +=  "<td align=left valign=bottom style='padding-top:12px;'><?=$_lang["common_print_view"]?></td>";
		str +=  "<td align=\"right\" valign=\"bottom\" style=\"padding-top:12px;\"><a href='javascript:document.getElementById(\"controlpanel\").style.display=\"none\";window.print();location.reload()'><strong><?=$_lang["common_print"]?></strong><\/a> <a href='javascript:window.location=\"index.php?RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>\"'><strong><?=$_lang["common_back"]?></strong><\/a><\/td><\/tr><\/table>";
		str +=  "<table  style=\"border:0px\" align=\"center\"><tr><td>";
		str +=  form_html+"</td></tr><tr><td>";
		str +=  "<\/td><\/tr><\/table></form>";
		str +=  "<\/body><\/html>";
		// document.write(str);
		// document.close();
		// $(".print_index_header,.flowTabsDiv").hide();
		// window.print();
		// location.reload();
		window.location="/general/workflow/print/printpage.php?printtype=printform&RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>";
	}
}
function show() {  window.aCheck = true; }
function viewPrintPage(RUN_ID,FLOW_ID){
	window.location="/general/workflow/print/printpage.php?RUN_ID="+RUN_ID+"&FLOW_ID="+FLOW_ID;
}
function printformintime() {
	jQuery(".outSideDiv").height(jQuery("#middleDiv").height()+20).getNiceScroll().resize().hide();
	jQuery("#RUN_NAME").getNiceScroll().hide();
	jQuery(".outSideDiv").attr("style","");
	$(".flowTabsDiv,.printPageHead").remove();
	window.print();
	location.reload();
}
function delete_run(RUN_ID)
{
	bootbox.confirm("<?=$_lang["flow_confirmtodeletethisflow"]?>", function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"../delete.php",
				data:"RUN_ID="+RUN_ID+"&OP=ajax",
				success: function(result){
					if(result == "ajax") {
						window.close();
						flowStepSubmitReloadParent(window.opener);
					}
				}
			});
		}
	});
}
//加载附件
function loadingAttach(divid,url,par){
	jQuery.ajax({
		url:url,
		type:"POST",
		data:par,
		error: function(){
			alert(url);
		},
		success: function(resp){
			//jQuery("#"+divid).html(resp);
			if(divid == "tagContent1") {
				// 刷新签办反馈的回复列表
				$("#feed-back-table").LazyTable("reload");
			}
			else if(divid == "tagContent2")
				window.workFlowTabs.tabs( "load", 1 );
		}
	});
}
//删除公共附件
function deleteAttach(divid,url,par,ldivid,lurl,lpar){
	bootbox.confirm("<?=$_lang["flow_confirmtodelthisattachment"]?>", function(result) {
		if(result){
			jQuery.ajax({
				url:url,
				type:"POST",
				data:par,
				error: function(){alert(url);},
				success: function(){
					loadingAttach(ldivid,lurl,lpar);
				}
			});
		}
	});
}
</script>

<body onLoad="<? if($ishtmlsignature){ ?> if(SignatureControl.AutoSave == true) SignatureControl.ShowSignature('<?=$RUN_ID?>');<? }?>  showSignature();" style="overflow:hidden;" >
<div class="printPageHead" style="border:0px red solid;">
	<div style="display:none;">
		<?
		if($ishtmlsignature)
		{
		?>
		<OBJECT id="SignatureControl"   classid="clsid:D85C89BE-263C-472D-9B6B-5264CD85B36E"  codebase="/isignaturehtml/iSignatureHTML.cab#version=6,1,0,114" width="0" height="0" >
		<param name="ServiceUrl" value="<?="http://".$_SERVER["HTTP_HOST"]."/isignaturehtml/Service.php"?>">  <!--此处与发布目录路径相一致，需要特别注意-->
		</OBJECT>
		<?
		}
		?>
	</div>
	<div class="lazy_header print_index_header">
		<div style="float:left;border:0px red solid;line-height:35px;">
			<form name="runnameform" id="runnameform">
				<div style="width:21px;height:21px;float:left;margin:9px 10px 0 10px;">
					<div class="feedBackAndMore" style="width:100%;">
						<span style="width:10px;height:10px;background-color:#C3D69B;float:left;margin-right:1px;margin-bottom:1px;"></span>
						<span style="width:10px;height:10px;background-color:#4BACC6;float:left;margin-bottom:1px;"></span>
						<span style="width:10px;height:10px;background-color:#FAC090;float:left;margin-right:1px;"></span>
						<span style="width:10px;height:10px;background-color:#D99694;float:left;"></span>
						<div class="feedBackAndMoreDiv" style="z-index:100;display:none;width:50px;position:absolute;margin-top:21px;border:0px red solid;">
							<span style="width:50px;height:8px;background-color:#F7F7F7;float:left;"></span>
							<span class="anchorType" style="width:50px;height:25px;background-color:#C3D69B;float:left;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType0"><?=$_lang["flow_feed_back"]?></span>
							<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
							<span class="anchorType" style="width:50px;height:25px;background-color:#4BACC6;float:left;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType1"><?=$_lang["common_attachment"]?></span>
							<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
							<span class="anchorType" style="width:50px;height:25px;background-color:#FAC090;float:left;;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType2"><?=$_lang["flow_file"]?></span>
							<?
							if($FLOW_TYPE == 1)
							{
							?>
								<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
								<span class="anchorType" style="width:50px;height:25px;background-color:#47A447;float:left;;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType3"><?=$_lang["flow_sub_workflow"]?></span>
								<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
								<span class="anchorType" style="width:50px;height:25px;background-color:#D99694;float:left;;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType4"><?=$_lang["flow_graph"]?></span>
							<?
							}
							else if($FLOW_TYPE == 2)
							{
							?>
								<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
								<span class="anchorType" style="width:50px;height:25px;background-color:#D99694;float:left;;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType3"><?=$_lang["flow_graph"]?></span>
							<?
							}
							?>
						</div>
					</div>
				</div>
				<div style="width:65px;float:left;margin-top:2px;">
					<span style="font-size:13px;"><?=$_lang["flow_flow_desp"]?></span>
				</div>
				<div style="width:240px;float:left;height:40px;">
					<div style="width:240px;position:relative;margin-top:5px;">
						<textarea name="RUN_NAME" id="RUN_NAME" class="RUN_NAME" title="<?=$RUN_NAME?>" style="height:30px;width:235px;position:absolute;overflow: hidden;line-height:26px;z-index:2;" readonly><?=$RUN_NAME?></textarea>
					</div>
				</div>
				<div style="width:65px;float:left;height:40px;">
					<input type="text" value="<?=$INSTANCY_NAME?>" title="<?=$INSTANCY_NAME?>" class="" style="width:65px;height:30px;text-align:center;line-height:30px;margin-top:3px;" readonly>
					<input type="hidden" name="InstancyType" id="InstancyType" value="<?=$INSTANCY_TYPE?>">
				</div>
			</form>
		</div>
		<div style="border:0px red solid;float:left;margin-top:5px;margin-left:10px;">
			<?
			if($RUN_SEQ)
			{
			?>
				<div style="float:right;margin-left:10px;margin-right:10px;border:1px #DDDDDD solid;height:30px;width:210px;line-height:30px;">
					<div id="filenumber" style="width:100%;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="<?=strip_tags(html_entity_decode($RUN_SEQ,ENT_QUOTES,'UTF-8'))?>"><?=str_replace(PHP_EOL, '', html_entity_decode($RUN_SEQ,ENT_QUOTES,'UTF-8'))?></div>
				</div>
				<div style="float:right;font-size:13px;margin-top:6px;"><?=$_lang["flow_filenumber"]?></div>
			<?
			}
			?>
		</div>
		<?
		if($OP == "Signature")
		{
		?>
			<button type="button" class="btn btn-warning" onClick="showSignature('sx')" title="<?=$_lang["flow_click_to_sign"]?>"><?=$_lang["flow_click_to_sign"]?>
			</button>
			<button type="button" class="btn btn-warning" onClick="showSignature('qz');" title="<?=$_lang["flow_click_to_signature"]?>"><?=$_lang["flow_click_to_signature"]?>
			</button>
		<?
		}
		?>
		<button type="button" class="btn btn-warning" id="copyformlink" title="<?=$_lang["flow_copyform"]?>"><?=$_lang["flow_copyform"]?>
		</button>
		<button type="button" class="btn btn-success" id="printformlink" onClick="myprint('');" title="<?=$_lang["flow_previewform"]?>"><?=$_lang["flow_previewform"]?>
		</button>
		<button type="button" class="btn btn-success" id="printformintime" onClick="printformintime();" title="<?=$_lang["flow_printform"]?>"><?=$_lang["flow_printform"]?>
		</button>
		<button type="button" class="btn btn-success" id="printalllink" onClick="viewPrintPage('<?=$RUN_ID?>','<?=$FLOW_ID?>')" title="<?=$_lang["flow_printthispage"]?>"><?=$_lang["flow_printthispage"]?>
		</button>
		<?
		if($flowCanCopyFlag == "1") {
			?>
			<button id="flowcopybutton" type="button" class="btn btn-success" onClick="flowCopy()" title="<?=$_lang["flow_copy_to"]?>"><?=$_lang["flow_copy_to"]?>
			</button>
			<a class="btnHaveDialogEvent" id="flowCopyLink" href="../flow_copy.php?RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&FLOW_ID=<?=$FLOW_ID?>"></a>
			<?
		}
		if($flowCanForwardFlag == "1") {
			?>
			<button id="forwardbutton" type="button" class="btn btn-success" onClick="flowForward()" title="<?=$_lang["flow_forward"]?>"><?=$_lang["flow_forward"]?>
			</button>
			<a class="btnHaveDialogEvent" id="forwardLink" href="../flow_forward.php?RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&FLOW_ID=<?=$FLOW_ID?>"></a>
			<?
		}
		?>
	</div>
	<!--放一个div用来结束后转发-->
	<div class="inputFlowShowDialog" style="display:none;">
		<iframe id="inputFlowShowDialogIframe" name="inputFlowShowDialogIframe" style="width:100%;border:none;height:100%;" src=""></iframe>
	</div>
	<div class="flowFeedBackShowDialog" style="display:none;">
		<iframe style="width:100%;border:none;" src=""></iframe>
	</div>
	<!--<div id="formAndHeader">-->
	<!--<table id="flowFormHeader" cellSpacing=2 cellPadding=5 width="100%" border=0 >-->
	<div id="mark_div" ></div>
	<?
	$PRINT_MODEL = str_replace("#[表单]","<b>$FORM_NAME</b>",$PRINT_MODEL);
	$PRINT_MODEL = str_replace("#[文号]",$RUN_NAME,$PRINT_MODEL);
	$PRINT_MODEL = str_replace("#[时间]","日期：$PRCS_TIME1",$PRINT_MODEL);

	//-------- Html 智能分析 -----------

	//不明白为什么把变量FLOW_VIEW的值赋为123，满足下面2个条件为何不直接显示
	//----- 表单 -----
	/*if(strstr($FLOW_VIEW,"1"))
	   echo $PRINT_MODEL;
	$PRINT_FLAG = 1;
	//----- 签办反馈 -----
	if(strstr($FLOW_VIEW,"2"))
	{
		echo "<br><div id='re_content'>";
		include_once("../personal_sign.php");
	}*/
	?>
</div>
<div class="outSideDiv" id="outSideDiv" style="overflow:hidden;border:0px red solid;">
	<!--表单-->
	<div id="middleDiv">
		<table border="0" cellspacing="0" cellpadding="0" width="100%" style="background:#FFFFFF;">
			<tr height="*">
				<td class="view">
				<?
				//新的签章处理
				//此处的表单智能分析是为了将下面的签章保护字段里面关于手机签章的字段替换掉，不保护手机签章字段
				$ELEMENT_ARRAY = html_element($PRINT_MODEL);
				$ITEM_ID_MAX   = sizeof($ELEMENT_ARRAY);
				for($I=0;$I<$ITEM_ID_MAX;$I++)
				{
					$ELEMENT = $ELEMENT_ARRAY[$I];
					$ECLASS  = get_attr($ELEMENT,"CLASS");
					$EID     = get_attr($ELEMENT,"ID");
					if($ECLASS == "PHONE_SIGNATURE" || $ECLASS == "HTML_SIGNATURE" || $ECLASS == "EDITOR" || $ECLASS == "DATE" || $ECLASS == "time")
					{
					}
					else
					{
						if($ECLASS == "countersign")
						{
							$hideStr   = str_replace("＃","#",$form_data[$EID]);
							$hideStr   = str_replace("＆","&",$hideStr);
							$hideStr   = str_replace("？","?",$hideStr);
						}
						else
						{
							$hideStr   = str_replace("\r\n",";",$form_data[$EID]);
						}
						if($hideStr == "{会签字段}"||$hideStr == "{宏控件}")
						{
							$hideStr = "";
						}
						if($ishtmlsignature)
						{
							$signature_str .= $EID."=".$EID.";";
							if(strpos($hideStr,"'") !=false)
							{
							?>
								<textarea id="<?=$EID?>" name="<?=$EID?>" style="display:none"><?=$hideStr?></textarea>
							<?
							}else
							{
							?>
								<input type="hidden" id="<?=$EID?>" name="<?=$EID?>" value='<?=$hideStr?>' >
							<?
							}
						}
						else
						{
							if(strpos($hideStr,"'") !=false)
							{
							?>
								<textarea id="<?=$EID?>" name="<?=$EID?>" style="display:none"><?=$hideStr?></textarea>
							<?
							}else
							{
							?>
								<input type="hidden" id="<?=$EID?>" name="<?=$EID?>" value='<?=$hideStr?>' >
							<?
							}
						}
					}
				}
				//实例化表单解析类
				$iAnalyticFormView  = new AnalyticFormView($PRINT_MODEL);
				//必要的参数
				$iAnalyticFormView->flowType     = $FLOW_TYPE;       //设置流程种类
				$iAnalyticFormView->flowId       = $FLOW_ID;         //设置流程类别
				$iAnalyticFormView->formName     = $FORM_NAME;       //设置流程表单名称
				$iAnalyticFormView->runId        = $RUN_ID;          //设置当前运行流程id
				$iAnalyticFormView->prcsId       = $PRCS_ID;         //设置当前运行流程序号
				$iAnalyticFormView->flowPrcs     = $FLOW_PRCS;       //设置当前运行流程节点
				$iAnalyticFormView->formData     = $form_data;       //流程表单数据

				$iAnalyticFormView->opFlag       = $OP_FLAG;         //设置是否是主办人
				$iAnalyticFormView->runSeq       = $RUN_SEQ;         //设置流程的流水号
				//调用表单解析
				echo $iAnalyticFormView->analytic_form();
				?>
				</td>
			</tr>
		</table>
	</div>
	<a id="anchorType"></a>
	<div class="flowTabsDiv">
		<div id="con1">
			<ul id="tags">
				<li class="emptyTag"></li>
				<li><a href="/general/workflow/input_form/input_area/feedback.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&PRCS_ID=<?=$PRCS_ID?>&from=printindex&copyId=<?=$copyId?>"><?=$_lang["flow_feedback"]?></a></li>
				<li><a href="/general/workflow/input_form/input_area/public_attach_ajax.php?RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&from=view"><?=$_lang["flow_publicattachment"]?></a></li>
				<li><a href="/general/workflow/input_form/input_area/rel_doc.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&from=view"><?=$_lang["flow_link_doc"]?></a></li>
				<?
				if($flow_type ==1)
				{
				?>
					<li><a href="/general/workflow/input_form/sub_workflow.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&PRCS_ID=<?=$_REQUEST['PRCS_ID']?>"><?=$_lang["flow_sub_workflow"]?></a></li>
					<li><a href="/general/workflow/input_form/flow_img.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&from=ajax&manageTabWidth="><?=$_lang["flow_flowpic"]?></a></li>
				<?
				}
				else
				{
				?>
					<li><a href="/general/workflow/free_flow_view.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&from=ajax&manageTabWidth="><?=$_lang["flow_flowpic"]?></a></li>
				<?
				}
				?>
			</ul>
		</div>
	</div>
</div>
<? showUserGeneralDiv()?>
</body>
</html>
<script language="javascript">
jQuery(function(){
	var lableShowDefaultNum = "<?=$LABLE_SHOW_DEFAULT?>";
	lableShowDefaultNum = parseInt(lableShowDefaultNum)-1;
	if("<?=$FLOW_TYPE?>" == "2" && lableShowDefaultNum == 4) {
		lableShowDefaultNum = 3;
	}
	window.workFlowTabs = jQuery( "#con1" ).tabs();
	if(lableShowDefaultNum > 0) {
		jQuery( "#con1" ).tabs('option', 'active', lableShowDefaultNum);
		jQuery( "#con1" ).tabs( "load", 0 );
	}
	jQuery( "#con1" ).tabs( "load", 1 );
	jQuery( "#con1" ).tabs( "load", 2 );
	jQuery( "#con1" ).tabs( "load", 3 );
	jQuery( "#con1" ).on( "tabsload", function( event, ui ) {
		// console.log(ui.panel.selector);
		if(ui.panel.selector == "#ui-tabs-1") {
			if($("#canEditFeedBackHiddenString").val() == "canEdit" && $("#canEditFeedBackBrowser").val() == "") {
				UE.getEditor('fckeditorFeedBack1', {
					initialFrameWidth:"100%",
					toolbars: [[
						'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
						'fontsize','fontfamily', '|',
						'justifyleft', 'justifycenter', 'justifyright'
					]],
					zIndex:1,
					autoHeightEnabled : false,
					autoFloatEnabled : false
				});
			}
		}
		jQuery(".outSideDiv").getNiceScroll().resize();
	});
	jQuery( "#con1" ).on( "tabsbeforeactivate", function( event, ui ) {
		if(ui.newPanel.selector == "#ui-tabs-1") {
			if($("#canEditFeedBackHiddenString").val() == "canEdit" && $("#canEditFeedBackBrowser").val() == "") {
				UE.getEditor("fckeditorFeedBack1").destroy();
			}
		}
	});
	jQuery( "#con1" ).find("#tags").css("background","#F7F7F7").css("border-bottom","1px #D8D8D8 solid");
	var niceRUN_NAME = $("#RUN_NAME").niceScroll({
		cursoropacitymin: 0
	}).hide();
	jQuery("#RUN_NAME").on({focus : function(event) {
		jQuery(this).css({
			'height': '200px'
		});
		niceRUN_NAME.resize();
	},
	blur : function(event) {
		jQuery(this).css({
			'height': '30px'
		}).scrollTop("0");
		niceRUN_NAME.resize();
	},
	keyup : function () {
		jQuery(this).attr("title",jQuery(this).val());
	}
	});
});
var tagContent = ""
if (tagContent == ''){
	tagContent = "tagContent<?=$LABLE_SHOW_DEFAULT?>";
}

var tagli_n
tagli_n = ""+tagContent.substr(10,1)+""
if (tagli_n == "" || tagli_n > 7){
	tagContent = "tagContent1"
	tagli_n = 1
}

//document.getElementById(tagContent).style.display="block";
//document.getElementById("tags").getElementsByTagName("li")[tagli_n].className="selectedTag";
//var curObject = document.getElementById(tagContent);
//createHtmlForTagdiv(tagContent,curObject);
function switchTag(tagContent,obj){
	for(var i=1; i<document.getElementById("tags").getElementsByTagName("li").length; i++){
		document.getElementById("tags").getElementsByTagName("li")[i].className="normalTag";
	}
	obj.parentNode.className="selectedTag";
	subDivObj = document.getElementById("tagContent").getElementsByTagName("div");
	for(var j=0; j<subDivObj.length; j++)
	{
		//查看页面无需保存
		//增加保存，相关文档功能
		/*if(subDivObj[j].style.display=="block"&&subDivObj[j].id=="tagContent3")
		{
			var DOC_ID = document.getElementById("DOC_ID").value;
			saveLableDoc(DOC_ID);
		}*/
		subDivObj[j].style.display="none";
	}
	document.getElementById(tagContent).style.display="block";
	var curObject = document.getElementById(tagContent);
	createHtmlForTagdiv(tagContent,curObject);
}
function createHtmlForTagdiv(tagContent,curObject){
		switch (tagContent){
		case "tagContent1":
			createhtml_s("/general/workflow/input_form/input_area/feedback.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&PRCS_ID=<?=$PRCS_ID?>&from=view",curObject);
			break;
		case "tagContent2":
			createhtml_s("/general/workflow/input_form/input_area/public_attach_ajax.php?RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&from=view",curObject);
			break;
		case "tagContent3":
			createhtml_s("/general/workflow/input_form/input_area/rel_doc.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&from=view",curObject);
			break;
		case "tagContent4":
			createhtml_s("/general/workflow/input_form/sub_workflow.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&PRCS_ID=<?=$_REQUEST['PRCS_ID']?>",curObject);
			break;
		<?
		if($flow_type ==1)
		{
		?>
		case "tagContent5":
			createhtml_s("/general/workflow/input_form/flow_img.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&from=ajax&manageTabWidth="+document.body.clientWidth,curObject);
		<?
		}else
		{
		?>
		case "tagContent5":
			createhtml_s("/general/workflow/free_flow_view.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&from=ajax&manageTabWidth="+document.body.clientWidth,curObject);
		<?
		}
		?>
			break;
	}
}
function copy_form()
{
	var obj = document.getElementById("middleDiv");
	var rng = document.body.createTextRange();
	rng.moveToElementText(obj);
	rng.select();
	rng.execCommand("copy");
	//rng.collaspe(false);
}
function setTableProp()
{
	var tableObj = document.getElementsByTagName("table");
	for(i=0;i<tableObj.length;i++)
	{
		var alignProp = tableObj[i].align;
		if(alignProp == "right"||alignProp == "left")
		{
			tableObj[i].align="";
		}
	}
}
function loadSignatureOtherAfterShow(){
	var mXml='<?php echo "<?xml version=\"1.0\" encoding=\"GB2312\" standalone=\"yes\"?><Signature>"; ?>';
	mXml = mXml + "    <OtherParam>";
	mXml = mXml + "	    <PrintType>1</PrintType>";	//IE9以上设置为1解决签章打印黑白问题
	mXml = mXml + "    </OtherParam>";
	mXml = mXml + "  </Signature>";
	form1.SignatureControl.XmlConfigParam = mXml;
}
function showSignature(para)
{
	var signatureType = "<?=$signatureType?>";
	if(para)
	{
		signatureType = para;
	}
	var OP = "<?=$OP?>";
	if(OP == "Signature")
	{
		if(signatureType=="qz")
		{
			DoJFSignature("<?=$signature_str?>");
		}
		else if(signatureType == "sx")
		{
			DoSXSignature("<?=$signature_str?>");
		}
	}
}
//initialPage();
</script>
<script type="text/javascript" src="/inc/textarea/autosize.js"></script>
<script>
	autosize(document.querySelectorAll(".formTextarea"));
	autosize(document.querySelectorAll(".detailCharTextArea"));
</script>
<!--<frameset rows="53,*" cols="*" FRAMEBORDER="0">
	<frame src="control.php?RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>&OP=<?=$OP?>&signatureType=<?=$signatureType?>" name="form_control" scrolling="no" FRAMEBORDER="no" noresize="noresize">
	<frame src="print.php?RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>&FLOW_VIEW=123&OP=<?=$OP?>&signatureType=<?=$signatureType?>" name="form_view" id="form_view" scrolling="yes" noresize="noresize">
</frameset><noframes></noframes>
-->
