<?
/**
 * Systemname:       E-Office
 * Filename:         general/workflow/query/excel_report.php
 * Function:         流程查询-流程的excel报表
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2012-03-27
 * File Version:     8
 * Eoffice Version:  8.0
*/
include_once("inc/auth.php");
include_once("api/fixedworkflow.class.php");
includelangpak("flow");
include_once("inc/utility_html.php");
include_once("inc/utility_all.php");
include_once("general/workflow/function_textarea.php");
$RUN_ID_STR         = SecurityFilter($_REQUEST['run_id_str']);
$FLOW_ID            = SecurityFilter($_REQUEST['flow_id']);
$exportFieldId      = SecurityFilter($_REQUEST["exportFieldId"]);
$exportFieldIdArray = explode("|", trim($exportFieldId,"|"));

$query   = "SELECT * FROM flow_type WHERE FLOW_ID=".$FLOW_ID."";
$cursor1 = exequery($connection,$query);
if($ROW  = mysql_fetch_array($cursor1))
{
	$FLOW_NAME = $ROW["FLOW_NAME"];
	$FORM_ID   = $ROW["FORM_ID"];
}

$query   = "SELECT * FROM flow_form_type WHERE FORM_ID=".SecurityFilter($FORM_ID)."";
$cursor1 = exequery($connection,$query);
if($ROW  = mysql_fetch_array($cursor1))
{
	$FORM_NAME   = $ROW["FORM_NAME"];
	$PRINT_MODEL = $ROW["PRINT_MODEL"];
}

//-- 名称 --
$EXCEL_NAME  = $_lang["flow_flow"]."：".$FLOW_NAME." - ".$_lang["flow_datareport"];
$EXCEL_NAME  = iconv("utf-8","gbk",$EXCEL_NAME);

$LETTER_STR  = "\\,/,:,*,?,\",<,>,|";
$MY_ARRAY    = explode(",",$LETTER_STR);
$ARRAY_COUNT = sizeof($MY_ARRAY);
if($MY_ARRAY[$ARRAY_COUNT-1]=="")
	$ARRAY_COUNT--;
for($I=0;$I<$ARRAY_COUNT;$I++)
	$EXCEL_NAME = str_replace($MY_ARRAY[$I],"",$EXCEL_NAME);
//-- 标题 --
$EXCEL_OUT = "\r\n<html xmlns:o=\"urn:schemas-microsoft-com:office:office\"\r\nxmlns:x=\"urn:schemas-microsoft-com:office:excel\"\r\nxmlns=\"http://www.w3.org/TR/REC-html40\">\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\r\n";

$EXCEL_OUT .= "\r\n<table width=\"100%\" style=\"border-collapse:collapse;font-size:12px;\" border=\"1\" cellspacing=\"0\" cellpadding=\"3\" bordercolor='#000000'>\r\n";
// $EXCEL_OUT .= "<tr><td colspan=\"5\">流程信息</td><td colspan=\"".($ITEM_ID_MAX-1)."\">字段信息</td></tr>";
$EXCEL_OUT .="<tr style=\"BACKGROUND: #31309c; color: #FFFFFF; font-weight: bold;\">\r\n";
$EXCEL_OUT .="<td nowrap>".$_lang["flow_filenumber"]."</td>\r\n";
$EXCEL_OUT .="<td nowrap>".$_lang["common_title"]."</td>\r\n";
$EXCEL_OUT .="<td nowrap>".$_lang["flow_flowstatus"]."</td>\r\n";
$EXCEL_OUT .="<td nowrap>".$_lang["common_instancy_extent"]."</td>\r\n";
$EXCEL_OUT .="<td nowrap>".$_lang["flow_flowstarttime"]."</td>\r\n";
//加载表单字段列
$ELEMENT_ARRAY = html_element($PRINT_MODEL);
$ITEM_ID_MAX   = sizeof($ELEMENT_ARRAY);
for($I=0; $I<$ITEM_ID_MAX; $I++)
{
	$ELEMENT = $ELEMENT_ARRAY[$I];
	$ETITLE  = get_attr($ELEMENT,"TITLE");
	$ECLASS  = get_attr($ELEMENT,"CLASS");
	$ID      = get_attr($ELEMENT,"ID");
	if(strstr($ID,"DATA_"))
	{
		if(!in_array(substr($ID,5), $exportFieldIdArray))
			continue;
	}
	$STR        = $ID;
	$ITEM_VALUE = $$STR;
	unset($$STR);
	$ETITLE  = str_replace("<","&lt",$ETITLE);
	$ETITLE  = str_replace(">","&gt",$ETITLE);
	$ETITLE  = stripslashes($ETITLE);
	//改进明细字段导出 edit by sun 2009-12-07
	if($ECLASS == "detailChar")
	{
		$detailCharName       = getHtmlObjPropValue($ELEMENT,"detailcharname");
		$detailCharNameArray  = explode("`",$detailCharName);
		$detailCharTotal      = getHtmlObjPropValue($ELEMENT,"detailchartotal");
		$detailCharTotalArray = explode("`",$detailCharTotal);
		$colCount             = count($detailCharNameArray);
		$excelHeadDetailTr = "<tr style=\"background: #31309c; color: #FFFFFF; font-weight: bold;font-size:12px;\">";
		for($i=0;$i < count($detailCharNameArray);$i++)
		{
			$excelHeadDetailTr .="<td>".$detailCharNameArray[$i]."</td>";
			if($detailCharTotalArray[$i] == "1") {
				$excelHeadDetailTr .="<td>".$detailCharNameArray[$i]."(合计)</td>";
				$colCount++;
			}
		}
		$excelHeadDetailTr .= "</tr>";
		$EXCEL_OUT.= "<td ><table><tr style=\"BACKGROUND: #31309c; color: #FFFFFF; font-weight: bold;\"><td colspan=\"$colCount\" align=\"center\">".$ETITLE."</td></tr>\r\n";
		$EXCEL_OUT .= $excelHeadDetailTr;
		$EXCEL_OUT .= "</table></td>\r\n";
	}
	else
	{
		$EXCEL_OUT.= "<td >".$ETITLE."</td>\r\n";
	}
}

$EXCEL_OUT .="</tr>\r\n";
// $EXCEL_OUT  = iconv("utf-8","gbk",$EXCEL_OUT);
//-- 数据 --
$MY_ARRAY    = explode(",",$RUN_ID_STR);
$ARRAY_COUNT = sizeof($MY_ARRAY);
if($MY_ARRAY[$ARRAY_COUNT-1]=="")
	$ARRAY_COUNT--;
for($I=0;$I<$ARRAY_COUNT;$I++)
{
	$workFlowRunning    = new fixedWorkflow($FLOW_ID);
	$workFlowRunning->runId = $MY_ARRAY[$I];
	//--- 文号+标题---
	$EXCEL_OUT .= "<tr>";
	$query1     = "SELECT * FROM flow_run WHERE RUN_ID=$MY_ARRAY[$I]";
	$cursor1    = exequery($connection,$query1);
	if($ROW     = mysql_fetch_array($cursor1))
	{
		$RUN_SEQ = $ROW['RUN_SEQ'];
		// $EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",html_entity_decode($ROW['RUN_SEQ'],ENT_QUOTES,"UTF-8"))."</td>\r\n";
		$EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".html_entity_decode($ROW['RUN_SEQ'],ENT_QUOTES,"UTF-8")."</td>\r\n";
		// $EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",htmlentities($ROW["RUN_NAME"],ENT_QUOTES,"utf-8"))."</td>\r\n";
		$EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".htmlentities($ROW["RUN_NAME"],ENT_QUOTES,"utf-8")."</td>\r\n";
		$INSTANCY_TYPE = $ROW['INSTANCY_TYPE'];
	}
	//--- 流程状态 ---
	$query1  = "SELECT * FROM flow_run_prcs WHERE RUN_ID=$MY_ARRAY[$I] AND PRCS_FLAG <>'4'";
	$cursor1 = exequery($connection,$query1);
	if($ROW  = mysql_fetch_array($cursor1))
		$STATUS = $_lang["flow_action"];
	else
		$STATUS = $_lang["flow_completed"];

	// $EXCEL_OUT .= "<td>".iconv("utf-8","gbk",$STATUS)."</td>\r\n";
	$EXCEL_OUT .= "<td>".$STATUS."</td>\r\n";
	//--- 紧急程度 ---
	$INSTANCY_NAME  = getInstancyName($INSTANCY_TYPE);
	// $EXCEL_OUT .= "<td>".iconv("utf-8","gbk",$INSTANCY_NAME)."</td>\r\n";
	$EXCEL_OUT .= "<td>".$INSTANCY_NAME."</td>\r\n";
	//--- 开始时间 ---
	$PRCS_TIME = "";
	$query1    = "SELECT * FROM flow_run_prcs WHERE RUN_ID=$MY_ARRAY[$I] AND PRCS_ID=1";
	$cursor1   = exequery($connection,$query1);
	if($ROW=mysql_fetch_array($cursor1))
	{
		$PRCS_TIME = $ROW["PRCS_TIME"];
		if($PRCS_TIME == "0000-00-00 00:00:00")
			$PRCS_TIME = "";
		$EXCEL_OUT .= "<td>".$PRCS_TIME."</td>\r\n";
	}
	//新的获取数据方式
	$form_data = $workFlowRunning->getFormDataNew();
	foreach($form_data as $key=>$val)
	{
		if(substr($key,0,5) == "DATA_")
		{
			$STR       = $key;
			$$STR      = restore($val);
		}
	}
	//--- 数据 ---
	/*$query  = "SELECT * FROM flow_run_data WHERE RUN_ID=$MY_ARRAY[$I] ORDER BY ITEM_ID";
	$cursor = exequery($connection,$query);
	while($ROW = mysql_fetch_array($cursor))
	{
		$ITEM_ID   = $ROW["ITEM_ID"];
		$ITEM_DATA = $ROW["ITEM_DATA"];
		//修改导出流程字段值有样式时显示的是代码问题 2010-02-23
		//$ITEM_DATA = str_replace(chr(10)," ",$ITEM_DATA);
		//$ITEM_DATA = str_replace(chr(13)," ",$ITEM_DATA);
		$ITEM_DATA = restore($ITEM_DATA);
		$STR       = "DATA_".$ITEM_ID;
		$$STR      = $ITEM_DATA;

	}*/

	//-------- Html 智能分析 -----------
	$ITEM_ID = 0;
	for($J = 0;$J < $ITEM_ID_MAX; $J++)
	{
		$ELEMENT = $ELEMENT_ARRAY[$J];
		$ENAME   = get_attr($ELEMENT,"NAME");
		$EID     = get_attr($ELEMENT,"ID");
		$ECLASS  = get_attr($ELEMENT,"CLASS");
		if(strstr($EID,"DATA_"))
		{
			if(!in_array(substr($EID,5), $exportFieldIdArray))
				continue;
		}
		if($ECLASS != "DATE"&&$ECLASS != "time")
			$ITEM_ID++;
		$STR        = $EID;
		$ITEM_VALUE = $$STR;
		unset($$STR);
		//--- 用值替换控件 ----
		if($ECLASS=="DATE"||$ECLASS == "time"||($ECLASS=="AUTO" && $ITEM_VALUE=="{宏控件}")||($ECLASS == "countersign" && $ITEM_VALUE=="{会签字段}")||($ECLASS == "EDITOR" && $ITEM_VALUE == "{编辑器}") )
			$ITEM_VALUE="";

		else if($ECLASS=="AUTO" && $ENAME=="SELECT" && $ITEM_VALUE!="") //--- 列表型宏控件 ---
		{
			$EDATAFLD = get_attr($ELEMENT,"DATAFLD");
			switch($EDATAFLD)
			{
				case "SYS_LIST_DEPT":
					$query_auto  = "SELECT * FROM department WHERE DEPT_ID = '".SecurityFilter($ITEM_VALUE)."'";
					$cursor_auto = exequery($connection,$query_auto);
					if($ROW      = mysql_fetch_array($cursor_auto))
						$ITEM_VALUE=$ROW["DEPT_NAME"];
				break;
				case "SYS_LIST_PRIV":
					$query_auto  = "SELECT * FROM user_priv WHERE PRIV_NAME = '".SecurityFilter($ITEM_VALUE)."'";
					$cursor_auto = exequery($connection,$query_auto);
					if($ROW      = mysql_fetch_array($cursor_auto))
						$ITEM_VALUE=$ROW["PRIV_NAME"];
				break;
				case "SYS_LIST_USER":
				case "SYS_LIST_PRCSUSER1":
				case "SYS_LIST_PRCSUSER2":
					$query_auto  = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($ITEM_VALUE)."'";
					$cursor_auto = exequery($connection,$query_auto);
					if($ROW      = mysql_fetch_array($cursor_auto))
						$ITEM_VALUE = $ROW["USER_NAME"];
				break;
				case "SYS_LIST_SQL":
				break;
			}
		}
		else //--- 普通控件 ---
		{
			$EDATAFLD = get_attr($ELEMENT,"DATAFLD");
			if($EDATAFLD != "SYS_RUNNAME")
			{
				//修改导出流程字段值有样式时显示的是代码问题 2010-02-23
				//$ITEM_VALUE = str_replace("<","&lt",$ITEM_VALUE);
				//$ITEM_VALUE = str_replace(">","&gt",$ITEM_VALUE);
				$ITEM_VALUE = stripslashes($ITEM_VALUE);
				$ITEM_VALUE = str_replace(chr(10),"<br>",$ITEM_VALUE);
			}
			if($ENAME=="INPUT" && strstr($ELEMENT,"type=\"checkbox\""))
			{
				if($ITEM_VALUE=="on")
					$ITEM_VALUE= $_lang["flow_form_selected"];
				else
					$ITEM_VALUE= $_lang["flow_form_neverselected"];
			}
			if($ECLASS == "chooseUser")
			{
				$ITEM_VALUE = substr($ITEM_VALUE,0,strpos($ITEM_VALUE,"|"));
			}
			if($ECLASS == "chooseDept")
			{
				$ITEM_VALUE = substr($ITEM_VALUE,0,strpos($ITEM_VALUE,"|"));
			}
			if($ECLASS == "chooseRole")
			{
				$ITEM_VALUE = substr($ITEM_VALUE,0,strpos($ITEM_VALUE,"|"));
			}
			else if($ECLASS == "detailChar")  //明细字段
			{
				//取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
				$detailCharWidth        = getHtmlObjPropValue($ELEMENT,"detailcharwidth");
				$detailCharFormula      = getHtmlObjPropValue($ELEMENT,"detailcharformula");
				$detailCharTotal        = getHtmlObjPropValue($ELEMENT,"detailchartotal");
				$detailCharName         = getHtmlObjPropValue($ELEMENT,"detailcharname");
				$detailCharNameArray    = explode("`",$detailCharName);
				$detailCharWidthArray   = explode("`",$detailCharWidth);
				$detailCharFormulaArray = explode("`",$detailCharFormula);
				$detailCharTotalArray   = explode("`",$detailCharTotal);
				$title                  = getHtmlObjPropValue($ELEMENT_OUT,"title");
				$ELEMENT_OUT  = "<table width=\"100%\" border=\"1\" cellspace=\"0\" cellpadding=\"3\" id=\""."tableDetailChar_"."$ITEM_ID"."_"."$title\" style=\"font-size:12px;\" class=\"detailChar\">";
				$itemRowValueArray  = explode("|#|",trim($ITEM_VALUE,"|#|"));
				// $detailCharArray    = "";
				for($i = 0; $i <count($itemRowValueArray);$i++) {
					if($itemRowValueArray[$i])
					{
						$itemColValueArray = explode("`*`",$itemRowValueArray[$i]);

						for($m = 0;$m < count($detailCharTotalArray);$m++) {
							if($detailCharTotalArray[$m] == '1'){
								$TOTAL[$m] += $itemColValueArray[$m];
							}
						}
					}
				}
				for($i = 0; $i <count($itemRowValueArray);$i++)
				{
					$ELEMENT_OUT .= "<tr>";
					if($itemRowValueArray[$i])
					{
						$itemColValueArray = explode("`*`",$itemRowValueArray[$i]);

						for($j = 0;$j < count($detailCharTotalArray);$j++)
						{
							$rowsIndex = $i+1;
							$colsIndex = $j+1;
							 if($detailCharFormulaArray[$j])
							 {
								$classStr = "class=\"textreaonly\" readonly=\"readonly\"";
							 }
							 else
							 {
								$classStr = "class=\"text\"";
							 }
							$ELEMENT_OUT .= "<td style='vnd.ms-excel.numberformat:@'>$itemColValueArray[$j]</td>";
							if($detailCharTotalArray[$j] == '1'){
								// $TOTAL[$j] += $itemColValueArray[$j];
								if($i == 0) {
									$ELEMENT_OUT .= "<td rowspan='".(count($itemRowValueArray))."' style='text-align:center;'>".$TOTAL[$j]."</td>";
								}
							}
						}
					}
					else
					{
						for($j = 0;$j < count($detailCharTotalArray);$j++)
						{
							$ELEMENT_OUT .= "<td></td>";
							if($detailCharTotalArray[$j] == '1' && $i == 0){
								$ELEMENT_OUT .= "<td></td>";
							}
						}
						// $ELEMENT_OUT .= "<td colspan=\"$colCount\"></td>";
					}
					$ELEMENT_OUT .= "</tr>";
					// // 预合计
					// $allRow = 0;
					// foreach($detailCharTotalArray as $key=>$val){
					// 	$allRow += $val;
					// }
					// //添加合计行
					// if($allRow > 0){
					// 	$TOTAL_OUT = "<tr>";
					// 	for($k = 0;$k < count($detailCharTotalArray);$k++)
					// 	{
					// 		if($detailCharTotalArray[$k] == '1'){
					// 			$TOTAL_OUT .= "<td style='vnd.ms-excel.numberformat:@'>合计：".$TOTAL[$k]."</td>";
					// 		}elseif($detailCharTotalArray[$k] == '0'){
					// 			$TOTAL_OUT .= "<td style='vnd.ms-excel.numberformat:@'></td>";
					// 		}
					// 	}
					// 	$TOTAL_OUT .= "</tr>";
					// }else{
					// 	$TOTAL_OUT = "";
					// }
				}
				// $ELEMENT_OUT .= "</tr>".$TOTAL_OUT."</table>";
				$ELEMENT_OUT .= "</table>";
				// echo htmlspecialchars($ELEMENT_OUT)."<hr>";
				$ITEM_VALUE = $ELEMENT_OUT;
				unset($TOTAL);
			}
		}
		if($ECLASS != "detailChar")
		{
			$ITEM_VALUE  = strip_tags($ITEM_VALUE);
		}
		$EXCEL_OUT .= "<td";
		if($ECLASS=="AUTO")
		{
			$EDATAFLD = get_attr($ELEMENT,"DATAFLD");
			if($EDATAFLD == "SYS_RUNNAME")
			{
				$ITEM_VALUE = html_entity_decode($RUN_SEQ,ENT_QUOTES,"UTF-8");
				$EXCEL_OUT .= " style='vnd.ms-excel.numberformat:@'";
			}

		}
		// $EXCEL_OUT .= " style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",$ITEM_VALUE)."</td>\r\n";
		$EXCEL_OUT .= " style='vnd.ms-excel.numberformat:@'>".$ITEM_VALUE."</td>\r\n";
		//$EXCEL_OUT .= "<td>".iconv("utf-8","gbk",html_entity_decode($ITEM_VALUE,ENT_QUOTES,"UTF-8"))."</td>\r\n";
	}//for
	$EXCEL_OUT.="</tr>\r\n";
}
$EXCEL_OUT.="</table>\r\n";
// $EXCEL_OUT = iconv("gbk","utf-8",$EXCEL_OUT);
// echo $EXCEL_OUT;
// exit();
ob_end_clean();
Header("Cache-control: private");
Header("Content-type: application/vnd.ms-excel");
Header("Accept-Ranges: bytes");
Header("Accept-Length: ".strlen($EXCEL_OUT));
Header("Content-Disposition: attachment; filename= $EXCEL_NAME.xls");
echo $EXCEL_OUT;

?>