<?
/**
 * Systemname:       E-Office
 * Filename:         helppage/helptree.php
 * Function:         帮助的类别树
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2008-09-02
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
include_once("inc/auth.php");
includelangpak("help,email");
$canEdit = 1;                                                      //1,不可以编辑；2,可以编辑
?>
<html>
<head>
<title><?=$_lang['help_title']?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script src="/inc/xtree/xtree.js"></script>
<script type="text/javascript" src="/inc/prototype.js"></script>
<style type="text/css" media="screen">
.popupMenu{
	width:100px;
	border:1px solid #666666;
	background-color:#F9F8F7;
	padding:1px;
}

.popupMenuTable{
	background-image:url(/images/xloadtree/bg_menu.gif);
	background-repeat:repeat-y;
}

.popupMenuTable TD{
	font-family:MS Shell Dlg;
	font-size:12px;
	cursor:default;
}

.popupMenuRow{
	height:21px;
	padding:1px;
}

.popupMenuRowHover{
	height:21px;
	border:1px solid #0A246A;
	background-color:#B6BDD2;
}


</style>
<link type="text/css" rel="stylesheet" href="/images/xtree/xtree.css">
</head>
<base target="help_list"  />
<body>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
	<tr>
		<td>
		<div id="treeMenu">
<script>
webFXTreeConfig.rootIcon        = "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/book_c.gif";
webFXTreeConfig.openRootIcon	= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/book_o.gif";
webFXTreeConfig.folderIcon		= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/book_c.gif";
webFXTreeConfig.openFolderIcon	= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/book_o.gif";
webFXTreeConfig.fileIcon		= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/book_c.gif";
webFXTreeConfig.blankIcon		= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/blank.png";
webFXTreeConfig.lMinusIcon		= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/Lminus.png";
webFXTreeConfig.lPlusIcon		= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/Lplus.png";
webFXTreeConfig.tMinusIcon		= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/Tminus.png";
webFXTreeConfig.tPlusIcon		= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/Tplus.png";
webFXTreeConfig.iIcon			= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/I.png";
webFXTreeConfig.lIcon			= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/L.png";
webFXTreeConfig.tIcon			= "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/T.png";


if (document.getElementById) {

	var tree = new WebFXTree('<?=$_lang['help_system_help']?>','helplist.php','');
	tree.folderId = "0";
	tree.setBehavior('classic');
	<?
	function getSubCategory($cat_id)
	{
		global $connection;
		if($cat_id)
		{
			$query_f = "SELECT * FROM help_category WHERE HELP_CATE_PARENT = '".SecurityFilter($cat_id)."' ORDER BY HELP_CATE_ID ASC";
		}
		else
		{
			$query_f = "SELECT * FROM help_category WHERE HELP_CATE_PARENT = 0 ORDER BY HELP_CATE_ID ASC";
		}
		$rs_f    = exequery($connection,$query_f);
		while($rows_f = mysql_fetch_array($rs_f))
		{
			$parent_cat_id = $rows_f["HELP_CATE_PARENT"];
			$category_id   = $rows_f["HELP_CATE_ID"];
			$category_name = $rows_f["HELP_CATE_NAME"];
			if($parent_cat_id != 0)
			{
		?>
			var treename_<?=$category_id?> = new WebFXTreeItem('<?=$category_name?>','/helppage/helplist.php?category_id=<?=$category_id?>','','','');
			treename_<?=$parent_cat_id?>.add(treename_<?=$category_id?>);
			treename_<?=$category_id?>.folderId   = <?=$category_id?>;
			treename_<?=$category_id?>.folderName = '<?=$category_name?>';
		<?
			}
			else
			{
		?>
				var treename_<?=$category_id?> = new WebFXTreeItem('<?=$category_name?>','/helppage/helplist.php?category_id=<?=$category_id?>','','','');
				tree.add(treename_<?=$category_id?>);
				treename_<?=$category_id?>.folderId   = <?=$category_id?>;
				treename_<?=$category_id?>.folderName = '<?=$category_name?>';
			<?
			}
			getSubCategory($category_id);
		}
	}
	getSubCategory('');
	?>
document.write(tree);
//tree.expandAll();
//treename_00000000001.expand();
}</script>
</div>
		</td>
	</tr>
</table>
<script language="javascript">

var sortType;// 1,无右键菜单 2,右键菜单
sortType = <?=$canEdit?>;

document.attachEvent("oncontextmenu", function(e){
	var o = e.srcElement;
	if(o.nodeName=="A"){
		showOptionMenu(webFXTreeHandler.all[o.parentNode.id]);
		return false;
	}
});

function addTreeNode(id, name){
	//alert(id);
	tree.getSelected().add(eval("folder"+id+" = new WebFXTreeItem(name,'/helppage/helplist.php?category_id='+id)"));
	eval("folder"+id+".folderId = id");
	eval("folder"+id+".folderName = name");
	tree.getSelected().expand();
	Element.hide("editfoldernameid");

}

function updateTreeNode(oNode,name){
	var objNodeAnchor = document.getElementById(oNode.id+"-anchor");
	objNodeAnchor.innerText = name;
	Element.hide("editfoldernameid");
}

function deleteTreeNode(oNode){
	oNode.remove();
	Element.hide("divoptionmenu");
}

function showOptionMenu(oNode){
	var popupX = 0;
	var popupY = 0;
	var objOMenu = document.getElementById('divoptionmenu');
	popupX = Event.pointerX(window.event);
	popupY = Event.pointerY(window.event);

	objOMenu.style.position="absolute";
	objOMenu.style.top=popupY;
	objOMenu.style.left=popupX-40;
	if(sortType == 2){
		objOMenu.style.display = "";
	}

	if(oNode.folderId == 0){
		objOMenu.getElementsByTagName("TR")[0].style.display = "";
		objOMenu.getElementsByTagName("TR")[2].style.display = "none";
		objOMenu.getElementsByTagName("TR")[4].style.display = "none";

	}
	else{
		objOMenu.getElementsByTagName("TR")[0].style.display = "";
		objOMenu.getElementsByTagName("TR")[2].style.display = "";
		objOMenu.getElementsByTagName("TR")[4].style.display = "";
	}
	attachEventMenu(oNode);
	objOMenu.attachEvent("onmouseout",mouseoutMenu);
}
function mouseoutMenu(){
	var mx = event.clientX+document.body.scrollLeft;
	var my = event.clientY+document.body.scrollTop;
	var oMenuPos = getObjInfoXY('divoptionmenu');
	var objOMenu = document.getElementById('divoptionmenu');
	if(mx<oMenuPos.left || mx>oMenuPos.right){
		objOMenu.style.display = "none";
	}
	if(my<oMenuPos.top || my>oMenuPos.bottom){
		objOMenu.style.display = "none";
	}

}

function mouseoutEdit(){
	var mx = event.clientX;
	var my = event.clientY;
	var oFolderXY = getObjInfoXY('editfoldernameid');
	var objFolder = document.getElementById('editfoldernameid');
	if(mx<oFolderXY.left || mx>oFolderXY.right){
		objFolder.style.display = "none";
	}
	if(my<oFolderXY.top || my>oFolderXY.bottom){
		objFolder.style.display = "none";
	}

}
function getObjInfoXY(o){
	var to=new Object();
	to.left=to.right=to.top=to.bottom=0;
	var o = document.getElementById(o);

	var twidth=o.offsetWidth;

	var theight=o.offsetHeight;
	while(o!=document.body){
		to.left+=o.offsetLeft;
		to.top+=o.offsetTop;
		o=o.offsetParent;
	}
	to.right=to.left+twidth;
	to.bottom=to.top+theight;
	return to;
}
function showEditFolder(oNode,type){
	var objEfnId = document.getElementById('editfoldernameid');
	var objOMenu = document.getElementById('divoptionmenu');
	var objFolderName = document.getElementById('foldername');
	var objSubmitFTD = document.getElementById('submitFolderTD');

	var popupX = 0;
	var popupY = 0;

	objEfnId.style.position="absolute";

	popupX = Event.pointerX(window.event);
	popupY = Event.pointerY(window.event);

	objEfnId.style.top=popupY;
	objEfnId.style.left=10+document.body.scrollLeft;
	objEfnId.style.display = "";
	objOMenu.style.display = "none";
	objFolderName.focus();
	switch(type){
		case "add":
			objFolderName.value = "";
			objSubmitFTD.onclick = function(){submitFolder(oNode,"add");};

			break;
		case "edit":
			objFolderName.value = oNode.folderName;
			objSubmitFTD.onclick = function(){submitFolder(oNode,"edit");};
			break;

	}

}

function attachEventMenu(oNode,type){
	var arrayTD = Array();
	arrayTD[0] = "addFolderTD";
	arrayTD[1] = "editFolderTD";
	arrayTD[2] = "delFolderTD";

	for(var i=0; i<arrayTD.length;i++){
		var objFolderTd = document.getElementById(arrayTD[i]);
		objFolderTd.onmouseover = function(){this.className='popupMenuRowHover';};
		objFolderTd.onmouseout = function(){this.className='popupMenuRow';};
		if(arrayTD[i] == "addFolderTD"){
			objFolderTd.onclick =  function(){showEditFolder(oNode,"add");};

		}

		if(arrayTD[i] == "editFolderTD"){
			objFolderTd.onclick =  function(){showEditFolder(oNode,"edit");};

		}

		if(arrayTD[i] == "delFolderTD"){
			objFolderTd.onclick =  function(){deleteFolder(oNode);};

		}

	}

}

function submitFolder(oNode,type){
	var name = document.getElementById("foldername").value;
	var category_id = oNode.folderId;
	if(name.replace(/\s/g,"")=="")
	{
		alert("<?=$_lang['system_floder_name_waring']?>")
		return false;
	}

	if(type == "add"){
		var url = "ajaxdo.php";
		var par = "f=addnode&category_name="+name+"&category_id="+category_id;
		queryString = par;
		new Ajax.Request
			(
				url,
				{
					method: "post",
					onSuccess : function(resp)
								{
									var id = resp.responseText;
									//alert(id);
									addTreeNode(id,name);
									//alert(par)
								},
					onFailure : function()
								{
									alert(url);

								},
					parameters : queryString
				}
			);
	}


	if(type == "edit"){
		var url = "ajaxdo.php";
		var par = "f=changename&category_name="+name+"&category_id="+category_id;
		queryString = par;
		new Ajax.Request(url,{method: "post",parameters : queryString});

		var id = oNode.folderId;
		updateTreeNode(oNode,name);
		//refrehMailTreeMenu();

	}
}

function deleteFolder(oNode){
	var category_id = oNode.folderId;
	if(window.confirm("<?=$_lang['email_del_sure_alert']?>")){
		var url = "ajaxdo.php";
		var par = "f=remove&category_id="+category_id;
		queryString = par;
		new Ajax.Request(url,{method: "post",parameters : queryString});

		deleteTreeNode(oNode);
	}
}

</script>

<div id="divoptionmenu" style="display:none">
<div class="popupMenu">
<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%" class="popupMenuTable">
	<tr height="22" menuid=1>
		<td class="popupMenuRow" id="addFolderTD">
			<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%">
				<tr>
					<td width="28"><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/folder_add.png" /></td>
					<td ><?=$_lang["common_new"]?></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr height="22" menuid=2>
		<td class="popupMenuRow" id="editFolderTD">
			<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%">
				<tr>
					<td width="28"><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/folder_edit.png" /></td>
					<td ><?=$_lang["common_modify"]?></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr height="22" menuid=3>
		<td class="popupMenuRow" id="delFolderTD">
			<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%">
				<tr>
					<td width="28"><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/xloadtree/folder_delete.png" /></td>
					<td ><?=$_lang["common_del"]?></td>
				</tr>
			</table>
		</td>
	</tr>

</table>
</div>
</div>

<div align="center" style="width:120px;border:1px solid #666666;background-color:#F9F8F7;padding:0px;display:none;font-size:12px;" id="editfoldernameid">
	<table cellspacing="0" cellpadding="2" border="0" width="100%" height="100%" >
		<tr height="12" class="tableheader" border="1px" >
			<td ><?=$_lang["other_favorite_sort_name"]?></td>
			<td width='20px'>
			<img src="/images/index_i/closetab.gif" onClick="Element.hide('editfoldernameid')" style="cursor:hand" BORDER="0" align="absmiddle">
			</td>
		</tr>
	</table>
	<table>
		<tr height="22" >
			<td> <input id="foldername" type="text" size="12" maxlength="20" class="text"></td>
		</tr>
		<tr height="22" >
			<td align='right'><input type="button" class="button" value="<?=$_lang["common_submit"]?>" id="submitFolderTD">
			</td>
		</tr>
	</table>
</div>
</body>
</html>