<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 * Description of HttpMultiRequest
 * @author Administrator
 */
class HttpMultiRequest {
    private $urls       = array();
    private $options    = array();
    private $curl       = array();
    private $mh         = null;
    private $active     = null;
    public function __construct($options = array()) {
        $this->setOption($options);
    }
    public function setOption($options = array()){
        $options[CURLOPT_RETURNTRANSFER] = 1;
        if (!isset($options[CURLOPT_USERAGENT])) {
            $options[CURLOPT_USERAGENT] = 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1;)';
        }
        if (!isset($options[CURLOPT_FOLLOWLOCATION])) {
            $options[CURLOPT_FOLLOWLOCATION] = 1;
        }
        if (!isset($options[CURLOPT_HEADER])){
            $options[CURLOPT_HEADER] = 0;
        }
        $this->options = $options;
    }
    public function setUrls($urls = array()){
        $this->urls = $urls;
    }
    public function exec(){
        if(empty($this->urls) || !is_array($this->urls)){
            return false;
        }
        $this->mh = curl_multi_init();
        foreach($this->urls as $k => $v){
            $this->curl[$k] = $this->addHandle($this->mh, $v);
        }
        $this->execMulitHandle($this->mh);  
    }
    public function getMultiContent(){
        $data = array();
        foreach($this->urls as $k => $v){
            $data[$k] = curl_multi_getcontent($this->curl[$k]);
            curl_multi_remove_handle($this->mh, $this->curl[$k]);
        }
        return $data;
    }
    public function closeMultiCurl(){
        curl_multi_close($this->mh);
    }
    private function addHandle($mh, $url){
        $ch = curl_init($url);
        $this->setOneOption($ch);
        curl_multi_add_handle($mh, $ch);
        return $ch;
    }
    private function execMulitHandle($mh){
        $i = 0;
        do {$mrc = curl_multi_exec($mh,$this->active); $i++;} while ($mrc == CURLM_CALL_MULTI_PERFORM);
        while ($this->active && $mrc == CURLM_OK) {
            if (curl_multi_select($mh) != -1){
                do {$mrc = curl_multi_exec($mh, $this->active); $i++;} while ($mrc == CURLM_CALL_MULTI_PERFORM);
            }
            $i++;
        }
    }
    private function setOneOption($ch){
        curl_setopt_array($ch, $this->options);
    }
}
