var employeeId = "";
var saveOk     = false;
Ext.grid.PropertyGrid.prototype.initComponent = function () { 
this.customEditors = this.customEditors || {}; 
this.lastEditRow = null; 
var store = new Ext.grid.PropertyStore(this); 
this.propStore = store; 
var cm = new Ext.grid.PropertyColumnModel(this,store); 
// store.store.sort('name','ASC'); 
this.addEvents( 
'beforepropertychange', 
'propertychange' 
); 
this.cm = cm; 
this.ds = store.store; 
Ext.grid.PropertyGrid.superclass.initComponent.call(this); 

this.selModel.on('beforecellselect',function(sm,rowIndex,colIndex) { 
if(colIndex == 0) { 
this.startEditing.defer(200,this, [rowIndex,1]); 
return false; 
} 
},this); 
}; 
Ext.ns('App');
App.EmployeePropertyGrid = Ext.extend(Ext.grid.PropertyGrid, {
	load: function(config) {
		Ext.apply(config, {
			url: this.url,
			success: this.onLoad,
			scope: this
		});
		if(this.getEl()){
			this.getEl().mask('Loading...');
		}
		Ext.Ajax.request(config);
		employeeId = config.params.employeeId;
	},
	onLoad: function(response, opts) {
		var json = Ext.decode(response.responseText);
		saveOk   = false;
		this.setSource(json);
		this.customEditors[EOlang.msgUserSex]=new Ext.grid.GridEditor(new Ext.form.ComboBox({
	        editable:false,
	        triggerAction: 'all',
	        store: new Ext.data.SimpleStore({
	            fields: ['gender'],
	            data : [[EOlang.msgUserSexMan],[EOlang.msgUserSexWoman]]
	        }),
	        displayField:'gender',
	        forceSelection:true,
	        mode:'local'
		}));
		this.customEditors[EOlang.msgUserSex+'(*)']=new Ext.grid.GridEditor(new Ext.form.ComboBox({
	        editable:false,
	        triggerAction: 'all',
	        store: new Ext.data.SimpleStore({
	            fields: ['gender'],
	            data : [[EOlang.msgUserSexMan],[EOlang.msgUserSexWoman]]
	        }),
	        displayField:'gender',
	        forceSelection:true,
	        mode:'local'
		}));
		//alert(initValue.customEditors);
		var custom_arr = initValue.customEditors.split('|');
		for(var i=0;i<custom_arr.length;i++){
			this.customEditors[custom_arr[i]] = new Ext.grid.GridEditor( new Ext.form.DateField({
				editable:false,
	        	triggerAction: 'all',
		        forceSelection:true,
		        format:'Y-m-d',
		        mode:'local'
			}));
		};
		if(this.getEl()){
			this.getEl().unmask();
		}
		//data = this.getSource();
		
	},
	//保存
	buttons: [
	{
		text:EOlang.msgSaveEdit,
		handler: UpdateRecord
	}
	],
	listeners:{
		"afteredit":function(){
			initValue.GridEditData = this.getSource();
			saveOk = true;
		}
	},
	UpdateRecord:function UpdateRecord(btn){
		//btn.disabled=true;
		if(initValue.GridEditData!="" && saveOk == true){
			Ext.MessageBox.show({
				msg: EOlang.msgRequestDataWait,
				progressText: EOlang.msgRequestData,
				width:300,
				wait:true,
				waitConfig: {interval:200}
			});
			var nameStr = "";
			for(var name in initValue.GridEditData){
				nameStr  = name;
				if(nameStr.indexOf("(*)")>=0){
					if(initValue.GridEditData[nameStr]==""){
						Ext.MessageBox.alert(EOlang.msgGiveWhy,EOlang.msgSelectNullAlert);
						return false;
					}
				}
			}
			//Ext.MessageBox.alert("提示",formvalues);
			Ext.Ajax.request({
				url: '/general/address/docenter/view_do.php', //url to server side script
				method: 'POST',
				params:{'edit_data':Ext.encode(initValue.GridEditData),"employeeId":employeeId,"f":'edit'},//the unique id(s)
				callback: function (options, success, response) {
					if (success) { //success will be true if the request succeeded
						Ext.MessageBox.hide();
						//alert(response.responseText);
						Ext.MessageBox.alert(EOlang.msgRequetOK,EOlang.msgDataSaveOK);
					} else {
						Ext.MessageBox.hide();
						Ext.MessageBox.alert(EOlang.msgLostTryAgain,response.responseText);
					}
				},

				failure:function(response,options){
					Ext.MessageBox.hide();
					ReturnValue = Ext.MessageBox.alert(EOlang.msgLostWring,EOlang.msgLostWringAlert);
				},　
				success:function(response,options){
					Ext.MessageBox.hide();
					initValue.extGridObj.store.reload();
					//extObj.store.reload();
				}　　　　　　　　　　　　　　　
			})// end Ajax request
		}
	}
});
Ext.reg('employeepropertygrid', App.EmployeePropertyGrid);