<?
/*************************************************************
* Note: 	一般函数					                         *
* Author: 	Weaver.liurui                                    *
* Contact: 	liurui@weaver.com.cn		                     *
* Version: 	1.0						                         *
* Created:  22/04/2005  		                             *
* Revision: //							                     *
*************************************************************/
/*中文字符串截取函数

$str="这个字符好长呀,^_^";
$Short_Str=showShort($str,4);//截取前面4个汉字,结果为:这个字符...
Echo   "$Short_Str";
*/

include_once("inc/oa_config.php");
Function csubstrr($str,$start,$len) { 
	$strlen=strlen($str); 
	$clen=0; 
	for($i=0;$i<$strlen;$i++,$clen++) { 
		if ($clen>=$start+$len) 
		break; 
		if(ord(substr($str,$i,1))>0xa0) { 
			if ($clen>=$start) 
			$tmpstr.=substr($str,$i,2); 
			$i++; 
	    } 
		else { 
			if ($clen>=$start) 
			$tmpstr.=substr($str,$i,1); 
		} 
    } 

	return $tmpstr; 
} 
Function showShort($str,$len) { 
	$tempstr = csubstrr($str,0,$len); 
	if ($str<>$tempstr) 
    $tempstr .= "..."; //要以什么结尾,修改这里就可以.

    return $tempstr; 
}

/***************************************************************************************************
  *@@ 函数名: COM_str4db
  *@@ 说明　: 为从页面POST来的字符串彻底相同插入数据库做准备(目前数据库只支持MYSQL)
  *@@ 参数　: 
  *@@        str              源数据字符串
  *@@        mode             'MYSQL'代表数据库是MYSQL时的情况。'NONE'代表并不为数据库准备，而只是彻底还原POST数据。

  *@@
  *@@ 返回值: 
  *@@        转换后的字符串

**************************************************************************************************/
function COM_str4db($str, $mode = "MYSQL") {

  if ($mode == "MYSQL") {
    if (!get_magic_quotes_gpc()) {
      $str = addslashes($str);
    }
  }

  elseif ($mode == "NONE") {
    if (get_magic_quotes_gpc()) {
      $str = stripslashes($str);
    }
  }

  else {
    exit('应用程序调用函数错误。');
  }

  return $str;

}



/***************************************************************************************************
  *@@ 函数名: COM_str4ie
  *@@ 说明　: 为从任何来源之处的字符串彻底相同显示到浏览器做准备(目前数据库只支持MYSQL)
  *@@ 参数　: 
  *@@        str              源数据字符串
  *@@        mode             其默认值为空，为显示在浏览器页面上做准备。

  *@@                         其值为'edit'的时候，为显示在编辑框内，如<textarea>str</textarea>、<input value="str">等做准备。

  *@@                         其值为'next'的时候，为字符串将继续往下一页传递做准备。

  *@@                         其值为'both'的时候，为字符串将继续往下一页传递到编辑框内做准备。

  *@@
  *@@ 返回值: 
  *@@        转换后的字符串

**************************************************************************************************/
function COM_str4ie($str, $mode = "") {
  if ($mode == "edit") {
    $str = htmlspecialchars($str);
  }
  elseif ($mode == "next") {
    if (get_magic_quotes_gpc()) {
      $str = stripslashes($str);
    }
  }
  elseif ($mode == "both") {
    if (get_magic_quotes_gpc()) {
      $str = stripslashes($str);
    }
    $str = htmlspecialchars($str);
  }
  else {
    $str = nl2br(htmlspecialchars($str));
  }
  return $str;
}

/***************************************************************************************************
  *@@ 函数名: COM_dPrint
  *@@ 说明　: 打印数组变量(调试用函数)
  *@@ 参数　: 
  *@@ 　　　  v:                                   数组变量名

  *@@
  *@@ 返回值: 
  *@@        无

**************************************************************************************************/
function COM_dPrint($v) {
  echo "<pre>";
  print_r($v);
  echo "</pre>";
}


/***************************************************************************************************
  *@@ 函数名: COM_openDb
  *@@ 说明　: 开启数据库
  *@@ 参数　: 
  *@@ 　　　  edb:                                 数据库对象

  *@@ 　　　  debug:                               调试标志
  *@@
  *@@ 返回值: 
  *@@        成功，则返回true
  *@@        失败，则返回false
**************************************************************************************************/
function COM_openDb(&$edb, $debug = 1) {
  global $MYSQL_SERVER,$MYSQL_USER,$MYSQL_PASS,$MYSQL_DB;
  $parr = array();
  $parr["dbHost"] = $MYSQL_SERVER;
  $parr["dbUser"] = $MYSQL_USER;
  $parr["dbPass"] = $MYSQL_PASS;
  $parr["dbName"] = $MYSQL_DB;
  $edb = new SymsDb($parr);
  $edb->debug = $debug;
  $edb->getConn();
  if (!$edb->conn) {
    return false;
  }
  $edb->startTransaction();
  return true;
}


function DML_openDb(&$nd, $parr, $db = 'mysql') {
  
  $nd = new EverDatabase($parr);
  if (!$nd->getConn()) {
	  
	 return false;
  }
  if ($db == 'mysql') {
    $nd->startTransaction();
  }
  return true;
}



function COM_closeDb(&$edb, $term) {
  if ($term) {
    @$edb->commit();
  }
  else {
    @$edb->rollback();
  }
  @$edb->freeStmt();
  @$edb->closeConn();
}


/***************************************************************************************************
  *@@ 函数名: COM_getRemoteIp
  *@@ 说明　: 获取客户端IP
  *@@ 参数　: 
  *@@        无

  *@@
  *@@ 返回值: 
  *@@        IP地址
**************************************************************************************************/
function COM_getRemoteIp() {
  return $_SERVER["REMOTE_ADDR"];
}






/***************************************************************************************************
  *@@ 函数名: CHK_naturalNum
  *@@ 说明　: 检查是否非负整数

  *@@ 参数　: 
  *@@        str              源数据字符串
  *@@        length           可选参数，判断长度
  *@@
  *@@ 返回值: 
  *@@        是，则返回true
  *@@        不是，则返回false
**************************************************************************************************/
function CHK_naturalNum($str, $length = 0) {
  $pat = "^[0-9]*$";
  if (!eregi($pat, $str)) {
    return false;
  }
  if ($length) {
    if (strlen($str) != $length) {
      return false;
    }
  }
  return true;
}



/***************************************************************************************************
  *@@ 函数名: CHK_positiveInt
  *@@ 说明　: 检查是否正整数
  *@@ 参数　: 
  *@@        str              源数据字符串
  *@@        length           可选参数，判断长度
  *@@
  *@@ 返回值: 
  *@@        是，则返回true
  *@@        不是，则返回false
**************************************************************************************************/
function CHK_positiveInt($str, $length = 0) {
  $pat = "^[1-9][0-9]*$";
  if (!eregi($pat, $str)) {
    return false;
  }
  if ($length) {
    if (strlen($str) != $length) {
      return false;
    }
  }
  return true;
}



/***************************************************************************************************
  *@@ 函数名: CHK_email
  *@@ 说明　: 检查是否合法email地址格式
  *@@ 参数　: 
  *@@        str              源数据字符串
  *@@        maxlen           可选参数，判断长度
  *@@
  *@@ 返回值: 
  *@@        是，则返回true
  *@@        不是，或者EMAIL长度超过maxlen个字符，则返回false
**************************************************************************************************/
function CHK_email($str, $maxlen = 0) {
  $pat = "^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,4}$";
  if (!eregi($pat, $str)) {
    return false;
  }
  if ($maxlen) {
    if (strlen($str) > $maxlen) {
      return false;
    }
  }
  return true;
}



/***************************************************************************************************
  *@@ 函数名: CHK_varid
  *@@ 说明　: 检查是否是以字母、数字、下划线任意组合的字符串(最长32位)
  *@@ 参数　: 
  *@@        str              源数据字符串
  *@@        maxlen           可选参数，判断长度
  *@@
  *@@ 返回值: 
  *@@        是，则返回true
  *@@        不是，则返回false
**************************************************************************************************/
function CHK_varid($str, $maxlen = 0) {
  $pat = "^[a-z0-9_]{1,32}$";
  if (!eregi($pat, $str)) {
    return false;
  }
  if ($maxlen) {
    if (strlen($str) > $maxlen) {
      return false;
    }
  }
  return true;
}

function COM_addAppendixHref($msg) {
  if (false === strstr($msg, '</a>')) {
    $msg .= '<br><br><a href="javascript:history.go(-1)">返回</a><br><br>';
  }
  return $msg;
}


/***************************************************************************************************
  *@@ 函数名: DML_UsernameUserid()
  *@@ 说明　: 将用户ID查出用户名

  *@@ 参数　: 
  *@@                      
  *@@        
  *@@
  *@@ 返回值: 
  *@@        是，则返回user_name数值

  *@@        不是，则返回false
**************************************************************************************************/
function DML_UsernameUserid(&$edb, &$nd, &$einfo, $parr) {
   $term = true;
   while($term){
	 $sql = "SELECT USER_ID,USER_NAME FROM USER WHERE ";
	 $sql .= " USER_ID IN('".$parr["user_id"]."') AND DEPT_ID!=-1";
	 //echo $sql."<br>";
	 if (!$edb->executeQuery($sql)){
		$einfo = "查询错误";
		$nd = false;
		$term = false;
		break;
	 }
	 $term = $edb->getRecordSet();
	 //$nd = $edb->getNumRows();
	 /**
	 for($i=0;$i<count($term) ;$i++ ){
	    $username[$i] = $term[$i]["USER_NAME"];
		
	 }
	 //$term[$i]["USER_NAME"] = implode(",",$username);
	 **/
	 break;
   }
   return $term;
}
//数组去掉重复值　
function UniqueArrayNoNULL($Array){ 
	for ($i=0;$i<count($Array);$i++){ 
		if ($Array[$i] != ""){ 
		  $U_Array[$Array[$i]] = 1; 
		} 
	} 
	@reset($U_Array); 
	for ($i=0;$i<count($U_Array);$i++) { 
		$Unique_Array[] = key($U_Array); 
		next($U_Array); 
	} 
	return $Unique_Array; 
} 

 function haltOnError($resType = "", $dbError = "", $sqltext = "") {
    if ($resType == "init") {
      $dbError = $dbError;
    }
    else {
      $dbError["code"]      = @mysql_errno();
      $dbError["message"]   = @mysql_error();
    }
    if ($dbError["code"] != "1062") {
      @rollback();
      if ($sqltext != "") {
        $dbError["sqltext"] = $sqltext;
      }
      echo "<html><head><style>body {background-color: #FFFFFF; font-family: 宋体; font-size:85%}";
      echo "table {border-collapse: collapse;border-style: solid;border-width: 1px;border-color: #67CEFA;}";
      echo "td {font-family: 宋体; font-size: 85%;border-collapse: collapse;";
      echo "border-style: solid;  border-color: #67CEFA;border-width: 1px;}</style></head><body>";
      echo "<font size=3 color=blue><br><p align=\"center\">SQL Debug Infomation<br></font>";
      echo "<table align=\"center\" width=\"700\">";
      echo "<tr><td>code: </td><td>" . $dbError["code"] . "</td></tr>";
      echo "<tr><td>message: </td><td>" . $dbError["message"] . "</td></tr>";
      echo "<tr><td>sqltext: </td><td>" . wordwrap($dbError["sqltext"], 100, "<br />") . "</td></tr>";
      echo "</table><br><br>";
      echo "<p align=\"center\">sqltext by one line<p align=\"left\">" . $dbError["sqltext"] . "";
      echo "</body><html>";
      exit;
    }
    return false;
}


?>