<?
/**
 *@Systemname:       E-Office wap
 *@Filename:         inc/document_function.php
 *@Function:         
 *@Encoding:         utf8
 *@Author:           www.weaver.com.cn
 *@Date:             2009-8-20
 *@File Version:     8.0
 *@Eoffice Version:  8.0
 */
include_once ("inc/utility_all.php");
include_once ('inc/conn.php');
/**
 *得到连接路径
 *@param string $SORT_ID      文档目录相关的ID
 *@param string $GETFILEPATH  获取文件路径
 *@param string $FILE_SORT    文件类型 1为公共文档 2为个人文档 
 *@param string $linktype    
 *@return string $GETFILEPATH   得到文件的路径
 */
function getFilePath($SORT_ID,$FILE_SORT,$linktype) {
	global $connection;
	$query = "
			SELECT SORT_LEVEL_ID FROM file_sort WHERE SORT_ID = '" . SecurityFilter($SORT_ID) . "' ;
			";
	$res = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $res );
	$SORT_LEVEL_ID = $ROW ['SORT_LEVEL_ID'];
	if($SORT_ID != 0)
		$SORT_LEVEL_ID .= $SORT_ID;
	$SORT_LEVEL_ID = trim(str_replace("|",",",SecurityFilter($SORT_LEVEL_ID)),",");
	if(!$SORT_LEVEL_ID)
		$SORT_LEVEL_ID = "''";
	$query1 = "
			 SELECT SORT_ID,SORT_NAME
			 FROM  `file_sort` 
			 WHERE `SORT_ID` 
			 IN ( ".$SORT_LEVEL_ID." ) 
			 ORDER BY FIELD( SORT_ID, ".$SORT_LEVEL_ID." ) 
			";
	$res1 = exequery ( $connection, $query1 );
	while($ROW1 = mysql_fetch_array ( $res1 )) {
		$SORT_ID   = $ROW1["SORT_ID"];
		$SORT_NAME = $ROW1["SORT_NAME"];
		$SORT_NAME1   = substrGB($SORT_NAME,8,'...');
		if ($linktype == 'link') {
			$GETFILEPATH .= "<a class=\"filePathShow\" href=\"filelist.php?SORT_ID=$SORT_ID&FILE_SORT=$FILE_SORT\" title=\"$SORT_NAME\">$SORT_NAME1</a>" . "";
		} else {
			$GETFILEPATH .= "$SORT_NAME1" . "/";
		}
	}
	return $GETFILEPATH;
}
/**
 *获取有权限文档
 *@param string $SORT_ID     文档目录的ID
 *@param string $GETFILEPATH 获取文件的路径
 *@param string $FILE_SORT   文档类型  1为公共文档  2为个人文档
 *@return string $GETFILEPATH 返回获取的文档
 */
function getFilePathPurvi($SORT_ID, &$GETFILEPATH, $FILE_SORT) {
	global $connection;
	$query = "
			SELECT SORT_LEVEL_ID FROM file_sort WHERE SORT_ID = '" . SecurityFilter($SORT_ID) . "' ;
			";
	$res = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $res );
	$SORT_LEVEL_ID = $ROW ['SORT_LEVEL_ID'];
	if($SORT_ID != 0)
		$SORT_LEVEL_ID .= $SORT_ID;
	$SORT_LEVEL_ID = trim(str_replace("|",",",SecurityFilter($SORT_LEVEL_ID)),",");
	if(!$SORT_LEVEL_ID)
		$SORT_LEVEL_ID = "''";
	$query1 = "
			 SELECT SORT_ID,SORT_NAME,SORT_PARENT,SORT_ID,SORT_NAME,USER_ID
			 FROM  `file_sort` 
			 WHERE `SORT_ID` 
			 IN ( ".SecurityFilter($SORT_LEVEL_ID)." ) 
			 ORDER BY FIELD( SORT_ID, ".SecurityFilter($SORT_LEVEL_ID)." ) 
			";
	$res1 = exequery ( $connection, $query1 );
	while($ROW1 = mysql_fetch_array ( $res1 )) {
		$SORT_ID     = $ROW1["SORT_ID"];
		$SORT_NAME   = $ROW1["SORT_NAME"];
		$SORT_NAME1   = substrGB($SORT_NAME,8,'...');
		$SORT_PARENT = $ROW1['SORT_PARENT'];
		$USER_ID     = $ROW1['USER_ID'];
		$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
		if (opinionPurview ( "MANAGE", $SORT_ID ) || $LOGIN_USER_ID == 'admin' || $USER_ID == $LOGIN_USER_ID) {
			$GETFILEPATH .= "<a class=\"filePathShow\" href=\"purview_list.php?SORT_ID=$SORT_ID&FILE_SORT=$FILE_SORT\" title=\"$SORT_NAME\">$SORT_NAME1</a>" . "";
		} else {
			$GETFILEPATH .= "<a class=\"filePathShow\" title=\"$SORT_NAME\">$SORT_NAME1</a>" . "";
		}
	}
	return $GETFILEPATH;
}

/**
 *某个文件的下级有权文件
 *@param string $FILE_STRING 文件
 *@param string $SORT_ID     文档目录ID
 *@param string $FILE_SORT   文档类型 1为公共文档 2为个人文档
 *@return string $FILE_STRING 返回的是下级有权文件
 */
function getFileDownPru($SORT_ID,$USER_ID="") {
	global $connection;
	if($USER_ID=="")
	{
		$userid = $_SESSION ['LOGIN_USER_ID'];
	}
	else
	{
		$userid = $USER_ID;	
	}
	if($SORT_ID == 0)
	{
		$query = "
				SELECT SORT_ID FROM file_sort
				 WHERE 
				-- SORT_TYPE = 4
				  USER_ID = '" . SecurityFilter($userid) . "'
				 order by CREATE_TIME DESC
				";
	}
	else
	{
		$query = "
				SELECT SORT_ID FROM file_sort WHERE 
				-- SORT_TYPE = 4
				  USER_ID = '" . $userid . "'
				 AND INStr(SORT_LEVEL_ID ,'|".SecurityFilter($SORT_ID)."|' ) > '0' 
				 order by CREATE_TIME DESC
				";
	}
	$cursor = exequery($connection,$query);
	while ( $rows = mysql_fetch_array($cursor)) {
		$FILE_STRING .= $rows['SORT_ID'].',';
	}
	return $FILE_STRING;
}

/**
 *有查看权限的文件
 *@return string $ALLREADPUR  返回的是有查看权限的文件
 */
function getReadPurAllFile($USER_ID="",$RE_SQL="") {
	global $connection;
	if($USER_ID=="")
	{
		$userid = $_SESSION ['LOGIN_USER_ID'];
		$deptid = $_SESSION ['LOGIN_DEPT_ID'];
		$privid = $_SESSION ['LOGIN_USER_PRIV'];
	}
	else
	{
		$userid = $USER_ID;
		$sql    = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
		$rs     = exequery($connection,$sql);
		$row    = mysql_fetch_array($rs);
		$deptid = $row["DEPT_ID"];
		$privid = $row["USER_PRIV"];
	}
	$query = "
				SELECT SORT_ID FROM (
					 SELECT DISTINCT fc.SORT_ID 
					 FROM file_content fc INNER JOIN file_purview fp ON fc.SORT_ID = fp.SORT_ID 
					 WHERE
						(
							(
								 (INStr(fp.DEPT_VIEW,',".SecurityFilter($deptid).",')>0 or INStr(fp.DEPT_VIEW,'".SecurityFilter($deptid).",')=1) 
								 OR
								 (INStr(fp.PRIV_VIEW,',".SecurityFilter($privid).",')>0 or INStr(fp.PRIV_VIEW,'".SecurityFilter($privid).",')=1)
								 OR 
								 (InStr(fp.USER_VIEW,',".SecurityFilter($userid).",')>0 or INStr(fp.USER_VIEW,'".SecurityFilter($userid).",')=1)
							 )
							
							 OR
							 (
								 (INStr(fp.DEPT_MANAGE,',".SecurityFilter($deptid).",')>0 or INStr(fp.DEPT_MANAGE,'".SecurityFilter($deptid).",')=1)
								 OR
								 (INStr(fp.PRIV_MANAGE,',".SecurityFilter($privid).",')>0 or INStr(fp.PRIV_MANAGE,'".SecurityFilter($privid).",')=1)
								 OR 
								 (InStr(fp.USER_MANAGE,',".SecurityFilter($userid).",')>0 or INStr(fp.USER_MANAGE,'".SecurityFilter($userid).",')=1)
							 )
						)
				) as getpur 
			 ";
	if($RE_SQL)
	{
		return $query;
	}
	else
	{
		$cur = exequery ( $connection, $query );
		while( $row = mysql_fetch_array( $cur ) ) {
			$sortPurStr .= $row["SORT_ID"].",";
		}
		$sortPurStr = trim($sortPurStr,",");
		return $sortPurStr;
	}
}
/**
 *获取一类特殊的文档ID
 *@param string $SORT_ID 文件夹ID
 *@param string $USER_ID 用户ID
 *@return string $contentId  返回的是特殊的有权文档ID
 */
function getSpecialContentId($SORT_ID,$USER_ID="")
{
	global $connection;
	if($USER_ID=="")
	{
		$userid = $_SESSION ['LOGIN_USER_ID'];
		$deptid = $_SESSION ['LOGIN_DEPT_ID'];
		$privid = $_SESSION ['LOGIN_USER_PRIV'];
	}
	else
	{
		$userid = $USER_ID;
		$sql    = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
		$rs     = exequery($connection,$sql);
		$row    = mysql_fetch_array($rs);
		$deptid = $row["DEPT_ID"];
		$privid = $row["USER_PRIV"];
	}
	$query = "
				SELECT CONTENT_ID FROM (
					 SELECT DISTINCT fc.CONTENT_ID 
					 FROM file_content fc INNER JOIN file_purview fp ON fc.SORT_ID = fp.SORT_ID 
					 WHERE
						(
							 (
								 (INStr(fp.DEPT_VIEW,',".SecurityFilter($deptid).",')=0) 
								 AND 
								 (INStr(fp.PRIV_VIEW,',".SecurityFilter($privid).",')=0)
								 AND 
								 (InStr(fp.USER_VIEW,',".SecurityFilter($userid).",')=0)
							 )
							 OR
							 (
							 	 fp.DEPT_VIEW IS NULL 
							 	 AND 
							 	 fp.PRIV_VIEW IS NULL 
							 	 AND 
							 	 fp.USER_VIEW IS NULL 
							 )
						 )
						 AND 
						 (
							 (INStr(fp.DEPT_NEW,',".SecurityFilter($deptid).",')>0 or INStr(fp.DEPT_NEW,'".SecurityFilter($deptid).",')=1) 
							 OR
							 (INStr(fp.PRIV_NEW,',".SecurityFilter($privid).",')>0 or INStr(fp.PRIV_NEW,'".SecurityFilter($privid).",')=1)
							 OR 
							 (InStr(fp.USER_NEW,',".SecurityFilter($userid).",')>0 or INStr(fp.USER_NEW,'".SecurityFilter($userid).",')=1)
						 )
						 AND 
						 (
							 fc.USER_ID = '".SecurityFilter($userid)."'
						 )
			";
	if($SORT_ID != 0)
	{
		//获取向下文件夹
		$downPathStr = trim($SORT_ID.",".getDownPath($SORT_ID),",");
		$query .= " AND fc.SORT_ID in ($downPathStr)";
	}
	$query .= "
				) as getpur 
			 ";
	$cur = exequery ( $connection, $query );
	while( $row = mysql_fetch_array( $cur ) ) {
		$contentId .= $row["CONTENT_ID"].",";
	}
	$contentId = trim($contentId,",");
	return $contentId;
}
/**
 *获取所有能看到的文件夹
 *@return string $READ_FILE  返回的是能看到的文件夹
 */
function getReadAllFile($USER_ID="") {
	global $connection;
	if($USER_ID=="")
	{
		$userid = $_SESSION ['LOGIN_USER_ID'];
		$deptid = $_SESSION ['LOGIN_DEPT_ID'];
		$privid = $_SESSION ['LOGIN_USER_PRIV'];
	}
	else
	{
		$userid = $USER_ID;
		$sql    = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
		$rs     = exequery($connection,$sql);
		$row    = mysql_fetch_array($rs);
		$deptid = $row["DEPT_ID"];
		$privid = $row["USER_PRIV"];
	}
	$query = "
				SELECT REPLACE( TRIM( 
				LEADING '|'
				FROM CONCAT_WS('', fs.`SORT_LEVEL_ID` , fs.`SORT_ID` ) ) ,  '|',  ',' ) AS level_id
				FROM file_sort fs
				INNER JOIN file_purview fp ON fs.`SORT_ID` = fp.`SORT_ID` 
				WHERE fs.SORT_ID IN (
					SELECT SORT_ID 
					FROM (
						SELECT SORT_ID
						FROM file_purview
						WHERE 
						(INStr(DEPT_MANAGE,',".SecurityFilter($deptid).",')>0 or INStr(DEPT_MANAGE,'".SecurityFilter($deptid).",')=1)
						OR
						(INStr(DEPT_NEW,',".SecurityFilter($deptid).",')>0 or INStr(DEPT_NEW,'".SecurityFilter($deptid).",')=1)
						OR 
						(InStr(DEPT_DOWN,',".SecurityFilter($deptid).",')>0 or INStr(DEPT_DOWN,'".SecurityFilter($deptid).",')=1)
						OR
						(INStr(DEPT_RE,',".SecurityFilter($deptid).",')>0 or INStr(DEPT_RE,'".SecurityFilter($deptid).",')=1)
						OR 
						(InStr(DEPT_VIEW,',".SecurityFilter($deptid).",')>0 or INStr(DEPT_VIEW,'".SecurityFilter($deptid).",')=1)
						OR
						(INStr(PRIV_MANAGE,',".SecurityFilter($privid).",')>0 or INStr(PRIV_MANAGE,'".SecurityFilter($privid).",')=1)
						OR 
						(InStr(PRIV_NEW,',".SecurityFilter($privid).",')>0 or INStr(PRIV_NEW,'".SecurityFilter($privid).",')=1)
						OR
						(INStr(PRIV_DOWN,',".SecurityFilter($privid).",')>0 or INStr(PRIV_DOWN,'".SecurityFilter($privid).",')=1)
						OR 
						(InStr(PRIV_RE,',".SecurityFilter($privid).",')>0 or INStr(PRIV_RE,'".SecurityFilter($privid).",')=1)
						OR
						(INStr(PRIV_VIEW,',".SecurityFilter($privid).",')>0 or INStr(PRIV_VIEW,'".SecurityFilter($privid).",')=1)
						OR 
						(InStr(USER_MANAGE,',".SecurityFilter($userid).",')>0 or INStr(USER_MANAGE,'".SecurityFilter($userid).",')=1)
						OR
						(INStr(USER_NEW,',".SecurityFilter($userid).",')>0 or INStr(USER_NEW,'".SecurityFilter($userid).",')=1)
						OR 
						(InStr(USER_DOWN,',".SecurityFilter($userid).",')>0 or INStr(USER_DOWN,'".SecurityFilter($userid).",')=1)
						OR
						(INStr(USER_RE,',".SecurityFilter($userid).",')>0 or INStr(USER_RE,'".SecurityFilter($userid).",')=1)
						OR 
						(InStr(USER_VIEW,',".SecurityFilter($userid).",')>0 or INStr(USER_VIEW,'".SecurityFilter($userid).",')=1)
					) a
				)
				";
	$READ_FILE = "";
	$cursor = exequery ( $connection, $query );
	while ( $ROW = mysql_fetch_array($cursor)) {
		if($ROW["level_id"])
			$READ_FILE .= $ROW["level_id"].',';
	}
	$READ_FILE = trim($READ_FILE,",");
	if($READ_FILE)
	{
		$readFileArr = explode(",",$READ_FILE);
		$readFileArr = array_unique($readFileArr);
		$READ_FILE   = implode(",",$readFileArr);
		$READ_FILE  .= ",";
	}
	return $READ_FILE;
}

/**
 *获得共享文档
 *@param string $FILE_TYPE   文档类型 1为公共文档   2为个人文档
 *@return string $DOCUMENT_STRING   返回的是共享文档
 */
function getShareDocument($FILE_TYPE) {
	global $connection;
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	$query = "
				   SELECT CONTENT_ID FROM file_content  
					   WHERE 1
					   -- FILE_TYPE = '" . SecurityFilter($FILE_TYPE) . "'
					   AND(SHARE_DEPT = 'dept_all'
						   OR((INStr(SHARE_DEPT,',$LOGIN_DEPT_ID,')>0 or INStr(SHARE_DEPT,'$LOGIN_DEPT_ID,')=1) 
							  OR
							  (INStr(SHARE_PRIV,',$LOGIN_PRIV_ID,')>0 or INStr(SHARE_PRIV,'$LOGIN_PRIV_ID,')=1)
							  OR 
							  (INStr(SHARE_USER,',$LOGIN_USER_ID,')>0 or INStr(SHARE_USER,'$LOGIN_USER_ID,')=1)))
		  	";
	$cursor = exequery ( $connection, $query );
	while ( $ROW = mysql_fetch_array ( $cursor ) ) {
		$DOCUMENT_ID = $ROW ['CONTENT_ID'];
		$DOCUMENT_STRING .= $DOCUMENT_ID . ',';
	}
	return $DOCUMENT_STRING;
}

/**
 *获取不重复sort_id
 *@param string $SORT_ID  获取文档目录的ID
 *@param string $PATHPURVIEW
 *@return string $PATHPURVIEW 返回的是不重复的Sort_ID
 */
//终极版
function readFilePath($SORT_ID, &$PATHPURVIEW) {
	global $connection;
	$query = "SELECT SORT_LEVEL_ID  FROM file_sort WHERE SORT_ID = '" . SecurityFilter($SORT_ID) . "' ;";
	$res = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $res );
	$sortLevelID = $ROW['SORT_LEVEL_ID'];
	$sortLevelIDSplit = explode('|',$sortLevelID);
	for($i=0;$i<count($sortLevelIDSplit);$i++){
		if($sortLevelIDSplit[$i]!=""&&!strstr(",".$PATHPURVIEW,",".$sortLevelIDSplit[$i].",")){
			$PATHPURVIEW = $sortLevelIDSplit[$i].",".$PATHPURVIEW;
		}
	}
	if($sortLevelID != "")
		$PATHPURVIEW = $SORT_ID.",".$PATHPURVIEW;
	// else if($sortLevelID==""&&!strstr(",".$PATHPURVIEW,",".$SORT_ID.",")){
	// 	$PATHPURVIEW = $SORT_ID.",".$PATHPURVIEW;
	// }
	return $PATHPURVIEW;
}
/**
 *共享文档文档夹
 *@param string $FILE_TYPE  文档类型 1为公共文档  2为个人文档
 *@return string $SORT_SHARE_FILE   返回的是共享文档文件夹
 */
function getShareFilePath($FILE_TYPE) {
	global $connection;
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	$query = "
			SELECT REPLACE (trim(TRAILING '|' from CONCAT_WS('', fs.`SORT_ID` , fs.`SORT_LEVEL_ID` )),'|',',') as level_id
			FROM file_sort fs INNER JOIN (
				 SELECT SORT_ID 
				 FROM file_share
				 WHERE 1 
				-- FILE_TYPE = '" . SecurityFilter($FILE_TYPE) . "'
				 AND (
				 SHARE_DEPT='dept_all'
				 OR
				 ((INStr(SHARE_DEPT,',$LOGIN_DEPT_ID,')>0 OR INStr(SHARE_DEPT,'$LOGIN_DEPT_ID,')=1) 
				 OR
				 (INStr(SHARE_PRIV,',$LOGIN_PRIV_ID,')>0 OR INStr(SHARE_PRIV,'$LOGIN_PRIV_ID,')=1)
				 OR 
				 (InStr(SHARE_USER,',$LOGIN_USER_ID,')>0 OR INStr(SHARE_USER,'$LOGIN_USER_ID,')=1))
				 )
				 GROUP BY SORT_ID 
			) fsh on fs.`SORT_ID` = fsh.`SORT_ID`
			-- WHERE 
			-- fs.SORT_LEVEL_ID IS NOT NULL 
			-- AND fs.SORT_LEVEL_ID != ''
			";
	$SORT_SHARE_FILE = "";
	$cursor = exequery ( $connection, $query );
	while ( $ROW = mysql_fetch_array($cursor)) {
		if($ROW["level_id"])
			$SORT_SHARE_FILE .= $ROW["level_id"].',';
	}
	$SORT_SHARE_FILE = trim($SORT_SHARE_FILE,",");
	if($SORT_SHARE_FILE)
	{
		$sortShareFileArr = explode(",",$SORT_SHARE_FILE);
		$sortShareFileArr = array_unique($sortShareFileArr);
		$SORT_SHARE_FILE  = implode(",",$sortShareFileArr);
		$SORT_SHARE_FILE  .= ",";
	}
	return $SORT_SHARE_FILE;
}

//add for mobile
function getMobileShareFilePath($FILE_TYPE,$USER_ID="") {
	global $connection;
    if($USER_ID=="")
	{
		$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
        $LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
        $LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	}
	else
	{
		$LOGIN_USER_ID = $USER_ID;
		$sql    = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
		$rs     = exequery($connection,$sql);
		$row    = mysql_fetch_array($rs);
		$LOGIN_DEPT_ID = $row["DEPT_ID"];
		$LOGIN_PRIV_ID = $row["USER_PRIV"];
	}
	$query = "
			SELECT REPLACE (trim(TRAILING '|' from CONCAT_WS('', fs.`SORT_ID` , fs.`SORT_LEVEL_ID` )),'|',',') as level_id
			FROM file_sort fs INNER JOIN (
				 SELECT SORT_ID 
				 FROM file_share
				 WHERE 1 
				-- FILE_TYPE = '" . SecurityFilter($FILE_TYPE) . "'
				 AND (
				 SHARE_DEPT='dept_all'
				 OR
				 ((INStr(SHARE_DEPT,',$LOGIN_DEPT_ID,')>0 OR INStr(SHARE_DEPT,'$LOGIN_DEPT_ID,')=1) 
				 OR
				 (INStr(SHARE_PRIV,',$LOGIN_PRIV_ID,')>0 OR INStr(SHARE_PRIV,'$LOGIN_PRIV_ID,')=1)
				 OR 
				 (InStr(SHARE_USER,',$LOGIN_USER_ID,')>0 OR INStr(SHARE_USER,'$LOGIN_USER_ID,')=1))
				 )
				 GROUP BY SORT_ID 
			) fsh on fs.`SORT_ID` = fsh.`SORT_ID`
			-- WHERE 
			-- fs.SORT_LEVEL_ID IS NOT NULL 
			-- AND fs.SORT_LEVEL_ID != ''
			";
	$SORT_SHARE_FILE = "";
	$cursor = exequery ( $connection, $query );
	while ( $ROW = mysql_fetch_array($cursor)) {
		if($ROW["level_id"])
			$SORT_SHARE_FILE .= $ROW["level_id"].',';
	}
	$SORT_SHARE_FILE = trim($SORT_SHARE_FILE,",");
	if($SORT_SHARE_FILE)
	{
		$sortShareFileArr = explode(",",$SORT_SHARE_FILE);
		$sortShareFileArr = array_unique($sortShareFileArr);
		$SORT_SHARE_FILE  = implode(",",$sortShareFileArr);
		$SORT_SHARE_FILE  .= ",";
	}
	return $SORT_SHARE_FILE;
}
/**
 *正向...文档路径权限
 *@param string $SORT_ID     文档目录ID
 *@param string $PATHSTRING  文档路径
 *@return string $PATHSTRING 返回的是有路径权限的文档
 */
//终极版
function getDownPath($SORT_ID) {
	global $connection;
	$query  = "SELECT SORT_ID FROM file_sort WHERE INStr(SORT_LEVEL_ID ,'|".SecurityFilter($SORT_ID)."|' ) > '0' " ;
	$cursor = exequery($connection,$query);
	while ( $rows = mysql_fetch_array($cursor)) {
		$subFolderIds .= $rows ['SORT_ID'].',';
	}
	return $subFolderIds;
}
function getSubSortId($SORT_ID){
    global $connection;
    $query  = "SELECT SORT_ID FROM file_sort WHERE SORT_PARENT = ".SecurityFilter($SORT_ID)."";
    $cursor = exequery($connection,$query);
    while ( $rows = mysql_fetch_array($cursor)) {
		$subFolderIds .= $rows ['SORT_ID'].',';
        $subFolderIds .=getDownPath($rows ['SORT_ID']);
	}
    return $subFolderIds;
}
/**
 *获取公共文档向下有权文件夹
 *@param string $SORT_ID    文档文件夹目录ID
 *@param string $PATHSTRING 
 *@return string $PATHSTRING 返回的是公共文档向下有权的文件夹
 */
function getDownReadPathPublic($SORT_ID,$USER_ID="") {
	global $connection;
	//获取向下文件夹
	$downPathStr = trim($SORT_ID.",".getDownPath($SORT_ID),",");
	$query_pur   = getReadPurAllFile($USER_ID,"1");
	//多加一个括号以便后面连接其他条件
	$query_pur   = str_replace(") as getpur","",$query_pur);
	$query_pur  .= "
					 AND fc.SORT_ID in ($downPathStr) ";
	$query_pur  .= "
				 ) as getpur ";
	$res = exequery ( $connection, $query_pur );
	while ( $row = mysql_fetch_array ( $res ) ) {
		$HAVE_PATH_PURVIEW_STR .= $row["SORT_ID"].",";
	}
	$HAVE_PATH_PURVIEW_STR = trim($HAVE_PATH_PURVIEW_STR,",");
	return $HAVE_PATH_PURVIEW_STR;
}
/**
 *获取文件名称
 *@param string  $sort_id           文档目录文件夹的ID
 *@return string $ROW['SORT_NAME']  文档目录文件夹对应的名称
 */
function getSortNameById($sort_id) {
	global $connection;
	$query = "
			SELECT SORT_NAME FROM file_sort 
				WHERE SORT_ID = '".SecurityFilter($sort_id)."'
			";
	$cur = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $cur );
	return $ROW ['SORT_NAME'];
}

/**
 *生成有权管理新建文档树
 *@param string $SORT_ID_CHOOSE  
 *@param string $FILE_SORT        文档类型ID 1为公共文档  2为个人文档
 *@param string $PARENT_ID        父文档目录ID
 *@param string $LOGIN_DEPT_ID    登录的部门ID
 *@param string $LOGIN_USER_ID    登录的用户ID
 *@param string $SORT             
 *@return string
 */
function getSortTree($SORT_ID_CHOOSE, $FILE_SORT, $PARENT_ID, $LOGIN_DEPT_ID, $LOGIN_USER_ID, $SORT) {
	global $DEEP_COUNT;
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	if ($DEEP_COUNT == "")
		$DEEP_COUNT = "|";
	
	$connection = OpenConnection ();
	if ($PARENT_ID == 0) {
		if ($FILE_SORT == 1) {
			$query = "
				SELECT FS.SORT_ID,FS.SORT_NAME from file_sort as FS , file_purview as FP  
					   WHERE FS.SORT_ID=FP.SORT_ID and SORT_PARENT=".SecurityFilter($PARENT_ID)." 
					   and (FS.SORT_TYPE='1' 
							or 
					   		(INStr(FP.DEPT_MANAGE,',$LOGIN_DEPT_ID,')>0 or INStr(FP.DEPT_MANAGE,'$LOGIN_DEPT_ID,')=1)
							or
							(INStr(FP.DEPT_NEW,',$LOGIN_DEPT_ID,')>0 or INStr(FP.DEPT_NEW,'$LOGIN_DEPT_ID,')=1) 
							or
					   		(INStr(FP.PRIV_MANAGE,',$LOGIN_PRIV_ID,')>0 or INStr(FP.PRIV_MANAGE,'$LOGIN_PRIV_ID,')=1)
							or
							(INStr(FP.PRIV_NEW,',$LOGIN_PRIV_ID,')>0 or INStr(FP.PRIV_NEW,'$LOGIN_PRIV_ID,')=1)
							or
					   		(INStr(FP.USER_MANAGE,',$LOGIN_USER_ID,')>0 or INStr(FP.USER_MANAGE,'$LOGIN_USER_ID,')=1)
							or
							(INStr(FP.USER_NEW,',$LOGIN_USER_ID,')>0 or INStr(FP.USER_NEW,'$LOGIN_USER_ID,')=1))
						order by FS.FILE_SORTING DESC
				";
		} else {
			$query = "
				SELECT * from FILE_SORT 
					where SORT_TYPE='4' 
						and USER_ID='$LOGIN_USER_ID' 
						and SORT_PARENT=".SecurityFilter($PARENT_ID)." 
						order by SORT_NAME
				 ";
		}
	} else {
		$query = "
			SELECT * from FILE_SORT 
				where SORT_PARENT=$PARENT_ID 
				order by SORT_NAME
				";
	}
	$cursor = exequery ( $connection, $query );
	$OPTION_TEXT = "";
	$DEEP_COUNT1 = $DEEP_COUNT;
	$DEEP_COUNT .= "　|";
	$XML_TEXT = "";
	while ( $ROW = mysql_fetch_array ( $cursor ) ) {
		$SORT_ID = $ROW ["SORT_ID"];
		$SORT_NAME = $ROW ["SORT_NAME"];
		$SORT_NAME = str_replace ( "<", "&lt", $SORT_NAME );
		$SORT_NAME = str_replace ( ">", "&gt", $SORT_NAME );
		$SORT_NAME = stripslashes ( $SORT_NAME );
		$OPTION_TEXT_CHILD = getSortTree ( $SORT_ID_CHOOSE, $FILE_SORT, $SORT_ID, $LOGIN_DEPT_ID, $LOGIN_USER_ID, $SORT );
		$OPTION_TEXT .= "<option value=$SORT_ID";
		if ($SORT_ID == $SORT_ID_CHOOSE)
			$OPTION_TEXT .= " selected";
		$OPTION_TEXT .= ">" . $DEEP_COUNT1 . "─" . $SORT_NAME . "</option>\n";
		if ($SORT == 1 && $SORT_ID == $SORT_ID_CHOOSE)
			continue;
		if ($OPTION_TEXT_CHILD != "")
			$OPTION_TEXT .= $OPTION_TEXT_CHILD;
	} //while
	$DEEP_COUNT = $DEEP_COUNT1;
	return $OPTION_TEXT;
}

/**
 *生成公共文档新建选择树
 *@param string $SORT_ID_CHOOSE
 *@param string $FILE_SORT
 *@param string $PARENT_ID
 *@param string $LOGIN_DEPT_ID
 *@param string $LOGIN_USER_ID
 *@param string $SORT
 *@return unknown
 */
function getNoPurviewTree($SORT_ID_CHOOSE, $FILE_SORT, $PARENT_ID, $LOGIN_DEPT_ID, $LOGIN_USER_ID, $SORT) {
	global $DEEP_COUNT;
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	if ($DEEP_COUNT == "")
		$DEEP_COUNT = "|";
	
	$connection = OpenConnection ();
	if ($PARENT_ID == 0) {
		if ($FILE_SORT == 1)
			$query = "
				SELECT * from file_sort  
					WHERE SORT_PARENT=".SecurityFilter($PARENT_ID)." 
					and SORT_TYPE!='4' 
					order by FILE_SORTING DESC
				";
		else
			$query = "
				SELECT * from FILE_SORT
				where SORT_TYPE='4' 
				and USER_ID='$LOGIN_USER_ID' 
				and SORT_PARENT=".SecurityFilter($PARENT_ID)." 
				order by SORT_NAME
				 ";
	} else
		$query = "SELECT * from FILE_SORT where SORT_PARENT=".SecurityFilter($PARENT_ID)." order by SORT_NAME";
	$cursor = exequery ( $connection, $query );
	$OPTION_TEXT = "";
	$DEEP_COUNT1 = $DEEP_COUNT;
	$DEEP_COUNT .= "　|";
	$XML_TEXT = "";
	while ( $ROW = mysql_fetch_array ( $cursor ) ) {
		$SORT_ID = $ROW ["SORT_ID"];
		$SORT_NAME = $ROW ["SORT_NAME"];
		
		$SORT_NAME = str_replace ( "<", "&lt", $SORT_NAME );
		$SORT_NAME = str_replace ( ">", "&gt", $SORT_NAME );
		$SORT_NAME = stripslashes ( $SORT_NAME );
		
		$OPTION_TEXT_CHILD = getSortTree ( $SORT_ID_CHOOSE, $FILE_SORT, $SORT_ID, $LOGIN_DEPT_ID, $LOGIN_USER_ID, $SORT );
		
		$OPTION_TEXT .= "<option value=$SORT_ID";
		if ($SORT_ID == $SORT_ID_CHOOSE)
			$OPTION_TEXT .= " selected";
		$OPTION_TEXT .= ">" . $DEEP_COUNT1 . "─" . $SORT_NAME . "</option>\n";
		
		if ($SORT == 1 && $SORT_ID == $SORT_ID_CHOOSE)
			continue;
		
		if ($OPTION_TEXT_CHILD != "")
			$OPTION_TEXT .= $OPTION_TEXT_CHILD;
	
	} //while
	$DEEP_COUNT = $DEEP_COUNT1;
	return $OPTION_TEXT;
}

/**
 *用“,”拆开字符串组成数组
 *@param string $string  传入的字符串
 *@return array $tokens  返回的是经过","拆开的字符串数组
 */
function tokenizeQuoted($string) {
	for($tokens = array (), $nextToken = strtok ( $string, ',' ); $nextToken !== false; $nextToken = strtok ( ',' )) {
		$tokens [] = $nextToken;
	}
	return $tokens;
}

/**
 *权限选择多选框显示
 *@param string $THIS_ID    权限类型ID
 *@param string $THIS_NAME  权限类型名
 *@param string $THIS_TYPE  权限类型
 *@param string $SORT_ID    文档目录文件夹ID
 *@param string $COUNT      数目
 *@param string $TREE_INDEX
 */
function selectShow($THIS_ID, $THIS_NAME, $THIS_TYPE, $SORT_ID, $COUNT, $TREE_INDEX = 0) {
	global $connection;
	$THIS_MANAGE = $THIS_TYPE . '_MANAGE';
	$THIS_DOWN   = $THIS_TYPE . '_DOWN';
	$THIS_RE     = $THIS_TYPE . '_RE';
	$THIS_NEW    = $THIS_TYPE . '_NEW';
	$THIS_VIEW   = $THIS_TYPE . '_VIEW';
	if ($COUNT % 2 == 0) {
		$TableLine = 'tableline2';
	} else {
		$TableLine = 'tableline1';
	}
	$PRESTR = ',' . $THIS_ID . ',';
	$query  = "
				SELECT $THIS_MANAGE,$THIS_DOWN,$THIS_RE,$THIS_NEW,$THIS_VIEW FROM file_purview WHERE SORT_ID='" . SecurityFilter($SORT_ID) . "'
				";
	$rc = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $rc );
	$THIS_MANAGE = ',' . $ROW [$THIS_MANAGE];
	$THIS_DOWN   = ',' . $ROW [$THIS_DOWN];
	$THIS_RE     = ',' . $ROW [$THIS_RE];
	$THIS_NEW    = ',' . $ROW [$THIS_NEW];
	$THIS_VIEW   = ',' . $ROW [$THIS_VIEW];
	?>
	<tr class="<?=$TableLine?> tablelineclicktr" tablelineid="<?=$THIS_ID?>">
		<td>
			<span class="showDeptName" title="<?=$THIS_NAME?>" id="<?=$THIS_ID?>_name"><?=$THIS_NAME?></span>
		</td>
		<td nowrap width="85px">
			<input type="checkbox" id="<?=$THIS_ID?>_1" class='checkbox' name="checkbox_1" value="<?=$THIS_ID?>"
			<?
			if (strstr ( $THIS_MANAGE, $PRESTR )) {
				echo "checked=\"checkbox\"";
			}
			?>
			onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',1,'')"></input>
		</td>
		<td nowrap width="85px">
			<input type="checkbox" id="<?=$THIS_ID?>_2" class='checkbox' name="checkbox_2" value="<?=$THIS_ID?>"
			<?
			if (strstr ( $THIS_NEW, $PRESTR )) {
				echo "checked=\"checkbox\" ";
			}
			?>
			onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',2,'')"></input>
		</td>
		<td nowrap width="85px">
			<input type="checkbox" id="<?=$THIS_ID?>_6" class='checkbox' name="checkbox_6" value="<?=$THIS_ID?>"
			<?
			if (strstr ( $THIS_VIEW, $PRESTR )) {
				echo "checked=\"checkbox\"";
			}
			?>
			onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',6,'')"></input>
		</td>
		<td nowrap width="120px">
			<input type="checkbox" id="<?=$THIS_ID?>_3" class='checkbox' name="checkbox_3" value="<?=$THIS_ID?>"
			<?
			if (strstr ( $THIS_DOWN, $PRESTR )) {
				echo "checked=\"checkbox\" ";
			}
			?>
			onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',3,'')"></input>
		</td>
		<td nowrap width="85px">
			<input type="checkbox" id="<?=$THIS_ID?>_4" class='checkbox' name="checkbox_4" value="<?=$THIS_ID?>"
			<?
			if (strstr ( $THIS_RE, $PRESTR )) {
				echo "checked=\"checkbox\"";
			}
			?>
			onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',4,'')"></input>
		</td>
		<td nowrap width="80px">
			<input type="checkbox" id="<?=$THIS_ID?>_5" class='checkbox' name="checkbox_5"
			<?
			if (strstr ( $THIS_MANAGE, $PRESTR ) && strstr ( $THIS_DOWN, $PRESTR ) && strstr ( $THIS_RE, $PRESTR ) && strstr ( $THIS_NEW, $PRESTR ) && strstr ( $THIS_VIEW, $PRESTR )) {
				echo "checked=\"checkbox\"";
			}
			?>
			onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',5,'')"></input>
		</td>
	</tr>
<?
}
/**
 *新的权限选择多选框显示
 *@param string $info       有格式的数据数组
 *@param string $SORT_ID    文件夹ID
 *@param string $COUNT      总计数器
 *@param string $indexCount 层计数器
 */
function selectLineShow($info,$SORT_ID,$COUNT,$indexCount){
	global $connection;
	if (is_array($info)){
		echo "<UL class='ztree' id='tree_".$info[0]["parentid"]."_ul'>";
		$indexCount++;
		foreach ($info as $key=>$val){
			$COUNT++;
			$THIS_ID     = $val["id"];
			$THIS_NAME   = $val["DEPT_NAME"];
			$THIS_TYPE   = "DEPT";
			$THIS_MANAGE = $THIS_TYPE . '_MANAGE';
			$THIS_DOWN   = $THIS_TYPE . '_DOWN';
			$THIS_RE     = $THIS_TYPE . '_RE';
			$THIS_NEW    = $THIS_TYPE . '_NEW';
			$THIS_VIEW   = $THIS_TYPE . '_VIEW';
			if ($COUNT % 2 == 0) {
				$TableLine = 'tableline2';
			} else {
				$TableLine = 'tableline1';
			}
			$PRESTR = ',' . $THIS_ID . ',';
			$query  = "
						SELECT $THIS_MANAGE,$THIS_DOWN,$THIS_RE,$THIS_NEW,".SecurityFilter($THIS_VIEW)." FROM file_purview WHERE SORT_ID='" . SecurityFilter($SORT_ID) . "'
						";
			$rc = exequery ( $connection, $query );
			$ROW = mysql_fetch_array ( $rc );
			$THIS_MANAGE = ',' . $ROW[$THIS_MANAGE];
			$THIS_DOWN   = ',' . $ROW[$THIS_DOWN];
			$THIS_RE     = ',' . $ROW[$THIS_RE];
			$THIS_NEW    = ',' . $ROW[$THIS_NEW];
			$THIS_VIEW   = ',' . $ROW[$THIS_VIEW];
			?>
			<li>
			<table width="100%" border="0" style="" cellspacing="0" cellpadding="0">
				<tr class="<?=$TableLine?>" tablelineid="<?=$THIS_ID?>">
					<td>&nbsp;
						<span style="padding-left:<?=($indexCount-1) * 14?>px" id="<?=$THIS_ID?>_name" ></span>
						<?
						if ($THIS_TYPE == 'DEPT' && $val["child"]) {
							?>
								<span class="button switch center_open" id="tree_<?=$THIS_ID?>_switch"></span>
							<?
						}
						else
						{
							?>
								<span class="button switch center_docu" id="tree_<?=$THIS_ID?>_switch"></span>
							<?
						}
						?>
						<span class="showDeptName" title="<?=$THIS_NAME?>"><?=$THIS_NAME?></span>
					</td>
					<td nowrap width="85px">
						<input type="checkbox" id="<?=$THIS_ID?>_1" class='checkbox' name="checkbox_1" value="<?=$THIS_ID?>"
						<?
						if (strstr ( $THIS_MANAGE, $PRESTR )) {
							echo "checked=\"checkbox\"";
						}
						?>
						onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',1,'')"></input>
					</td>
					<td nowrap width="85px">
						<input type="checkbox" id="<?=$THIS_ID?>_2" class='checkbox' name="checkbox_2" value="<?=$THIS_ID?>"
						<?
						if (strstr ( $THIS_NEW, $PRESTR )) {
							echo "checked=\"checkbox\" ";
						}
						?>
						onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',2,'')"></input>
					</td>
					<td nowrap width="85px">
						<input type="checkbox" id="<?=$THIS_ID?>_6" class='checkbox' name="checkbox_6" value="<?=$THIS_ID?>"
						<?
						if (strstr ( $THIS_VIEW, $PRESTR )) {
							echo "checked=\"checkbox\"";
						}
						?>
						onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',6,'')"></input>
					</td>
					<td nowrap width="120px">
						<input type="checkbox" id="<?=$THIS_ID?>_3" class='checkbox' name="checkbox_3" value="<?=$THIS_ID?>"
						<?
						if (strstr ( $THIS_DOWN, $PRESTR )) {
							echo "checked=\"checkbox\" ";
						}
						?>
						onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',3,'')"></input>
					</td>
					<td nowrap width="85px">
						<input type="checkbox" id="<?=$THIS_ID?>_4" class='checkbox' name="checkbox_4" value="<?=$THIS_ID?>"
						<?
						if (strstr ( $THIS_RE, $PRESTR )) {
							echo "checked=\"checkbox\"";
						}
						?>
						onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',4,'')"></input>
					</td>
					<td nowrap width="80px">
						<input type="checkbox" id="<?=$THIS_ID?>_5" class='checkbox' name="checkbox_5"
						<?
						if (strstr ( $THIS_MANAGE, $PRESTR ) && strstr ( $THIS_DOWN, $PRESTR ) && strstr ( $THIS_RE, $PRESTR ) && strstr ( $THIS_NEW, $PRESTR ) && strstr ( $THIS_VIEW, $PRESTR )) {
							echo "checked=\"checkbox\"";
						}
						?>
						onclick="sendThisData('<?=$THIS_ID?>','<?=$THIS_TYPE?>',5,'')"></input>
					</td>
				</tr>
			</table>
			<?
			if($val["child"])
			{
				selectLineShow($val["child"],$SORT_ID,$COUNT,$indexCount);
			}
			echo "</li>";
		}
		echo "</UL>";
	}
}
/**
 *顶部选择框
 *@param string $SORT_ID   文档目录文件夹ID
 *@param string $THIS_TYPE 权限类型
 */
function selectTopShow($SORT_ID, $THIS_TYPE) {
	global $connection, $_lang;
	$THIS_TYPE = SecurityFilter($THIS_TYPE);
	$THIS_MANAGE = $THIS_TYPE . '_MANAGE';
	$THIS_DOWN   = $THIS_TYPE . '_DOWN';
	$THIS_RE     = $THIS_TYPE . '_RE';
	$THIS_NEW    = $THIS_TYPE . '_NEW';
	$THIS_VIEW   = $THIS_TYPE . '_VIEW';
	$query = "
			SELECT SORT_TYPE,$THIS_MANAGE,$THIS_DOWN,$THIS_RE,$THIS_NEW,$THIS_VIEW FROM file_purview WHERE SORT_ID='" . SecurityFilter($SORT_ID) . "'
			";
	$rc = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $rc );
	$THIS_MANAGE = $ROW [$THIS_MANAGE];
	$THIS_DOWN   = $ROW [$THIS_DOWN];
	$THIS_RE     = $ROW [$THIS_RE];
	$THIS_NEW    = $ROW [$THIS_NEW];
	$THIS_VIEW   = $ROW [$THIS_VIEW];
	if ($THIS_TYPE == 'DEPT') {
		$query = "
				SELECT DEPT_ID FROM department 
				";
		$cursor = exequery ( $connection, $query );
		while ( $ROW = mysql_fetch_array ( $cursor ) ) {
			$ALL_THIS_ID .= $ROW ['DEPT_ID'] . ',';
		}
	}
	if ($THIS_TYPE == 'PRIV') {
		$query = "
				SELECT USER_PRIV FROM user_priv 
				";
		$cursor = exequery ( $connection, $query );
		while ( $ROW = mysql_fetch_array ( $cursor ) ) {
			$ALL_THIS_ID .= $ROW ['USER_PRIV'] . ',';
		}
	}
	if ($THIS_TYPE == 'USER') {
		$query = "
				SELECT USER_ID FROM user 
					WHERE DEPT_ID<>-1
					AND DEPT_ID<>0
				";
		$cursor = exequery ( $connection, $query );
		while ( $ROW = mysql_fetch_array ( $cursor ) ) {
			$ALL_THIS_ID .= $ROW ['USER_ID'] . ',';
		}
	}
	$THIS_ALL_SEND = substr ( $ALL_THIS_ID, 0, - 1 );
	?>
		<div style="float:left;"><input type="checkbox" id="col_1" class='checkbox' name="checkbox_1"
		<?
		if (strlen ( $THIS_MANAGE ) == strlen ( $ALL_THIS_ID )) {
			echo "checked=\"checkbox\"";
		}
		?>
		onclick="sendThisData('<?=$THIS_ALL_SEND?>','<?=$THIS_TYPE?>',1,6);"></div><div style="float:left;width:50px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title=""><?=$_lang ["system_doc_manage_pur"]?></div>
	</td>
	<td nowrap width="85px">
		<div style="float:left;"><input type="checkbox" id="col_2" class='checkbox' name="checkbox_2"
		<?
		if (strlen ( $THIS_NEW ) == strlen ( $ALL_THIS_ID )) {
			echo "checked=\"checkbox\"";
		}
		?>
		onclick="sendThisData('<?=$THIS_ALL_SEND?>','<?=$THIS_TYPE?>',2,6);"></div><div style="float:left;width:50px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="<?=$_lang ["system_doc_new_pur"]?>"><?=$_lang ["system_doc_new_pur"]?></div>
	</td>
	<td nowrap width="85px">
		<div style="float:left;"><input type="checkbox" id="col_6" class='checkbox' name="checkbox_6"
		<?
		if (strlen ( $THIS_VIEW ) == strlen ( $ALL_THIS_ID )) {
			echo "checked=\"checkbox\"";
		}
		?>
		onclick="sendThisData('<?=$THIS_ALL_SEND?>','<?=$THIS_TYPE?>',6,6);"></div><div style="float:left;width:50px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="<?=$_lang ["system_view_pur"]?>"><?=$_lang ["system_view_pur"]?></div>
	</td>
	<td nowrap width="120px">
		<div style="float:left;"><input type="checkbox" id="col_3" class='checkbox' name="checkbox_3"
		<?
		if (strlen ( $THIS_DOWN ) == strlen ( $ALL_THIS_ID )) {
			echo "checked=\"checkbox\"";
		}
		?>
		onclick="sendThisData('<?=$THIS_ALL_SEND?>','<?=$THIS_TYPE?>',3,6);"></div><div style="float:left;width:80px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="<?=$_lang ["system_doc_down_pur"]?>"><?=$_lang ["system_doc_down_pur"]?></div>
	</td>
	<td nowrap width="85px">
		<div style="float:left;"><input type="checkbox" id="col_4" class='checkbox' name="checkbox_4"
		<?
		if (strlen ( $THIS_RE ) == strlen ( $ALL_THIS_ID )) {
			echo "checked=\"checkbox\"";
		}
		?>
		onclick="sendThisData('<?=$THIS_ALL_SEND?>','<?=$THIS_TYPE?>',4,6);"></div><div style="float:left;width:50px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="<?=$_lang ["system_doc_re_pur"]?>"><?=$_lang ["system_doc_re_pur"]?></div>
	</td>
	<td nowrap width="80px">
		<div style="float:left;"><input type="checkbox" id="col_5" class='checkbox' name="checkbox_5"
		<?
		if (strlen ( $THIS_MANAGE ) == strlen ( $ALL_THIS_ID ) && strlen ( $THIS_NEW ) == strlen ( $ALL_THIS_ID ) && strlen ( $THIS_VIEW ) == strlen ( $ALL_THIS_ID ) && strlen ( $THIS_DOWN ) == strlen ( $ALL_THIS_ID ) && strlen ( $THIS_RE ) == strlen ( $ALL_THIS_ID )) {
			echo "checked=\"checkbox\"";
		}
		?>
		onclick="sendThisData('<?=$THIS_ALL_SEND?>','<?=$THIS_TYPE?>',5,7);"></div><div style="float:left;width:40px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="<?=$_lang ["common_selectall"]?>"><?=$_lang ["common_selectall"]?></div>

<?
}

/**
 *文档操作权限
 *@param string $SOME_PUR     某种权限(包括管理，下载和打印以及回复等)
 *@param string $THIS_ID      文档目录文件夹ID
 *@return string  true/false  返回true表示有操作权限，返回false表示没有操作权限
 */
function opinionPurview($SOME_PUR, $THIS_ID) {
	global $connection;
	$SOME_PUR = SecurityFilter($SOME_PUR);
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	$query = "
			SELECT SORT_ID  FROM file_purview WHERE SORT_ID = '" . SecurityFilter($THIS_ID) . "' 
				and(
					(INStr(DEPT_$SOME_PUR,',$LOGIN_DEPT_ID,')>0 or INStr(DEPT_$SOME_PUR,'$LOGIN_DEPT_ID,')=1)
					or
					(INStr(PRIV_$SOME_PUR,',$LOGIN_PRIV_ID,')>0 or INStr(PRIV_$SOME_PUR,'$LOGIN_PRIV_ID,')=1)
					or
					(INStr(USER_$SOME_PUR,',$LOGIN_USER_ID,')>0 or INStr(USER_$SOME_PUR,'$LOGIN_USER_ID,')=1))
			";
	$cursor = exequery ( $connection, $query );
	if (mysql_fetch_array ( $cursor )) {
		return true;
	} else {
		return false;
	}
}
/**
 *验证文档共享权限
 *@param string $CONTENT_ID    文档ID
 *@param string $FILE_TYPE     文档类型
  *@param string $USER_ID      当前登录用户名
 *@return string  true/false  返回true表示有权限，返回false表示没有权限
 */
function checkSharePurview($CONTENT_ID,$FILE_TYPE,$USER_ID="") {
	global $connection;
	if($USER_ID=="")
	{
		$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
		$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
		$LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	}
	else
	{
		$LOGIN_USER_ID = $USER_ID;
		$sql    = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
		$rs     = exequery($connection,$sql);
		$row    = mysql_fetch_array($rs);
		$LOGIN_DEPT_ID = $row["DEPT_ID"];
		$LOGIN_PRIV_ID = $row["USER_PRIV"];
	}
	$query = "
			SELECT * FROM  file_content 
				WHERE 1
				-- FILE_TYPE = '".SecurityFilter($FILE_TYPE)."' 
				AND (USER_ID!='$LOGIN_USER_ID')
				AND ( 
					SHARE_DEPT='dept_all'
					OR
					(INStr(SHARE_DEPT,',$LOGIN_DEPT_ID,')>0 or INStr(SHARE_DEPT,'$LOGIN_DEPT_ID,')=1) 
					OR
					(INStr(SHARE_PRIV,',$LOGIN_USER_PRIV,')>0 or INStr(SHARE_PRIV,'$LOGIN_USER_PRIV,')=1)
					OR 
					(INStr(SHARE_USER,',$LOGIN_USER_ID,')>0 or INStr(SHARE_USER,'$LOGIN_USER_ID,')=1)
					)
				AND CONTENT_ID = '".SecurityFilter($CONTENT_ID)."'
			";
	$cursor = exequery ( $connection, $query );
	if (mysql_fetch_array ( $cursor )) {
		return true;
	} else {
		return false;
	}
}
/**
 *获取文档数量
 *@param string $SORT_ID      文档目录文件夹ID
 *@return string $all_new_str 返回文档的数量
 */
function getCountDoc($SORT_ID) {
	global $connection, $FILE_READ_ALL;
	$ALLREADPUR = $FILE_READ_ALL;
	//==得到下级有权文件夹
	$DOWN_PATH_PURVIEW = $SORT_ID . ',' . getDownPath ( $SORT_ID );
	$DOWN_PATH_PURVIEW = substr ( $DOWN_PATH_PURVIEW, 0, - 1 );
	//有权查看下级目录
	$DOWN_PURVIEW_PUBLIC = getDownReadPathPublic ( $SORT_ID );
	$HAVE_PATH_PURVIEW = trim($DOWN_PURVIEW_PUBLIC,",");
	if ($FILE_PATH_PURVIEW == '') {
		$FILE_PATH_PURVIEW = 0;
	}
	if ($DOWN_PATH_PURVIEW == '') {
		$DOWN_PATH_PURVIEW = 0;
	}
	if ($HAVE_PATH_PURVIEW == '') {
		$HAVE_PATH_PURVIEW = 0;
	}
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_USER_PRIV = $_SESSION ['LOGIN_USER_PRIV'];
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	$count_new = 0;
	$count_all = 0;
	//日志记录时间
	$sql_min = "
			SELECT min(OPERATION_DATE) as MINTIME FROM sys_op_log 
				WHERE TABLE_NAME ='file_content'
			";
	$res_min = exequery ( $connection, $sql_min );
	$ROWMIN = mysql_fetch_array ( $res_min );
	$LOG_MIN_TIME = $ROWMIN ['MINTIME'];
	$query = "
			 CREATE VIEW view_have (VIEW_ID,VIEW_TIME) AS SELECT  CONTENT_ID,SEND_TIME from FILE_CONTENT 
			 WHERE (SORT_ID IN ($HAVE_PATH_PURVIEW))
				OR (
					1
					-- FILE_TYPE=1
					and(SHARE_DEPT = 'dept_all'
						OR
					    (INStr(SHARE_DEPT,',$LOGIN_DEPT_ID,')>0 or INStr(SHARE_DEPT,'$LOGIN_DEPT_ID,')=1) 
					    OR
					    (INStr(SHARE_PRIV,',$LOGIN_USER_PRIV,')>0 or INStr(SHARE_PRIV,'$LOGIN_USER_PRIV,')=1)
					    OR 
					    (INStr(SHARE_USER,',$LOGIN_USER_ID,')>0 or INStr(SHARE_USER,'$LOGIN_USER_ID,')=1)
					    OR USER_ID = '" . SecurityFilter($LOGIN_USER_ID) . "'
					    )
					and (SORT_ID IN ($DOWN_PATH_PURVIEW)))
			";
	exequery ( $connection, $query );

	$query_a = "
			SELECT COUNT(*)AS CNT_A FROM view_have 
			";
	$cs_a = exequery ( $connection, $query_a );
	$row_a = mysql_fetch_array ( $cs_a );
	$CNT_A = $row_a ['CNT_A'];
	$query_b = "
			SELECT COUNT(*)AS CNT_B FROM view_have WHERE VIEW_TIME>='".SecurityFilter($LOG_MIN_TIME)."'
			";
	$cs_b = exequery ( $connection, $query_b );
	$row_b = mysql_fetch_array ( $cs_b );
	$CNT_B = $row_b ['CNT_B'];
	//未阅读的文档数量
	$query_h = "CREATE VIEW view_read (VIEW_MAX) AS  SELECT MAX(SOL.OPERATION_TYPE) from view_have as FC,sys_op_log AS SOL ";
	$query_h .= " 
		WHERE FC.VIEW_ID = SOL.SEQ_ID
			AND FC.VIEW_TIME>='".SecurityFilter($LOG_MIN_TIME)."'
			AND SOL.TABLE_NAME ='file_content'
			AND SOL.USER_ID = '" . $_SESSION ["LOGIN_USER_ID"] . "'
			GROUP BY SOL.SEQ_ID 
		";
	exequery ( $connection, $query_h );
	//得到已经查看的文档数量
	$query_r = "
			SELECT COUNT(*)AS CNT_R FROM view_read 
			";
	$cs_r = exequery ( $connection, $query_r );
	$row_r = mysql_fetch_array ( $cs_r );
	$CNT_R = $row_r ['CNT_R'];
	//删除视图表
	$query_d = "
			DROP VIEW IF EXISTS view_read
			";
	exequery ( $connection, $query_d );
	$query_dl = "
			DROP VIEW IF EXISTS view_have
			";
	exequery ( $connection, $query_dl );
	$count_new = $CNT_B - $CNT_R;
	$count_all = $CNT_A;
	if ($count_new != '0') {
		$all_new_str = '(' . $count_new . '&nbsp;<IMG SRC="/images/newred.png" BORDER="0" >&nbsp;' . '/' . $count_all . ')';
	} else {
		$all_new_str = '(' . $count_new . '/' . $count_all . ')';
	}
	return $all_new_str;
}

/**
 * 判断共享文档是否可以下载附件
 * @return true_可以, false_不可以
 */
function IsShareFileCanDownload() {
	global $connection;
	$query = "SELECT * FROM sharefileset";
	$result = exequery ( $connection, $query );
	while ( $row = mysql_fetch_array ( $result ) ) {
		$IS_CAN_DOWNLOAD = $row ['IS_CAN_DOWNLOAD'];
	}
	if ($IS_CAN_DOWNLOAD == "1") {
		return true;
	} else {
		return false;
	}
}

/**
 * 根据文档获取文档类型
 * @param string $FileID 文档类型
 */
function GetFileTypeByID($FileID) {
	global $connection;
	$query = "SELECT FILE_TYPE FROM file_content where CONTENT_ID='" . SecurityFilter($FileID) . "'";
	$result = exequery ( $connection, $query );
	if ($row = mysql_fetch_array ( $result )) {
		return $row ["FILE_TYPE"];
	} else {
		return "";
	}
}

/**
 *获取附件
 *@param string $ATTACHMENT_ID    附件ID
 *@param string $ATTACHMENT_NAME  附件名
 *@param string $CONTENT_ID       文档ID
 *@param string $SORT_ID          文档目录文件夹ID
 *@param string $USER_ID          用户ID
 *@param string $ATTACH_TYPE      附件类型
 *@return string $at_img_title    返回附件的信息
 */
 function getAttachment($ATTACHMENT_ID,$ATTACHMENT_NAME, $CONTENT_ID, $SORT_ID, $USER_ID, $ATTACH_TYPE = ''){
	global $_lang, $connection, $ATTACH_PATH;
	$fileType = GetFileTypeByID ( $CONTENT_ID );
	$query = "SELECT * FROM file_content WHERE CONTENT_ID=".SecurityFilter($CONTENT_ID)."";
	$rs = exequery ( $connection, $query );
	$row = mysql_fetch_array ( $rs );
	$create = $row ["USER_ID"];
	
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_USER_PRIV = $_SESSION ['LOGIN_USER_PRIV'];
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	
	//公共文档共享
	$query_s = "
				SELECT COUNT(*) as CNT2	 FROM file_content   
					WHERE CONTENT_ID=".SecurityFilter($CONTENT_ID)."
					AND(SHARE_DEPT='dept_all'
						OR((INStr(SHARE_DEPT,',$LOGIN_DEPT_ID,')>0 OR INStr(SHARE_DEPT,'$LOGIN_DEPT_ID,')=1) 
							OR
							(INStr(SHARE_PRIV,',$LOGIN_USER_PRIV,')>0 OR INStr(SHARE_PRIV,'$LOGIN_USER_PRIV,')=1)
							OR 
							(INStr(SHARE_USER,',$LOGIN_USER_ID,')>0 OR INStr(SHARE_USER,'$LOGIN_USER_ID,')=1)))					
			  ";
	$cursor = exequery ( $connection, $query_s );
	$ROW_S = mysql_fetch_array ( $cursor );
	$CNT2 = $ROW_S ["CNT2"];

	$attachment_id_array      = explode(",",$ATTACHMENT_ID);
	$attachment_name_array    = explode("*",$ATTACHMENT_NAME);
	if ($ATTACHMENT_ID!= ''){
		unset($at_img_title);
		$at_nm_count = sizeof($attachment_name_array);
		$at_nm_amount = 0 ; //attachment total
		while(list($key,$var) = each($attachment_name_array)){
			$at_nm_amount++;
			if ($var != ''){
				$am_size = attach_size($attachment_id_array[$key],$attachment_name_array[$key]);
				if ($am_size <= 1024){
					$am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".$am_size.'B</span>';
				}
				if ($am_size > 1024){
					$am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".round($am_size/1024,2).'K</span>';
				}
				if ($am_size >= 1024*1024){
					$am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".round($am_size/(1024*1024),2).'M</span>';
				}
				$ATTACH_I_CLASS = fileTypeToFontIcon($var);
				$imgicon = "<div style='float:left;margin-top:6px;margin-left:3px;height:30px;'><i class='fa ".$ATTACH_I_CLASS." fa-2x' style='color:#3276b1;'></i></div>";
				$filesuffix = getFileSuffix($var);
				$var_nofix  = substr($var,0,strrpos($var,"."));
				$subvar = substrGB($var_nofix,20,'...').".".$filesuffix;
				$subvar = "<div style='float:left;margin-left:3px;' title='".$var_nofix."'>".$subvar."</div>";
				$ehash = $attachment_id_array[$key]*3+2;
				$ehash_1 = $attachment_id_array[$key];//附件id
				$ename = $attachment_name_array[$key];
				$ename = urlencode($ename);
				//word文档
				if (isOfficeOfFile($var))
				{
					//打印权限（修改前$CNT2!=0,即可以下载，修改后为$CNT@==0才可以下载）
					if (opinionPurview ( 'DOWN', $SORT_ID ) || opinionPurview ( 'MANAGE', $SORT_ID ) || $_SESSION ['LOGIN_USER_ID'] == $USER_ID || ($CNT2 == 0 && $LOGIN_USER_ID == $create)) {
						$print_pur = 'print';
					} else {
						$print_pur = 'shield';
					}
					$js_cnt = $doc_count . $at_nm_amount;
					$doc_office ++;
					$strvar ="
					<span id=\"$ehash_1\">
						<div style='border:0px red solid;line-height:35px;border-bottom:1px #ECECEC solid;'>
							$imgicon
							$subvar
							$am_size_str&nbsp;&nbsp;&nbsp;";
					$strvar .="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/iWebOffice/DocumentEdit.php?PRINT_PUR=$print_pur&RecordID=$CONTENT_ID&EditType=0&UserName=$LOGIN_USER_ID;&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\" >" . $_lang ['common_read'] . "</span>";
					$strvar .="&nbsp;&nbsp;";
					//文档是共享文档，并且设置了自动赋予下载权限的时候则可以下载文件,个人共享文档可以直接下载
					if (opinionPurview ( 'MANAGE', $SORT_ID ) || opinionPurview ( 'DOWN', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID || ($CNT2 == 0 && $LOGIN_USER_ID == $create) || $fileType == 2 || ($CNT2 > 0 && IsShareFileCanDownload () == 1)) {
						$strvar .="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"location='/inc/attach.php?OP=1&ATTACHMENT_NAME=$ename&ATTACHMENT_ID=$ehash'\" >".$_lang['common_down']."</span>";
						$strvar .="&nbsp;&nbsp;";
					}
					if ($ATTACH_TYPE != 'feedback' && (opinionPurview ( 'MANAGE', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID)) {
						$strvar .="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/iWebOffice/DocumentEdit.php?RecordID=$CONTENT_ID&EditType=2&UserName=$LOGIN_USER_ID&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\">".$_lang["common_edit"]."</span>";
						$strvar .="&nbsp;&nbsp;";
					}
					//附件不存在时，只显示删除按钮(如果有权限)
					if ($ATTACH_TYPE != 'feedback' && (opinionPurview ( 'MANAGE', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID)) {
						$strvar .="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' id='span3' class=\"linktextOp\" onClick=\"deleteAttach('$ehash_1','$ename','$CONTENT_ID','$SORT_ID','$ATTACH_TYPE');\">".$_lang['common_del']."</span>";
					}
					$strvar.="</div></span>";
				}
				else if ($filesuffix == 'pdf') {
					$strvar ="
					<span id=\"$ehash_1\">
						<div style='border:0px red solid;line-height:35px;border-bottom:1px #ECECEC solid;'>
							$imgicon
							$subvar
							$am_size_str&nbsp;&nbsp;&nbsp;";
					$strvar.="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');\" >" . $_lang ["common_read"] . "</span>";
					$strvar .="&nbsp;&nbsp;";
					if (opinionPurview ( 'MANAGE', $SORT_ID ) || opinionPurview ( 'DOWN', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID || ($CNT2 == 0 && $LOGIN_USER_ID == $create) || $fileType == 2 || ($CNT2 > 0 && IsShareFileCanDownload () == 1)) {
						$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"location='/inc/attach.php?OP=1&ATTACHMENT_NAME=$ename&ATTACHMENT_ID=$ehash'\" >" . $_lang ['common_down'] . "</span>";
						$strvar .="&nbsp;&nbsp;";
					}
					if ($ATTACH_TYPE != 'feedback' && (opinionPurview ( 'MANAGE', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID)) {
						$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' id='span3' class=\"linktextOp\" onClick=\"deleteAttach('$ehash_1','$ename','$CONTENT_ID','$SORT_ID','$ATTACH_TYPE');\">".$_lang ['common_del'] . "</span>";
					}
					$strvar.="</div></span>";
				}
				else
				{
					if($filesuffix=='jpg'||$filesuffix=='bmp'||$filesuffix=='gif'||$filesuffix=='png'||$filesuffix=='wmv'||$filesuffix=='html'||$filesuffix=='htm'||$filesuffix=='wav'||$filesuffix=='pdf'||$filesuffix=='mid'||$filesuffix=='swf'){
						$optype=0;
						if($filesuffix=='mid'||$filesuffix=='swf'){
							$buttontitle=$_lang["common_play"];
						} else {
							$buttontitle=$_lang["common_view"];
						}
						$strvar = "
						<span id=\"$ehash_1\">
							<div style='border:0px red solid;line-height:35px;border-bottom:1px #ECECEC solid;'>
							$imgicon
							$subvar
							$am_size_str&nbsp;&nbsp;&nbsp;";
						$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');\">$buttontitle</span>";
						$strvar .= "&nbsp;&nbsp;";
						if (opinionPurview ( 'MANAGE', $SORT_ID ) || opinionPurview ( 'DOWN', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID || ($CNT2 == 0 && $LOGIN_USER_ID == $create) || $fileType == 2 || ($CNT2 > 0 && IsShareFileCanDownload () == 1)) {
							$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"location='/inc/attach.php?OP=1&ATTACHMENT_NAME=$ename&ATTACHMENT_ID=$ehash'\" >" . $_lang ['common_down'] . "</span>";
							$strvar .= "&nbsp;&nbsp;";
						}
						if ($ATTACH_TYPE != 'feedback' && (opinionPurview ( 'MANAGE', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID)) {
							$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' id='span3' class=\"linktextOp\" onClick=\"deleteAttach('$ehash_1','$ename','$CONTENT_ID','$SORT_ID','$ATTACH_TYPE');\">".$_lang ['common_del'] . "</span>";
						}
						$strvar.="</div></span>";
					}
					else
					{
						$optype=1;
						$buttontitle=$_lang["common_down"];
						$strvar = "
							<span id=\"$ehash_1\" >
								<div style='border:0px red solid;line-height:35px;border-bottom:1px #ECECEC solid;'>
								$imgicon
								$subvar
								$am_size_str&nbsp;&nbsp;&nbsp;";
						if (opinionPurview ( 'DOWN', $SORT_ID ) || opinionPurview ( 'MANAGE', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID || $ATTACH_TYPE == 'feedback' || ($CNT2 == 0 && $LOGIN_USER_ID == $create) || $fileType == 2 || ($CNT2 > 0 && IsShareFileCanDownload () == 1)) {
							$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.location='/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1';\">$buttontitle</span>&nbsp;&nbsp;";
						}
						if ($ATTACH_TYPE != 'feedback' && (opinionPurview ( 'MANAGE', $SORT_ID ) || $LOGIN_USER_ID == $USER_ID)) {
							$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' id='span3' class=\"linktextOp\" onClick=\"deleteAttach('$ehash_1','$ename','$CONTENT_ID','$SORT_ID','$ATTACH_TYPE');\">".$_lang ['common_del'] . "</span>";
						}
						$strvar.="</div></span>";
					}
				}
				//if ($at_nm_amount == $at_nm_count){
					$at_img_title .=$strvar;
				//}
				//else{
					//$at_img_title .=$strvar."";
				//}
			}
		}
	}
	return $at_img_title;

}

/**
 *回复数量
 *@param string $CONTENT_ID  文档的ID
 *@param string $SORT_ID     文档目录文件夹的ID
 *@return string $re_str     返回文档的回复数量
 */
function getReCountStr($CONTENT_ID, $SORT_ID) {
	global $connection;
	$query = "
				SELECT COUNT(CONTENT_ID) as CNT FROM file_revert WHERE CONTENT_ID = " . SecurityFilter($CONTENT_ID) . "
				";
	$cursor = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $cursor );
	$RE_COUNT = $ROW ['CNT'];
	//浏览量包含自己的阅读
	$query_read = "
				SELECT COUNT(*) as VIEW_COUNT FROM sys_op_log WHERE SEQ_ID ='" . SecurityFilter($CONTENT_ID) . "' 
					and TABLE_NAME = 'file_content'
							and OPERATION_TYPE=3
				";
	$cs = exequery ( $connection, $query_read );
	$ROW_READ = mysql_fetch_array ( $cs );
	$VIEW_COUNT = $ROW_READ ['VIEW_COUNT'];
	//echo $query_read;
	//判断日志表里面有没有此文档的日志
	//最后一次察看文档日志时间
	/*$sql = "
				SELECT max(OPERATION_DATE) as MAXTIME FROM sys_op_log WHERE SEQ_ID = '".$CONTENT_ID."' and USER_ID = '".$_SESSION["LOGIN_USER_ID"]."' and OPERATION_TYPE = 3
					and TABLE_NAME ='file_content'
				";
		$res = exequery($connection,$sql);
		$ROW1 = mysql_fetch_array($res);
		$LOG_TIME = $ROW1['MAXTIME'];

		if($LOG_TIME==''){
				//日志开始记录时间
			   $sql = "
					SELECT min(OPERATION_DATE) as MINTIME FROM sys_op_log 
						WHERE TABLE_NAME ='file_content'
						";
				$res = exequery($connection,$sql);
				$ROW1 = mysql_fetch_array($res);
				$LOG_TIME = $ROW1['MINTIME'];
			}
			//ECHO $sql;
			//没有查看日志
			$query1 = "
					SELECT COUNT(CONTENT_ID) as CNT1 FROM file_revert 
						WHERE CONTENT_ID = '".$CONTENT_ID."' 
							and RE_TIME > '$LOG_TIME'
								and USER_ID!='".$_SESSION["LOGIN_USER_ID"]."'
					";										 
			$cursor1 = exequery($connection,$query1);
			$ROW2 = mysql_fetch_array($cursor1);
			$RE_NEW_COUNT = $ROW2['CNT1'];
			//$RE_NEW_COUNT = $RE_NEW_COUNT."<IMG SRC=\"/images/newred.gif\">" ;
			
			if($RE_NEW_COUNT==0){
			$re_str="(<span style='color:#666666;cursor:hand;' onclick=\"revertEvent($CONTENT_ID,$SORT_ID)\">$RE_NEW_COUNT &nbsp;</span>/<span class='linkdivOp' onclick=\"revertEvent($CONTENT_ID,$SORT_ID)\">$RE_COUNT &nbsp;</span>/<span onclick=\"documentLogShow('$CONTENT_ID')\" style='cursor:hand;'>$VIEW_COUNT</span>)";
			}else{
			$re_str="(<span style='color:red;cursor:hand' onclick=\"revertEvent($CONTENT_ID,$SORT_ID)\">$RE_NEW_COUNT &nbsp;</span>/<span class='linkdivOp' onclick=\"revertEvent($CONTENT_ID,$SORT_ID)\">$RE_COUNT &nbsp;</span>/<span onclick=\"documentLogShow('$CONTENT_ID')\" style='cursor:hand;'>$VIEW_COUNT</span>)";

			}*/
	$re_str = "(<span class='linkdivOp' onclick=\"revertEvent($CONTENT_ID,$SORT_ID)\">$RE_COUNT</span>/<span onclick=\"documentLogShow('$CONTENT_ID')\" style='cursor:hand;'>$VIEW_COUNT</span>)";
	return $re_str;
}
/**
 *判断是否共享
 *@param string $CONTENT_ID 文档的ID
 *@return bool true/false   返回true表示共享，返回false表示不共享
 */
function docShareState($CONTENT_ID) {
	global $connection;
	$query = "
			SELECT * FROM file_content where CONTENT_ID = ".SecurityFilter($CONTENT_ID)."
			";
	$res = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $res );
	$DEPT_ID_SHARE = $ROW ['SHARE_DEPT'];
	$PRIV_ID_SHARE = $ROW ['SHARE_PRIV'];
	$USER_ID_SHARE = $ROW ['SHARE_USER'];
	if ($DEPT_ID_SHARE != '' || $PRIV_ID_SHARE != '' || $USER_ID_SHARE != '') {
		return true;
	} else {
		return false;
	}
}

/**
 *匹配权限
 *@param string $SORT_ID    文档目录的文件夹ID
 *@param string $this_com   
 *@param string $send_str  
 *@param string $type       
 */
function pregPurview($SORT_ID, $this_com, $send_str, $type) {
	global $connection;
	$this_com = "," . $this_com . ",";
	$send_com = "," . $send_str;
	$type = SecurityFilter($type);
	$feild_1 = $type . "_MANAGE";
	$feild_2 = $type . "_NEW";
	$feild_3 = $type . "_DOWN";
	$feild_4 = $type . "_RE";
	if (! strstr ( $send_com, $this_com )) {
		$query = "
					SELECT $feild_1,$feild_2,$feild_3,$feild_4 FROM `file_purview`
						WHERE SORT_ID = ".SecurityFilter($SORT_ID)."
					";
		$result = exequery ( $connection, $query );
		$ROW = mysql_fetch_array ( $result );
		$feild_1_v = $ROW [$feild_1];
		$feild_2_v = $ROW [$feild_2];
		$feild_3_v = $ROW [$feild_3];
		$feild_4_v = $ROW [$feild_4];
		if ($feild_1_v != '') {
			$feild_1_v = "," . $feild_1_v;
			if (strstr ( $feild_1_v, $this_com )) {
				$update_manage = str_replace ( $this_com, ",", $feild_1_v );
				$update_manage = substr ( $update_manage, 1 );
				$query = "
							UPDATE `file_purview` SET $feild_1 = '".SecurityFilter($update_manage)."'
								WHERE SORT_ID = ".SecurityFilter($SORT_ID)."
							";
				$cursor = exequery ( $connection, $query );
			}
		}
		if ($feild_2_v != '') {
			$feild_2_v = "," . $feild_2_v;
			if (strstr ( $feild_2_v, $this_com )) {
				$update_new = str_replace ( $this_com, ",", $feild_2_v );
				$update_new = substr ( $update_new, 1 );
				$query = "
							UPDATE `file_purview` SET $feild_2 = '".SecurityFilter($update_new)."'
								WHERE SORT_ID = ".SecurityFilter($SORT_ID)."
							";
				$cursor = exequery ( $connection, $query );
			}
		}
		if ($feild_3_v != '') {
			$feild_3_v = "," . $feild_3_v;
			if (strstr ( $feild_3_v, $this_com )) {
				$update_down = str_replace ( $this_com, ",", $feild_3_v );
				$update_down = substr ( $update_down, 1 );
				$query = "
							UPDATE `file_purview` SET $feild_3 = '".SecurityFilter($update_down)."'
								WHERE SORT_ID = ".SecurityFilter($SORT_ID)."
							";
				$cursor = exequery ( $connection, $query );
			}
		}
		if ($feild_4_v != '') {
			$feild_4_v = "," . $feild_4_v;
			if (strstr ( $feild_4_v, $this_com )) {
				$update_re = str_replace ( $this_com, ",", $feild_4_v );
				$update_re = substr ( $update_re, 1 );
				$query = "
							UPDATE `file_purview` SET $feild_4 = '".SecurityFilter($update_re)."'
								WHERE SORT_ID = ".SecurityFilter($SORT_ID)."
							";
				$cursor = exequery ( $connection, $query );
			}
		}
	}
}
/**
 *所有有管理权限的文件夹
 *@param string $SOME_PUR        不同的权限（管理，下载和打印、回复等）
 *@param string $HAVE_STR		文件夹
 *@return string  $MANAGE_FILE   返回有管理权限的文件夹
 */
function getPublicFilePurviewAll($SOME_PUR = 'MANAGE', $HAVE_STR = '') {
	global $connection;
	$SOME_PUR = SecurityFilter($SOME_PUR);
	$LOGIN_USER_ID = $_SESSION ['LOGIN_USER_ID'];
	$LOGIN_DEPT_ID = $_SESSION ['LOGIN_DEPT_ID'];
	$LOGIN_PRIV_ID = $_SESSION ['LOGIN_USER_PRIV'];
	$query = "
			SELECT REPLACE( TRIM( 
			LEADING '|'
			FROM CONCAT_WS('', fs.`SORT_LEVEL_ID` , fs.`SORT_ID` ) ) ,  '|',  ',' ) AS level_id
			FROM file_purview fp 
			INNER JOIN file_sort fs ON fp.SORT_ID = fs.SORT_ID
			WHERE 1
				AND(
					(INStr(fp.DEPT_$SOME_PUR,',$LOGIN_DEPT_ID,')>0 or INStr(fp.DEPT_$SOME_PUR,'$LOGIN_DEPT_ID,')=1)
					or
					(INStr(fp.PRIV_$SOME_PUR,',$LOGIN_PRIV_ID,')>0 or INStr(fp.PRIV_$SOME_PUR,'$LOGIN_PRIV_ID,')=1)
					or
					(INStr(fp.USER_$SOME_PUR,',$LOGIN_USER_ID,')>0 or INStr(fp.USER_$SOME_PUR,'$LOGIN_USER_ID,')=1)
					)
			";
	$MANAGE_FILE = "";
	$cursor = exequery ( $connection, $query );
	while ( $ROW = mysql_fetch_array ( $cursor ) ) {
		if($ROW["level_id"])
			$MANAGE_FILE .= $ROW["level_id"].",";
	}
	$MANAGE_FILE = trim($MANAGE_FILE,",");
	if($MANAGE_FILE)
	{
		$sortShareFileArr = explode(",",$MANAGE_FILE);
		$sortShareFileArr = array_unique($sortShareFileArr);
		$MANAGE_FILE      = implode(",",$sortShareFileArr);
		$MANAGE_FILE      .= ",";
	}
	if($HAVE_STR)
		$MANAGE_FILE .= trim($HAVE_STR,",").",";
	return $MANAGE_FILE;
}

/**
 *获取某个用户的查看权限
 *@param string $UserId     用户ID
 *@param string $SortId     文档目录文件夹的ID
 *@param string $DocumentId 文档的ID
 */
function setUserFileReadPurview($UserId, $SortId, $DocumentId) {
	global $connection, $LOGIN_USER_ID;
	$cur_time = date ( "Y-m-d H:i:s", time () );
	$QueryUserM = "
				SELECT USER_PRIV,DEPT_ID FROM user
					WHERE USER_ID='".SecurityFilter($UserId)."'
				";
	$res = exequery ( $connection, $QueryUserM );
	if ($ROW = mysql_fetch_array ( $res )) {
		$USER_PRIV_SQL = $ROW ['USER_PRIV'];
		$USER_DEPT_SQL = $ROW ['DEPT_ID'];
		$QuerySort = "
					SELECT COUNT(*) as CNT1	 from file_purview  
						where SORT_ID = '".SecurityFilter($SortId)."'
							and (
								   (INStr(DEPT_ID,',$USER_DEPT_SQL,')>0 or INStr(DEPT_ID,'$USER_DEPT_SQL,')=1) 
									or
								   (INStr(PRIV_ID,',$USER_PRIV_SQL,')>0 or INStr(PRIV_ID,'$USER_PRIV_SQL,')=1)
								   or 
								   (INStr(USER_ID,',$UserId,')>0 or INStr(USER_ID,'$UserId,')=1))							
					";
		$CursorSort = exequery ( $connection, $QuerySort );
		$ROW_S = mysql_fetch_array ( $CursorSort );
		$CNT1 = $ROW_S ["CNT1"];
		$QueryDoc = "
				SELECT COUNT(*) as CNT2 FROM file_content   
					WHERE CONTENT_ID = '$DocumentId'
						AND (SHARE_DEPT = 'dept_all'
							OR
							(INStr(SHARE_DEPT,',$USER_DEPT_SQL,')>0 OR INStr(SHARE_DEPT,'$USER_DEPT_SQL,')=1) 
							OR
							(INStr(SHARE_PRIV,',$USER_PRIV_SQL,')>0 OR INStr(SHARE_PRIV,'$USER_PRIV_SQL,')=1)
							OR 
							(INStr(SHARE_USER,',$UserId,')>0 or INStr(SHARE_USER,'".SecurityFilter($UserId).",')=1))							
					";
		$CursorDoc = exequery ( $connection, $QueryDoc );
		$ROW_D = mysql_fetch_array ( $CursorDoc );
		$CNT2 = $ROW_D ["CNT2"];
		if ($CNT2 == "0" && $CNT1 == "0" && $UserId != $LOGIN_USER_ID) {
			$QueryDocS = "
				SELECT SHARE_USER FROM file_content   
					WHERE CONTENT_ID = '".SecurityFilter($DocumentId)."'
				";
			$CursorDocS = exequery ( $connection, $QueryDocS );
			$ROW_DS = mysql_fetch_array ( $CursorDocS );
			$SHARE_USER_SQL = $ROW_DS ["SHARE_USER"];
			$INSERT_USER = $SHARE_USER_SQL . $UserId . ",";
			$query = "
					UPDATE file_content SET SHARE_USER = '$INSERT_USER',
						SHARE_TIME = '$cur_time' 
						WHERE CONTENT_ID = '".SecurityFilter($DocumentId)."'
					";
			exequery ( $connection, $query );
			
			//Edit By Samuel 20110616 TD:6288 M1 发送消息的人默认共享,同时更改共享表
			//M1
			$deleteFileShareSQL = "delete from file_share where CONTENT_ID=".SecurityFilter($DocumentId)."";
			exequery ( $connection, $deleteFileShareSQL );
			$insertFileShareSQL = "insert into file_share select * from file_content where CONTENT_ID=".SecurityFilter($DocumentId)."";
			exequery ( $connection, $insertFileShareSQL );
		
		//End M1
		

		}
	}
}

/**
 *发送所有有权查看人员
 *@param string $ContentId    文档的ID
 *@param string $SortId       文档目录文件夹ID
 *@param string $FileSort     文档类型ID 1为公共文档，2为个人文档
 *@return array $ReturnArray  返回的是包含有权查看的人员的数组
 */
function getAllPurUser($ContentId, $SortId, $FileSort) {
	global $connection;
	if ($ContentId != "") {
		$query = "
				SELECT SHARE_USER,SHARE_PRIV,SHARE_DEPT FROM file_content
					WHERE CONTENT_ID = '".SecurityFilter($ContentId)."'
				";
		$res = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $res )) {
			$SHARE_DEPT = $ROW ['SHARE_DEPT'];
			if ($SHARE_DEPT == 'dept_all') {
				return "ALL_USER";
			} else {
				$SHARE_PRIV = $ROW ['SHARE_PRIV'];
				$SHARE_USER = $ROW ['SHARE_USER'];
			}
		}
	}
	if ($FileSort == 1) {
		$queryP = "
			SELECT SORT_TYPE,DEPT_VIEW,PRIV_VIEW,USER_VIEW FROM file_purview
				WHERE SORT_ID = '".SecurityFilter($SortId)."'
			";
		$resp = exequery ( $connection, $queryP );
		if ($ROWP = mysql_fetch_array ( $resp )) {
			$DEPT_ID = $ROWP ['DEPT_VIEW'];
			$PRIV_ID = $ROWP ['PRIV_VIEW'];
			$USER_ID = $ROWP ['USER_VIEW'];
		}
	}
	$DeptStr = $DEPT_ID . $SHARE_DEPT;
	$PrivStr = $PRIV_ID . $SHARE_PRIV;
	$UserStr = $SHARE_USER . $USER_ID;
	if ($UserStr) {
		$UserStr = substr ( $UserStr, 0, - 1 );
		$UserStr = "'" . str_replace ( ",", "','", $UserStr ) . "'";
	}
	$ReturnArray ['Dept'] = substr ( $DeptStr, 0, - 1 );
	$ReturnArray ['Priv'] = substr ( $PrivStr, 0, - 1 );
	$ReturnArray ['User'] = $UserStr;
	if ($ReturnArray ['Dept'] == "") {
		$ReturnArray ['Dept'] = "'0'";
	}
	if ($ReturnArray ['Priv'] == "") {
		$ReturnArray ['Priv'] = "'0'";
	}
	if ($ReturnArray ['User'] == "") {
		$ReturnArray ['User'] = "'0'";
	}
	return $ReturnArray;
}

/**
 * 检查文件(文件夹)要转移到的文件夹是否存在
 * 
 * @param stirng $sortID 目标文件夹ID
 * @return false_不存在 true_存在
 */
function CheckSortID($sortID) {
	global $connection;
	$query = "select * from file_sort where SORT_ID='" . SecurityFilter($sortID) . "'";
	$rs = exequery ( $connection, $query );
	if (mysql_num_rows ( $rs ) == 0) {
		return false;
	} else {
		return true;
	}
}
function canDeleteFolder($SORT_ID)
{
	global $connection;
	$folderIds = "";
	$folderIds = trim(getDownReadPathPublic($SORT_ID),",");
	if($folderIds)
		$folderIds.= ",";
	$folderIds.= $SORT_ID;
	$sql = "SELECT * FROM flow_others WHERE FILE_FOLDER_ID IN ($folderIds) ";
	$rs  = exequery($connection,$sql);
	if($row = mysql_fetch_array($rs))
	{
		$FLOW_ID  = $row["FLOW_ID"]; 
	}
	if($FLOW_ID)
		return 1;
	else
		return 2;
}
/**
 * 生成文件夹SORT_LEVEL_ID 属性的值
 * @param  stirng $sortParentID 开始文件夹的id
 * @param  stirng $temp 上级SORT_LEVEL_ID的值
 * @return void
 */
function UpdateSortLevel($sortParentID, $temp = "") {
	global $connection;
	$query = "SELECT * FROM file_sort WHERE SORT_PARENT = '" . SecurityFilter($sortParentID) . "'";
	$result = exequery($connection, $query);
	while ($row = mysql_fetch_array($result)) {
		$sortID = $row["SORT_ID"];
		if($sortParentID)
		{
			$sortLevelID = $temp . $sortParentID . "|";
			$updateSQL = "UPDATE file_sort SET SORT_LEVEL_ID ='|" . $sortLevelID . "' WHERE SORT_ID = '" . $sortID . "'";
			exequery($connection, $updateSQL);
		}
		UpdateSortLevel($sortID, $sortLevelID);
	}
}
/**
 * 对用指定符号连起来的字符串进行拆分去重重组操作
 * @param  stirng $start 要处理的字符串
 * @param  stirng $type 连接符
 * @return string $end 返回处理后的字符串
 */
function manageStringUnique($start, $type = "") {
	if($type == "")
		$type = ",";
	$startArr = explode($type,$start);
	$startArr = array_unique($startArr);
	$end      = implode($type,$startArr);
	return $end;
}

?>
