/*
 * Simplified Chinese translation
 * By DavidHu
 * 09 April 2007
 */

Ext.UpdateManager.defaults.indicatorText = '<div class="loading-indicator">'+WebMailLang.Loading+'</div>';

if(Ext.View){
   Ext.View.prototype.emptyText = "";
}

if(Ext.grid.GridPanel){
   Ext.grid.GridPanel.prototype.ddText = ExtLang.ChooseOneLine;
}

if(Ext.TabPanelItem){
   Ext.TabPanelItem.prototype.closeText = EOlang.msgClose;
}

if(Ext.form.Field){
   Ext.form.Field.prototype.invalidText = ExtLang.WriteWarning;
}

Date.monthNames = [
   ExtLang.DateJan,
   ExtLang.DateFeb,
   ExtLang.DateMar,
   ExtLang.DateApr,
   ExtLang.DateMay,
   ExtLang.DateJun,
   ExtLang.DateJul,
   ExtLang.DateAug,
   ExtLang.DateSep,
   ExtLang.DateOct,
   ExtLang.DateNov,
   ExtLang.DateDec
];

Date.dayNames = [
   ExtLang.DateSeven,
   ExtLang.DateOne,
   ExtLang.DateTwo,
   ExtLang.DateThree,
   ExtLang.DateFour,
   ExtLang.DateFive,
   ExtLang.DateSix
];

if(Ext.MessageBox){
   Ext.MessageBox.buttonText = {
      ok     : EOlang.msgSubmit,
      cancel : EOlang.msgRemove,
      yes    : ExtLang.ChooseYes,
      no     : ExtLang.ChooseNo
   };
}

if(Ext.util.Format){
   Ext.util.Format.date = function(v, format){
      if(!v) return "";
      if(!(v instanceof Date)) v = new Date(Date.parse(v));
      return v.dateFormat(format || ExtLang.ShowAllDate);
   };
}

if(Ext.DatePicker){
   Ext.apply(Ext.DatePicker.prototype, {
      todayText         : ExtLang.Today,
      minText           : ExtLang.DateCompareA,
      maxText           : ExtLang.DateCompareB,
      disabledDaysText  : "",
      disabledDatesText : "",
      monthNames        : Date.monthNames,
      dayNames          : Date.dayNames,
      nextText          : ExtLang.DateShowNextMonth,
      prevText          : ExtLang.DateShowPreMonth,
      monthYearText     : ExtLang.DateChoooseMonth,
      todayTip          : ExtLang.SpaceChoooseMonth,
      format            : ExtLang.ShowAllDate,
      okText            : EOlang.msgSubmit,
      cancelText        : EOlang.msgRemove
   });
}

if(Ext.PagingToolbar){
   Ext.apply(Ext.PagingToolbar.prototype, {
      beforePageText : ExtLang.ShowPage,
      afterPageText  : ExtLang.ShowSumPage,
      firstText      : ExtLang.ShowFirstPage,
      prevText       : ExtLang.ShowPrePage,
      nextText       : LazyGridLang.NextPage,
      lastText       : ExtLang.ShowEndPage,
      refreshText    : ExtLang.Refresh,
      displayMsg     : ExtLang.ShowAllPage,
      emptyMsg       : ExtLang.NoDataShow
   });
}

if(Ext.form.TextField){
   Ext.apply(Ext.form.TextField.prototype, {
      minLengthText : ExtLang.InsertMixLength,
      maxLengthText : ExtLang.InsertMaxLength,
      blankText     : ExtLang.InsertRequire,
      regexText     : "",
      emptyText     : null
   });
}

if(Ext.form.NumberField){
   Ext.apply(Ext.form.NumberField.prototype, {
      minText : ExtLang.InsertvalueMinLength,
      maxText : ExtLang.InsertvalueMaxLength,
      nanText : ExtLang.InsertNovalue
   });
}

if(Ext.form.DateField){
   Ext.apply(Ext.form.DateField.prototype, {
      disabledDaysText  : ExtLang.NoUse,
      disabledDatesText : ExtLang.NoUse,
      minText           : ExtLang.InsertDateNext,
      maxText           : ExtLang.InsertDatePre,
      invalidText       : ExtLang.DateShowRequired,
      format            : ExtLang.ShowAllDate
   });
}

if(Ext.form.ComboBox){
   Ext.apply(Ext.form.ComboBox.prototype, {
      loadingText       : WebMailLang.Loading,
      valueNotFoundText : undefined
   });
}

if(Ext.form.VTypes){
   Ext.apply(Ext.form.VTypes, {
      emailText    : ExtLang.EmailRequired,
      urlText      : ExtLang.URLRequired,
      alphaText    : ExtLang.StringCharInclodeA,
      alphanumText : ExtLang.StringCharInclodeB
   });
}

if(Ext.grid.GridView){
   Ext.apply(Ext.grid.GridView.prototype, {
      sortAscText  : EOlang.msgSortByAsc,
      sortDescText : EOlang.msgSortByDescB,
      lockText     : ExtLang.TableLockROw,
      unlockText   : ExtLang.TableUnLockROw,
      columnsText  : ExtLang.TableROw
   });
}

if(Ext.grid.PropertyColumnModel){
   Ext.apply(Ext.grid.PropertyColumnModel.prototype, {
      nameText   : EOlang.msgName,
      valueText  : ExtLang.ShowValue,
      dateFormat : ExtLang.ShowAllDate
   });
}

if(Ext.layout.BorderLayout && Ext.layout.BorderLayout.SplitRegion){
   Ext.apply(Ext.layout.BorderLayout.SplitRegion.prototype, {
      splitTip            : ExtLang.DragChangeA,
      collapsibleSplitTip : ExtLang.DragChangeA
   });
}
