<?php
/**
 * 获取系统参数
 * @global type $connection
 * @staticvar type $params
 * @return type
 */
function getSystemPara(){
    static $params;
    if(isset($params)){
        return $params;
    }
    global $connection;
    $sql      = "SELECT * FROM sys_para";
    $rs       = exequery($connection, $sql);
    $_paramArray = array();
    while($row = mysql_fetch_array($rs,MYSQL_ASSOC)){
        $_paramArray[$row['PARA_NAME']] = $row['PARA_VALUE'];
    }
    $params   = $_paramArray;
    return $params;
}
/**
 * 获取当前用户信息
 * @global type $connection
 * @staticvar type $userInfo
 * @return type
 */
function getCurrentUserInfo(){
    static $userInfo;
    if(isset($userInfo)){
        return $userInfo;
    }
    global $connection;
    $sql      = "SELECT * FROM user WHERE USER_ID='" . SecurityFilter($_SESSION['LOGIN_USER_ID']) . "'";
    $rs             = exequery($connection, $sql);
    $row            = mysql_fetch_array($rs);
    $userInfo = $row;
    return $userInfo;
}
/**
 * 获取个人头像路径
 * @param type $ATTACH_PATH
 * @return type
 */
function getThumbLoaction($ATTACH_PATH,$avatar_type){
    if (!$avatar_type){
        $avatar_type = ".png"; //默认值为png
    }
    $upload_path = $ATTACH_PATH . "personal/" . $_SESSION["LOGIN_USER_ID"] . "/";
    $upload_path2 = "/attachment/personal/" . $_SESSION["LOGIN_USER_ID"] . "/";
    $thumb_image_name = "avatar_40";
    $large_image_name =  "avatar_80";
    $thumb_image_location = $upload_path . $thumb_image_name . $avatar_type;
    $thumb_image_location2 = $upload_path2 . $thumb_image_name . $avatar_type;
    $large_image_location = $upload_path.$large_image_name.$avatar_type;
    $large_image_location2 = $upload_path2.$large_image_name.$avatar_type;
    return array(
        'thumbPath' => $thumb_image_location,
        'thumbPath2'=> $thumb_image_location2,
        'largePath' => $large_image_location,
        'largePath2' => $large_image_location2
    );
}
//角色通信过滤
function getRoleFilter($opt){

    global $connection;
    $checkSQL = "show tables like 'role_to_role'";
    $checkResult = exequery($connection, $checkSQL);
    $check = mysql_fetch_row($checkResult);

	$role_id = $opt['role_id'];
	$type = $opt['type'];

    $roleFilterArray = array();
    if('role_to_role' == $check[0]){
        $sql = 'select * from role_to_role';
        $res = exequery($connection, $sql);
        while($roleRow = mysql_fetch_assoc($res)){
            if(!$roleRow['role_1']) continue;

            $role_1 = explode(',', $roleRow['role_1']);
            if(in_array($role_id, $role_1) && false !== strpos($roleRow['type'], $type)){
                $roleFilterArray = array_merge($roleFilterArray, explode(',', trim($roleRow['role_2'], ',')));
            }
        }
        $roleFilter = implode(',', $roleFilterArray);
    }
    return $roleFilter;
}
//获取全文搜索模块
function getSearchModules($userid){
    global $_lang;
    $module = array(
        'user'      => $_lang['index_person'],
        'document'  => $_lang["index_document"],
        'sms'       => $_lang["index_message"],
        'workflow'  => $_lang["index_flow"],
        'email'     => $_lang["index_email"],
        'notify'    => $_lang["index_notify"],
        'customer'  => $_lang["index_customer"],
        'hr'        => $_lang["index_hr"],
        'commaddr'  => $_lang["index_commaddr"],
        'news'      => $_lang["index_news"]
        );
    $_module = array();
    $i = 0;
    foreach($module as $k => $m){
        if(CheckMenuPriv($userid,$k)){
            $_module[$k] = $m;
            $_module[$i] = $k;
            $i ++;
        }
    }
    return $_module;
}
//全文搜索菜单权限
function CheckMenuPriv($userid,$diff)
{
    global $connection;
	$func_id = "";
	switch($diff)
	{
		case "news":
			$func_id = "130";
		break;
        case "document":
			$func_id = "314";
		break;
		case "creatflow":
			$func_id = "2";
		break;
		case "todoflow":
			$func_id = "3";
		break;
        case "workflow":
            $func_id = "5";
		break;
		case "notify":
			$func_id = "131";
		break;
		case "email":
			$func_id = "12";
		break;
		case "sms":
			$func_id = "210";
		break;
		case "file":
			$func_id = "8";
		break;
		case "calendar":
			$func_id = "181";
		break;
		case "diary":
			$func_id = "28";
		break;
		case "commaddr":
			$func_id = "25";
		break;
		case "myaddr":
			$func_id = "23";
		break;
		case "customer":
			$func_id = "502";
		break;
		case "commonword":
			$func_id = "7";
		break;
		case "myword":
			$func_id = "311";
		break;
		case "creatnews":
			$func_id = "238";
		break;
		case "creatnotify":
			$func_id = "239";
		break;
		case "createmail":
			$func_id = "12";
		break;
		case "createsms":
			$func_id = "207";
		break;
		case "createcale":
			$func_id = "181";
		break;
		case "createcommaddr":
			$func_id = "67";
		break;
		case "createmyaddr":
			$func_id = "23";
		break;
		case "flow_have":
			$func_id = "252";
		break;
		case "flow_end":
			$func_id = "323";
		break;
		case "flow_my":
			$func_id = "420";
		break;
        case 'coop':
            $func_id = "363";
        break;
        case 'user':
            $func_id = "22";
        break;
        case 'hr':
            $func_id = '416';
        break;
	}
    if(!$func_id) {
        return false;
    }

	$sql = "SELECT u.*,p.* FROM USER AS u LEFT JOIN user_priv AS p ON (u.USER_PRIV = p.USER_PRIV) WHERE u.USER_ID='".SecurityFilter($userid)."'";
	$cursor  = exequery($connection,$sql);
	if($rows = mysql_fetch_array($cursor))
	{
		$priv_str = $rows['FUNC_ID_STR'];
	}
    if($diff == 'hr'){
        $funsql = "SELECT * FROM sys_function WHERE FUNC_ID='18' OR FUNC_ID='416'";
    }else{
        $funsql = "SELECT * FROM sys_function WHERE FUNC_ID='".SecurityFilter($func_id)."'";
    }
	$funrs  = exequery($connection,$funsql);
	$row    = mysql_fetch_array($funrs);
	if($row) {
		$FUNC_CODE = $row["FUNC_CODE"];
	}
	unset($funsql);
	unset($funrs);
	if($FUNC_CODE != '@') {
		$query = "SELECT * FROM sys_function WHERE FUNC_CODE='".SecurityFilter($FUNC_CODE)."'";
		$rs    = exequery($connection,$query);
		$FUNC_ID = "";
		while($ROW = mysql_fetch_array($rs)) {
			$FUNC_ID .= ",".$ROW["FUNC_ID"];
		}
	}
	$func_priview_str = ",".$priv_str;
    $s_array          = explode(',', $FUNC_ID);
    foreach ($s_array as $pri) {
        $pattern = "," . $pri . ",";
        $result = strpos($func_priview_str, $pattern);
        if ($result !== false) {
            return true;
        }
    }
    return false;
}

function getThemeBoxInfo($themeImage){
    $dir = "../images/themes/";
    if (!is_dir($dir)) {
        $dir = "../images/";
        $themeImage = 'theme.jpg';
    } else {
        if ($themeImage == '') {
            $themeImage = 'theme.jpg';
        } else {
            $image = $dir . $themeImage;
            if (!file_exists($image)) {
                $themeImage = 'theme.jpg';
            }
        }
    }
    $size = getimagesize($dir . $themeImage);
    $themeWidth = $size[0];
    $themeHeight = $size[1];
    if ($themeWidth > 491) {
        $themeWidth = 491;
        $themeHeight = intval($themeHeight * (490 / $size[0]));
    }
    return array(
        'dir'   => $dir,
        'themeImage' => $themeImage,
        'themeWidth' => $themeWidth,
        'themeHeight' => $themeHeight,
    );
}
