/*
 * 收藏夹
 */

(function($) {
	$.fn.extend({
		LazyFavoriteBar : function(title) {

			var self = $(this);

			var location = window.location.href;

			$.ajax({
				url : "/general/favorite.php",
				data : {
					op : "checkisExist",
					favoriteUrl : location,
					type : "POST"
				}
			}).done(function(result) {
				if(result == 0) {
					self.append("<img style='cursor:pointer;' title='"+EOlang.msgAddToFavorite+"' src='/images/8/icons/favorite.png'>");
				} else {
					self.append("<img favoriteID=" + result + " style='cursor:pointer;' title='"+EOlang.msgRemoveFromFavorite+"' src='/images/8/icons/favorite_click.png'>");
				}
			});

			self.find("img").live('click', function() {
				var $obj = $(this);
				if($(this).attr("favoriteID")) {
					$.ajax({
						url : "/general/favorite.php",
						data : {
							op : "remove",
							favoriteID : $obj.attr("favoriteID")
						}
					}).done(function(result) {
						if(result) {
							$obj.attr("src", "/images/8/icons/favorite.png").attr("title", EOlang.msgAddToFavorite).removeAttr("favoriteID");
						} else {
							alert(EOlang.msgRemoveFromFavoriteFail);
						}
					});
				} else {
					$.ajax({
						url : "/general/favorite.php",
						data : {
							op : "add",
							favoriteUrl : location,
							favoriteTitle : title,
							type : "POST"
						}
					}).done(function(result) {
						if(result != 0) {
							self.find("img").attr("src", "/images/8/icons/favorite_click.png").attr("title", EOlang.msgRemoveFromFavorite).attr("favoriteID", result);
						} else {
							alert(EOlang.msgAddToFavoriteFail);
						}

					});
				}
			});
		}
	});
})(jQuery);
