<?php
/**
 * @copyright (C) 2001 - 2014 Weaver Co.Ltd
 * @package       eoffice 9.0
 * @function      使用指引do文件
 * @encoding      $_lang['encoding']
 * @name          do.php
 * @version       1
 * @author        lizj|www.weaver.com.cn
 * @date          2014-8-14
 */
include_once("inc/auth.php");
include_once("inc/reg_check.php");
include_once("inc/weaver.inc");
include_once("inc/demo.inc");
include_once("api/dept.class.php");
include_once("inc/utility_all.php");

$op = request_var('op','');
switch ($op) {
    //获取部门列表
	case 'getDeptList' :
        $Dept = new Dept();
        $deptList = $Dept->tree();
        $html = $Dept->getDeptList($deptList);
		echo $html;
                
        break;
    //获取角色列表
	case 'getPrivList' :
		$getPrivListQuery = "SELECT * FROM  `user_priv` ORDER BY `PRIV_NO`";
		$getPrivListResult = exequery($connection, $getPrivListQuery);
		while ($getPrivListRow = mysql_fetch_assoc($getPrivListResult)) {
			$privList[] = $getPrivListRow;
		}
		echo json_encode($privList);
                
        break;
    //获取用户列表
	case 'getUserList' :
        $_start = request_var('start', 0);
        $num = 18;
        if($_start == 0){
            $start = 0;
        }else{
            $start = ($_start-1)* $num ;
        }
		$getUserListQuery = "SELECT * FROM  `user` WHERE DEPT_ID != -1 ORDER BY `USER_ID` DESC LIMIT $start,$num";
		$getUserListResult = exequery($connection, $getUserListQuery);
		while ($getUserListRow = mysql_fetch_assoc($getUserListResult)) {
			$userList[] = $getUserListRow;
		}
        $getDeptListQuery = "SELECT * FROM department ORDER BY DEPT_NO";
		$getDeptListResult = exequery($connection, $getDeptListQuery);
		while ($getDeptListRow = mysql_fetch_assoc($getDeptListResult)) {
			$deptList[] = $getDeptListRow;
		}
        $getPrivListQuery = "SELECT *  FROM  `user_priv` ORDER BY `PRIV_NO`";
		$getPrivListResult = exequery($connection, $getPrivListQuery);
		while ($getPrivListRow = mysql_fetch_assoc($getPrivListResult)) {
			$privList[] = $getPrivListRow;
		}
		echo json_encode(array('userList'=>$userList,'deptList' => $deptList,'privList' => $privList));

        break;
	case 'getAllUserAccounts':
			$getUserListQuery = "SELECT USER_ACCOUNTS FROM  `user` WHERE DEPT_ID != -1 AND USER_ACCOUNTS != '' ORDER BY `USER_ID`";
			$getUserListResult = exequery($connection, $getUserListQuery);
			$userAccounts = array();
			while ($getUserListRow = mysql_fetch_assoc($getUserListResult)) {
				$userAccounts[] = $getUserListRow['USER_ACCOUNTS'];
			}
			echo json_encode($userAccounts);
		break;
    //获取部门和角色信息。
    case 'getDetpAndPriv':
        $getDeptListQuery = "SELECT * FROM department ORDER BY DEPT_NO";
        $getDeptListResult = exequery($connection, $getDeptListQuery);
        while ($getDeptListRow = mysql_fetch_assoc($getDeptListResult)) {
            $deptList[] = $getDeptListRow;
        }
        $getPrivListQuery = "SELECT *  FROM  `user_priv`  ORDER BY `PRIV_NO`";
        $getPrivListResult = exequery($connection, $getPrivListQuery);
        while ($getPrivListRow = mysql_fetch_assoc($getPrivListResult)) {
            $privList[] = $getPrivListRow;
        }
        echo json_encode(array('deptList' => $deptList,'privList' => $privList));

        break;
    //获取单位信息
	case 'getCompanyInfor' :
		$query = "SELECT * FROM unit";
		$result = exequery($connection, $query);
		if ($row = mysql_fetch_assoc($result)) {
			echo json_encode($row);
		} else {
			echo false;
		}

        break;
    //添加或更新单位信息
	case 'updateCompanyInfor' :
		$query = "UPDATE unit SET ";
		foreach (request_var("unitInfor",array()) as $key => $value) {

			$updateInfor[] = SecurityFilter($key) . " = '" . SecurityFilter($value) . "'";

		}
		$query .= implode($updateInfor, ",");
		echo exequery($connection, $query);
                
        break;
    //添加或更新部门
    case 'updateDept':
        $deptList = request_var('deptList', '');
        if($deptList == ''){
            echo  false; exit;
        }
        if(!empty($deptList)){
            $department = new department();
             foreach ($deptList as $key => $value){
                $DEPT_PARENT   = $value['DEPT_PARENT'];
                $SORT_LEVEL_ID = $department->getLevelStrById($DEPT_PARENT);
                $DEPT_NAME     = $value['DEPT_NAME'];
                $DEPT_NAME     = trim($DEPT_NAME);
				if($DEPT_NAME == ''){
					continue;
				}
                $deptNamePy    = convertPy($DEPT_NAME);
                if($value['DEPT_ID'] == ''){
                    $query = "INSERT INTO department(`DEPT_NAME`,`DEPT_NO`,`DEPT_PARENT`,SORT_LEVEL_ID,DEPT_NAME_PY,DEPT_NAME_ZM) VALUES('".
                        SecurityFilter($DEPT_NAME)."','".SecurityFilter($value['DEPT_NO'])."','".SecurityFilter($DEPT_PARENT)."','".SecurityFilter($SORT_LEVEL_ID)."','".SecurityFilter($deptNamePy[0])."','".SecurityFilter($deptNamePy[1])."')";
                }else{
                    $sql = "select DEPT_PARENT from department where DEPT_ID=" . SecurityFilter($DEPT_ID);
                    $result = exequery($connection, $sql);
                    if ($row = mysql_fetch_array($result)) {
                        $oldParent = $row["DEPT_PARENT"];
                    }
                    $query = 'UPDATE department SET DEPT_NAME=\''.SecurityFilter($DEPT_NAME).'\' , DEPT_PARENT='.SecurityFilter($DEPT_PARENT)
                        .',DEPT_NO='.SecurityFilter($value['DEPT_NO']).',DEPT_NAME_PY=\''.SecurityFilter($deptNamePy[0]).'\',DEPT_NAME_ZM=\''.SecurityFilter($deptNamePy[1]).'\' WHERE DEPT_ID = '.SecurityFilter($value['DEPT_ID']);
                }
                if(!exequery($connection, $query)){
                    echo false; exit;
                }
                if($value['DEPT_ID'] != '') {
                    //层级处理
                    if($oldParent != $DEPT_PARENT)
                    {
                        $department = new department();
                        $deptInfo = $department->getDeptInfo($DEPT_PARENT);
                        $department->UpdateSortLevel($DEPT_PARENT,ltrim($deptInfo[0]["SORT_LEVEL_ID"],"|"));
                    }
                }
             }
        }
        echo true;

        break;
    //添加或更新角色
    case 'updatePriv':
        $privList = request_var('privList', 0);
        if($privList == 0){
            echo true;exit;
        }
        foreach($privList as $key => $value){
            $privNamePy    = convertPy($value['PRIV_NAME']);
            if($value['USER_PRIV'] == ''){
                $query = 'INSERT INTO user_priv(`PRIV_NAME`,`PRIV_NO`,`PRIV_NAME_PY`,`PRIV_NAME_ZM`) VALUES(\''.SecurityFilter($value['PRIV_NAME']).'\','
                    .SecurityFilter($value['PRIV_NO']).',\''.SecurityFilter($privNamePy[0]).'\',\''.SecurityFilter($privNamePy[1]).'\')';
            }else{
                $query = 'UPDATE user_priv SET PRIV_NAME=\''.SecurityFilter($value['PRIV_NAME']).'\',PRIV_NO='.SecurityFilter($value['PRIV_NO']).',PRIV_NAME_PY=\''
                            .SecurityFilter($privNamePy[0]).'\',PRIV_NAME_ZM=\''.SecurityFilter($privNamePy[1]).'\' WHERE USER_PRIV='.SecurityFilter($value['USER_PRIV']);
            }
            if(!exequery($connection, $query)){
                echo false;exit;
            }
        }
        echo true;

        break;
    //添加或更新用户
    case 'updateUser':
        $userList = request_var('userList', 0);
        if($userList == 0){
            echo 1;exit;
        }
        foreach($userList as $key => $value){
            $pinyinUserName = convertPy($value['USER_NAME']);

            if($value['USER_ID'] == ''){   
                //-------- 用户数检验 --------
                global $IS_REGISTERED_MYOA;
                $query  = "SELECT count(*) FROM user WHERE DEPT_ID>0";
                $cursor = exequery($connection,$query);
                if($ROW = mysql_fetch_array($cursor)){
                    $USER_COUNT = $ROW[0];
                }
                if(!$IS_REGISTERED_MYOA){
                    if($USER_COUNT >= DEMO_LIMIT_USER){
                        echo 3;exit;
                    }
                }else{
                    $arrayR = parse_regfilestr();
                    $ct = count($arrayR)-1;
                    $oaaccount = $arrayR[$ct]['useraccound'];
                    $USER_LIMIT = $oaaccount;
                    if($USER_COUNT >= $USER_LIMIT){
                        echo 3;exit;
                    }
                }

                //判断账号是否已经存在
                $sql = "SELECT * FROM user WHERE USER_ACCOUNTS = '".SecurityFilter($value['USER_ACCOUNTS'])."'";
                $rs = exequery($connection,$sql);
                if($row=mysql_fetch_array($rs)){
                    echo 2;exit;
                }
                //生成用户ID
                $sql = "SELECT USER_ID FROM user WHERE LENGTH(USER_ID)=10 AND LEFT(USER_ID,2)='WV' ORDER BY USER_ID DESC";
                $rs = exequery($connection,$sql);
                if($row=mysql_fetch_array($rs)) {
                    $userid = $row['USER_ID'];
                    $id_max = abs(str_replace('WV','',$userid));
                    $id_max++;
                    $id_max_str = '';
                    for($i=0;$i<(8-strlen($id_max));$i++){ 
                        $id_max_str .= '0';
                    }
                    $userid_next = "WV".$id_max_str.$id_max;
                } else{
                    $userid_next = 'WV00000001'; 
                }
                //添加用户表
                $deptId = ($value['DEPT_ID']!= '') ? $value['DEPT_ID'] : 0;
                $query = 'INSERT INTO user(`USER_ID`,`USER_ACCOUNTS`,`USER_NAME`,`PASSWORD`,`USER_PRIV`,`POST_PRIV`,`POST_DEPT`,`DEPT_ID`,`SEX`,`BBS_SIGNATURE`,`LOGIN_USBKEY`,`USER_STATUS`,`USER_NAME_PY`,`USER_NAME_ZM`,`AVATAR`,`CALL_SOUND`,`DUTY_TYPE`,`SMS_ON`,`MENU_HIDE`) 
                    VALUES(\''.SecurityFilter($userid_next).'\',\''.SecurityFilter($value['USER_ACCOUNTS']).'\',\''.SecurityFilter($value['USER_NAME'])
                    .'\',\''.crypt('').'\',\''.SecurityFilter($value["USER_PRIV"]).'\',\'0\',\'\','.SecurityFilter($deptId).',\'0\',\'\',\'0\',1,\''.SecurityFilter($pinyinUserName[0]).'\',\''.SecurityFilter($pinyinUserName[1]).'\',1,1,1,1,2)';
                if(!exequery($connection, $query)){
                    echo 0; exit;
                }
                //创建菜单
                $sql = "SELECT * FROM sys_function ORDER BY MENU_ID ASC";
                $rs  = exequery($connection,$sql);
                $menu_cnt   = 0;
                $order_c1   = 0;
                $order_c2   = 0;
                $order_c3   = 0;

                $defaultMenuArray = array("2", "3", "252", "311", "316", "310", "315", "207", "217", "253", "219", "29", "363", "130", "131");

                while($row = mysql_fetch_array($rs)){
                    $menu_cnt ++;
                    $user_id = $userid_next;
                    $func_id = $row['FUNC_ID'];
                    $menu_id = $row['MENU_ID'];
                    if(strlen($menu_id)==2){
                        $order_c1 ++;
                        $order_c = $order_c1;
                    }
                    if(strlen($menu_id)==4){
                        $order_c2 ++;
                        $order_c = $order_c2;
                    }
                    if(strlen($menu_id)==6){
                        $order_c3 ++;
                        $order_c = $order_c3;
                    }

                    $order_id    = $order_c;
                    $func_isshow = 1;
                    $func_issys  = 1;
                    $func_name   = $row['FUNC_NAME'];
                    $func_code   = $row['FUNC_CODE'];
                    $func_follow = $row['FUNC_FOLLOW'];
                    $func_param  = $row['FUNC_PARAM'];
                    $func_type   = 0;
                    if(in_array($func_id, $defaultMenuArray)){
                        $frequency  = 2;
                    }else{
                        $frequency  = 1;
                    }
                    $sql_i = "INSERT INTO user_menu VALUES('".SecurityFilter($user_id)."', ".SecurityFilter($func_id).", '".SecurityFilter($menu_id)."', ".SecurityFilter($order_id).", ".SecurityFilter($func_isshow).", ".SecurityFilter($func_issys).", '".SecurityFilter($func_name)."',
                              '".SecurityFilter($func_code)."', ".SecurityFilter($func_follow).", ".SecurityFilter($func_type).", '".SecurityFilter($func_type_id)."', ".SecurityFilter($frequency).", '', '','".SecurityFilter($func_param)."' )";
                    exequery($connection,$sql_i);
                }
                //用户首页添加显示考勤元素
                $sql = "INSERT INTO index_block (USER_ID,BLOCK_TYPE,BLOCK_TITLE,BLOCK_ROW,SUBJECT_LENGTH,BLOCK_IMG,PORTAL_INDEX,BLOCK_HEIGHT) VALUES ('".SecurityFilter($user_id)."','-98','个人考勤','5','25','box.gif','1','20')";
                exequery($connection,$sql);
                //添加日志
                add_log(6,$userid_next,$LOGIN_USER_ID);
            }else{
                $sql = "SELECT * FROM user WHERE USER_ACCOUNTS = '".SecurityFilter($value['USER_ACCOUNTS'])."'";
                $rs = exequery($connection,$sql);
                if($row=mysql_fetch_array($rs)){
                    $sql = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($value['USER_ID'])."'";
                    $rs1 = exequery($connection,$sql);
                    $row1=mysql_fetch_array($rs1);
                    if($row1['USER_ACCOUNTS'] != $value['USER_ACCOUNTS']){
                        echo 2;exit;
                    }
                }
                $query = 'UPDATE user SET USER_ACCOUNTS=\''.SecurityFilter($value['USER_ACCOUNTS']).'\',USER_NAME=\''.SecurityFilter($value['USER_NAME']).'\',USER_PRIV=\''.SecurityFilter($value['USER_PRIV'])
                    .'\',DEPT_ID='.SecurityFilter($value['DEPT_ID']).',USER_NAME_PY=\''.SecurityFilter($pinyinUserName[0])
                    .'\',USER_NAME_ZM=\''.SecurityFilter($pinyinUserName[1]).'\' WHERE USER_ID=\''.SecurityFilter($value['USER_ID']).'\'';
                if(!exequery($connection, $query)){
                    echo 0;exit;
                }
            }

        }
        echo 1;

        break;
    //删除部门
    case 'deleteDept':
        $deptId = request_var('dept_id', 0);
        if($deptId == 0){
            echo 2;exit;
        }
        $query = 'DELETE FROM department WHERE DEPT_ID='.SecurityFilter($deptId);
        if(exequery($connection, $query)){
            echo 1;
        }else {
            echo 0;
        }

        break;
    //删除角色
    case 'deletePriv':
        $userPriv = request_var('user_priv', 0);
        if($userPriv == 0){
            echo 2;exit;
        }   
        $query = 'DELETE FROM user_priv WHERE USER_PRIV='.SecurityFilter($userPriv);
        if(exequery($connection, $query)){
            echo 1;
        }else{
            echo 0;
        }

        break;
    //删除用户
    case 'deleteUser':
        $userId = request_var('user_id', '');
        if($userId == ''){
            echo 2;exit;
        }
        $query = 'UPDATE user SET DEPT_ID = -1 , USER_ACCOUNTS=\'\' WHERE USER_ID=\''.SecurityFilter($userId).'\'';
        if(exequery($connection, $query)){
            echo 1;
        }else{
            echo 0;
        }

        break;
    //获取某个部门下的子部门和用户
	case 'getSubDeptAndUser' :
        $deptId = request_var('dept_id', 0);
        if($deptId == 0){
            echo 2;exit;
        }
		$getSubDeptQuery="SELECT * FROM department WHERE DEPT_PARENT =".SecurityFilter($deptId);
        $result = exequery($connection, $getSubDeptQuery);
        if ($row = mysql_fetch_assoc($result)) {
            echo 1;exit;
        }else{
            $getUserQuery = 'SELECT * FROM user WHERE DEPT_ID ='.SecurityFilter($deptId);
            $result = exequery($connection, $getUserQuery);
            if ($row = mysql_fetch_assoc($result)) {
                echo 3;exit;
            }else{
                echo 0;exit;
            }
        }
                
        break;
    //根据角色id获取用户
    case 'getPrivUser':
        $userPriv = request_var('user_priv', 0);
        if($userPriv == 0){
            echo 2;exit;
        }
        $query = 'SELECT * FROM user WHERE USER_PRIV=\''.SecurityFilter($userPriv).'\' AND DEPT_ID != -1';
        $result = exequery($connection, $query);
        if ($row = mysql_fetch_assoc($result)) {
            echo 1;exit;
        }else{
            echo 0;exit;
        }

        break;
	default :
        break;
}
/*
 * 部门类，主要用于获取部门树结构和部门列表
 */
class Dept{
    public  $level;//部门等级
    /*
     * 根据部门id获取该部门树结构列表
     */
    public function tree($parent_id = 0, $level = 0, $sub = true)
    {
        global $connection;
        $this->level = $level+1;
        $departments_ary = array();
        $getDeptListQuery = "SELECT * FROM department WHERE DEPT_PARENT=".SecurityFilter($parent_id)." ORDER BY DEPT_NO";
        $getDeptListResult = exequery($connection, $getDeptListQuery);
        while ($getDeptListRow = mysql_fetch_assoc($getDeptListResult)) {
            $deptList[] = $getDeptListRow;
        }
        if($deptList){
            foreach ($deptList as $dept){
                $getsubDeptListQuery = "SELECT count(*) as num FROM department WHERE DEPT_PARENT=".SecurityFilter($dept['DEPT_ID'])." ORDER BY DEPT_NO";
                $getDeptListResult = exequery($connection, $getsubDeptListQuery);
                $sub_count = mysql_fetch_assoc($getDeptListResult);
                if($sub_count > 0){
                    $dept['sub'] = $sub_count;
                    if($sub){
                        $sub_list = $this->tree($dept['DEPT_ID'], $level + 1);
                        $dept['sub'] = $sub_list;
                    }
                }
                $dept['level'] = $level;
                $departments_ary[$dept['DEPT_ID']] = $dept;
                if($sub_count > 0 && $sub){
                    $departments_ary = $departments_ary;
                }
            }
        }
        return $departments_ary;
    }
    /*
     * 生成部门排序列表
     */
    public function getDeptList($tree,$html=''){
        if($tree){
            $html .= '<ol class="dd-list">';
            foreach ($tree as $key => $dept){
                $html .= '<li class="dd-item" data-id="'.$dept['DEPT_ID'].'">';
                if(!empty($dept['sub'])){
                    $html .= '<button type="button" data-action="collapse" style="display: block;">Collapse</button><button type="button" data-action="expand" style="display: none;">Expand</button>';
                }
                $html .= '<div class="dd-handle"><div class="col-xs-1">'.$dept['DEPT_NO'].'</div><div class="col-xs-6"><input type="text" style="width:200px;" class="no_border dd-nodrag"  name="DEPT_NAME" value="'.$dept['DEPT_NAME'].'"/></div>
                    <div class="col-xs-3"></div>
                    <div class="col-xs-1" style="float:right;"><a href="javascript:void(0);" title="删除部门" class="del-dept"><i class="fa fa-minus" style="float:right;"></i></a></div>
                    </div>';
                if(!empty($dept['sub'])){
                   $html = $this->getDeptList($dept['sub'],$html);
                }
                $html .= '</li>';
            }
            $html .= '</ol>';
        }
        return $html;
    }
}

?>
