<?php
/**
 * @copyright (C) 2001 - 2014 Weaver Co.Ltd
 * @package       eoffice 9.0
 * @function      使用指引页面
 * @encoding      $_lang['encoding']
 * @name          index.php
 * @version       1
 * @author        lizj|www.weaver.com.cn
 * @date          2014-8-14
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("init");
$PAGE_TITLE = $_lang["index_sys_gps"];
include_once 'inc/page_header.inc.php';
?>
		<link rel="stylesheet" href="/newplugins/css/jquery.lazyplugins.css" />
		<link rel="stylesheet" href="/newplugins/font-awesome/css/font-awesome.min.css" />
		<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
		<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.css" />
        <link href="select2-3.5.1/select2.css" rel="stylesheet"/>
        <link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
         
        <script type="text/javascript" src="/inc/jquery/jquery.js"></script>
		<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
        <script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
        <script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
        <script src="select2-3.5.1/select2.js"></script>
		<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
        <script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
        <script type="text/javascript" src="jquery.nestable.js"></script>
        <script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
		<link rel="stylesheet" href="/newplugins/css/style.css" />

		<script type="text/javascript">
			var userAccounts;
            function array_index(array,value){
                for(var i in array){
                    if(array[i] == value){
                        return parseInt(i);
                    }
                }
            }
            $(function() {
                //================================页面初始化开始===============================================//
                $("body").height($(window).height());
                $(".step_wrap").height($("body").height() - 100);
                $.pnotify.defaults.styling = "bootstrap3";
                $.pnotify.defaults.history = false;
                if(!$.browser.safari) {
                    $(".step_wrap").niceScroll();
                }
                //按钮显示情况
                var navObject  = {'company' : "<?=$_lang["index_company"]?>",'dept' : "<?=$_lang["index_dept"]?>",'priv' : "<?=$_lang["index_role"]?>",'user' : "<?=$_lang["index_user"]?>",'finished' : "<?=$_lang["index_complete"]?>"};
                //导航条js
                var navArray    = ['company', 'dept', 'priv', 'user', 'finished'];
                var currentStep = "company";
                var navWidth    = (20 * (array_index(navArray,currentStep) + 1)) + "%";
                $('.progress-bar').css('width',navWidth);
                $('.tip_list_wrap').hide();
                $('#tip_list_company').show();
                //================================页面初始化结束===============================================//

                //================================选项卡，进度条改变操作 start==================================//
                $('.nav_bar').click(function(){
                    $('.nav_bar').removeClass('active');
                    $(this).addClass('active');
                    currentStep = $(this).attr('title');
                    navWidth    = (20 * (array_index(navArray,currentStep) + 1)) + "%";
                    $('.progress-bar').css('width',navWidth);
                    $('.step_wrap').hide();
                    $('#'+currentStep).show();
                    switch(currentStep){
                        case 'company':
                            $('.save').attr('data-type','company');
                            $('.save').show();
                            $('.import').hide();
                            $('.add').hide();
                            $('.tip_list_wrap').hide();
                            $('#tip_list_company').show();
                            break;
                        case 'dept':
                            $('.save').attr('data-type','dept');
                            $('.add').attr('data-type','dept');
                            $('.save').show();
                            $('.add').show();
                            var text = $.trim($('.add').text());
                            $('.add').text(text.substr(0,3) + navObject.dept);
                            $('.tip_list_wrap').hide();
                            if($('#dept').attr('flag') == 0){
                                get_dept();
                            }
                            $('#tip_list_dept').show();
                            break;
                        case 'priv':
                            $('.save').attr('data-type','priv');
                            $('.add').attr('data-type','priv');
                            $('.save').show();
                            $('.add').show();
                            var text = $.trim($('.add').text());
                            $('.add').text(text.substr(0,3) + navObject.priv);
                            $('.tip_list_wrap').hide();
                            if($("#priv").attr('flag') == 0){
                                get_priv();
                            }
                            $('#tip_list_priv').show();
                            break;
                        case 'user':
                            $('.save').attr('data-type','user');
                            $('.add').attr('data-type','user');
                            $('.save').show();
                            $('.import').show();
                            $('.import').addClass('user');
                            $('.add').show();
                            var text = $.trim($('.add').text());
                            $('.add').text(text.substr(0,3) + navObject.user);
                            $('.tip_list_wrap').hide();
                            if($('#user').attr('flag') == 0){
                                $('#user .list').remove();
                                $('#load_more').attr('num',2);
                                get_user();
                            }
                            $('#tip_list_user').show();
                            break;
                        case 'finished':
                            $('.save').hide();
                            $('.import').hide();
                            $('.add').hide();
                            $('.tip_list_wrap').hide();
                            $('#tip_list_finished').show();
                            break;
                        default :
                            break;
                    }
                });  
                $('.container-fluid').on({
                 mouseenter:function(){
                     $(this).addClass('hover');
                 },
                 mouseleave:function(){
                    $(this).removeClass('hover');
                 }
                },'.list');
                //================================选项卡，进度条改变操作 end==============================//

                //====================================get company info start============================//
                get_company();
                //====================================get company info end==============================//

                //====================================对改变的用户数据做标记 start========================//
                $('#user').on({
                     change:function(){
                        var obj = $(this).parent().parent();
                        obj.addClass('change');    
                     }
                },':text');
                $('#user').on({
                     change:function(){
                        var obj = $(this).parent().parent();
                        obj.addClass('change');    
                     }
                },'select');
                //====================================对改变的用户数据做标记 end==========================//

                //====================================保存操作 start=====================================//
                $('.btn_wrap .save').click(function(){
                    var data_type =$(this).attr('data-type');
                    switch(data_type) {
                        case 'company':
                            update_company();
                            break;
                        case 'dept':
                            update_dept();
                            break;
                        case 'priv':
                            update_priv();
                            break;
                        case 'user':
                            update_user();
                            break;
                        default:
                            break;
                    }
                }); 
                //====================================保存操作 end=====================================//

                //====================================添加操作 start=====================================//
                $('.add').click(function(){
                    var data_type =$(this).attr('data-type');
                    switch(data_type) {
                        case 'company':

                            break;
                        case 'dept':
                            var html = '<li class="dd-item" data-id="">\n\
                                        <div class="dd-handle">\n\
                                        <div class="col-xs-1">2</div>\n\
                                        <div class="col-xs-6"><input class="no_border dd-nodrag" type="text" value="<?=$_lang["index_new_dept"]?>" name="DEPT_NAME" style="width:200px;"></div>\n\
                                        <div class="col-xs-3"></div>\n\
                                        <div class="col-xs-1" style="float:right;"><a class="del-dept" title="<?=$_lang["index_del_dept"]?>" href="javascript:void(0);"><i class="fa fa-minus" style="float:right;" type="new"></i></a></div>\n\
                                        </div></li>';
                                $('#nestable').children().append(html);
                            break;
                        case 'priv':
                            var count = $('#priv .list').length;
                            html = '<div class="row list"><div class="col-xs-1">'+(count+1)+'</div>';
                            html += '<div class="col-xs-10"><input type="text" class="no_border"  name="PRIV_NAME" value="<?=$_lang["index_new_role"]?>"/></div>';
                            html += '<div class="col-xs-1"><a href="javascript:void(0);" class="delete-priv-row"><i class="fa fa-minus"></i></a></div></div>';
                            $('#priv').append(html);
                            break;
                        case 'user':
                            $.ajax({
                                url: "do.php",
                                type:'GET',
                                data: {
                                    op: "getDetpAndPriv"
                                }
                            }).done(function(result) {
                                var List = $.parseJSON(result);
                                var count = parseInt($('#user_count').val()) + 1;
                                html = '<div class="row list change" ><div class="col-xs-1">'+count+'</div>';
                                html += '<div class="col-xs-2"><input type="text" style="width:100px" class="no_border user_accounts"  name="USER_ACCOUNTS" value="new_user"/></div>';
                                html += '<div class="col-xs-2"><input type="text" style="width:100px" class="no_border"  name="USER_NAME" value="<?=$_lang["index_new_user"]?>"/></div>';
                                html += '<div class="col-xs-3"><select class="ui-select'+count+'" name="USER_PRIV" data-placeholder="<?=$_lang["index_select_role"]?>" style="width:150px"><option value=""></option>';
                                $.each(List.privList,function(k,v){
                                    html += '<option  value="'+v.USER_PRIV +'">'+v.PRIV_NAME+'</option>';
                                });
                                html += '</select></div>';
                                html += '<div class="col-xs-3"><select class="ui-select'+count+'" name="DEPT_ID" data-placeholder="<?=$_lang["index_select_dept"]?>" style="width:150px"><option value=""></option>';
                                $.each(List.deptList,function(i,ele){
                                    html += '<option value="'+ele.DEPT_ID +'">'+ele.DEPT_NAME+'</option>';
                                });
                                html += '</select></div>';
                                html += '<div class="col-xs-1"><a href="javascript:void(0);"  class="delete-user-row"><i class="fa fa-minus"></i></a></div></div>';
                                $('#user_row').after(html);
                                $('#user .ui-select'+count).select2();
                                $('.select2-container .select2-choice').css('border-radius','0px')
                                $('#user_count').val(count);
                            });
                            break;
                        default:
                            break;
                    }
                });
                //====================================添加操作 end=====================================//

                //====================================删除添加的user row start===============================//
                $('#user').on({
                    click:function(){
                        $(this).parent().parent().remove();
                    }
                },'.delete-user-row');
                //====================================删除添加的user row end===============================//

                //=================================删除新增的priv row start ===============================//
                 $('#priv').on({
                    click:function(){
                        $(this).parent().parent().remove();
                    }
                },'.delete-priv-row');
                //=================================删除新增的priv row end ===============================//

                //=================================加载更多用户 start ===============================//
                $('#load_more').click(function(){
                    var num = $(this).attr('num');
                    if(get_user(num)){
                        $(this).attr('num',parseInt(num)+1);
                    }
                });
                $('#load_more').mouseenter(function(){
                    $(this).css({'background':'#EBEBEB','border':'1px solid #BABABA'});
                }).mouseout(function(){
                    $(this).css({'background':'#CED1D6','border':'1px solid #CED1D6'});
                });
               //=================================加载更多用户 end =================================//

               //================================= activate Nestable for list 1 start==================//
                $('#nestable').nestable({
                    group: 1,maxDepth:10
                });
                //================================= activate Nestable for list 1 end==================//

                //================================= 用户导入操作 start================================//
                $('.btn_wrap').on({
                    click:function(){
                        window.location.href='/general/imp_exp/index.php?table_name=user&sort_select=sort';
                    }
                },'.btn.btn-success.import.user');
                //================================= 用户导入操作 end=================================//
				
				$('#user').on({
					change:function(){
						$(this).parent().parent().removeClass('active');
					}
				},'.change .user_accounts');
            });
            //department set
            var updateOutput = function(e)
            {
                var list   = e.length ? e : $(e.target);
                    list.nestable('serialize')

            };
            //update company
            function update_company(){
                var unitInfor = {
                    'UNIT_NAME':$('#UNIT_NAME').val(),
                    'TEL_NO':$('#TEL_NO').val(),
                    'FAX_NO':$('#FAX_NO').val(),
                    'ADDRESS':$('#ADDRESS').val(),
                    'EMAIL':$('#EMAIL').val(),
                    'BANK_NAME':$('#BANK_NAME').val(),
                    'BANK_NO':$('#BANK_NO').val(),
                    'POST_NO':$('#POST_NO').val(),
                    'URL':$('#URL').val() 
                }; 
                $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "updateCompanyInfor",
                        unitInfor: unitInfor
                    }
                }).done(function(result) {
                    if(result){
                        $.pnotify({text: "<?=$_lang["index_campany_save_success"]?>", type: "success"});
                    }else{
                        $.pnotify({text: "<?=$_lang["index_company_save_failure"]?>", type: "error"});
                    }
                });
            }
            //update dept
            function update_dept(){
                var list = $('#nestable').length ? $('#nestable'): $($('#nestable').target);
                var data = list.nestable('serialize')
                
                var items = $('.dd-item');
                var deptList = Array();
                var flag = 1;
                $.each(items,function(i,v){
                    var dept_no = i +1;
                    var dept_id = $(v).attr('data-id');
                    var dept_name = $(v).children('.dd-handle').find(':text[name=DEPT_NAME]').val();
                    if(dept_name == ''){
                        flag = 0;
                    }
                    var parent_id = $(v).parent().parent('.dd-item').attr('data-id');
                    if(typeof parent_id == 'undefined'){
                        parent_id = 0;
                    }
                    if(parent_id === ''){

                        flag = 2;
                    }
                    var deptInfo = {'DEPT_ID':dept_id,'DEPT_NAME':dept_name,'DEPT_PARENT':parent_id,'DEPT_NO':dept_no};
                    deptList.push(deptInfo);
                });
                if(flag == 0){
                    $.pnotify({text: "<?=$_lang["index_dept_name_not_null"]?>", type: "error"});
                    return false;
                }
                if(flag == 2){
                    $.pnotify({text: "<?=$_lang["index_newdept_can_not_has_son"]?>", type: "error"});
                    return false;
                }
                $.ajax({
                    url: "do.php",
                    type:'POST',
                    data: {
                        op: "updateDept",
                        deptList: deptList,
                    }
                }).done(function(result) {
                    if(result){
                        get_dept();
                        $("#user").attr('flag',0);
                        $.pnotify({text: "<?=$_lang["index_save_success"]?>", type: "success"});
                    }else{
                        $.pnotify({text: "<?=$_lang["index_save_failure"]?>", type: "error"});
                    }
                });
            }
            //update priv
            function update_priv(){
                var obj = $('#priv .list');
                var privList = Array();
                var flag = 1;
                $.each(obj,function(i,v){
                    var USER_PRIV = (typeof $(v).attr('user_priv') == 'undefined') ? '' : $(v).attr('user_priv');
                    var PRIV_NO = i+1;
                    var PRIV_NAME = $(v).find(':text[name=PRIV_NAME]').val();
                    if(PRIV_NAME == ''){
                       flag = 0;
                    }
                    var privInfo = {'USER_PRIV':USER_PRIV,'PRIV_NO':PRIV_NO,'PRIV_NAME':PRIV_NAME};
                    privList.push(privInfo);
                });
                if(flag == 0){
                    $.pnotify({text: "<?=$_lang["index_role_name_not_null"]?>", type: "error"});
                    return false;
                }
                $.ajax({
                    url: "do.php",
                    type:'post',
                    data: {
                        op: "updatePriv",
                        privList: privList,
                    }
                }).done(function(result) {
                    if(result){
                        $('#priv .list').remove();
                        get_priv();
                        $("#user").attr('flag',0);
                        $.pnotify({text: "<?=$_lang["index_save_success"]?>", type: "success"});
                    }else{
                        $.pnotify({text: "<?=$_lang["index_save_failure"]?>", type: "error"});
                    }
                });
            }
            //update user
            function update_user(){
                var userList = Array();
                var flag1 = 1,
                    flag2 = 1,
                    flag3 = 1,
                    flag4 = 1,
                    flag5 = 1;
				var repeatUserAccounts = Array();
                $('#user .change').each(function(key,value){
                    var user_id = (typeof $(value).find(':hidden[name=USER_ID]').val() == 'undefined') ? '':$(value).find(':hidden[name=USER_ID]').val();
                    var user_accounts = $(value).find(':text[name=USER_ACCOUNTS]').val();
					if($.inArray( user_accounts, userAccounts ) >= 0) {
						if($.inArray(user_accounts,repeatUserAccounts) == -1){
							repeatUserAccounts.push(user_accounts);
						}
					}
                    if(user_accounts == ''){
                        flag1 = 0;
                    }
                    var reg = /[^a-zA-Z0-9\u4e00-\u9fa5._@]+/g;
                    if(reg.test(user_accounts)) {
                        $(value).find(':text[name=USER_ACCOUNTS]').val(user_accounts.replace(reg, ""));
                        flag3 = 0;
                    }
                    var user_name = $(value).find(':text[name=USER_NAME]').val();
                    if(user_name == ''){
                        flag2 = 0;
                    }
                    var user_priv = $(value).find('select[name=USER_PRIV]').val();
                    if(user_priv == ''){
                        flag4 = 0;
                    }
                    var dept_id = $(value).find('select[name=DEPT_ID]').val();
                    if(dept_id == ''){
                        flag5 = 0;
                    }
                    var userInfo = {'USER_ID':user_id,'USER_ACCOUNTS':user_accounts,'USER_NAME':user_name,'USER_PRIV':user_priv,'DEPT_ID':dept_id};
                    userList.push(userInfo);
                });
                if(flag1==0 || flag2==0 || flag3 == 0||flag4 == 0 || flag5 == 0){
                    if(flag1 == 0){
                         $.pnotify({text: "<?=$_lang["index_account_not_null"]?>", type: "error"});
                    }
                    if(flag2 == 0){
                        $.pnotify({text: "<?=$_lang["index_name_not_null"]?>", type: "error"});
                    }
                    if(flag3 == 0){
                        $.pnotify({text: "<?=$_lang["index_clear_ exception_code"]?>", type: "error"});
                    }
                    if(flag4 == 0){
                        $.pnotify({text: "<?=$_lang["index_role_not_null"]?>", type: "error"});
                    }
                    if(flag5 == 0){
                        $.pnotify({text: "<?=$_lang["index_dept_not_null"]?>", type: "error"});
                    }
                    return false;
                }
				if(repeatUserAccounts.length > 0){
					$('#user .change').each(function(key,value){
						var user_accounts = $(this).find(':text[name=USER_ACCOUNTS]').val();
						if($.inArray( user_accounts, repeatUserAccounts ) >= 0){
							$(this).addClass('active');
						}
					});
					$.pnotify({text: "<?=$_lang["index_account_exists"]?>", type: "error"});
					return false;
				}
                $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "updateUser",
                        userList: userList,
                    }
                }).done(function(result) {
                    if(result == 1){
                        $('#user .list').remove();
                        get_user();
                        $("#user").attr('flag',0);
                        $.pnotify({text: "<?=$_lang["index_save_success"]?>", type: "success"});
                    }else if(result == 0){
                        $.pnotify({text: "<?=$_lang["index_save_failure"]?>", type: "error"});
                    }else if(result == 2){
						get_user_accounts(true);
                        $.pnotify({text: "<?=$_lang["index_account_exists"]?>", type: "error"}); 
                    }else if(result == 3){
                        $.pnotify({text: "<?=$_lang["index_over_system_max_user"]?>", type: "error"});
                    }
                });
            }
            //get company
            function get_company(){
              $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "getCompanyInfor"
                    }
                }).done(function(result) {
                    var companyInfor = $.parseJSON(result);
                    $.each(companyInfor,function(k,v){
                        $('#'+k).val(v);
                    });
                });
            }
            //get dept info
            function get_dept(){
                $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "getDeptList"
                    }
                }).done(function(result) {
                    $('#nestable').html(result);
                    $("#dept").attr('flag',1);
                });
            }
            // get priv
            function get_priv(){
                $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "getPrivList"
                    }
                }).done(function(result) {
                    var privList = $.parseJSON(result);
                    var html = '';
                    $.each(privList,function(i,v){
                        html += '<div class="row list" user_priv="'+v.USER_PRIV+'"><div class="col-xs-1">'+v.PRIV_NO+'</div>';
                        html += '<div class="col-xs-10"><input type="text" class="no_border"  name="PRIV_NAME" value="'+v.PRIV_NAME+'"/></div>';
                        html += '<div class="col-xs-1"><a href="javascript:void(0);" onclick="javascript:deletePriv('+v.USER_PRIV+',\''+v.PRIV_NAME+'\')"><i class="fa fa-minus"></i></a></div></div>';
                    });
                    $('#priv_row').after(html);
                    $("#priv").sortable({
                        placeholder: "ui-state-highlight" ,
                        cursor: "move",
                        items : ".list",
                        forcePlaceholderSize:true,
                        opacity: 0.6,
                        update: function(event,ui){
                            var text= "<?=$_lang["index_order_is"]?>";
                            $(".list").each(function(){
                                text = text + $(this).attr("id") + " " ;
                            });
                        }
                    });
                    $('#priv').attr('flag',1);
                });
            }
            //delete priv
            function deletePriv(user_priv,priv_name){
                bootbox.confirm("<?=$_lang["index_confirm_delete"]?>"+priv_name, function(result) {
                    if(result){
                        $.ajax({
                            url: "do.php",
                            type:'GET',
                            data: {
                                op: "getPrivUser",
                                user_priv : user_priv,
                            }
                        }).done(function(result) {
                            if(result == 1){
                                $.pnotify({text: "<?=$_lang["index_role_has_user_can_not_del"]?>", type: "error"});
                            }else if(result == 2){
                                $.pnotify({text: "<?=$_lang["index_del_failure_id_not_exists"]?>", type: "error"});
                            }else if(result == 0){
                                real_delete_priv(user_priv)
                            }
                        });
                    }
                });
            }
            //真正删除角色
            function real_delete_priv(user_priv){
                 $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "deletePriv",
                        user_priv : user_priv,
                    }
                }).done(function(result) {
                    if(result == 1){
                        $('#priv .list').remove();
                        get_priv();
                        $("#user").attr('flag',0);
                        $.pnotify({text: "<?=$_lang["index_del_success"]?>", type: "success"});
                    }else if(result == 2){
                        $.pnotify({text: "<?=$_lang["index_del_failure_id_not_exists"]?>", type: "error"});
                    }else if(result == 0){
                        $.pnotify({text: "<?=$_lang["index_del_failure"]?>", type: "error"});
                    }
                });
            }
			function get_user_accounts(flag){
				$.ajax({
					url:'do.php',
					type:'GET',
					data:{
						op: 'getAllUserAccounts'
					}
				}).done(function(result){
					userAccounts = $.parseJSON(result);
					if(flag){
						$('#user .change').each(function(key,value){
							var user_accounts = $(this).find(':text[name=USER_ACCOUNTS]').val();
							if($.inArray( user_accounts, userAccounts ) >= 0){
								$(this).addClass('active');
							}
						});
					}
				});
			}
            // get user
            function get_user(num){
				get_user_accounts();
				
                $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "getUserList",
                        start: num,
                    }
                }).done(function(result) {
                    var List = $.parseJSON(result);
                    if(List.userList == null){
                        $.pnotify({text: "<?=$_lang["index_no_more_data"]?>", type: "error"});
                        return false;
                    }
                    var count = parseInt($('#user_count').val());
                    var html = '';
                    $.each(List.userList,function(key,value){
                        html += '<div class="row list" id="user-'+value.USER_ID+'"><input type="hidden" name="USER_ID" value="'+value.USER_ID+'"><div class="col-xs-1">'+(count+key+1)+'</div>';
                        html += '<div class="col-xs-2"><input type="text" style="width:100px" class="no_border"  name="USER_ACCOUNTS" value="'+value.USER_ACCOUNTS+'"/></div>';
                        html += '<div class="col-xs-2"><input type="text" style="width:100px" class="no_border"  name="USER_NAME" value="'+value.USER_NAME+'"/></div>';
                        html += '<div class="col-xs-3"><select class="ui-select-'+(count+1)+'" name="USER_PRIV" data-placeholder="<?=$_lang["index_select_role"]?>" style="width:150px"><option value=""></option>';
                        var select1 = '';
                        var select_2 = '';
                        var hide = '';
                        if(value.USER_ID == 'admin'){
                            hide = 'style="display:none;"';
                        }else{
                            hide = '';
                        }
                        $.each(List.privList,function(k,v){
                            if(value.USER_PRIV == v.USER_PRIV){
                                select1 = 'selected';
                            }else{
                                select1 = '';
                            }
                            html += '<option  value="'+v.USER_PRIV +'" '+select1+'>'+v.PRIV_NAME+'</option>';
                        });
                        html += '</select></div>';
                        html += '<div class="col-xs-3"><select class="ui-select-'+(count+1)+'" name="DEPT_ID" data-placeholder="<?=$_lang["index_select_dept"]?>" style="width:150px"><option value=""></option>';
                        $.each(List.deptList,function(i,ele){
                            if(value.DEPT_ID == ele.DEPT_ID){
                                select_2 = 'selected';
                            }else{
                                select_2 = '';
                            }
                            html += '<option value="'+ele.DEPT_ID +'" '+select_2+'>'+ele.DEPT_NAME+'</option>';
                        });
                        html += '</select></div>';
                        html += '<div class="col-xs-1"><a href="javascript:void(0);" '+hide+' onclick="javascript:deleteUser(\''+value.USER_ID+'\',\''+value.USER_NAME+'\')"><i class="fa fa-minus"></i></a></div></div>';
                    });
                    $('#user_list').append(html);
                    $('#user_count').val($('#user .list').length);
                       //select 优化
                    $(".ui-select-"+(count+1)).select2();
                    $('.select2-container .select2-choice').css('border-radius','0px')
                    $("#user").attr('flag',1);
                });
                return true;
            }
            //delete user 
            function deleteUser(user_id,user_name){
                bootbox.confirm("<?=$_lang["index_confirm_delete"]?>"+user_name, function(result) {
                  if(result){
                       $.ajax({
                            url: "do.php",
                            type:'GET',
                            data: {
                                op: "deleteUser",
                                user_id : user_id,
                            }
                        }).done(function(result) {
                             if(result == 1){
                                $.pnotify({text: "<?=$_lang["index_del_success"]?>", type: "success"});
                                $('#user-'+user_id).remove();
                            }else if(result == 2){
                                $.pnotify({text: "<?=$_lang["index_del_failure_id_not_exists"]?>", type: "error"});
                            }else if(result == 0){
                                $.pnotify({text: "<?=$_lang["index_del_failure"]?>", type: "error"});
                            }
                        });
                  }
                });
            }
            // delete dept
            function deleteDept(dept_id,dept_name){
                bootbox.confirm("<?=$_lang["index_confirm_delete"]?>"+dept_name, function(result) {
                    if(result){
                        $.ajax({
                            url: "do.php",
                            type:'GET',
                            data: {
                                op: "getSubDeptAndUser",
                                dept_id : dept_id,
                            }
                        }).done(function(result) {
                            if(result == 0){
                                real_delete_dept(dept_id);
                            }else if(result == 1){
                                $.pnotify({text: "<?=$_lang["index_dept_has_son_dept"]?>",type:"error"})
                            }else if(result == 2){
                                $.pnotify({text: "<?=$_lang["index_del_failure_id_not_exists"]?>", type: "error"});
                            }else if(result == 3){
                                $.pnotify({text: "<?=$_lang["index_dept_has_user"]?>",type:"error"})
                            }
                        });
                    }
                });
            }
            //真正删除部门
            function real_delete_dept(dept_id){
                $.ajax({
                    url: "do.php",
                    type:'GET',
                    data: {
                        op: "deleteDept",
                        dept_id : dept_id,
                    }
                }).done(function(result) {
                    if(result == 1){
                        $('#dept .list').remove();
                        get_dept();
                        $("#user").attr('flag',0);
                        $.pnotify({text: "<?=$_lang["index_del_success"]?>", type: "success"});
                    }else if(result == 2){
                        $.pnotify({text: "<?=$_lang["index_del_failure_id_not_exists"]?>", type: "error"});
                    }else if(result == 0){
                        $.pnotify({text: "<?=$_lang["index_del_failure"]?>", type: "error"});
                    }
                });
            }
		</script>
		<style type="text/css">
			body {background: #F5F5F5;padding: 5px;overflow: hidden;}
			input[type='text'] {height: 30px;}
            .no_border{margin-top:-3px;}
			input[type='text'].under_line {width: 400px;}
			.ui-state-highlight {background: #ffffff;border: 1px dashed #EDA464;}
			.step_main_wrap {padding: 3px;}
			.nav_bar_wrap {margin-bottom: 1px;height: 30px;}
			.nav_bar_wrap li { float: left; height: 30px; line-height: 30px;width: 120px; text-align: center;cursor: pointer;}
			.nav_bar_wrap li strong {font-weight: bold;}
			.nav_bar_wrap li.active {background: #EDA464;color: #ffffff;}
			.progress { clear: both;height: 10px; background: #CED1D6;width: 600px;border-radius: 0;margin-bottom: 5px;}
			.progress .progress-bar-inverse {color: #555555;background: #EDA464;}
			.content_wrap { background: #ffffff;padding: 15px;}
			.step_wrap { overflow: auto;}
			.step_wrap td:first-child { width: 100px;}
			.step_wrap .title {height: 35px;line-height: 35px; background: #ECECEC;}
			.step_wrap i {line-height: 35px;}
			.row { margin: 0;}
			.col-xs-3, .col-xs-9 { padding: 0;}
            .col-xs-1,.col-xs-2,.col-xs-3,.col-xs-4,.col-xs-5,.col-xs-6,.col-xs-7,.col-xs-8,.col-xs-9,.col-xs-10{ margin-top:-1px;}
			.step_wrap .row.hover { background: #D8D8D8;}
			.step_wrap .row {height: 35px; line-height: 35px; border-bottom: 1px solid #ECECEC;}
			.select2-container { margin-top: 4px;}
            .no_border{ margin-top:2px;  }           
            /**
            * Nestable
            */
           .dd { position: relative; display: block; margin: 0; padding: 0; max-width: 800px; list-style: none; font-size: 13px; line-height: 20px; }
           .dd-list { display: block; position: relative; margin: 0; padding: 0; list-style: none; }
           .dd-list .dd-list { padding-left: 30px; }
           .dd-collapsed .dd-list { display: none; }
           .dd-item,
           .dd-empty,
           .dd-placeholder { display: block; position: relative; margin: 0; padding: 0; min-height: 20px; font-size: 13px; line-height: 20px;width:600px;}
           .dd-handle { display: block; height: 45px; margin: 5px 0; padding: 5px 10px; color: #333; text-decoration: none; font-weight: bold; border: 1px solid #ccc;
               background: #fff;
               box-sizing: border-box; -moz-box-sizing: border-box;
               width:600px;
           }
           .dd-handle:hover { color: #2ea8e5; background: #D8D8D8; }
           .dd-item > button { display: block; position: relative; cursor: pointer; float: left; width: 25px; height: 20px; margin: 5px 0; padding: 0; text-indent: 100%; white-space: nowrap; overflow: hidden; border: 0; background: transparent; font-size: 12px; line-height: 1; text-align: center; font-weight: bold; }
           .dd-item > button:before { content: '+'; display: block; position: absolute; width: 100%; text-align: center; text-indent: 0; }
           .dd-item > button[data-action="collapse"]:before { content: '-'; }
           .dd-placeholder,
           .dd-empty { margin: 5px 0; padding: 0; min-height: 30px; background: #f2fbff; border: 1px dashed #b6bcbf; box-sizing: border-box; -moz-box-sizing: border-box; }
           .dd-empty { border: 1px dashed #bbb; min-height: 100px; background-color: #e5e5e5;
               background-image: -webkit-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff), 
                                 -webkit-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
               background-image:    -moz-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff), 
                                    -moz-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
               background-image:         linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff), 
                                         linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
               background-size: 60px 60px;
               background-position: 0 0, 30px 30px;
           }
           .dd-dragel { position: absolute; pointer-events: none; z-index: 9999; }
           .dd-dragel > .dd-item .dd-handle { margin-top: 0; }
           .dd-dragel .dd-handle {
               -webkit-box-shadow: 2px 4px 6px 0 rgba(0,0,0,.1);
                       box-shadow: 2px 4px 6px 0 rgba(0,0,0,.1);
           }
           .nestable-lists { display: block; clear: both; padding: 30px 0; width: 100%; border: 0; border-top: 2px solid #ddd; border-bottom: 2px solid #ddd; }
           #nestable-menu { padding: 0; margin: 20px 0; }
           @media only screen and (min-width: 700px) { 
               .dd { float: left; width: 48%; }
               .dd + .dd { margin-left: 2%; }
           }
           .dd-hover > .dd-handle { background: #2ea8e5 !important; }
		   .row.list.active{
				   background:red;
		   }
		</style>
	</head>
	<body>
		<div id="tip" style="z-index:3000;"></div>
		<div class="container-fluid">
			<div class="row" style="border-bottom:1px solid #D9D9D9;">
				<div class="col-xs-9">
					<ul class="nav_bar_wrap" >
						<li class="nav_bar active" title="company">
							<small>1.</small><strong><?=$_lang["index_set_company_name"]?></strong>
						</li>
						<li class="nav_bar" title="dept">
							<small>2.</small><strong><?=$_lang["index_set_dept"]?></strong>
						</li>
						<li class="nav_bar" title="priv">
							<small>3.</small><strong><?=$_lang["index_set_role"]?></strong>
						</li>
						<li class="nav_bar"  title="user">
							<small>4.</small><strong><?=$_lang["index_set_account"]?></strong>
						</li>
						<li class="nav_bar"  title="finished">
							<small>5.</small><strong><?=$_lang["index_finished"]?></strong>
						</li>
					</ul>
					<div class="progress progress-small">
						<div class="progress-bar progress-bar-inverse"></div>
					</div>
				</div>
				<div class="col-xs-3" style="height:46px;line-height:46px;">
					<strong><?=$_lang["index_tip"]?></strong>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-9 content_wrap">
					<div class="step_main_wrap" id="step_main_wrap">
						<div class="btn_wrap" style="padding:10px 5px 10px 0;">
							<button class="btn btn-primary save" data-type="company">
								<?=$_lang["index_save"]?>
							</button>
							<button class="btn btn-success import" style="float:right;display: none;">
								<?=$_lang["index_import"]?>
							</button>
							<button class="btn btn-success add" style="float:right;margin-right:10px;display: none;">
								<?=$_lang["index_add_new"]?>
							</button>
						</div>
						<div class="step_wrap" id="company">
							<table>
								<tr>
									<td> <?=$_lang["index_company_name"]?> </td>
									<td>
									<input type="text" id="UNIT_NAME" class="under_line" value=""/>
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_tel_no"]?> </td>
									<td>
									<input type="text" id="TEL_NO" class="under_line" value="" />
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_fax_no"]?> </td>
									<td>
									<input type="text" id="FAX_NO" class="under_line" value="" />
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_address"]?> </td>
									<td>
									<input type="text" id="ADDRESS" class="under_line" value="" />
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_email"]?> </td>
									<td>
									<input type="text" id="EMAIL" class="under_line" value="" />
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_bank_name"]?> </td>
									<td>
									<input type="text" id="BANK_NAME" class="under_line" value="" />
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_bank_no"]?> </td>
									<td>
									<input type="text" id="BANK_NO" class="under_line" value="" />
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_post_no"]?> </td>
									<td>
									<input type="text" id="POST_NO" class="under_line" value="" />
									</td>
								</tr>
								<tr>
									<td> <?=$_lang["index_url"]?> </td>
									<td>
									<input type="text" id="URL" class="under_line" value="" />
									</td>
								</tr>
							</table>
						</div>

						<!--设置企业部门-->

						<div class="container-fluid step_wrap" id="dept" flag="0" style="overflow:auto;">

							<div class="row" id="dept_row">
								<div class="col-xs-1 title">
									<?=$_lang["index_serial"]?>
								</div>
								<div class="col-xs-10 title">
									<?=$_lang["index_dept"]?>
								</div>
								<div class="col-xs-1 title"></div>
							</div>
                            <div class="dd" id="nestable"></div>
						</div>

						<!--设置角色名称-->
						<div class="container-fluid step_wrap" id="priv" flag="0" style="overflow:auto;">
							<div class="row" id="priv_row">
								<div class="col-xs-1 title">
									<?=$_lang["index_serial"]?>
								</div>
								<div class="col-xs-10 title">
									<?=$_lang["index_role_name"]?>
								</div>
								<div class="col-xs-1 title"></div>
							</div>
						</div>

						<!--设置账号-->
						<div class="container-fluid step_wrap" id="user" flag="0" style="overflow:auto;">
                            <div id="user_list">
                                <div class="row" id="user_row">
                                    <div class="col-xs-1 title">
                                        <?=$_lang["index_serial"]?>
                                    </div>
                                    <div class="col-xs-2 title">
                                        <?=$_lang["index_bank_no"]?>
                                    </div>
                                    <div class="col-xs-2 title">
                                        <?=$_lang["index_name"]?>
                                    </div>
                                    <div class="col-xs-3 title">
                                        <?=$_lang["index_role"]?>
                                    </div>
                                    <div class="col-xs-3 title">
                                        <?=$_lang["index_dept"]?>
                                    </div>
                                    <div class="col-xs-1 title">

                                    </div>
                                </div>
                                <input type="hidden" id="user_count" value="0">
                            </div>
                            <div class="row" id="load_more" style="background: #CED1D6;text-align: center;cursor: pointer;border:1px solid #CED1D6;" num="2">
                                <?=$_lang["index_load_more"]?>
                            </div>
						</div>

						<!--基础数据完成-->
						<div class="step_wrap" id="finished">
							<p>
								<?=$_lang["index_tip1"]?>
							</p>
							<p>
								<?=$_lang["index_tip2"]?>
							</p>
<!--							<button type="button" class="btn btn-danger" >
								删除示例数据
							</button>-->
							<button type="button" id="goto-flow" class="btn btn-info">
								<?=$_lang["index_button1"]?>
							</button>
							<button type="button" id="goto-portal" class="btn btn-default">
								<?=$_lang["index_button2"]?>
							</button>
							<button type="button" id="goto-index" class="btn btn-success">
								<?=$_lang["index_button3"]?>
							</button>
						</div>
                        <script>
                             $(function(){
                                 $('#goto-flow').click(function(){
                                     location.href='/general/workflow/new/index.php'
                                 });
                                 $('#goto-portal').click(function(){
                                     parent.location.reload();
                                 });
                                 $('#goto-index').click(function(){
                                     parent.location.reload();
                                 });
                             });
                        </script>
					</div>
					<style>
						.tip_list_wrap li {height: 30px;line-height: 30px;}
						.tip_list_wrap .fa {color: red;}
					</style>
				</div>
				<div class="col-xs-3" style="padding:10px;">
					<ul class="tip_list_wrap" id="tip_list_company">
						<li>
							<i class="fa fa-square fa-fw" style="color:#F9E8DA;"></i> <?=$_lang["index_tip3"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip4"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip5"]?>
						</li>
					</ul>
					<ul class="tip_list_wrap" id="tip_list_dept">
						<li>
							<i class="fa fa-square fa-fw" style="color:#F9E8DA;"></i> <?=$_lang["index_tip6"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip7"]?>
						</li>
						<li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip8"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip9"]?>
						</li>
                                                <li>
							&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["index_tip10"]?>
						</li>
                                                 <li>
							&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["index_tip11"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip12"]?>
						</li>
                                                <li>
							&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["index_tip13"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip14"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip15"]?>
						</li>
					</ul>
					<ul class="tip_list_wrap" id="tip_list_priv">
						<li>
							<i class="fa fa-square fa-fw" style="color:#F9E8DA;"></i> <?=$_lang["index_tip16"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip17"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip18"]?>
						</li>
                                                <li>
							&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["index_tip19"]?>
						</li>
                                                <li>
							&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["index_tip20"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip21"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip22"]?>
						</li>
					</ul>
					<ul class="tip_list_wrap" id="tip_list_user">
						<li>
							<i class="fa fa-square fa-fw" style="color:#F9E8DA;"></i> <?=$_lang["index_tip23"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip24"]?>
						</li>
                                                <li>
							&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["index_tip25"]?>
						</li>
                                                <li>
							&nbsp;&nbsp;&nbsp;&nbsp;<?=$_lang["index_tip26"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip27"]?>
						</li>
                                                <li>
							<i class="fa fa-square fa-fw" style="color:#E9EEDE;"></i> <?=$_lang["index_tip28"]?>
						</li>
					</ul>
					<ul class="tip_list_wrap" id="tip_list_finished">
						<li>
							<i class="fa fa-square fa-fw" style="color:#F9E8DA;"></i> <?=$_lang["index_tip29"]?>
						</li>
					</ul>
				</div>
			</div>
		</div>

	</body>
</html>
