

var _IE6 = ((!!window.ActiveXObject)&&!window.XMLHttpRequest);

Array.prototype.baoremove = function(dx) 
{ 
    if(isNaN(dx)||dx>this.length){return false;} 
    this.splice(dx,1); 
};

/**
 * json \u8f6c\u5316\u6210String
 * @param obj
 * @returns
 */
var jsonToString =  function(obj){  
        var THIS = this;   
        switch(typeof(obj)){  
            case 'string':  
                return '"' + obj.replace(/(["\\])/g, '\\$1') + '"';  
            case 'array':  
                return '[' + obj.map(THIS.jsonToString).join(',') + ']';  
            case 'object':  
                 if(obj instanceof Array){  
                    var strArr = [];  
                    var len = obj.length;  
                    for(var i=0; i<len; i++){  
                        strArr.push(THIS.jsonToString(obj[i]));  
                    }  
                    return '[' + strArr.join(',') + ']';  
                }else if(obj==null){  
                    return 'null';  
  
                }else{  
                    var string = [];  
                    for (var property in obj) string.push(THIS.jsonToString(property) + ':' + THIS.jsonToString(obj[property]));  
                    return '{' + string.join(',') + '}';  
                }
            case 'number':  
                return obj;  
            case "boolean" :  
                return obj;  
        }  
    };

function getCurrentLocation(){
	if(Touch.deviceDetect()){
		var gps = navigator.geolocation;  
		if (gps){
			gps.watchPosition(
				function(position){
					iPS.geographyLocation[0] = position.coords.latitude;
					iPS.geographyLocation[1] = position.coords.longitude;
				},
				function(error){  
					art.dialog.alert("Got an error, code: " + error.code + " message: "+ error.message);  
			},{maximumAge: 10000,enableHighAccuracy:true,timeout:20000}); // \u8fd9\u91cc\u8bbe\u7f6e\u8d85\u65f6\u4e3a10000\u6beb\u79d2\uff0c\u537310\u79d2  
		}
	}
}

function getAppName(){
	var _ua = navigator.userAgent;
	var _ua_arr =_ua.split(";");
	
	var appName = [];
	if(Touch.deviceDetect()){
		appName.push(_ua.substring(0, _ua.indexOf("/")));
		var _m = _ua.substring(_ua.indexOf("(")+1, _ua.indexOf(")")).split(";");
		appName.push(_m);
	}else {
		appName.push(navigator.appName);
		for ( var i = 0; i < _ua_arr.length; i++) {
			if(i==2||i==4){
				_ua_arr[i] = _ua_arr[i].replace(")","");
				appName.push(_ua_arr[i]);
			}
		}
	}
	var _ua_arr  =_ua.split(";");
	
	return appName;
}

/**
 * PNG\u56fe\u7247IE6\u900f\u660e\u5904\u7406
 * @param img\uff0c\u56fe\u7247\u5bf9\u8c61
 * @param w\uff0c\u56fe\u7247\u5bbd\u5ea6
 * @param h\uff0c\u56fe\u7247\u9ad8\u5ea6
 * @param src \u56fe\u7247\u5730\u5740
 */
function setPng(img, w, h, src) {  
	if(_IE6){
	    imgStyle = "display:inline-block;" + img.style.cssText;  
	    strNewHTML = "<span id='"+img.id+"' style=\"width:" + w + "px; height:" + h + "px;"  
	            + imgStyle + ";"  
	            + "filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"  
	            + src + "', sizingMethod='scale');\"></span>";  
	    img.outerHTML = strNewHTML;  
    }else{
    	if(img){
	    	img.style.width=w+"px";   
	    	img.style.height=h+"px";   
	    	img.setAttribute("src",src);
    	}
    }
}  


/** iSignaturePhone
 *  ---------------------------------------------------------------------------
 *  >>\u63a5\u53e3\uff1a
 *      checkSignature:\u5220\u9664\u7b7e\u7ae0\u65b9\u6cd5
 *      checkSignature:\u9a8c\u8bc1\u6307\u5b9a\u7ae0\u7684\u4fe1\u606f,\u652f\u6301\u591a\u4e2a\u7b7e\u7ae0\u9a8c\u8bc1\u65b9\u6cd5
 *      showGetSignatureByKey:\u663e\u793adiv\u7a97\u53e3,\u5e76\u7ed1\u5b9a\u7b7e\u7ae0\u64cd\u4f5c
 *
 *  @Author:\u718a\u658c
 *  ---------------------------------------------------------------------------
 */
function iSignaturePhone(){
	/**
	 * \u5b9a\u4e49div\u663e\u793a\u5185\u5bb9
	 */
	this.isgnatureHTML='<div id="iSignaturePhoneWindow" class="iSignaturePhoneWindow">'+
		   '<div>'+
	      '<div class="FTextArea"><span>\u7b7e\u7ae0: </span><select  name="signName" id="signaturePhone_SignName" class="" /></select></div>'+
			 '<span class="blank20"></span>'+
	      '<div class="FTextArea"><span>\u5bc6\u7801: </span><input type="password" name="password" value="" id="signaturePhone_Password" class="" /></div>'+
	     '</div>';
	this.delSignatureHTML='<div id="iSignaturePhoneWindow" class="iSignaturePhoneWindow">'+
	   '<div>'+
	   '<div class="FTextArea"><span>\u7b7e\u7ae0: @SIGNNAME@</span></div><span class="blank20"></span>'+
	   '<div class="FTextArea"><span>\u5bc6\u7801: </span><input type="password" name="password" value="" id="signaturePhone_Password" class="" /></div>'+
	  '</div>';
	this.changeHTML='<div id="changePwdWindow" class="iSignaturePhoneWindow">'+
	   '<div>'+
	   '<div class="FTextArea"><span>keySN: </span><span id="change_keysn"></span></div>'+
	   '<span class="blank20"></span>'+
	   '<div class="FTextArea"><span>\u65e7\u5bc6\u7801: </span><input type="password" name="oldPwd" value="" id="signaturePhone_oldPwd" class="" /></div>'+
	   '<span class="blank20"></span>'+
	   '<div class="FTextArea"><span>\u65b0\u5bc6\u7801: </span><input type="password" name="newPwd" value="" id="signaturePhone_newPwd" class="" /></div>'+
	   '<span class="blank20"></span>'+
	   '<div class="FTextArea"><span>\u65b0\u5bc6\u7801: </span><input type="password" name="comfirmPwd" value="" id="signaturePhone_comfirmPwd" class="" /></div>'+
	  '</div>';
	this.backgroundImage = true;
	this.spPATH = null;
	this.debug=true;
	this.isGet =false;
	this.signatures=[];
	this.detail=true;
	this.crossDomain = "";
	this.checkUrl = "m-signature/CheckSignature";//\u9a8c\u8bc1\u8bf7\u6c42\u5730\u5740
	this.getImgUrl = "m-signature/GetSignImg";//\u83b7\u53d6\u7b7e\u7ae0\u56fe\u7247\u8bf7\u6c42\u5730\u5740
	this.runSignatureUrl = "m-signature/RunSignature";//\u6267\u884c\u7b7e\u7ae0\u8bf7\u6c42\u5730\u5740
	this.getSignatureByKeyUrl = "m-signature/GetSignatureByKey";//\u83b7\u53d6\u5370\u7ae0\u5217\u8868\u5730\u5740
	this.removeSignatureUrl ="m-signature/RemoveSignature";//\u5220\u9664\u7b7e\u7ae0
	this.delSignatureUrl ="m-signature/DelSignature";//\u5220\u9664\u7b7e\u7ae0
	
	this.getSignInfoUrl = "m-signature/GetSignInfo";//\u83b7\u53d6\u7b7e\u7ae0\u4fe1\u606f(\u5305\u62ec\u8bc1\u4e66\u4fe1\u606f)\u5730\u5740
	this.getSignaturesByDocument = "m-signature/GetSignaturesByDocument";//\u83b7\u53d6\u7b7e\u7ae0\u4fe1\u606f\u8bf7\u6c42\u5730\u5740
	this.runCertUrl = "m-signature/RunCert";//\u6570\u5b57\u7b7e\u540d\u8bf7\u6c42\u5730\u5740
	this.verifyCertUrl = "m-signature/VerifyCert";//\u9a8c\u8bc1\u8bc1\u4e66\u8bf7\u6c42\u5730\u5740
	this.verifySignUrl = "m-signature/VerifySign";//\u9a8c\u8bc1\u7b7e\u540d\u6570\u636e\u8bf7\u6c42\u5730\u5740
	this.changePwdUrl = "m-signature/ChangePwd";//\u4fee\u6539\u5bc6\u7801
	this.isAlertMsg=false;
	
	this.geographyLocation =[];
	
	this.dialog=false;//\u5f53\u524d\u663e\u793adiv\u7a97\u53e3
	
	this.templates = '<div class="kg_div" id="kg_div" >' +
			'<div class="kg_module " id="kg_module" >' +
				'<div class="kg_tabs">' +
					'<ul>' +
						'<li class="current" mark="home"><a class="home" href="javascript:void(0);"><span>\u7b7e\u7ae0\u4fe1\u606f</span></a></li>' +
						'<li mark="shortcuts"><a class="shortcuts"  href="javascript:void(0);"><span>\u8bc1\u4e66\u4fe1\u606f</span></a></li>' +
					'</ul>' +
				'</div>' +
			'</div>' +
			'<div class="kg_module kg_content" >' +
				'<div class="kg_home_widget">' +
					'<div class="kg_slide">' +
						'<div class="kg_loading"><span>loading..</span></div>'+
					'</div>' +
				'</div>' +
				'<div class="kg_shortcuts_widget none" >' +
					'<div class="kg_slide">' +
					'</div>' +
				'</div>' +
			'</div>' +
		'</div>';
}

/**
 * \u83b7\u53d6\u672c\u6587\u4ef6\u7684\u8def\u5f84
 */
iSignaturePhone.prototype.ready = function(){
	var THIS = this;
	var me, scripts = document.getElementsByTagName('script');
	for (i in scripts) {
		if (scripts[i].src && scripts[i].src.lastIndexOf('iSignaturePhone') !== -1) me = scripts[i].src;
	};
	THIS.spPATH = me.substring(0,me.indexOf("iSignaturePhone"));
};

/**
 * \u7b7e\u7ae0\u521d\u59cb\u5316\u65b9\u6cd5,\u521d\u59cb\u5316\u7b7e\u7ae0\u8bf7\u6c42\u5730\u5740,\u83b7\u53d6\u6587\u6863\u7684\u6240\u6709\u7b7e\u7ae0,\u5e76\u9a8c\u8bc1\u6240\u6709\u7b7e\u7ae0.
 * _params\u662fjson\u6570\u636e,\u5305\u62ec\u4e00\u4e0b\u5c5e\u6027
 * {
 * isGet: boolean \u662f\u5426\u4f7f\u7528get\u65b9\u5f0f\u63d0\u4ea4\u8bf7\u6c42,\u8be5\u65b9\u6cd5\u4e3b\u8981\u7528\u6765\u8de8\u57df,\u9ed8\u8ba4\u4e3afalse
 * documentId: String \u6587\u6863id,\u5fc5\u987b\u4f20\u5165
 * xmlValue: String \u6587\u6863\u4fdd\u62a4\u6570\u636exml\u683c\u5f0f\u6570\u636e,\u5fc5\u987b\u4f20\u5165
 * }
 */
iSignaturePhone.prototype.init=function(_params){
	var THIS = this;
	THIS.ready();
	if(_params.isGet){
		THIS.isGet=true;
	}
	if(_params.crossDomain){
		THIS.crossDomain = _params.crossDomain;
		if(_params.crossDomain.substring(_params.crossDomain.length-1, _params.crossDomain.length)!="/"){
			THIS.crossDomain += "/";
		}
	}
	THIS.detail=(_params.detail!=undefined)?_params.detail:true;
	THIS.backgroundImage=(_params.backgroundImage!=undefined)?_params.backgroundImage:true;
	THIS.checkUrl=THIS.crossDomain+(_params.checkUrl?_params.checkUrl:THIS.checkUrl);
	THIS.getImgUrl=THIS.crossDomain+(_params.getImgUrl?_params.getImgUrl:THIS.getImgUrl);
	THIS.runSignatureUrl=THIS.crossDomain+(_params.runSignatureUrl?_params.runSignatureUrl:THIS.runSignatureUrl);
	THIS.getSignatureByKeyUrl=THIS.crossDomain+ (_params.getSignatureByKeyUrl?_params.getSignatureByKeyUrl:THIS.getSignatureByKeyUrl);
	THIS.removeSignatureUrl =THIS.crossDomain+ (_params.removeSignatureUrl?_params.removeSignatureUrl:THIS.removeSignatureUrl);
	THIS.getSignInfoUrl =THIS.crossDomain+( _params.getSignInfoUrl?_params.getSignInfoUrl:THIS.getSignInfoUrl);
	THIS.getSignaturesByDocument =THIS.crossDomain+ (_params.getSignaturesByDocument?_params.getSignaturesByDocument:THIS.getSignaturesByDocument);
	THIS.delSignatureUrl =THIS.crossDomain+ (_params.delSignatureUrl?_params.delSignatureUrl:THIS.delSignatureUrl);
	
	
	THIS.runCertUrl =THIS.crossDomain+ (_params.runCertUrl?_params.runCertUrl:THIS.runCertUrl);
	THIS.verifyCertUrl =THIS.crossDomain+ (_params.verifyCertUrl?_params.verifyCertUrl:THIS.verifyCertUrl);
	THIS.verifySignUrl =THIS.crossDomain+ (_params.verifySignUrl?_params.verifySignUrl:THIS.verifySignUrl);
	THIS.changePwdUrl =THIS.crossDomain+ (_params.changePwdUrl?_params.changePwdUrl:THIS.changePwdUrl);

	iSP.ajax(THIS.getSignaturesByDocument,{documentId:_params.documentId},function(data){
			if(data.properties.signatures){
				THIS.signatures=data.properties.signatures;
			}
			var checkSignatureParams = {"signatures":THIS.signatures};//\u83b7\u53d6\u7b7e\u7ae0\u6570\u636e,\u6307\u5b9a\u9a8c\u8bc1\u90a3\u4e9b\u5370\u7ae0
			if(_params.xmlValue){
				checkSignatureParams.xmlValue=_params.xmlValue;
			}else{
				checkSignatureParams.fieldsList = _params.fieldsList;
				checkSignatureParams.fieldsListValue=_params.fieldsListValue;
			}
			if(_params.callback)checkSignatureParams.callback=_params.callback;
			
			THIS.isAlertMsg=false;//alert\u9a8c\u8bc1\u7ed3\u679c\u4fe1\u606f.
			iSP.checkSignature(checkSignatureParams);//\u6267\u884c\u9a8c\u8bc1\u7b7e\u7ae0\u64cd\u4f5c
		}
	);
	iSP._addEvent();
	if(THIS.detail){
		iSP.bindDetail();
	}
};

iSignaturePhone.prototype.shoSignMsg = function (signatureDiv){
	var signatureId = signatureDiv.attr("signatureId");
	var documentId = signatureDiv.attr("documentId");
	var signature = iSP.getSigngatureData(signatureId);
	iSP.dialog = artDialog({
		id:new Date().getTime(),
		content:iSP.templates,
		width:"320px",
		height:"213px",
		title :true,
		lockClick:true,
	    fixed: true,
	    padding:0,
	    ok:false,
	    cancel:false,
	    lock: true,
	    background: '#000', // \u80cc\u666f\u8272
	    opacity: 0.6	// \u900f\u660e\u5ea6
		});
	iSP.getSignInfo({signatures:signature,callback:iSP.signatureFun,dialog:iSP.dialog.config.id});
};


iSignaturePhone.prototype.delSignature = function(ps){
	var mark = false;
	var _param = ps;
	iSP.ajax(iSP.delSignatureUrl,_param,
		function(_data){
			 if(!_data.error) {
 				var _propeties=(_data.properties);
 				if(_propeties.signatureId){
 					iSP.removeSignatureData(_propeties.signatureId);
 					$("#signDiv"+_propeties.signatureId).remove();
 					mark = true;
 				}
			 }
	 		if(!_param.callback){
	 			if(_data.error) {
	 				art.dialog.alert(_data.errorMsg); 
				}
	 		}else {
	 			_param.callback(_data);
	 		}
		},true
	);
	return mark;
};

iSignaturePhone.prototype.bindDetail = function(){
	$("div[id^='signDiv']").live("click",function(){
		var THIS =$(this);
		iSP.shoSignMsg(THIS);
		}
	);
	
	$(".kg_close").live("click",function(){
		iSP.dialog.close();
	});
	
	$("#kg_removeSignature").live("click",function(){
		var signaturedetail =$(".signdetail");
		var signatureId = signaturedetail.attr("signatureid");
		var documentid = signaturedetail.attr("documentid");
		var signname = $(".signdetail").attr("signname");
		iSP.dialog.close();
		var THIS=this;
		var _temp  = iSP.delSignatureHTML.replace("@SIGNNAME@",signname);
		var myDialog = artDialog({
			content: _temp,
			id:new Date().getTime(),
			title:'\u64a4\u9500\u7b7e\u7ae0',
			width:'300px',
			height:'80px',
			lockClick:true,
		    fixed: true,
		    lock: true,
		    background: '#000', // \u80cc\u666f\u8272
		    opacity: 0.6,	// \u900f\u660e\u5ea6
		    ok: function () {
		    	var _ps = {
		    		"signatureId":signatureId,
		    		"documentId":documentid,
		    		"password":$("#signaturePhone_Password").val(),
		    		"signName":signname
		    	};
		    	var _r = iSP.delSignature(_ps);
		    	if(iSP.isGet){
		    		return true;
		    	}
		    	return _r;
		    },
		    cancel: true
			});
	});
	$(".kg_verifySign").live("click",function(){
		var _dialog = iSP.dialog.config.id;
		var __T = $(".signdetail","#"+_dialog);
		var fieldNames = __T.attr("fieldNames").split(";");
		var fieldDescs = __T.attr("fieldDescs").split(";");
		var __fieldsList="";
		var __fieldsListValue="";
		for ( var ki = 0; ki < fieldNames.length; ki++) {
			var $_fieldName = $("#"+fieldNames[ki]);
			var __val ='';
			if($_fieldName.length>0){
				if($_fieldName.is('input')){
					__val = $_fieldName.val();
				}else{
					__val = $_fieldName.html();
				}
				__fieldsList += $_fieldName.attr('id')+"="+fieldDescs[ki]+";";
				__fieldsListValue += $_fieldName.attr('id')+"="+__val+"@_@";
			}
			}
		__fieldsList = __fieldsList.substring(0, __fieldsList.lastIndexOf(";" ));
		__fieldsListValue = __fieldsListValue.substring(0, __fieldsListValue.lastIndexOf("@_@" ));
		var _param = {
			documentId:__T.attr("documentid"),
			signatureId:__T.attr("signatureid"),
			fieldsList:__fieldsList,
			fieldsListValue:__fieldsListValue,
			dialog:_dialog
		};
		;
		if(iSP.verifySign(_param)||iSP.isGet){
			iSP.dialog.close();
		}
	});
	$(".kg_verifyCert").live("click",function(){
		var _dialog = iSP.dialog.config.id;
		var __T = $(".signdetail","#"+_dialog);
		var _param = {
			documentId:__T.attr("documentid"),
			signatureId:__T.attr("signatureid"),
			dialog:_dialog
		};
		if(iSP.verifyCert(_param)||iSP.isGet){
			iSP.dialog.close();
		}
	});
	$(".kg_runCert").live("click",function(){
		var THIS = $(this);
		var _dialog = iSP.dialog.config.id;
		var __T = $(".signdetail","#"+_dialog);
		var _signature = iSP.getSigngatureData(__T.attr("signatureid"))[0];
		var _param = {
			documentId:_signature.documentId,
			keySN:_signature.signature.keySn,
			signSN:_signature.signature.signatureSN,
			signName:__T.attr("signname"),
			signatureId:__T.attr("signatureid"),
			dialog:_dialog
		};
		if(iSP.runCert(_param)||iSP.isGet){
			iSP.dialog.close();
		}
	});
	
	
	
};

/**
 * \u5355\u4e2a\u7b7e\u7ae0\u89e3\u6790
 * @param _data
 */
iSignaturePhone.prototype.signatureFun = function(_data){
	if(!_data.error) {//
		var $_curent_signDiv ;
 		var _signatures=(_data.properties.signatures);
 		var _t_signature ;
 		iSP.dialog.content(iSP.templates);
			if(_signatures!="null"){
				_t_signature =_signatures[0];
				$_curent_signDiv = $("#signDiv"+_t_signature.signatureId);
				var isModified = $_curent_signDiv.attr("ismodified");
				var _signature = "<table class='dbtable signdetail' signsn='"+_t_signature.signatureSN+"' signname='"+_t_signature.signatureName+"' documentid='"+_t_signature.documentId+"' signatureid='"+_t_signature.signatureId+"'>";
				try
				{
					if("true" == isModified.toString()){
						_signature += "<tr><td class='dbtitle'>\u68c0\u6d4b\u7ed3\u679c\uff1a</td><td class='dbcontent'>\u6587\u4ef6\u5df2\u88ab\u7be1\u6539</td></tr>";
					}else{
						_signature += "<tr><td class='dbtitle'>\u68c0\u6d4b\u7ed3\u679c\uff1a</td><td class='dbcontent'>\u6587\u4ef6\u5b8c\u597d\u65e0\u635f</td></tr>";
					}
				}
				catch (err)
				{
					_signature += "<tr><td class='dbtitle'>\u68c0\u6d4b\u7ed3\u679c\uff1a</td><td class='dbcontent'>\u6587\u4ef6\u5b8c\u597d\u65e0\u635f</td></tr>";
				}
				 _signature += "<tr><td class='dbtitle'>\u5e94\u7528\u7a0b\u5e8f\uff1a</td><td class='dbcontent'>"+_t_signature.appName+"</td></tr>";
				 _signature += "<tr><td class='dbtitle'>\u6388\u6743\u5355\u4f4d\uff1a</td><td class='dbcontent'>"+_t_signature.unitName+"</td></tr>";
				 _signature += "<tr><td class='dbtitle'>\u7528\u6237\u540d\u79f0\uff1a</td><td class='dbcontent'>"+_t_signature.userName+"</td></tr>";
				 _signature += "<tr><td class='dbtitle'>\u7b7e\u7ae0\u540d\u79f0\uff1a</td><td class='dbcontent' class='signname'>"+_t_signature.signatureName+"</td></tr>";
				 _signature += "<tr><td class='dbtitle'>\u7b7e\u7ae0\u5e8f\u53f7\uff1a</td><td class='dbcontent'>"+_t_signature.signatureSN+"</td></tr>";
				 _signature += "<tr><td class='dbtitle'>\u7b7e\u7ae0\u65f6\u95f4\uff1a</td><td class='dbcontent'>"+_t_signature.datetime+"</td></tr>";
				 _signature += "<tr><td class='dbtitle'>\u7b7e&nbsp;&nbsp;&nbsp;\u7ae0IP\uff1a</td><td class='dbcontent'>"+_t_signature.signatureIp+"</td></tr>";
				 _signature += "</table>";
				 
				 _signature += "<div class='kg_buttons'>";
				 _signature += "<button id='kg_close' class='kg_close' >\u5173\u95ed</button>";
				 _signature += "<button id='kg_removeSignature' class='kg_removeSignature' >\u5220\u9664\u7b7e\u7ae0</button>";
				 _signature += " </div>";
				var _obj =$(".kg_module .kg_home_widget .kg_slide","#"+iSP.dialog.config.id);
				_obj.html(_signature);
			}
		var _certificates=(_data.properties.certificates);
		if(_certificates&&_certificates.length>0){
			var _certificate_html = "<table class='dbtable certificateDetail'><tbody>";
			var _certificate =_certificates[0];
			if("true" == _certificate.signed){
				var __T = $(".signdetail","#"+iSP.dialog.config.id);
				__T.attr("fieldNames",_data.properties.certificates[0].fieldNames);
				__T.attr("fieldDescs",_data.properties.certificates[0].fieldDescs);
				_certificate_html += "<tr><td class='dbtitle2'>\u7248\u672c\uff1a</td><td class='dbcontent'>"+_certificate.version+"</td></tr>";
				_certificate_html += "<tr><td class='dbtitle2'>\u9881\u53d1\u8005\uff1a</td><td class='dbcontent'>"+_certificate.issuerName+"</td></tr>";
				_certificate_html += "<tr><td class='dbtitle2'>\u9881\u53d1\u7ed9\uff1a</td><td class='dbcontent'>"+_certificate.subjectName+"</td></tr>";
				_certificate_html += "<tr><td class='dbtitle2'>\u5e8f\u5217\u53f7\uff1a</td><td class='dbcontent'>"+_certificate.serialNumber+"</td></tr>";
				_certificate_html += "<tr><td class='dbtitle2'>\u7b7e\u540d\u7b97\u6cd5\uff1a</td><td class='dbcontent'>"+_certificate.sigAlgName+"</td></tr>";
				_certificate_html += "<tr><td class='dbtitle2'>\u6709\u6548\u8d77\u59cb\u65e5\u671f\uff1a</td><td class='dbcontent'>"+_certificate.notBefore+"</td></tr>";
				_certificate_html += "<tr><td class='dbtitle2'>\u6709\u6548\u7ec8\u6b62\u65e5\u671f\uff1a</td><td class='dbcontent'>"+_certificate.notAfter+"</td></tr>";
				_certificate_html += "</tbody></table>";
				_certificate_html += "<div class='kg_buttons'>";
				_certificate_html += "<button id='kg_close' class='kg_close' >\u5173\u95ed</button>";
				_certificate_html += "<button class='kg_verifySign' >\u7b7e\u540d\u9a8c\u8bc1</button>";
				_certificate_html += "<button class='kg_verifyCert' >\u8bc1\u4e66\u9a8c\u8bc1</button>";
				_certificate_html += " </div>";
			}else{
				_certificate_html += "<tr><td colspan='2'>"+_certificate.errorMsg+"</td></tr>";
				_certificate_html += "</tbody></table>";
				_certificate_html += "<div class='kg_buttons'>";
				_certificate_html += "<button id='kg_close' class='kg_close' >\u5173\u95ed</button>";
				_certificate_html += "<button class='kg_runCert' >\u6570\u5b57\u7b7e\u540d</button>";
				_certificate_html += " </div>";
				
			}
			
			var _obj =$(".kg_module .kg_shortcuts_widget .kg_slide","#"+iSP.dialog.config.id);
			_obj.html(_certificate_html);
		}
		iSP.dialog.size(iSP.dialog.config.width,$(".kg_content").height());
		Touch.TMS.shortcuts();
 	}else{
 		art.dialog.alert(_data.errorMsg); 
 		$.dialog.list[iSP.dialog.config.id].close();
 	}
};

/**
 * \u5220\u9664signature
 */
iSignaturePhone.prototype.removeSignatureData = function(signatureId){
	var THIS =this;
	var _signatureA =[];
	if(THIS.signatures.length>0){
		for ( var i = 0; i < THIS.signatures.length; i++) {
			var _signature = THIS.signatures[i];
			if(_signature.signatureId == signatureId){
				THIS.signatures.baoremove(i);
				break;
			}
		}
	}
	return true;
};


/**
 * \u83b7\u53d6\u6307\u5b9a\u7528\u6237\u7684\u76d6\u7684\u7b7e\u7ae0
 * @param username
 * @returns {Array}
 */
iSignaturePhone.prototype.getSignatureByUserName = function(username){
	var THIS =this;
	var _signatureA =[];
	if(THIS.signatures.length>0){
		for ( var i = 0; i < THIS.signatures.length; i++) {
			var _signature = THIS.signatures[i];
			if(_signature.signature.userName == username){
				_signatureA.push(_signature);
				continue;
			}
		}
	}
	return _signatureA;
};

iSignaturePhone.prototype.getSigngatureData = function(signatureId){
	var THIS =this;
	var _signatureA =[];
	if(THIS.signatures.length>0){
		for ( var i = 0; i < THIS.signatures.length; i++) {
			var _signature = THIS.signatures[i];
			if(_signature.signatureId == signatureId){
				_signatureA.push(_signature);
				break;
			}
		}
	}
	return _signatureA;
};

iSignaturePhone.prototype.ajax = function(the_url,the_param,succ_callback,_async){
	if(the_url.indexOf("?")==-1){the_url+="?1=1&appName="+getAppName();}
	if(this.isGet){
		for ( var key in the_param) {
			the_param.key = encodeURIComponent(encodeURIComponent(the_param[key]));
		}
	}
	$.ajax({
		cache:the_param.cache,
        type:(this.isGet?"GET":"POST"),
        url:the_url+"&"+(this.isGet?"jsoncallback=?":""),
        data:the_param,
        dataType:"json",
        async:!_async,
        success:succ_callback,
        error:function(html){
        }
    });
};


/**
 * \u663e\u793a\u83b7\u53d6\u5370\u7ae0\u5217\u8868div\u7a97\u53e3
 * @param params
 */
iSignaturePhone.prototype.showGetSignatureByKey = function (params){
	var THIS=this;
	var ps=params;
	THIS.ajax(THIS.getSignatureByKeyUrl,ps.runSignatureParams,
		function(data){
			if(params.getSignatureCallback){
				params.getSignatureCallback(data.properties);
			}else{
				if(data.error){
					art.dialog.alert(data.errorMsg);
				}else{
					THIS.showSignatureDivFun(ps, data.properties);
		        }  
			}
			
		}
	);
};



/**
 * \u663e\u793adiv\u7a97\u53e3,\u4f7f\u7528artDialog.js
 * @param ps
 * @returns {Boolean}
 */

iSignaturePhone.prototype.showSignatureDivFun=function (ps,properties){
	var THIS=this;
	var myDialog = artDialog({
		content: THIS.isgnatureHTML,
		id:new Date().getTime(),
		title:'\u7535\u5b50\u7b7e\u7ae0',
		width:'300px',
		height:'80px',
		lockClick:true,
	    fixed: true,
	    lock: true,
	    background: '#000', // \u80cc\u666f\u8272
	    opacity: 0.6,	// \u900f\u660e\u5ea6
	    ok: function () {
	   		var _r = THIS.runSignatureFun(ps);
	    	if(iSP.isGet){
	    		return true;
	    	}
	    	return _r;
	    },
	    cancel: true
		});
	
	var signaturePhone_SignName=document.getElementById("signaturePhone_SignName");
	signaturePhone_SignName.focus();
	var _signatures=properties.signatures;
	for(var i=0; i<_signatures.length;i++){
		var option=new Option(_signatures[i].signName,_signatures[i].signSn);  
		signaturePhone_SignName.options.add(option);  
		$(option).attr("id",_signatures[i].signSn);
		$(option).attr("signname",_signatures[i].signName);
		
	}
};



/**
 * \u6267\u884c\u7b7e\u7ae0\u64cd\u4f5c,\u5c06ps\u4e2d\u53c2\u6570\u548cdiv\u4e2d\u7684\u5370\u7ae0\u540d\u79f0\u548c\u5bc6\u7801\u63d0\u4ea4\u7ed9\u670d\u52a1\u5668
 * @param ps
 * @returns {Boolean}
 */
iSignaturePhone.prototype.runSignatureFun=function(ps){
	var mark =false;
	var signaturePhone_SignName=$("#signaturePhone_SignName");
	var signaturePhone_Password=$("#signaturePhone_Password");
	if(signaturePhone_SignName.val()==''){
		art.dialog.alert("\u8bf7\u9009\u62e9\u7b7e\u7ae0!");
		return false;
	}
	if(signaturePhone_Password.val()==''){
		art.dialog.alert("\u8bf7\u8f93\u5165\u5bc6\u7801!");
		return false;
	}
	ps.runSignatureParams.signSN=signaturePhone_SignName.val();
	ps.runSignatureParams.keyValue=document.getElementById(ps.runSignatureParams.signSN).getAttribute("signname");
	ps.runSignatureParams.keyPassword=signaturePhone_Password.val();
	if(ps.xmlValue){
		ps.runSignatureParams.xmlValue=ps.xmlValue;
	}else{
		ps.runSignatureParams.fieldsList = ps.fieldsList;
		ps.runSignatureParams.fieldsListValue= ps.fieldsListValue;
	}
	this.ajax(this.runSignatureUrl,ps.runSignatureParams,
			function(data){
				mark = runSignatureCallBack(data,ps);
			},true
		);
	return mark;
};

/**
 * \u786e\u5b9a\u76d6\u7ae0-\u56de\u8c03\u65b9\u6cd5
 */
function runSignatureCallBack(_data,ps){
	//{"error":false,"errorMsg":"","properties":{"signDiv304920100906105627":{"signature":{"datetime":"2010-9-6","divId":"","imgHeight":"113","imgWidth":"188","keySn":"","positionBySignType":"0","positionByTagType":"0","positionX":"612","positionY":"543","signatureIp":"192.168.128.1","signatureName":"\u5f90\u8363\u7ecf\u7406\u7b7e\u540d","signatureSN":"gTDkXoa2rAQ/+pqniFWcJ1b8whNVHOtUsdB3j7PvSK59MZx06ERfIGluYLymz=C4e","styleLeft":"612","styleTop":"543","unitName":"\u6c5f\u897f\u91d1\u683c\u7f51\u7edc\u79d1\u6280\u6709\u9650\u516c\u53f8","userName":"wjd"},"documentId":"20110622010101","signatureId":"304920100906105627","signatureTime":"3049201009061056271283741864515","isModified":false,"id":"signDiv_304920100906105627"},"signDiv_375320100906105635":{"signature":{"datetime":"2010-9-6","divId":"","imgHeight":"151","imgWidth":"151","keySn":"","positionBySignType":"0","positionByTagType":"0","positionX":"223","positionY":"543","signatureIp":"192.168.128.1","signatureName":"\u91d1\u683c\u6f14\u793a\u516c\u7ae0","signatureSN":"gZ3u/YH76zJWq2FQfsSpeO4XL=hrP8UD9MKamvbtlG5+B0iwdARcx1nCjETVyINok","styleLeft":"223","styleTop":"543","unitName":"\u6c5f\u897f\u91d1\u683c\u7f51\u7edc\u79d1\u6280\u6709\u9650\u516c\u53f8","userName":"lyj"},"documentId":"20110622010101","signatureId":"375320100906105635","signatureTime":"3753201009061056351283741864703","isModified":false,"id":"signDiv_375320100906105635"}}}
	var mark = false ;
	if(!_data.error) {//\u662f\u5426\u7b7e\u7ae0\u6210\u529f
	 	mark = true;
		iSP.signatures.push(_data.properties);//\u5b58\u53d6\u65b0\u7684\u7b7e\u7ae0\u6570\u636e\u5230iSP.signatures
		iSignaturePhone.showImg(_data.properties);
		if(ps.callback){
			ps.callback(_data);
		}
	}else{
		art.dialog.alert(_data.errorMsg); 
	}
	return mark;
}

/**
 * \u663e\u793a\u7b7e\u7ae0\u56fe\u7247
 */
iSignaturePhone.showImg=function(data){
	var _data = data.signature;
	var bgObjDiv;
	bgObjDiv =document.getElementById('signDiv'+data.signatureId);

	if(!bgObjDiv){//\u663e\u793adiv\u4e0d\u5b58\u5728,\u5219\u521b\u5efa
		bgObjDiv=document.createElement("div"); 
		bgObjDiv.setAttribute('id','signDiv'+data.signatureId);
		bgObjDiv.setAttribute('documentid',data.documentId);   //\u6587\u6863ID\u5c5e\u6027
		bgObjDiv.setAttribute('signatureid',data.signatureId);   //\u7b7e\u7ae0ID\u5c5e\u6027
		bgObjDiv.setAttribute('signaturename',data.signature.signatureName);   //\u7b7e\u7ae0ID\u5c5e\u6027
		bgObjDiv.style.display="none";
		bgObjDiv.style.position="absolute";
		bgObjDiv.style.cursor='pointer'; 
		bgObjDiv.setAttribute('divId',_data.divId);   //\u8bbe\u7f6e\u6587\u6863\u5b9a\u4f4did
		bgObjDiv.style.width=_data.imgWidth+"px";   
		bgObjDiv.style.height=_data.imgHeight+"px";  
		var zindex = _data.signatureOrder?parseInt(_data.signatureOrder):0;
		bgObjDiv.style.zIndex =(2+zindex);  
		bgObjDiv.setAttribute('styleTop',_data.styleTop);   
		bgObjDiv.setAttribute('styleLeft',_data.styleLeft); 
		var _bgimg=document.createElement("img"); 
		_bgimg.setAttribute('id',bgObjDiv.id+'_img');
		bgObjDiv.appendChild(_bgimg);
	}
	if(_data.divId!=null&&_data.divId!='null'&&_data.divId!=''){//divId\u5b58\u5728\u6807\u8bc6\u662f\u76f8\u5bf9divId\u8ba1\u7b97\u5b9a\u4f4d,\u4e0d\u5b58\u5728\u76f8\u5bf9\u9875\u9762\u8ba1\u7b97\u5b9a\u4f4d
		if(document.getElementById(_data.divId)){
			var keySNDiv=$("#"+_data.divId);
			if(keySNDiv){
				keySNDiv.append('<div id="p_signature_div'+data.signatureId+'"  style="position:absolute;width:'+_data.imgWidth+'px;height:'+_data.imgHeight+'px;" ></div>');
				$(bgObjDiv).css("position","static").css("position","static");
				var p_signature_div = $("#p_signature_div"+data.signatureId);
				p_signature_div.append(bgObjDiv);
				p_signature_div.attr("divId",_data.divId).addClass('signatureImgDiv').css({"top":keySNDiv.offset().top,"left":keySNDiv.offset().left,"marginLeft":_data.styleLeft+"px","marginTop":_data.styleTop+"px"});
				
			}
		}
	}else{
		bgObjDiv.style.top=_data.styleTop+"px";
		bgObjDiv.style.left=_data.styleLeft+"px";
		document.body.appendChild(bgObjDiv);
	}
	bgObjDiv.setAttribute('isModified',data.isModified);  
	bgObjDiv.setAttribute("modifiedData",data.modifiedData);//\u4fdd\u62a4\u6570\u636e
	var imgUrl = iSP.getImgUrl+"?signatureTime="+data.signatureTime+"&time="+new Date().getTime();
	var _img=document.getElementById(bgObjDiv.id+"_img");
	if(iSP.backgroundImage){
		if(_IE6){
			bgObjDiv.style.filter=" progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+imgUrl+"', sizingMethod='scale')";
		}else{
			bgObjDiv.style.backgroundImage="url("+imgUrl+")"; 
		}
		$(bgObjDiv).css("background-repeat","repeat");
		setPng(_img,_data.imgWidth,_data.imgHeight,iSP.spPATH+"5.png");
	}else{
		setPng(_img,_data.imgWidth,_data.imgHeight,imgUrl);
	}
	bgObjDiv.style.display="block";
	
};

/**
 * \u6267\u884c\u6570\u5b57\u7b7e\u540d
 * @param _params
 */
iSignaturePhone.prototype.runCert = function(_params){
	var mark = false;
	iSP.ajax(iSP.runCertUrl,_params,
			function(data){
				if(_params.callback){
					_params.callback(data);
				}else{
					art.dialog.alert(data.errorMsg);
				}
				mark = true;
			},true
		);
	return mark;
};
iSignaturePhone.prototype.verifyCert = function(_params){
	var mark = false;
	iSP.ajax(iSP.verifyCertUrl,_params,
		function(data){
			if(_params.callback){
				_params.callback(data);
			}else{
				art.dialog.alert(data.errorMsg);
			}
			if(!data.error){
				mark = true;
			}
		},true
	);
	return mark;
};
iSignaturePhone.prototype.verifySign = function(_params){
	var mark = false;
	iSP.ajax(iSP.verifySignUrl,_params,
		function(data){
			if(_params.callback){
				_params.callback(data);
			}else{
				art.dialog.alert(data.errorMsg);
			}
			mark = true;
		},true
	);
	return mark;
};

/**
 * \u89e3\u6790\u6570\u636e,\u9a8c\u8bc1\u7b7e\u7ae0\u5e76\u663e\u793a\u7b7e\u7ae0
 * @param ps
 * @returns
 */
iSignaturePhone.prototype.checkSignature=function(_params){
	var THIS=this;
	var signatures_tmp=_params.signatures;
	if(signatures_tmp.length>0){
		for ( var i = 0; i < signatures_tmp.length; i++) {
			var signatureDiv="signDiv"+signatures_tmp[i].signatureId+";"+signatures_tmp[i].documentId+";"+signatures_tmp[i].signatureId;
			var submit_params={"signatures":signatureDiv};
			if(_params.xmlValue){
				submit_params.xmlValue=_params.xmlValue;
			}else{
				submit_params.fieldsList = _params.fieldsList;
				submit_params.fieldsListValue= _params.fieldsListValue;
			}
			iSP.ajax(this.checkUrl,submit_params,
					function(data){
						iSignaturePhone.checkSignatureCallback(data,_params.callback);
					}
				);
		}
	}else{
		THIS.noSignMsg();
	}
};

/**
 *  \u7a97\u53e3\u8c03\u8282\u4e8b\u4ef6
 */
iSignaturePhone.prototype._addEvent = function () {
	var resizeTimer;
	var that =this;
	// \u7a97\u53e3\u8c03\u8282\u4e8b\u4ef6
	that._winResize = function () {
		resizeTimer && clearTimeout(resizeTimer);
		resizeTimer = setTimeout(function () {
			that.resize();
		}, 40);
	};
	$(window).bind('resize', this._winResize);
};
/**
 * \u91cd\u65b0\u5b9a\u4f4d
 */
iSignaturePhone.prototype.resize = function () {
	$(".signatureImgDiv").each(
		function(i){
			var THIS = $(this);
			var divId = THIS.attr("divId");
			if(divId!=null&&divId!='null'&&divId!=''){
				THIS.css("left",$("#"+divId).offset().left);
				THIS.css("top",$("#"+divId).offset().top);
			}
		}
	);
	
};
/**
 * alertMsg
 * @param ps
 * @returns
 */
iSignaturePhone.prototype.noSignMsg=function(){
	if(this.isAlertMsg){
		//art.dialog.alert("\u5f53\u524d\u6587\u6863\u672a\u7b7e\u7ae0");
		var myDialog = artDialog({
			content: '\u5f53\u524d\u6587\u6863\u672a\u7b7e\u7ae0',
			id:new Date().getTime(),
			title:'\u7535\u5b50\u7b7e\u7ae0',
			width:'300px',
			height:'90px',
			lockClick:true,
			fixed: true,
			lock: true,
			background: '#000', // \u80cc\u666f\u8272
			opacity: 0.6,	// \u900f\u660e\u5ea6
			ok: true
			});
		this.isAlertMsg=false;
	}
};

iSignaturePhone.checkSignatureCallback =function (_data,callback){
 	if(!_data.error) {//\u662f\u5426\u5220\u9664\u6210\u529f,\u6210\u529f\u5237\u65b0\u9875\u9762,
 		var _propeties=(_data.properties);
 		//\u6b63\u5e38\u8fd4\u56de\u6570\u636e:{"error":false,"errorMsg":"","properties":{"signDiv395620100809133643":{"divId":"ll_div","styleTop":"9","documentId":"20110622010101","signatureId":"395620100809133643","signatureTime":"3956201008091336431281333278671","isModified":false,"styleLeft":"10","id":"signDiv395620100809133643"}}}
		var hasModified=false;
 		for ( var signDivId in _propeties) {
 			if(hasModified==false&&_propeties[signDivId].isModified){
 				hasModified=true;
 			}
 			//\u663e\u793a\u7b7e\u7ae0\u56fe\u7247
 			iSignaturePhone.showImg(_propeties[signDivId]);
		}
 		if(callback){
 			callback(_data);
 		}else{
			if(iSP.isAlertMsg){
				if(hasModified){
					//art.dialog.alert("\u5b58\u5728\u65e0\u6548\u7b7e\u7ae0");
					var myDialog = artDialog({
						content: '\u5b58\u5728\u65e0\u6548\u7b7e\u7ae0',
						id:new Date().getTime(),
						title:'\u7535\u5b50\u7b7e\u7ae0',
						width:'300px',
						height:'90px',
						lockClick:true,
						fixed: true,
						lock: true,
						background: '#000', // \u80cc\u666f\u8272
						opacity: 0.6,	// \u900f\u660e\u5ea6
						ok: true
						});
				}else{
					//art.dialog.alert("\u7b7e\u7ae0\u9a8c\u8bc1\u6709\u6548");
					var myDialog = artDialog({
						content: '\u7b7e\u7ae0\u9a8c\u8bc1\u6709\u6548',
						id:new Date().getTime(),
						title:'\u7535\u5b50\u7b7e\u7ae0',
						width:'300px',
						height:'90px',
						lockClick:true,
						fixed: true,
						lock: true,
						background: '#000', // \u80cc\u666f\u8272
						opacity: 0.6,	// \u900f\u660e\u5ea6
						ok: true
						});
				}
			}
		}
	}else{//\u662f\u5426\u5220\u9664\u6210\u529f,\u5931\u8d25\u663e\u793a\u9519\u8bef\u4fe1\u606f.
		//art.dialog.alert(_data.errorMsg);
		var myDialog = artDialog({
			content: _data.errorMsg,
			id:new Date().getTime(),
			title:'\u7535\u5b50\u7b7e\u7ae0',
			width:'300px',
			height:'90px',
			lockClick:true,
			fixed: true,
			lock: true,
			background: '#000', // \u80cc\u666f\u8272
			opacity: 0.6,	// \u900f\u660e\u5ea6
			ok: true
			});
	}
	iSP.isAlertMsg=false;
};

iSignaturePhone.prototype.removeSignature=function(_param){
	 var _documentId="", _signatureIds="";
	 if(iSP.signatures.length==0){
		 this.isAlertMsg=true;
		 this.noSignMsg();
		 return ;
	 }
	 var signatureDivs=[];
	 for ( var i = 0; i < _param.signatures.length; i++) {
			var signatureDiv=_param.signatures[i].signatureId;
			_documentId = _param.signatures[i].documentId;
			signatureDivs.push(signatureDiv);
		}
	 _signatureIds=signatureDivs.join(",");
	 iSP.ajax(iSP.removeSignatureUrl,{documentId:_documentId,signatureIds:_signatureIds},
		function(_data){
			 if(!_data.error) {
 				var _propeties=(_data.properties);
 				if(_propeties.signatureIds){
 					var _signatureIds = _propeties.signatureIds.split(",");
 					for ( var i = 0; i < _signatureIds.length; i++) {
 						$("#signDiv"+_signatureIds[i]).remove();
 						iSP.removeSignatureData(_signatureIds[i]);
					}
 				}else{
 					iSP.signatures=[];
 					$(".signatureImgDiv").remove();
 				} 
			 }
	 		if(!_param.callback){
	 			if(_data.error) {
	 				art.dialog.alert(_data.errorMsg); 
				}
	 		}else {
	 			_param.callback(_data);
	 		}
		}
	);
 };

/**
 * \u83b7\u53d6\u5370\u7ae0\u4fe1\u606f
 * @example
	{
		"signatures":iSP.signatures,//\u83b7\u53d6\u7b7e\u7ae0\u6570\u636e,\u6307\u5b9a\u83b7\u53d6\u90a3\u4e9b\u5370\u7ae0,
		"callback":testFunction//\u83b7\u53d6\u7b7e\u7ae0\u56de\u8c03\u65b9\u6cd5,\u8be5\u53c2\u6570\u4e0d\u662f\u5fc5\u987b,\u5ba2\u6237\u53ef\u4ee5\u901a\u8fc7\u8bbe\u7f6e\u8be5\u5c5e\u6027\u548c\u65b9\u6cd5,\u63a5\u53d7\u9a8c\u8bc1\u7ed3\u679c,\u505a\u81ea\u5df1\u7684\u4e1a\u52a1\u6d41\u7a0b.
	};
*/
iSignaturePhone.prototype.getSignInfo = function(ps){
	var THIS=this;
	if(ps.signatures.length>0){
		var _signatures=ps.signatures;
		var signatureDivs=[];
		for ( var i = 0; i < _signatures.length; i++) {
			var signatureDiv="signDiv"+_signatures[i].signatureId+";"+_signatures[i].documentId+";"+_signatures[i].signatureId;
			signatureDivs.push(signatureDiv);
		}
		var submit_params={"signatures":signatureDivs.join(",")};
		THIS.ajax(this.getSignInfoUrl,
			submit_params,
			function(_data){
				if(ps.callback){
					ps.callback(_data);
				}else{
					if(!_data.error) {//
				 		var _signatures=(_data.properties.signatures);
				 		//\u6b63\u5e38\u8fd4\u56de\u6570\u636e:{"error":false,"errorMsg":"","properties":{"signatures":[{"datetime":"2010-7-7","keySn":"","signatureIp":"192.168.128.1","signatureName":"\u91d1\u683c\u6f14\u793a\u516c\u7ae0","signatureSN":"gZ3u/YH76zJWq2FQfsSpeO4XL=hrP8UD9MKamvbtlG5+B0iwdARcx1nCjETVyINok","unitName":"\u6c5f\u897f\u91d1\u683c\u7f51\u7edc\u79d1\u6280\u6709\u9650\u516c\u53f8","userName":"lyj"},{"datetime":"2010-7-7","keySn":"","signatureIp":"192.168.128.1","signatureName":"\u6f14\u793a\u6837\u7ae0","signatureSN":"r0HwUm8NY6ultDJgTv5+z41hCEqaI2GfeMsdQ7Li=KF/OPbxcVkZpWByAjS9nXR3o","unitName":"\u6c5f\u897f\u91d1\u683c\u7f51\u7edc\u79d1\u6280\u6709\u9650\u516c\u53f8","userName":"lyj"}]}}
						var alertMsg="";
							for ( var i=0; i< _signatures.length;i++) {
								if(_signatures!="null"){
									if(i!=0){
										alertMsg+="\r\n\r\n<br><br>";
									}
									alertMsg+="\u7b7e\u7ae0\uff1a"+_signatures[i].signatureName+"\r\n<br>";
									alertMsg+="\u7b7e\u7ae0IP\uff1a"+_signatures[i].signatureIp+"\r\n<br>";
									alertMsg+="\u7528\u6237\u540d\uff1a"+_signatures[i].userName+"\r\n<br>";
									alertMsg+="\u5355\u4f4d\u540d\u79f0\uff1a"+_signatures[i].unitName+"\r\n<br>";
									//alertMsg+="\u7b7e\u7ae0\u5e8f\u53f7\uff1a"+_signatures[i].signatureSN+"\r\n<br>";
									alertMsg+="\u7b7e\u7ae0\u65f6\u95f4\uff1a"+_signatures[i].datetime+"\r\n<br>";
								}
							}
							//art.dialog.alert(alertMsg);
							var myDialog = artDialog({
								content: alertMsg,
								id:new Date().getTime(),
								title:'\u7535\u5b50\u7b7e\u7ae0',
								width:'300',
								lockClick:true,
								fixed: true,
								lock: true,
								background: '#000', // \u80cc\u666f\u8272
								opacity: 0.6,	// \u900f\u660e\u5ea6
								ok: true
								});
				 	}else{
				 		//art.dialog.alert(_data.errorMsg);
						var myDialog = artDialog({
							content: _data.errorMsg,
							id:new Date().getTime(),
							title:'\u7535\u5b50\u7b7e\u7ae0',
							width:'300',
							lockClick:true,
							fixed: true,
							lock: true,
							background: '#000', // \u80cc\u666f\u8272
							opacity: 0.6,	// \u900f\u660e\u5ea6
							ok: true
							});
				 	}
				}
			}
		);
	}else{
		this.isAlertMsg=true;
		THIS.noSignMsg();
	}
};

iSignaturePhone.prototype.changePwdFun = function(ps){
	var THIS=this;
	var _s_ps = ps;
	_s_ps.oldPwd=$("#signaturePhone_oldPwd").val();
	_s_ps.newPwd=$("#signaturePhone_newPwd").val();
	if(_s_ps.newPwd==''){
		art.dialog.alert("\u65b0\u5bc6\u7801\u4e0d\u80fd\u4e3a\u7a7a");//벻Ϊ
		return false;
	}
	if(_s_ps.newPwd.length<4){
		art.dialog.alert("\u65b0\u5bc6\u7801\u957f\u5ea6\u4e0d\u80fd\u5c0f\u4e8e4\u4f4d\u6570");//볤ȲС4λ
		return false;
	}
	if(_s_ps.newPwd!=$("#signaturePhone_comfirmPwd").val()){
		art.dialog.alert("\u4e24\u6b21\u8f93\u5165\u7684\u5bc6\u7801\u4e0d\u5339\u914d");//벻ƥ
		return false;
	}
	var _r =false;
	if(_s_ps.signName){
		_s_ps.signMethod="1";
		_s_ps.signName =ps.signName;
	}else if(_s_ps.signIndex){
		_s_ps.signMethod="0";
		_s_ps.signIndex =ps.signIndex;
	}
	THIS.ajax(THIS.changePwdUrl,_s_ps,function(_data){
		if(ps.callback){
			ps.callback(_data);
		}else{
			_r=(_data.error);
			art.dialog.alert(_data.errorMsg); 
		}
	},true
	);
	return !_r;
	
};

iSignaturePhone.prototype.changePwd=function(ps){
	var THIS=this;
	var myDialog = artDialog({
		content: THIS.changeHTML,
		id:new Date().getTime(),
		title:'\u7535\u5b50\u7b7e\u7ae0',
		width:'300px',
		height:'90px',
		lockClick:true,
	    fixed: true,
	    lock: true,
	    background: '#000', // \u80cc\u666f\u8272
	    opacity: 0.6,	// \u900f\u660e\u5ea6
	    ok: function () {
	    	var _r = THIS.changePwdFun(ps);
	    	if(iSP.isGet){
	    		return true;
	    	}
	    	return _r;
	    },
	    cancel: true
		});
	$("#change_keysn").text(ps.keySN+"("+(ps.signName?ps.signName:ps.signIndex)+")");
};
(function() {
	var a = window.Touch = {
		deviceDetect : function(c) {
			var d = {
				device : "android",
				apple : "ipad"
			};
			if (c) {
				$.extend(d, c);
			}
			var b = navigator.userAgent.toLowerCase();
			if (b.search(d.device) > -1||b.search(d.apple) > -1) {
				return true;
			} else {
				return false;
			}
		}
	};
})(jQuery);

(function() {
	Touch.TMS = {
		shortcuts : function() {
			var a = function(b, c) {
				c.preventDefault();
				b.parent("li").siblings("li").removeClass("current");
				b.parent("li").addClass("current");
				var d = $(".kg_"+b.parent("li").attr("mark")+"_widget",".kg_module").removeClass("none");
				d.siblings().addClass("none");
				iSP.dialog.size(iSP.dialog.config.width,d.height());
			};
			$("#kg_module .kg_tabs li a").unbind("click").bind(
					"click", function(c) {
					var b = $(this);
					a(b, c);
				}
			);
		}
	};
})();

if(!window.iSP)window.iSP=new iSignaturePhone();