/*
 * Filename:        inc/lang/cn/javascript.lang.js
 * Function:        Default chinese language file.
 * Encoding:        utf-8
 * Author:          www.weaver.com.cn
 * Date:            2008-5-8
 * Version:         1.x
 * Eoffice Version: 6.0
*/

var EOlang = {
	msgdel: "Delete",
	msgfileoversize: "The total file size of more than!",
	msgnotallowfile: "Type of this file is deny!",
	msgsinglefileoversize: "File size is over max value!",
	msgsuresetvalueempty: "Value of the expression is empty?",
	msgalbumselectimages: "Please select a items to delete!",
	msgalbumsdeletealert: "Are you sure you delete? ",
	msgalbumsetcontrat: "Input comment ",
	msgalbumnothingspace: "It is no free space!",
	msgAddressChoseUser       : "Please select user!",
	msgAddressNewLinkMan      : "New contact",
	msgDelete       : "Delete",
	msgChanageTo       : "Move",
	msgChanageToLinkMan       : "Move contact",
	msgCopyTo       : "Copy",
	msgCopyToLinkMan      : "Copy contact",
	msgSortByAsc       : "Asc",
	msgSortByDesc       : "Desc",
	msgShowOrHidden       : "Show/Hide",
	msgTotalCount       : "Total",
	msgGetNothingData       : "No items matched you criteria!",
	msgGiveWhy       : "Tips",
	msgDeleteAlert       : "Are you sure you want to delete?",
	msgSelectRecode       : "Please select record!",
	msgNew       : "New",
	msgRequestDataWait       : "Load...,please wait",
	msgRequestData      : "Load...",
	msgRequetOK       : "Success",
	msgDeleteOK       : "Delete data successful!",
	msgLostTryAgain       : "Faild,please retry!",
	msgLostWring       : "Warning",
	msgLostWringAlert       : "Error!",
	msgUserSex       : "Gender",
	msgUserSexMan       : "Male",
	msgUserSexWoman       : "Female",
	msgSaveEdit       : "Save",
	msgSelectNullAlert      : "Required fields con not be empty!",
	msgDataSaveOK       : "Save successful!",
	msgFindNothing       : "No items matched you criteria!",
	msgUpdateFile       : "Upload",
	msgChoseAlbum       : "Select ablum",
	msgChoseAlbumName       : "Select ablum...",
	msgName       : "Name",
	msgChoseImageName       : "Please input ablum name...",
	msgChoseImage       : "Select picture",
	msgImage       : "Picture",
	msgReset       : "Reset",
	msgClose       : "Close",
	msgDeleteImage       : "Delete picture",
	msgSearch       : "Search",
	msgRemove       : "Cancel",
	msgSubmit       : "Submit",
	msgShareFileEmpty: "To share a document, you select at least one document!",
	msgDeparture: "leaving",
	msgWork: "in-service",
	msgApproved: "Approved",
	msgApprovalIn: "approval",
	msgMaintain: "Maintenance",
	msgBackToTop: "Top",
	msgWorkDiary: "log",
	msgPersonalDiary: "personal log",
	msgSubmitData: "submit",
	msgInputDiaryAlert: "Please fill out the log content!",
	msgDiarySupplement: "complement",
	msgReply: "Reply",
	msgAttachment: "Attachment",
	msgDeleteFileAlert: "sure you want to delete the file",
	msgUncommitted: "uncommitted",
	msgDeleteDiaryAlert: "you sure you want to delete this log",
	msgDeleteReplyAlert: "you sure you want to delete this reply",
	msgReplyTime: "Reply",
	msgReplyEmptyAlert: "Please fill in the reply",
	msgSubmitTime: "submitted in",
	msgSupplementTime: "pay in",
	msgReplyTo: "Reply to",
	msgDisplayMode: "display",
	msgShowCount: "show number",
	msgYear: "year",
	msgMonth: "month",
	msgWeek: "weeks",
	msgDay: "Day",
	msgChoose: "select",
	msgNoPicture: "do not select any pictures!",
	msgNoChooseImg: "do not select any picture!",
	msgInsertPicture: "Insert Picture",
	msgLocalPicture: "The local picture",
	msgNetPicture: "network pictures",
	msgPictureAddress: "Image Address",
	msgPitchOn: "select",
	msgFullName: "Name",
	msgCompanyphone: "Phone",
	msgBirthday: "Birthday",
	msgAddContact: "Add to Contacts",
	msgDeleteGroupAlert: "the packet to confirm that you want to delete it?",
	msgChooseExcelAlert: "Please select the excel file",
	msgWaitingForUpload: "waiting for upload",
	msgCanceled: "Cancel",
	msgUploadFileCountExceed: "the number of your choice Annex exceed the system's maximum data set",
	msgChooseFail: "select failed",
	msgFileTooBig: "The file is too large.",
	msgError: "error",
	msgFileName: "file name",
	msgFileSize: "Size",
	msgFileInfor: "information",
	msgByte: "byte",
	msgFile: "file",
	msgEmptyFile: "empty file",
	msgFileTypeError: "file type error",
	msgUnknownError: "unknown error system",
	msgUploadSuccess: "Upload successful",
	msgUploadFail: "Upload Failed",
	msgUploadError: "Upload error",
	msgIOError: "IO Error",
	msgSafeError: "error",
	msgFileRegisterError: "file registration failed",
	msgHttpError: "HTTP Error",
	msgCreateObjectFail: "to create XMLHttp object failed",
	msgRquestPageError: "The page you requested is not normal",
	msgAddToFavorite: "click the Add to Favorites",
	msgRemoveFromFavorite: "Click Cancel Favorites",
	msgAddToFavoriteFail: "Add to Favorites failure",
	msgRemoveFromFavoriteFail: "Failed to unsubscribe",
        msgSendOutMailShowCusLink: "Customer contact"
};

var DateLang = {
	Monday: "Monday",
	Tuesday: "Tuesday",
	Wednesday: "Wednesday",
	Thursday: "Thursday",
	Friday: "Friday",
	Saturday: "Saturday",
	Sunday: "Sunday"
};
var LazyGridLang = {
	
	All: "All",
    MySearch: "query",
    RecentSearch: "recent inquiries",
    RemoveFromMySearch: "Remove from my query",
    RemoveFromRecentSearch: "remove from the recent query",
    AddToMySearch: "Add to my query",
    EmptyConfirm: "Confirm Empty?",
    Empty: "Empty",
    EditName: "Edit Name",
    Edit: "edit",
    Save: "Save",
    Close: "Close",
    InputAlert: "The page number you entered is incorrect, please re-enter!",
    Go: "Jump",
    Search: "query",
	AllConditions: "all conditions",
	SearchConditions: "query",
	ErrorInput: "Do not enter special characters",
	PageTip: "{0} records per page {1} records",
	PrevPage: "Previous",
	NextPage: "Next",
	NameEmptyAlert: "Name can not be empty."
};




var BatchCreateLang = {

    SequenceNumber: "NO",
    Delete: "delete",
    Initial: "initialization",
    Create: "Add",
	CreateOne : "Add a record ",
    ConfirmMsg1: "current row data is not empty, to confirm the deletion?",
    ConfirmMsg2: "The last line of the data is not empty, to confirm the deletion?",
    InitialMsg1: "Confirm the restoration to the initialization state (",
    InitialMsg2: "Article empty data)?",
    Close: "Close Batch New",
    ConfirmMsg3: "Close after the bulk new data will not be saved, sure to turn off?",
	Required: "Required",
	NoRequired: "Not Required",
	IsRequired: "Required",
	Repeat: "Repeat"
};

var UploadifyLang = {
	uploadButton: "Add Attach",
	fileNameIllegal: "file name contains special characters, can not upload",
	notAllowUpload: "does not allow uploading",
	typeFiles: "type of file",
	totalSizeControl: "The total size can not exceed",
	uploadErrorList: "can not be added to the upload queue:",
	uploadListExist: "upload queue",
	whetherReplace: "Do you want to replace this file?",
	maxUpload: "You can only upload up",
	files: "files",
	uploadStill: "only then upload",
	fileSizeLimit: "The file size can not exceed",
	haveCanceled: "Cancel",
	existedWhetherReplcae: "already exists in the server. \ n whether to replace this file?"
};
var WebMailLang = {
	CheckNewFail: "Failed to check for new mail",
	ReceiveNewLoading: "is to check for new mail, please wait ...",
	ReceiveEmail: "to receive e-mail.",
	PortErrorAlert: "The port number can only be for the digital",
	NickNameErrorAlert: "mailbox nickname Do not enter special characters",
	SettingSuccess: "successfully set.",
	SettingFail: "setup failed, retry!",
	DeleteAccountConfirm: "the Confirm Delete Account {0}? (All mail in this account will be deleted, but the server does not delete the mail)",
	DeleteSuccess: "deleted successfully",
	DeleteFail: "Delete failed, please retry!",
	AddressErrorAlert: "The email address format error",
	ServerErrorAlert: "Please complete server information",
	SaveSuccess: "save successful",
	SaveFail: "Failed to save",
	EmailEmptyAlert: "Please complete mailbox information",
	EmailExistErrorAlert: "This e-mail address already exists",
	AddAccountSuccess: "account added successfully",
	AddAccountFail: "account add failed",
	FolderNotEmptyAlert: "folder is not empty, please empty the folder and then delete the folder!",
	FolderDeleteConfirm: "Confirm Folder Delete",
	FolderDeleteSuccess: "Delete folder success",
	FolderDeleteFail: "Delete folder failed",
	FolderEmptyConfirm: "confirmation Empty Folder",
	FolderEmptySuccess: "Empty Folder success",
	FolderEmptyFail: "Empty Folder failed",
	FolderNameEmptyAlert: "Please enter the name of the folder",
	EmailAddressError: "The specified sender email address format error",
	EmailAddressRepeat: "partial the specified-mail address repeat",
	FolderNameExist: "Folder {0} already exists.",
	OtherFolderHasAddress: "other folders you have added the same e-mail address",
	FolderOpSuccess: "folder {0} successfully",
	FolderOpFail: "Folder {0} failed.",
	MoveTo: "Move to ...",
	SelectNoneEmail: "not selected any mail",
	DeleteEmailConfirm: "confirm the deletion of the selected message?",
	DeleteEmailCompleteConfirm: "to completely remove the message will not be restored, are you sure you want to delete this?",
	DeleteEmailResult: "deleted successfully {0} message, delete fails {1} message",
	Loading: "Loading ...",
	MoveEmailEmptyAlert: "Please select the messages need to be transferred",
	OpSuccess: "the operation was successful",
	MoveEmailResult: "{0} messages successfully moved {1} messages move failed",
	SendEmailSuccess: "sent successfully",
	SendEmailFail: "Failed to send the message has been saved to the Drafts, please check the mailbox configuration is correct",
	SendEmailLoading: "being sent, please wait ...",
	SaveEmailLoading: "Saving, please wait ...",
	DeleteAttachmentConfirm: "you sure you want to delete this attachment?",
	EmailToEmptyAlert: "Please fill in the recipient.",
	EmailToErrorAlert: "recipient address format error",
	CCAddressErrorAlert: "Cc address format error",
	BCCAddressErrorAlert: "Bcc address format error",
	EmailContentEmptyAlert: "Please fill in the message content.",
	EmailLeaveAlert: "The message was not saved, determined to leave?",
	ReceiveEmailErrorAlert1: "at least to receive an e-mail",
	ReceiveEmailErrorAlert2: "Up to receive both the {0} message",
	ReceiveEmailCountErrorAlert: "Please enter a number",
	ReceiveAllEmailAlert: "is not specified to receive the number of messages, whether to charge {0} new messages?",
	ReceiveEmailLoading: "is in receipt of a new message, please wait ...",
	ReceiveEmailSuccess: "success to collect items.",
	ReceiveEmailFail: "Failed to receive mail",
	DeleteThisAddress: "Delete this address"
};
var ExtLang = {
	Attention: "concern",
	NoAttention: "non-concern",
	IsAttention: "whether the concern",
	Character: "Character",
	TimeCharacter: "time-based",
	ShowNumber: "No.",
	StringName: "field name",
	StringNature: "field properties",
	StringShow: "Field Description",
	StringManager: "field management",
	Modification: "modify",
	DeleteRecord: "Delete Record",
	UserInformation: "Employee Data",
	ModiUserInformation: "modify employee data",
	UserAge: "Age",
	WorkInDate: "entry time",
	WorkInDepart: "department",
	ChooseDeart: "Please select the department",
	AddNewUser: "add new employees",
	ChooseOneRecord: "Please select a record!",
	ShowMsg: "is requesting data, please wait.",
	NowShowMsg: "requests the data",
	FailTry: "failed, please retry",
	ChooseOneLine: "{0} selected row",
	WriteWarning: "illegal input values",
	DateJan: "January",
	DateFeb: "February",
	DateMar: "March",
	DateApr: "April",
	DateMay: "May",
	DateJun: "June",
	DateJul: "July",
	DateAug: "August",
	DateSep: "September",
	DateOct: "October",
	DateNov: "November",
	DateDec: "December",
	DateOne: "",
	DateTwo: "two",
	DateThree: "three",
	DateFour: "four",
	DateFive: "Five",
	DateSix: "six",
	DateSeven: "Day",
	ChooseYes: "Yes",
	ChooseNo: "No",
	ShowAllDate: "y years m months d Day",
	Today: "Today",
	DateCompareA: "Date before the minimum date",
	DateCompareB: "The date after the maximum date",
	DateShowNextMonth: "next month (Control + Right)",
	DateShowPreMonth: "Last month (Control + Left)",
	DateChoooseMonth: "Select a month (Control + Up / Down to change the year)",
	SpaceChoooseMonth: "{0} (Spacebar to select)",
	ShowPage: "pages",
	ShowSumPage: "Page {0}",
	ShowFirstPage: "first page",
	ShowPrePage: "Previous",
	ShowEndPage: "last page",
	Refresh: "refresh",
	ShowAllPage: "{0} - {1} of {2} of",
	NoDataShow: "no data needs to be displayed",
	InsertMixLength: "The minimum length of the entry is {0}",
	InsertMaxLength: "The maximum length of the entry is {0}",
	InsertRequire: "The entry of will lose items",
	InsertvalueMinLength: "The minimum value of the entry is {0}",
	InsertvalueMaxLength: "The maximum entry is {0}",
	InsertNovalue: "{0} is not a valid value",
	NoUse: "disable",
	InsertDateNext: "the date of the entry must be {0} after",
	InsertDatePre: "the date of the entry must be {0} before",
	DateShowRequired: "{0} is an invalid date - must comply with the format: {1}",
	EmailRequired: "The entry must be the e-mail address format such as: 'user@domain.com'",
	URLRequired: "The entry must be a URL address, format, such as: douban.com. +  Www.domain.com",
	StringCharInclodeA: "The entry can contain only the characters and _",
	StringCharInclodeB: "The entry can only contain characters, numbers and _",
	TableROw: "columns",
	TableLockROw: "Lock Column",
	TableUnLockROw: "unlock column",
	ShowValue: "value",
	DragChangeA: "drag to change the size.",
	DragChangeB: "drag to change the size of double-click to hide.",
	ImageNoShow: "The picture format does not support"

};

var CommonLang = {
	specialCharTip: "You can not enter special characters, please enter it again.",
	operatorSuccess: "The operation has been successful",
	noAccessPrivate: "do not have permission to access files",
	uploadFileOverSize: "You upload the file exceeds the specified size, can not upload!",
	fileLockedTip: "Sent the internal message notification lock ",
	inputErrorFomatTip: "Please enter the data in the correct format",
	processingWait: "being processed later",
	noSortData: "You do not have to sort the data.",
	confirmNotShowDesk: "confirmation is not on the desktop to display the module what? You can through the control panel - restored custom desktop display",
	label: "label",
	requiredHaveNull: "Required options are empty",
	errorNoElement: "wrong elements",
	moveFileTip: "To transfer document, please select at least one of them",
	noItemForChoose: "no selectable options",
	calcItemFormatTip: "the formula field Otherwise, please fill in the digital processing 0",
	totalItemFormatTip: "total field, please fill in the figures otherwise 0 processing",
	confirDelFeedback: "you sure you want to delete the sign do feedback",
	feedbackDeleting: "Feedback deletion",
	ipIllegalItem: "is not a valid entry, specify a range of values ​​between 0 and 255.",
	canotUserRightKey: "can not use the right",
	uploadFile: "Upload file",
	fail: "failure",
	pageDisplay: "{0} to {1} records, a total of {2}",
	noRecord: "no record",
	pictureUpload: "Image Upload",
	pictureName: "Image Name",
	choosePictureOperate: "Please select a picture into operation",
	importField: "the import fields",
	insertUserName: "insert the name of the user",
	importUserSex: "Import user's gender",
	dataBaseField: "Database Fields",
	fieldName: "field name",
	fieldProperty: "field properties",
	fieldDescription: "Field Notes",
	dragRelImportField: "Please dragged into the corresponding field of import",
	returnInfoError: "return information error",
	char: "Character",
	banAllMobileSignature: "whether to ban all mobile signature?",
	flowHaveTurn: "This step has been submitted, you can not operate, turn off"
};

var LazyPluginLang = {

	LazySearch : {
		advancedSearch : "Search more",
		search : "Search",
		searchEmpty : "{0} associated with content not found"
	},

	LazyTable : {
		sortType : "Sort by",
		pageJumpTip : "{0}Order{1}page"
	},

	//datepicker语言包
	LazyDatePicker : {
		closeText: 'closed',
		prevText: '& # x3C; last month',
		nextText: 'next month & # x3E;',
		currentText: 'Today',
		monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', '10 month ',' November ',' December '],
		monthNamesShort: ['Jan', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', '10 month ',' November ',' December '],
		dayNames: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
		dayNamesShort: ['Sun', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
		dayNamesMin: ['date', 'one', 'two', 'three', 'four', 'five', 'six'],
		weekHeader: 'Week',
		yearSuffix: 'Year'
	},

	//lazyDateRangePicker语言包
	LazyDateRangePicker : {
		rangeStartTitle : 'Begin',
		rangeEndTitle : 'End',
		specificDate : "Select Date",
		dateRange : "Select"
	},

	//lazytimepicker语言包
	LazyTimePicker : {
		currentText : 'Now',
		closeText : 'Sure',
		amNames : ['Am', 'Pm'],
		pmNames : ['Pm', 'Pm'],
		timeOnlyTitle : 'Select Time',
		timeText : 'Time',
		hourText : 'Hours',
		minuteText : 'Min',
		secondText : 'Second',
		millisecText : 'Millisecond',
		microsecText : 'Microsecond',
		timezoneText : 'Zone'
	}

};

var Flowlang = {
	searchFlow: "search process",
	flowTitle: "Title",
	flowSeq: "serial",
	flowInstancy: "urgency",
	currentStep: "Current Step",
	creater: "Created",
	createTime: "Created",
	currentDeal: "Current transactor",
	status: "Status",
	flowStatus: "flow state",
	currentNotDeal: "who did not apply for the current step",
	stepName: "Step name",
	stepStatus: "Step state",
	managePerson: "handle personnel",
	limitDate: "reminders Time",
	overTimeTime: "Timeout",
	manageDate: "processing time",
	createDate: "creation date",
	nearlyThreeDays: "nearly three days",
	nearlyOneWeek: "Nearly a week",
	nearlyOneMonth: "Near Jan",
	normal: "normal",
	important: "important",
	urgency: "Emergency",
	urgencyManage: "expiration reminders",
	urgencyNearlyOneHour: "for nearly an hour,",
	urgencyNearlyThreeHour: "nearly three hours,",
	nearlyThreeMonth: "Near March",
	flowDoing: "progress",
	flowHaveFinish: "Closed",
	flowNoRead: "unreviewed",
	flowHaveRead: "Viewed",
	flowHaveManage: "been handled",
	flowHaveSubmit: "Submitted",
	flowSeqInclude: "serial number contains",
	flowTitleInclude: "Process title contains",
	flowType: "Process Classification",
	flowName: "Process Name",
	flowFlag: "Process ID",
	flowUnRead: "unread",
	flowRead: "Read",
	createrDept: "Created sector",
	acceptDate: "Received Date",
	yesterday: "Yesterday",
	thisWeek: "This Week",
	thisMones: "Month",
	thisSeason: "season",
	thisYear: "this year",
	flowAttName: "Public attachment name",
	showFlowType: "Display Process category",
	hideFlowType: "Hidden Process category",
	filterMore: "More filters",
	flowHadDelete: "the process has been deleted",
	flowStartTime: "Start Time",
	flowEndTime: "End Time",
	flowRunTitle: "Process title",
	rollBack: "recover",
	flowAgencyUser: "by the client",
	flowAgencyDept: "by the client department",
	flowMyAgencyRule: "My commission rules",
	flowByAgencyRule: "was commissioned by the rules",
	flowOtherAgencyRule: "Other commission rules",
	flowByAgencyUser: "principal",
	flowByAgencyDept: "principal sector",
	flowMyAgencyRuleRecord: "My commission record",
	flowByAgencyRuleRecord: "was commissioned to record",
	flowSort: "Process category",
	flowFormName: "Form Name",
	flowSearchFormHouse: "Search Forms Library",
	flowFormNameInclude: "Form name contains",
	flowFormTypeInclude: "Forms category",
	flowFormType: "Forms Classification",
	flowConfirmToRollBackCurrent: "The next step has not received a handle, confirm that you want to recover to this step to re-apply it?",
	flowPleaseFillFeedback: "Please fill out the sign do feedback",
	report: 'Reports',
	flowCopyTime: "Cc time",
	flowCopyUserName: "Cc",
	flowCustomAddCommonPhraseSuccess: "collect success",
	flowCustomAddCommonPhraseLength: "Keep a common phrase length control within 30 characters",
	flowInputRightPressTime: "Please enter the correct time to press!"
};

var Calendarlang = {
	calendarNewTag : "New tag",
	calendarHasAttention : "Has been added attention, without adding again!",
	calendarNoPower : "No permission New Label"
};

var Meetinglang = {
	meetingDelAtt : "Are you sure you want to delete this attachment?",
	meetingDelAttSuccess : "Accessories deleted successfully!",
	meetingDelAttFail : "Accessories Delete failed!"
};
var IndexLang = {
    indexPerson: "Personal",
    indexCompany: "Company",
    indexReport: "Report",
    indexNew: "New",
    indexManage:"Manage",
    indexSet:"Settings",
    indexSearch:"Search",
    indexQuery:"Query",
    indexSms:"Message",
    indexMessage:"Information",
    indexMy:"My"
};

var PortalLang = {
    portalSetLayout:"Setting layout",
    portalDelLayout:"Delete layout",
    portalSetComplay:"Complete",
    portalReload:"Loading",
	portalDelElement: "Delete element",
    portalEditElement: "Edit Properties",
    portalDragElement: "drag drag element here,",
    portalNoData: "No data",
    portalNoMenuAuth: "You do not have permission to the menu; <br \> If you need this permission, please contact your system administrator; <br \> If you do not want to display this element, you can remove the element!",
    portalLoadMore: "Load More",
    portalWorkflow: "Workflow",
    portalDirSelect: "directory selection",
    portalWorkflowTitle: "Process title",
    portalCreatePerson: "Created",
    portalTodo: "To Do",
    portalHaveDone: "have to do matters",
    portalDone: "settles matters",
    portalRequest: "my request",
    portalTitle: "Title",
    portalCreateTime: "Created",
    portalTable: "Form & nbsp;",
    portalTableOne: "Form a & nbsp;",
    portalTableTwo: "Form 2 & nbsp;",
    portalBeginTime: "Start Time",
    portalEndTime: "End Time",
    portalSendTime: "Send Time",
    portalTime: "Time",
    portalPublishTime: "Published",
    portalSendPerson: "sender",
    portalCreateDate: "creation date",
    portalMyCoop: "My collaboration",
    portalPlan: "recent plan",
    portalLeader: "responsible person",
    portalState: "state",
    portalCustomerInfo: "Customer Information",
    portalCustomerName: "Customer Name",
    portalManageUser: "Account Manager",
    portalCustomerDetail: "Click to display customer details",
    portalShowNews: "view news",
    portalNewTitle: "Headlines",
    portalPublishUser: "publisher",
    portalThumb: "Thumbnails & nbsp;",
    portalTeletext: "Graphic Mode",
    portalShowNotify: "View Bulletin",
    portalNotifyTitle: "Notice the title",
    portalSms: "recent news",
    portalSmsContent: "news content",
    portalOperation: "Operation",
    portalEmail: "Recently Mail",
    portalEmailTitle: "email subject",
    portalMeeting: "Meeting",
    portalExamine: "For approval of the meeting",
    portalJoin: "To participate in the meeting",
    portalMeetingTitle: "theme",
	portalMeetingRoom: "room",
    portalProposer: "applicant",
    portalIntoDeal: "Handle",
    portalMeetTime: "Meeting Time",
    portalTheme: "theme",
    portalTo: "to",
    portalVehicle: "Pending the vehicle",
    portalCarModel: "model name",
    portalVote: "Polls",
    portalVoteTableName: "questionnaire name",
    portalVoteResult: "findings",
    portalWinRun: "quick run",
    portalWinRunName: "quick run name",
    portalRun: "Run",
    portalWinPath: "program address",
    portalLink: "Custom Link",
    portalLinkAddr: "link address",
    portalRss: "RSS Feed",
    portalRssPath: "RSS Address",
    portalAddressBook: "Contacts",
    portalPublicAddress: "Public Address Book",
    portalPersonAddress: "Personal Address Book",
    portalName: "name",
    portalDocument: "Documentation",
    portalProject: "Project",
    portalAgenda: "Schedule",
    portalChart: "Reports",
    portalChooseChart: "Select Report",
    portalIsShowIcon: "whether to display the icon",
    portalIsShowTitle: "whether to display the title",
    portalLetValueIn100: "Be sure to enter a value between 1-100",
    portalIsShowField: "display field",
    portalFontColor: "Text Color",
    portalFontSize: "Text Size",
    portalEffect: "Effect",
    portalTabs: "Content tab",
    portalDataLoading: "Loading ...",
    portalLinkType: "Link Type",
    portalDocLink: "Document Links",
    portalExternalLink: "External Links",
    portalElementHeight: "element height",
    portalTotalElementHeight: "This line of other elements that end unified height",
    portalNoEvent: "No event",
    portalInputPortalName: "Please enter the portal name",
    portalElementEdit: "element attributes Edit",
    portalCloseElementBox: "Close the Properties box,",
    portalConfirmDelElement: "sure to delete this element?",
    portalConfirmDelLayout: "? <br/> remove this line to determine which elements will be deleted!",
    portalSettingAuth: "set permissions",
    portalSetToDefaultPortal: "Make Default Gateway",
    portalUnityPortal: "unified portal",
    portalRecoverDefaultSet: "Restore Defaults",
    portalDelPortal: "Delete this portal",
    portalConfirmDelPortal: "OK to delete this portal?",
    portalDelPortalFailure: "Delete Portal failed, please try again!",
    portalRecoverDefaultTip: "Restore Defaults user-defined content will be deleted Are you sure you want to operate it.?",
    portalRecoverSuccess: "successful recovery",
    portalRecoverFailure: "recovery failure",
    portalUnityPortalTip: "Unified personal portal users customized content will be deleted Are you sure you want to operate it.?",
    portalUnityPortalSuccess: "unified portal success",
    portalUnityPortalFailure: "unified portal failed, please try again!",
    portalSetDefaultSuccess: "Set the default gateway to success",
    portalSetDefaultFailure: "Set the default gateway fails, try again!",
    portalEditPortalAuth: "Edit portal permissions",
    portalDataLoadingAgain: "Data reload in ...",
    portalEnterPortalName: "Please enter the portal name",
    portalEditPortal: "Edit portal",
    portalAddPortalSuccess: "New portal success",
    portalEditPortalAuthSuccess: "Edit Permissions portal success",
    portalFailure: "Gateway failed",
    portalNew: "New portal"
};

/*
 * 麻烦再次翻译
 */
var PaymentLang = {
    paymentPlanSelector:'方案选择器',
    paymentPlanSelect:'方案选择',
    paymentAllType:'全部类型',
    paymentNotTypePlan:'未分类方案',
    paymentAll:'all',
    paymentLastWeek:'最近1周',
    paymentLastMonth:'最近1个月',
    paymentLastThreeMonth:'最近3个月',
    paymentEnterKeyword:'请输入搜索关键字',
    paymentOk:'确定',
    paymentClear:'清除',
    paymentCancel:'取消',
    paymentLoading:'正在努力加载...',
    paymentNoData:'No Data',
    paymentNoMoreData:'暂无更多数据',
    paymentLoadMore:'加载更多',
    paymentMostSelectFivePlan:'同时最多选中5个统计',
    paymentConfirmDelAttach:'确定要删除该附件吗'
};

var HrmsLang = {
	hrmsDeptDisplay:'dept display',
	hrmsDeptNone:'dept none',
	hrmsContract:'contract',
	hrmsThisMonth:'this month expire',
	hrmsNextMonth:'next month expire',
	hrmsArchiveState:'archives state',
	hrmsnMonth:'next month',
	hrmsNextWeek:'next week',
	hrmsDept:'dept',
	hrmsBirthday:'birth year and month',
	hrmsMarriageState:'marriage state',
	hrmsPost:'post',
	hrmsContractEndTime:'contract termination time',
	hrmsDetails:'details',
	hrmsSearch:'please enter the keyword query',
	hrmsFileNameContains:'File name contains',
	hrmsFileNumContains:'File number contains',
	hrmsAllDept:'all dept',
	hrmsNextOperate:'please continue next operation',
	hrmsReturnList:'back list',
	hrmsContinue:'continue to build',
	hrmsChoose:'please to chooose',
	hrmsNotJump:'you can not jump.',
	hrmsRead:'read'
};


var PerformanceLang = {
    performanceTempName: ' template name',
    performanceTempPoints: ' template points',
    performanceEnter: ' enter',
    performanceTempDelConfirm: ' Are you sure you want to delete this template?',
    performanceTempDisplay: ' template display',
    performanceTempNone: ' template display none',
    performanceCopyTemp: ' copy template',
    performanceCopySuccess: ' copy success',
    performanceCopyError: ' copy error',
    performanceNotNull: ' not null',
    performanceIsNum: ' must be number',
    performancePointsNum: ' must 100%',
    performanceDelFaild: ' delete faild',
    performanceSearchFuc: ' can be search name',
    performanceCorrePlan: ' the plan not enable',
    performanceListDisplay: 'person list display',
    performanceListNone: 'person list display none',
    performanceNoResult: 'now is no results',
    performanceNotFindData: 'not find datas',
    performanceHaschecked: 'performance Has checked',
    performanceNotAllow: 'not allow',
    performancePlan: ' performance plan',
    performanceNameUpdate: ' name can not update',
    performanceCantSave: 'can not save',
    performanceGroupDisplay: 'person group',
    performanceGroupNone: 'person group display none',
    performanceGroupsDisplay: 'show groups',
    performanceGroupsNone: 'groups display none',
    performanceWorksEnter: 'please enter works',
    performanceLoadComplete: 'data has load complete'


};


var LazypluginsArgu = {
    LazypluginsShow:'Show',
    LazypluginsHide:'Hide',
    LazypluginsTotal:'Total',
    LazypluginsLines:'Rows',
    LazypluginsPerpage:'Perpage',
    LazypluginsOrderBY:'Order BY '
};

  var AnalysConfig = {
    AnalysStr: 'Can only enter text!',
    AnalysNum: 'Can only enter number!',
    AnalysDate: 'Please re-enter the date format error!',
    AnalysNeed: 'Please check out!'
};

 var SelectDialog = {
    SelectCheckDept: 'Query Department',
    SelectResult: 'Results ',
    SelectCloseWindow: 'Close',
    SelectBtnClear: 'Empty',
    SelectBtnAll: 'Checked',
    SelectBtnBoth:'ALL',
    SelectBtnChecked: 'Selected ',
    SelectBtnCancel: 'Cancel',
    SelectBtnSubmit: 'Submit',
    SelectNoDept: 'No department under this department',
    SelectTitleTip: "Query user,Department,role",
    SelectByDept: 'By Department',
    SelectByRole: 'By Role',
    SelectBygroup: 'By Group',
    SelectShowLeft:'Display departure',
    SelectNoUserRole:'Show no role for personnel',
    SelectNoUserDept:'Show no Department of personnel',
    SelectLeft:'Dimission',
    SelectNoUser:'No user in this department',
    SelectNoRole:'No user of this role',
    SelectNoGroup:'No user in this group',
    SelectAttach: 'attachment',
    SelectUploads: 'add attachment',
    SelectRemoveUpload: 'remove uploads'
};

var LinkCommenOA = {
    LinkCommenData: "System data",
    LinkCommencydy: "Common phrases",
    LinkCommenwdys: "Document style",
    LinkCommendcbzd: "Questionnaire field",
    LinkCommenDelData: "Please select at least one of the data",
    LinkCommenxjlc: "New process",
    LinkCommenLcbh: "Process name contains",
    LinkCommenzylc: "Free flow",
    LinkCommenMydoc: "My document",
    LinkCommenCheckDoc: "Query document",
    LinkCommenKeyword: "Keyword",
    LinkCommenModyTime: "Modification time",
    LinkCommenKeyPos: "Keywords position",
    LinkCommenContent: "Content",
    LinkCommenFile: "Annex",
    LinkCommenLast3M: "In the last three months",
    LinkCommenMycos: "My process",
    LinkCommenReport: "Report form",
    LinkCommenGjzss: "Please enter a keyword search",
    LinkCommenBbmcbh: "Report name contains",
    LinkCommenXzq: "Cooperative region",
    LinkCommenXzzt: "Collaboration theme",
    LinkCommenCateName: "Class name",
    LinkCommenUseDate: "Effective time",
    LinkCommenImp: "Important degree",
    LinkCommenYB: "General",
    LinkCommenGlry:"Management",
    LinkCommenDCB:"Questionnaire",
    LinkCommenXwmod:"News module",
    LinkCommenSrgjzss:"Please enter keywords search",
    LinkCommenXwbtbh:"News headlines include",
    LinkCommenXwnb:"News category",
    LinkCommenXwzt:"News status",
    LinkCommenCG:"Draft",
    LinkCommenPunlish:"Released",
    LinkCommenSHZ:"Audit",
    LinkCommenGGMK:"Announcement module",
    LinkCommenGGBTBH:"Announcement title contains",
    LinkCommenGGLB:"Announcement category",
    LinkCommenGGZT:"Announcement state",
    LinkCommenSH:"To examine",
    LinkCommenSETime:"Starting and ending time",
    LinkCommenMyGuest:"My client",
    LinkCommenKhmcbh:"Client name contains",
    LinkCommenLxmcbh:"Contact name contains",
    LinkCommenLxmc:"Contact name",
    LinkCommenggMb:"Public template",
    LinkCommenDetail:"Brief",
    LinkCommenMyProject: "My Project",
    LinkCommenProjectName: "Please enter project keywords search",
    LinkCommenProjectNameContain: "project name include",
};
var WeixinCode = {
    '40001': '获取access_token时AppSecret错误，或者access_token无效。请开发者认真比对AppSecret的正确性，或查看是否正在为恰当的公众号调用接口',
    '40002': '不合法的凭证类型',
    '40003': '不合法的OpenID，请开发者确认OpenID（该用户）是否已关注公众号，或是否是其他公众号的OpenID',
    '40004': '不合法的媒体文件类型',
    '40005': '不合法的文件类型',
    '40006': '不合法的文件大小',
    '40007': '不合法的媒体文件id',
    '40008': '不合法的消息类型',
    '40009': '不合法的图片文件大小',
    '40010': '不合法的语音文件大小',
    '40011': '不合法的视频文件大小',
    '40012': '不合法的缩略图文件大小',
    '40013': '不合法的AppID，请开发者检查AppID的正确性，避免异常字符，注意大小写',
    '40014': '不合法的access_token，请开发者认真比对access_token的有效性（如是否过期），或查看是否正在为恰当的公众号调用接口',
    '40015': '不合法的菜单类型',
    '40016': '不合法的按钮个数',
    '40017': '不合法的按钮个数',
    '40018': '不合法的按钮名字长度',
    '40019': '不合法的按钮KEY长度',
    '40020': '不合法的按钮URL长度',
    '40021': '不合法的菜单版本号',
    '40022': '不合法的子菜单级数',
    '40023': '不合法的子菜单按钮个数',
    '40024': '不合法的子菜单按钮类型',
    '40025': '不合法的子菜单按钮名字长度',
    '40026': '不合法的子菜单按钮KEY长度',
    '40027': '不合法的子菜单按钮URL长度',
    '40028': '不合法的自定义菜单使用用户',
    '40029': '不合法的oauth_code',
    '40030': '不合法的refresh_token',
    '40031': '不合法的openid列表',
    '40032': '不合法的openid列表长度',
    "40033": "不合法的请求字符",
    '40035': '不合法的参数',
    '40038': '不合法的请求格式',
    '40039': '不合法的URL长度',
    '40050': '不合法的分组id',
    '40051': '分组名字不合法',
    '40117': '分组名字不合法',
    '40118': 'media_id大小不合法',
    '40119': 'button类型错误',
    '40120': 'button类型错误',
    '40121': '不合法的media_id类型',
    '40132': '微信号不合法',
    '41001': '缺少access_token参数',
    '41002': '缺少appid参数',
    '41003': '缺少refresh_token参数',
    '41004': '缺少secret参数',
    '41005': '缺少多媒体文件数据',
    '41006': '缺少media_id参数',
    '41007': '缺少子菜单数据',
    '41008': '缺少oauth code',
    '41009': '缺少openid',
    '42001': 'access_token超时，请检查access_token的有效期，请参考基础支持-获取access_token中，对access_token的详细机制说明',
    '42002': 'refresh_token超时',
    '42003': 'oauth_code超时',
    '43001': '需要GET请求',
    '43002': '需要POST请求',
    '43003': '需要HTTPS请求',
    '43004': '需要接收者关注',
    '43005': '需要好友关系',
    '44001': '多媒体文件为空',
    '44002': 'POST的数据包为空',
    '44003': '图文消息内容为空',
    '44004': '文本消息内容为空',
    '45001': '多媒体文件大小超过限制',
    '45002': '消息内容超过限制',
    '45003': '标题字段超过限制',
    '45004': '描述字段超过限制',
    '45005': '链接字段超过限制',
    '45006': '图片链接字段超过限制',
    '45007': '语音播放时间超过限制',
    '45008': '图文消息超过限制',
    '45009': '接口调用超过限制',
    '45010': '创建菜单个数超过限制',
    '45015': '回复时间超过限制',
    '45016': '系统分组，不允许修改',
    '45017': '分组名字过长',
    '45018': '分组数量超过上限',
    '46001': '不存在媒体数据',
    '46002': '不存在的菜单版本',
    '46003': '不存在的菜单数据',
    '46004': '不存在的用户'
};