$(function(){
      //获取缩略图
    $.ajax({
        url: "/login-new/login_edit.do.php",
        data: {
            op: "thumbLists"
        }
    }).done(function(result) {
        if (result) {
            var parsedData = $.parseJSON(result);
            var html = '';
            $.each(parsedData.thumbs, function(k, v) {
                if (v == 'default.jpg') {
                    html += '<div class="thumbPic"><img title="' + v + '" src="/images/login-bg/thumb/' + v + '"></div>';
                } else {
                    html += '<div class="thumbPic"><img title="' + v + '" src="/images/login-bg/thumb/' + v + '"><i class="fa fa-times-circle del-thumbpic"></i></div>';
                }
            });
            $(".thumbAdd").before(html);
        }
    });
    $(".footer-end").on({
        mouseenter: function() {
            $(this).find('i').show();
            $(this).css('border-color','rgba(255,97,0,0.8)');
            $(this).attr("display", "block").fadeTo(0.5, 0.8);
        },
        mouseleave: function() {
            $(this).find('i').hide();
            $(this).css('border-color','#fff');
            $(this).stop().animate({opacity: '0.5'}, 400);
        }
    }, ".thumbPic");
    $(".footer-end").on({
        mouseenter: function() {
            $(this).css('color', '#CD0000');
        },
        mouseleave: function() {
            $(this).css('color', '');
        },
        click: function() {
            var current_thumb = $(this).prev().attr('title');
            var $this = $(this);
            $.ajax({
                url: "/login-new/login_edit.do.php",
                data: {
                    op: "delTheme",
                    theme: current_thumb
                }
            }).done(function(result) {
                if (result != 0) {
                    $this.parent().remove();
                    $.pnotify({text: "该背景图片已成功删除", type: "success"});
                } else {
                    $.pnotify("该背景图片删除失败")
                }
            });
        }
    }, ".thumbPic i");

    $(".footer-end").on({
        click: function() {
            var $this = $(this);
            $.ajax({
                url: "/login-new/login_edit.do.php",
                data: {
                    op: "setTheme",
                    theme: $(this).attr('title')
                }
            }).done(function(result) {
                if (result) {
                    $('#bgPic').attr('src', "/images/login-bg/" + result);
                    $.pnotify({text: "背景设置成功", type: "success"});
                }
            });
        }
    }, ".thumbPic img");
    //设置thumb
    $(".thumbAdd").mousemove(function() {
        $(this).css('border-color','rgba(255,97,0,0.8)');
        $(this).attr("display", "block").fadeTo(0.5, 0.8);
    }).mouseleave(function() {
        $(this).css('border-color','#fff');
        $(this).stop().animate({opacity: '0.5'}, 400);
    })

    $("#upload-theme").uploadify({
        swf: '/inc/jquery/uploadify/uploadify.swf',
        uploader: "/general/index/UploadFile.php?m=uploadPicture",
        auto: true,
        multi: false,
        width: 50,
        height: 50,
        queueID: 'test',
        buttonText: "",
        formData: {
            uploadType: "login_bg"
        },
        onUploadSuccess: function(file, data, response) {
            if (data == 1) {
                $.ajax({
                    url: "/login-new/login_edit.do.php",
                    data: {
                        op: "getLoginInfor"
                    }
                }).done(function(result) {
                    if (result) {
                        var parsedData = $.parseJSON(result);
                        if (parsedData.THEME != '') {
                            $('#bgPic').attr({
                                src: "/images/login-bg/" + parsedData.THEME,
                            });
                        }
                        $(".thumbAdd").before('<div class="thumbPic"><img title="' + parsedData.THEME + '" src="/images/login-bg/thumb/' + parsedData.THEME + '"><i class="fa fa-times-circle del-thumbpic"></i></div>');
                    }
                });
                $.pnotify({text: "图片上传成功", type: "success"});
            } else if (data == 2) {
                $.pnotify("背景图片库已满");
            } else if(data == 3){
                $.pnotify("请上传gif，png，jpg，jpeg格式的图片");
            }else if(data == 4){
                $.pnotify({ text: "缩略图创建失败",type : "error"});
            }else{
                $.pnotify("图片上传失败");
            }
        }
    });
    $('.theme-thumb').on({
        click:function(){
            $(this).remove();
        }
    },'#theme-tip')        
});