<?php
/**
 * Systemname:       E-Office9
 * Filename:         login.php
 * Function:         系统登录
 * Encoding:         $_lang['encoding']
 * Author:           lizhijun
 * Date:             2014-7-15
 * File Version:     1.0
 * Eoffice Version:  9.0
*/

include_once ("inc/global.inc");
include_once("inc/conn.php");
define("LOGIN_BG_PATH", $_SERVER['DOCUMENT_ROOT'] . "images/");
$lang = $_COOKIE['LOGIN_LANG'];
$lang_file = "lang/".$lang."/other.lang.php"; 
include_once($lang_file);
session_start();
$OA_UPDATE_FILE="update/2.php";
if(file_exists($OA_UPDATE_FILE))
{
	include_once($OA_UPDATE_FILE);
		unlink($OA_UPDATE_FILE);
}
include_once("building/config/remindBrowserUrl.php");
$PAGE_TITLE = $_lang["common_login"];
include_once 'inc/page_header.inc.php';
?>
    <link href="/newplugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link href="/newplugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
    <link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
    <link rel="stylesheet" href="/login-new/login.css" />
    </head>
    <body>
        <div class="login-body">
             <?php
                $query = "SELECT * FROM login_form";
                $result = exequery($connection, $query);
                if ($row = @mysql_fetch_assoc($result)) {
                    if(!file_exists(LOGIN_BG_PATH.'logo/'.$row['LOGO'])){
                        $logo = 'logo-default.png'; 
                    }else{
                        $logo = $row['LOGO'] != '' ? $row['LOGO'] : 'logo-default.png' ;
                    }
                }else{
					$logo = 'logo-default.png';
				}
            ?>
            <div class="login-form">
                    <form id='loginform' action='/login-new/logincheck.php' method='post'>
                    <div class="login-center">
                        <div class="login-logo">
                            <img src="/images/logo/<?php echo $logo;?>" class='logoPic'/>
                        </div>
                        <div class="login-lang">
                            <ul id="select_lang" style="display:none;">
                                <li data="cn">简体中文 </li>
<!--                                <li data="en">English</li>-->
                            </ul>
                            <div style="height:30px;width:28px;float:right;cursor:pointer;border-right:1px solid transparent;border-bottom:1px solid transparent;border-top:1px solid transparent;" id="select_button_div"><i class="fa fa-sort-desc fa-lg" style="line-height: 16px;" id="select_button"></i></div>
                            <div id="selected_lang"><?php if($lang == 'cn'){?>简体中文<?php }else{?>English<?php }?></div>
                            <input type="hidden" id="lang" name="lang" value="<?php echo $lang?>">
                            <i class="fa fa-language" id="select_icon"></i>
                        </div>
                        <div class="login-username">
                            <div class='icon'>
                                <i class="fa fa-user fa-2x"></i>
                            </div>
                            <div class="input">
                                <input type="text" id="username" name="username" value="<?php $_COOKIE['USER_NAME_COOKIE']?>" title="<?=$_lang["common_accounts_n"]?>" placeholder="<?=$_lang["common_accounts_n"]?>">
                            </div>
                        </div>
                        <div class="login-password">
                            <div class='icon'>
                                <i class="fa fa-unlock-alt fa-2x"></i>
                            </div>
                            <div class="input">
                                <input type="password" id="password" name="password" value="" title="<?=$_lang["common_password"]?>" placeholder="<?=$_lang["common_password"]?>">
                            </div>
                        </div>
                        <?php
                        $sql = "SELECT * FROM sys_para WHERE 1 AND PARA_NAME='DYNAMI_CODE'";
                        
                        $res = exequery($connection,$sql);
                        if($row = mysql_fetch_array($res))
                        {
                            $SEC_DYNAMI_CODE = $row["PARA_VALUE"];
                        }                          
                        ?>
                           
                        <?
                        //图形码验证
                        $query = "SELECT * from SYS_PARA where PARA_NAME='SEC_PASS_IMG'";

                        $cursor= exequery($connection,$query);
                        while($ROW=mysql_fetch_array($cursor)) {
                            $SEC_PASS_IMG = $ROW["PARA_VALUE"];
                        }

                        //验证用户输入图形验证码
                        if($SEC_PASS_IMG=="1")
						{
                        ?>
                        <div class="login-pass-img"><div class='icon'><i class="fa fa-codepen fa-2x"></i></div><div class="input" style="width:138px;"><input type="text" style="width:110px;" id="verify" name="verify" value="" title="<?=$_lang['common_verify']?>" placeholder="<?=$_lang['common_verify']?>"></div><div style="float:right;"><img src='/inc/verify/imgverifycode.php' align="absbottom" height="37px" id="verify-img" style="cursor:pointer;" title='看不清,点击刷新' onclick="javascript:this.src=this.src+'?rnd=' + Math.random();$('#verify').val('');"></div></div>
                        <?php }?>
                        <!--动态令牌-->
                        <div id="login_ikeycode" class="login-ikeycode">
                            <div class='icon'>
                                <i class="fa fa-delicious fa-2x"></i></div>
                            <div class="input">
                                <input type="text" id="DYNAMI_CODE" name="DYNAMI_CODE" title="动态密码" placeholder="动态密码">
                            </div>
                        </div> 
                        <div id="login-button" class="login-button <?php if($SEC_PASS_IMG=="1"){?>button-active<?php }?>" login-type="1"><?=$_lang["common_login"];?></div>
                    </div>
                </form>
            </div>
			<div class="remind-other-browser">
						<div class="remind-browser-text" style="margin-top:3px;">温馨提醒：<span style="font-size:13px;margin-left:240px;"><a class="remind-browser-a" style="font-size:12px;">不再提醒</a></span></div>
						<div class="remind-browser-text">检测到您目前正在使用的浏览器是“IE8”，为了您能获得更好的OA使用体验，我们推荐您使用如下浏览器：<a class="remind-browser-a">Google Chrome</a>、<a class="remind-browser-a">Firefox</a>、<a class="remind-browser-a">Opera</a>、<a class="remind-browser-a">Safari</a>、<a class="remind-browser-a">IE9</a>、<a class="remind-browser-a">IE10</a>、<a class="remind-browser-a">IE11</a>。</div>
					</div>
            <div class="footer-end">
                <div class="theme-set">
                    <div class="theme_button">
                        <div class="theme-icon" id="open_in_passowrd"><i class="fa fa-cog fa-2x" ></i></div>
                    </div>
                    <div class="in-password">
                        <div class="input-left"><input class="admin-pwd" type="password" value="" placeholder="输入管理员密码登录" title="输入管理员密码登录" name="password"></div>
                        <div class="sign-in"><i class="fa fa-times" id="close_sign"></i><i class="fa fa-sign-in" id="pw_submit"></i></div>
                    </div>
                </div>
            </div>
            <div class="login-footer">
                <p></p>
            </div>
            <div id="update_dialog" title="系统升级" style="text-align: center;overflow-y: auto;display:none;">
                <img src="/login-new/updateLoad.gif" height="80px">系统正在升级,请稍等...
            </div>
            <style>
               .ui-dialog{
                    z-index: 100;
                    background: #fff;
                    opacity:1;
                    filter:alpha(opacity=100);
                }
                .ui_dialog .ui-dialog-titlebar{
                    background: #36A9E1;
                    opacity:1;
                    filter:alpha(opacity=100);
                }
                .ui_dialog .ui-dialog-buttonpane{
                    background: #fff;
                    font-size:12px;
                    opacity:1;
                    filter:alpha(opacity=100);
                }
            </style>
        </div>
        <script type="text/javascript" src="/inc/jquery/jquery.js"></script>
        <script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
        <script type="text/javascript" src="inc/jquery/jquery.cycle.all.js" ></script>
        <script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
        <script type="text/javascript" src="/login-new/login.js"></script>
        <script type="text/javascript">
            $(function() {
                if($('#username').val() == ''){
                    $('#username').focus();
                }else{
                    $('#password').focus();
                }
                //初始化
                $.pnotify.defaults.styling = "bootstrap3";
                $.pnotify.defaults.closer = false;
                $.pnotify.defaults.sticker = false;
                $.pnotify.defaults.history = false;
                $.pnotify.defaults.delay = 3000;
                $.pnotify.defaults.addclass = "stack-topleft";
                $.pnotify.defaults.animate_speed = 'fast';
                $.pnotify.defaults.type = "error";
                //定义弹出框
                $("#update_dialog").dialog({
                    autoOpen: false,
                    width: 550,
                    modal: true,
                    dialogClass: "lazy_dialog"
                });
                //设置背景图片 
                var bg_width = $(".login-body").width();
                var bg_height = $(".login-body").height();
                $(".login-body").append("<img src='/images/login-bg/default.jpg' id='bgPic'>");
                $("#bgPic").css({'width': bg_width, 'height': bg_height,'background':'rgba(0,0,0,0.6)'});
                $.ajax({
                    url : "login-new/login_edit.do.php",
                    data : {
                            op : "getLoginInfor"
                    }
		}).done(function(result) {
                    if (result) {
                        var parsedData = $.parseJSON(result);
                        if(parsedData.THEME != ''){
                            $('#bgPic').attr({
                                src : "/images/login-bg/"+parsedData.THEME,
                            });
                        }
                        $('.login-footer').html(parsedData.COPYRIGHT);
                        $('.login-footer').css('color',parsedData.COPYRIGHT_COLOR);
                    }
                });
                var logoimg_width = $(".logoPic").width(); 
                var _left = (300-logoimg_width)/2;
                $(".login-logo").css('left',_left);
                 //窗口调整时运行的参数
                $(window).resize(function(){
                    var bg_width_c = $(window).width();
                    var bg_height_c = $(window).height();
                    $(".login-body").height(bg_height_c);
                    $(".login-body").width(bg_width_c);
                    var _left = bg_width_c / 2 - 150;
                    $(".login-center").css("left", _left);
                    $("#bgPic").css({'width': bg_width, 'height': bg_height,'background':'rgba(0,0,0,0.6)'});
                });
                $("body").keydown(function(event) {
                    if (event.keyCode == "13") {
                        if ($(".admin-pwd").data("isFocus")) {
                            $("#pw_submit").click();
                        } else {
                            $(".login-button").click();
                        }
                    }
                });

                //------------------用户名密码验证------------------------------//
                $(".login-button").click(function() {
                    var url        = $("#loginform").attr('action');
                    var login_type = parseInt($('#login-button').attr('login-type'));
                  
                    if(login_type == 1) {
                        var userName = $.trim($("#username").val());
                        var password = $.trim($("#password").val());
                        var userLang = $.trim($("#lang").val());
                        var verify   = $.trim($("#verify").val());
                        var dynamiCode= $.trim($("#DYNAMI_CODE").val());
                        if (userName == "") {
                            $.pnotify("请输入用户名");
                            return false;
                        }

                        $.ajax({
                            url: url,
                            type: 'post',
                            data: {
                                "USERNAME": userName,
                                "PASSWORD": password,
                                "USER_LANG": userLang,
                                "VERIFY"  : verify,
                                "DYNAMI_CODE":dynamiCode
                            }
                        }).done(function(result) {
                            var parsedData = $.parseJSON(result);

                            if (parsedData.flag == 1) {
                                location.href = "/general/index9.php";
                            } else if(parsedData.flag == 2) {
                                $("#loginform").attr('action','/login-new/logincheck.php?m=checkMsgPassword');
                                $('#username').attr("disabled",true);
                                $("#select_button,#select_button_div").attr('disabled',true);
                                $('.login-password').hide();
                                $('.login-pass-img').hide();
                                $('.login-lang').after('<div class="login-pass-msg">\n\
                                                        <div class="icon"><i class="fa fa-codepen fa-2x"></i></div>\n\
                                                        <div class="input" style="width:138px;"><input type="text" style="width:110px;" id="msgPassword" name="msgPassword" value="" title="<?=$_lang["common_sms_verify"]?>" placeholder="<?=$_lang["common_sms_verify"]?>"></div>\n\
                                                        <div id="sendMsg" style="float:right;width:100px;background:#000;height:37px;text-align:center;border:1px solid #000;opacity:0.6;filter:alpha(opacity=60);line-height:35px;cursor:pointer;font-size:13px;"><?=$_lang["common_get_verify"]?></div></div>');
                                $('.login-button').attr('login-type',2);
                                $('.login-button').removeClass('button-active');
                                $.pnotify(parsedData.info);
                            } else if(parsedData.flag == 3) {
                                var loginUsbKey = parsedData.loginUsbKey;
                                var usbKeyPin = parsedData.usbKeyPin;
                                $('.login-button').attr('login-type',3);
                                $("#loginform").attr('action','login-new/logincheck.php?m=usbCheckEnd');
                                $('#username').attr("disabled",true);
                                $("#select_button,#select_button_div").attr('disabled',true);
                                $('.login-password').hide();
                                $('.login-pass-img').hide();
                                if(loginUsbKey == 'haikey'){
                                    $('body').append('<OBJECT id="htactx" name="htactx" classid="clsid:FB4EE423-43A4-4AA9-BDE9-4335A6D3C74E" codebase="/inc/HTActX.cab#version=1,0,0,1" style="HEIGHT: 0px; WIDTH: 0px"></OBJECT>');
                                }else if(loginUsbKey == 'haikey'){
                                    $('body').append('<object id="iSignaturePortal" width="0" height="0" classid="CLSID:C044E18E-417C-441C-8156-91D9F5544E02" codebase="/inc/iSignaturePortal.cab#version=7,0,0,6"></object>');
                                }
                                $('.login-lang').after('<input type="hidden" name="loginUsbKey" id="loginUsbKey" value="'+loginUsbKey+'"><input type="hidden" name="usbKeyPin" id="usbKeyPin" value="'+usbKeyPin+'"><input type="hidden" name="user_account" id="user_account" value="'+parsedData.userAccount+'"/>');
                                submitAction(); 
                            } else if(parsedData.flag == 4) {
                                location.href = "/general/pass.php";
                            }else if(parsedData.flag == 6) {
                                $("#update_dialog").dialog("open");
                                $(".ui-dialog-titlebar-close").hide();
                                $('.ui_dialog .ui-dialog-titlebar').css('background','#36A9E1')
                                $.ajax({
                                    url:'/login-new/update_check.php'
                                }).done(function(result){
                                    if(result == 1){
                                        $(".ui-dialog-titlebar-close").show();
                                        $('#update_dialog').html('<span style="color:green;">恭喜！系统升级成功，3秒后自动关闭更新窗口，或点击关闭按钮！请重新登录。</span>')
                                        setTimeout(function(){$('#update_dialog').dialog("close");}, 3000 );
                                    }else{
                                        $(".ui-dialog-titlebar-close").show();
                                        //var html = '<div style="width:100%;color:red;float:left;">有部分脚本更新失败，请查看根目录下"<b>update/logs</b>"目录下的日志文件。也可忽略，关闭升级对话框，从新登录。</div>'
										$('#update_dialog').html('<span style="color:green;">恭喜！系统升级成功，3秒后自动关闭更新窗口，或点击关闭按钮！请重新登录。</span>')
                                        setTimeout(function(){$('#update_dialog').dialog("close");}, 3000 );
                                    }
                                })
                            }
                            else if(parsedData.flag == 7)
                            {
                                $.pnotify({
                                    text:"令牌验证错误,需要<a href='#' onclick=\"javascript:location.href='/syncCode.php'\">同步令牌</a>或者<a href='#' onClick=\"javascript:location.href='/bindkey.php'\">绑定令牌</a>",
                                    type:"error"
                                });
                                //$("#showinfo").css("display","block").html("令牌验证错误,需要<a href='#' onclick=\"javascript:location.href='/syncCode.php'\">同步令牌</a>或者<a href='#' onClick=\"javascript:location.href='/bindkey.php'\">绑定令牌</a>");
                            }
                            else {
                                var $obj = $('#verify-img');
                                var src = $obj.attr('src');
                                $obj.attr('src',src + '?rnd=' + Math.random());
                                $('#verify').val('');
                                $.pnotify(parsedData.info);
								if(parsedData.flag == '5')
								{
									window.open("inc/expired.php");
								}
                            } 
                        });
                    } else if(login_type == 2) {
                        var msgPassword = $('#msgPassword').val();
                        if (msgPassword == "") {
                            $.pnotify("请输入短信验证码");
                            return false;
                        }
                        $.ajax({
                            url: url,
                            type: 'post',
                            data: {
                                "msgPassword": msgPassword,
                            }
                        }).done(function(result) {
                            if(result == 1){
                                location.href = "/general/index9.php";
                            }else if(result == 0){
                                $.pnotify("短信验证码错误");
                            }else{
                                $.pnotify({text:"短信验证码正确",type:'success'});
                                var parsedData = $.parseJSON(result);
                                var loginUsbKey = parsedData.loginUsbKey;
                                var usbKeyPin = parsedData.usbKeyPin;
                                $('.login-button').attr('login-type',3);
                                $("#loginform").attr('action','login-new/logincheck.php?m=usbCheckEnd');
                                $('#username').attr("disabled",true);
                                $("#select_button,#select_button_div").attr('disabled',true);
                                $('.login-password').hide();
                                $('.login-pass-img').hide();
                                if(loginUsbKey == 'haikey'){
                                    $('body').append('<OBJECT id="htactx" name="htactx" classid="clsid:FB4EE423-43A4-4AA9-BDE9-4335A6D3C74E" codebase="/inc/HTActX.cab#version=1,0,0,1" style="HEIGHT: 0px; WIDTH: 0px"></OBJECT>');
                                }else if(loginUsbKey == 'haikey'){
                                    $('body').append('<object id="iSignaturePortal" width="0" height="0" classid="CLSID:C044E18E-417C-441C-8156-91D9F5544E02" codebase="/inc/iSignaturePortal.cab#version=7,0,0,6"></object>');
                                }
                                $('.login-lang').after('<input type="hidden" name="loginUsbKey" id="loginUsbKey" value="'+loginUsbKey+'"><input type="hidden" name="usbKeyPin" id="usbKeyPin" value="'+usbKeyPin+'"><input type="hidden" name="user_account" id="user_account" value="'+parsedData.userAccount+'"/>');
                                submitAction();
                            }
                        })
                    } else if(login_type == 3) {
                        submitAction();
                    }
                });
                //------------------------短信验证----------------------------//
                $(".login-form").on({
                    mouseenter: function() {
                        $(this).css({'background': '#fff', 'color': '#000','border':'2px solid #000'});
                    },
                    mouseleave: function() {
                        if($(this).attr('disabled') != 'disabled'){
                            $(this).css({'background': '#000', 'color': '#fff'});
                        }
                    },
                    click: function(){  
                         if($(this).attr('disabled') != 'disabled'){
                            get_code_time($(this));
                            $.ajax({
                               url: '/login-new/logincheck.php?m=sendSmsPassword',
                           }).done(function(result) {
                              if(result==1){
                                  $.pnotify({text: '短信已发送', type: "success"});
                              }
                           });
                        }
                    }
                },'#sendMsg');
                
                $("#username").keyup(function() {
                    var userName = $.trim($("#username").val());
                    var data     = "type=checkikey&USER_NAME="+userName;
                    var url      = "checkCode.php";
                    $.ajax({
                        url:url,
                        data:data,
                        type:"POST",
                        success:function(resp){                           
                            if(resp =='1')
                            {
                                $("#login_ikeycode").css("display","block");                    
                                <?if($SEC_PASS_IMG == "1")
                                {
                                ?>
                                  $("#login_ikeycode").css("margin-top","375px");
                                  $("#login-button").css("top","430px");
                                <?
                                }
                                else
                                {
                                ?>
                                  $("#login_ikeycode").css("margin-top","320px");
                                  $("#login-button").css("top","401px");
                                <?}?>

                            }
                            else
                            {
                                $("#login_ikeycode").css("display","none");
                                <?
                                if($SEC_PASS_IMG == "1")
                                {
                                ?>
                                    $("#login-button").css("top","380px");
                                <?
                                }
                                else
                                {
                                ?>
                                    $("#login-button").css("top","339px");
                                <?}?>                                
                            }
                        }
                    });
                });
                $("#login_ikeycode").css("display","none");
                var wait = 60;
                get_code_time = function (o) {
                    if (wait == 0) {
                        o.css({'background': '#000', 'color': '#fff','font-size':'13px'});
                        o.attr('disabled',false);
                        o.text("<?=$_lang["common_get_verify"]?>");
                        wait = 60;
                    } else { 
                        o.css({'background': '#fff', 'color': '#000','border':'2px solid #000','font-size':'11px'});
                        o.attr('disabled',true);
                        o.text("(" + wait + ")<?=$_lang{'common_get_again'}?>");
                        wait--;
                        setTimeout(function() {
                            get_code_time(o);
                        }, 1000);
                    }
                }; 
				//判断浏览器，进行提示
				if(navigator.userAgent.indexOf("MSIE")>0){   
					if(navigator.userAgent.indexOf("MSIE 8.0")>0 || (navigator.userAgent.indexOf("MSIE 9.0")>0 && !window.innerWidth)){
						if(getCookie("remindBrowser") != "hide")
							$(".remind-other-browser").show();
					}
				}
				$(".remind-browser-a").on("click",function(){
					var remindBrowserText = $(this).text(),
						remindBrowserUrl  = "";
					switch (remindBrowserText)
					{
						case "Google Chrome":
							remindBrowserUrl = "chrome";
							break;
						case "Firefox":
							remindBrowserUrl = "firefox";
							break;
						case "Opera":
							remindBrowserUrl = "opera";
							break;
						case "Safari":
							remindBrowserUrl = "safari";
							break;
						case "IE9":
							remindBrowserUrl = "ie9";
							break;
						case "IE10":
							remindBrowserUrl = "ie10";
							break;
						case "IE11":
							remindBrowserUrl = "ie11";
							break;
						default:
							hideRemindBrowser();
							break;
					}
					if(remindBrowserUrl) {
						remindBrowserUrl = "<?=$remindBrowserUrl?>"+remindBrowserUrl;
						window.open(remindBrowserUrl,'_blank');
					}
				});
            });
        </script>
    <script type="text/javascript">
		//获取cookie
		function getCookie(name){ 
			var strCookie=document.cookie; 
			var arrCookie=strCookie.split("; "); 
			for(var i=0;i<arrCookie.length;i++){ 
				var arr=arrCookie[i].split("="); 
				if(arr[0]==name)
					return arr[1]; 
			}
			return "";
		}
		function hideRemindBrowser(){
			var date=new Date(); 
			date.setTime(date.getTime()+300*24*3600*1000);
			document.cookie = "remindBrowser=hide;expires="+date.toGMTString();
			$(".remind-other-browser").hide();
		}
        //---------------------------usb验证-------------------------------//
        function submitAction()
        {
            var loginUsbKey = $('#loginUsbKey').val();
            if(loginUsbKey == "haikey"){
               if(typeof(haiTaiValidate) == "undefined") {
                    $.pnotify({text: "该key暂时只支持IE浏览器,请使用IE浏览器登录,", type: "error"});
               }else{
                    haiTaiValidate()
               }
            }else if(loginUsbKey == "goldgrid"){
                goldgridValidate()
            }
        }
        function goldgridValidate()
        {
            try{
                var mKeySN = iSignaturePortal.WebGetKeySn();
                if(mKeySN == "" || mKeySN == null){
                    $.pnotify({text: "<?=$_lang["other_insert_usbkey"]?>", type: "error"});
                    $.pnotify({text: "<?=$_lang["other_open_failure"]?>", type: "error"});
                    return false;
                }
            }catch(e){
                $.pnotify({text: "<?=$_lang["other_insert_usbkey"]?>", type: "error"});
                $.pnotify({text: "<?=$_lang["other_open_failure"]?>", type: "error"});
                return false;
            }
            var usbKeyPin = $('#usbKeyPin').val();
            var username = iSignaturePortal.WebGetUserName(usbKeyPin);
            var userAccount = document.getElementById("user_account").value;
            if(username == userAccount ){
                $("#loginform").submit();
            }else{
                $.pnotify({text: "<?=$_lang["other_insert_usbkey"]?>", type: "error"});
                $.pnotify({text: "<?=$_lang["other_insert_correct_usbkey"]?>", type: "error"});
                return false;
            }
        }
        function showError(flag){
            if(flag == 1){
                $.pnotify({text: "<?=$_lang["other_insert_usbkey"]?>", type: "error"});
            }else if(flag == 2){
                $.pnotify({text: "<?=$_lang["other_open_failure"]?>", type: "error"});
            } else if(flag == 3){
                $.pnotify({text: "<?=$_lang["other_insert_correct_usbkey"]?>", type: "error"});
            }
        }
        </script>     
        <script LANGUAGE="VBSCRIPT" RUNAT="SERVER">
            function haiTaiValidate()
                dim hCard
                On Error Resume Next
                hCard = 0
                hCard = htactx.OpenDevice(1)
                If Err.number <> 0 or hCard = 0 then
                    showError(1)
                    showError(2)
                    haiTaiValidate = false
                    Exit function
                End if
                dim UserName
                UserName = htactx.GetUserName(hCard)
                htactx.CloseDevice hCard
                dim userAccount 
                userAccount = document.getElementById("user_account").value
                If UserName = userAccount then 
                    document.getElementById("loginform").submit()
                    Exit function
                Else 
                    showError(1)
                    haiTaiValidate = false
                    showError(3)
                    Exit function
                End if
            End function
        </script>
    </body>
</html>