<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      会议审核
* @encoding      $_lang['encoding']
* @name          general/meetings/examine/index.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
includelangpak("meetings");
include_once("inc/utility_all.php");
include_once("inc/function_usergeneral.php");
include_once("api/meeting.class.php");
//取消消息提醒
if($_REQUEST['apply_id']!="")
{
	SMSCancelRemind($LOGIN_USER_ID,$_REQUEST['apply_id'],'meeting_apply');		
}
$meeting  = new meeting();
$conflict_num = $meeting->num_conflict();
$showConNum = $conflict_num['subnum'];
$showConCarid = $conflict_num['apply_id'];
$PAGE_TITLE = $_lang["meetings_checkdo"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/meetings/css/mettings.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<body>
<input type="hidden" id="chooseID" name="chooseID">
<input type="hidden" id="checkDiffRemind" name="checkDiffRemind">

<div id="Message"></div>
<div style="width:100%">
    <div id="examineHead" class="right_main_wrap">
        <div class="lazy_header">
            <div class="filter_wrap" style="height:0px;"></div>
            <div class="search_wrap" style="margin-right:10px;"></div>
        </div>
        <div id="checkExamine" style="width:100%"></div>
    </div>
    <div id="checkInforSpan" style="width:100%; display:none;"></div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/meetings/meeting.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script language="javascript">
$(function() {
	$("#checkExamine").LazyTable({
			buttons : {
				buttonInfor : {
					"examine" : {
						title : "<?=$_lang["meetings_myapply_examine"]?>",
						func : function(data) {
							//$("#checkExamine").hide();
							$("#examineHead").hide();
							$.ajax({
								type:"POST",
								async:false,
								dataType:"html",
								data:"apply_id="+data.apply_id+"&showpage=examine&check_conflict=<?=$showConCarid?>",
								url:"/general/meetings/examine/examine.php"
							}).done(function(result){
								//alert(result);
								$("#checkInforSpan").html(result);
								$("#checkInforSpan").show();
							});	
						},
						isDefault:true
					},
					"read" : {
						title : "<?=$_lang["meetings_read"]?>",
						func : function(data) {
							//$("#checkExamine").hide();
							$("#examineHead").hide();
							$.ajax({
								type:"POST",
								async:false,
								dataType:"html",
								data:"apply_id="+data.apply_id+"&showpage=readview",
								url:"/general/meetings/examine/examine.php"
							}).done(function(result){
								//alert(result);
								$("#checkInforSpan").html(result);
								$("#checkInforSpan").show();
							});	
						},
						isDefault:true
					},
					"delete" : {
						title : "<?=$_lang["common_del"]?>",
						func : function(data) {
							//判断操作
							bootbox.confirm("<?=$_lang["meetings_delete_sure"]?>", function(result) {
								if(result){
									var chooseId = data.apply_id;
									$.ajax({
										type:"POST",
										data:"id="+chooseId+"&check=single&diff=delete",
										url:"/general/meetings/examine/do.php"
									}).done(function(result){
										$("#checkExamine").LazyTable("reload");
									});		
								}	
							});	
						}
					}
				},
				filter : function(data) {
					var buttonFilterStr = new Array();
					if(data.state=="1"){
						buttonFilterStr.push("examine");
					}else if(data.state=="3" || data.state=="5"){
						buttonFilterStr.push("read");	
						buttonFilterStr.push("delete");	
					}else{
						buttonFilterStr.push("read");		
					}
					return buttonFilterStr;
				}
			},
			batchButtons : [{
				title : '<?=$_lang["meeting_delete_many"]?>',
				func : function(data) {
					//console.log(data);
				  var taskStrId = ""; 
				  for(var i=0;i<data.length;i++){
					  taskStrId += data[i]["apply_id"]+",";
				  }
				  if(taskStrId){
					 bootbox.confirm('<?=$_lang["meeting_sure_deletes"]?>', function(result) {
						if(result){
							var chooseId = taskStrId;
							$.ajax({
								type:"POST",
								data:"id_str="+chooseId+"&check=all&diff=delete",
								url:"/general/meetings/examine/do.php"
							}).done(function(result){
								$("#checkExamine").LazyTable("reload");
							});		
						}	
					});
				  }else{
					 $("#Message").LazyMessage("open",'<?=$_lang["meeting_at_list_one"]?>',"warning"); 
				  }
				}
			}],
			page : {
				callback : function(page) {
					$("#checkExamine").LazyTable("reload", {
						page : {
							currentPage : page
						}
					});
				}
			},
			column : [{
				key : "checkall",
				showCheckAll:function(data){
					if(data.state=="3" || data.state=="5"){
						return true;	
					}else{
						return false;	
					}
				}
			}, {
				key : "subject",
				title : '<?=$_lang["meetings_sunject"]?>'
			},{
				key : "room_name",
				title : '<?=$_lang["meetings_room"]?>'
			}, {
				key : "applyPerson",
				title : '<?=$_lang["meetings_apply_person"]?>'
			}, {
				key : "begin_time",
				title : '<?=$_lang["meetings_begin_time"]?>'
			}, {
				key : "end_time",
				title : '<?=$_lang["meetings_end_time"]?>'
			}, {
				key : "stateText",
				title : '<?=$_lang["meetings_state"]?>'
			}],
			sort : {
		        items : [{
		          key : "room_name",
		          title : '<?=$_lang["meetings_room"]?>'
		        },{
		          key : "applyPerson",
		          title : '<?=$_lang["meetings_apply_person"]?>'
		        },{
		          key : "begin_time",
		          title : '<?=$_lang["meetings_begin_time"]?>'
		        },{
		          key : "end_time",
		          title : '<?=$_lang["meetings_end_time"]?>'
		        },{
		          key : "stateText",
		          title : '<?=$_lang["meetings_state"]?>'
		        }],
		        onItemClick : function(key, sortType) {
		          $("#checkExamine").LazyTable("reload", {
		            param : {
		              sortField : key,
		              sortType : sortType
		            }
		          });
		        }
		      },
			dataSource : "indexdo.php",
			param : {
				type : "examine_list",
				sortField : "A_ID",
				sortType : "DESC"
			},
			page : {
				callback:function(page){
					$("#checkExamine").LazyTable("reload", {
						page:{
							currentPage:page
						}
					});
				}
			},
			onSortItemClick : function(data, sortType) {
				$("#checkExamine").LazyTable("reload", {
					param : {
						sortField : data.key,
						sortType : sortType
					}
				});
			},
			onAfterLoad:function(){
				 $(':checkbox.lazy_table_checkbox').iCheck({
                    checkboxClass : 'icheckbox_square-grey',
                    radioClass : 'iradio_square-grey'
                });

				 $(':checkbox.lazy_table_checkall').iCheck({
                    checkboxClass : 'icheckbox_square-blue',
                    radioClass : 'iradio_square-blue'
                });
			}
		});
		$("#checkExamine").on('ifChanged', '.lazy_table_checkall', function(event){
			$("#checkExamine").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
		});

		$("#checkExamine").on('ifChanged','.lazy_table_checkbox', function(event){
			if ($(this).prop("checked")) {
				if ($("#checkExamine").find(".lazy_table_checkbox").filter(function() {
					return $(this).prop("checked") == false;
				}).length == 0) {
					$("#checkExamine").find(".lazy_table_checkall").prop("checked", true);
				}
			} else {
				$("#checkExamine").find(".lazy_table_checkall").prop("checked", false);
			}

			$(":checkbox").iCheck('update'); 
		});
		/*
		 * 筛选
		 */
		$(".filter_wrap").LazyFilter({
			onClick : function(data) {
				$("#checkExamine").LazyTable("reload", {
					param : {
						quickParam : data
					}
				});
			},
			more : {
				header : '<?=$_lang["meeting_more_select"]?>',
				dataSource : [{
					key : "time",
					title : '<?=$_lang["meeting_date"]?>',
					subItems : [{
						key : "D-1",
						title : '<?=$_lang["meeting_today"]?>'
					}, {
						key : "D-3",
						title : '<?=$_lang["meeting_three_day"]?>'
					}]
				}]
			},
		common : {
				template : "{title}",
				onClick : function(data) {
					$("#checkExamine").LazyTable("reload", {
						param : {
							quickParam : data.key
						}
					});
				},
				dataSource : "indexdo.php",
				param : {
					type : "quickSearch"
				}
			}
			
		});
		/*
		 * 列表查询
		 */
		$(".search_wrap").LazySearch({
			tip : '<?=$_lang["meeting_subject_search"]?>',
			url : "indexdo.php",
			param : {
				type : "autoTaskSearch"
			},
			fieldSearch : {
				onItemClick : function(data,value) {
					//alert(data.key+"----"+value);
					$("#checkExamine").LazyTable("reload", {
						param : {
							meet_name :value 
						}
					});
				},
				items : [{
					key : "A_SUBJECT",
					title : '<?=$_lang["meeting_subject_have"]?>'
				}]
			},
		      onClearButtonClick:function()
		      {
		        $("#checkExamine").LazyTable("reload",{
		          param:{
		            meet_name :"" 
		          }
		        }); 
		      }
			
		});
		//提示语
		$("#Message").LazyMessage({
			ofTarget : "body"	
		});
});	
</script>