<?php
/**
 * @systemname:       E-Office
 * @filename:         module/addredd_group_select/select_file.php
 * @function:         新建联系人选择框 - 选择目录
 * @encoding:         $_lang['encoding']
 * @author:           sun|www.weaver.com.cn
 * @date:             2012-01-18
 * @file version:     3.0
 * @eoffice version:  8.0
 * @modify:			  dingp
*/
include_once("inc/auth.php");
includelangpak("other,system");
$group_sl_id  = SecurityFilter($_REQUEST['select_id']);
$group_sl_name = SecurityFilter($_REQUEST['select_name']);
$group_type = SecurityFilter($_REQUEST['select_type']);
if($group_type==1){
	$cata_name = $_lang["other_address_public"];
}else{
	$cata_name = $_lang["other_address_person"];
}
?>
<html>
<head>
<title></title>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/prototype.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script src="/inc/xtree/xtree.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link type="text/css" rel="stylesheet" href="/images/xtree/xtree.css">
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link href="/newplugins/css/style.css" rel="stylesheet" />
<style type="text/css" media="screen">
.popupMenu{
	width:100px;
	border:1px solid #666666;
	background-color:#F9F8F7;
	padding:1px;
}

.popupMenuTable{
	background-image:url("<i class='fa fa-times'></i>");
	background-repeat:repeat-y;
}

.popupMenuTable TD{
	font-family:MS Shell Dlg;
	font-size:12px;
	cursor:default;
}

.popupMenuRow{
	height:21px;
	padding:1px;
}

.popupMenuRowHover{
	height:21px;
	border:1px solid #0A246A;
	background-color:#B6BDD2;
}
</style>
</HEAD>
<BODY>
<div id="treeMenu">
<script>
<?
if($group_type==1){	
?>
	webFXTreeConfig.rootIcon		= "/images/t_web.gif";
	webFXTreeConfig.openRootIcon	= "/images/t_web.gif";
<?
}else{
?>
	webFXTreeConfig.rootIcon		= "/images/t_web.gif";
	webFXTreeConfig.openRootIcon	= "/images/t_web.gif";

<?
}
?>
webFXTreeConfig.openFolderIcon	= "/images/tree_diropen.gif";
webFXTreeConfig.fileIcon		= "/images/tree_diropen.gif";
webFXTreeConfig.blankIcon		= "/images/blank.png";
webFXTreeConfig.lMinusIcon		= "/images/Lminus.png";
webFXTreeConfig.lPlusIcon		= "/images/Lplus.png";
webFXTreeConfig.tMinusIcon		= "/images/Lminus.png";
webFXTreeConfig.tPlusIcon		= "/images/Lplus.png";
webFXTreeConfig.iIcon			= "/images/I.png";
webFXTreeConfig.lIcon			= "/images/L.png";
webFXTreeConfig.tIcon			= "/images/T.png";


if (document.getElementById) {

	var tree = new WebFXTree('<?=$cata_name?>','javascript:select_folder(\'0\' ,\'<?=$cata_name?>\')','');
	tree.folderId = "0";
	tree.setBehavior('classic');

<?
function selectFilesortRecursion($group_id,$group_type,$get_what)
{
	$LOGIN_USER_ID = $_SESSION['LOGIN_USER_ID'];
	$LOGIN_DEPT_ID = $_SESSION['LOGIN_DEPT_ID'];
	$LOGIN_PRIV_ID = $_SESSION['LOGIN_USER_PRIV'];
	$connection = OpenConnection();
if($group_type==1){
	$query = "
			SELECT GROUP_NAME,GROUP_PARENT,GROUP_ID
			FROM address_group
			WHERE GROUP_TYPE  = $group_type
			AND GROUP_PARENT = $group_id
			AND (
				GROUP_DEPT = 'ALL_DEPT'
				OR(
					(INStr(GROUP_DEPT,',$LOGIN_DEPT_ID,')>0 OR INStr(GROUP_DEPT,'$LOGIN_DEPT_ID,')=1) 
					OR
					(INStr(GROUP_PRIV,',$LOGIN_PRIV_ID,')>0 OR INStr(GROUP_PRIV,'$LOGIN_PRIV_ID,')=1)
					OR 
					(InStr(GROUP_USER,'$LOGIN_USER_ID,')>0 OR INStr(GROUP_USER,'$LOGIN_USER_ID,')=1)
				  )
				)
			";
}else{
	$query = "
			SELECT GROUP_NAME,GROUP_PARENT,GROUP_ID
				FROM address_group
					WHERE GROUP_TYPE  = $group_type
						AND GROUP_PARENT = $group_id
						AND USER_ID = '$LOGIN_USER_ID'
		";	
}
$res = exequery($connection,$query);
	while($row = mysql_fetch_array($res)){
		$name = $row['GROUP_NAME'];
		$id   = $row['GROUP_ID']; 
		$sort_parent = $row['GROUP_PARENT'];
		?>
		var treename_<?=$id?> = new WebFXTreeItem('<?=$name?>','javascript:select_folder(\'<?=$id?>\' ,\'<?=$name?>\')','','/images/tree_diropen.gif','');
		<?
		if($sort_parent!=0){
		?>
			treename_<?=$sort_parent?>.add(treename_<?=$id?>);
			treename_<?=$id?>.folderId = '<?=$id?>';
			treename_<?=$id?>.folderName = '<?=$name?>';
		<?
	    }
		else{
		?>
			tree.add(treename_<?=$id?>);
			treename_<?=$id?>.folderId = '<?=$id?>';
			treename_<?=$id?>.folderName = '<?=$name?>';
		<?
		}
		selectFilesortRecursion($row['GROUP_ID'],$group_type,$get_what);
	}
}
selectFilesortRecursion(0,$group_type,$get_what);
?>

document.write(tree);
tree.expandAll();
}
</script>
</div>

<script>
//选择SORT
var parent_window = window.parent.window.opener || parent.dialogArguments;
function select_folder(sort_id,sort_name)
{
	if(sort_id==0)
	{
		alert("<?=$_lang ["other_no_new_address_in_root"]?>");
	}
	else 
	{
		TO_VAL = parent_window.document.getElementById('<?=$group_sl_id?>').value;
		if(TO_VAL.indexOf(","+sort_id+",")<0 && TO_VAL.indexOf(sort_id+",")!=0)
		{
			parent_window.document.getElementById('<?=$group_sl_id?>').value=sort_id;
			parent_window.document.getElementById('<?=$group_sl_name?>').value=sort_name;
		}
	}
}

var sortType;// 1,无右键菜单 2,右键菜单
sortType = 1;

document.attachEvent("oncontextmenu", function(e){
	var o = e.srcElement;
	if(o.nodeName=="A"){


		showOptionMenu(webFXTreeHandler.all[o.parentNode.id]);
		//alert(webFXTreeHandler.all[o.parentNode.id]);
		return false;
	}
});

function addTreeNode(id, name){
	tree.getSelected().add(eval("folder"+id+" = new WebFXTreeItem(name,'filelist.php?FILE_SORT=2&SORT_ID='+id)"));
	eval("folder"+id+".folderId = id");
	eval("folder"+id+".folderName = name");
	tree.getSelected().expand();
	Element.hide("editfoldernameid");

}

function updateTreeNode(oNode,name){
	var objNodeAnchor = document.getElementById(oNode.id+"-anchor");
	objNodeAnchor.innerText = name;
	Element.hide("editfoldernameid");
}

function deleteTreeNode(oNode){
	oNode.remove();
	Element.hide("divoptionmenu");
}

function showOptionMenu(oNode){
	var popupX = 0;
	var popupY = 0;
	var objOMenu = document.getElementById('divoptionmenu');
	popupX = Event.pointerX(window.event);
	popupY = Event.pointerY(window.event);
	
	objOMenu.style.position="absolute";
	objOMenu.style.top=popupY;
	objOMenu.style.left=popupX-40;
	if(sortType == 2){
		objOMenu.style.display = "";
	}
	
	if(oNode.folderId == 0){
		objOMenu.getElementsByTagName("TR")[2].style.display = "none";
		objOMenu.getElementsByTagName("TR")[4].style.display = "none";
	
	}
	else{
		objOMenu.getElementsByTagName("TR")[2].style.display = "";
		objOMenu.getElementsByTagName("TR")[4].style.display = "";
	
	}

	attachEventMenu(oNode);

	objOMenu.attachEvent("onmouseout",mouseoutMenu);

}


function mouseoutMenu(){
	var mx = event.clientX;
	var my = event.clientY;
	var oMenuPos = getObjInfoXY('divoptionmenu');
	var objOMenu = document.getElementById('divoptionmenu');
	if(mx<oMenuPos.left || mx>oMenuPos.right){
		objOMenu.style.display = "none";
	}
	if(my<oMenuPos.top || my>oMenuPos.bottom){
		objOMenu.style.display = "none";
	}
	
}

function mouseoutEdit(){
	var mx = event.clientX;
	var my = event.clientY;
	var oFolderXY = getObjInfoXY('editfoldernameid');
	var objFolder = document.getElementById('editfoldernameid');
	if(mx<oFolderXY.left || mx>oFolderXY.right){
		objFolder.style.display = "none";
	}
	if(my<oFolderXY.top || my>oFolderXY.bottom){
		objFolder.style.display = "none";
	}
	
}

function showEditFolder(oNode,type){
	var objEfnId = document.getElementById('editfoldernameid');
	var objOMenu = document.getElementById('divoptionmenu');
	var objFolderName = document.getElementById('foldername');
	var objSubmitFTD = document.getElementById('submitFolderTD');
	
	var popupX = 0;
	var popupY = 0;

	objEfnId.style.position="absolute";

	popupX = Event.pointerX(window.event);
	popupY = Event.pointerY(window.event);

	objEfnId.style.top=popupY;
	objEfnId.style.left=10;
	objEfnId.style.display = "";
	objOMenu.style.display = "none";

	//objEfnId.attachEvent("onmouseout",mouseoutEdit);

	objFolderName.focus();


	switch(type){
		case "add":
			objFolderName.value = "";
			objSubmitFTD.onclick = function(){submitFolder(oNode,"add");};

			break;
		case "edit":
			objFolderName.value = oNode.folderName;
			objSubmitFTD.onclick = function(){submitFolder(oNode,"edit");};
			break;
	
	}

}

function attachEventMenu(oNode,type){
	var arrayTD = Array();
	arrayTD[0] = "addFolderTD";
	arrayTD[1] = "editFolderTD";
	arrayTD[2] = "delFolderTD";

	for(var i=0; i<arrayTD.length;i++){
		var objFolderTd = document.getElementById(arrayTD[i]);
		objFolderTd.onmouseover = function(){this.className='popupMenuRowHover';};
		objFolderTd.onmouseout = function(){this.className='popupMenuRow';};
		if(arrayTD[i] == "addFolderTD"){
			objFolderTd.onclick =  function(){showEditFolder(oNode,"add");};
		
		}

		if(arrayTD[i] == "editFolderTD"){
			objFolderTd.onclick =  function(){showEditFolder(oNode,"edit");};
		
		}

		if(arrayTD[i] == "delFolderTD"){
			objFolderTd.onclick =  function(){deleteFolder(oNode);};
		
		}
	
	}

}

function submitFolder(oNode,type){
	var name = document.getElementById("foldername").value;
	var sort_id = oNode.folderId;
	if(name == ""){
		return false;
	}
	
	if(type == "add"){
		var url = "new_tree/do.php";
		var par = "f=addnode&sort_name="+name+"&sort_id="+sort_id;
		queryString = par;
		new Ajax.Request
			(
				url,
				{
					method: "post",	
					onSuccess : function(resp)
								{
									var id = resp.responseText;
									//alert(id);
									addTreeNode(id,name);
									//alert(par)
								},
					onFailure : function()
								{
									alert(url);
									
								},
					parameters : queryString
				}
			);
	}


	if(type == "edit"){
		var url = "new_tree/do.php";
		var par = "f=changename&sort_name="+name+"&sort_id="+sort_id;
		queryString = par;
		new Ajax.Request(url,{method: "post",parameters : queryString});

		var id = oNode.folderId;
		updateTreeNode(oNode,name);
		//refrehMailTreeMenu();
	
	}
}

function deleteFolder(oNode){
	var sort_id = oNode.folderId;
	if(window.confirm("<?=$_lang["system_del_sure_alert"]?>")){
		var url = "new_tree/do.php";
		var par = "f=remove&sort_id="+sort_id;
		queryString = par;
		new Ajax.Request(url,{method: "post",parameters : queryString});

		deleteTreeNode(oNode);
	}
}

</script>

<div id="divoptionmenu" style="display:none">
<div class="popupMenu">
<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%" class="popupMenuTable">
	<tr height="22" menuid=1>
		<td class="popupMenuRow" id="addFolderTD">
			<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%">
				<tr>
					<td width="28"><i class='fa fa-times'></i></td>
					<td ><?=$_lang['system_combox_add']?></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr height="22" menuid=2>
		<td class="popupMenuRow" id="editFolderTD">
			<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%">
				<tr>
					<td width="28"><i class='fa fa-times'></i></td>
					<td ><?=$_lang['system_combox_edit']?></td>
				</tr>
			</table>
		</td>
	</tr>

	<tr height="22" menuid=3>
		<td class="popupMenuRow" id="delFolderTD">
			<table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%">
				<tr>
					<td width="28"><i class='fa fa-times'></i></td>
					<td ><?=$_lang['system_combox_del']?></td>
				</tr>
			</table>
		</td>
	</tr>

</table>
</div>
</div>

<div align="center" style="width:120px;border:1px solid #666666;background-color:#F9F8F7;padding:0px;display:none;font-size:12px;" id="editfoldernameid">
	<table cellspacing="0" cellpadding="2" border="0" width="100%" height="100%">
		<tr height="12" class="tableheader">
			<td align="right" colspan="2"><img src="/images/index_i/closetab.gif" onClick="Element.hide('editfoldernameid')" style="cursor:hand">&nbsp;&nbsp;</td>
		</tr>
		<tr height="22" >
			<td class="tableline2"><?=$_lang['hr_dir']?>:</td>
			<td> <input id="foldername" type="text" size="6"></td>
		</tr>
		<tr height="22" >
			<td class="tableline2">&nbsp;</td>
			<td  ><input type="button" value="<?=$_lang["hr_field_submit"]?>" id="submitFolderTD"></td>
		</tr>
	
	</table>
</div>
</BODY>
</HTML>