<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title></title>

		<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
		<link href="/newplugins/css/jquery.lazyplugins.css" rel="stylesheet"/>
		<link href="/newplugins/css/style.css" rel="stylesheet"/>
	</head>
	<body>
		<div class="my_filter"></div>
		<div class="log" style="clear:both;"></div>
	</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript">
	$(function() {
		$(".my_filter").LazyFilter({
			common : {
				tempalte : "{title}",
				dataSource : [{
					key : "all",
					title : "全部",
					isDefault : true
				}, {
					key : "today",
					title : "今天创建"
				}]
			},
			more : {
				header : "更多筛选",
				dataSource : [{
					key : "applyTime",
					title : "时间",
					subItems : [{
						key : "last3d",
						title : "近三天创建"
					}, {
						key : "last7d",
						title : "近一周创建",
					}, {
						key : "last1m",
						title : "近一月创建"
					}]
				}, {
					key : "docType",
					title : "最新文档"
				}]
			},
			onClick : function(key) {
				$(".log").append("<p>我选中了key为" + key + "的筛选</p>");
			}
		});
	}); 
</script>
