/**
 * 
    // 我的公告
    notify: {

        //标题
        title: "我的公告",

        //funcID用于判断权限
        funcID: 131,

        url: false,

        //查询信息配置
        search: {},

         //列表信息配置
        list: {}
    }
 */
/**
 * [chooseLinkConfig description]
 * @type {Object}
 */
var chooseLinkConfig = {
    newworkflow: {
        //标题
        title: LinkCommenOA.LinkCommenxjlc,
        //funcID用于判断权限
        funcID: 1,
        url: false,
        link: function(data) {
            if (data.FLOW_TYPE == 1) {
                return {
                    title: data.FLOW_NAME,
                    url: "/general/workflow/new/do.php?f=create&FLOW_ID=" + data.FLOW_ID + "&FLOW_TYPE=" + data.FLOW_TYPE + "&FUNC_ID=2"
                }
            } else if (data.FLOW_TYPE == 2) {
                return {
                    title: data.FLOW_NAME,
                    url: "/general/workflow/new/freedo.php?f=create&FLOW_ID=" + data.FLOW_ID + "&FLOW_TYPE=" + data.FLOW_TYPE + "&FUNC_ID=2"
                }
            }
        },
        //查询信息配置
        search: {
            tip: Flowlang.searchFlow,
            url: "/general/workflow/new/do.php",
            param: {
                op: "list",
                listType: "new_flow"
            },
            fieldSearch: {
                onItemClick: function(data, value) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            readType: data.key,
                            fieldSearchVal: value
                        }
                    });
                },
                items: [{
                    key: "flowName",
                    title: LinkCommenOA.LinkCommenLcbh
                }]
            }
        },
        list: {
            dataSource: "/general/workflow/new/do.php",
            param: {
                f: "getNewIndex",
                getDataFrom: "chooseLink"
            },
            column: [{
                key: "FLOW_NAME",
                template: function(data) {
                    var template = "<span style=\"\" class=\"\">" + data.FLOW_NAME + "</span>";
                    if (data.FLOW_TYPE == 2) template += "<span style='color:#ccc;'>" + "（"+LinkCommenOA.LinkCommenzylc+"）" + "</span>";
                    return template;
                }
            }]
        }
    },
    /**
     * 我的文档
     */
    document: {
        title: LinkCommenOA.LinkCommenMydoc,
        funcID: 8,
        link: function(data) {
            return {
                title: data.SUBJECT,
                url: "/general/file_folder/file_new/read.php?CONTENT_ID=" + data.CONTENT_ID
            }
        },
        content: function(data) {
            var contentID = data.CONTENT_ID,
                content;
            $.ajax({
                url: "/general/file_folder/file_new/read.do.php",
                async: false,
                data: {
                    contentID: contentID
                }
            }).done(function(result) {
                content = result;
            });
            return content;
        },
        search: {
            tip: LinkCommenOA.LinkCommenCheckDoc,
            url: "/general/file_folder/file_new/filelist_do.php",
            param: {
                "FILE_SORT": '1',
                "SORT_ID": '0'
            },
            mode: "full",
            advancedSearch: {
                onSearch: function(data) {
                    if ($("#POSITION1").prop("checked")) data.POSITION1 = "1";
                    else data.POSITION1 = "";
                    if ($("#POSITION2").prop("checked")) data.POSITION2 = "1";
                    else data.POSITION2 = "";
                    if ($("#POSITION3").prop("checked")) data.POSITION3 = "1";
                    else data.POSITION3 = "";
                    //console.log(data);
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            advancedSearchData: data
                        }
                    });
                },
                items: [{
                    title: LinkCommenOA.LinkCommenKeyword,
                    type: "text",
                    key: "SUBJECT"
                }, {
                    title: LinkCommenOA.LinkCommenModyTime,
                    type: "dateTime",
                    key: "SAVE_DATE"
                }, {
                    title:  LinkCommenOA.LinkCommenKeyPos,
                    html: "<label><input type='checkbox' key='POS1' value='content' id='POSITION1'/> "+LinkCommenOA.LinkCommenContent+"</label>\
                        <label><input type='checkbox' key='POS2' value='title' id='POSITION2'/> "+Flowlang.flowTitle+"</label>\
                            <label><input type='checkbox' key='POS3' value='att' id='POSITION3'/> "+LinkCommenOA.LinkCommenFile+"</label>"
                }, {
                    title: Flowlang.creater,
                    html: '<table cellpadding="0" cellspacing="0">\
                        <tr>\
                            <td>\
                                <input type="text" readonly="true" name="creat_user_name" id="creat_user_name"/>\
                            </td>\
                            <td>\
                                <input type="hidden" key="CREATER" name="creat_user_id" id="creat_user_id" >\
                                <a href="javascript:void(0)" title="' + EOlang.msgChoose + '" onClick="LoadWindowUser(\'creat_user_id\',\'creat_user_name\',\'form1\',\'700\',\'400\');" style="color:#3498DB;margin-left:5px;"><i class="fa fa-plus"></i></a>\
                                <a href="javascript:void(0)" title="' + LazyGridLang.Empty + '" style="color:#D9534F;margin-left:5px;" onClick="clearConten(\'creat_user_id\',\'creat_user_name\');"><i class="fa fa-trash-o"></i></a>\
                            </td>\
                        </tr>\
                    </table>'
                }]
            },
            onCreate: function() {
                $('input[data_type="dateTime"]').daterangepicker({
                    presetRanges: [{
                        text: Flowlang.nearlyThreeDays,
                        dateStart: 'today-2days',
                        dateEnd: 'today'
                    }, {
                        text: Flowlang.nearlyOneWeek,
                        dateStart: 'today-6days',
                        dateEnd: 'today'
                    }, {
                        text: Flowlang.nearlyOneMonth,
                        dateStart: 'today-1month',
                        dateEnd: 'today'
                    }, {
                        text: LinkCommenOA.LinkCommenLast3M,
                        dateStart: 'today-3month',
                        dateEnd: 'today'
                    }],
                    dateFormat: "yy-m-d",
                    rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
                    rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
                    nextLinkText: '>',
                    prevLinkText: '<',
                    rangeSplitter: "~",
                    doneButtonText: EOlang.msgSubmit,
                    presets: {
                        dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
                    }
                });
            }
        },
        list: {
            dataSource: "/general/file_folder/file_new/filelist_do.php",
            hideHeader: true,
            param: {
                "FILE_SORT": '1',
                "SORT_ID": '0'
            },
            column: [{
                key: "SUBJECT",
                template: function(data) {
                    return "<span style='float:left;width:360px;' class='overflow' title='" + data.SUBJECT + "'>" + data.SUBJECT + "</span><span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.USER_NAME + "&nbsp;&nbsp;&nbsp;&nbsp;" + data.SEND_TIME + "</span>";
                }
            }]
        }
    },
    workflow: {
        //标题
        title:  LinkCommenOA.LinkCommenMycos,
        //funcID用于判断权限
        funcID: 1,
        url: false,
        link: function(data) {
            return {
                title: data.RUN_NAME,
                url: "/general/workflow/print/?RUN_ID=" + data.RUN_ID + "&FLOW_ID=" + data.FLOW_ID
            }
        },
        //查询信息配置
        search: {
            tip: Flowlang.searchFlow,
            url: "/general/workflow/do.php",
            param: {
                op: "list",
                listType: "flow_query"
            },
            advancedSearch: {
                onSearch: function(data) {
                    data.flow_creator_id = $("#flow_creator_id").attr("value");
                    data.createDept = $("#createDept").attr("value");
                    //console.log(data);
                    $(".list-wrap").LazyTable("reload", {
                        param: data
                    });
                },
                items: [{
                    key: "TITLE",
                    title: Flowlang.flowType,
                    type: "text"
                }, {
                    key: "flowName",
                    title: Flowlang.flowName,
                    type: "text"
                }, {
                    key: "RUN_NAME",
                    title: Flowlang.flowTitle,
                    type: "text"
                }, {
                    key: "FLOW_DESCP",
                    title: Flowlang.flowSeq,
                    type: "text"
                }, {
                    key: "INSTANCY_TYPE",
                    title: Flowlang.flowInstancy,
                    type: "select",
                    dataList: [{
                        key: "ALL",
                        title: LazyGridLang.All
                    }, {
                        key: "0",
                        title: Flowlang.normal
                    }, {
                        key: "1",
                        title: Flowlang.important
                    }, {
                        key: "2",
                        title: Flowlang.urgency
                    }]
                }, {
                //     key: "flowFlag",
                //     title: Flowlang.flowFlag,
                //     type: "select",
                //     dataList: [{
                //         key: "all",
                //         title: LazyGridLang.All
                //     }, {
                //         key: "unRead",
                //         title: Flowlang.flowUnRead
                //     }, {
                //         key: "read",
                //         title: Flowlang.flowRead
                //     }]
                // }, {
                    key: "flow_creator_id",
                    title: Flowlang.creater,
                    html: "<input type=\"text\" id=\"creator_name\" name=\"creator_name\"><input type=\"button\" onClick=\"LoadWindowUser('flow_creator_id','creator_name','','700','400');\" value=\"" + EOlang.msgChoose + "\" class=\"btn btn-primary\"><input type=\"button\" onClick=\"clearConten('flow_creator_id','creator_name')\" value=\"" + LazyGridLang.Empty + "\" class=\"btn btn-danger\"><input type=\"hidden\" id=\"flow_creator_id\" name=\"flow_creator_id\">"
                }, {
                    key: "createDate",
                    title: Flowlang.createDate,
                    type: "text"
                }, {
                    key: "createDept",
                    title: Flowlang.createrDept,
                    html: "<form action=\"#\" method=\"post\" name=\"formPermission\" id=\"formPermission\"><input type=\"text\" id=\"createDeptName\" name=\"createDeptName\"><input type=\"button\" onClick=\"LoadWindowDept('createDept','createDeptName','formPermission','700','400');\" value=\"" + EOlang.msgChoose + "\" class=\"btn btn-primary\"><input type=\"button\" onClick=\"clearConten('createDept','createDeptName')\" value=\"" + LazyGridLang.Empty + "\" class=\"btn btn-danger\"><input type=\"hidden\" id=\"createDept\" name=\"createDept\"></form>"
                }, {
                    key: "ATTACHMENT_NAME",
                    title: Flowlang.flowAttName,
                    type: "text"
                }]
            },
            onCreate: function() {
                //关于获取本季度/本年的相关函数
                var now = new Date(); //当前日期   
                var nowDayOfWeek = now.getDay(); //今天本周的第几天   
                var nowDay = now.getDate(); //当前日   
                var nowMonth = now.getMonth(); //当前月   
                var nowYear = now.getYear(); //当前年   
                nowYear += (nowYear < 2000) ? 1900 : 0;
                //获得本季度的开始月份
                function getQuarterStartMonth() {
                    var quarterStartMonth = 0;
                    if (nowMonth < 3) {
                        quarterStartMonth = 0;
                    }
                    if (2 < nowMonth && nowMonth < 6) {
                        quarterStartMonth = 3;
                    }
                    if (5 < nowMonth && nowMonth < 9) {
                        quarterStartMonth = 6;
                    }
                    if (nowMonth > 8) {
                        quarterStartMonth = 9;
                    }
                    return quarterStartMonth;
                }
                $(":text[key='createDate']").daterangepicker({
                    presetRanges: [{
                        text: ExtLang.Today,
                        dateStart: 'today',
                        dateEnd: 'today'
                    }, {
                        text: Flowlang.yesterday,
                        dateStart: 'today-1days',
                        dateEnd: 'today-1days'
                    }, {
                        text: Flowlang.thisWeek,
                        dateStart: function() {
                            if (Date.today().getDayName() == "Sunday") {
                                return Date.parse("t - 6d");
                            } else return Date.parse('monday');
                        },
                        dateEnd: function() {
                            if (Date.today().getDayName() == "Sunday") {
                                return Date.today();
                            } else return Date.today().moveToDayOfWeek(0);
                        }
                    }, {
                        text: Flowlang.thisMones,
                        dateStart: function() {
                            return Date.today().moveToFirstDayOfMonth();
                        },
                        dateEnd: function() {
                            return Date.today().moveToLastDayOfMonth();
                        }
                    }, {
                        text: Flowlang.thisSeason,
                        dateStart: function() {
                            var quarterStartDate = new Date(nowYear, getQuarterStartMonth(), 1);
                            return quarterStartDate;
                        },
                        dateEnd: function() {
                            var quarterEndMonth = getQuarterStartMonth() + 2;
                            var quarterStartDate = new Date(nowYear, quarterEndMonth, Date.getDaysInMonth(nowYear, quarterEndMonth));
                            return quarterStartDate;
                        }
                    }, {
                        text: Flowlang.thisYear,
                        dateStart: function() {
                            var quarterStartDate = new Date(nowYear, 0, 1);
                            return quarterStartDate;
                        },
                        dateEnd: function() {
                            var quarterEndMonth = 11;
                            var quarterStartDate = new Date(nowYear, quarterEndMonth, Date.getDaysInMonth(nowYear, quarterEndMonth));
                            return quarterStartDate;
                        }
                    }],
                    dateFormat: "yy-m-d",
                    rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
                    rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
                    nextLinkText: '>',
                    prevLinkText: '<',
                    rangeSplitter: "~",
                    doneButtonText: EOlang.msgSubmit,
                    presets: {
                        specificDate: LazyPluginLang.LazyDateRangePicker.specificDate,
                        dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
                    }
                });
            }
        },
        list: {
            dataSource: "/general/workflow/do.php",
            hideHeader: true,
            param: {
                op: "table",
                listType: 'flow_query',
                sortField: "fr.TRANSACT_TIME",
                sortType: "desc"
            },
            column: [{
                key: "RUN_NAME",
                template: function(data) {
                    //console.log(data);
                    return "<span style='float:left;width:360px;' class='overflow' title='" + data.RUN_NAME + "'>" + data.RUN_NAME + "</span><span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.CREATOR_NAME + "&nbsp;&nbsp;&nbsp;&nbsp;" + data.CREATE_TIME + "</span>";
                }
            }]
        }
    },
    /*
     * 抄送流程
     */
    copyFlow: {
        //标题
        title:  LinkCommenOA.LinkCommenCopycos,
        //funcID用于判断权限
        funcID: 377,
        url: false,
        link: function(data) {
            return {
                title: data.RUN_NAME,
                url: "/general/workflow/print/?RUN_ID=" + data.RUN_ID + "&FLOW_ID=" + data.FLOW_ID
            }
        },
        //查询信息配置
        search: {
            tip: Flowlang.searchFlow,
            url: "/general/workflow/do.php",
            param: {
                op: "list",
                listType: "flow_copy"
            },
            advancedSearch: {
                onSearch: function(data) {
                    data.flow_creator_id = $("#flow_creator_id").attr("value");
                    data.createDept = $("#createDept").attr("value");
                    $(".list-wrap").LazyTable("reload", {
                        param: data
                    });
                },
                items: [{
                    key: "flowType",
                    title: Flowlang.flowType,
                    type: "text"
                }, {
                    key: "flowName",
                    title: Flowlang.flowName,
                    type: "text"
                }, {
                    key: "RUN_NAME",
                    title: Flowlang.flowTitle,
                    type: "text"
                }, {
                    key: "FLOW_DESCP",
                    title: Flowlang.flowSeq,
                    type: "text"
                }, {
                    key: "INSTANCY_TYPE",
                    title: Flowlang.flowInstancy,
                    type: "select",
                    dataList: [{
                        key: "ALL",
                        title: LazyGridLang.All
                    }, {
                        key: "0",
                        title: Flowlang.normal
                    }, {
                        key: "1",
                        title: Flowlang.important
                    }, {
                        key: "2",
                        title: Flowlang.urgency
                    }]
                }, {
                //     key: "flowFlag",
                //     title: Flowlang.flowFlag,
                //     type: "select",
                //     dataList: [{
                //         key: "all",
                //         title: LazyGridLang.All
                //     }, {
                //         key: "unRead",
                //         title: Flowlang.flowUnRead
                //     }, {
                //         key: "read",
                //         title: Flowlang.flowRead
                //     }]
                // }, {
                    key: "flow_creator_id",
                    title: Flowlang.creater,
                    html: "<input type=\"text\" id=\"creator_name\" name=\"creator_name\"><input type=\"button\" onClick=\"LoadWindowUser('flow_creator_id','creator_name','','700','400');\" value=\"" + EOlang.msgChoose + "\" class=\"btn btn-primary\"><input type=\"button\" onClick=\"clearConten('flow_creator_id','creator_name')\" value=\"" + LazyGridLang.Empty + "\" class=\"btn btn-danger\"><input type=\"hidden\" id=\"flow_creator_id\" name=\"flow_creator_id\">"
                }, {
                    key: "createDate",
                    title: Flowlang.createDate,
                    type: "text"
                }, {
                    key: "createDept",
                    title: Flowlang.createrDept,
                    html: "<form action=\"#\" method=\"post\" name=\"formPermission\" id=\"formPermission\"><input type=\"text\" id=\"createDeptName\" name=\"createDeptName\"><input type=\"button\" onClick=\"LoadWindowDept('createDept','createDeptName','formPermission','700','400');\" value=\"" + EOlang.msgChoose + "\" class=\"btn btn-primary\"><input type=\"button\" onClick=\"clearConten('createDept','createDeptName')\" value=\"" + LazyGridLang.Empty + "\" class=\"btn btn-danger\"><input type=\"hidden\" id=\"createDept\" name=\"createDept\"></form>"
                }, {
                    key: "ATTACHMENT_NAME",
                    title: Flowlang.flowAttName,
                    type: "text"
                }]
            },
            onCreate: function() {
                //关于获取本季度/本年的相关函数
                var now = new Date(); //当前日期   
                var nowDayOfWeek = now.getDay(); //今天本周的第几天   
                var nowDay = now.getDate(); //当前日   
                var nowMonth = now.getMonth(); //当前月   
                var nowYear = now.getYear(); //当前年   
                nowYear += (nowYear < 2000) ? 1900 : 0;
                //获得本季度的开始月份
                function getQuarterStartMonth() {
                    var quarterStartMonth = 0;
                    if (nowMonth < 3) {
                        quarterStartMonth = 0;
                    }
                    if (2 < nowMonth && nowMonth < 6) {
                        quarterStartMonth = 3;
                    }
                    if (5 < nowMonth && nowMonth < 9) {
                        quarterStartMonth = 6;
                    }
                    if (nowMonth > 8) {
                        quarterStartMonth = 9;
                    }
                    return quarterStartMonth;
                }
                $(":text[key='createDate']").daterangepicker({
                    presetRanges: [{
                        text: ExtLang.Today,
                        dateStart: 'today',
                        dateEnd: 'today'
                    }, {
                        text: Flowlang.yesterday,
                        dateStart: 'today-1days',
                        dateEnd: 'today-1days'
                    }, {
                        text: Flowlang.thisWeek,
                        dateStart: function() {
                            if (Date.today().getDayName() == "Sunday") {
                                return Date.parse("t - 6d");
                            } else return Date.parse('monday');
                        },
                        dateEnd: function() {
                            if (Date.today().getDayName() == "Sunday") {
                                return Date.today();
                            } else return Date.today().moveToDayOfWeek(0);
                        }
                    }, {
                        text: Flowlang.thisMones,
                        dateStart: function() {
                            return Date.today().moveToFirstDayOfMonth();
                        },
                        dateEnd: function() {
                            return Date.today().moveToLastDayOfMonth();
                        }
                    }, {
                        text: Flowlang.thisSeason,
                        dateStart: function() {
                            var quarterStartDate = new Date(nowYear, getQuarterStartMonth(), 1);
                            return quarterStartDate;
                        },
                        dateEnd: function() {
                            var quarterEndMonth = getQuarterStartMonth() + 2;
                            var quarterStartDate = new Date(nowYear, quarterEndMonth, Date.getDaysInMonth(nowYear, quarterEndMonth));
                            return quarterStartDate;
                        }
                    }, {
                        text: Flowlang.thisYear,
                        dateStart: function() {
                            var quarterStartDate = new Date(nowYear, 0, 1);
                            return quarterStartDate;
                        },
                        dateEnd: function() {
                            var quarterEndMonth = 11;
                            var quarterStartDate = new Date(nowYear, quarterEndMonth, Date.getDaysInMonth(nowYear, quarterEndMonth));
                            return quarterStartDate;
                        }
                    }],
                    dateFormat: "yy-m-d",
                    rangeStartTitle: LazyPluginLang.LazyDateRangePicker.rangeStartTitle,
                    rangeEndTitle: LazyPluginLang.LazyDateRangePicker.rangeEndTitle,
                    nextLinkText: '>',
                    prevLinkText: '<',
                    rangeSplitter: "~",
                    doneButtonText: EOlang.msgSubmit,
                    presets: {
                        specificDate: LazyPluginLang.LazyDateRangePicker.specificDate,
                        dateRange: LazyPluginLang.LazyDateRangePicker.dateRange
                    }
                });
            }
        },
        list: {
            dataSource: "/general/workflow/do.php",
            hideHeader: true,
            param: {
                op: "table",
                listType: 'flow_copy',
                sortField: "fr.TRANSACT_TIME",
                sortType: "desc"
            },
            column: [{
                key: "RUN_NAME",
                template: function(data) {
                    //console.log(data);
                    return "<span style='float:left;width:360px;' class='overflow' title='" + data.RUN_NAME + "'>" + data.RUN_NAME + "</span><span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.CREATOR_NAME + "&nbsp;&nbsp;&nbsp;&nbsp;" + data.CREATE_TIME + "</span>";
                }
            }]
        }
    },
    report: {
        //标题
        title: LinkCommenOA.LinkCommenReport,
        //funcID用于判断权限
        funcID: 8,
        url: false,
        content: function(data) {
            var content;
            $.ajax({
                url: 'do.php',
                async: false,
                data: {
                    action: 'getSVG',
                    reportID: data.CHART_ID,
                    chartType: data.CHART_TYPE
                }
            }).done(function(result) {
                content = result;
                if (data.CHART_TYPE === 'excel') {
                    content = content.replace(/\\"/gm, '"');
                } else {
                    content = "<table class=\"123\"><tr><td>" + content + "</td></tr></table>";
                }
            });
            console.log(content);
            return content;
        },
        //查询信息配置
        search: {
            tip: LinkCommenOA.LinkCommenGjzss,
            url: "/general/report/report_view/do.php",
            param: {
                op: "getList"
            },
            fieldSearch: {
                onItemClick: function(data, value) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            chartTitle: data.key,
                            lazySearch: value
                        }
                    });
                },
                items: [{
                    key: "CHART_TITLE",
                    title:  LinkCommenOA.LinkCommenBbmcbh
                }]
            }
        },
        list: {
            dataSource: '/general/report/report_view/do.php',
            hideHeader: true,
            param: {
                op: 'getList',
                view: 'table',
                isCount: true
            },
            column: [{
                key: 'CHART_TITLE',
                template: function(data) {
                    return data.CHART_TITLE + "&nbsp;&nbsp;<span data-id='" + data.CHART_ID + "' style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.USER_NAME + "&nbsp;&nbsp;&nbsp;" + data.CHART_CREATE_TIME + "</span>";
                }
            }]
        }
    },
    coop: {
        //标题
        title:LinkCommenOA.LinkCommenXzq,
        //funcID用于判断权限
        funcID: 362,
        url: false,
        link: function(data) {
            return {
                title: data.THE_SUBJECT,
                url: "/general/cooperation/coop_view/index.php?theme_id=" + data.THE_ID
            }
        },
        //查询信息配置
        search: {
            tip: LazyPluginLang.LazySearch.search,
            url: "/general/cooperation/do.php",
            param: {
                f: "list",
                type: "tablefilter",
                getDataFrom: "chooseLink"
            },
            advancedSearch: {
                onSearch: function(data) {
                    data.CREATER_USER = $("#CREATER_USER").attr("value");
                    data.MANAGE_USER_NAME = $("#MANAGE_USER_NAME").attr("value");
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            f: "list",
                            type: "tablefilter",
                            getDataFrom: "chooseLink",
                            advancedSearchData: data
                        }
                    });
                },
                items: [{
                    key: "SUBJECT",
                    title: LinkCommenOA.LinkCommenXzzt,
                    type: "text"
                }, {
                    key: "COOP_SORT",
                    title:  LinkCommenOA.LinkCommenCateName,
                    type: "select",
                    dataList: "/general/cooperation/do.php?f=getSearchCoopSort"
                }, {
                    key: "CREATE_DATE",
                    title: Flowlang.createTime,
                    type: "text"
                }, {
                    key: "VALID_DATE",
                    title: LinkCommenOA.LinkCommenUseDate,
                    type: "text"
                }, {
                    key: "CREATER_USER",
                    title: Flowlang.creater,
                    html: "<form action=\"#\" method=\"post\" name=\"formPermission\" id=\"formPermission\"><input type=\"text\" id=\"CREATER_NAME\" name=\"CREATER_NAME\"><input type=\"button\" onClick=\"LoadWindowUser('CREATER_USER','CREATER_NAME','formPermission');\" value=\"" + EOlang.msgChoose + "\" class=\"btn btn-primary\"><input type=\"button\" onClick=\"clearConten('CREATER_USER','CREATER_NAME')\" value=\"" + LazyGridLang.Empty + "\" class=\"btn btn-danger\"><input type=\"hidden\" id=\"CREATER_USER\" name=\"CREATER_USER\"></form>"
                }, {
                    key: "IMPORTANT_LEVEL",
                    title: LinkCommenOA.LinkCommenImp,
                    type: "select",
                    dataList: [{
                        key: "-1",
                        title: LazyGridLang.All
                    }, {
                        key: "1",
                        title: Flowlang.urgency
                    }, {
                        key: "0",
                        title: LinkCommenOA.LinkCommenYB
                    }]
                }, {
                    key: "MANAGE_USER_NAME",
                    title: LinkCommenOA.LinkCommenGlry,
                    html: "<form action=\"#\" method=\"post\" name=\"formPermission1\" id=\"formPermission1\"><input type=\"text\" id=\"MANAGE_NAME\" name=\"MANAGE_NAME\"><input type=\"button\" onClick=\"LoadWindowUser('MANAGE_USER_NAME','MANAGE_NAME','formPermission1');\" value=\"" + EOlang.msgChoose + "\" class=\"btn btn-primary\"><input type=\"button\" onClick=\"clearConten('MANAGE_USER_NAME','MANAGE_NAME')\" value=\"" + LazyGridLang.Empty + "\" class=\"btn btn-danger\"><input type=\"hidden\" id=\"MANAGE_USER_NAME\" name=\"MANAGE_USER_NAME\"></form>"
                }]
            },
            width: 130,
            height: 29
        },
        list: {
            dataSource: "/general/cooperation/do.php",
            hideHeader: true,
            param: {
                f: "list",
                type: "tablefilter",
                getDataFrom: "chooseLink"
            },
            column: [{
                key: "THE_SUBJECT",
                template: function(data) {
                    return "<span style='float:left;width:360px;' class='overflow' title='" + data.THE_SUBJECT + "'>" + data.THE_SUBJECT + "</span><span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.CREATER_NAME + "&nbsp;&nbsp;&nbsp;&nbsp;" + data.THE_TIME + "</span>";
                }
            }]
        }
    },
    vote: {
        //标题
        title: LinkCommenOA.LinkCommenDCB,
        //funcID用于判断权限
        funcID: 8,
        link: function(data) {
            return {
                title: data.Name,
                url: "/general/vote/view.php?op=input&from=index&sid=" + data.SID
            }
        },
        url: false,
        //查询信息配置
        search: false,
        list: {
            dataSource: "/general/vote/admin/surveyresult_do.php",
            param: {
                op: "getVoteList"
            },
            column: [{
                key: 'Name',
                template: function(data) {
                    if (data.Name != '') {
                        return "<a href='#'><div class='ellipsis_field' style='width:200px' title='" + data.Name + "'>" + data.Name + "</div></a>"
                    }
                }
            }]
        }
    },
    /**
     * 我的新闻
     */
    news: {
        title: LinkCommenOA.LinkCommenXwmod,
        funcID: 130,
        link: function(data) {
            return {
                title: data.SUBJECT,
                url: "/general/news/show/read_news.php?NEWS_ID=" + data.NEWS_ID
            }
        },
        content: function(data) {
            return data.CONTENT;
        },
        search: {
            tip: LinkCommenOA.LinkCommenSrgjzss,
            url: "/general/news/show/newslist_to.php",
            param: {
                type: "list"
            },
            fieldSearch: {
                onItemClick: function(data, value) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            type: "list",
                            SUBJECT: value
                        }
                    })
                },
                items: [{
                    key: "subject",
                    title:  LinkCommenOA.LinkCommenXwbtbh
                }]
            },
            advancedSearch: {
                onSearch: function(data) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            type: "list",
                            PROVIDERS: $("#NEWS_USER").val(),
                            searchArr: data
                        }
                    })
                },
                items: [{
                    key: "SUBJECT",
                    title: PortalLang.portalNewTitle,
                    type: "text"
                }, {
                    key: "SEND_TIME",
                    title: PortalLang.portalPublishTime,
                    type: "text"
                }, {
                    key: "NEWS_TYPE_ID",
                    title: LinkCommenOA.LinkCommenXwnb,
                    type: "select",
                    dataList: "/general/news/manage/newstypemanage_do.php?type=newtypelist&search=search"
                }, {
                    key: "NEWS_PUBLIC",
                    title: LinkCommenOA.LinkCommenXwzt,
                    type: "select",
                    dataList: [{
                        key: "",
                        title: SelectDialog.SelectBtnBoth
                    }, {
                        key: '0',
                        title: LinkCommenOA.LinkCommenCG
                    }, {
                        key: '1',
                        title: LinkCommenOA.LinkCommenPunlish
                    }, {
                        key: '2',
                        title: LinkCommenOA.LinkCommenSHZ
                    }]
                }, {
                    key: "PROVIDER",
                    title: PortalLang.portalPublishUser,
                    html: "<form name=\"forms\" id=\"forms\">\
                                <input type=\"text\" id=\"NEWS_USER_NAME\" name=\"NEWS_USER_NAME\">\
                                <input type=\"button\" onClick=\"LoadWindowUser('NEWS_USER','NEWS_USER_NAME','forms','700','400');\" value=\"" + EOlang.msgChoose + "\" class=\"btn btn-primary\">\
                                <input type=\"button\" onClick=\"clearConten('NEWS_USER','NEWS_USER_NAME')\" value=\"" + LazyGridLang.Empty + "\" class=\"btn btn-danger\">\
                                <input type=\"hidden\" id=\"NEWS_USER\" name=\"NEWS_USER\"></form>"
                }]
            }
        },
        list: {
            dataSource: "/general/news/show/newslist_do.php",
            param: {
                type: "list",
                USER_ID: $("#login-user-id").val(),
                newstype: ""
            },
            column: [{
                key: "SUBJECT",
                template: function(data) {
                    return data.SUBJECT + "<span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.PROVIDER_NAME + "&nbsp;&nbsp;&nbsp;&nbsp;" + data.NEWS_TIME + "</span>";
                }
            }]
        }
    },
    /**
     * 我的公告
     * @type {Object}
     */
    notify: {
        title: LinkCommenOA.LinkCommenGGMK,
        funcID: 131,
        link: function(data) {
            return {
                title: data.SUBJECT,
                url: "/general/notify/show/read_notify.php?NOTIFY_ID=" + data.NOTIFY_ID
            }
        },
        content: function(data) {
            return data.CONTENT;
        },
        search: {
            tip: LinkCommenOA.LinkCommenGjzss,
            mode: "mini",
            url: "/general/notify/show/index_do.php",
            param: {
                type: "list"
            },
            fieldSearch: {
                onItemClick: function(data, value) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            type: "list",
                            SUBJECT: value
                        }
                    })
                },
                items: [{
                    key: "subject",
                    title: LinkCommenOA.LinkCommenGGBTBH
                }]
            },
            advancedSearch: {
                onSearch: function(data) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            type: "list",
                            searchData: data
                        }
                    });
                },
                items: [{
                    key: "SUJECT",
                    title: PortalLang.portalNotifyTitle,
                    type: "text"
                }, {
                    key: "FROM_ID",
                    title: PortalLang.portalPublishUser,
                    type: "text"
                }, {
                    key: "SEND_TIME",
                    title: PortalLang.portalPublishTime,
                    type: "text"
                }, {
                    key: "NOTIFY_TYPE_ID",
                    title: LinkCommenOA.LinkCommenGGLB,
                    type: "select",
                    dataList: "/general/notify/manage/notify_type_do.php?type=newtypelist&search=search"
                }, {
                    key: "NOTIFY_FLAG",
                    title:  LinkCommenOA.LinkCommenGGZT,
                    type: "select",
                    dataList: [{
                        key: "",
                        title: SelectDialog.SelectBtnBoth
                    }, {
                        key: "draft",
                        title: LinkCommenOA.LinkCommenCG
                    }, {
                        key: "approve",
                        title: LinkCommenOA.LinkCommenSH
                    }, {
                        key: "public",
                        title: LinkCommenOA.LinkCommenPunlish
                    }]
                }, {
                    key: "PUBLIC_TIME",
                    title: LinkCommenOA.LinkCommenSETime,
                    type: "text"
                }]
            },
            onClearButtonClick: function() {
                $(".list-wrap").LazyTable("reload", {
                    param: {
                        type: "list",
                        SUBJECT: ''
                    }
                });
            }
        },
        list: {
            column: [{
                key: "SUBJECT",
                title: Flowlang.flowTitle,
                template: function(data) {
                    return data.SUBJECT + "<span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.FROM_USER + "&nbsp;&nbsp;&nbsp;&nbsp;" + data.SEND_TIME + "</span>";
                }
            }],
            dataSource: "/general/notify/show/index_do.php",
            param: {
                type: "list",
                sortField: "SEND_TIME",
                sortType: "DESC"
            }
        }
    },
    customer: {
        //标题
        title:  LinkCommenOA.LinkCommenMyGuest,
        //funcID用于判断权限
        funcID: 502,
        url: false,
        link: function(data) {
            return {
                title: data.CUSTOMER_NAME,
                url: "/general/crm/customer/index_iframe.php?is_open_switch=1&CUSTOMER_ID=" + data.CUSTOMER_ID
            }
        },
        //查询信息配置
        search: {
            tip: LinkCommenOA.LinkCommenGjzss,
            mode: "mini",
            url: "/general/crm/linkman/customer_select/index_do.php",
            param: {
                op: "getCustomerList"
            },
            fieldSearch: {
                onItemClick: function(data, value) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            op: "getCustomerList",
                            search_field: data.key,
                            search_str: value
                        },
                        page: {
                            currentPage: 0
                        }
                    })
                },
                items: [{
                    key: "CUSTOMER_NAME",
                    title: LinkCommenOA.LinkCommenKhmcbh
                }]
            },
            onClearButtonClick: function() {
                $(".list-wrap").LazyTable("reload", {
                    param: {
                        op: "getCustomerList",
                        search_field: "",
                        search_str: ""
                    },
                    page: {
                        currentPage: 0
                    }
                });
            }
        },
        list: {
            column: [{
                key: "CUSTOMER_NAME",
                title: PortalLang.portalCustomerName,
                template: function(data) {
                    return data.CUSTOMER_NAME + "&nbsp;&nbsp;<span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.MANAGE_USER_NAME + "&nbsp;&nbsp;&nbsp;" + data.CREATE_TIME + "</span>";
                }
            }],
            dataSource: "/general/crm/linkman/customer_select/index_do.php",
            param: {
                op: "getCustomerList"
            }
        }
    },
    contact: {
        //标题
        title: EOlang.msgSendOutMailShowCusLink,
        //funcID用于判断权限
        funcID: 503,
        url: false,
        link: function(data) {
            return {
                title: data.LINKMAN_NAME,
                url: "/general/crm/linkman/detail.php?linkman_id=" + data.LINKMAN_ID
            }
        },
        //查询信息配置
        search: {
            tip: LinkCommenOA.LinkCommenGjzss,
            mode: "mini",
            url: "/general/crm/linkman/index_do.php",
            param: {
                op: "getLinkmanList"
            },
            fieldSearch: {
                onItemClick: function(data, value) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            op: "getLinkmanList",
                            search_field: data.key,
                            search_str: value,
                        },
                        page: {
                            currentPage: 0
                        }
                    })
                },
                items: [{
                    key: "LINKMAN_NAME",
                    title: LinkCommenOA.LinkCommenLxmcbh
                }]
            },
            onClearButtonClick: function() {
                $(".list-wrap").LazyTable("reload", {
                    param: {
                        op: "getLinkmanList",
                        search_field: "",
                        search_str: "",
                    },
                    page: {
                        currentPage: 0
                    }
                });
            }
        },
        list: {
            column: [{
                key: "LINKMAN_NAME",
                title:  LinkCommenOA.LinkCommenLxmc,
                template: function(data) {
                    return data.LINKMAN_NAME + "&nbsp;&nbsp;<span style='color:#C2C2C2;float:right;padding-right:20px;'>" + data.CUSTOMER_NAME + "</span>";
                }
            }],
            dataSource: "/general/crm/linkman/index_do.php",
            param: {
                op: "getLinkmanList"
            }
        }
    },
    /**
     * 公共模板
     * @type {Object}
     */
    template: {
        title: LinkCommenOA.LinkCommenggMb,
        url: false,
        content: function(data) {
            return data.TPL_CONTENT
        },
        list: {
            column: [{
                key: "TPL_THREAD",
                width: 100,
                title: PerformanceLang.performanceTempName
            }, {
                key: "TPL_GENERAL",
                title: LinkCommenOA.LinkCommenDetail
            }],
            dataSource: "/general/system/template/template.do.php",
            param: {
                op: "getTemplateList"
            }
        }
    },
    
    /**
     * 我的项目
     */
    project: {
        title: LinkCommenOA.LinkCommenMyProject,
        funcID: 162,
        link: function(data) {
            //D:\eoffice\webroot\general\project\myproject\index.php
            return {
                title: data.MANAGER_NAME,
                url: "/general/project/myproject/index.php?pro_id=" + data.MANAGER_ID
            }
        },
        content: function(data) {
            
            var MANAGER_ID = data.MANAGER_ID,
                content;
            $.ajax({
                url: "/general/project/myproject/project_detail.php",
                async: false,
                data: {
                    pro_id: MANAGER_ID
                }
            }).done(function(result) {
                content = result;
            });
            return content;

        },
         search: {
            tip: LinkCommenOA.LinkCommenProjectName,
            mode: "mini",
            url: "/general/project/myproject/alldo.php",
            param: {
                type: "project_list"
            },
            fieldSearch: {
                onItemClick: function(data, value) {
                    $(".list-wrap").LazyTable("reload", {
                        param: {
                            type: "project_list",
                            MANAGER_NAME: value
                        }
                    })
                },
               
                items: [{
                    key: "MANAGER_NAME",
                    title: LinkCommenOA.LinkCommenProjectNameContain
                }]
            },
            onClearButtonClick: function() {
                $(".list-wrap").LazyTable("reload", {
                    param: {
                        type: "project_list"
                    }
                });
            }
        },
        list: {
            dataSource: "/general/project/myproject/alldo.php",
            hideHeader: true,
            param: {
                "type": 'project_list'
            },
            column: [{
                key: "MANAGER_NAME",
                template: function(data) {
                    return "<span style='float:left;width:360px;' class='overflow' title='" + data.MANAGER_NAME + "'>" + data.proName + "</span><span>&nbsp;&nbsp;&nbsp;&nbsp;" + data.proNameType + "</span><span style='float:right;padding-right:50px;'>" + data.plan + "&nbsp;&nbsp;&nbsp;&nbsp;" + data.manager + "</span>";
                }
            }]
        }
    },
    
}