<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <script type="text/javascript" src="../internal.js"></script>
    <title></title>
<style>

    li{
        height:30px;
        line-height: 30px;
        padding-left:15px;
        cursor: pointer;
    }

    li:hover{
         background: #E7E7E7;
    }

    .tip{
        color: #8a6d3b;
        background-color: #fcf8e3;
        border-color: #faebcc;
        padding: 10px;
        border-radius: 4px;
        margin:5px;
    }
    input[type='text']{
        border:1px solid #E7E7E7;
        height:21px;
        line-height:21px;
    }
    .header{
        background: #f5f5f5;
        height: 35px;
        line-height: 35px;
        padding-left: 4px;
        border-bottom:1px solid #dddddd;
    }
    table tr{
        height:30px;
        line-height: 30px;
    }
    td:first-child{
        padding-left: 15px;
    }
</style>
</head>
<body onload=show_flow_num()>
<div class="tip">注意:必须在编辑器中输入于此[XXX]相同的字段才能识别!</div>
<div class="header">
    定义流水号规则
</div>

<table  cellpadding="0" cellspacing="0" style="width:100%;">
<tr>
    <td>位数
     </td>
     <td>
     <input onchange="show_flow_num()" id="creat_num"  type="text" value='4'/>
    </td>
</tr>
<tr>
    <td>起始数</td>
    <td><input onPropertyChange="show_flow_num()" id="creat_begin" type="text" value='0'/></td>
</tr>
<tr>
    <td>流水号预览
     </td>
     <td>
     <input id="creat_show" type="text" value='' readonly/>
    </td>
</tr>
</table>
<div class="header">
    插入流水号元素
</div>
<ul>
<li onclick="insertParent('creat_num','流水号');"> [流水号]&nbsp;(流程创建流水号)</li>
<li onclick="insertParent('creat_y','年份');"> [年份]&nbsp;(流程创建年份)</li>
<li onclick="insertParent('creat_m','月份');"> [月份]&nbsp;(流程创建月份)</li>
<li onclick="insertParent('creat_d','日期');"> [日期]&nbsp;(流程创建日期)</li>
<li onclick="insertParent('creat_h','时');"> [时]&nbsp;(流程创建时)</li>
<li onclick="insertParent('creat_i','分');"> [分]&nbsp;(流程创建分)</li>
<li onclick="insertParent('FLOW_NAME','名称');">[名称]&nbsp;(流程名称)</li>
<li onclick="insertParent('FLOW_SORT','类别');">[类别]&nbsp;(流程类别)</li>
<li onclick="insertParent('FLOW_TYPE','类型');">[类型]&nbsp;(流转类型)</li>
<li onclick="insertParent('creat_user','创建人');">[创建人]&nbsp;(流程创建人)</li>
</ul>

</body>
</html>

<script>
    function show_flow_num(){
    var mode_title2 = document.getElementById("creat_num").value;
    var mode_title3 = document.getElementById("creat_begin").value;
    var mode_title4 = document.getElementById("creat_show");
    var show_value = auto_num(mode_title3,mode_title2);
    if(show_value === false){
        return false;
    }else{
        mode_title4.value = show_value;
    }

}
function auto_num(num,leng){
    if(isNaN(num)){
        alert("请输入数字!");
        return false;
    }else{
        if(num.length > leng){
            alert("流水号起始数字位数过长");
            return false;
        }else if(num.length == leng){
            return num;
        }else if(num.length < leng){
            var newnum = num;
            var add_num = leng-num.length;
            var i;
            for(i=0;i<add_num;i++){
                newnum = '0'+newnum;
            }
            return newnum;
        }
    }
}
function insertParent(mode_id,mode_title){
    if(mode_id == 'creat_num'){
        var mode_title2 = document.getElementById("creat_num").value;
        var mode_title3 = document.getElementById("creat_begin").value;
        if(mode_title2 == ''){
            alert("请填写流水号位数");
            return false;
        }
        if(mode_title3 == ''){
            alert("请填写流水号起始数");
            return false;
        }
        editor.execCommand("inserthtml",'['+mode_title+mode_title2+'|'+mode_title3+']');
    }else{
        editor.execCommand("inserthtml",'['+mode_title+']');
    }
    window.close();
}

</script>
