$(function(){
    //==============全文搜索开始===================//
    $(".search_type_title_wrap").click(function(){
        $(".search_type_list_wrap").toggleClass("hide");
    });
    $(".search_type_list_wrap li").click(function(){
        $(".search_type_title_wrap .search_type_title").html($(this).text());
        $(".search_type_title_wrap").attr("module",$(this).attr("module"));
        $(".search_type_list_wrap").addClass("hide");
    });
    $(".search_wrap a").click(function(){
        var searchValue = $.trim($(".search_wrap .search_input").val());
        var tip         = $(".search_wrap .search_input").attr("tip");
        searchValue     = searchValue == tip ? "":searchValue;
        var module      = $(".search_type_title_wrap").attr("module");
        searchInfor(module, searchValue);
    });
    $(".search_wrap .search_input").focus(function(){
        var searchValue = $.trim($(this).val());
        var tip         = $(this).attr("tip");
        if(searchValue == tip) {
            $(this).val("");
        }
    }).focusout(function(){
        var searchValue = $.trim($(this).val());
        if(searchValue == "") {
           $(this).val($(this).attr("tip"));
        }
    }).keydown(function(event){
        var searchValue = $.trim($(this).val());
        var tip         = $(this).attr("tip");
        searchValue     = searchValue == tip ? "":searchValue;
        var module      = $(".search_type_title_wrap").attr("module");
        if(event.keyCode == 13) {
            searchInfor(module, searchValue);
        }
    });
    //==============全文搜索结束===================//
});
//全文搜索公共函数
function searchInfor(module, value){
    $(".iframe-wrap").slideDown();
    $('.portal').slideUp();
    var url = "";
    switch(module){
        case 'document':
        url = "/general/file_folder/file_new/filelist.php?search_file=search_file&SUBJECT="+value;
        break;
        case 'workflow':
        url = "/general/workflow/work_list.php?listType=flow_query&paramStr=RUN_NAME="+value;
        break;
        case 'user':
        url = "/general/system/user/search.php?USER_NAME="+value;
        break;
        case 'sms':
        url='/general/sms/query/search.php?SMS_CONTENT='+value;
        break;
        case 'email':
        url='/general/email/inbox.php?from=top&SUBJECT='+value;
        break;
        case 'news':
        url='/general/news/show/newslist.php?listType=search_news&SUBJECT='+value;
        break;
        case 'notify':
        url='/general/notify/show/index.php?listType=search_notify&SUBJECT='+value;
        break;
    }
    $(".content-iframe").attr("src",url);
}
