<?
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice7.3
 * @name      webservice/user/user.wsdl.php
 * @version   1.0
 * @author    samuel
 */
include_once ("nusoap/lib/nusoap.php");
include_once ("api/user.class.php");
include_once ("inc/conn.php");

$server = new soap_server ();
$server->soap_defencoding = "UTF-8";
$server->decode_utf8 = false;
$server->configureWSDL ( 'LoginServicewsdl', 'urn:LoginServicewsdl' );
$server->wsdl->schemaTargetNamespace = 'urn:LoginServicewsdl';
//用户名密码验证登陆
$server->wsdl->addComplexType (
							   'loginStatus',
							   'complexType',
							   'struct',
							   'all',
							   '',
							   array(
									 'status' => array ('name' => 'status', 'type' => 'xsd:string'),
									 'infor' => array ('name' => 'infor', 'type' => 'xsd:string' ),
									 'session_key' => array ('name' => 'session_key', 'type' => 'xsd:string')
									 )
							   );

$server->register ( 'UserLogin', array ('UserName' => 'xsd:string', 'Password' => 'xsd:string' ), array ('return' => 'tns:loginStatus' ), 'urn:LoginServicewsdl', 'urn:LoginServicewsdl#UserLogin', 'rpc', 'encoded', 'UserLogin' );

function UserLogin($UserName, $Password) {
	$UserName = htmlspecialchars(stripslashes(SecurityFilter($UserName)));
	$UserName  = str_replace("'","’",$UserName);
	$UserName  = str_replace('"','“',$UserName);
	$loginStatus = array ();
	if (trim ( $UserName ) == "") {
		$loginStatus ["status"] = "false";
		$loginStatus ["infor"] = "用户名为空";
		return $loginStatus;

	}
	$user = new user ();
	if ($user->CheckUserAccount ( $UserName ) == false) {
		$loginStatus ["status"] = "false";
		$loginStatus ["infor"] = "用户名不存在";
		return $loginStatus;
	}
	$userID = $user->getUserIDByUserAccount ( $UserName );
	if ($user->checkOldPassword ( $userID, $Password ) == false) {
		$loginStatus ["status"] = "false";
		$loginStatus ["infor"] = "密码错误";
		return $loginStatus;
	}

	global $connection;
	$query = "SELECT * from USER where USER_ACCOUNTS='$UserName'";
	$cursor = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $cursor );

	$timenow = time();
	$CUR_TIME=date("Y-m-d H:i:s",$timenow);
 	$query = "update USER set LAST_VISIT_TIME='$CUR_TIME' where USER_ID='".$ROW ["USER_ID"]."'";
 	exequery($connection,$query);

	session_start ();
	$_SESSION ["LOGIN_USER_ID"]       = $ROW ["USER_ID"];
	$_SESSION ["LOGIN_PASSWORD"]      = $ROW ["PASSWORD"];
	$_SESSION ["LOGIN_POST_PRIV"]     = $ROW ["POST_PRIV"];
	$_SESSION ["LOGIN_USER_ACCOUNTS"] = $ROW ["USER_ACCOUNTS"];
	$_SESSION ["LOGIN_USER_NAME"]     = $ROW ["USER_NAME"];
	$_SESSION ["LOGIN_USER_PRIV"]     = $ROW ["USER_PRIV"];
	$_SESSION ["LOGIN_DEPT_ID"]       = $ROW ["DEPT_ID"];

	$loginStatus ["status"]      = "true";
	$loginStatus ["infor"]       = $ROW ["USER_ID"];
	$loginStatus ["session_key"] = session_id();
	return $loginStatus;
}
//用户ID验证登陆
$server->wsdl->addComplexType (
							   'IDcheck',
							   'complexType',
							   'struct',
							   'all',
							   '',
							   array(
									 'status' => array ('name' => 'status', 'type' => 'xsd:string'),
									 'session_key' => array ('name' => 'session_key', 'type' => 'xsd:string')
									 )
							   );
$server->register(
				  'UserIDLogin',
				  array (
						 'UserId' => 'xsd:string',
						 ),
				  array (
						 'return' => 'tns:IDcheck'
						 ),
				  'urn:LoginServicewsdl',
				  'urn:LoginServicewsdl#UserIDLogin',
				  'rpc',
				  'encoded',
				  'UserIDLogin'
				  );
function UserIDLogin($UserId)
{
	global $connection;
	$UserId = SecurityFilter($UserId);
	$infor = array();
	$sql    = "SELECT COUNT(*) FROM USER WHERE USER_ID='".$UserId."'";
	$cursor = exequery($connection,$sql);
	if($ROW = mysql_fetch_array($cursor))
	{
		$count = $ROW[0];
	}
	if($count>0)
	{
		$timenow = time();
		$CUR_TIME=date("Y-m-d H:i:s",$timenow);
		$query = "update USER set LAST_VISIT_TIME='$CUR_TIME' where USER_ID='".$UserId."'";
		exequery($connection,$query);
		session_start ();
		$infor["session_key"] = session_id();
		$infor["status"] = "true";
	}
	else
	{
		$infor["status"]      = "false";
		$infor["session_key"] = "";
	}
	return $infor;
}
//返回当前用户信息
$server->register(
				  'GetCurrentInformation',
				  array (
						 'UserId' => 'xsd:string'
						 ),
				  array (
						 'return' => 'xsd:string'
						 ),
				  'urn:LoginServicewsdl',
				  'urn:LoginServicewsdl#GetCurrentInformation',
				  'rpc',
				  'encoded',
				  'GetCurrentInformation'
				  );
function GetCurrentInformation($UserId)
{
	global $connection;
	$infor = array();
	if($UserId!="")
	{
		global $connection;
		$user = new user ();
		$sql = "SELECT * FROM USER WHERE USER_ID='".SecurityFilter($UserId)."'";
		$result = exequery($connection, $sql);
		if($row = mysql_fetch_assoc($result)){
			$infor = $row;
			$priv = $user->getPrivInfo($row["USER_PRIV"]);
			$infor["priv_name"] = $priv["PRIV_NAME"];
			$dept = $user->getDeptInfo($row["DEPT_ID"]);
			$infor["dept_name"] = $dept["DEPT_NAME"];
			$infor["check"] = "true";
			if($row["USER_STATUS"] == "1")
			{
				$infor["status"] = "在职";
			}
			else if($row["USER_STATUS"] == "2")
			{
				$infor["status"] = "离职";
			}
		}
	}
	else
	{
		$infor["check"] = "false";
	}
	return json_encode($infor);
}

$server->service ( $HTTP_RAW_POST_DATA );
?>