<?
/**
*@copyright (C) 2000 - 2010 Weaver Co.Ltd
*@package   eoffice7.0
*@name      test/webservice/cale/cale.wsdl.php
*@version   1.0 
*@author    
*/
include_once("nusoap/lib/nusoap.php");
include_once("api/calendar.class.php");
include_once("inc/conn.php");
include_once("inc/checkcurrentsession.php");

//实例化soap_server对象并初始化
$server                   = new soap_server();
$server->soap_defencoding = "UTF-8";
$server->decode_utf8      = false;
$server->configureWSDL('CaleServicewsdl','urn:CaleServicewsdl');
$server->wsdl->schemaTargetNamespace = 'urn:CaleServicewsdl';
//定义UseInfor的参数结构
$server->wsdl->addComplexType(
							'UserInfor',
							'complexType',
							'array',
							'all',
							'',
							array(
								  'user_id'    => array('name'=>'user_id','type'=>'xsd:string'),
								  'user_name'  => array('name'=>'user_name','type'=>'xsd:string'),		
								  'session_id' => array('name'=>'session_id','type'=>'xsd:string')		
							)
);

//定义返回的数据类型
 $server->wsdl->addComplexType ( 
 							  'getCalendarReturn', 
  							  'complexType', 
  							  'struct', 
  							  'all',
 							  '',
  							  array (
  							  'docsid' => array (
  							  			'name' => 'docsid', 
  							  			'type' => 'xsd:string'),
  							  'subject' => array (
  							  			'name' => 'subject',
 							  			'type' => 'xsd:string'))); 

//注册获取函数
$server->register('getPreNextCalendar',
					array('calid'=>'xsd:string',
						  'flag'=>'xsd:string',
						  'UserInfor' => 'tns:UserInfor'),
					array('return'=>'tns:getCalendarReturn'),
					'urn:CaleServicewsdl',
					'urn:CaleServicewsdl#getPreNextCalendar',
					'rpc','encoded','Get E-office PrenextCalendar');
				
//注册获取日程总数的函数
$server->register('getCalendarAmount',
                   array('date' => 'xsd:string','UserInfor' => 'tns:UserInfor'),
				   array('return' => 'SOAP-ENC:string'), 
   				   'urn:CaleServicewsdl',
                   'urn:CaleServicewsdl#getCalendarAmount',
				   'rpc','encoded','Get E-office CalendarAcount');
							   
//定义函数GetCalendarList返回的数据类型
$server->wsdl->addComplexType('getInfoReturn',
							  'complexType',
    						  'array',
  							  '',
  							  'SOAP-ENC:Array',
    						  array(),
  							  array(
        						   array(
      								      'ref' => 'SOAP-ENC:arrayType',
            						     'wsdl:arrayType' => 'tns:getInfoReturnarray[]'
        						   )
  							  ),
  							  'tns:getInfoReturnarray'
 							  );


$server->wsdl->addComplexType('getInfoReturnarray',
							  'complexType',
							  'struct',
							  'all',
							  '',
							  array(
									'USER_ID'     => array('name' => 'USER_ID','type' => 'xsd:string'),
									'CAL_LEVEL'   => array('name'=>'CAL_LEVEL','type'=>'xsd:string'),
									'CAL_TYPE'    => array('name'=>'CAL_TYPE','type'=>'xsd:string'),
									'CAL_BEGIN'   => array('name' => 'CAL_BEGIN','type' => 'xsd:string'),
									'CAL_END'     => array('name' => 'CAL_END','type' => 'xsd:string'),
									'CAL_ID'      => array('name' => 'CAL_ID','type' => 'xsd:string'),
									'USER_NAME'   => array('name' => 'USER_NAME','type' => 'xsd:string'),
									));	

//注册获取日程信息列表
$server->register('GetCalendarList',
                  array('limint' => 'xsd:string',
				  		'start'=>'xsd:string',
						'date'=>'xsd:string',
						'UserInfor' => 'tns:UserInfor'), 
				  array('return'=>'tns:getInfoReturn'), 
     			  'urn:CaleServicewsdl',
			      'urn:CaleServicewsdl#GetCalendarList',
				  'rpc','encoded','Get E-office GetCalendarList');
//定义函数GetCalendarInformation返回的数据类型
$server->wsdl->addComplexType('ReturnCaleInfo',
							  'complexType',
							  'struct',
							  'all',
							  '',
							  array(
									'USER_ID'     => array('name' => 'USER_ID','type' => 'xsd:string'),
									'CAL_CONTENT' => array('name' => 'CAL_CONTENT','type' => 'xsd:string'),
									'CAL_LEVEL'   => array('name'=>'CAL_LEVEL','type'=>'xsd:string'),
									'CAL_TYPE'    => array('name'=>'CAL_TYPE','type'=>'xsd:string'),
									'CAL_BEGIN'   => array('name' => 'CAL_BEGIN','type' => 'xsd:string'),
									'CAL_END'     => array('name' => 'CAL_END','type' => 'xsd:string'),
									'CAL_ID'      => array('name' => 'CAL_ID','type' => 'xsd:string'),
									'USER_NAME'   => array('name' => 'USER_NAME','type' => 'xsd:string'),
									));	

//注册获取日程信息列表
$server->register('GetCalendarInformation',
                  array('CaleId' => 'xsd:int',
						'UserInfor' => 'tns:UserInfor'), 
				  array('return'=>'tns:ReturnCaleInfo'), 
     			  'urn:CaleServicewsdl',
			      'urn:CaleServicewsdl#GetCalendarInformation',
				  'rpc','encoded','Get E-office GetCalendarInformation');
/**
*获取日程的总数
*@param string $date
*@return string $cales
*/
function getCalendarAmount($date,$UserInfor) {
	CheckCurrentSession();
	$caleApi = new calendar($UserInfor);
	$cales   = $caleApi->getCalendarAmount($date);
	return $cales;
}

/**
*获取日程列表
*@param string $limit 
*@param string $start 
*@param string $date  
*@param string $calid 
*/
function GetCalendarList($limit,$start,$date,$UserInfor) {
	CheckCurrentSession();
	$caleApi = new calendar($UserInfor);
	$cales   = $caleApi->getCalendarInfo($limit,$start,$date,'');
	return $cales;
}
/**
*获取日程详细信息
*/
function GetCalendarInformation($CaleId,$UserInfor){
	CheckCurrentSession();
	$caleApi = new calendar($UserInfor);
	$cales   = $caleApi->getCalendarInfo('','','',$CaleId);
	return $cales[0];
}

/**
*
*@param string $calid  
*@param string $flag   
*/
function getPreNextCalendar($calid,$flag,$UserInfor) {
	CheckCurrentSession();
	$caleApi = new calendar($UserInfor);
	if($flag=="pre")
	{
		$showflag = "pre";	
	}
	else
	{
		$showflag = "next";		
	}
	$cales   = $caleApi->getPreNextCalendar($calid,$showflag);	
	return $cales;
}

//返回数据
$HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA : '';
$server->service($HTTP_RAW_POST_DATA);
?>