<?
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice7.3
 * @name      webservice/document/document.wsdl.php
 * @version   1.0 
 * @author    samuel
 */

include_once ("nusoap/lib/nusoap.php");
include_once ("api/file.class.php");
include_once ("inc/conn.php");
include_once 'inc/document_function.php';
include_once ("inc/checkcurrentsession.php");

$server = new soap_server ();
$server->soap_defencoding = "UTF-8";
$server->decode_utf8 = false;
$server->configureWSDL ( 'DocumentServicewsdl', 'urn:DocumentServicewsdl' );
$server->wsdl->schemaTargetNamespace = 'urn:DocumentServicewsdl';

$server->wsdl->addComplexType ( 'documentRerurnArray', 'complexType', 'array', '', 'SOAP-ENC:Array', array (), array (array ('ref' => 'SOAP-ENC:arrayType', 'wsdl:arrayType' => 'tns:documentReturn[]' ) ), 'tns:documentReturn' );

$server->wsdl->addComplexType ( 'documentReturn', 'complexType', 'struct', 'all', '', array ('SortId' => array ('name' => 'SortId', 'type' => 'xsd:string' ), 'Subject' => array ('name' => 'Subject', 'type' => 'xsd:string' ), 'SendTime' => array ('name' => 'SendTime', 'type' => 'xsd:string' ), 'UserName' => array ('name' => 'UserName', 'type' => 'xsd:string' ), 'UserId' => array ('name' => 'UserId', 'type' => 'xsd:string' ), 'Content' => array ('name' => 'Content', 'type' => 'xsd:string' ), 'AttachmentDir' => array ('name' => 'AttachmentDir', 'type' => 'xsd:string' ), 'LinkDoc' => array ('name' => 'LinkDoc', 'type' => 'xsd:string' ), 'DocumentId' => array ('name' => 'DocumentId', 'type' => 'xsd:string' ) ) );

$server->register ( 'GetDocumentContent', array ('documentID' => 'xsd:string', 'searchCondition' => 'xsd:string', 'orderBy' => 'xsd:string', 'limitOffset' => 'xsd:string', 'limitRows' => 'xsd:string' ), array ('return' => 'tns:documentRerurnArray' ), 'urn:DocumentServicewsdl', 'urn:DocumentServicewsdl#GetDocumentContent', 'rpc', 'encoded', 'Get Public Document' );

function GetDocumentContent($documentID, $searchCondition, $orderBy, $limitOffset, $limitRows) {
	CheckCurrentSession ();
	$read = new read ();
	return $read->GetDocumentContent ( $documentID, $searchCondition, $orderBy, $limitOffset, $limitRows );
}

$server->register ( 'GetDocumentCount', array (), array ('return' => 'xsd:string' ), 'urn:DocumentServicewsdl', 'urn:DocumentServicewsdl#GetDocumentCount', 'rpc', 'encoded', 'Get Document Count' );

function GetDocumentCount() {
	CheckCurrentSession ();
	$read = new read ();
	return $read->GetDocumentCount ();
}

$server->service ( $HTTP_RAW_POST_DATA );
?>