<?php

include_once('E-mobile/constant.php'); //引入定义全局常量文件。
include_once 'function_common.php';
include_once 'inc/utility_all.php'; //D:\eoffice\webroot\inc\utility_all.php
$action = $_REQUEST['action'];
switch ($action) {
    case 'mobile_upload_save':
        //是否登录之类的验证 略
        $photo = $_FILES["upload_quwan"];
        $attachid = createFileDir();
//        custom_check_img($photo);
        custom_checkpath_ajax(ROOT_PATH . 'attachment/' . $attachid);
        $ext_temp = path_info($photo["name"]);
        //.exe|.bat|.php|.inc|.dll|
        $denyType = array('exe', 'bat', 'php', 'inc', 'dll');
        if (in_array($ext_temp['extension'], $denyType)) {
            custom_echo($flag = 0, "Error: 格式不支持");
        }

        $ext = strtolower($ext_temp['extension']) == 'jpeg' ? 'jpg' : strtolower($ext_temp['extension']);

        $new_name = $ext_temp['filename'] . '.' . $ext;
        $file = ROOT_PATH . 'attachment/' . $attachid . '/' . $new_name;

        move_uploaded_file($photo["tmp_name"], iconv("UTF-8", "gb2312", $file));
        //保存数据
        custom_echo(1, $file, $attachid, $new_name);
        break;

    case 'mobile_upload_common':

        $photo = $_FILES["upload_quwan_common"];
        $attachid = createFileDir();
//        custom_check_img($photo);
        custom_checkpath_ajax(ROOT_PATH . 'attachment/' . $attachid);
        $ext_temp = path_info($photo["name"]);

        $denyType = array('exe', 'bat', 'php', 'inc', 'dll');
        if (in_array($ext_temp['extension'], $denyType)) {
            custom_echo($flag = 0, "Error: 格式不支持");
        }

        $ext = strtolower($ext_temp['extension']) == 'jpeg' ? 'jpg' : strtolower($ext_temp['extension']);

        $new_name = $ext_temp['filename'] . '.' . $ext;
        $file = ROOT_PATH . 'attachment/' . $attachid . '/' . $new_name;

        move_uploaded_file($photo["tmp_name"], iconv("UTF-8", "gb2312", $file));
        //保存数据
        custom_echo(1, $file, $attachid, $new_name);
        break;


    case "dingtalkImg":
        $img = $_REQUEST["result"];
        //把文件存储到本地
        $attachid = createFileDir();
        custom_checkpath_ajax(ROOT_PATH . 'attachment/' . $attachid);
        $path = ROOT_PATH . 'attachment/' . $attachid;
        $file = GrabImage($img[0], $path);
        $new_name = trim(strrchr($file, "/"), "/");
        custom_echo(1, $file, $attachid, $new_name);

        break;

    case "microMessengerUpload":
        $access_token = $_REQUEST["access_token"];
        $serverId = $_REQUEST["serverId"];
        $from = $_REQUEST["from"];

        if (is_array($_REQUEST["serverId"])) {
            $mediaIds = $_REQUEST["serverId"];
        } else {
            $mediaIds = explode(",", trim($_REQUEST["serverId"], ","));
        }
        $attachids = '';
        $fileNames = "";
        $showHtml = "";
        $count = 0;
        foreach ($mediaIds as $media) {
            if ($from == "weixin") {
                $url = "http://file.api.weixin.qq.com/cgi-bin/media/get?access_token=$access_token&media_id=$media";
            } else if ($from == "qyweixin") {
                $url = "https://qyapi.weixin.qq.com/cgi-bin/media/get?access_token=$access_token&media_id=$media";
            }

            ob_start(); //打开输出
            readfile($url); //输出图片文件
            $img = ob_get_contents(); //得到浏览器输出
            ob_end_clean(); //清除输出并关闭
            //生成附件ID
            $attachmentId = createFileDir();
            custom_checkpath_ajax(ROOT_PATH . 'attachment/' . $attachmentId);
            $newPath = ROOT_PATH . 'attachment/' . $attachmentId;
            $mediaIdName = $attachmentId . ".jpg";
            $originName = $newPath . '/' . $mediaIdName;
            $size = strlen($img); //得到图片大小
            $fp2 = @fopen($originName, "a");
            fwrite($fp2, $img); //向当前目录写入图片文件，并重新命名
            fclose($fp2);
            $attachids .=$attachmentId . ",";
            $fileNames .=$mediaIdName . "*";
            $showHtml .= $mediaIdName . "<br/>";
            $count++;
        }

        $fileNames = substr($fileNames, 0, -1);
        $attachids = substr($attachids, 0, -1);

        $showHtml .="共".$count."个附件";

        custom_echo(1, $showHtml, $attachids, $fileNames);
        break;

    case "outSignImg":

        $img = $_REQUEST["result"];
        //把文件存储到本地
        $attachid = createFileDir(); //D:\eoffice\webroot\general\weixin\ajaxlist.php
        custom_checkpath_ajax(ROOT_PATH . 'general/outImgs/' . $attachid);
        $path = ROOT_PATH . 'general/outImgs/' . $attachid;
        $file = GrabImage($img[0], $path);
        $new_name = trim(strrchr($file, "/"), "/");
        $file = str_replace(ROOT_PATH, "/", $file);
        custom_echo(1, $file, $attachid, $new_name);

        break;
}

function custom_checkpath_ajax($path) {
    $pathes = explode('/', $path);
    $dir = '';
    foreach ($pathes as $k => $v) {
        if ($v) {
            $dir .= $v . '/';
            if (!is_dir($dir)) {
                mkdir($dir, 0777);
                chmod($dir, 0777);
            }
        }
    }
}

function GrabImage($url, $path) {


    $fileName = strrchr($url, "/");
    $filename = trim($path, "/") . "/" . trim($fileName, "/");


    ob_start(); //打开输出
    readfile($url); //输出图片文件
    $img = ob_get_contents(); //得到浏览器输出
    ob_end_clean(); //清除输出并关闭
    $size = strlen($img); //得到图片大小
    $fp2 = @fopen($filename, "a");
    fwrite($fp2, $img);
    fclose($fp2);
    return $filename; //返回新的文件名
}
