<?php include(INCLUDE_APP_PATH . "Common/Layout/CommonPageHeader.php"); ?>
<?php
$otherHtml = '<div class="other-html">';
switch ($dataInfor["CAL_WHILE_TYPE"]) {
    case '0':
        $detailTimes = $_lang["calendar_nocycle"];
        break;
    case '1':
        $detailTimes = $_lang["calendar_every_day"];
        if ($dataInfor["CAL_IS_NEVER"] != 1) {
            $dataInfor["CAL_WHILE_END"] = $_lang["calendar_never"];
        }

        $otherHtml .= '<div class="title">' . $_lang["calendar_cycle_count"] . ':</div><div class="content">' . $dataInfor["CAL_EACH_WHEEL"] . $_lang["calendar_day"] . '</div>\
									<div class="title">' . $_lang["calendar_cl_begin_date"] . ':</div><div class="content">' . $dataInfor["CAL_WHILE_BEGIN"] . '</div>\
									<div class="title">' . $_lang["calendar_cl_end_date"] . ':</div><div class="content">' . $dataInfor["CAL_WHILE_END"] . '</div>';

        break;
    case '2':
        $detailTimes = $_lang["calendar_every_week"];
        if ($dataInfor["CAL_IS_NEVER"] != 1) {
            $dataInfor["CAL_WHILE_END"] = $_lang["calendar_never"];
        }

        $repeatWeek = $dataInfor["CAL_STR_WEEK"];
        $repeatWeekArr = explode(",", $repeatWeek);
        $count = count($repeatWeekArr);

        $weekStr = '';
        for ($i = 0; $i < $count; $i++) {
            switch ($repeatWeekArr[$i]) {
                case "0":
                    $weekStr += $_lang['emobile_common_root_week_seven'];
                    break;
                case "1":
                    $weekStr += $_lang['emobile_common_root_week_one'];

                    break;
                case "2":
                    $weekStr += $_lang['emobile_common_root_week_two'];

                    break;
                case "3":
                    $weekStr += $_lang['emobile_common_root_week_three'];

                    break;
                case "4":
                    $weekStr += $_lang['emobile_common_root_week_four'];

                    break;
                case "5":
                    $weekStr += $_lang['emobile_common_root_week_five'];

                    break;
                case "6":
                    $weekStr += $_lang['emobile_common_root_week_six'];

                    break;
            }
        }
        
                
        $otherHtml .= '<div class="title">'.$_lang["calendar_cycle_count"].':</div><div class="content">'.$dataInfor["CAL_EACH_WHEEL"].$_lang["calendar_week"].'</div>
                        <div class="title">'.$_lang["calendar_while_date"].':</div><div class="content">'.$weekStr.'</div>
                        <div class="title">'.$_lang["calendar_plan_begin_date"].':</div><div class="content">'.$dataInfor["CAL_WHILE_BEGIN"].'</div>
                        <div class="title">'.$_lang["calendar_plan_end_date"].':</div><div class="content">'.$dataInfor["CAL_WHILE_END"].'</div>';





        break;
    case '3':
        $detailTimes = $_lang["calendar_every_month"];
        
        if ($dataInfor["CAL_IS_NEVER"] != 1) {
            $dataInfor["CAL_WHILE_END"] = $_lang["calendar_never"];
        }
        
        $otherHtml .= '<div class="title">'.$_lang["calendar_cycle_count"].':</div><div class="content">'.$dataInfor["CAL_EACH_WHEEL"].$_lang["calendar_month"].'</div>
                                        <div class="title">'.$_lang["calendar_plan_begin_date"].':</div><div class="content">'.$dataInfor["CAL_WHILE_BEGIN"].'</div>
                                        <div class="title">'.$_lang["calendar_plan_end_date"].':</div><div class="content">'.$dataInfor["CAL_WHILE_END"].'</div>';
        
        break;
}

                
?>
<link rel="stylesheet" type="text/css" href="<?= CSS_PATH ?>calendar.css"/>
<body>
    <input type="hidden" id="currentUserId" value="">
    <div class="cal-container">
        <div class="cal-header">
            <div class="cal-nav">
                <div class="cal-nav-inner">
                    <div class="nav-item first active" id="myCalendarBtn"><?= $_lang["calendar_title"] ?></div>
                    <div class="nav-item" id="myBranchButton"><?= $_lang["calendar_my_branch"] ?></div>
                    <div class="nav-item last" id="myAttentionButton"><?= $_lang["calendar_my_attention"] ?></div>
                </div>
            </div>
            <div class="cal-button more-calendar-button">
                <div class="v-line"></div>
                <div class="v-line"></div>
                <div class="v-line"></div>
            </div>
            <div class="cal-more-button-group">
                <div class="more-button calendar"><?= $_lang['e_calendar_show'] ?></div>
                <div class="more-button list"><?= $_lang['e_calendar_list'] ?></div>
                <div class="more-button add-calendar"><?= $_lang["calendar_create_new"] ?></div>
            </div>
        </div>
        <div class="cal-header-end"><a href="javascript:void;" class="current-user-name"></a></div>
        <div class="cal-body" id="calendar-container">
            <div class="cal-calendar">
                <div class="cal-calendar-header">
                    <div class="calendar-header-top">
                        <div class="currrent-date"></div>
                        <div class="header-button cal-left-button"><img src="<?= IMG_PATH ?>calendar/iconfont-left.png"></div>
                        <div class="header-button  cal-right-button"><img src="<?= IMG_PATH ?>calendar/iconfont-right.png"></div>
                    </div>
                    <div class="calendar-header-bottom">
                        <div class="calendar-header-item"><?= $_lang['emobile_common_root_week_7'] ?></div>
                        <div class="calendar-header-item"><?= $_lang['emobile_common_root_week_1'] ?></div>
                        <div class="calendar-header-item"><?= $_lang['emobile_common_root_week_2'] ?></div>
                        <div class="calendar-header-item"><?= $_lang['emobile_common_root_week_3'] ?></div>
                        <div class="calendar-header-item"><?= $_lang['emobile_common_root_week_4'] ?></div>
                        <div class="calendar-header-item"><?= $_lang['emobile_common_root_week_5'] ?></div>
                        <div class="calendar-header-item"><?= $_lang['emobile_common_root_week_6'] ?></div>
                    </div>
                </div>
                <div class="cal-calendar-body"></div>
            </div>
            <div class="cal-list"></div>
        </div>
        <div class="cal-body" id="list-container" style="display: none;"></div>
    </div>
    <div class="panel-layer" ontouchend="closeUserSelect(event,this);"></div>
    <div class="c-user-select" id="myBranchUser" parent-id="myBranchButton"><div class="user-item"><?= $_lang["e_calendar_loading"] ?></div></div>
    <div class="c-user-select" id="myAttentionUser" parent-id="myAttentionButton"><div class="user-item"><?= $_lang["e_calendar_loading"] ?></div></div>
    <div class="cal-detail-box">
        <div class="detail-header"> <?= $_lang["e_calendar_detail"] ?></div>
        <div class="detail-body">
      <div class="other-html">
          <?=$otherHtml;?>
                <div class="title"><?= $_lang["calendar_content"] ?>:</div>
                <div class="content" id="detail-content"><?= $dataInfor["CAL_CONTENT"] ?></div>
                <div class="title"><?= $_lang["calendar_begin_time"] ?>:</div>
                <div class="content" id="detail-start"><?= $dataInfor["CAL_BEGIN"] ?></div>
                <div class="title"><?= $_lang["calendar_end_time"] ?>:</div>
                <div class="content" id="detail-end"><?= $dataInfor["CAL_END"] ?></div>
                <div class="title"><?= $_lang["calendar_receive_user"] ?>:</div>
                <div class="content" id="detail-deal"><?= $dataInfor["RECEIVE_USER"] ?></div>
                <div class="title"><?= $_lang["calendar_share"] ?>:</div>
                <div class="content" id="detail-join"><?= $dataInfor["SHARE_USER"] ?></div>
                <div class="title"><?= $_lang["calendar_plan_creator"] ?>:</div>
                <div class="content" id="detail-creator"><?= $dataInfor["USER_NAME"] ?></div>
                <div class="title"><?= $_lang["calendar_level"] ?>:</div>
                <div class="content" id="detail-level"><?= $dataInfor["CAL_LEVEL"] ?></div>
                <div class="title"><?= $_lang["calendar_tag"] ?>:</div>
                <div class="content" id="detail-label"><?= $dataInfor["LABELSTR"] ?></div>
                <div class="title"><?= $_lang["calendar_remind"] ?>:</div>
                <div class="content" id="detail-tip"><?= $dataInfor["CAL_REMIND"] ?></div>
                <div class="title"><?= $_lang["calendar_cycle_set"] ?>:</div>
                <div class="content" id="detail-times"><?= $detailTimes ?></div> 
        </div>     
        </div>
    </div>
</body>




<script type="text/javascript" src="<?= JS_PATH ?>jquery.js"></script>
<script>
    var currentType = 'calendar';
    var currentDate;
    $(document).ready(function () {
        $('.cal-container').height($(window).height() - 50);
        $('.cal-detail-box').css({'left': '100%'}).show().animate({'left': '0px'}, 'fast');
     });
                                    
                                    
                                                                       
                                                                        
</script>
</html>
