<?php

class FileProxy {
    public function __construct() {
        ;
    }

    public function down(){
        global $_lang;
        $URL = request_var('picPath', '');
        if ($URL == '') {
            $attachId = request_var('attachId', '');
            $attachName = request_var('attachName', '');
            if ($attachId && $attachName) {
                $URL = ROOT_PATH . 'attachment/' . $attachId . '/' . $attachName;
            } else {
                errorPage('error', $_lang['emobile_common_File_attachID']);
                exit;
            }
        } else {
            $URL = ROOT_PATH . $URL;
        }
        $URL = getTypeString($URL, 'GBK');

        if (!file_exists($URL)) {
            errorPage('error', $_lang['emobile_common_File_attachID']);
            exit;
        }
//        clearstatcache();
        $fp = fopen($URL,"rb");
//        ob_end_clean();
        Header("Content-Transfer-Encoding: binary");
        Header("Accept-Ranges: bytes");
        header('Content-Type: application/octet-stream');
        Header("Accept-Length: ".filesize($URL));
        $ua = $_SERVER["HTTP_USER_AGENT"];
        if (preg_match("/MSIE/", $ua)) {
            $encodedAttachName = str_replace("+", "%20", urlencode($attachName));
            header('Content-Disposition: attachment; filename="' . $encodedAttachName . '"');
        } else if (preg_match("/Firefox/", $ua)) {
            header('Content-Disposition: attachment; filename*="utf8\'\'' . $attachName . '"');
        }else if (preg_match("/rv/", $ua)) {
            $filename = $this->transEncoding($attachName, 'GBK');
            header('Content-Disposition: attachment; filename="' . $filename . '"');
        }else {
            header('Content-Disposition: attachment; filename="' . $attachName . '"');
        }
        ob_clean();
        flush();
        while (!feof ($fp))
          echo fread($fp,1024);
        fclose($fp);
    }
    private function transEncoding($string, $target)
    {
        $encoding = mb_detect_encoding($string, array('ASCII', 'UTF-8', 'GB2312', 'GBK', 'BIG5'));
        return mb_convert_encoding($string, $target, $encoding);
    }
}
