<?php
include_once ("inc/utility_all.php");//引入公共函数文件。
include_once("inc/conn.php");//引入数据库连接文件
$method = request_var('method','getUserList');
switch ($method) {
    case 'getUserList':
        $pageSize   = 30;
        $page       = intval(request_var('page',0));
        $start      = $page * $pageSize;
        $keyword    = SecurityFilter(request_var('keyword',''));
        $deptId     = SecurityFilter(intval(request_var('deptId',0)));
        $privId     = SecurityFilter(intval(request_var('privId',0)));
        $pinyin     = request_var('pinyin','');
        $condition  = ' WHERE USER_ACCOUNTS != "" ';
        $limit      = ' LIMIT '.$start.','.$pageSize;
        if($keyword != '') {
            $condition .= 'AND (USER_NAME LIKE \'%'.$keyword.'%\' '
                    . 'OR USER_NAME_PY LIKE \'%'.$keyword.'%\' '
                    . 'OR USER_NAME_ZM = \''.$keyword.'\' '
                    . 'OR USER_ACCOUNTS LIKE \'%'.$keyword.'%\') ';
        }
        if($deptId != 0) {
            $condition .= 'AND DEPT_ID = '.$deptId;
            $limit = '';
        }
        if($privId != 0) {
            $condition .= 'AND USER_PRIV = '.$privId;
            $limit = '';
        }
        if($pinyin != '') {
            if($pinyin != 'ALL'){
                $condition .= 'AND USER_NAME_PY LIKE \''.strtolower($pinyin).'%\'';
            }
            $limit = '';
        }
        $query = 'SELECT USER_ID,USER_ACCOUNTS,USER_NAME,DEPT_ID,USER_PRIV FROM user '.$condition.$limit;
        $rs  = exequery($connection,$query);
        $userList = array();
        if($rs){
            while($row = mysql_fetch_assoc($rs)){
                $userList[] = $row;
            }
        }
        if(empty($userList)){
            echo 0;exit;
        }
        echo json_encode($userList);
        break;
    case 'getDeptList':
        $pageSize   = 20;
        $page       = intval(request_var('page',0));
        $start      = $page * $pageSize;
        $keyword    = SecurityFilter(request_var('keyword',''));
        $deptId     = SecurityFilter(intval(request_var('deptId',0)));
        $condition  = ' WHERE 1=1 ';
        $limit      = ' LIMIT '.$start.','.$pageSize;
        if($keyword != '') {
            $condition .= 'AND (DEPT_NAME LIKE \'%'.$keyword.'%\' '
                    . ' OR DEPT_NAME_PY LIKE \'%'.$keyword.'%\''
                    . ' OR DEPT_NAME_ZM = \''.$keyword.'\') ';
        }
        $query = 'SELECT DEPT_ID,DEPT_NAME FROM department '.$condition.' ORDER BY DEPT_NO '.$limit;
        $rs  = exequery($connection,$query);
        $deptList = array();
        if($rs){
            while($row = mysql_fetch_assoc($rs)){
                $deptList[] = $row;
            }
        }
        if(empty($deptList)){
            echo 0;exit;
        }
        echo json_encode($deptList);
        break;
    case 'getPrivList':
        $query = 'SELECT USER_PRIV,PRIV_NAME FROM user_priv ORDER BY PRIV_NO';
        $rs  = exequery($connection,$query);
        $privList = array();
        if($rs){
            while($row = mysql_fetch_assoc($rs)){
                $privList[] = $row;
            }
        }
        if(empty($privList)){
            echo 0;exit;
        }
        echo json_encode($privList);
        break;
    case 'getAllUser':
        $query = 'SELECT USER_ID,USER_ACCOUNTS,USER_NAME,DEPT_ID,USER_PRIV FROM user WHERE USER_ACCOUNTS != "" AND DEPT_ID > 0';
        $rs  = exequery($connection,$query);
        $userList = array();
        if($rs){
            while($row = mysql_fetch_assoc($rs)){
                $userList[] = $row;
            }
        }
        if(empty($userList)){
            echo 0;exit;
        }
        echo json_encode($userList);
        break;
    default:
        echo 'error';
        break;
}