<?php
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice8.0
 * @name      webroot/E-mobile/source_page.php
 * @function  查看原文
 * @version   1.0 
 * @author    liuqingyu
 */
include_once('E-mobile/constant.php');
include_once ("api/news.class.php");
include_once("api/notify.class.php");
include_once("api/email.class.php");
include_once("api/file.class.php");
include_once("api/diary.class.php");
include_once ("inc/utility_all.php");
include_once ("inc/conn.php");
include_once (COMMON_PATH . "func_all.php");
include_once("wap/function.php");
include_once("inc/document_function.php");
include_once("lang/".LOGIN_LANG."/emobile.lang.php");
$diff     = $_REQUEST["pagediff"];
$sessionstr = request_var('sessionkey');
$title    = "";
$contents = "";
switch($diff)
{
	case "news":
		$newsid   = $_REQUEST["newsid"];
		$userid   = $_REQUEST["userid"];
		$newsApi  = new news ();
		$news     = $newsApi->GetSingalNewsDetail($newsid);
		$contents = $news[0]["CONTENT"];
		$title    = $_lang['emobile_common_root_xwyw'];
	break;
	case "notify":
		$notifyid = $_REQUEST["notifyid"];
		$userid   = $_REQUEST["userid"];
		$UserInfor["user_id"] = $userid;
		$notifyApi      = new notify($UserInfor);
		$notify_message = $notifyApi->getNotifyInfo("","",$notifyid,array());
		$contents       = $notify_message[0]["CONTENT"];
		$title          = $_lang['emobile_common_root_ggyw'];
	break;
	case "email":
        $goto     = request_var('goto');
		$emailid  = $_REQUEST["emailid"];
		$userid   = $_REQUEST["userid"];
		$UserInfor["user_id"] = $userid;
		$email      = new email($UserInfor);
		$emailInfor = $email->getEmailById($emailid,"");
		$contents   = $emailInfor["CONTENT"];
		$title      = $_lang['emobile_common_root_yjyw'];
	break;
	case "file":
		$fileid   = $_REQUEST["fileid"];
		$userid   = $_REQUEST["userid"];
        $sortId   = $_REQUEST["sortId"];
        $SearchType["FileType"] = "1";
        $SearchType["FileList"] = $sortId;
        $SearchType["diff"]     = "Emobile";
		$UserInfor["user_id"] = $userid;
		$read     = new read($UserInfor);
		$infor    = $read->GetMDocumentContent($fileid,'','','','',$SearchType);
		$contents = $infor[0]["Content"];
		$contents = eregi_replace ( "&#039;", "'", $contents );
		$contents = eregi_replace ( '&quot;', '"', $contents );
		$title    = $_lang['emobile_common_root_wdyw'];
	break;
	case "mydiary":
		$diaryid    = $_REQUEST["diaryid"];
		$userid     = $_REQUEST["userid"];
		$Diary      = new diary();
		$diaryinfor = $Diary->GetsingleDiaryNoUser($diaryid);
		$contents   = html_entity_decode($diaryinfor["diary_content"]);
		$title      = $_lang['emobile_common_root_rzyw'];
	break;
	case "otherdiary":
		$diaryid    = $_REQUEST["diaryid"];
		$userid     = $_REQUEST["userid"];
		$Diary      = new diary();
		$diaryinfor = $Diary->GetsingleDiaryNoUser($diaryid);
		$contents   = html_entity_decode($diaryinfor["diary_content"]);
		$title      = $_lang['emobile_common_root_rzyw'];
	break;
	
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>Page.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>function_all.js"></script>
<title><?=$_lang['emobile_common_root_ckyw']?></title>
</head>
<script language="javascript">
$(document).ready(function(){
			$("#pageback").mousedown(function(){
				$(this).attr("class","page-top-button-down");	
			}).mouseup(function(){
				$(this).attr("class","page-top-button");	
			}); 
	}); 
//客户端返回按钮	
function doLeftButton()
{
    if('<?=$diff?>' == 'news'){
        location.href='<?=APP_PATH?>Init.php?m=view_New&sessionkey=<?=$sessionstr?>&detailid=<?=$newsid?>';
    }else if('<?=$diff?>' == 'notify'){
        location.href='<?=APP_PATH?>Init.php?m=view_Notify&sessionkey=<?=$sessionstr?>&detailid=<?=$notifyid?>';
    }else{
        history.back();
    }
	return "MobileClient";	
}	
</script>
<body style="background:#fff;">
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
<? if($_REQUEST["clienttype"]=="Webclient"){?>
<table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
	<tr>
    	<td width="10%" valign="middle" style="padding-left:5px;">
        	<div id="pageback" class="page-top-button" onclick="history.back();"><?=$_lang['emobile_Upload_view_back']?></div>
        </td>
    	<td align="center" valign="middle">
        	<div class="page-top-text"><?=$title?></div>
        </td>
        <td width="10%" valign="middle" style="padding-right:5px;"></td>
    </tr>
</table>
<? }?>
</div>
<br />
<div class="content_box" style="width:99%;margin-left:0.5%;<? if($_REQUEST["clienttype"]=="Webclient"){?>margin-top:40px<? }?>">
<div class="content_box_header">
    <? if($_REQUEST["clienttype"]=="Webclient")
        {
            echo $_lang['emobile_common_root_content'];	
        }
        else
        {
            echo $title;	
        }
    ?>
</div>
<div class="content_box_content" style="overflow-x: auto;"><?=$contents?></div>
</div>
<br />
</body>
</html>