<?php
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Coop/CoopProxy.php
 * @function  协作代理类      
 * @version   1.0 
 * @author    lizj
 */
include_once ('api/cooperation.class.php');
class CoopProxy{
    public function __construct() {
        ;
    }
    //普通方式获取协作主题列表
    public function lists(){
        global $_lang;
        $sessionstr = request_var("sessionkey");
        $weiApi     = request_var('weiApi',0);
        $strexplode = explode("_",$sessionstr);
        $cursession = $strexplode[0];
        $userid     = $strexplode[1];
        //验证sessionkey
        $check      = CheckSessionKeys($cursession);
        if($check)
        {
            if(CheckMenuPriv($userid,"coop")){
                //组合筛选条件结束
                include_once("api/user.class.php");
                $userapi    = new user();
                $userInfo   = $userapi->getUserInfo($userid);
                $type = array(
                    "TYPE" => 'tablefilter',
                    "CONSTAINLIST" => "1"
                );
                $search = array(
                    "USER_ID" => $userid,
                    "PRIV_ID" => $userInfo[0]['USER_PRIV'],
                    "DEPT_ID" => $userInfo[0]['DEPT_ID'],
                    "QUICKSORTPARAM" => '',
                    "CUSTOMPARAM" => ''
                );
                $page = array(
                    "PAGINATIONOFFSET" => 0,
                    "PAGINATIONROWS" => 20,
                    "SORTFIELD" => request_var('sortField','THE_TIME'),
                    "SORTTYPE" => request_var('sortType','DESC')
                );
              
                $other = array("");
                $cooperationSort = new cooperation;
                $cooperationList = $cooperationSort->getCoopListMain($type,$search,$page,$other);
                $coopList = $this->dealCoopLists($cooperationList['list'],$userid);
                include_once(INCLUDE_APP_PATH . 'Coop/View/CoopListsView.php');
            }else{
                echo '<div>'.$_lang["e_addr_no_menu_auth"].'</div>';
            }
        }else{
            echo '<div>'.$_lang["e_addr_login_again"].'</div>';
        }
    }
    /**
    *删除协作主题 
    */
    public function ajaxDel(){
        global $connection;
        $theme_id  = intval(request_var("theId",0));
        $theme_id = SecurityFilter($theme_id);
        if($theme_id == 0 ){
            echo 0;exit;
        }
        //删除回复的附件
        $query_attach ="SELECT ATTACHMENT_ID,ATTACHMENT_NAME FROM coop_revert WHERE THE_ID='".$theme_id."'";
        //删除协作自己的附件
        $query_attach .= "UNION ALL SELECT ATTACHMENT_ID,ATTACHMENT_NAME FROM coop_theme WHERE THE_ID = '".$theme_id."'";
        $cursor = exequery($connection,$query_attach);
        while($ROW = mysql_fetch_array($cursor)){
            $ATTACHMENT_ID = $ROW["ATTACHMENT_ID"];
            $ATTACHMENT_NAME = $ROW["ATTACHMENT_NAME"];
            if($ATTACHMENT_NAME!="")
            {
                $ATTACHMENT_ID_ARRAY=explode(",",$ATTACHMENT_ID);
                $ATTACHMENT_NAME_ARRAY=explode("*",$ATTACHMENT_NAME);
                $ARRAY_COUNT = sizeof($ATTACHMENT_ID_ARRAY);
                for($I=0;$I<$ARRAY_COUNT;$I++)
                {
                    if($ATTACHMENT_ID_ARRAY[$I]!="")
                    delete_attach($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I]);
                }
            }
        }
        //删除coop_revert
        $query = "DELETE FROM `coop_revert` WHERE `THE_ID` = '$theme_id'";
        exequery($connection,$query);
        //删除coop_privy
        $query = "DELETE FROM `coop_privy` WHERE `THE_ID` = '$theme_id'";
        exequery($connection,$query);
        //删除coop_privy
        $query = "DELETE FROM `coop_theme` WHERE `THE_ID` = '$theme_id'";
        exequery($connection,$query);
        echo 1;
    }
    /**
     * 添加主题关注
     */
    public function followCoop(){
        global $connection;
        $impro = request_var('impor');
        if($impro == 0){
            $impro = 1;
        }else{
            $impro = 0;
        }
        $theme_id = SecurityFilter(intval(request_var('theId')));
        $userId = SecurityFilter(request_var('userId'));
        $query = "UPDATE `coop_privy` SET `PRIVY_IMPOR` = '$impro' 
                    WHERE `THE_ID` = '$theme_id' 
                        AND USER_ID = '".$userId."'";
        exequery($connection,$query);
        if($impro == 0){
            echo  0;
        }else{
            echo 1;
        }
    }
    /**
     * ajax方式获取协作主题列表
     */
    public function ajaxLists(){
        global $_lang;
        $pageindex  = intval(request_var("pageindex",0));
        $pagesize   = intval(request_var("pagesize",20));
        $keyword    = request_var("keyword");
        $keyword    = urldecode($keyword);
        $sessionstr = request_var("sessionkey");
        $strexplode = explode("_",$sessionstr);
        $cursession = $strexplode[0];
        $userid     = $strexplode[1];
        //验证sessionkey
        $check      = CheckSessionKeys($cursession);
        if($check)
        {
            if(CheckMenuPriv($userid,"coop")){
                //组合筛选条件开始
                if($keyword){
                    $customParam .= " AND ct.THE_SUBJECT like '%".$keyword."%' ";
                }
                $searchType     = request_var('searchType','all');
                switch ($searchType){
                   //全部
                    case "all":
                        $customParam .= " ";
                    break;
                    //关注
                    case "follow":
                        $customParam .= " AND cp.PRIVY_IMPOR = '1'";
                    break;
                    //未读
                    case "unRead":
                        $customParam .= " AND ( cp.PRIVY_TIME<=ct.LAST_REV_TIME OR cp.PRIVY_TIME = '0000-00-00 00:00:00' )";
                    break;
                            //紧急
                    case "Instancy":
                        $customParam .= " AND ct.THE_IMPOR = '1'";
                    break;
                }
                //组合筛选条件结束
                include_once("api/user.class.php");
                $userapi    = new user();
                $userInfo   = $userapi->getUserInfo($userid);
                $type = array(
                    "TYPE" => 'tablefilter',
                    "CONSTAINLIST" => "1"
                );
                $search = array(
                    "USER_ID" => $userid,
                    "PRIV_ID" => $userInfo[0]['USER_PRIV'],
                    "DEPT_ID" => $userInfo[0]['DEPT_ID'],
                    "QUICKSORTPARAM" => '',
                    "CUSTOMPARAM" => $customParam
                );
                $page = array(
                    "PAGINATIONOFFSET" => $pageindex,
                    "PAGINATIONROWS" => $pagesize,
                    "SORTFIELD" => request_var('sortField','THE_TIME'),
                    "SORTTYPE" => request_var('sortType','DESC')
                );
              
                $other = array("");
                $cooperationSort = new cooperation;
                $cooperationList = $cooperationSort->getCoopListMain($type,$search,$page,$other);
                if(($pageindex*$pagesize) > $cooperationList['totalCount']){
                    echo 0;exit;
                }
                if(empty($cooperationList['list'])){
                    echo 0;
                }else{
                    $coopList = $this->dealCoopLists($cooperationList['list'],$userid);
                    echo json_encode(array('searchType'=>$searchType,'pageindex'=>$pageindex,'keyword'=>$keyword,'lists'=> $coopList));
                }
            }else{
                echo '<div>'.$_lang["e_addr_no_menu_auth"].'</div>';
            }
        }else{
            echo '<div>'.$_lang["e_addr_login_again"].'</div>';
        }
    }
    /**
     * 对查询的列表结果进行处理
     * @param type $lists
     * @return array
     */
    private function dealCoopLists($lists,$userid){
        global $_lang;
        $coopList = array();
        if($lists){
            foreach($lists as $key => $value){
                if($value['PRIVY_IMPOR'] == "1") {
                    $value['startClass'] = 'glyphicon-star';
                    $value['startColor'] = "#75BF26";
                }else {
                    $value['startClass'] = 'glyphicon-star-empty';
                    $value['startColor'] = "#FFA20E";
                }
                if($value['PRIVY_TIME'] == '0000-00-00 00:00:00' || $value['PRIVY_TIME'] <= $value['LAST_TIME']){
                    $value['unRead'] = '<span class="glyphicon glyphicon-bookmark" style="color:#D2322D;"></span>';
                }else{
                    $value['unRead'] = '';
                }
                $date = date('Y-m-d',strtotime($value['THE_TIME']));
                if($date == date('Y-m-d')){
                    $date = '<span style="color:#75BF26;">'.$_lang["e_crm_today"].'</span>';
                }else if($date == date('Y-m-d',strtotime("-1 day"))){
                    $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_yesterday"].'</span>';
                }else if($date == date('Y-m-d',strtotime("-2 day"))){
                    $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_before_yesterday"].'</span>';
                }
                $value['date'] = $date;
                if($value['THE_IMPOR'] == '1'){
                    $span = '<span class="glyphicon glyphicon-warning-sign" style="color:#D2322D;"></span>';
                }else{
                    $span = '';
                }
                $value['span'] = $span;
                $value['userName'] = getUserNameNew($value['THE_CREATER']);
                $value['THE_SUBJECT'] = substrGB($value['THE_SUBJECT'],14,'...');
                if($value['THE_CREATER'] == $userid || $userid == 'admin'){
                    $value['del'] = 1;
                }
                $coopList[] = $value;
            }
        }
        return $coopList;
    }
    /**
     * 主题详情页
     * @global type $connection
     */
    public function coopComment(){
        global $connection,$_lang;

        $themeId    = SecurityFilter(intval(request_var('theId')));
        $userId     = SecurityFilter(request_var('userid'));
        $weiApi     = request_var('weiApi',0);
        $sessionstr = request_var('sessionkey');

        if($userId == ''){
            $strexplode = explode("_",$sessionstr);
            $cursession = $strexplode[0];
            $userId     = $strexplode[1];
        }
        $userarray        = GetCurrUserPriv($userId);
        $array            = checkReminds("8",$userarray["USER_PRIV"]);
        $GLOBALS['USER_FUNC_ID_STR'] = $userarray["FUNC_ID_STR"];
        $sms_select       = $array[0];
        $smstel_select    = $array[1];
        $email_select     = $array[2];
        $sms_modify       = $array[3];
        $smstel_modify    = $array[4];
        $email_modify     = $array[5];
        $flag = true;

        if($userId != 'admin'){
            if(!$this->checkPriv($userId, $themeId)){
                $flag = false;
            }
        }
        if($flag == true){
            $query ="SELECT * FROM coop_theme WHERE THE_ID = '$themeId'";
            $res = exequery($connection,$query);
            $themeInfor = mysql_fetch_array($res);
            if(!$themeInfor){
               $flag = false;
            }
        }
        if($flag == true){
            $flag1 = false;
            if($themeInfor['THE_CREATER'] == $userId || strstr($themeInfor['THE_MANAGE'],$userId) || $userId == 'admin'){
                $flag1 = true;
            }
            $themeInfor['creatorName'] = getUserNameNew($themeInfor['THE_CREATER']);
            //添加查看时间
            $query = "UPDATE `coop_privy`  SET `PRIVY_TIME` = NOW() WHERE `THE_ID` = '$themeId' AND `USER_ID` ='$userId'";
            exequery($connection,$query);
            $commentList = $this->getCommentList($themeId,$userId,$flag1);
        }

        $ATTACHMENT_ID = $themeInfor['ATTACHMENT_ID'];
        $ATTACHMENT_NAME = $themeInfor['ATTACHMENT_NAME'];
        $themeInfor['attachment'] = $this->getAttachment($ATTACHMENT_ID,$ATTACHMENT_NAME,$themeId,"readonly");


        include_once(INCLUDE_APP_PATH . 'Coop/View/CoopCommentView.php');
        
    }
    /**
     * 获取主题交流列表
     * @global type $connection
     * @param type $themeId
     * @param type $userId
     * @param type $flag
     * @param type $curPage
     * @return type
     */
    public function getCommentList($themeId,$userId,$flag=false,$curPage = 1){
        global $connection,$ATTACH_PATH,$_lang;
        $pageSize = 10;
        $start    = ($curPage - 1) * $pageSize;
        $themeId = SecurityFilter($themeId);
        $query = 'SELECT * FROM coop_revert WHERE REV_PARENT = 0 AND THE_ID='.$themeId.' ORDER BY REV_TOP_TIME DESC , REV_TIME DESC LIMIT '.$start.', '.$pageSize;
        $res = exequery($connection,$query);
        $themeComment = array();
        $user_manage_pur = userIsHavaOpPur($themeId,$userId);
        while($row = mysql_fetch_array($res)){
            //修改权限
            $edit_other_pur = false;
            if($row['REV_USER']==$userId && !$user_manage_pur){
                $query_rp = "
                        SELECT COUNT(*) AS CNT FROM coop_revert 
                            WHERE  THE_ID = '$themeId'
                                AND REV_TIME > '".$row['REV_TIME']."'";
                $res_rp = exequery($connection,$query_rp);
                $ROW_RP = mysql_fetch_array($res_rp);
                $CNT_COUNT = $ROW_RP['CNT'];
                if($CNT_COUNT==0){
                    $now_date  = date("Y-m-d H:i:s",time());
                    //没有回复一个小时后不能回复
                    if(strtotime($now_date)-strtotime($REV_TIME)<=3600){
                        $edit_other_pur = true;
                    }
                }
            }
        
            $row['creatorName'] = getUserNameNew($row['REV_USER']);
            if($user_manage_pur && ($row['REV_USER'] == $userId ||  $userId=="admin")){
                if($user_manage_pur || $userId=="admin")
                {
                    $row['del'] = 1;
                }else{
                    $row['del'] = 0;
                }
            }else{
                $row['del'] = 0;
            }
            if($user_manage_pur){
                $row['top'] = 1;
            }else{
                $row['top'] = 0;
            }  
            $time = substr($row['REV_TIME'],  strpos($row['REV_TIME'], ' '));
            $date = date('Y-m-d',strtotime($row['REV_TIME']));
            if($date == date('Y-m-d')){
                $date = '<span style="color:#75BF26;">'.$_lang["e_crm_today"].' '.$time.'</span>';
            }else if($date == date('Y-m-d',strtotime("-1 day"))){
                $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_yesterday"].' '.$time.'</span>';
            }else if($date == date('Y-m-d',strtotime("-2 day"))){
                $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_before_yesterday"].' '.$time.'</span>';
            }else if($date == date('Y-m-d',strtotime("-3 day"))){
                $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_more_yesterday"].' '.$time.'</span>';
            }else{
                $date = $row['REV_TIME'];
            }
            $row['dateTime'] = $date;
            $attachmentname = explode("*",$row["ATTACHMENT_NAME"]);
            $attachmentid   = explode(",",$row["ATTACHMENT_ID"]);
            $attachment = array();
            if(sizeof($attachmentid) > 1){
                foreach($attachmentid as $key => $value)
                {
                    $attachurl = $ATTACH_PATH.$value."/".$attachmentname[$key];
                    $attachtype = GetAttachmentPrefix($attachurl);
                    $checkattchtype = EmobileCheckAttachType($attachurl);
                    $url        = '/attachment/'.$value."/".$attachmentname[$key];
                    $url        = GetNewUrlPath($url);
                    $checkfile = EmobileCheckFileExist($attachmentid[$key],$attachmentname[$key]);
                    if($checkfile && $checkattchtype){
                        $attachment[] = array(
                            'url' => $url,
                            'type'=> strtolower($attachtype),
                            'attachId'  => $attachmentid[$key],
                            'attachName'=> $attachmentname[$key],
                            'name'=>$attachmentname[$key],
                        );
                    }
                }
            }
            $row['attachment'] = $attachment;
            $themeComment[] = $row;
        }
        $commentList = array();
        foreach($themeComment as $key => $value){
            $query = 'SELECT * FROM coop_revert WHERE REV_PARENT = '.SecurityFilter($value['REV_ID']).' AND THE_ID='.$themeId.' ORDER BY REV_TOP_TIME DESC , REV_TIME DESC';
            $res = exequery($connection,$query);
            $sonComment = array();
            while($row = mysql_fetch_array($res)){
                $row['creatorName'] = getUserNameNew($row['REV_USER']);
                $time = substr($row['REV_TIME'],  strpos($row['REV_TIME'], ' '));
                $date = date('Y-m-d',strtotime($row['REV_TIME']));
                if($date == date('Y-m-d')){
                    $date = '<span style="color:#75BF26;">'.$_lang["e_crm_today"].' '.$time.'</span>';
                }else if($date == date('Y-m-d',strtotime("-1 day"))){
                    $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_yesterday"].' '.$time.'</span>';
                }else if($date == date('Y-m-d',strtotime("-2 day"))){
                    $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_before_yesterday"].' '.$time.'</span>';
                }else if($date == date('Y-m-d',strtotime("-3 day"))){
                     $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_more_yesterday"].' '.$time.'</span>';
                }else{
                    $date = $row['REV_TIME'];
                }
                $row['dateTime'] = $date;
                $sonComment[] = $row;
            }
            if(empty($sonComment)){
                $value['sonComment'] = array();
            }else{
                $value['sonComment'] = $sonComment;
            }
            $commentList[] = $value;
        }
        return $commentList;
    }
    /**
     * ajax获取主题交流列表
     * @global type $connection
     */
    public function ajaxGetCommentList(){
        global $connection;
        $themeId = intval(request_var('theId'));
        $curPage   = intval(request_var('curPage',1));
        $userId   = request_var('userid');
        $themeId = SecurityFilter($themeId);
        $query ="SELECT * FROM coop_theme WHERE THE_ID = '$themeId'";
        $res = exequery($connection,$query);
        $themeInfor = mysql_fetch_array($res);
        if($themeInfor['THE_CREATER'] == $userId || strstr($themeInfor['THE_MANAGE'],$userId)){
            $flag = true;
        }
        $commentList = $this->getCommentList($themeId,$userId,$flag,$curPage);
        if(!$commentList){
            echo 0;
        }else{
            echo json_encode(array('commentList' => $commentList,'curPage' => $curPage));
        }
    }
    /**
     * 用户权限检查
     * @global type $connection
     * @param type $userId
     * @param type $themeId
     * @return boolean
     */
    public function checkPriv($userId,$themeId){
        global $connection;
        include_once("api/user.class.php");
        $userapi    = new user();
        $userInfo   = $userapi->getUserInfo($userId);
        $LOGIN_USER_PRIV = SecurityFilter($userInfo[0]['USER_PRIV']);
        $LOGIN_DEPT_ID   = SecurityFilter($userInfo[0]['DEPT_ID']);
        $userId = SecurityFilter($userId);
        $query_pur = "SELECT COUNT(*) AS CNT FROM coop_theme  
                        WHERE THE_ID = '$themeId'
                            AND(
                                THE_DEPT = 'ALL_DEPT'
                                OR 
                                (INStr(THE_DEPT,',$LOGIN_DEPT_ID,')>0 or INStr(THE_DEPT,'$LOGIN_DEPT_ID,')=1)
                                OR
                                (INStr(THE_PRIV,',$LOGIN_USER_PRIV,')>0 or INStr(THE_PRIV,'$LOGIN_USER_PRIV,')=1)
                                OR 
                                (INStr(THE_USER,',$userId,')>0 or INStr(THE_USER,'$userId,')=1)
                                OR 
                                (INStr(THE_MANAGE,',$userId,')>0 or INStr(THE_MANAGE,'$userId,')=1)
                                OR THE_CREATER = '$userId'
                                )
                             GROUP BY `THE_ID` ";
        $res_pur   = exequery($connection,$query_pur);
        $ROW_PUR   = mysql_fetch_array($res_pur);
        $CNT       = $ROW_PUR['CNT'];
        if($CNT==0){
            return false;
        }
        return true;
    }
    /**
     * 对主题进行评论
     * @global type $connection
     */
    public function ajaxCommentTheme(){
        global $connection,$_lang;
        $revContent = SecurityFilter(request_var("revContent"));
        $userId = SecurityFilter(request_var("userId"));
        $theId = SecurityFilter(intval(request_var("theId")));
        $SUBJECT  = SecurityFilter(request_var("theSubject"));
        $userarray        = GetCurrUserPriv($userId);
        $GLOBALS['USER_FUNC_ID_STR'] = $userarray["FUNC_ID_STR"];
        include_once("api/email.class.php");
        include_once("inc/mobile_sms.inc.php");
        $file = request_var('upload_file','');
        $fileName = request_var('file_name','default.tmp');
        $_fileName   = fileNameToGBK($fileName);
        if(strtolower(substr($fileName, strrpos($fileName, '.'))) == '.jpeg'){
                $fileName = strtolower(substr($fileName, 0,strrpos($fileName, '.'))).'.jpg';
        }
        
        if($file){
            /*----- 微信上传start -----*/
           $attachmentId = request_var('attachmentId','') ;
            /*----- 微信上传end -----*/
            if($attachmentId){
              $attachid =  $attachmentId;
            }else{
            
            $attachid = time();
            $targetPath = ROOT_PATH. 'attachment/'.$attachid.'/';
            if (!file_exists($targetPath)) {
                mkdir($targetPath, 0777, true);
            }
            $temp = base64_decode($file);
            $FP = fopen($targetPath.$_fileName,"w");
            fwrite($FP,$temp);
            fclose($FP);  
          }
        }
        if($attachid){
            $attachid = $attachid .',';
            $fileName = $fileName . '*';
        }else{
            $attachid = '';
            $fileName = '';
        }
        $attachid = SecurityFilter($attachid);
        $fileName = SecurityFilter($fileName);
        $query = "
                INSERT INTO `coop_revert` 
                    (`THE_ID` ,`REV_CONTENT` ,`REV_PARENT` ,`REV_USER` ,`REV_TIME` ,`REV_DOC` ,`ATTACHMENT_ID` ,`ATTACHMENT_NAME` )
                    VALUES 
                    ('$theId', '$revContent', '0', '$userId', NOW(), '', '$attachid', '$fileName');
                ";
        exequery($connection,$query);
        //消息提醒
        $query1 = "SELECT * FROM coop_privy WHERE THE_ID = $theId";
        $res  = exequery($connection,$query1);
        while($ROW = mysql_fetch_array($res))
        {
            $USER_ID     =  $ROW['USER_ID'];
            $TABLE_ID    = $theId;
            $TABLE_NAME  = "coop_theme";
            $SMS_CONTENT = $_lang["cowork_coop_you_join"]."：".$SUBJECT."，".$_lang["e_coop_have_new_reply"];
            
            if(request_var('smsRemind')==1)
            {
                if(ifSendMbSms('message'))
                {
                    sendSms($userId,$USER_ID,$SMS_CONTENT,1,26,$TABLE_NAME,$TABLE_ID);
                }
            }
            if(request_var('smstelRemind')==1)
            {
                if(ifSendMbSms())
                {
                    $newSms = new MobileSms();
                    $newSms->SelfSendMore($USER_ID,$SMS_CONTENT);
                }
            }
            if(request_var('emailRemind')==1)
            {
                if(ifSendMbSms('email'))
                {
                    $email = new email();
                    $email->sendEmail($userId,$USER_ID,$USER_ID, $_lang["cowork_coop_you_join"].$_lang["e_coop_have_new_reply"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
                }
            }
        }
        echo 1;
    }
    /**
     * 对评论进行回复
     * @global type $connection
     */
    public function ajaxReplyComment(){
        global $connection,$_lang;
        $revContent = SecurityFilter(request_var("revContent"));
        $userId = SecurityFilter(request_var("userId"));
        $theId = SecurityFilter(intval(request_var("theId")));
        $SUBJECT  = request_var("theSubject");
        $revId  = SecurityFilter(intval(request_var("revId")));
        $query = "
                INSERT INTO `coop_revert` 
                    (`THE_ID` ,`REV_CONTENT` ,`REV_PARENT` ,`REV_USER` ,`REV_TIME` ,`REV_DOC` ,`ATTACHMENT_ID` ,`ATTACHMENT_NAME` )
                    VALUES 
                    ('$theId', '$revContent', '$revId', '$userId', NOW(), '', '', '');
                ";
        exequery($connection,$query);
        //内部消息提醒
        $query1  = "SELECT REV_USER FROM `coop_revert` WHERE REV_ID = $revId";
        $res     = exequery($connection,$query1);
        $ROW     = mysql_fetch_array($res);
        $USER_ID = $ROW["REV_USER"];
        $TABLE_ID    = $theId;
        $TABLE_NAME  = "coop_theme";
        $SMS_CONTENT = $_lang["cowork_coop_you_join"]."：".$SUBJECT."，".$_lang["e_coop_have_new_reply"];
        $userarray        = GetCurrUserPriv($userId);
        $GLOBALS['USER_FUNC_ID_STR'] = $userarray["FUNC_ID_STR"];
        if(ifSendMbSms('message'))
        {
            sendSms($userId,$USER_ID,$SMS_CONTENT,1,26,$TABLE_NAME,$TABLE_ID);
        }
        $sonReplys = $this->ajaxGetSonReply($revId,$theId);
        $sonReplys = $sonReplys[0];
        $sonReplys['creatorName'] = getUserNameNew($sonReplys['REV_USER']);
        $time = substr($sonReplys['REV_TIME'],  strpos($sonReplys['REV_TIME'], ' '));
        $date = date('Y-m-d',strtotime($sonReplys['REV_TIME']));
        if($date == date('Y-m-d')){
            $date = '<span style="color:#75BF26;">'.$_lang["e_crm_today"].' '.$time.'</span>';
        }else if($date == date('Y-m-d',strtotime("-1 day"))){
            $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_yesterday"].' '.$time.'</span>';
        }else if($date == date('Y-m-d',strtotime("-2 day"))){
            $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_before_yesterday"].' '.$time.'</span>';
        }else if($date == date('Y-m-d',strtotime("-3 day"))){
             $date = '<span style="color:#FFA20E;">'.$_lang["e_crm_more_yesterday"].' '.$time.'</span>';
        }else{
            $date = $sonReplys['REV_TIME'];
        }
        $sonReplys['dateTime'] = $date;
        
        echo json_encode($sonReplys);
    }
    /**
     * 获取主题评论的子评论
     * @global type $connection
     * @param type $revId
     * @param type $themeId
     * @return type
     */
    public function ajaxGetSonReply($revId,$themeId){
        global $connection;
        $revId = SecurityFilter($revId);
        $themeId = SecurityFilter($themeId);
        $query = 'SELECT * FROM coop_revert WHERE REV_PARENT = '.$revId.' AND THE_ID='.$themeId.' ORDER BY REV_TOP_TIME DESC , REV_TIME DESC';
        $res = exequery($connection,$query);
        $sonComment = array();
        while($row = mysql_fetch_array($res)){
            $row['creatorName'] = getUserNameNew($row['REV_USER']);
            $sonComment[] = $row;
        }
        return $sonComment;
    }
    /**
     * 设置主题评论置顶和取消置顶
     */
    public function setCommentTop(){
        global $connection;
        $rev_id = SecurityFilter(intval(request_var('rev_id')));
        $TOP_VALUE = SecurityFilter(request_var('top_value'));
        if($TOP_VALUE==1){
            $query = "
                    UPDATE `coop_revert` 
                        SET `REV_TOP` = '$TOP_VALUE',`REV_TOP_TIME` = NOW() 
                            WHERE `REV_ID` =$rev_id;
                    ";
        }else{
            $query = "
                UPDATE `coop_revert` 
                    SET `REV_TOP` = '$TOP_VALUE',`REV_TOP_TIME` = NULL 
                        WHERE `REV_ID` =$rev_id;
                ";
        }
        exequery($connection,$query);
    }
    /**
     * 删除主题评论
     * @global type $connection
     */
    public function delComment(){
        global $connection;
        $rev_id = SecurityFilter(intval(request_var('rev_id')));
        $query_attach ="
                SELECT ATTACHMENT_ID,ATTACHMENT_NAME FROM coop_revert 
                    WHERE REV_ID='$rev_id'
                        OR REV_PARENT  = '$rev_id' 
                    ";
        $cursor = exequery($connection,$query_attach);
        $ROW = mysql_fetch_array($cursor);
        $ATTACHMENT_ID = $ROW["ATTACHMENT_ID"];
        $ATTACHMENT_NAME = $ROW["ATTACHMENT_NAME"];
        if($ATTACHMENT_NAME!="")
        {
         $ATTACHMENT_ID_ARRAY=explode(",",$ATTACHMENT_ID);
         $ATTACHMENT_NAME_ARRAY=explode("*",$ATTACHMENT_NAME);
        
         $ARRAY_COUNT=sizeof($ATTACHMENT_ID_ARRAY);
         for($I=0;$I<$ARRAY_COUNT;$I++)
         {
            if($ATTACHMENT_ID_ARRAY[$I]!="")
               delete_attach($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I]);
         }
        }
        $query = "
                DELETE FROM `coop_revert`
                        WHERE `REV_ID` = '$rev_id'
                            OR REV_PARENT  = '$rev_id' 
                ";
        exequery($connection,$query);
    }
    /**
     * 获取主题的相关文档
     */
    public function getCoopDoc(){
        $theme_id = intval(request_var("theId"));
        $userId = request_var("userId");
        //分页参数_偏移量
        $offset   = intval(request_var('page',0));
        //分页参数_最大数目
        $rows     = '20';
        //排序参数
        $sortField = 'SEND_TIME';
        $sortType  = 'DESC';
        $type   = array("CONSTAINLIST"=>"1","THEME_ID"=>$theme_id);
        $search = array("USER_ID"=>$userId,"QUICKSORTPARAM"=>'',"CUSTOMPARAM"=>'');
        $page   = array("PAGINATIONOFFSET"=>$offset,"PAGINATIONROWS"=>$rows,"SORTFIELD"=>$sortField,"SORTTYPE"=>$sortType);
        $other  = array("");
        $cooperation = new cooperation;
        $cooperationDoc = $cooperation->getCoopDoc($type,$search,$page,$other);
        $cooperationDocs = array();
        $lists = array();
        if($cooperationDoc['list']){
            foreach($cooperationDoc['list'] as $key =>$value){
                $value['SUBJECT'] = substrGB($value['SUBJECT'],18,'...');
                $lists[] = $value;
            }
        $cooperationDocs['list'] = $lists;
        }else{
           $cooperationDocs['list'] = $cooperationDoc['list']; 
        }
        $cooperationDocs['totalCount'] = $cooperationDoc['totalCount'];
        echo json_encode($cooperationDocs);
    }
    /**
     * 获取主题的相关附件
     */
    public function getCoopAttr(){
        $theme_id   = intval(request_var("theId"));
        $userId     = request_var("userId");
        //分页参数_偏移量
        $offset     = intval(request_var('page',0));
        //分页参数_最大数目
        $rows       = '20';
        //排序参数
        $sortField = 'REV_TIME';
        $sortType  = 'DESC';
        $type   = array("CONSTAINLIST"=>"1","THEME_ID"=>$theme_id);
        $search = array("USER_ID"=>$userId,"QUICKSORTPARAM"=>'',"CUSTOMPARAM"=>'');
        $page   = array("PAGINATIONOFFSET"=>$offset,"PAGINATIONROWS"=>$rows,"SORTFIELD"=>$sortField,"SORTTYPE"=>$sortType);
        $other  = array("");
        $cooperation = new cooperation;
        $cooperationAtt = $cooperation->getCoopAtt($type,$search,$page,$other);
        $cooperationAttr = array();
        $lists = array();
        if($cooperationAtt['list']){
            foreach($cooperationAtt['list'] as $key =>$value){
                if($value["ATTACHMENT_ID"]!="")
                {
                    $img_src     = "attachment/".$value['ATTACHMENT_ID']."/".$value['ATTACHMENT_NAME'];
                    $attachtype = GetAttachmentPrefix($img_src);
                    $source_src  = ROOT_PATH.$img_src;
                    $source_src1 = iconv("utf-8","gbk",$source_src);
                    //为了兼容流程创建新闻时，从流程的fck里取图片，做特殊处理
                    $img_src_alb     = "attachment/album/".$value['ATTACHMENT_ID']."/".$value['ATTACHMENT_NAME'];
                    $source_src_alb  = ROOT_PATH.$img_src_alb;
                    $source_src_alb1 = iconv("utf-8","gbk",$source_src_alb);
                    if(file_exists($source_src1) || file_exists($source_src_alb1))
                    {
                        if(file_exists($source_src1))
                        {
                            $imgurl = '/'.$img_src; 
                        }
                        else
                        {
                            $imgurl = '/'.iconv("utf-8","gbk",$img_src_alb);
                        }
                        $picurl     = GetNewUrlPath($imgurl);
                    }
                }
                $value['attachId']  = $value['ATTACHMENT_ID'];
                $value['fileType']  = $attachtype;
                $value['attachName']    = $value['ATTACHMENT_NAME'];
                $value['attar_path'] = $picurl;
                $value['ATTACHMENT_NAME'] = substrGB($value['ATTACHMENT_NAME'],18,'...');
                $lists[] = $value;
            }
            $cooperationAttr['list'] = $lists;
        }else{
            $cooperationAttr['list'] = $cooperationAtt['list'];
        }
        $cooperationAttr['totalCount'] = $cooperationAtt['totalCount'];
        
        echo json_encode($cooperationAttr);
    }

    function getAttachment($ATTACHMENT_ID,$ATTACHMENT_NAME,$REV_ID,$OP_TYPE=''){
    global $_lang,$connection;
    $attachment_id_array      = explode(",",$ATTACHMENT_ID);
    $attachment_name_array    = explode("*",$ATTACHMENT_NAME);
//  $doc_size      = strlen($SUBJECT)+strlen($CONTENT);
//  for($i=0;$i<count($attachment_id_array);$i++){
//      $doc_size+=attach_size($attachment_id_array[$i],$attachment_name_array[$i]);
//  }
//  if ($doc_size <= 1024){
//      $doc_size_str = "<span style=\"color:#000000;font-size:9px\">".$doc_size.'B</span>';
//  }
//  if ($doc_size > 1024){
//      $doc_size_str = "<span style=\"color:#000000;font-size:9px\">".round($doc_size/1024,2).'K</span>';
//  }
//  if ($doc_size >= 1024*1024){
//      $doc_size_str = "<span style=\"color:#000000;font-size:9px\">".round($doc_size/(1024*1024),2).'M</span>';
//  }
    if ($ATTACHMENT_ID!= ''){
        unset($at_img_title);
        $at_nm_count = sizeof($attachment_name_array);
        $at_nm_amount = 0 ; //attachment total
        while(list($key,$var) = each($attachment_name_array)){
            $at_nm_amount++;
            if ($var != ''){
                $am_size = attach_size($attachment_id_array[$key],$attachment_name_array[$key]);
                if ($am_size <= 1024){
                    $am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".$am_size.'B</span>';
                }
                if ($am_size > 1024){
                    $am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".round($am_size/1024,2).'K</span>';
                }
                if ($am_size >= 1024*1024){
                    $am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".round($am_size/(1024*1024),2).'M</span>';
                }
//              $fileicon = getFileSuffixIcon($var);
//              $filter = "";
//              $imgicon = "<img src='".$fileicon."' align='center' bolder=0 style='$filter'> ";
                $ATTACH_I_CLASS = fileTypeToFontIcon($var);
                $imgicon = "<div style='float:left;height:30px;margin-top:6px;'><i class='fa ".$ATTACH_I_CLASS." fa-2x' style='color:#3276b1;'></i></div>";
                $filesuffix = getFileSuffix($var);
                $var_nofix  = substr($var,0,strrpos($var,"."));
                $subvar = substrGB($var_nofix,20,'...').".".$filesuffix;
                $subvar = "<div style='float:left;margin-left:3px;' title='".$var_nofix."'>".$subvar."</div>";
                $ehash = $attachment_id_array[$key]*3+2;
                $ehash_1 = $attachment_id_array[$key];//附件id
                $ename = $attachment_name_array[$key];
                $ename_1 = urlencode($ename);
                //word文档
                if (isOfficeOfFile($var))
                {
                    $js_cnt = $doc_count.$at_nm_amount;
                    $doc_office++;
                    $strvar ="
                    <span id=\"$ehash_1\">
                        <div style='border:0px red solid;line-height:35px;border-bottom:1px #ECECEC solid;'onclick=\"location.href='/attachment/$ehash_1/$ename?diff=1&sessionkey=&filename=$ename&attach=download.do'\">
                            <img src=\"/E-mobile/Public/images/coop/iconfont-paperclip.png\">
                            <span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\"  >".$ename."</span>&nbsp;&nbsp;";
                    if ($OP_TYPE!='readonly')
                    {
                        $strvar.="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/iWebOffice/DocumentEdit.php?RecordID=$REV_ID&EditType=2&UserName=$LOGIN_USER_ID&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\">".$_lang[common_edit]."</span>&nbsp;&nbsp;<span style='cursor:pointer;color:#3276b1;text-decoration:none;' id='span3' class=\"linktextOp\" onClick=\"";
                        if($OP_TYPE == 'att_theme')
                            $strvar.="deleteAttachTheme";
                        else
                            $strvar.="deleteAttach";
                        $strvar.="('$ehash_1','$ename','$REV_ID');\">".$_lang['common_del']."</span>";
                    }
                    $strvar.="</div></span>";
                }
                else
                {
                    if($filesuffix=='jpg'||$filesuffix=='bmp'||$filesuffix=='gif'||$filesuffix=='png'||$filesuffix=='wmv'||$filesuffix=='html'||$filesuffix=='htm'||$filesuffix=='wav'||$filesuffix=='mid'||$filesuffix=='swf'){
                        $optype=0;
                        $buttontitle2=$_lang["common_down"];
                        if($filesuffix=='mid'||$filesuffix=='swf'){
                            $buttontitle=$_lang["common_play"];
                        }elseif($filesuffix=='pdf') {
                            $buttontitle=$_lang["common_read"];
                        } else {
                            $buttontitle=$_lang["common_view"];
                        }
                        $strvar = "
                        <span id=\"$ehash_1\">
                            <div style='border:0px red solid;line-height:35px;border-bottom:1px #ECECEC solid;' onclick=\"location.href='/E-mobile/App/Init.php?m=show_Image_Common&attachId=$ehash_1&attachName=$ename'\";>
                            &nbsp;&nbsp;&nbsp;
                             <span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" ><img width='200px' height='100px' src='/attachment/$ehash_1/$ename?diff=1&sessionkey=&filename=$ename&attach=download.do'></span>&nbsp;&nbsp;";
                        //管理权限/attachment/1885641387/Desert.jpg?diff=1&sessionkey=&filename=Desert.jpg&attach=download.do
                        if($OP_TYPE!='readonly'){
                            $strvar.="<span id='span3' style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onClick=\"";
                            if($OP_TYPE == 'att_theme')
                                $strvar.="deleteAttachTheme";
                            else
                                $strvar.="deleteAttach";
                            $strvar.="('$ehash_1','$ename','$REV_ID');\">".$_lang['common_del']."</span>";
                        }
                        $strvar.="</div></span>";
                    }
                    else
                    {
                        $optype=1;
                        $buttontitle=$_lang["common_down"];
                        $strvar = "
                        <span id=\"$ehash_1\" >
                            <div style='border:0px red solid;line-height:35px;border-bottom:1px #ECECEC solid;'onclick=\"location.href='/attachment/$ehash_1/$ename?diff=1&sessionkey=&filename=$ename&attach=download.do'\">
                            <img src=\"/E-mobile/Public/images/coop/iconfont-paperclip.png\">
                            <span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\"  >".$ename."</span>&nbsp;&nbsp;";
                        //管理权限
                        if($OP_TYPE!='readonly'){
                            $strvar.="<span id='span3' style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onClick=\"";
                            if($OP_TYPE == 'att_theme')
                                $strvar.="deleteAttachTheme";
                            else
                                $strvar.="deleteAttach";
                            $strvar.="('$ehash_1','$ename','$REV_ID');\">".$_lang['common_del']."</span>";
                        }
                        $strvar.="</div></span>";
                    }
                }
                if ($at_nm_amount == $at_nm_count){
                    $at_img_title .=$strvar;
                }
                else{
                    $at_img_title .=$strvar."";
                }
            }
        }
    }
    return $at_img_title;

}         
}