<?php

/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/App/Diary/DiaryProxy.php
 * @function  日志代理类    
 * @version   1.0 
 * @author    lizj
 */
include_once("inc/conn.php");
include_once("api/diary.class.php");

Class DiaryProxy {
      private $_sessionstr; //sessionkey
    public function __construct() {
      
        $this->_sessionstr = request_var("sessionkey");
    }

    public function view() {
        global $_lang;
        /* 获取参数----BEGIN */
        $mobilekey = request_var("mobilesessionkey");
        $page = request_var("page");
        $module = request_var("module");
        $scope = request_var("scope");
        $detailid = request_var("detailid");
        $fromid = request_var("fromid");
        $sessionstr = $this->_sessionstr;
        $strexplode = explode("_", $sessionstr);
        $userid = $strexplode[1];
        include_once(INCLUDE_APP_PATH . 'Diary/View/DiaryView.php');
    }

    public function myDiary() {
        global $_lang;
         $sessionstr = $this->_sessionstr;
        $user_id = $_REQUEST["userid"];
        $start = $_REQUEST["start"] ? $_REQUEST["start"] : 0;
        $Diary = new diary();
 
        $SearchStr["start"] = $start;
        $SearchStr["limit"] = 10;

        $diaryinfor = $Diary->MobileShowAllDiary($user_id, $SearchStr);
        $diaryallcount = $Diary->GetMobileAllDiaryCount($user_id, $SearchStr);
        $diarycount = count($diaryinfor);
        if ($diarycount == 0) {
            if ($_REQUEST["show"] == "next") {
                echo "myfailed";
                exit;
            } else {
                echo '<div id="no_diary_data" align="center">'.$_lang["e_diary_no_data"].'</div>';
                exit;
            }
        }
        
        
         $priv_arr = $Diary->Login_User_Priv($user_id);
         $priv_str = isset($priv_arr["func_id_str"]) ? $priv_arr["func_id_str"]:""; 
      
        include_once(INCLUDE_APP_PATH . 'Diary/View/MyDiaryView.php');
    }

    public function otherDiary() {
        global $_lang;
        global $connection;
        include_once("api/user.class.php");
         $sessionstr = $this->_sessionstr;
        $user_id = $_REQUEST["userid"];
        $searchkey = $_REQUEST["searchword"];
        $Diary = new diary();
        $userapi = new user();
        if ($searchkey == "" || $searchkey == $_lang["e_diary_user_name"]) {
            $userpriv = $Diary->Login_User_Priv($user_id);
            $userstr = $Diary->Get_Accounts_Str($userpriv, $user_id);
            $userexplode = explode(",", $userstr);
            unset($userstr);
            foreach ($userexplode as $userId) {
                $userstr .= "'" . $userId . "',";
            }
        } else {
            $userstr = "";
            $priv = $Diary->Login_User_Priv($user_id);
            $AllUser = $Diary->Get_Accounts_Str($priv, $user_id);
            $query = "SELECT
                          USER_ID
                        FROM USER
                        WHERE USER_NAME LIKE '%" . $searchkey . "%'";
            $cursor = exequery($connection, $query);
            $userexplode = array();
            while ($ROW = mysql_fetch_array($cursor)) {
                $userexplode[] = $ROW["USER_ID"];
            }
            $usercount = count($userexplode);
            for ($n = 0; $n < $usercount; $n++) {
                if (strpos($AllUser, $userexplode[$n])) {
                    $userstr .= "'" . $userexplode[$n] . "',";
                }
            }
        }
        if ($userstr == "") {
            echo '<div align="center">'.$_lang["e_diary_no_follow_data"].'</div>';
            exit;
        } else {
            $currentuser = "'" . $user_id . "',";
            if (strstr($userstr, $currentuser)) {
                $userstr = str_replace($currentuser, "", $userstr);
            }
            if ($userstr == "") {
                echo '<div align="center">'.$_lang["e_diary_no_follow_data"].'</div>';
                exit;
            } else {
                $userinfor["under"] = "other";
                $userinfor["userstr"] = $userstr;
                $userinfor["diff"] = "PuisneDiary";
                if ($_REQUEST["start"] == "" || $_REQUEST["start"] == "0") {
                    $start = 0;
                } else {
                    $start = $_REQUEST["start"];
                }
                $userinfor["start"] = $start;
                $userinfor["limit"] = 10;

                $diaryinfor = $Diary->MobileShowAllDiary($user_id, $userinfor);
                $diaryallcount = $Diary->GetMobileAllDiaryCount($user_id, $userinfor);
                $diarycount = count($diaryinfor);
                if ($diarycount == 0) {
                    if ($_REQUEST["show"] == "next") {
                        echo "otherfailed";
                        exit;
                    } else {
                        echo '<div align="center">'.$_lang["e_diary_no_follow_data"].'</div>';
                        exit;
                    }
                }
            }
            
            $priv_arr = $Diary->Login_User_Priv($user_id);
           $priv_str = isset($priv_arr["func_id_str"]) ? $priv_arr["func_id_str"]:"";
            include_once(INCLUDE_APP_PATH . 'Diary/View/OtherDiaryView.php');
        }
    }

    public function myAttenDiary() {
        global $_lang;
        global $connection;
        include_once("api/attention.class.php");
        include_once("api/user.class.php");
        $user_id = SecurityFilter($_REQUEST["userid"]);
        $searchkey = SecurityFilter($_REQUEST["searchword"]);
         $sessionstr = $this->_sessionstr;
        $Diary = new diary();
        $attApi = new attention();
        $userapi = new user();
        if ($searchkey == "" || $searchkey == $_lang["e_diary_user_name"]) {
            $con_sql = " AND ATT_PERSON='" . $user_id . "' AND ATT_STATE=2 ORDER BY ATT_ID DESC";
            $myInfor = $attApi->atten_SearchAllData("attention", $con_sql);
            foreach ($myInfor as $key => $value) {
                $userstr .= "'" . $value['ATT_TOPERSON'] . "',";
            }
        } else {
            $userstr = "";
            $con_sql = " AND ATT_PERSON='" . $user_id . "' AND ATT_STATE=2 ORDER BY ATT_ID DESC";
            $myInfor = $attApi->atten_SearchAllData("attention", $con_sql);
            foreach ($myInfor as $key => $value) {
                $AllUser .= "'" . $value['ATT_TOPERSON'] . "',";
            }
            $query = "SELECT
                          USER_ID
                        FROM USER
                        WHERE USER_NAME LIKE '%" . $searchkey . "%'";
            $cursor = exequery($connection, $query);
            $userexplode = array();
            while ($ROW = mysql_fetch_array($cursor)) {
                $userexplode[] = $ROW["USER_ID"];
            }
            $usercount = count($userexplode);
            for ($n = 0; $n < $usercount; $n++) {
                if (strpos($AllUser, $userexplode[$n])) {
                    $userstr .= "'" . $userexplode[$n] . "',";
                }
            }
        }
        if ($userstr == "") {
            echo '<div align="center">'.$_lang["e_diary_no_attention"].'</div>';
            exit;
        } else {
            $currentuser = "'" . $user_id . "',";
            if (strstr($userstr, $currentuser)) {
                $userstr = str_replace($currentuser, "", $userstr);
            }
            if ($userstr == "") {
                echo '<div align="center">'.$_lang["e_diary_no_attention"].'</div>';
                exit;
            } else {
                $userinfor["under"] = "other";
                $userinfor["userstr"] = $userstr;
                $userinfor["diff"] = "PuisneDiary";
                if ($_REQUEST["start"] == "" || $_REQUEST["start"] == "0") {
                    $start = 0;
                } else {
                    $start = $_REQUEST["start"];
                }
                $userinfor["start"] = $start;
                $userinfor["limit"] = 10;

                $diaryinfor = $Diary->MobileShowAllDiary($user_id, $userinfor);
                $diaryallcount = $Diary->GetMobileAllDiaryCount($user_id, $userinfor);
                $diarycount = count($diaryinfor);
                if ($diarycount == 0) {
                    if ($_REQUEST["show"] == "next") {
                        echo "otherfailed";
                        exit;
                    } else {
                        echo '<div align="center">'.$_lang["e_diary_no_attention"].'</div>';
                        exit;
                    }
                }
            }
            $priv_arr = $Diary->Login_User_Priv($user_id);
         $priv_str = isset($priv_arr["func_id_str"]) ? $priv_arr["func_id_str"]:"";
            include_once(INCLUDE_APP_PATH . 'Diary/View/myAttenDiaryView.php');
        }
    }

    /**
     * 日志回复
     * @global type $connection
     */
    public function reply() {
        global $_lang;
        global $connection;
        $Diary = new diary();
        $replyinfor = array();
         $sessionstr = $this->_sessionstr;
        $userId = request_var('user_id');
        $diaryId = SecurityFilter(intval(request_var("diary_id")));
        $replyinfor["content"] = request_var("content");
        $replyinfor["diaryid"] = $diaryId;
        $replyinfor["useid"] = $userId;

        $replyinfor["replytime"] = date('Y-m-d H:i:s', time());
        $check = $Diary->New_Reply_Diary($replyinfor);

        $query = 'SELECT * FROM diary WHERE DIA_ID=' . $diaryId;
        $cursor = exequery($connection, $query);
        $row = mysql_fetch_array($cursor);

        $query = 'SELECT USER_NAME FROM user WHERE USER_ID=\'' . $userId . '\'';
        $cursor = exequery($connection, $query);
        $row1 = mysql_fetch_array($cursor);
        sendSms($userId, $row['USER_ID'], $row1['USER_NAME'] . '回复了您' . $row['DIA_DATE'] . '的工作日志', 1, 24, 'diary', $diaryId);
        echo "success";
    }

    public function create() {
        global $connection;
		$userId							= request_var("user_id");
		$currentDate					= date("Y-m-d H:i:s");
	 $sessionstr = $this->_sessionstr;	
        $diaryinfor						= array();
		$diaryinfor['attachment_id']	= request_var('attachment_id');
		$diaryinfor['attachment_name']	= request_var('attachment_name');
        $diaryinfor["use_id"]			= $userId;
        $diaryinfor["olddate"]			= date('Y-m-d');
        $diaryinfor["creat_time"]		= strtotime($currentDate);
        $diaryinfor["type"]				= "1";
        $diaryinfor["content"]			= request_var("content");
		
        $check							= $this->_newDiary($diaryinfor);
        if ($check == 1) {
            $query = "SELECT *
                        FROM diary
                        WHERE USER_ID = '" . $userId . "'
                            AND DIA_TYPE = '1'
                        ORDER BY DIA_ID DESC
                        LIMIT 0,1";
            $cursor = exequery($connection, $query);
            if ($ROW = mysql_fetch_array($cursor)) {
                $diaryid = $ROW["DIA_ID"];
            }
            echo json_encode(array('diary_id' => $diaryid, 'create_time' => $currentDate, 'current_date' => date('Y-m-d')));
        } else {
            echo 'update';
        }
    }

    private function _newDiary($info) {
        global $connection;
        $sessionstr = $this->_sessionstr;
        if (substr($info["content"], strlen($info["content"]) - 12) == "<p><br/></p>") {
            $info["content"] = substr($info["content"], 0, -12);
        }

        $query = "SELECT * FROM diary WHERE USER_ID='" . SecurityFilter($info["use_id"]) . "' AND DIA_DATE='" . SecurityFilter($info["olddate"]) . "' ORDER BY DIA_ID DESC LIMIT 0,1";
        $cursor = exequery($connection, $query);
        $row = mysql_fetch_array($cursor);
        if ($row) {
			$attachmentId	= $row['ATTACHMENT_ID'] ? rtrim($row['ATTACHMENT_ID'],',').','. $info['attachment_id'] : $info['attachment_id'];
			$attachmentName = $row['ATTACHMENT_NAME']? rtrim($row['ATTACHMENT_NAME'],'*').'*' . $info['attachment_name'] : $info['attachment_name'];
            $content = htmlspecialchars(html_entity_decode($row['CONTENT']) . '<br/>' . $info["content"]);
            $query = 'UPDATE diary SET CONTENT=\'' . SecurityFilter($content) . '\',ATTACHMENT_ID=\''.SecurityFilter($attachmentId).'\',ATTACHMENT_NAME=\''.SecurityFilter($attachmentName).'\' WHERE DIA_ID=' . SecurityFilter($row['DIA_ID']);
            if (exequery($connection, $query)) {
                return 2;
            }
        } else {
            $info["content"] = htmlspecialchars($info["content"]);
            $query = "INSERT INTO DIARY(USER_ID,DIA_DATE,ADD_TIME,DIA_TYPE,CONTENT,ATTACHMENT_ID,ATTACHMENT_NAME) 
                        VALUES
                    ('" . $info["use_id"] . "','" . $info["olddate"] . "','" . $info["creat_time"] . "','" . $info["type"] . "','" . $info["content"] . "','" . $info["attachment_id"] . "','" . $info["attachment_name"] . "')";
            if (exequery($connection, $query)) {
                return 1;
            }
        }
    }
    
    
     public function sourcePage(){
 
        global $_lang;
        $diff     = $_REQUEST["pagediff"];
        $sessionstr = request_var('sessionkey');
        $title    = "";
        $contents = "";
        $diaryid    = $_REQUEST["diaryid"];
       $userid     = $_REQUEST["userid"];
       $Diary      = new diary();
       $diaryinfor = $Diary->GetsingleDiaryNoUser($diaryid);
       $contents   = html_entity_decode($diaryinfor["diary_content"]);
       $title      = $_lang['emobile_common_root_rzyw'];
        
        
  
        include_once(INCLUDE_APP_PATH . 'Diary/View/sourcePage.php');
                
    }
    

}
