<?php
include_once("E-mobile/App/Common/Layout/CommonPageHeader.php");
?>
<style>
    body{
        margin:0px;
        font-family: '微软雅黑';
        background:#EEF0EF;
    }
    .frame-top{
        width:100%;
        height:170px;
        float:left;
        background: #008BF0;
        background: -moz-linear-gradient(top, #0072FB 0%, #1BA0DA 100%);
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#0072FB), color-stop(100%,#1BA0DA));
        background: -webkit-linear-gradient(top, #0072FB 0%,#1BA0DA 100%);
        background: -o-linear-gradient(top, #0072FB 0%,#1BA0DA 100%);
        background: -ms-linear-gradient(top, #0072FB 0%,#1BA0DA 100%);
        background: linear-gradient(to bottom, #0072FB 0%,#1BA0DA 100%);
        position: relative;
    }
    .frame-top .user-img{
        width:70px;
        height: 70px;
        border:1px solid #fff;
        border-radius: 35px;
        background: #fff;
        margin:auto;
        margin-top:25px;
    }
    .frame-top .user-info{
        position: absolute;
        bottom:10px;
        height: 60px;
        width:100%;
    }
    .frame-top .user-info .top,.frame-top .user-info .bottom{
        width:100%;
        height:30px;
        text-align: center;
        font-size: 13px;
        line-height: 25px;
        color:#9FE2F7;
        float:left;
    }
    .frame-top .user-info .top{
        font-size: 15px;
        line-height:40px;
    }
    .frame-top-end{
        width:100%;
        height:100px;
        float:left;
        background: #fff;
    }
    .menu-item-1{
        width:25%;
        height:100px;
        float:left;
        padding-top:10px;
        text-align: center;
        color:#333;
        position: relative;
    }
    .menu-item-1 img{
        width:35px;
        margin-top:15px;
    }
    .menu-item-1 .item-1-text{
        position: absolute;
        width:100%;
        height:40px;
        font-size: 12px;
        bottom:10px;
        text-align: center;
        line-height: 30px;
    }
    .frame-body{
        float:left;
        width:100%;
        background: #fff;
        min-height: 100px;
        margin-top:5px;
        margin-bottom:10px;
    }
    .menu-item-2{
        border-right:1px solid #F6F6F6;
        border-bottom:1px solid #F6F6F6;
        width:25%;
        margin-left:-1px;
        height:100px;
        float:left;
        position: relative;
        text-align: center;
    }
    .menu-item-2 img{
        width:45px;
        margin-top:15px;
    }
    .menu-item-2 .item-2-text{
        position: absolute;
        width:100%;
        height:40px;
        font-size: 12px;
        bottom:0px;
        text-align: center;
        line-height: 30px;
    }
</style>
<script type="text/javascript" src="https://g.alicdn.com/ilw/ding/0.8.9/scripts/dingtalk.js"></script>
<script type="text/javascript" src="E-mobile/js/jquery-1.9.1.js"></script>

<?php
require_once "general/dingtalk/api/dingtalk.class.php";

$dingtalk = new dingtalk();
$result = $dingtalk->getDingTalk();
$agentId = $result["agentid"];
$domin = $result["domain"];

$jsapi = $dingtalk->getConfig($agentId);
?>
<script>
    dd.config({
        agentId: "<?= $jsapi["agentId"] ?>",
        corpId: "<?= $jsapi["corpId"] ?>",
        timeStamp: "<?= $jsapi["timeStamp"] ?>",
        nonceStr: "<?= $jsapi["nonceStr"] ?>",
        signature: "<?= $jsapi["signature"] ?>",
        jsApiList: [
            'runtime.info',
            'device.notification.prompt',
            'biz.chat.pickConversation',
            'device.notification.confirm',
            'device.notification.alert',
            'device.notification.prompt',
            'biz.chat.open',
            'biz.util.open',
            'biz.util.openLink',
            'biz.user.get',
            'biz.contact.choose',
            'biz.telephone.call',
            'biz.ding.post',
            'biz.map.locate',
            'biz.map.view',
            'biz.util.uploadImage']
    });
    dd.error(function (err) {
        alert(JSON.stringify(err));
    });




    dd.ready(function () {

    });


    function ddOpenLink(url) {

        dd.biz.util.openLink({
            url: url,
            showMenuBar: true, // 是否显示右上角按钮，默认true 显示 0.0.2
            credible: true, // 是否可信的url，即白名单机制，可信的url支持调用jsapi，默认true 0.0.2
            enableShare: true, // 是否启用默认分享(服务端抓取内容)，如果为false，则分享组件只有刷新动作;
            // 默认true
            onSuccess: function () {
                /**/
            },
            onFail: function (err) {
                window.location.href = url;
            }
        });

    }


</script>
<body>
    <div class="frame-top">

        <div class="user-img"  onclick="ddOpenLink('<?= $domin ?>/E-mobile/App/Init.php?weiApi=1&sessionkey=<?= $sessionkey ?>&m=userCenter_Home_System')" style="background: url(<?= $userPic ?>) -5px 0px;"></div>

        <div class="user-info">
            <div class="top"><?= $_lang['emobile_weixin_pannel_view_welcome'] ?> <?= $USER_NAME ?></div>
            <div class="bottom"><?= $_lang['emobile_weixin_pannel_view_logindate'] ?><?= date('Y-m-d H:i:s') ?></div>
        </div>
    </div>
    <div class="frame-top-end">
        <?
        foreach ($flowMenus as $menu) {
            //$func_id_str
            if (!in_array($menu["funcid"], $func_id_str)) {
                continue;
            }
            ?>

            <div class="menu-item-1" onclick="ddOpenLink('<?= $domin ?>/E-mobile/App/Init.php?weiApi=1&sessionkey=<?= $sessionkey ?>&m=<?= $menu['url'] ?>')">
                <img src="<?= IMG_PATH ?>weixin/<?= $menu['img'] ?>">
                <div class="item-1-text"><?= $menu['title'] ?></div>
            </div>
        <? } ?>
    </div>
    <div class="frame-body">
        <?
        foreach ($otherMenus as $menu) {

            if (!in_array($menu["funcid"], $func_id_str) && $menu["funcid"]) {
                continue;
            }
            ?>
            <div class="menu-item-2" onclick="ddOpenLink('<?= $domin ?>/E-mobile/App/Init.php?weiApi=1&sessionkey=<?= $sessionkey ?>&m=<?= $menu['url'] ?>')">
                <img src="<?= IMG_PATH ?>weixin/<?= $menu['img'] ?>">
                <div class="item-2-text"><?= $menu['title'] ?></div>
            </div>
        <? } ?>
    </div>
</body>
</html>