<?php
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Doc/View/DocCenterView.php
 * @function  文档目录      
 * @version   1.0 
 * @author    lizj
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>style.css"/>
<link rel="stylesheet" type="text/css" href="<?=PUBLIC_PATH?>font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>doc.css"/>
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>jquery.min.js"></script>
<title><?=$_lang["e_doc_catalog"]?></title>
<script>
$(function(){
    $("#pageback").click(function(){
       location.href = "/home.do";	
    });
    getDocList(0,'','');
    <?php if($sortId != 0){?>
        getSonDirs(<?=$sortId?>,'');
    <?php }?>
    $('#search_doc').focus(function(){
        $(this).css({'border':'1px solid #00BFFF'});
    }).blur(function(){
        $(this).css({'border':'0px'});
    }).keydown(function(event) {
        if (event.keyCode == "13") {
            $('#search_button').click();
        }
    });
    $('#dir_button').click(function(){
        var right = $('#doc_dir').css('right');
        $('#doc_button').removeClass('active')
        $(this).addClass('active');
        if(right == '0px'){
            return ;
        }else{
           $('#doc_list').animate({'right':'-100%'}).hide();
           $('#doc_dir').show().animate({'left':'0px'});
        }
    })
    $('#doc_button').click(function(){
        if($(this).attr('search_type') == 1){
            getDocList(0,'','search');
            $(this).attr('search_type','')
            $('#search_doc').val('');
        }
        var right = $('#doc_list').css('right');
        $('#dir_button').removeClass('active');
        $(this).addClass('active');
        if(right == '0px'){
            return ;
        }else{
           $('#doc_dir').animate({'left':'-100%'}).hide();
           $('#doc_list').show().animate({'right':'0px'});
        }
    })
    //首页点击获取下级目录，文档。
    $('.dir_group').on({
        click:function(){
            var sort_id = $(this).attr('sort_id');
            var sort_name = $(this).attr('sort_name');
            $('body').append('<div class="reload"><div class="reload_center"><?=$_lang["e_crm_loading"]?></div></div>')
            getSonDirs(sort_id,sort_name);
        },
        mouseenter:function(){
            $(this).css('background','#f4f4f4');
        },
        mouseleave:function(){
            $(this).css('background','');
        }
    },'.dir_menu');
    //子目录点击获取下级目录，文档。
    $('.dir_box').on({
        click:function(){
            var sort_id = $(this).attr('sort_id');
            if(typeof sort_id == 'undefined'){
                return;
            }
            var sort_name = $(this).attr('sort_name');
            $('body').append('<div class="reload"><div class="reload_center"><?=$_lang["e_crm_loading"]?></div></div>')
            getSonDirs(sort_id,sort_name);
        }
        ,
        mouseenter:function(){
            $(this).css('background','#f4f4f4');
        },
        mouseleave:function(){
            $(this).css('background','');
        }
    },'.dir_son_menu');
    //返回上级目录
    $('.back_parent').click(function(){
        var sort_id = $(this).attr('sort_id');
        $('body').append('<div class="reload"><div class="reload_center"><?=$_lang["e_crm_loading"]?></div></div>')
         $.ajax({
            url:'<?=APP_PATH?>Init.php?m=getParentFloder_Doc&sessionkey=<?=$sessionstr?>',
            data:{
                sortId:sort_id,
                userId :'<?=$userid?>'  
            }
        }).done(function(result){
            var parseResult = $.parseJSON(result);
            $('.back_parent').attr('sort_id',parseResult.sort_id);
            if(parseResult.sort_id == 0){
                $('.back_parent').hide();
                var html = '';
                $.each(parseResult.son_floder,function(k,v){
                    var unReadHtml = '';
                    if(v.unReadCount != 0){
                        unReadHtml = '<div class="new_count">'+v.unReadCount+'</div>';
                    }
                    html += ' <div class="dir_menu" sort_id="'+v.SORT_ID+'" sort_name="'+v.SORT_NAME+'">\
                                <div class="dir_menu_top"><img src="<?=IMG_PATH?>doc/iconfont-folder.png">'+unReadHtml+'</div>\
                                <div class="dir_menu_bottom">'+v.SORT_NAME+'</div>\
                            </div>';
                })
                $('.dir_group').html(html);
                $('.dir_group').show();
                $('.dir_box').hide();
                $('.son_doc_list').hide();
                $('#dir_button').click();
            }else{
                if(parseResult.son_floder == 0){
                    $('.dir_box').html('<div class="son_dir_group"><div class="dir_son_menu"><?=$_lang["e_doc_no_son_doc"]?></div></div>');
                    $('.son_dir_group').width(70);
                }else{
                    var html = '<div class="son_dir_group">';
                    var size = parseResult.son_floder.length;
                    $.each(parseResult.son_floder,function(k,v){
                        var unReadHtml = '';
                        if(v.unReadCount != 0){
                            unReadHtml = '<div class="new_count">'+v.unReadCount+'</div>';
                        }
                        html += ' <div class="dir_son_menu" sort_id="'+v.SORT_ID+'" sort_name="'+v.SORT_NAME+'">\
                                    <div class="dir_menu_top"><img src="<?=IMG_PATH?>doc/iconfont-folder.png"  style="margin-top:5px;">'+unReadHtml+'</div>\
                                    <div class="dir_menu_bottom">'+v.SORT_NAME+'</div>\
                                </div>';
                    })
                    html += '</div>'
                    $('.dir_box').html(html);
                    $('.son_dir_group').width(70 * size);
                    getSonDocList(parseResult.sort_id,'','')
                    $('#dir_button').click();
                }
            }
            $('.reload').remove();
        })
    });
    $('.load_more').click(function(){
        var page    = parseInt($(this).attr('page')) + 1;
        var keyword = $('#search_doc').val();
        getMoreDocList(0,page,keyword);
    });
    $('.son_load_more').click(function(){
        var page    = parseInt($(this).attr('page')) + 1;
        var sort_id = $('.back_parent').attr('sort_id');
        getMoreSonDocList(sort_id,page,'');
    });
    $('.list_body').on({
        click:function(){
            var doc_id = $(this).attr('doc_id');
            var sort_id = 0;
            if(!doc_id){
                return false;
            }
            location.href ="<?=APP_PATH?>Init.php?m=view_Doc&sessionkey=<?=$sessionstr?>&sortId="+sort_id+"&detailid="+doc_id;
        }
    },'.list_item');
    $('.son_list_body').on({
        click:function(){
            var doc_id = $(this).attr('doc_id');
            var sort_id = $('.back_parent').attr('sort_id');
            if(!doc_id){
                return false;
            }
            location.href ="<?=APP_PATH?>Init.php?m=view_Doc&sessionkey=<?=$sessionstr?>&sortId="+sort_id+"&detailid="+doc_id;
        }
    },'.list_item');
    $('#search_button').click(function(){
        var keyword = $('#search_doc').val();
        getDocList(0,keyword,'search');
        var right = $('#doc_list').css('right');
        $('#dir_button').removeClass('active');
        $('#doc_button').addClass('active');
        if(right == '0px'){
            return ;
        }else{
           $('#doc_dir').animate({'left':'-100%'}).hide();
           $('#doc_list').show().animate({'right':'0px'});
        }
        $('#doc_button').attr('search_type',1);
    })
})
function getSonDirs(sort_id,sort_name){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=getSonFloder_Doc&sessionkey=<?=$sessionstr?>',
        data:{
            sortId:sort_id,
            userId :'<?=$userid?>'  
        }
    }).done(function(result){
        if(result == 0){
            $('.son_dir_group').width(70);
            $('.dir_box').html('<div class="son_dir_group"><div class="dir_son_menu" style="line-height:40px;"><?=$_lang["e_doc_no_son_doc"]?></div></div>');
        }else{
            var parseResult = $.parseJSON(result);
            var html = '<div class="son_dir_group">';
            var size = parseResult.length;
            $.each(parseResult,function(k,v){
                var unReadHtml = '';
                if(v.unReadCount != 0){
                    unReadHtml = '<div class="new_count">'+v.unReadCount+'</div>';
                }
                html += ' <div class="dir_son_menu" sort_id="'+v.SORT_ID+'" sort_name="'+v.SORT_NAME+'">\
                            <div class="dir_menu_top"><img src="<?=IMG_PATH?>doc/iconfont-folder.png"  style="margin-top:5px;">'+unReadHtml+'</div>\
                            <div class="dir_menu_bottom">'+v.SORT_NAME+'</div>\
                        </div>';
            })
            html += '</div>'
            $('.dir_box').html(html);
        }
        $('.son_dir_group').width(70 * size);
        $('.back_parent').show().attr('sort_id',sort_id);
        $('.dir_box').show();
        $('.dir_group').hide();
        getSonDocList(sort_id,'','')
    });
}
function getDirs(sort_id,sort_name){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=getSonFloder_Doc&sessionkey=<?=$sessionstr?>',
        data:{
            sortId:sort_id,
            userId :'<?=$userid?>'  
        }
    }).done(function(result){
        if(result == 0){
            $('.dir_group').html('<div style="width:100%;margin-top:10px;height:30px;line-height:30px;text-align:center;"><?=$_lang["e_doc_no_son_doc"]?></div>');
        }else{
            var parseResult = $.parseJSON(result);
            var html = '';
            $.each(parseResult,function(k,v){
                html += ' <div class="dir_menu" sort_id="'+v.SORT_ID+'" sort_name="'+v.SORT_NAME+'">\
                            <div class="dir_menu_top">'+v.SORT_NAME+'</div>\
                            <div class="dir_menu_bottom">'+v.sonCount+'</div>\
                        </div>';
            })
            $('.dir_group').html(html);
        }
        $('.title_text').text(sort_name);
        $('.back_parent').show().attr('sort_id',sort_id);
        getDocList(sort_id,'','');
    });
}
function getSonDocList(sort_id,keyword,type){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=moreDocLists_Doc&sessionkey=<?=$sessionstr?>',
        data:{
            sessionkey:'<?=$sessionstr?>',
            sortId:sort_id,
            keyword:keyword
        }
    }).done(function(result){
        if(result == 0){
            $('.son_list_body').html('');
            $('.son_load_more').text('<?=$_lang["e_doc_no_doc"]?>');
            $('.son_doc_list').show();
            $('.reload').remove();
            return false;
        }
        var parseResult = $.parseJSON(result);
        var html = '';
        $.each(parseResult,function(k,v){
            var newHtml = '';
            var userNameHtml = '';
            if(v.isNew == 1){
                newHtml = '<div class="isNew"></div>';
            }
            if(v.UserName != ''){
                userNameHtml = '&nbsp;('+v.UserName+')';
            }
            html += '<div class="list_item" doc_id="'+v.DocumentId+'"><img src="<?=IMG_PATH?>doc/iconfont-file.png">&nbsp;'+v.Subject+''+userNameHtml+'<div class="doc_time">'+v.SendTime+'</div>'+newHtml+'</div>'
        });
        $('.son_list_body').html(html);
        $('.son_load_more').text('<?=$_lang["e_doc_load_more"]?>');
        $('.son_load_more').attr('page',0);
        $('.son_doc_list').show();
        $('.reload').remove();
    });
}
function getMoreSonDocList(sort_id,page,type){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=moreDocLists_Doc&sessionkey=<?=$sessionstr?>',
        data:{
            sessionkey:'<?=$sessionstr?>',
            sortId:sort_id,
            page:page
        }
    }).done(function(result){
        if(result == 0){
            $('.son_load_more').text('<?=$_lang["e_doc_no_more_doc"]?>');
            $('.son_doc_list').show();
            return false;
        }
        var parseResult = $.parseJSON(result);
        var html = '';
        $.each(parseResult,function(k,v){
            var newHtml = '';
            if(v.isNew == 1){
                newHtml = '<div class="isNew"></div>';
            }
            var userName ='';
            if(v.UserName != ''){
                userName = '&nbsp;('+v.UserName+')';
            }
            html += '<div class="list_item" doc_id="'+v.DocumentId+'"><img src="<?=IMG_PATH?>doc/iconfont-file.png" >&nbsp;'+v.Subject+userName+'<div class="doc_time">'+v.SendTime+'</div>'+newHtml+'</div>'
        });
        $('.son_list_body').append(html);
        $('.son_load_more').text('<?=$_lang["e_doc_load_more"]?>');
        $('.son_load_more').attr('page',page);
        $('.son_doc_list').show();
    });
}
function getDocList(sort_id,keyword,type){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=moreDocLists_Doc&sessionkey=<?=$sessionstr?>',
        data:{
            sessionkey:'<?=$sessionstr?>',
            sortId:sort_id,
            keyword:keyword
        }
    }).done(function(result){
        if(result == 0){
            $('.load_more').text('');
            $('.list_body').html('<div style="text-align:center;margin-top:10px;"><?=$_lang["e_doc_no_doc"]?></div>');
            return false;
        }
        var parseResult = $.parseJSON(result);
        var html = '';
        $.each(parseResult,function(k,v){
            var newHtml = '';
            if(v.isNew == 1){
                newHtml = '<div class="isNew"></div>';
            }
            var userName ='';
            if(v.UserName != ''){
                userName = '&nbsp;('+v.UserName+')';
            }
            html += '<div class="list_item" doc_id="'+v.DocumentId+'"><img src="<?=IMG_PATH?>doc/iconfont-file.png">&nbsp;'+v.Subject+userName+'<div class="doc_time">'+v.SendTime+'</div>'+newHtml+'</div>'
        });
        $('.list_body').html(html);
        if(type != 'search'){
            $('#doc_list').hide();
        }
        $('.load_more').text('<?=$_lang["e_doc_load_more"]?>');
        $('.load_more').attr('page',0);
    });
}
function getMoreDocList(sort_id,page,keyword){
    $.ajax({
        url:'<?=APP_PATH?>Init.php?m=moreDocLists_Doc&sessionkey=<?=$sessionstr?>',
        data:{
            sessionkey:'<?=$sessionstr?>',
            sortId:sort_id,
            page:page,
            keyword:keyword
        }
    }).done(function(result){
        if(result == 0){
            $('.load_more').text('<?=$_lang["e_doc_no_more_doc"]?>');
            return false;
        }
        var parseResult = $.parseJSON(result);
        var html = '';
        $.each(parseResult,function(k,v){
            var newHtml = '';
            if(v.isNew == 1){
                newHtml = '<div class="isNew"></div>';
            }
            var userName ='';
            if(v.UserName != ''){
                userName = '&nbsp;('+v.UserName+')';
            }
            html += '<div class="list_item" doc_id="'+v.DocumentId+'"><img src="<?=IMG_PATH?>doc/iconfont-file.png">&nbsp;'+v.Subject+userName+'<div class="doc_time">'+v.SendTime+'</div>'+newHtml+'</div>'
        });
        $('.list_body').append(html);
        $('.load_more').attr('page',page);
    });
}
</script>
</head>
<body>
<? if($_REQUEST["clienttype"]=="Webclient"){?>
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
    <table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
        <tr>
            <td width="10%" valign="middle" style="padding-left:5px;">
                <div id="pageback" class="page-top-button"><?=$_lang["e_crm_return"]?></div>
            </td>
            <td align="center" valign="middle">
                <div class="page-top-text"><?=$_lang["e_doc_document_center"]?></div>
            </td>
            <td width="10%" valign="middle" style="padding-right:5px;"></td>
        </tr>
    </table>
</div>
<? } ?>
<div class="head_top" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="top:40px;"<?}else{?>style="top:0px;"<?}?>>
    <div class="top_left" id='search_button'><img src="<?=IMG_PATH?>common/search.png" style="margin-top: 14px;">&nbsp;&nbsp;</div>
    <div class="top_right">
        <input type="text" id="search_doc" value="" style="width:80%;height:39px;border:0px;margin-top:3px;background: #f5f5f5;float:left;" placeholder="<?=$_lang["e_doc_enter_doc_name"]?>">
        <div class="back_parent" sort_id="<?=$sortId?>" <?if($sortId == 0){?>style="display: none;"<?}?>><img src="<?=IMG_PATH?>doc/iconfont-back.png"  style="margin-top:5px;"></div>
    </div> 
</div>
<div class='button_group' <? if($_REQUEST["clienttype"]=="Webclient"){?>style="top:85px;"<?}else{?>style="top:45px;"<?}?>>
    <div class='doc_menu active' id="dir_button" style="margin-left:30%;"><img src="<?=IMG_PATH?>doc/iconfont-folder.png"  style="margin-top:5px;"></div>
    <div class='doc_menu' id="doc_button"><img src="<?=IMG_PATH?>doc/iconfont-file.png"  style="margin-top:5px;"></div>
</div>
<div id="doc_dir" <? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:125px;"<?}else{?>style="margin-top:85px;"<?}?>>
    <div class="dir_group">
         <?php if($rootFloder){
        foreach($rootFloder as $value){
        ?>
        <div class="dir_menu" sort_id="<?=$value['SORT_ID']?>" sort_name = "<?=$value['SORT_NAME']?>">
            <div class="dir_menu_top">
                <img src="<?=IMG_PATH?>doc/iconfont-folder.png"  style="margin-top:5px;"><?if($value['unReadCount'] != 0){?><div class="new_count"><?=$value['unReadCount']?></div><?}?>
            </div>
            <div class="dir_menu_bottom"><?=$value['SORT_NAME']?></div>
        </div>
        <?php }}else{?>
        <div style="height:40px;width:100%;text-align: center;line-height: 40px;"><?=$_lang["e_doc_no_catalog"]?></div>
        <?}?>
    </div>
    <div class="dir_box" style="width:100%;overflow-x: auto;display: none;">
        <div class="son_dir_group">
        </div>
    </div>
    <div class="son_doc_list" style="display:none;">
        <div class="son_list_header"><?=$_lang["e_doc_belong_doc"]?></div>
        <div class="son_list_body">
        </div>
        <div class="son_load_more" page="0"><?=$_lang["e_doc_load_more"]?></div>
    </div>
</div>
<div id="doc_list"<? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:140px;"<?}else{?>style="margin-top:100px;"<?}?>>
    <div class="list_body">
    </div>
    <div class="load_more" page="0"><?=$_lang["e_doc_load_more"]?></div>
</div>
</body>
</html>
