<?php
/**
 * @copyright (C) 2000 - 2014 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Email/InboxMailListView.php
 * @function  收件箱       
 * @version   1.0 
 * @author    lizhijun
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<link rel="stylesheet" type="text/css" href="<?=PUBLIC_PATH?>bootstrap/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>style.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>email.css"/>
<script type="text/javascript" src="/lang/<?=LOGIN_LANG?>/emobile.lang.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>function_all.js"></script>
<title><?=$_lang['email_outbox']?></title>
</head>
<script language="javascript">
$(document).ready(function(){
    $("#pageback").click(function(){
        location.href = "<?=APP_PATH?>Init.php?m=emailBox_Email&backType=1&sessionkey=<?=$sessionstr?>";
     });
    $("#pageback").mousedown(function(){
        $(this).attr("class","page-top-button-down");	
    }).mouseup(function(){
        $(this).attr("class","page-top-button");	
    });  
    $('.go_page').click(function(){
        $('.email_pages').slideToggle("slow");
        $('.email_pages').css('overflow','auto');
    });
}); 
function gotoPage(obj,event){
    $('body').append('<div class="load"><div class="load-text"><?=$_lang["e_calendar_loading"]?></div></div>');
    var height = document.getElementById('email_body').scrollHeight;
    $('.load').height(height).width($(window).width());
    var $this = $(obj);
    var page = $this.attr('page');
    var subject = $.trim($('#email_search').val());
    $('.email_pages .page_item').removeClass('current');
    $this.addClass('current');
    commonAjax(page,'',subject,'<?=$userid?>')
    
    event.preventDefault();
    event.stopPropagation(); 
}
function deleteEmail(obj,event){
    var $this = $(obj);
    if(confirm('<?=$_lang["e_email_delete_sure"]?>')){
        var emailId = $this.parent().attr('email_id');
        $.ajax({
            url : '<?=APP_PATH?>Init.php?m=deleteEmail_Email&sessionkey=<?=$sessionstr?>',
            data:{
                emailId: emailId,
                boxid: 0,
                boxtype:-2,
            }
        }).done(function(result) {
            if(result){
                $("#success_tip").fadeIn("normal");
                $this.parent().remove();
                $("#success_tip").fadeOut(3000);
            }else{
                $('#error_tip').fadeIn("normal");
                $("#error_tip").fadeOut(3000);
            }
        })
    }
    event.preventDefault()
    event.stopPropagation();
}
//客户端返回按钮	
function doLeftButton()
{
    location.href = "<?=APP_PATH?>Init.php?m=emailBox_Email&backType=1&sessionkey=<?=$sessionstr?>";
	return "MobileClient";	
}
function commonAjax(currentPage,readflag,subject,userid){
    $.ajax({
        url : '<?=APP_PATH?>Init.php?m=ajaxOutboxMailList_Email&sessionkey=<?=$sessionstr?>',
        data:{
            currentPage: currentPage,
            readflag: readflag,
            subject:subject,
            userid:userid
        }
    }).done(function(result) {
        var parseResult = $.parseJSON(result);
        var html = '';
        if(parseResult.lists.length == 0){
            $('.lists').html('<div class="no_email"><?=$_lang["email_no_data"]?></div>');
            $('.load').remove();
            return;
        }
        $.each(parseResult.lists,function(k,v){
           html +='<div class="list_item" onclick="gotoDetail(this)" email_id="'+v.EMAIL_ID+'" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">\
                        <div class="left">\
                            <div class="header">'+v.SUBJECT+'</div>\
                            <div class="content">\
                                <img src="<?=IMG_PATH?>/common/iconfont-youjianxinxiicon.png" style="float:left;margin-left:5px;"><div style="float:left;margin-top:5px;">&nbsp;<?=$_lang["email_sender"]?>:'+v.FROM_ID+'&nbsp;/&nbsp;'+v.dateTime+'</div>\
                            </div>\
                        </div>\
                        <div class="right"><img src="<?=IMG_PATH?>/common/iconfont-iconfontunie61f.png" style="margin-top:15px;"></div>\
                        <div class="operation" onclick="deleteEmail(this,event);"><img src="<?=IMG_PATH?>/common/iconfont-shanchu.png" style="margin-top:10px;"></div>\
                    </div>' ;
        });
        html += '<div style="height:45px;width:100%;float:left;">&nbsp;</div>';
        $('.lists').html(html);
        $(document.body).animate({scrollTop: 0 },200);
        var pageHtml = '';
        for(i=1;i<= parseResult.paginator.pages;i++){
            var current = '';
            if(parseResult.paginator.currentPage == (i-1)){
                current = 'current';
            }
            pageHtml += '<div onclick="gotoPage(this,event)" class="page_item '+current+'" page="'+(i-1)+'">'+i+'</div>';
        }
        $('.email_pages').html(pageHtml);
        $('.prev').attr('page',parseResult.paginator.prvPage);
        $('.next').attr('page',parseResult.paginator.nextPage);
        $('.load').remove();
    });
}
//弹出模糊查询框
function searchEmail(obj){
    $('.email_header .btn').removeClass('active');
    $(obj).addClass('active');
    $('.email_search').slideToggle("slow");
}
//点击进行模糊搜索
function clickSearch(){
    var subject = $.trim($('#email_search').val());
    commonAjax(0,'',subject,'<?=$userid?>');
}
//触摸滑动显示操作按钮
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event){
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event,obj){
    if(curX > 40 ){
        $(obj).find('.operation').hide()
    }
    if(curX < -40){
        $('.operation').hide()
        $(obj).find('.operation').show();
    }
    startX = 0;
    curX  = 0;
}
function gotoDetail(obj){
    var emailId = $(obj).attr('email_id');
    $(obj).css('background','#F5F5F5');
    location.href = '<?=APP_PATH?>Init.php?m=detail_Email&userid=<?=$userid?>&emailId='+emailId+'&sessionkey=<?=$sessionstr?>&type=outbox';
}
</script>
<body id="email_body">
<? if($_REQUEST["clienttype"]=="Webclient"){?>
<div style="width:100%;margin:0 auto;position:fixed;z-index:100;top:0px">
<table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
	<tr>
    	<td width="10%" valign="middle" style="padding-left:5px;">
        	<div id="pageback" class="page-top-button"><?=$_lang["e_crm_return"]?></div>
        </td>
    	<td align="center" valign="middle">
        	<div class="page-top-text"><?=$_lang['email_outbox']?></div>
        </td>
        <td width="10%" valign="middle" style="padding-right:5px;"></td>
    </tr>
</table>
</div>
<? }?>
<div class="alert alert-success" role="alert" style="position:fixed;display:none;top:75px;z-index: 600;width:99%;margin-left:0.5%;" id="success_tip"><?=$_lang["e_coop_del_success"]?></div>
<div class="alert alert-error" role="alert" style="position:fixed;display:none;top:75px;z-index: 600;width:99%;margin-left:0.5%;" id="error_tip"><?=$_lang["e_coop_del_failure"]?></div>
<?if(empty($lists)){?>
    <div class="alert alert-info" role="alert" <? if(request_var("clienttype")=="Webclient"){?>style="margin-top:45px;"<? }else{?>style="margin-top:5px;"<?}?>><?=$_lang["e_email_inbox_nomail"]?></div>
<? }else{ ?>
<div class="header_title" style="<? if($_REQUEST["clienttype"]=="Webclient"){?>top:40px;<?}else{?>top:0px;<?}?>"><?=$_lang['email_outbox']?></div>
<!--搜索框开始-->
<div class="email_search" style="display: block;<? if($_REQUEST["clienttype"]=="Webclient"){?>top:70px;<?}else{?>top:30px;<?}?>">
    <div class="search_input">
        <input type="text" placeholder="<?=$_lang['e_email_enter_name']?>" name="email_search" id="email_search" >
    </div>
    <div class="search_button" onclick="javascript:clickSearch();">
        <img src="<?=IMG_PATH?>/common/iconfont-search-min.png" style="color:gray;margin-top:8px;">
    </div>
</div>
<!--搜索框结束-->
<div class="lists"<? if($_REQUEST["clienttype"]=="Webclient"){?>style="margin-top:120px;"<?}else{?>style="margin-top:80px;"<?}?>>
<?foreach($lists['list'] as $key => $value){?>
  <div class="list_item" onclick="gotoDetail(this)" email_id="<?=$value['EMAIL_ID']?>" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">
      <div class="left">
          <div class="header"><?=$value['SUBJECT']?></div>
          <div class="content">
              <img src="<?=IMG_PATH?>/common/iconfont-youjianxinxiicon.png" style="float:left;margin-left:5px;"><div style="float:left;margin-top:5px;">&nbsp;<?=$_lang['email_sender']?>:<?=$value['FROM_ID']?>&nbsp;/&nbsp;<?=$value['dateTime']?></div>
          </div>
      </div>
      <div class="right"><img src="<?=IMG_PATH?>/common/iconfont-iconfontunie61f.png" style="margin-top:15px;"></div>
      <div class="operation" onclick="deleteEmail(this,event);"><img src="<?=IMG_PATH?>/common/iconfont-shanchu.png" style="margin-top:10px;"></div>
  </div>
  <?}?>
  <div style="height:45px;width:100%;float:left;">&nbsp;</div>
</div>
<div class="email_pages">
  <? for($i =1 ; $i<= $paginator['pages'] ;$i++){?>
  <div onclick="gotoPage(this,event)" class="page_item <?if($paginator['currentPage'] == ($i-1)){?>current<?}?>" page='<?=($i-1)?>'><?=$i?></div>
  <?}?>
</div>
<div class="email_footer">
  <div class="first" onclick="gotoPage(this,event)" page='0'><img src="<?=IMG_PATH?>/common/iconfont-shouye.png" style="margin-top:7px;"></div>
  <div class="prev" onclick="gotoPage(this,event)" page='<?=$paginator['prvPage']?>'><img src="<?=IMG_PATH?>/common/iconfont-shangyiye.png" style="margin-top:7px;"></div>
  <div class="next" onclick="gotoPage(this,event)" page='<?=$paginator['nextPage']?>'><img src="<?=IMG_PATH?>/common/iconfont-xiayiye.png" style="margin-top:7px;"></div>    
  <div class="go_page"><img src="<?=IMG_PATH?>/common/iconfont-more.png" style="margin-top:7px;"></div>
</div>
<? } ?>

