<?php
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice8.0
 * @name      webroot/E-mobile/Data/flowhave_data.php
 * @function  已办流程数据返回
 * @version   1.0
 * @author    liuqingyu
 */
include_once("api/list.class.php");
include_once("api/flow.class.php");
include_once("api/user.class.php");
include_once("api/FlowEmobileList.class.php");
include_once(COMMON_PATH . 'Tool/Tool.php');//系统公共工具类
class HaveDoneProxy{
    private $_pageSize = 10;
     private $_sessionstr; //sessionkey
    public function __construct() {
        $this->_sessionstr = request_var("sessionkey");
    }
    public function weiLists(){
    	global $_lang;
        $sessionstr     = $this->_sessionstr ;
        $userId         = Tool::checkUserAuth($sessionstr, 'flow_have');//用户权限检查
        $haveDoneLists   = $this->_getHaveDoneLists($userId);
        include_once(INCLUDE_APP_PATH . 'Flow/HaveDone/View/HaveDoneListsView.php');
    }
    public function ajaxGetHaveDoneLists(){
    	global $_lang;
         $sessionstr     = $this->_sessionstr ;
        $userId         = Tool::checkUserAuth($sessionstr, 'flow_have',true);//用户权限检查
        if($userId == 'error1'){
            echo 'error1';
            exit;
        }
        if($userId == 'error2'){
            echo 'error2';
            exit;
        }
        $pageSize   = request_var('pageSize',0);
        $pageIndex  = request_var('pageIndex',1);
        $keyword    = request_var('keyword','');
        $filter     = request_var('filter','');
        if($pageSize == 0) $pageSize = $this->_pageSize;
        $haveDoneLists  = $this->_getHaveDoneLists($userId, $keyword, $filter, $pageSize, $pageIndex);

        if($haveDoneLists){
            echo json_encode($haveDoneLists);
        }else{
            echo 0;
        }
    }
    private function _getHaveDoneLists($userId,$keyword='',$filter='',$pageSize=10,$pageIndex=1){
        global $connection,$_lang;
        $currentIndex   = GetCurrPageIndex($pageIndex,$pageSize);
        $type           = array("TYPE"=>"have_list","CONSTAINLIST"=>"1");
        $search         = array("USER_ID"=>$userId,"FLOW_NAME"=>$keyword,'filter'   => $filter);
        $page           = array("PAGINATIONOFFSET"=>$currentIndex,"PAGINATIONROWS"=>$pageSize,"SORTFIELD"=>"TRANSACT_TIME","SORTTYPE"=>"DESC");
        $other          = array("");
        $list           = new mobilelistItem($type,$search,$page,$other);
        $listData       = $list->EmobileGetList();
        if($listData['list']){
            $userapi        = new user();
            $_listData      = array();
            foreach($listData["list"] as $value){
                $runId          = $value["RUN_ID"];
                $flowId         = $value["FLOW_ID"];
                $flowPrcs       = $value["FLOW_PRCS"];
                $prcsId         = $value["PRCS_ID"];
                $temp['id']     = $runId.",".$flowId.",".$flowPrcs.",".$prcsId.",have";
                $temp['title']  = $value["RUN_NAME"];
                $temp['time']   = $value["CREATE_TIME"];
                //增加查询流程的最新步骤
                $latestPrcsSql  = "SELECT MAX(PRCS_ID) AS PRCS_ID FROM flow_run_prcs WHERE RUN_ID = '".$runId."'";
                $latestPrcsRs   = exequery($connection,$latestPrcsSql);
                if($latestPrcsRow = mysql_fetch_array($latestPrcsRs)){
                    $latestPrcsId = $latestPrcsRow["PRCS_ID"];
                }
                if($val["FLOW_TYPE"] == "1"){
                    $prcsName = $_lang['emobile_common_root_PRCS_1'].$latestPrcsId.$_lang['emobile_common_root_PRCS_2']."：".$value["PRCS_NAME"];
                }else{
                    $prcsName = $_lang['emobile_common_root_PRCS_1'].$latestPrcsId.$_lang['emobile_common_root_PRCS_2']."";
                }

                $temp['description']    = $_lang["flow_currentstep"]."：".$prcsName;
                $userInfo               = $userapi->GetUserOtherInfor($value["CREATOR"]);
                $temp['image']          = Tool::getUserImage($value['CREATOR'], $userInfo["AVATAR_TYPE"]);
                array_push($_listData, $temp);
            }
            return $_listData;
        }
        return false;
    }
    public function lists(){
        global $connection,$_lang;
		$pageindex  = $_REQUEST["pageindex"];
		$pagesize   = $_REQUEST["pagesize"];
		$keyword    = $_REQUEST["keyword"];
		$keyword    = urldecode($keyword);
		 $sessionstr     = $this->_sessionstr ;
		$strexplode = explode("_",$sessionstr);
		$cursession = $strexplode[0];
		$userid     = $strexplode[1];
		//验证sessionkey
	    $check      = CheckSessionKeys($cursession);
	    if($check)
	    {
	    	$result     = array();
			//验证菜单权限
			if(CheckMenuPriv($userid,"flow_have"))
			{
				$currindex  = GetCurrPageIndex($pageindex,$pagesize);
				//$result     = array();
				$SearchFlowName = "";
				$type   = array("TYPE"=>"have_list","CONSTAINLIST"=>"1");
				$search = array("USER_ID"=>$userid,"FLOW_NAME"=>$keyword);
				$page   = array("PAGINATIONOFFSET"=>$currindex,"PAGINATIONROWS"=>$pagesize,"SORTFIELD"=>"TRANSACT_TIME","SORTTYPE"=>"DESC");
				$other  = array("");
				$list   = new mobilelistItem($type,$search,$page,$other);
				$listData   = $list->EmobileGetList();
				$flowcount  = $listData["totalCount"];
				$page_count = GetSumPageCount($flowcount,$pagesize);
				$curr_page  = floor($currindex/$pagesize)+1;
				$result["ishavepre"]  = $currindex<$pagesize ? "0" : "1";
				$result["ishavenext"] = $curr_page<$page_count ? "1" : "0";
				$result["pageindex"]  = $pageindex;
				$result["pagesize"]   = $pagesize;
				$result["count"]      = $flowcount;
				$result["pagecount"]  = $page_count;
				$i=0;
				$flowsum = count($listData["list"]);
				if($flowsum==0)
				{
					$result["list"] = array();
				}
				else
				{
                    $userapi    = new user();
					foreach($listData["list"] as $index => $val)
					{
						$RUN_ID    = $listData["list"][$index]["RUN_ID"];
						$FLOW_ID   = $listData["list"][$index]["FLOW_ID"];
						$FLOW_PRCS = $listData["list"][$index]["FLOW_PRCS"];
						$PRCS_ID   = $listData["list"][$index]["PRCS_ID"];
						$totalid   = $RUN_ID.",".$FLOW_ID.",".$FLOW_PRCS.",".$PRCS_ID.",have";
						$result["list"][$i]['id']          = $totalid;
                        if($listData["list"][$index]["INSTANCY_TYPE"] == "1" || $listData["list"][$index]["INSTANCY_TYPE"] == "2") {
                            $identifying = "【".getInstancyName($listData["list"][$index]["INSTANCY_TYPE"])."】";
                            $result["list"][$i]['subject'] = $identifying.$listData["list"][$index]["RUN_NAME"];
                        }else{
                            $result["list"][$i]['subject'] = $listData["list"][$index]["RUN_NAME"];
                        }
						$result["list"][$i]['time']        = $listData["list"][$index]["CREATE_TIME"];
						//增加查询流程的最新步骤
						$latestPrcsSql = "SELECT MAX(PRCS_ID) AS PRCS_ID FROM flow_run_prcs WHERE RUN_ID = '".$RUN_ID."'";
						$latestPrcsRs  = exequery($connection,$latestPrcsSql);
						if($latestPrcsRow = mysql_fetch_array($latestPrcsRs))
							$latestPrcsId = $latestPrcsRow["PRCS_ID"];
						if($val["FLOW_TYPE"] == "1")
						{
							$PRCS_NAME = $_lang['emobile_common_root_PRCS_1'].$latestPrcsId.$_lang['emobile_common_root_PRCS_2']."：".$listData["list"][$index]["PRCS_NAME"];
						}
						else
						{
							$PRCS_NAME = $_lang['emobile_common_root_PRCS_1'].$latestPrcsId.$_lang['emobile_common_root_PRCS_2']."";
						}

						$result["list"][$i]['description'] = $_lang["flow_currentstep"]."：".$PRCS_NAME;
						$result["list"][$i]['image']       = "";
						//已办流程都为已读
						$result["list"][$i]['isnew'] = "0";
						$user_pic  = $userapi->GetUserOtherInfor($listData["list"][$index]["CREATOR"]);
						if($user_pic["AVATAR_TYPE"]=="")
						{
							$result["list"][$i]['image'] = IMG_PATH . "defaultimg.png";
						}
						else
						{
							$img = "/attachment/personal/".$listData["list"][$index]["CREATOR"]."/avatar_80".$user_pic["AVATAR_TYPE"];
							if(CheckFileExist($img))
							{
								$result["list"][$i]['image'] = $img;
							}
							else
							{
								$result["list"][$i]['image'] = IMG_PATH . "defaultimg.png";
							}
						}
						$i++;
					}
					if(count($result["list"])==0)
					{
						$result["list"] = array();
					}
				}
			}
			else
			{
				$result["list"] = array();
			}
			echo json_encode($result);
	    }
	    else
	    {
	    	echo "{}";
	    }
    }
    public function count(){
    	global $_lang;
        $result     = array();
		 $sessionstr     = $this->_sessionstr ;
		$strexplode = explode("_",$sessionstr);
		$cursession = $strexplode[0];
		$userid     = $strexplode[1];
		//验证sessionkey
	    $check      = CheckSessionKeys($cursession);
	    if($check)
	    {
	    	//验证菜单权限
			if(CheckMenuPriv($userid,"flow_have"))
			{
				$type   = array("TYPE"=>"have_list","CONSTAINLIST"=>"0");
				$search = array("USER_ID"=>$userid);
				$page   = array();
				$other  = array("");
				$list   = new mobilelistItem($type,$search,$page,$other);
				$listData  = $list->EmobileGetList();
				$sumcounts = $listData["totalCount"];
				$uncounts  = "0";
			}
			else
			{
				$sumcounts  = "0";
				$uncounts   = "0";
			}
			$result["count"]  = $sumcounts;
			$result["unread"] = $uncounts;
			echo json_encode($result);
	    }
	    else
	    {
	    	echo "{}";
	    }
    }
    public function view(){
    	global $_lang;
        $sessionstr     = $this->_sessionstr ;
        include(INCLUDE_APP_PATH ."Flow/Common/common/FlowCommon.class.php");
        $FlowCommon = new FlowCommon();
        $FlowCommon->flowChange();
    }
}
