<?php
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice8.0
 * @name      webroot/E-mobile/Data/flowmy_data.php
 * @function  我的请求数据返回
 * @version   1.0
 * @author    liuqingyu
 */
include_once("api/list.class.php");
include_once("api/flow.class.php");
include_once("api/user.class.php");
include_once ("api/FlowEmobileList.class.php");
include_once(COMMON_PATH . 'Tool/Tool.php');//系统公共工具类
class RequestProxy{
    private $_pageSize = 10;
    private $_sessionStr;
    public function __construct() {
       $this->_sessionStr = request_var("sessionkey");
    }
    public function weiLists(){
    	global $_lang;
        $sessionstr     = $this->_sessionStr;
        $userId         = Tool::checkUserAuth($sessionstr, 'flow_my');//用户权限检查
        $requestLists   = $this->_getRequestLists($userId);
        include_once(INCLUDE_APP_PATH . 'Flow/Request/View/RequestListsView.php');
    }
    public function ajaxGetRequestLists(){
    	global $_lang;
        $sessionstr     = $this->_sessionStr;
        $userId         = Tool::checkUserAuth($sessionstr, 'flow_my',true);//用户权限检查
        if($userId == 'error1'){
            echo 'error1';
            exit;
        }
        if($userId == 'error2'){
            echo 'error2';
            exit;
        }
        $pageSize   = request_var('pageSize',0);
        $pageIndex  = request_var('pageIndex',1);
        $keyword    = request_var('keyword','');
        $filter     = request_var('filter','');
        if($pageSize == 0) $pageSize = $this->_pageSize;
        $requestLists  = $this->_getRequestLists($userId, $keyword, $filter, $pageSize, $pageIndex);

        if($requestLists){
            echo json_encode($requestLists);
        }else{
            echo 0;
        }
    }

    private function _getRequestLists($userId,$keyword='',$filter='',$pageSize=10,$pageIndex=1){
        global $connection,$_lang;
        $currentIndex   = GetCurrPageIndex($pageIndex,$pageSize);
        $type           = array("TYPE"=>"myrequest","CONSTAINLIST"=>"1");
        $search         = array("USER_ID"=>$userId,"FLOW_NAME"=>$keyword,'filter' => $filter);
        $page           = array("PAGINATIONOFFSET"=>$currentIndex,"PAGINATIONROWS"=>$pageSize,"SORTFIELD"=>"fr.RUN_ID","SORTTYPE"=>"DESC");
        $other          = array("");
        $list           = new mobilelistItem($type,$search,$page,$other);
        $listData       = $list->EmobileGetList();
        if($listData['list']){
            $userapi        = new user();
            $_listData      = array();
            foreach($listData["list"] as $value){
                $runId      = SecurityFilter($value["RUN_ID"]);
                $flowId     = SecurityFilter($value["FLOW_ID"]);
                //判断是否结束
                if($value["CURRENT_STEP"]=="0"){
                    $showdes    = $_lang["flow_completed"];
                }else{
                    $showdes    = $_lang["flow_not_completed"];
                    $stepdata   = EmobileGetFlowStep($runId);
                    $flowPrcs   = $stepdata["FLOW_PRCS"];
                    $prcsId     = $stepdata["PRCS_ID"];
                }
                //判断当前用户是否可以办理此流程
                $sqlDeal    = "SELECT * FROM flow_run_prcs WHERE RUN_ID = '".$runId."' AND USER_ID = '".$userId."' AND (PRCS_TIME IS NULL OR (SAVEFORM_TIME IS NULL AND OP_FLAG = 0) OR ( DELIVER_TIME IS NULL AND OP_FLAG = 1) )";
                $rsDeal     = exequery ( $connection, $sqlDeal );
                $canDeal    = "nodeal";
                $prcsId     = 0;
                $flowPrcs   = 0;
                if($rowDeal = mysql_fetch_array($rsDeal)){
                    if($rowDeal["RUN_ID"]){
                        $canDeal   = "candeal";
                        $prcsId    = $rowDeal["PRCS_ID"];
                        $flowPrcs  = $rowDeal["FLOW_PRCS"];
                    }
                }
                $temp['id']             = $runId.",".$flowId.",".$flowPrcs.",".$prcsId.",".$canDeal;
                $temp['title']          = $value["RUN_NAME"];
                $temp['time']           = $value["CREATE_TIME"];
                $temp['description']    = $_lang["e_flow_complete_progress"].":".$showdes;
                $userInfo               = $userapi->GetUserOtherInfor($value["CREATOR"]);
                $temp['image']          = Tool::getUserImage($value['CREATOR'], $userInfo["AVATAR_TYPE"]);
                array_push($_listData, $temp);
            }
            return $_listData;
        }
        return false;
    }
    public function lists(){
        global $connection,$_lang;
		$pageindex  = $_REQUEST["pageindex"];
		$pagesize   = $_REQUEST["pagesize"];
		$keyword    = $_REQUEST["keyword"];
		$keyword    = urldecode($keyword);
		$sessionstr = $this->_sessionStr;
		$strexplode = explode("_",$sessionstr);
		$cursession = $strexplode[0];
		$userid     = $strexplode[1];
		//验证sessionkey
	    $check      = CheckSessionKeys($cursession);
	    if($check)
	    {
	    	$result     = array();
			//验证菜单权限
			if(CheckMenuPriv($userid,"flow_my"))
			{
				$currindex  = GetCurrPageIndex($pageindex,$pagesize);
				$SearchFlowName = "";
				$type   = array("TYPE"=>"myrequest","CONSTAINLIST"=>"1");
				$search = array("USER_ID"=>$userid,"FLOW_NAME"=>$keyword);
				$page   = array("PAGINATIONOFFSET"=>$currindex,"PAGINATIONROWS"=>$pagesize,"SORTFIELD"=>"fr.RUN_ID","SORTTYPE"=>"DESC");
				$other  = array("");
				$list   = new mobilelistItem($type,$search,$page,$other);
				$listData   = $list->EmobileGetList();
				$flowcount  = $listData["totalCount"];
				$page_count = GetSumPageCount($flowcount,$pagesize);
				$curr_page  = floor($currindex/$pagesize)+1;
				$result["ishavepre"]  = $currindex<$pagesize ? "0" : "1";
				$result["ishavenext"] = $curr_page<$page_count ? "1" : "0";
				$result["pageindex"]  = $pageindex;
				$result["pagesize"]   = $pagesize;
				$result["count"]      = $flowcount;
				$result["pagecount"]  = $page_count;
				$i=0;
				$flowsum = count($listData["list"]);
				if($flowsum==0)
				{
					$result["list"] = array();
				}
				else
				{
					$checkend = "";
                    $userapi    = new user();
					foreach($listData["list"] as $index => $val)
					{
						$RUN_ID    = $listData["list"][$index]["RUN_ID"];
						$FLOW_ID   = $listData["list"][$index]["FLOW_ID"];
						//判断当前用户是否可以办理此流程
						$sqlDeal = "SELECT * FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($RUN_ID)."' AND USER_ID = '".SecurityFilter($userid)."' AND (PRCS_TIME IS NULL OR (SAVEFORM_TIME IS NULL AND OP_FLAG = 0) OR ( DELIVER_TIME IS NULL AND OP_FLAG = 1) )";
                        $rsDeal  = exequery ( $connection, $sqlDeal );
                        $canDeal = "nodeal";
                        $prcsId  = 0;
                        $flowPrcs= 0;
                        if($rowDeal = mysql_fetch_array($rsDeal))
                        {
                            if($rowDeal["RUN_ID"])
                            {
                                $canDeal   = "candeal";
                                $prcsId    = $rowDeal["PRCS_ID"];
                                $flowPrcs  = $rowDeal["FLOW_PRCS"];
                            }
                        }
						//判断是否结束
						if($listData["list"][$index]["CURRENT_STEP"]=="0")
						{
							//结束
							$checkend = "0";
							$stepdata  = EmobileGetFlowStep($RUN_ID);
							$FLOW_PRCS = $stepdata["FLOW_PRCS"];
							$PRCS_ID   = $stepdata["PRCS_ID"];
						}
						else
						{
							$checkend = "1";
							$stepdata  = EmobileGetFlowStep($RUN_ID);
							$FLOW_PRCS = $stepdata["FLOW_PRCS"];
							$PRCS_ID   = $stepdata["PRCS_ID"];
						}
						if($canDeal == "candeal"){
							$FLOW_PRCS = $flowPrcs;
							$PRCS_ID   = $prcsId;
						}
						$totalid   = $RUN_ID.",".$FLOW_ID.",".$FLOW_PRCS.",".$PRCS_ID.",".$canDeal;
						$result["list"][$i]['id']          = $totalid;
                        if($listData["list"][$index]["INSTANCY_TYPE"] == "1" || $listData["list"][$index]["INSTANCY_TYPE"] == "2") {
                            $identifying = "【".getInstancyName($listData["list"][$index]["INSTANCY_TYPE"])."】";
                            $result["list"][$i]['subject'] = $identifying.$listData["list"][$index]["RUN_NAME"];
                        }else{
                            $result["list"][$i]['subject'] = $listData["list"][$index]["RUN_NAME"];
                        }
						$result["list"][$i]['time']        = $listData["list"][$index]["CREATE_TIME"];
						if($checkend=="0")
						{
							$showdes = $_lang["flow_completed"];
						}
						else if($checkend=="1")
						{
							$showdes = $_lang["flow_not_completed"];
						}
						$result["list"][$i]['description'] = $_lang["e_flow_complete_progress"]."：".$showdes;
						$result["list"][$i]['image']       = "";
						//我的请求都为已读
						$result["list"][$i]['isnew'] = "0";
						$user_pic  = $userapi->GetUserOtherInfor($listData["list"][$index]["CREATOR"]);
						if($user_pic["AVATAR_TYPE"]=="")
						{
                            $img = "/attachment/personal/".$listData["list"][$index]["CREATOR"]."/avatar_80.png";
							if(CheckFileExist($img))
							{
								$result["list"][$i]['image'] = $img;
							}
							else
							{
								$result["list"][$i]['image'] = IMG_PATH . "defaultimg.png";
							}
							//$result["list"][$i]['image'] =IMG_PATH . "defaultimg.png";
						}
						else
						{
							$img = "/attachment/personal/".$listData["list"][$index]["CREATOR"]."/avatar_80".$user_pic["AVATAR_TYPE"];
							if(CheckFileExist($img))
							{
								$result["list"][$i]['image'] = $img;
							}
							else
							{
								$result["list"][$i]['image'] = IMG_PATH . "defaultimg.png";
							}
						}
						$i++;
					}
					if(count($result["list"])==0)
					{
						$result["list"] = array();
					}
				}
			}
			else
			{
				$result["list"] = array();
			}
			echo json_encode($result);
	    }
	    else
	    {
	    	echo "{}";
	    }
    }
    public function count(){
    	global $_lang;
        $result     = array();
		$sessionstr = $this->_sessionStr;
		$strexplode = explode("_",$sessionstr);
		$cursession = $strexplode[0];
		$userid     = $strexplode[1];
		//验证sessionkey
	    $check      = CheckSessionKeys($cursession);
	    if($check)
	    {
	    	//验证菜单权限
			if(CheckMenuPriv($userid,"flow_my"))
			{
				$type   = array("TYPE"=>"myrequest","CONSTAINLIST"=>"0");
				$search = array("USER_ID"=>$userid);
				$page   = array();
				$other  = array("");
				$list   = new mobilelistItem($type,$search,$page,$other);
				$listData   = $list->EmobileGetList();
				$sumcounts = $listData["totalCount"];
				$uncounts  = "0";
			}
			else
			{
				$sumcounts  = "0";
				$uncounts   = "0";
			}
			$result["count"]  = $sumcounts;
			$result["unread"] = $uncounts;
			echo json_encode($result);
	    }
	    else
	    {
	    	echo "{}";
	    }
    }
    public function view(){
    	global $_lang;
        $sessionstr = $this->_sessionStr;
        include(INCLUDE_APP_PATH ."Flow/Common/common/FlowCommon.class.php");
        $FlowCommon = new FlowCommon();
        $FlowCommon->flowChange();
    }
}
