<?
/**
 * @copyright (C) 2014 - 2016 Weaver Co.Ltd
 * @package   eoffice9.0
 * @name      webroot/E-mobile/App/Meeting/View/ListsView.php
 * @function  我的会议列表      
 * @version   1.0 
 * @author    lizj
 */
$PAGE_TITLE = $_lang['e_meeting_my_meeting'];
include(INCLUDE_APP_PATH."Common/Layout/CommonPageHeader.php");
?>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>meeting.css"/>
<body>
	<div class="alert-layer"></div>
	<div class="alert-msg">
		<div class="msg-content"></div>
		<div class="msg-footer">
			<div class="msg-button msg-cancel"><?=$_lang['e_meeting_cancel']?></div>
			<div class="msg-button msg-ok"><?=$_lang['e_meeting_ok']?></div>	
		</div>
	</div>
	
	<div class="tip-layer"></div>
	<div class="tip-msg">
		<div class="tip-content"></div>
		<div class="tip-footer">
			<div class="tip-button tip-close"><?=$_lang['e_meeting_close']?></div>
		</div>
	</div>
	
	<div class="operation-group">
		<div class="header"><?=$_lang['e_meeting_operation']?> <img class="close-group" src="<?=IMG_PATH?>meeting/round_close.png"></div>
		<div class="content" apply-id="0">
		</div>
	</div>
	<div class="operation-layer"></div>
	
	 <div id="list">
		<div class="frame-header">
			<div class="title"><?=$_lang['e_meeting_my_meeting']?></div>
			<div class="header-button filter"><img class="img" src="<?=IMG_PATH?>meeting/list.png"></div>
<!--新建会议，暂时不做<div class="header-button add"><img class="img" src="<?=IMG_PATH?>meeting/add.png"></div>-->
			<div class="header-button search"><img class="img" src="<?=IMG_PATH?>meeting/search.png"></div>
			<div class="header-button refresh"><img class="img" src="<?=IMG_PATH?>meeting/refresh.png"></div>
			<div class="nav-button-group">
				<div class="nav-button active" id="one"><?=$_lang['e_meeting_all']?></div>
				<div class="nav-button" id="two"><?=$_lang['e_meeting_wait']?></div>
				<div class="nav-button" id="three"><?=$_lang['e_meeting_waiting']?></div>
				<div class="nav-button" id="four"><?=$_lang['e_meeting_pass']?></div>
				<div class="nav-button" id="five"><?=$_lang['e_meeting_starting']?></div>
			</div>
		</div>
		<div class="frame-body">
			<div class="lists" id="one_lists">
			</div>
			<div class="lists" id="two_lists">
			</div>
			<div class="lists" id="three_lists">
			</div>
			<div class="lists" id="four_lists">
			</div>
			<div class="lists" id="five_lists">
			</div>
		</div>
	</div>
	 
	<div class="detail" id="detail">
		<div class="frame-header detail-header">
			<div class="go-list"><img src="<?=IMG_PATH?>meeting/back-1.png" ></div> <div class="back-line"></div><?=$_lang['e_meeting_detail']?>
		</div>
		<div class="frame-body detai-frame-body">
			<div class="detai-body">
				<div class="title"><?=$_lang['e_meeting_subject']?>:</div>
				<div class="content" id="detail-subject"></div>
				<div class="title"><?=$_lang['e_meeting_begin_time']?>:</div>
				<div class="content" id="detail-beginTime"></div>
				<div class="title"><?=$_lang['e_meeting_end_time']?>:</div>
				<div class="content" id="detail-endTime"></div>
				<div class="title"><?=$_lang['e_meeting_room']?>:</div>
				<div class="content" id="detail-room"></div>
				<div class="title"><?=$_lang['e_meeting_apply_user']?>:</div>
				<div class="content" id="detail-user"></div>
				<div class="title"><?=$_lang['e_meeting_join_user']?>:</div>
				<div class="content" id="detail-joinUser"></div>
				<div class="title"><?=$_lang['e_meeting_other_user']?>:</div>
				<div class="content" id="detail-otherUser"></div>
				<div class="title"><?=$_lang['e_meeting_type']?>:</div>
				<div class="content" id="detail-type"></div>
				<div class="title"><?=$_lang['e_meeting_status']?>:</div>
				<div class="content" id="detail-status"></div>
				<div class="title"><?=$_lang['e_meeting_apply_remark']?>:</div>
				<div class="content" id="detail-remark"></div>
				<div class="title"><?=$_lang['e_meeting_meet_remark']?>:</div>
				<div class="content" id="detail-advise"></div>
				<div class="title"><?=$_lang['e_meeting_apply_idea']?>:</div>
				<div class="content" id="detail-applyAdvise"></div>
				<div class="title"><?=$_lang['e_meeting_attachment']?>:</div>
				<div class="content" id="detail-attachment"></div>
			</div>
		</div>
	</div>
	<div class="search-page" id="search-page">
		<div class="frame-header detail-header">
			<div class="go-list"><img src="<?=IMG_PATH?>meeting/back-1.png" ></div> <div class="back-line"></div>
			<div class="search-form">
<!--				<div class="search-button"><img src="<?=IMG_PATH?>meeting/search.png" width="20px"></div>-->
				<div class="search-input"><input id="keyword" type="text" name="keyword" value="" placeholder="<?=$_lang['e_meeting_search']?>..."></div>
			</div>
		</div>
		<div class="frame-body">
			<div class="lists search-lists" id="search_lists">
				<div class="message-tip"><?=$_lang['e_meeting_search_by_keyword']?>...</div>
			</div>
		</div>
	</div>
	<div class="start-page" id="start-page">
		<div class="frame-header detail-header">
			<div class="go-list"><img src="<?=IMG_PATH?>meeting/back-1.png" ></div> <div class="back-line"></div>会议开始
		</div>
		<div class="frame-body detai-frame-body">
			<div class="detai-body">
				<div class="title"><?=$_lang['e_meeting_meet_remark']?>:</div>
				<div class="content form-content">
					<textarea id="content1"></textarea>
				</div>
				<div class="content form-content">
					<div class="save-button" id="start-submit"><?=$_lang['e_meeting_submit']?></div>
				</div>
			</div>
		</div>
	</div>
	<div class="end-page" id="end-page">
		<div class="frame-header detail-header">
			<div class="go-list"><img src="<?=IMG_PATH?>meeting/back-1.png" ></div> <div class="back-line"></div>会议结束
		</div>
		<div class="frame-body detai-frame-body">
			<div class="detai-body">
				<div class="title"><?=$_lang['e_meeting_m_record']?>:</div>
				<div class="content form-content">
					<textarea id="content2"></textarea>
				</div>
				<div class="content form-content">
					<div class="save-button" id="end-submit"><?=$_lang['e_meeting_submit']?></div>
				</div>
			</div>
		</div>
	</div>
	<script src="<?=JS_PATH?>jquery-1.11.1.min.js"></script>
	<script>
		var windowWidth		= $(window).width();
		var windowHeight	= $(window).height();
		var rooms			= {};
		var users			= {};
		var meetingType		= {};
		$(function(){
			var webClient			= '<?=$_REQUEST["clienttype"]?>';
			var frameBodyMarginTop	= webClient === "Webclient" ?  '100px' : '50px';
			$('.frame-body').css({"margin-top":frameBodyMarginTop,'width':windowWidth,'min-height':windowHeight - 100});
			rooms		= $.parseJSON('<?=$rooms?>');
			users		= $.parseJSON('<?=$users?>');
			meetingType = $.parseJSON('<?=$meetingType?>');
			startMeeting();
			endMeeting();
			initLists();
			initSearch();
			$('.header-button.refresh').click(function(){
				window.location.reload();
			});
		});
		function startMeeting()
		{
			$('#start-submit').click(function(){
				var applyId = $('.operation-group .content').attr('apply-id');
				$.ajax({
					url:'/E-mobile/App/Init.php?sessionkey=<?=$this->_sessionstr?>&m=ajaxBegin_Meeting',
					data:{
						apply_id:applyId,
						content:$('content1').val()
					}
				}).done(function(result){
					var result	= $.parseJSON(result);
					if(result.status == 1){
						tipMsg('<?=$_lang['e_meeting_start_success']?>','success');
						$(".go-list").click();
						getMeetingList(0,'','all','one','init');
					} else {
						tipMsg(result.msg);
					}
				});
			});
		}
		function endMeeting()
		{
			$('#end-submit').click(function(){
				var applyId = $('.operation-group .content').attr('apply-id');
				$.ajax({
					url:'/E-mobile/App/Init.php?sessionkey=<?=$this->_sessionstr?>&m=ajaxEnd_Meeting',
					data:{
						apply_id:applyId,
						content:$('content2').val()
					}
				}).done(function(result){
					var result	= $.parseJSON(result);
					if(result.status == 1){
						tipMsg('<?=$_lang['e_meeting_end_success']?>','success');
						$(".go-list").click();
						getMeetingList(0,'','all','one','init');
					} else {
						tipMsg(result.msg);
					}
				});
			});
		}
		function alertMsg(msg,callback)
		{
			$('.alert-layer').show();
			$('.alert-msg .msg-content').text(msg);
			$('.alert-msg').css({'top':'245px'}).show().animate({'top':'60px'},250);
			var flag = false;	
			$('.msg-ok').click(function(){
				if(flag == true){
					return false;
				}
				flag = true;
				callback();
				$('.alert-layer,.alert-msg').fadeOut();
			});
			var flag2 = false;	
			$('.msg-cancel').click(function(){
				if(flag2 == true){
					return false;
				}
				flag2 = true;
				$('.alert-layer,.alert-msg').fadeOut();
			});
		}
		function tipMsg(msg,type)
		{
			$('.tip-layer').show();
			$('.tip-msg .tip-content').text(msg);
			$('.tip-msg').removeClass('tip-success');
			if(type == 'success'){
				$('.tip-msg').addClass('tip-success');
			}
			$('.tip-msg').css({'top':'245px'}).show().animate({'top':'60px'},250);
			var flag2 = false;	
			$('.tip-close').click(function(){
				if(flag2 == true){
					return false;
				}
				flag2 = true;
				$('.tip-layer,.tip-msg').fadeOut();
			});
			$('.tip-layer,.tip-msg').fadeOut(3000);
		}
		//初始化会议列表
		function initLists() 
		{
			$('.frame-body .lists .list-item .item-right').width(windowWidth - 110);
			$('#one_lists').show();
			initOperation();
			initFilter();
			getMeetingList(0,'','all','one','init');
			pageGoOperation();
			loadMore();
		}
		//初始化列表筛选
		function initFilter()
		{
			$('.nav-button').click(function(){
				$('.lists').hide();
				$('.search-lists').show();
				$('.nav-button-group').animate({'width':'0px','height':'0px'},'fast','',function(){
					$(this).hide();
				});
				$('.nav-button').removeClass('active');
				$(this).addClass('active');
				var id = $(this).attr('id');
				$('#' + id + '_lists').fadeIn();
				if($('#' + id +'_lists').attr('loaded') != '1'){
					var filter = getFilterWord(id);
					getMeetingList(0,'',filter,id,'init');
				} 
			});
			$('.filter').click(function(){
				if($('.nav-button-group').css('display') === 'none'){
					$('.nav-button-group').css({'width':'0px','height':'0px'}).show().animate({'width':'180px','height':'205px'},'fast');
				} else {
					$('.nav-button-group').animate({'width':'0px','height':'0px'},'fast','',function(){
						$(this).hide();
					});
				}
			});
			$('.frame-body').click(function(){
				$('.nav-button-group').animate({'width':'0px','height':'0px'},'fast','',function(){
					$(this).hide();
				});
			});
		}
		function getFilterWord(id)
		{
			var filter = 'all';
			switch(id){
				case 'one':
					filter = 'all';
				break;
				case 'two':
					filter = 'state_wait';
				break;
				case 'three':
					filter = 'state_waiting';
				break;
				case 'four':
					filter = 'state_pass';
				break;
				case 'five':
					filter = 'state_start';
				break;
			}
			return filter;
		}
		function openOperationBox(obj)
		{
			$('.operation-layer').show();
			var applyId = $(obj).attr('meeting-id');
			var status  = $(obj).attr('meeting-status');
			switch(status){
				case 'two-color':
					$('.operation-group .content').html('<div class="operation-button detail-button"><?=$_lang['e_meeting_detail']?></div><div class="operation-button delete-button"><?=$_lang['e_meeting_delete']?></div>');
				break;
				case 'three-color':
					$('.operation-group .content').html('<div class="operation-button detail-button"><?=$_lang['e_meeting_detail']?></div>');
				break;
				case 'four-color':
					//<div class="operation-button record-button"><?=$_lang['e_meeting_m_record']?></div>
					$('.operation-group .content').html('<div class="operation-button detail-button"><?=$_lang['e_meeting_detail']?></div><div class="operation-button start-button"><?=$_lang['e_meeting_start']?></div>');
				break;
				case 'five-color':
					//<div class="operation-button record-button"><?=$_lang['e_meeting_m_record']?></div>
					$('.operation-group .content').html('<div class="operation-button detail-button"><?=$_lang['e_meeting_detail']?></div><div class="operation-button end-button"><?=$_lang['e_meeting_end']?></div>');
				break;
				case 'six-color':
					$('.operation-group .content').html('<div class="operation-button detail-button"><?=$_lang['e_meeting_detail']?></div><div class="operation-button delete-button"><?=$_lang['e_meeting_delete']?></div>');
				break;
				case 'serven-color':
					//<div class="operation-button record-button"><?=$_lang['e_meeting_m_record']?></div>
					$('.operation-group .content').html('<div class="operation-button detail-button"><?=$_lang['e_meeting_detail']?></div><div class="operation-button delete-button"><?=$_lang['e_meeting_delete']?></div>');
				break;
			}
			$('.operation-group .content').attr('apply-id',applyId);
			$('.operation-group').css({'top':'45px'}).show().animate({'top':(windowHeight - 200) / 2},250);
		}
		//初始化列表操作按钮
		function initOperation()
		{
			$('.operation-group').css({'left':((windowWidth-200) / 2)});
			$('.operation-layer,.close-group').on("click",function(){
				 $('.operation-group,.operation-layer').fadeOut();
			});	
			$('.operation-group .content').on({
				click:function(){
					var $this = $(this);
					var applyId = $this.parent().attr('apply-id');
					if(!applyId){
						return;
					}
					$('.operation-group,.operation-layer').hide();
					alertMsg('<?=$_lang['e_meeting_confirm_del_meeting']?>',function(){
						$.ajax({
							url:'/E-mobile/App/Init.php?sessionkey=<?=$this->_sessionstr?>&m=ajaxDelete_Meeting',
							data:{
								applyId:applyId
							}
						}).done(function(result){
							var result	= $.parseJSON(result);
							if(result.status == 1){
								$('#meeting_' + applyId).remove();
								tipMsg('<?=$_lang['e_meeting_delete_success']?>','success');
							} else {
								tipMsg(result.msg);
							}
						});
					});
				}
			},'.delete-button');
			$('.operation-group .content').on({
				click:function(){
					$('.operation-group,.operation-layer,#list').hide();
					$('#start-page').css({'margin-left':'100%'}).show().animate({'margin-left':'0px'},300);
					$('#start-page .frame-header').css({'left':'100%'}).animate({'left':'0px'},300);
				}
			},'.start-button');
			$('.operation-group .content').on({
				click:function(){
					$('.operation-group,.operation-layer,#list').hide();
					$('#end-page').css({'margin-left':'100%'}).show().animate({'margin-left':'0px'},300);
					$('#end-page .frame-header').css({'left':'100%'}).animate({'left':'0px'},300);
				}
			},'.end-button');
		}
		//页面跳转操作
		function pageGoOperation()
		{
			$('.operation-group .content').on({
				click:function(){
					$('.operation-group,.operation-layer,#list,#search-page').hide();
					$('#detail').css({'margin-left':'100%'}).show().animate({'margin-left':'0px'},300);
					$('#detail .frame-header').css({'left':'100%'}).animate({'left':'0px'},300);
					var applyId =$(this).parent().attr('apply-id');
					getDetail(applyId);
				}
			},'.detail-button');
			$(".go-list").on("click",function(){
				$('#detail,#search-page,#end-page,#start-page').hide();
				$('#list').css({'margin-left':'-100%'}).show().animate({'margin-left':'0px'},300);
				$('#list .frame-header').css({'left':'-100%'}).animate({'left':'0px'},300);
			});
			$('.search').click(function(){
				$('.operation-group,.operation-layer,#list').hide();
				$('#search-page').css({'margin-left':'100%'}).show().animate({'margin-left':'0px'},300);
				$('#search-page .frame-header').css({'left':'100%'}).animate({'left':'0px'},300);
				$('#keyword').focus();
			});
		}
		//获取会议详情
		function getDetail(applyId)
		{
			$.ajax({
				url:'/E-mobile/App/Init.php?sessionkey=<?=$this->_sessionstr?>&m=ajaxDetail_Meeting',
				data:{
					applyId:applyId
				}
			}).done(function(result){
				var result	= $.parseJSON(result);
				if(result.status == 0){
					tipMsg(result.msg);
					return;
				}
				var data = result.data;
				var statusText = '';
				switch(data.state){
					case '1':
						if(data.check_time == null){
							statusText = '<?=$_lang['e_meeting_wait']?>';
						} else {
							statusText = '<?=$_lang['e_meeting_waiting']?>';
						}
						break;
					case '2':
						statusText = '<?=$_lang['e_meeting_pass']?>';
						break;
					case '3':
						statusText = '<?=$_lang['e_meeting_no_pass']?>';
						break;
					case '4':
						statusText = '<?=$_lang['e_meeting_starting']?>';
						break;
					case '5':
						statusText = '<?=$_lang['e_meeting_have_end']?>';
						break;
				}
				var joinPerson = data.join_person;
				var jsonPersonName = '';
				if(joinPerson) {
					$.each(joinPerson.split(','),function(k,v){
						if(v){
							jsonPersonName += users[v] + ',';
						}
					});
				}
				$('#detail-subject').text(data.subject);
				$('#detail-beginTime').text(data.begin_time);
				$('#detail-endTime').text(data.end_time);
				$('#detail-room').text(rooms[data.room_id]);
				$('#detail-user').text(users[data.apply_person]);
				$('#detail-joinUser').text(jsonPersonName);
				$('#detail-otherUser').text(data.other);
				$('#detail-type').text(meetingType[data.type]);
				$('#detail-status').text(statusText);
				$('#detail-remark').text(data.remark == null ? '' : data.remark);
				$('#detail-advise').text(data.A_BEGIN_ADVISE == null ? '' : data.A_BEGIN_ADVISE);
				$('#detail-applyAdvise').text(data.apply_advise == null ? '' : data.apply_advise);
				$('#detail-attachment').text(data.ATTACHMENT_NAME);
				$('.detai-body .content').css({'word-break':'break-all'});
			});
		}
		//初始化会议搜索页面
		function initSearch()
		{
			$('.search-form').width(windowWidth - 70);
			$('.search-input').width(windowWidth - 120);
//			$('.search-button').click(function(){
//				var keyword = $("#keyword").val();
//				keyword		= keyword.replace(/(\,$)/g,"");
//				if(keyword == '') {
//					tipMsg('<?=$_lang['e_meeting_empty_keyword']?>');return;
//				}
//				getMeetingList(0,keyword,'all','search','init');
//			});
			$("#keyword").keydown(function(event) {
				if (event.keyCode == "13") {
					var keyword = $("#keyword").val();
					keyword		= keyword.replace(/(\,$)/g,"");
					if(keyword == '') {
						tipMsg('<?=$_lang['e_meeting_empty_keyword']?>');return;
					}
					getMeetingList(0,keyword,'all','search','init');
					//$('.search-button').click();
				}
			});
		}
		//加载更多会议列表
		function loadMore()
		{
			$('body').on({
				click:function(){
					var type = $(this).attr('type-id');
					var page =  $(this).attr('page');
					var filter = getFilterWord(type);
					if(type == 'search'){
						var keyword = $('#keyword').val();
					}
					getMeetingList(page,keyword,filter,type,'more');
				}
			},'.load-more');
		}
		//获取会议列表
		function getMeetingList(page,keyword,filter,type,loadType)
		{
			if(loadType === 'init') {
				$('#'+type+'_lists').html('<div class="loading"><?=$_lang['e_meeting_loading']?>...</div>');
			} else {
				$('#'+type+'_lists').find('.load-more').html('<?=$_lang['e_meeting_loading']?>...');
			}
			$.ajax({
				url:'/E-mobile/App/Init.php?sessionkey=<?=$this->_sessionstr?>&m=ajaxLists_Meeting',
				data:{
					page:page,
					keyword:keyword,
					filter:filter
				}
			}).done(function(result){
				var result	= $.parseJSON(result);
				if(result.status == 0){
					$('#'+type+'_lists').html('<div class="no-data">'+result.msg+'</div>');
					return;
				}
				var parseResult = result.data;
				var size = parseResult.length;
				if(size == 0){
					if(loadType == 'init') {
						$('#'+type+'_lists').html('<div class="no-data"><?=$_lang['e_meeting_no_data']?></div>');
					} else {
						$('#'+type+'_lists').find('.load-more').remove();
						$('#'+type+'_lists').append('<div class="no-data"><?=$_lang['e_meeting_no_more_data']?></div>');
					}
					return;
				}
				var html = '';
				$.each(parseResult,function(k,v){
					var status = '';
					var statusText = '';
					switch(v.state){
						case '1':
							if(v.check_time == null){
								status = 'two-color';
								statusText = '<?=$_lang['e_meeting_wait']?>';
							} else {
								status = 'three-color';
								statusText = '<?=$_lang['e_meeting_waiting']?>';
							}
							break;
						case '2':
							status = 'four-color';
							statusText = '<?=$_lang['e_meeting_pass']?>';
							break;
						case '3':
							status = 'six-color';
							statusText = '<?=$_lang['e_meeting_no_pass']?>';
							break;
						case '4':
							status = 'five-color';
							statusText = '<?=$_lang['e_meeting_starting']?>';
							break;
						case '5':
							status = 'serven-color';
							statusText = '<?=$_lang['e_meeting_have_end']?>';
							break;
					}
					var beginDateTime = v.begin_time;
					var beginDateTimeArray = beginDateTime.split(' ');
					var beginTime	= beginDateTimeArray[1].split(':');
					html += '<div class="list-item" id="meeting_'+v.apply_id+'">\
						<div class="item-left">\
							<p class="meeting-date">'+beginDateTimeArray[0]+'</p>\
							<p class="meeting-time">'+beginTime[0]+':'+beginTime[1]+'</p>\
							<div class="meeting-circle '+status+'"></div>\
						</div>\
						<div class="item-right">\
							<div class="right-content" meeting-id="'+v.apply_id+'" meeting-status="'+status+'" onclick="javascript:openOperationBox(this);">\
								<img class="img" src="<?=IMG_PATH?>meeting/left.png">\
								<div class="top">'+v.subject+'</div>\
								<div class="bottom">\
									<div class="bottom-inner"><img src="<?=IMG_PATH?>meeting/user.png">'+users[v.apply_person]+'</div>\
									<div class="bottom-inner"><img src="<?=IMG_PATH?>meeting/dingwei.png">'+rooms[v.room_id]+'</div>\
									<div class="meeting-status '+status+'">\
										'+statusText+'\
									</div>\
								</div>\
							</div>\
						</div>\
					</div>';
				});
				if(loadType == 'init') {
					$('#'+type+'_lists').attr('loaded','1').html('<div class="v-line"></div>').append(html);
				} else {
					$('#'+type+'_lists').find('.load-more').remove();
					$('#'+type+'_lists').append(html);
				}
				if(size == 10) {
					$('#'+type+'_lists').append('<div class="load-more" type-id="'+type+'" page="'+(parseInt(page) + 1)+'">加载更多</div>');
				}
				$('.frame-body .lists .list-item .item-right').width(windowWidth - 110);
			});
		}
	</script>
</body>
</html>