<?php

include 'inc/conn.php';
include_once('inc/utility_all.php');
include_once 'inc/AppGlobal.php';
include_once ("api/attend.class.php");
include_once("attendance.class.php");
include_once("E-mobile/App/Ajax/function_common.php");

$uid = $_GET["uid"];
$attend = new Attendance($uid);
$signInStatus = 0;
$signInTime = "";
$signOutStatus = 0;
$signOutTime = "";

switch ($_GET["type"]) {
    case "getAddr":

        //获取地址的同时 判断是签到还是签退
        $attend = new attend();
        $params = array('thisDay' => date("Y-m-d", time()), 'userId' => $uid);
        $dutyMsg = $attend->getDutyDayMessage($params);
        if ($dutyMsg) {
            //已签到
            $signInStatus = 1;
            $signInTime = "签到时间：" . date("Y-m-d H:i:s", $dutyMsg["SIGN_IN_TIME"]);
            //签退信息 //SIGN_OUT_TIME
            if ($dutyMsg["SIGN_OUT_TIME"] == 0) {
                $signOutStatus = 0;
            } else {
                $signOutStatus = 1;
                $signOutTime = "上次签退：" . date("Y-m-d H:i:s", $dutyMsg["SIGN_OUT_TIME"]);
            }
        }


        $la = $_GET["long"] . "," . $_GET["lati"];
        $url = "http://restapi.amap.com/v3/geocode/regeo?key=5ebce8b635131d2e273c5287b877c6bc&location=$la";

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        $res = curl_exec($ch);
        curl_close($ch);
        $infoList = json_decode($res, true);
        if (isset($infoList["status"]) && $infoList["status"] == 1) {
            if (isset($infoList["regeocode"]["formatted_address"])) {

                $dutyData = array(
                    'status' => 1,
                    'signInStatus' => $signInStatus,
                    'signInTime' => $signInTime,
                    'signOutStatus' => $signOutStatus,
                    'signOutTime' => $signOutTime,
                    'address' => $infoList["regeocode"]["formatted_address"],
                );
                echo json_encode($dutyData);
            } else {

                $dutyData = array(
                    'status' => 0,
                    'error' => "没有定位相关地址，请刷新重试！",
                );
                echo json_encode($dutyData);
            }
        } else {
            $dutyData = array(
                'status' => 0,
                'error' => $infoList["info"] . $infoList["infocode"]
            );
            echo json_encode($dutyData);
        }
        break;
    case "signIn":
        $attend->signIn();

        break;
    case "signOut":
        //全部定点操作
        $attend->signOut();
        break;

    case "dutyIn":
        $attend->dutyIn();

        break;
    case "dutyOut":
        $attend->dutyOut();

        break;

    case "uploadImg":
        //是否登录之类的验证 略
        $photo = $_FILES["upload_quwan"];

        $attachid = time();
        // custom_check_img($photo);
         custom_checkpath(ROOT_PATH . 'general/outImgs/' . $attachid);
        //custom_checkpath('outImgs/' . $attachid);
        $ext_temp = path_info($photo["name"]);
        $denyType = array('jpeg', 'png', 'jpg', 'gif');
        if (!in_array($ext_temp['extension'], $denyType)) {
            custom_echo($flag = 0, "Error: 格式不支持");

            $dutyData = array(
                'status' => 0,
                'msg' => "Error: 格式不支持,支持jpeg/jpg/png/gif格式"
            );
            echo json_encode($dutyData);
        }

        $ext = strtolower($ext_temp['extension']) == 'jpeg' ? 'jpg' : strtolower($ext_temp['extension']);

        $new_name = $ext_temp['filename'] . '.' . $ext;
        $file = ROOT_PATH . 'general/outImgs/'. $attachid."/".$new_name;
    
        //imagepng($file,null,2);
        move_uploaded_file($photo["tmp_name"], iconv("UTF-8", "gb2312", $file));
        //保存数据
        $file = str_replace(ROOT_PATH, "/", $file);  
        
        $dutyData = array(
            'status' => 1,
            'msg' => $new_name,
            'file' => $file,
            'attachid' => $attachid
        );
        echo json_encode($dutyData);

        break;
}




