<?php
require_once "general/dingtalk/api/dingtalk.class.php";

$dingtalk = new dingtalk();
$result = $dingtalk->getDingTalk();
$agentId = $result["agentid"];

$jsapi = $dingtalk->getConfig($agentId);
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" name="viewport" />
        <meta content="yes" name="apple-mobile-web-app-capable" />
        <meta content="black" name="apple-mobile-web-app-status-bar-style" />
        <meta content="telephone=no" name="format-detection" />
        <title>考勤-签到签退</title>
        <script type="text/javascript" src="http://webapi.amap.com/maps?v=1.3&key=98688a44ee2727b15b47b0765978dc87"></script>
        <script type="text/javascript" src="http://cache.amap.com/lbs/static/addToolbar.js"></script>
        <script type="text/javascript" src="https://g.alicdn.com/ilw/ding/0.8.9/scripts/dingtalk.js"></script>
        <!--jQuery类库-->
        <script type="text/javascript" src="/inc/jquery/jquery.js"></script>
        <script type="text/javascript">
                    var lati;
                    var long;
                    var map;
                    var marker;
                    dd.config({
                    agentId: "<?= $jsapi["agentId"] ?>",
                            corpId: "<?= $jsapi["corpId"] ?>",
                            timeStamp: "<?= $jsapi["timeStamp"] ?>",
                            nonceStr: "<?= $jsapi["nonceStr"] ?>",
                            signature: "<?= $jsapi["signature"] ?>",
                            jsApiList: [
                                    'runtime.info',
                                    'device.geolocation.get',
                                    'biz.chat.open',
                                    'biz.util.open',
                                    'biz.user.get',
                                    'biz.contact.choose',
                                    'biz.telephone.call',
                                    'biz.ding.post',
                                    'biz.map.locate',
                                    'biz.map.view',
                                    'biz.util.uploadImage']
                   });
                    dd.ready(function () {
                            getLatLong();
                    });
                    
                    
                    function getLatLong() {

                      dd.device.geolocation.get({
                              targetAccuracy : 200,
                            coordinate : 1,
                            withReGeocode : false,
                            onSuccess : function(res) {
                                 
                                    lati = res.latitude; // 纬度，浮点数，范围为90 ~ -90
                                    long = res.longitude; // 经度，浮点数，范围为180 ~ -180。

                                    map = new AMap.Map("container", {
                                    zoom: 16,
                                            center: [long, lati]
                                    });
                                    map.plugin(['AMap.ToolBar'], function () {
                                        //设置地位标记为自定义标记
                                        var toolBar = new AMap.ToolBar();
                                        map.addControl(toolBar);
                                    });
                                    marker = new AMap.Marker({
                                    map: map,
                                            position: [long, lati]
                                    })
                                    

                                    $.ajax({
                                             url: 'Sign/View/attendance.php?uid=<?php echo $uid; ?>',
                                            data: {long: long, lati: lati, type: "getAddr"},
                                            success: function (result) {
                                            var object = $.parseJSON(result);
                                                    if (object.status == 0) {
                                            alert(object.error);
                                                    return false;
                                            } else {
                                            $("#tip2").html(object.address);
                                                    if (object.signInStatus == 1) {
                                            $("#tip").html(object.signInTime);
                                                    $("#tip3").html("<div  onclick='signOut()'>签退</div>");
                                                                    if (object.signOutStatus == 1) {
                                                                        $("#tip4").html(object.signOutTime);
                                                                    } else {
                                                                        $("#tip4").hide();
                                                                    }
                                                                } else {
                                                                    $("#tip4").hide();
                                                    $("#tip").hide();
                                                    $("#tip3").html("<div  onclick='signIn()'>签到</div>");
                                            }


                                            }




                                            }
                                    });
                            },
                            onFail : function(err) {}
                    });
                    }


            function signIn() {
            var latlng = lati + "," + long;
                    var addr = $("#tip2").html();
                    $.ajax({
                    url: 'Sign/View/attendance.php?uid=<?php echo $uid; ?>',
                            data: {latlng: latlng, addr: addr, type: "signIn"},
                            success: function (result) {
                            var object = $.parseJSON(result);
                                    if (object.result == "Failure") {
                            alert(object.error);
                                    return false;
                            } else {
                            alert(object.msg);
                                    $("#tip").show();
                                    $("#tip").html(object.signInTime);
                                    $("#tip3").html("<div  onclick='signOut()'>签退</div>");
                            }
                            }
                    });
            }

            function signOut() {
            var latlng = lati + "," + long;
                    var addr = $("#tip2").html();
                    $.ajax({
                    url: 'Sign/View/attendance.php?uid=<?php echo $uid; ?>',
                            data: {latlng: latlng, addr: addr, type: "signOut"},
                            success: function (result) {

                            var object = $.parseJSON(result);
                                    if (object.result == "Failure") {
                            alert(object.error);
                            } else {
                            alert(object.msg);
                                    $("#tip").show();
                                    $("#tip4").show();
                                    $("#tip4").html(object.signOutTime);
                                    $("#tip3").html("<div  onclick='signOut()'>签退</div>");
                            }


                            }
                    });
            }
        </script>
    
         <style>
            html, body {
                margin: 0;
            }

            #container {
                width: 100%;
                height: 320px;
            }

            #tip {
                background-color: #0092ef;
                padding-left: 10px;
                padding-right: 10px;
                position: absolute;
                font-size: 12px;
                color:#fff;
                left: 10px;
                top: 250px;
                border-radius: 3px;
                border: 1px solid #ccc;
                line-height: 30px;
                z-index:100;
            }
            #tip4 {
                background-color: #0092ef;
                padding-left: 10px;
                padding-right: 10px;
                position: absolute;
                font-size: 12px;
                left: 10px;
                color:#fff;
                top: 280px;
                border-radius: 3px;
                border: 1px solid #ccc;
                line-height: 30px;
                z-index:100;
            }
            #tip1 {
                background-color: #fff;
                width:100%;
                padding-left: 10px;
                padding-right: 10px;
                position: absolute;
                font-size: 12px;
                left: 10px;
                top: 320px;
                border-bottom: 1px solid #ccc;
                line-height: 30px;
            }
            #tip2 {
                background-color: #fff;
                padding-left: 10px;
                padding-right: 10px;
                position: absolute;
                font-size: 11px;
                width:100%;
                left: 10px;
                top: 360px;
                border-bottom: 1px solid #ccc;
                line-height: 30px;
            }
            #tip3 {
                background-color: #0092ef;
                width:200px;
                left:50%;
                margin-left:-100px;
                color:#fff;
                text-align:center;
                position: absolute;
                font-size: 16px;
                bottom: 10px;
                line-height: 50px;
            }


        </style>
        </head>
    <body>
       
        <div id='container'></div>
        <!--        //签到-->
        <div id="tip"></div> 
        <!--        签退-->
        <div id="tip4"></div>
        <div id="tip1">
            <?php
            $weekarray = array("日", "一", "二", "三", "四", "五", "六");
            echo date("Y-m-d", time()), "星期" . $weekarray[date("w")];
            ?>
        </div>
        <div id="tip2"></div>
        <div id="tip3">
        </div>
        
    </body>
</html>