<?
    include_once('E-mobile/constant.php'); 
    include_once("lang/".LOGIN_LANG."/emobile.lang.php");
	$PAGE_TITLE = '';
	include(INCLUDE_APP_PATH."Common/Layout/CommonPageHeader.php");
?>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>style.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>home.css"/>
<link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>addr.css"/>
<body>
<div class="main-frame">
    <div class="frame-body">
        <div class="work_flow">
            <?php if($result){?>
            <div class="todo_header">
                <div class="search_div">
                    <div class="search_input">
                        <input type="text" id="workflow_key" class="text_input" value="">
                        <input type="hidden" id="workflow_hidden" class="text_input" value="">
                    </div>
                    <div class="search_button" id="search_todo"></div> 
                </div>       
            </div>
            <div class="todo_list" style="margin-bottom:40px;">
                <?php foreach ($result['list'] as $key => $value){?>
                <a href="<?=APP_PATH?>Init.php?m=view_ToDo_Flow&target=home&sessionkey=<?=$sessionstr?>&detailid=<?=$value['id']?>" >
                    <div class="flow_icon" style="background:url('<?=$value['image']?>')no-repeat;background-size:50px;"></div>
                    <div class="flow_content">
                        <div class="flow_content_top"><?=$value['subject']?></div>
                        <div class="flow_content_bottom"><?=$value['description']?></div>  
                    </div>
                    <?php if($value['isnew'] == 1){?>
                    <div class="is_new"></div>
                    <?php }?>
                </a>
                <?php }?>
                <?php if($result['list']){?>
                    <div class="load_more" page="1"><?=$_lang['emobile_common_system_init_loadmore']?></div>
                <?php }else{?>
                    <div class="error_label"><?=$_lang['emobile_common_system_init_nodo']?></div>
                <?php }?>
            </div>
            <?php }else{?>
            <div class="error_label"><?=$_lang['emobile_common_system_init_nodo']?></div>
        <?php }?>
        </div>
        <div class="address">
            <div class="pinyin"></div>
            <div class="addr_list">
              
            </div>
        </div>
    </div>
    <div class="frame-footer">
        <div class="footer_button active" style="margin-left:20%;">
			<div class="flow_button_icon"></div>
			<a href="javascript:void(0);" id='workflow'><?=$_lang['emobile_weixin_pannel_view_menu_dblc']?></a>
		</div>
        <div class="footer_button">
			<div class="address_button_icon"></div>
			<a href="javascript:void(0);" id='address'><?=$_lang['emobile_weixin_pannel_view_menu_txl']?></a>
		</div>
    </div>
</div>
<script type="text/javascript" src="<?=JS_PATH?>jquery.min.js"></script>
<script>
$(function(){
    var winWidth = $(window).width();
    var winHeight  = $(window).height();
    $('.main-frame').width(winWidth);
    $('.main-frame').height(winHeight);
	$('.flow_content').width(winWidth - 60);
    $('.frame-body').height(winHeight-40);
    $('.pinyin').height(winHeight-40);
    $('#workflow').click(function(){
        $('.footer_button').removeClass('active');
        $(this).parent().addClass('active');
        $('.footer_button a').css('color','grey');
        $(this).css('color','#1898FD');
        $('.address').hide();
        $('.work_flow').show();
    });
    $('#address').click(function(){
        $('.footer_button').removeClass('active');
        $(this).parent().addClass('active');
        $('.footer_button a').css('color','grey');
        $(this).css('color','#1898FD');
        if($(this).attr('load') != 1){
            var pinyin = ['#','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z']
            var pinHtml = '';
            $.each(pinyin,function(i,e){
                i=e;
                pinHtml += '<div class="pinyin_item" word="'+e+'"><a href="#'+i+'">'+e+'</a></div>';
            });
            $('.pinyin').html(pinHtml);
            $.ajax({
               url:'<?=APP_PATH?>Init.php?m=getAddrLists_Home_System&sessionkey=<?=$sessionstr?>', 
               data:{
                   userId:'<?=$userid?>'
               }
            }).done(function(result){
                var parseResult = $.parseJSON(result);
                var html = '';
                $.each(parseResult,function(i,e){
                    html += '<a name="'+i+'">'+i+'</a>';
                    if(e.length > 0){
                        $.each(e,function(k,v){
                            var operationHtml = '';
                            var telephone = '';
                            if(v.Mobile){
                                telephone = v.Mobile
                                operationHtml = '<div class="sms_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-sms.png" style="margin-top:15px;margin-right:10px;"></div>\
                                                <div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                            }else if(v.Work_Tel){
                                telephone = v.Work_Tel
                                operationHtml = '<div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                            }else if(v.Home_Tel){
                                telephone = v.Home_Tel
                                operationHtml = '<div class="tel_home" tel="'+telephone+'"><img src="<?=IMG_PATH?>/common/iconfont-telephone.png" style="margin-top:15px;margin-right:10px;"></div>';
                            }
                            html +='<div class="addr_item" addr_id="'+v.ID+'" ontouchstart="touchStart(event);" ontouchmove="touchMove(event);" ontouchend="touchEnd(event,this);">\
                                    <div class="item_left" style="background:url(\''+v.image+'\')-16px -3px  no-repeat;background-size:80px 80px;"></div>\
                                    <div class="item_right">\
                                        <div class="right_top">'+v.Name+'</div>\
                                        <div class="right_bottom">'+telephone+'&nbsp;&nbsp;'+v.GroupName+'</div>\
                                    </div>\
                                    <div class="operation" style="z-index:1100;">'+operationHtml+'</div>\
                                </div>';
                        });
                    }
                });
                $('.addr_list').html(html);
            });
            $(this).attr('load',1);
        }
        $('.work_flow ').hide();
        $('.address').show();
    });
    $('.address .pinyin').on({
        mouseenter:function(){
            $(this).css({'text-indent':'0px','color':'#1898FD','font-weight':'bold'})
            $(this).children('a').css('color','#1898FD')
        },
        mouseleave:function(){
            $(this).css({'text-indent':'15px','color':'grey','font-weight':''})
            $(this).children('a').css('color','grey')
        },
        click:function(){
            var word = $(this).attr('word');
        }
    },'.pinyin_item');
    $('.todo_list').on({
        click:function(){
            var page = parseInt($(this).attr('page')) + 1;
            var keyword = $('#workflow_hidden').val();
            $.ajax({
                url:'<?=APP_PATH?>Init.php?m=getFlowLists_Home_System&sessionkey=<?=$sessionstr?>',
                data:{
                    userId:'<?=$userid?>',
                    pageindex:page,
                    keyword:keyword
                }
            }).done(function(result){
                if(result == 0){
                    $('.todo_list .load_more').remove();
                    $('.todo_list').append('<div class="error_label"><?=$_lang['emobile_common_system_init_nodo']?></div>');
                    return false; 
                }
                var parseResult = $.parseJSON(result);
                var html = '';
                $.each(parseResult,function(k,v){
                    var isNew = '';
                    if(v.isnew == 1){
                        isNew = '<div class="is_new"></div>';
                    }
                    html +='<a href="<?=APP_PATH?>Init.php?m=view_ToDo_Flow&target=home&sessionkey=<?=$sessionstr?>&detailid='+v.id+'" >\
                    <div class="flow_icon" style="background:url(\''+v.image+'\')no-repeat;background-size:50px;"></div>\
                    <div class="flow_content">\
                        <div class="flow_content_top">'+v.subject+'</div>\
                        <div class="flow_content_bottom">'+v.description+'</div>\
                    </div>'+isNew+'</a>';
                });
                $('.todo_list .load_more').remove();
                html += '<div class="load_more" page="'+page+'"><?=$_lang['emobile_common_system_init_loadmore']?></div>';
                $('.todo_list').append(html);
				$('.flow_content').width(winWidth - 60);
            });
        }
    },'.load_more');
    //打电话发短信
    $('.addr_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'sms:'+telephone;
            return false;
        }
    },'.sms_home');
    $('.addr_list').on({
        click: function(){
            var telephone = $(this).attr('tel');
            location.href = 'tel:'+telephone;
            return false;
        }
    },'.tel_home');
    
     //进入查看详情
    $('body').on({
        click: function(){
            var addr_id = $(this).attr('addr_id');
            location.href = '<?=APP_PATH?>Init.php?m=view_Addr&flag=home&detailid='+addr_id+'&sessionkey=<?=$sessionkey?>';
        }
    },'.addr_item');
    $("#workflow_key").keydown(function(event) {
		if (event.keyCode == "13") {
			$('#search_todo').click();
		}
	});
    //搜索
    $('#search_todo').click(function(){
        var keyword = $('#workflow_key').val();
		keyword		= keyword.replace(/(\,$)/g,"");
		if(keyword == '') {
			alert('<?=$_lang['e_flow_enter_flow_title']?>');return;
		}
        $.ajax({
			url:'<?=APP_PATH?>Init.php?m=getFlowLists_Home_System&sessionkey=<?=$sessionstr?>',
			data:{
				userId:'<?=$userid?>',
				keyword:keyword
			}
		}).done(function(result){
			$('#workflow_hidden').val(keyword);
			if(result == 0){
				$('.todo_list').html('<div class="error_label"><?=$_lang['emobile_common_system_init_notodo']?></div>');
				return ; 
			}
			var parseResult = $.parseJSON(result);
			var html = '';
			$.each(parseResult,function(k,v){
				var isNew = '';
				if(v.isnew == 1){
					isNew = '<div class="is_new"></div>';
				}
				html +='<a href="<?=APP_PATH?>Init.php?m=view_ToDo_Flow&target=home&sessionkey=<?=$sessionstr?>&detailid='+v.id+'" >\
				<div class="flow_icon"  style="background:url(\''+v.image+'\')no-repeat;background-size:50px;"></div>\
				<div class="flow_content">\
					<div class="flow_content_top">'+v.subject+'</div>\
					<div class="flow_content_bottom">'+v.description+'</div>\
				</div>'+isNew+'</a>';
			});
			$('.todo_list .load_more').remove();
			html += '<div class="load_more" page="1"><?=$_lang['emobile_common_system_init_loadmore']?></div>';
			$('.todo_list').html(html);
			$('.flow_content').width(winWidth - 60);
		});
    });
});
//触摸滑动显示操作按钮
var startX = 0,curX = 0;
function touchStart(event){
    startX = event.touches[0].pageX;
}
function touchMove(event){
    curX = event.targetTouches[0].pageX - startX;
}
function touchEnd(event,obj){
    if(curX > 40 ){
        $(obj).find('.operation').hide();
		$('.pinyin').show();
    }
    if(curX < -40){
        $('.operation').hide();
		$('.pinyin').hide();
        $(obj).find('.operation').css('z-index',1100).show();
    }
    startX = 0;
    curX  = 0;
}
</script>
</body>
</html>
