<?php
include_once('E-mobile/constant.php'); 
include_once("lang/".LOGIN_LANG."/emobile.lang.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
        <title><?=$_lang['emobile_common_system_user_center']?></title>
        <link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>newstyle.css"/>
        <link rel="stylesheet" type="text/css" href="<?=CSS_PATH?>home.css"/>
        <script type="text/javascript" src="<?=JS_PATH?>jquery.js"></script>
        <script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
    </head>
    <script>
        $(function(){
            $("#pageback").click(function() {
                history.go(-1)
            });
            
            $('#open-close').click(function(){
                if($('#table2').css('display') == 'none'){
                    $('#table2').slideDown('show');
                    $('.open-close').text('<?=$_lang['emobile_common_system_dispaly_hide']?>');
                }else{
                    $('#table2').slideUp('hide');
                    $('.open-close').text('<?=$_lang['emobile_common_system_dispaly_show']?>');
                }
            });
            
            $('#user-info').click(function(){
                $('.user-bar-item').removeClass('active');
                $(this).addClass('active'); 
                $('.user-info').slideDown('show');
                $('.password-info').slideUp('hide');
            });
            $('#password-info').click(function(){
                $('.user-bar-item').removeClass('active');
                $(this).addClass('active'); 
                $('.password-info').slideDown('show');
                $('.user-info').slideUp('hide');
            });
            
            $('#save-userinfo').click(function(){
                if($('#USER_NAME').val()=="")
                { 
                    alert('<?=$_lang['emobile_common_system_empty_username']?>');
                    return (false);
                }
                $('#form1').ajaxSubmit(function(data) {
                    alert('<?=$_lang['emobile_common_root_saveOK']?>');
                    location.reload();;
                });
            });
            $('#save-password').click(function(){
                $('#form2').ajaxSubmit({
                    success : function(returnData){
                        if(returnData != "success"){
                            alert(returnData);
                        }else{
                            alert('<?=$_lang['emobile_common_root_saveOK']?>')
                            location.reload();
                            $('#password-info').click();
                        }
                    }
                });
            })
        });
    </script>
    <style>
        body{
            background: #fff;
        }
        .user-bar{
            float:left;
            width:100%;
            height:40px;
            background:#5BC0DE;
            color:#fff;
            font-size:14px;
            line-height: 40px;
        }
        .user-bar-item{
            float:left;
            width:30%;
            height:40px;
            text-align: center;
        }
        .user-bar-item.active{
            background: #2E9DBF;
        }
        .info-header{
            float:left;
            width:100%;
            height:30px;
            background:#bdbdbd;
            color:#1898FD;
            font-size:14px;
            line-height: 30px;
            text-indent: 10px;
            margin-top:5px;
        }
        .user-info table,.password-info table{
            float:left;
            width:100%;
            margin-bottom:10px;
            border:none;
        }
        .user-info table tr td,.password-info table tr td{
            border-bottom:1px solid #eaeaea;
            border-left:1px solid #eaeaea;
            text-indent: 10px;
            height:40px;
        }
        .user-info .input-text,.password-info .input-text{
            height:30px;
            width:80%;
            border:1px solid #eaeaea;
        }
        .open-close{
            float:right;
            height:30px;
            width:50px;
            text-align: center;
            line-height: 30px;
        }
        .info-footer{
            width:100%;
            position: fixed;
            background: #EAEAEA;
            left:0px;
            bottom:0px;
            text-align: center;
            font-size: 14px;
            line-height: 40px;
            color:#2E9DBF;
            height:40px;
        }
    </style>
    <body>
        <div class="main-frame">
            <?php if($_REQUEST["clienttype"]=="Webclient"){?>
            <table border="0" cellpadding="0" cellspacing="0" class="page-top-bg">
                <tr>
                    <td width="10%" valign="middle" style="padding-left:5px;">
                        <div id="pageback" class="page-top-button"><?=$_lang['emobile_Upload_view_back']?></div>
                    </td>
                    <td align="center" valign="middle">
                        <div class="page-top-text"><?=$_lang['emobile_common_system_user_center']?></div>
                    </td>
                    <td width="10%" valign="middle" style="padding-right:5px;"></td>
                </tr>
            </table>
            <?php }?>
            <div class="user-bar">
                <div class="user-bar-item active" id="user-info"><?=$_lang['emobile_common_system_user_info']?></div>
                <div class="user-bar-item" id="password-info"><?=$_lang['emobile_common_system_user_modypdw']?></div>
            </div>
            <div class="user-info">
                <form action="<?=APP_PATH?>Init.php?m=updateUserInfo_Home_System&userId=<?=$userid?>&sessionkey=<?=$sessionstr?>" method="post" id="form1">
                <div class="info-header"><?=$_lang['emobile_common_system_basic_user']?></div>
                <table cellpadding="0px" cellspacing="0px" id="table1">
                    <tr><td width="25%"><?=$_lang['emobile_common_system_user_account']?></td><td><?=$userInfo['USER_ACCOUNTS']?></td></tr>
                    <tr><td><?=$_lang['emobile_common_system_user_name']?></td><td><input class="input-text" type="text" id="USER_NAME" name="USER_NAME" value="<?=$userInfo['USER_NAME']?>"></td></tr>
                    <tr><td><?=$_lang['emobile_common_system_user_gender']?></td>
                        <td>
                            <input type="radio" name="SEX" class="sex" value="0" <?php if($userInfo['SEX'] == 0){?>checked<?php }?>>&nbsp;<?=$_lang['emobile_common_system_user_male']?>
                            <input type="radio" name="SEX" class="sex" value="1" <?php if($userInfo['SEX'] == 1){?>checked<?php }?>>&nbsp;<?=$_lang['emobile_common_system_user_female']?>
                        </td>
                    </tr>
                    <tr><td><?=$_lang['emobile_common_system_user_brith']?></td><td><input class="input-text" style="float:left;margin-left: 10px;margin-top:5px;" type="text" id="BIRTHDAY" name="BIRTHDAY" value="<?=$userInfo['BIRTHDAY']?>"><span style="margin-top:5px;color:red;width:80%;float:left;margin-bottom: 5px;"><?=$_lang['emobile_common_system_dataformat']?>：xxxx-xx-xx</span></td></tr>
                    <tr><td><?=$_lang['emobile_common_system_dwdh']?></td><td><input class="input-text" type="text" name="TEL_NO_DEPT" id="TEL_NO_DEPT" value="<?=$userInfo['TEL_NO_DEPT']?>"></td></tr>
                    <tr><td><?=$_lang['emobile_common_system_dwcz']?></td><td><input class="input-text" type="text" name="FAX_NO_DEPT" id="FAX_NO_DEPT" value="<?=$userInfo['FAX_NO_DEPT']?>"></td></tr>
                </table>
                <div class="info-header" id="open-close"><?=$_lang['emobile_common_system_user_gjxx']?><div class="open-close"><?=$_lang['emobile_common_system_dispaly_show']?></div></div>
                <table cellpadding="0px" cellspacing="0px" style="display:none;" id="table2" >
                    <tr><td  width="25%"><?=$_lang['emobile_common_system_home_email']?></td><td><input class="input-text" type="text" name="POST_NO_HOME" id="POST_NO_HOME" value="<?=$userInfo['POST_NO_HOME']?>"></td></tr>
                    <tr><td><?=$_lang['emobile_common_system_home_tel']?></td><td><input class="input-text" type="text" name="TEL_NO_HOME" id="TEL_NO_HOME" value="<?=$userInfo['TEL_NO_HOME']?>"></td></tr>
                    <tr><td><?=$_lang['emobile_common_system_user_tel']?></td><td><input class="input-text" type="text" name="MOBIL_NO" id="MOBIL_NO" value="<?=$userInfo['MOBIL_NO']?>"></td></tr>
                    <tr><td>微信号</td><td><input class="input-text" type="text" name="BP_NO" id="BP_NO" value="<?=$userInfo['BP_NO']?>"></td></tr>
                    <tr><td><?=$_lang['emobile_create_view_email']?></td><td><input class="input-text" type="text" name="EMAIL" id="EMAIL" value="<?=$userInfo['EMAIL']?>"></td></tr>
                    <tr><td>QQ</td><td><input class="input-text" type="text" name="OICQ_NO" id="OICQ_NO" value="<?=$userInfo['OICQ_NO']?>"></td></tr>
                    <tr><td>MSN</td><td><input class="input-text" type="text" name="MSN" id="MSN" value="<?=$userInfo['MSN']?>"></td></tr>
                    <tr><td><?=$_lang['emobile_common_system_home_addr']?></td><td><input class="input-text" type="text" name="ADD_HOME" id="ADD_HOME" value="<?=$userInfo['ADD_HOME']?>"></td></tr>
					<tr><td>其他</td><td><input class="input-text" type="text" name="ICQ_NO" id="ICQ_NO" value="<?=$userInfo['ICQ_NO']?>"></td></tr>
                </table>
                <div style="height: 50px;width:100%;float:left;"></div>
                <div class="info-footer" id="save-userinfo"><?=$_lang['emobile_common_system_user_save']?></div>
                </form>
            </div>
            <div class="password-info" style="display: none;">
                <form action="<?=APP_PATH?>Init.php?m=updateUserPass_Home_System&userId=<?=$userid?>&sessionkey=<?=$sessionstr?>" method="post" id="form2">
                    <div class="info-header"><?=$_lang['emobile_common_system_user_modypdw']?></div>
                    <table cellpadding="0px" cellspacing="0px" id="table3"> 
                        <tr><td width="34%"><?=$_lang['emobile_common_system_user_account']?></td><td><?=$userInfo['USER_ACCOUNTS']?></td></tr>
                        <tr><td><?=$_lang['emobile_common_system_old_pwd']?></td><td><input class="input-text" type="password"  name="PASS0" id="PASS0" value=""></td></tr>
                        <tr><td><?=$_lang['emobile_common_system_new_pwd']?></td><td><input class="input-text" type="password"  name="PASS1" id="PASS1" value=""></td></tr>
                        <tr><td><?=$_lang['emobile_common_system_OK_pwd']?></td><td><input class="input-text" type="password"  name="PASS2" id="PASS2"value=""></td></tr>
                        <tr><td><?=$_lang['emobile_common_system_modity_time_once']?></td><td><?=$userInfo['LAST_PASS_TIME']?></td></tr>
                    </table>
                    <div style="float:left;background: #F2DEDE;width:90%;margin-left:5%;border:1px solid #EBCCD1;height:40px;line-height: 40px;color:#A94442;text-indent: 10px;">
                        <span style="font-weight: bold"><?=$_lang['emobile_common_system_notice']?>:&nbsp;</span><?=$_lang['emobile_common_system_notice_msg']?>
                    </div>
                    <div style="height: 50px;width:100%;float:left;"></div>
                    <div class="info-footer" id="save-password"><?=$_lang['emobile_common_system_user_save']?></div>
                </form>
            </div>
        </div>
    </body>
</html>
