<?php
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice8.0
 * @name      webroot/E-mobile/Data/flow_data.php
 * @function  待办流程数据返回       
 * @version   1.0 
 * @author    liuqingyu
 */
include_once("api/list.class.php");
include_once("api/flow.class.php");
include_once("api/user.class.php");
include_once("inc/function_page_01.php");
include_once ("api/FlowEmobileList.class.php");
class WorkCenterProxy{
    public function __construct() {
        ;
    }
    public function lists(){
		$pageindex  = request_var("pageindex",1);
		$pagesize   = request_var("pagesize",15);
		$keyword    = request_var("keyword",'');
		$keyword    = urldecode($keyword);
		$sessionstr = request_var("sessionkey");
		$strexplode = explode("_",$sessionstr);
		$cursession = $strexplode[0];
		$userid     = $strexplode[1];
		//验证sessionkey
	    $check      = CheckSessionKeys($cursession);
	    if($check)
	    {
	    	$result     = array();
			//验证菜单权限
			if(CheckMenuPriv($userid,"todoflow"))
			{
				$currindex  = GetCurrPageIndex($pageindex,$pagesize);
				$type   = array("TYPE"=>"to_do_list","CONSTAINLIST"=>"1");
				$search = array("USER_ID"=>$userid,"FLOW_NAME"=>$keyword);
				$page   = array("PAGINATIONOFFSET"=>$currindex,"PAGINATIONROWS"=>$pagesize,"SORTFIELD"=>"TRANSACT_TIME","SORTTYPE"=>"DESC");
				$other  = array("");
				$list   = new mobilelistItem($type,$search,$page,$other);
				$listData = $list->EmobileGetList();
				$flowcount  = $listData["totalCount"]; 
				$page_count = GetSumPageCount($flowcount,$pagesize);
				$curr_page  = floor($currindex/$pagesize)+1;		
				$result["ishavepre"]  = $currindex<$pagesize ? "0" : "1";
				$result["ishavenext"] = $curr_page<$page_count ? "1" : "0";
				$result["pageindex"]  = $pageindex;	
				$result["pagesize"]   = $pagesize;
				$result["count"]      = 0;
				$result["pagecount"]  = 0;
				$i=0;
				$flowsum = count($listData["list"]);
				if($flowsum==0)
				{
					$result["list"] = array();	
				}
				else
				{
                    $userapi    = new user();
					foreach($listData["list"] as $index => $val)
					{
                        $RUN_ID    = $listData["list"][$index]["RUN_ID"];
						$FLOW_ID   = $listData["list"][$index]["FLOW_ID"];
						$FLOW_PRCS = $listData["list"][$index]["FLOW_PRCS"];
						$PRCS_ID   = $listData["list"][$index]["PRCS_ID"];
						$totalid   = $RUN_ID.",".$FLOW_ID.",".$FLOW_PRCS.",".$PRCS_ID;
						$result["list"][$i]['id']          = $totalid;
						$result["list"][$i]['name']     = $listData["list"][$index]["RUN_NAME"];
						$result["list"][$i]['recivetime']        = $listData["list"][$index]["CREATE_TIME"];
						$result["list"][$i]['category'] = 1;
                        $result["list"][$i]['createrid'] = $listData["list"][$index]["CREATOR"];
                        $result["list"][$i]['creater'] = getUserNameNew($listData["list"][$index]["CREATOR"]);
                        $result["list"][$i]['creatermobile'] = "";
                        $result["list"][$i]['status'] = 1;
                        $result["list"][$i]['module'] = 1;
                        $result["list"][$i]['scope'] = 1;
						$i++;
					}
					if(count($result["list"])==0)
					{
						$result["list"] = array();
					}		
				}	
			}
			else
			{
				$result["list"] = array();	
			}
			echo json_encode($result);
	    }
	    else 
	    {
	    	echo "{}";
	    }
    }
}