<?php

class UploadProxy {

    public function __construct() {
        ;
    }
	public function setUploadAttachment()
	{
		$uploadKey	= request_var('uploadKey', '');
        $uploadName = request_var('uploadName', 'default.tmp');
		if(!$uploadKey) {
			echo 0;exit;
		}
		$attachid	= time();
        $targetPath = ROOT_PATH . 'attachment/' . $attachid . '/';
        if (!file_exists($targetPath)) {
            mkdir($targetPath, 0777, true);
        }
		$_fileName = fileNameToGBK($uploadName);
        if (strtolower(substr($uploadName, strrpos($uploadName, '.'))) == '.jpeg') {
            $uploadName = strtolower(substr($uploadName, 0, strrpos($uploadName, '.'))) . '.jpg';
        }
        $temp	= base64_decode($uploadKey);
        $FP		= fopen($targetPath . $_fileName, "w");
        fwrite($FP, $temp);
        fclose($FP);

		echo json_encode(array('attachment_id' => $attachid,'attachment_name' => $uploadName));
	}
    public function upload() {
        $targetPath = ROOT_PATH . 'E-mobile/Public/upload/';
        if (!file_exists($targetPath)) {
            mkdir($targetPath, 0777, true);
        }
        $fileSize = request_var('file_size', 0);

        if ($fileSize) {
            for ($i = 1; $i <= $fileSize; $i++) {
                $file = request_var('upload_file_' . $i, '');
                $fileName = request_var('file_name_' . $i, 'default.tmp');
                $temp = base64_decode($file);
                $FP = fopen($targetPath . $fileName, "w");
                fwrite($FP, $temp);
                fclose($FP);
            }
        }
    }

    public function smsUpload() {
        global $_lang;
        $attachid = time();
        $targetPath = ROOT_PATH . 'attachment/' . $attachid . '/';
        if (!file_exists($targetPath)) {
            mkdir($targetPath, 0777, true);
        }
        $file = request_var('upload_file', '');
        $fileName = request_var('file_name', 'default.tmp');
        $_fileName = fileNameToGBK($fileName);
        if (strtolower(substr($fileName, strrpos($fileName, '.'))) == '.jpeg') {
            $fileName = strtolower(substr($fileName, 0, strrpos($fileName, '.'))) . '.jpg';
        }
        $temp = base64_decode($file);
        $FP = fopen($targetPath . $_fileName, "w");
        fwrite($FP, $temp);
        fclose($FP);
        $toId = request_var('toId', '');
        $fromId = request_var('fromId', '');
        $content = request_var('content', $_lang['emobile_Upload_uploadpic']);
        $Infor = array();
        $Infor["toid"] = $toId;
        $Infor["smstype"] = "0";
        $Infor["content"] = $content;
        $Infor['attachid'] = $attachid;
        $Infor['attachname'] = $fileName;
        $Infor["sendtime"] = date("Y-m-d H:i:s");
        $Infor["remindflag"] = "1";
        $UserInfor = array();
        $UserInfor["user_id"] = $fromId;
        include_once ("api/sms.class.php");
        $smsApi = new sms($UserInfor);
        $data = $smsApi->sendSms($Infor);
        if ($data) {
            echo $attachid . '/' . $fileName;
        } else {
            echo 'error';
        }
    }

    public function view() {
        include_once(INCLUDE_APP_PATH . 'Upload/View/UploadView.php');
    }

    /**
     * 流程公共附件上传
     */
    public function commonUpload() {
        global $connection;

        /* ----- 微信签办反馈 ----- */
        $attachmentId = request_var('attachmentCommonId', '');
        /* ----- 微信签办反馈 ----- */
        $file = request_var('common_upload_file', '');
        $fileName = request_var('common_file_name', 'default.tmp');

        if ($attachmentId) {
            $attachid = $attachmentId;
        } else {
            $attachid = time();
            $targetPath = ROOT_PATH . 'attachment/' . $attachid . '/';
            if (!file_exists($targetPath)) {
                mkdir($targetPath, 0777, true);
            }

            $_fileName = fileNameToGBK($fileName);
            if (strtolower(substr($fileName, strrpos($fileName, '.'))) == '.jpeg') {
                $fileName = strtolower(substr($fileName, 0, strrpos($fileName, '.'))) . '.jpg';
            }
            $temp = base64_decode($file);
            $FP = fopen($targetPath . $_fileName, "w");
            fwrite($FP, $temp);
            fclose($FP);
        }
        $edit_time = date("Y-m-d H:i:s",time());
        $userId = request_var('USER_ID');
        $runId = request_var('RUN_ID');
        $prcsSql   = "SELECT * FROM flow_run_prcs WHERE USER_ID = '".SecurityFilter($userId)."' AND RUN_ID = '".SecurityFilter($runId)."' ORDER BY PRCS_ID DESC ";
        $prcsRs    = exequery($connection,$prcsSql);
        if($prcsRow=mysql_fetch_array($prcsRs))
        {
            $flow_prcs = $prcsRow["FLOW_PRCS"];
            $prcs_id   = $prcsRow["PRCS_ID"];
        }
        $query = 'SELECT ATTACHMENT_ID,ATTACHMENT_NAME FROM flow_run WHERE RUN_ID=' . SecurityFilter($runId);
        $result = exequery($connection, $query);
        $attachInfo = mysql_fetch_array($result);
        $attachmentId = $attachInfo['ATTACHMENT_ID'];
        $attachmentName = $attachInfo['ATTACHMENT_NAME'];
        if ($attachmentName) {
            $attachmentId .= $attachid . ',';
            $attachmentName .= $fileName . '*';
        } else {
            $attachmentId = $attachid . ',';
            $attachmentName = $fileName . '*';
        }
        $insert_sql = "INSERT INTO flow_run_attachment(
                    RUN_ID,
                    USER_ID,
                    ATTACHMENT_ID,
                    ATTACHMENT_NAME,
                    PRCS_ID,
                    FLOW_PRCS,
                    EDIT_TIME
                    )
                    VALUES
                    (
                        '".SecurityFilter($runId)."',
                        '".SecurityFilter($userId)."',
                        '".SecurityFilter($attachid)."',
                        '".SecurityFilter($fileName)."',
                        '".SecurityFilter($prcs_id)."',
                        '".SecurityFilter($flow_prcs)."',
                        '".SecurityFilter($edit_time)."'
                    )";
        exequery($connection,$insert_sql);
        $query = "UPDATE flow_run SET ATTACHMENT_ID='$attachmentId' ,ATTACHMENT_NAME='$attachmentName' WHERE RUN_ID=$runId";
        $result1 = exequery($connection, $query);
        if ($result1) {
            $attachurl = '/attachment/' . $attachid . '/' . $fileName;
            $attachtype = GetAttachType($attachurl);
            $fileType = GetAttachmentPrefix($attachurl);
            $checkattchtype = EmobileCheckAttachType($attachurl);
            $url = GetNewUrlPath($attachurl);
            $checkfile = EmobileCheckFileExist($attachid, $fileName);
            if ($checkfile) {
                $file = array(
                    'checkattchtype' => $checkattchtype,
                    'fileType' => $fileType,
                    'attachId' => $attachid,
                    'attachName' => $fileName,
                    'type' => $attachtype,
                    'name' => $fileName,
                    'url' => $url,
                );
                echo json_encode($file);
            }
        }
    }

    /**
     * 手写签批第一步
     */
    public function handWritten() {
        $type = request_var('type');
        $sessionkey = request_var('sessionkey');
        $uploadKey = request_var('uploadKey');
        $uploadFileName = request_var('uploadFileName');
        $uploadContentType = request_var('uploadContentType');
        $uploadFile = request_var('imageBase64String');
        $temp = base64_decode($uploadFile);
        $targetPath = ROOT_PATH . 'attachment/emobile/';
        if (!file_exists($targetPath)) {
            mkdir($targetPath, 0777, true);
        }
        $FP = fopen($targetPath . $uploadFileName, "w");
        $f = fwrite($FP, $temp);
        fclose($FP);
        $attachurl = '/attachment/emobile/' . $uploadFileName;
        if (!$f) {
            $result = array(
                'flag' => '0',
                'msg' => 'error',
            );
        } else {
            $result = array(
                'flag' => '1',
                'fileName' => $uploadFileName,
                'path' => $attachurl,
                'msg' => 'success',
            );
        }
        echo json_encode($result);
    }

    /**
     * 手写签批第二步
     */
    public function handWrittenNext() {
        include_once("api/fixedworkflow.class.php");
        $flowId = request_var('flowId');
        $runId = request_var('runId');
        $userId = request_var('userId');
        $path = request_var('path');
        $fileName = request_var('fileName');
        $content = '<p><img src="' . $path . '" title="' . $fileName . '" alt="' . $fileName . '" width="300px"></p>';
        $workflowApi = new fixedWorkflow($flowId);
        $workflowApi->runId = $runId;
        $rs = $workflowApi->saveFeedBack($userId, $content, '', '');
        if ($rs) {
            echo $content;
        } else {
            echo 0;
        }
    }

}
