var DatePicker = {
    activeFlag : 'date',
    DateTimeObj:'',
    DateObj:'',
    TimeObj:'',
    year:'',
    month:'',
    showMonth:'',
    day:'',
    showDay:'',
    hour:'',
    showHour:'',
    minute:'',
    showMinute:'',
    second:'',
    showSecond:'',
    days:'',
    dateParam:{
            width:'250px',
            height:'250px',
            current:false,
            initDate:false,
            top:'0px',
            left:'0px',
    },
    timeParam:{
            width:'250px',
            height:'250px',
            current:false,
            top:'0px',
            left:'0px',
    },
    template:{
        date:'<div class="datepicker_datebox">\
                <div class="datepicker_datebox_header"></div>\
                <div class="datepicker_datebox_body">\
                    <div class="date_title">\
                        <div class="left">'+ Emobile.TXT0000021 +'</div><div class="center">'+ Emobile.TXT0000022 +'</div><div class="right">'+ Emobile.TXT0000023 +'</div>\
                    </div>\
                    <div class="date_select">\
                        <div class="option year">\
                            <div class="year_up"></div>\
                            <div class="year_data"></div>\
                            <div class="year_down"></div>\
                            <div class="select year_select"><div class="select_close">'+ Emobile.TXT0000024 +'</div><div class="select_list"></div></div>\
                        </div>\
                        <div class="option month">\
                            <div class="month_up"></div>\
                            <div class="month_data"></div>\
                            <div class="month_down"></div>\
                            <div class="select month_select"><div class="select_close">'+ Emobile.TXT0000024 +'</div><div class="select_list"></div></div>\
                        </div>\
                        <div class="option day">\
                            <div class="day_up"></div>\
                            <div class="day_data"></div>\
                            <div class="day_down"></div>\
                            <div class="select day_select"><div class="select_close">'+ Emobile.TXT0000024 +'</div><div class="select_list"></div></div>\
                        </div>\
                    </div>\
                </div>\
                <div class="datepicker_datebox_footer">\
                    <div class="footer_button ok">'+ Emobile.TXT0000025 +'</div>\
                    <div class="footer_button cancel">'+ Emobile.TXT0000026 +'</div>\
                </div>\
            </div>',
        datetime:'<div class="datepicker_datetimebox"></div>',
        time:'<div class="datepicker_timebox">\
                <div class="datepicker_timebox_header"></div>\
                <div class="datepicker_timebox_body">\
                    <div class="time_title">\
                        <div class="left">'+ Emobile.TXT0000027 +'</div><div class="right">'+ Emobile.TXT0000028 +'</div>\
                    </div>\
                    <div class="time_select">\
                        <div class="option hour">\
                            <div class="hour_up"></div>\
                            <div class="hour_data"></div>\
                            <div class="hour_down"></div>\
                            <div class="select hour_select"><div class="select_close">'+ Emobile.TXT0000024 +'</div><div class="select_list"></div></div>\
                        </div>\
                        <div class="option minute">\
                            <div class="minute_up"></div>\
                            <div class="minute_data"></div>\
                            <div class="minute_down"></div>\
                            <div class="select minute_select"><div class="select_close">'+ Emobile.TXT0000024 +'</div><div class="select_list"></div></div>\
                        </div>\
                    </div>\
                </div>\
                <div class="datepicker_timebox_footer">\
                    <div class="footer_button ok">'+ Emobile.TXT0000025 +'</div>\
                    <div class="footer_button cancel">'+ Emobile.TXT0000026 +'</div>\
                </div>\
            </div>'
    },
    commonFunc:{
        open:function(){
            if(DatePicker.activeFlag == 'date'){
                if(DatePicker.DateObj.children('.datepicker_datebox').css('display') == 'none'){
                    DatePicker.init.initSelf();
                    DatePicker.dateFunc.setDateTitle();
                    DatePicker.DateObj.find('.year_data').text(DatePicker.year);
                    DatePicker.DateObj.find('.month_data').text(DatePicker.showMonth);
                    DatePicker.DateObj.find('.day_data').text(DatePicker.showDay);
                    $('.datepicker_timebox').hide();
                    $('.datepicker_datebox').hide();
                    var top         = ($(window).height() - 250 ) / 2; 
                    var left        = ($(window).width() -250)/2; 
                    DatePicker.DateObj.children('.datepicker_datebox').css({'width':'0px','height':'0px','top':'50%','left':'50%'}).show().animate({'width':'250px','height':'250px','top':top,'left':left},'fast');
                    return false;
                }else{
                    DatePicker.DateObj.children('.datepicker_datebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                        $(this).hide();
                    });
                    return false;
                }
            }else if(DatePicker.activeFlag == 'time'){
                if( DatePicker.TimeObj.children('.datepicker_timebox').css('display') == 'none'){
                    DatePicker.init.initSelf();
                    DatePicker.timeFunc.setTimeTitle();
                    DatePicker.TimeObj.find('.hour_data').text(DatePicker.showHour);
                    DatePicker.TimeObj.find('.minute_data').text(DatePicker.showMinute);
                    $('.datepicker_datebox').hide();
                    $('.datepicker_timebox').hide();
                    var top         = ($(window).height() - 250 ) / 2; 
                    var left        = ($(window).width() -150)/2; 
                    DatePicker.TimeObj.children('.datepicker_timebox').show();
                    DatePicker.TimeObj.children('.datepicker_timebox').css({'width':'0px','height':'0px','top':'50%','left':'50%'}).show().animate({'width':'150px','height':'250px','top':top,'left':left},'fast');
                    return false;
                }else{
                    DatePicker.TimeObj.children('.datepicker_timebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                        $(this).hide();
                    });
                    return false;
                }
            }else if(DatePicker.activeFlag == 'datetime'){
                
            }
        },
        close:function(){
            if(DatePicker.activeFlag == 'date'){
                DatePicker.DateObj.children('.datepicker_datebox').find('.date_select').find('.select').hide();
                DatePicker.DateObj.children('.datepicker_datebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                    $(this).hide();
                });
                return false;
            }else if(DatePicker.activeFlag == 'time'){
                DatePicker.TimeObj.children('.datepicker_timebox').find('.time_select').find('.select').hide();
                 DatePicker.TimeObj.children('.datepicker_timebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                        $(this).hide();
                    });
                return false;
            }else if(DatePicker.activeFlag == 'datetime'){
                
            }
        },
        clear:function(){
            if(DatePicker.activeFlag == 'date'){
                DatePicker.DateObj.children('.datepicker_datebox').find('.date_select').find('.select').hide();
                DatePicker.DateObj.children('.text').text('');
                DatePicker.DateObj.children(':hidden').val('');
                DatePicker.DateObj.children('.datepicker_datebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                    $(this).hide();
                });
                return false;
            }else if(DatePicker.activeFlag == 'time'){
                DatePicker.TimeObj.children('.datepicker_timebox').find('.time_select').find('.select').hide();
                DatePicker.TimeObj.children('.text').text('');
                DatePicker.TimeObj.children(':hidden').val('');
                 DatePicker.TimeObj.children('.datepicker_timebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                        $(this).hide();
                    });
                return false;
            }else if(DatePicker.activeFlag == 'datetime'){
                
            }
        },
        success:function(){
            if(DatePicker.activeFlag == 'date'){
                var data = $.trim(DatePicker.DateObj.children('.datepicker_datebox').children('.datepicker_datebox_header').text());
                DatePicker.DateObj.children('.text').text(data);
                DatePicker.DateObj.children(':hidden').val(data);
                DatePicker.DateObj.children('.datepicker_datebox').find('.date_select').find('.select').hide();
                DatePicker.DateObj.children('.datepicker_datebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                    $(this).hide();
                });
            }else if(DatePicker.activeFlag == 'time'){
                var data = $.trim(DatePicker.TimeObj.children('.datepicker_timebox').children('.datepicker_timebox_header').text());
                DatePicker.TimeObj.children('.text').text(data);
                DatePicker.TimeObj.children(':hidden').val(data);
                 DatePicker.TimeObj.children('.datepicker_timebox').animate({'width':'0px','height':'0px','top':'50%','left':'50%'},'fast','',function(){
                        $(this).hide();
                    });
            }else if(DatePicker.activeFlag == 'datetime'){
                
            }
            
        },
        error:function(){
            
        }
    },
    dateFunc:{
        setDateBox:function(html){
            var top         = ($(window).height()) / 2; 
            var left        = ($(window).width())/2; 
            var width       = DatePicker.dateParam.width;
            var height      = DatePicker.dateParam.height;
            var winWidth    = $(window).width();
            if((parseInt(left) + parseInt(width)) > parseInt(winWidth)){
                left = parseInt(winWidth)-parseInt(width);
            }
            DatePicker.DateObj.append(html);
            DatePicker.DateObj.children('.datepicker_datebox').css({
                'left':left,
                'top':top,
                'width':width,
                'height':height
            });
            var $dateSelectObj = DatePicker.DateObj.children('.datepicker_datebox').find('.date_select');
            var yearHtml = '',monthHtml='';
            for(i=2020;i>=1980;i--){
                yearHtml += '<div class="select_option" data="'+i+'">'+i+'</div>';
            }
            for(i=1;i<=12;i++){
                var j = i;
                if(i<10){
                    j = '0' + i;
                }
                monthHtml += '<div class="select_option" data="'+i+'">'+j+'</div>';
            }
            $dateSelectObj.find('.year_select .select_list').html(yearHtml);
            $dateSelectObj.find('.month_select .select_list').html(monthHtml);
            $dateSelectObj.find('.year_data').text(DatePicker.year);
            $dateSelectObj.find('.month_data').text(DatePicker.showMonth);
            $dateSelectObj.find('.day_data').text(DatePicker.showDay);
            DatePicker.dateFunc.setDateTitle();
            if(DatePicker.dateParam.current == true){
                var date = DatePicker.year +'-'+ DatePicker.showMonth +'-'+ DatePicker.showDay;
                DatePicker.DateObj.children('.text').text(date)
                DatePicker.DateObj.children(':hidden').val(date)
            }else if(DatePicker.dateParam.initDate){
                return;
            } else {
                DatePicker.DateObj.children('.text').text('')
                DatePicker.DateObj.children(':hidden').val('')
            }
        },
        setDateTitle:function(){
            var date = DatePicker.year +'-'+ DatePicker.showMonth +'-'+ DatePicker.showDay;
            DatePicker.DateObj.children('.datepicker_datebox').children('.datepicker_datebox_header').text(date);
        },
        getDays:function(){
            var year = DatePicker.year;
            var month = DatePicker.month-1;
            DatePicker.days = 32-new Date(year,month,32).getDate();
        },
        dateOperation:function(){
            var $dateSelectObj = DatePicker.DateObj.children('.datepicker_datebox').find('.date_select');
            $dateSelectObj.on({
                click:function(){
                    var year = DatePicker.year;
                    year = year + 1;
                    $(this).siblings('.year_data').text(year);
                    DatePicker.year = year;
                    DatePicker.dateFunc.getDays();
                    DatePicker.dateFunc.setDateTitle();
                    return false;
                }
            },'.year .year_up');
            $dateSelectObj.on({
                click:function(){
                    var year = DatePicker.year;
                    year = year - 1;
                    $(this).siblings('.year_data').text(year);
                    DatePicker.year = year;
                    DatePicker.dateFunc.getDays();
                    DatePicker.dateFunc.setDateTitle();
                    return false;
                }
            },'.year .year_down');
            
            $dateSelectObj.on({
                click:function(){
                    var month = DatePicker.month;
                    month = (month == 12) ? 1 : month + 1;
                    var showMonth = month < 10 ? ('0' + month) : month;
                    $(this).siblings('.month_data').text(showMonth);
                    DatePicker.month = month;
                    DatePicker.showMonth = showMonth;
                    DatePicker.dateFunc.getDays();
                    DatePicker.dateFunc.setDateTitle();
                    return false;
                }
            },'.month .month_up');
            $dateSelectObj.on({
                click:function(){
                    var month = DatePicker.month;
                    month = (month == 1) ? 12 : month - 1;
                    var showMonth = month < 10 ? ('0' + month) : month;
                    $(this).siblings('.month_data').text(showMonth);
                    DatePicker.month = month;
                    DatePicker.showMonth = showMonth;
                    DatePicker.dateFunc.getDays();
                    DatePicker.dateFunc.setDateTitle();
                    return false;
                }
            },'.month .month_down');
            
            $dateSelectObj.on({
                click:function(){
                    var day = DatePicker.day;
                    day = (day >= DatePicker.days) ? 1 : day + 1;
                    var showDay= day < 10 ? ('0' + day) : day;
                    $(this).siblings('.day_data').text(showDay);
                    DatePicker.day = day;
                    DatePicker.showDay = showDay;
                    DatePicker.dateFunc.setDateTitle(); 
                    return false;
                }
            },'.day .day_up');
            $dateSelectObj.on({
                click:function(){
                    var day = DatePicker.day;
                    day = (day == 1) ? DatePicker.days : day - 1;
                    var showDay= day < 10 ? ('0' + day) : day;
                    $(this).siblings('.day_data').text(showDay);
                    DatePicker.day = day;
                    DatePicker.showDay = showDay;
                    DatePicker.dateFunc.setDateTitle();
                    return false;
                }
            },'.day .day_down');
            
            $dateSelectObj.on({
                click:function(){
                    var left        = $(this).position().left; 
                    $dateSelectObj.find('.select').hide();
                    $(this).siblings('.year_select').show().css({'left':left+5,'top':'32px'});
                }
            },'.year .year_data');
            $dateSelectObj.on({
                click:function(){
                    var left        = $(this).position().left; 
                    $dateSelectObj.find('.select').hide();
                    $(this).siblings('.month_select').show().css({'left':left+5,'top':'32px'});
                }
            },'.month .month_data');
            $dateSelectObj.on({
                click:function(){
                    var dayHtml = '';
                    for(var i=1;i<=DatePicker.days;i++){
                        var j = i;
                        if(i<10){
                            j = '0'+ i;
                        }
                        dayHtml += '<div class="select_option" data="'+i+'">'+j+'</div>';
                    }
                    $(this).siblings('.day_select').children('.select_list').html(dayHtml);
                    var left        = $(this).position().left; 
                    $dateSelectObj.find('.select').hide();
                    $(this).siblings('.day_select').show().css({'left':left+5,'top':'32px'});
                }
            },'.day .day_data');
            $dateSelectObj.on({
                click:function(){
                    $(this).parent().hide();  
                    return false;
                }
            },'.select .select_close');
            $dateSelectObj.on({
                mouseenter:function(){
                    $(this).css('background','#f0f0f0');
                },
                mouseleave:function(){
                    $(this).css('background','#fff');
                }
            },'.select .select_option');
            $dateSelectObj.on({
                click:function(){
                    var day = $(this).attr('data');
                    var showDay= day < 10 ? ('0' + day) : day;
                    DatePicker.day = day;
                    DatePicker.showDay = showDay;
                    $(this).parent().parent().siblings('.day_data').text(showDay);
                    DatePicker.dateFunc.setDateTitle();
                    $(this).parent().parent().hide();
                }
            },'.day .select .select_option');
            $dateSelectObj.on({
                click:function(){
                    var month = $(this).attr('data');
                    var showMonth= month < 10 ? ('0' + month) : month;
                    DatePicker.month = month;
                    DatePicker.showMonth = showMonth;
                    $(this).parent().parent().siblings('.month_data').text(showMonth);
                    DatePicker.dateFunc.setDateTitle();
                    $(this).parent().parent().hide();
                }
            },'.month .select .select_option');
            $dateSelectObj.on({
                click:function(){
                    var year = $(this).attr('data');
                    var showYear= year < 10 ? ('0' + year) : year;
                    DatePicker.year = year;
                    DatePicker.showYear = showYear;
                    $(this).parent().parent().siblings('.year_data').text(showYear);
                    DatePicker.dateFunc.setDateTitle();
                    $(this).parent().parent().hide();
                }
            },'.year .select .select_option');
            DatePicker.DateObj.children('.datepicker_datebox').find('.ok').click(function(){
                DatePicker.commonFunc.success();
            });
            DatePicker.DateObj.children('.datepicker_datebox').find('.cancel').click(function(){
                DatePicker.commonFunc.clear();
            });
//            DatePicker.DateObj.find('.text,.text_icon').click(function(){
//                DatePicker.activeFlag       = 'date';
//                DatePicker.commonFunc.open($(this));
//            });
        },
    },
    timeFunc:{
        setTimeBox:function(html){
            var top         = ($(window).height()) / 2; 
            var left        = ($(window).width())/2; 
            var width       = DatePicker.timeParam.width;
            var height      = DatePicker.timeParam.height;
            var winWidth    = $(window).width();
            if((parseInt(left) + parseInt(width)) > parseInt(winWidth)){
                left = parseInt(winWidth)-parseInt(width);
            }
            DatePicker.TimeObj.append(html);
            DatePicker.TimeObj.children('.datepicker_timebox').css({
                'left':left,
                'top':top,
                'width':width,
                'height':height
            });
            var $timeSelectObj = DatePicker.TimeObj.children('.datepicker_timebox').find('.time_select');
            var hourHtml = '',minuteHtml='';
            for(i=0;i<=23;i++){
                var j = i;
                if(i<10){
                    j = '0' + i;
                }
                hourHtml += '<div class="select_option" data="'+i+'">'+j+'</div>';
            }
            for(i=0;i<=59;i++){
                var j = i;
                if(i<10){
                    j = '0' + i;
                }
                minuteHtml += '<div class="select_option" data="'+i+'">'+j+'</div>';
            }
            $timeSelectObj.find('.hour_select .select_list').html(hourHtml);
            $timeSelectObj.find('.minute_select .select_list').html(minuteHtml);
            $timeSelectObj.find('.hour_data').text(DatePicker.showHour);
            $timeSelectObj.find('.minute_data').text(DatePicker.showMinute);
            DatePicker.timeFunc.setTimeTitle();
            if(DatePicker.timeParam.current == true){
                var date = DatePicker.showHour +':'+ DatePicker.showMinute;
                DatePicker.TimeObj.children('.text').text(date)
                DatePicker.TimeObj.children(':hidden').val(date)
            }else{
//                DatePicker.TimeObj.children('.text').text('')
//                DatePicker.TimeObj.children(':hidden').val('')
            }
        },
        setTimeTitle:function(){
            var date = DatePicker.showHour +':'+ DatePicker.showMinute;
            DatePicker.TimeObj.children('.datepicker_timebox').children('.datepicker_timebox_header').text(date);
        },
        timeOperation:function(){
            var $timeSelectObj = DatePicker.TimeObj.children('.datepicker_timebox').find('.time_select');
            $timeSelectObj.on({
                click:function(){
                    var hour = DatePicker.hour;
                    hour = (hour >= 23) ? 0 : hour + 1;
                    var showHour = hour < 10 ? ('0' + hour) : hour;
                    $(this).siblings('.hour_data').text(showHour);
                    DatePicker.hour = hour;
                    DatePicker.showHour = showHour;
                    DatePicker.timeFunc.setTimeTitle();
                    return false;
                }
            },'.hour .hour_up');
            $timeSelectObj.on({
                click:function(){
                    var hour = DatePicker.hour;
                    hour = (hour <= 0) ? 23 : hour - 1;
                    var showHour = hour < 10 ? ('0' + hour) : hour;
                    $(this).siblings('.hour_data').text(showHour);
                    DatePicker.hour = hour;
                    DatePicker.showHour = showHour;
                    DatePicker.timeFunc.setTimeTitle();
                    return false;
                }
            },'.hour .hour_down');
            $timeSelectObj.on({
                click:function(){
                    var minute = DatePicker.minute;
                    minute = (minute >= 59) ? 0 : minute + 1;
                    var showMinute = minute < 10 ? ('0' + minute) : minute;
                    $(this).siblings('.minute_data').text(showMinute);
                    DatePicker.minute = minute;
                    DatePicker.showMinute = showMinute;
                    DatePicker.timeFunc.setTimeTitle();
                    return false;
                }
            },'.minute .minute_up');
            $timeSelectObj.on({
                click:function(){
                    var minute = DatePicker.minute;
                    minute = (minute <= 0) ? 59 : minute - 1;
                    var showMinute = minute < 10 ? ('0' + minute) : minute;
                    $(this).siblings('.minute_data').text(showMinute);
                    DatePicker.minute = minute;
                    DatePicker.showMinute = showMinute;
                    DatePicker.timeFunc.setTimeTitle();
                    return false;
                }
            },'.minute .minute_down');
            
            $timeSelectObj.on({
                click:function(){
                    var left        = $(this).position().left; 
                    $timeSelectObj.find('.select').hide();
                    $(this).siblings('.hour_select').show().css({'left':left+5,'top':'32px'});
                }
            },'.hour .hour_data');
            $timeSelectObj.on({
                click:function(){
                    var left        = $(this).position().left; 
                    $timeSelectObj.find('.select').hide();
                    $(this).siblings('.minute_select').show().css({'left':left+5,'top':'32px'});
                }
            },'.minute .minute_data');
            $timeSelectObj.on({
                click:function(){
                    $(this).parent().hide();  
                    return false;
                }
            },'.select .select_close');
            $timeSelectObj.on({
                click:function(){
                    var hour = $(this).attr('data');
                    var showHour= hour < 10 ? ('0' + hour) : hour;
                    DatePicker.hour = hour;
                    DatePicker.showHour = showHour;
                    $(this).parent().parent().siblings('.hour_data').text(showHour);
                    DatePicker.timeFunc.setTimeTitle();
                    $(this).parent().parent().hide();
                }
            },'.hour .select .select_option');
            $timeSelectObj.on({
                click:function(){
                    var minute = $(this).attr('data');
                    var showMinute= minute < 10 ? ('0' + minute) : minute;
                    DatePicker.minute = minute;
                    DatePicker.showMinute = showMinute;
                    $(this).parent().parent().siblings('.minute_data').text(showMinute);
                    DatePicker.timeFunc.setTimeTitle();
                    $(this).parent().parent().hide();
                }
            },'.minute .select .select_option');
            $timeSelectObj.on({
                mouseenter:function(){
                    $(this).css('background','#f0f0f0');
                },
                mouseleave:function(){
                    $(this).css('background','#fff');
                }
            },'.select .select_option');
            DatePicker.TimeObj.children('.datepicker_timebox').find('.ok').click(function(){
                DatePicker.commonFunc.success();
            });
            DatePicker.TimeObj.children('.datepicker_timebox').find('.cancel').click(function(){
                DatePicker.commonFunc.clear();
            });
//            DatePicker.TimeObj.find('.text,.text_icon').click(function(event){
//                DatePicker.activeFlag       = 'time';
//                DatePicker.commonFunc.open($(this));
//            });
        }
    },
    init:{
        initSelf:function(){
            var $date            = new Date(); 
            DatePicker.year     = $date.getFullYear();
            var month           = $date.getMonth() + 1;
            var day             = $date.getDate();
            var hour            = $date.getHours(); 
            var minute          = $date.getMinutes(); 
            var second          = $date.getSeconds(); 
            var showMonth       = month < 10 ? ('0' + month) : month;
            var showDay         = day < 10 ? ('0' + day) : day;
            var showMinute      = minute < 10 ? ('0' + minute) : minute;
            var showHour        = hour < 10 ? ('0' + hour) : hour;
            var showSecond      = second < 10 ? ('0' + second) : second;
            DatePicker.month    = month;
            DatePicker.day      = day;
            DatePicker.hour     = hour; 
            DatePicker.minute   = minute; 
            DatePicker.second   = second; 
            DatePicker.showMonth    = showMonth;
            DatePicker.showDay      = showDay;
            DatePicker.showMinute   = showMinute; 
            DatePicker.showHour     = showHour; 
            DatePicker.showSecond   = showSecond; 
            DatePicker.dateFunc.getDays();
        },
        initDate:function(initData){
            DatePicker.init.initSelf();
            var id      = initData.id;
            var current = initData.current;
            var width   = initData.width;
            var height  = initData.height; 
            DatePicker.DateObj          = $('#'+id);
            
            if(current){
                DatePicker.dateParam.current    = current;
            }
            if(width){
                DatePicker.dateParam.width      = width;
            }
            if(height){
                DatePicker.dateParam.height     = height;
            }
            if(initData.initDate){
                DatePicker.dateParam.initDate     = initData.initDate;
            }
            if(DatePicker.DateObj.attr('load') != 1){
                var dateBox = DatePicker.template.date;
                DatePicker.dateFunc.setDateBox(dateBox);
                DatePicker.dateFunc.dateOperation();  
                DatePicker.DateObj.attr('load',1)
            }
            DatePicker.activeFlag       = 'date';
            if(initData.noOpen != false){
                DatePicker.commonFunc.open();
            }
        },
        initTime:function(initData){
            DatePicker.init.initSelf();
            var id      = initData.id;
            var current = initData.current;
            var width   = initData.width;
            var height  = initData.height;
            DatePicker.TimeObj          = $('#'+id);
            if(current){
                DatePicker.timeParam.current    = current;
            }
            if(width){
                DatePicker.timeParam.width      = width;
            }
            if(height){
                DatePicker.timeParam.height     = height;
            }
            
            if(DatePicker.TimeObj.attr('load') != 1){
                var timeBox = DatePicker.template.time;
                DatePicker.timeFunc.setTimeBox(timeBox);
                DatePicker.timeFunc.timeOperation();
                DatePicker.TimeObj.attr('load',1);
            }
            DatePicker.activeFlag       = 'time';
            if(initData.noOpen != false){
                DatePicker.commonFunc.open();
            }
        },
        initDateTime:function(initData){
            
        }
    }
}
