<?php
/**
 * @copyright  (C) 2010 - 2011 Weaver Co.Ltd
 * @package    eoffice8.0
 * @name       api/FlowEmobileList.class.php
 * @function   手机客户端流程列表类
 * @author     liuqingyu
 * @date       2012-12-24
 */
class mobilelistItem {
	private $type;
	private $search;
	private $page;
	private $other;
	private $connection;
	/**
	*构造函数
	* @param  array  $type   类别信息数组
	* @param  array  $search 条件信息数组
	* @param  array  $page   分页信息数组
	* @param  array  $other  其它信息数组
	* @return void
	*/
	function __construct ($type=array(),$search=array(),$page=array(),$other=array()){
		global $connection;
		$this->connection = $connection;
		$this->type       = $type;
		$this->search     = $search;
		$this->page       = $page;
		$this->other      = $other;
	}
	/**
	*获取列表
	*@return array $returnArray|array(totalCount,list)
	*/
	function EmobileGetList()
	{
		//根据类别判断执行取什么类别的列表
		switch ($this->type["TYPE"])
		{
			//待办事宜
			case "to_do_list" :
				//$returnArray = array();
				$returnArray = array("totalCount"=>"","list"=>array());
				//总条数
				$countSqlPre  = "SELECT COUNT(frp.RUN_ID) AS CNT FROM flow_run_prcs AS frp,flow_run AS fr ";
				$sqlPublicStr = "WHERE frp.RUN_ID = fr.RUN_ID  AND  frp.IS_EFFECT=1
								AND USER_ID = '".SecurityFilter($this->search["USER_ID"])."'  
								AND 
								(
									( 
										(
											( SAVEFORM_TIME IS NULL AND OP_FLAG = 0)
											OR 
											(PRCS_FLAG = '2' AND OP_FLAG = 1)
										)
										OR PRCS_FLAG = '1'
									)
								)";
				//某个类别的流程
				/*if($this->search["FLOW_ID"])
				{
					$sqlPublicStr .= " AND fr.FLOW_ID = '".$this->search["FLOW_ID"]."' ";	
				}*/
				//流程名称
				if($this->search["FLOW_NAME"])
				{
					$sqlPublicStr .= " AND fr.RUN_NAME LIKE '%".SecurityFilter($this->search["FLOW_NAME"])."%' ";			
				}	
                if($this->search["filter"] == 'read'){
                    $sqlPublicStr .= " AND (frp.PRCS_TIME != '' OR  frp.PRCS_TIME is not NUll) ";
                }
                if($this->search["filter"] == 'unread'){
                    $sqlPublicStr .= " AND (frp.PRCS_TIME = '' OR  frp.PRCS_TIME is NUll) ";
                }
				$sqlPublicStr .= " GROUP BY frp.RUN_ID ";
				$countSql = $countSqlPre.$sqlPublicStr;
				$cntRs = exequery($this->connection,$countSql);
				//因为含有group by 获取总数的方法有点不一样
				$totalCount = mysql_affected_rows();
				$returnArray["totalCount"] =  $totalCount;
				//是否要获取列表，如果不要的话，只返回总数
				if($this->type["CONSTAINLIST"]=="1")
				{
					$idSqlPre = "SELECT frp.RUN_ID,frp.USER_ID,MAX(PRCS_ID) AS PRCS_ID FROM flow_run_prcs AS frp,flow_run AS fr ";
					$idSql    = $idSqlPre.$sqlPublicStr;
					$idSql .= " ORDER BY  ".$this->page["SORTFIELD"]." ".$this->page["SORTTYPE"];
					$idSql .= " LIMIT ".$this->page["PAGINATIONOFFSET"].",".$this->page["PAGINATIONROWS"];
					$rs     = exequery($this->connection,$idSql);
					while($row = mysql_fetch_array($rs,MYSQL_ASSOC))	
					{
						$detailSql = "SELECT frp.*,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME 
										FROM flow_run_prcs AS frp 
										LEFT JOIN flow_run AS fr ON (frp.RUN_ID = fr.RUN_ID) 
										LEFT JOIN flow_type AS ft ON(fr.FLOW_ID = ft.FLOW_ID) 
										LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = frp.FLOW_PRCS ) 
										WHERE  frp.IS_EFFECT=1 AND frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."' 
										AND frp.RUN_ID = '".SecurityFilter($row["RUN_ID"])."' 
										AND frp.PRCS_ID = '".SecurityFilter($row["PRCS_ID"])."'
									";
						$detailRs = exequery($this->connection,$detailSql);
						if($detailRow = mysql_fetch_array($detailRs,MYSQL_ASSOC))
						{
							$detailRows[] = $detailRow;
						}
					}
					$returnArray["list"] = $detailRows;					
				}	
				//返回结果
				return $returnArray;
				break;
				//已办事宜
				case "have_list":
					//返回的固定格式的数组				
					$returnArray  = array("totalCount"=>"","list"=>array());
					//总条数sql
					$countSqlPre  = "SELECT COUNT(frp.RUN_ID) AS CNT FROM flow_run_prcs AS frp,flow_run AS fr ";
					$sqlPublicStr = "WHERE frp.RUN_ID = fr.RUN_ID    AND  frp.IS_EFFECT=1
										AND fr.CURRENT_STEP <> 0 
										AND USER_ID = '".SecurityFilter($this->search["USER_ID"])."'  
										AND(
											(frp.OP_FLAG=1 AND frp.DELIVER_TIME<>'NULL')
											OR 
											(frp.OP_FLAG=0 AND frp.SAVEFORM_TIME<>'NULL')
										)";
					//流程名称
					if($this->search["FLOW_NAME"])
					{
						$sqlPublicStr .= " AND fr.RUN_NAME LIKE '%".SecurityFilter($this->search["FLOW_NAME"])."%' ";			
					}
					$sqlPublicStr .= " GROUP BY frp.RUN_ID ";
					$countSql      = $countSqlPre.$sqlPublicStr;
					$cntRs         = exequery($this->connection,$countSql);		
					//因为含有group by 获取总数的方法有点不一样
					$totalCount = mysql_affected_rows();
					$returnArray["totalCount"] =  $totalCount;		
					//是否要获取列表，如果不要的话，只返回总数
					if($this->type["CONSTAINLIST"]=="1")			
					{
						$idSqlPre = "SELECT frp.RUN_ID,MAX(PRCS_ID) AS PRCS_ID FROM flow_run_prcs AS frp,flow_run AS fr ";
						$idSql    = $idSqlPre.$sqlPublicStr;
						$idSql .= " ORDER BY  ".$this->page["SORTFIELD"]." ".$this->page["SORTTYPE"];	
						$idSql .= " LIMIT ".$this->page["PAGINATIONOFFSET"].",".$this->page["PAGINATIONROWS"];
						$rs     = exequery($this->connection,$idSql);
						while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
						{
							//把已办事宜列表中当前步骤改成流程最新的步骤，qc：8317
							$detailSql = "SELECT frp.*,fr.*,ft.FLOW_NAME,ft.FLOW_TYPE,fp.PRCS_NAME 
											FROM flow_run_prcs AS frp 
											LEFT JOIN flow_run AS fr ON (frp.RUN_ID = fr.RUN_ID) 
											LEFT JOIN flow_type AS ft ON(fr.FLOW_ID = ft.FLOW_ID) 
											LEFT JOIN flow_process AS fp ON (fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID = fr.CURRENT_STEP ) 
											WHERE frp.IS_EFFECT=1   AND  frp.USER_ID = '".SecurityFilter($this->search["USER_ID"])."' 
											AND frp.RUN_ID = '".SecurityFilter($row["RUN_ID"])."' 
											AND frp.PRCS_ID = '".SecurityFilter($row["PRCS_ID"])."'
										";
							$detailRs = exequery($this->connection,$detailSql);
							if($detailRow = mysql_fetch_array($detailRs,MYSQL_ASSOC))
							{
								$detailRows[] = $detailRow;
							}
						}
						$returnArray["list"] = $detailRows;
					}
					//返回结果
					return $returnArray;
				break;
				//办结事宜
				case "end_list":
					//返回的固定格式的数组				
					$returnArray = array("totalCount"=>"","list"=>array());
					//总条数sql
					$countSqlPre  = "SELECT COUNT(frp.RUN_ID) AS CNT FROM flow_run_prcs AS frp 
								 LEFT JOIN flow_run as fr ON (fr.RUN_ID = frp.RUN_ID ) 
								 LEFT JOIN flow_type as ft ON (fr.FLOW_ID = ft.FLOW_ID ) ";
					$sqlPublicStr = "WHERE fr.CURRENT_STEP = '0' AND frp.IS_EFFECT=1
										AND frp.USER_ID ='".SecurityFilter($this->search["USER_ID"])."' 
										AND (
												(SAVEFORM_TIME IS NOT NULL AND SAVEFORM_TIME <> '0000-00-00 00:00:00' AND OP_FLAG ='0')
												OR
												( DELIVER_TIME IS NOT NULL AND DELIVER_TIME <> '0000-00-00 00:00:00' AND OP_FLAG ='1')
											 ) ";
					//流程名称
					if($this->search["FLOW_NAME"])
					{
						$sqlPublicStr .= " AND fr.RUN_NAME LIKE '%".SecurityFilter($this->search["FLOW_NAME"])."%' ";			
					}
					$sqlPublicStr .= " GROUP BY frp.RUN_ID ";
					$countSql      = $countSqlPre.$sqlPublicStr;
					$cntRs         = exequery($this->connection,$countSql);
					//因为含有group by 获取总数的方法有点不一样
					$totalCount = mysql_affected_rows();
					$returnArray["totalCount"] =  $totalCount;		
					//是否要获取列表，如果不要的话，只返回总数
					if($this->type["CONSTAINLIST"]=="1")
					{
						$idSqlPre = "SELECT fr.*,ft.* FROM flow_run_prcs AS frp 
								LEFT JOIN flow_run as fr ON (fr.RUN_ID = frp.RUN_ID ) 
								LEFT JOIN flow_type as ft ON (fr.FLOW_ID = ft.FLOW_ID ) ";
						$idSql    = $idSqlPre.$sqlPublicStr;
						$idSql .= " ORDER BY  ".SecurityFilter($this->page["SORTFIELD"])." ".SecurityFilter($this->page["SORTTYPE"]);
						$idSql .= " LIMIT ".SecurityFilter($this->page["PAGINATIONOFFSET"]).",".SecurityFilter($this->page["PAGINATIONROWS"]);
						$rs     = exequery($this->connection,$idSql);
						while($row = mysql_fetch_array($rs,MYSQL_ASSOC))	
						{
							$detailRows[] = $row;
						}
						$returnArray["list"] = $detailRows;					
					}
					//返回结果
					return $returnArray;				 
				break;
				//我的请求
				case "myrequest":
					//返回的固定格式的数组				
					$returnArray = array("totalCount"=>"","list"=>array());
					//总条数sql
					$sqlcount = "SELECT COUNT(*) ";
					$sqllist  = "SELECT fr.*,ft.*,fs.* ";
					$sql = " FROM flow_run AS fr
								LEFT JOIN flow_type AS ft ON(fr.FLOW_ID = ft.FLOW_ID) 
								LEFT JOIN flow_sort AS fs ON(ft.FLOW_SORT = fs.ID)
								WHERE fr.IS_EFFECT=1 AND fr.CREATOR = '".SecurityFilter($this->search["USER_ID"])."' ";
					//流程名称
					if($this->search["FLOW_NAME"])
					{
						$sql .= " AND fr.RUN_NAME LIKE '%".SecurityFilter($this->search["FLOW_NAME"])."%' ";			
					}
					//获取总数
					$querycount = $sqlcount.$sql;	
					$rscount     = exequery($this->connection,$querycount);
					if($rows = mysql_fetch_array($rscount))	
					{
						$returnArray["totalCount"] = $rows[0];
					}
					//是否要获取列表，如果不要的话，只返回总数
					if($this->type["CONSTAINLIST"]=="1")
					{
						$query = $sqllist.$sql;
						$query .= " ORDER BY  ".$this->page["SORTFIELD"]." ".$this->page["SORTTYPE"];
						$query .= " LIMIT ".$this->page["PAGINATIONOFFSET"].",".$this->page["PAGINATIONROWS"];
						$rs     = exequery($this->connection,$query);
						while($row = mysql_fetch_array($rs,MYSQL_ASSOC))	
						{
                            $row['CREATOR'] = $this->search["USER_ID"];
							$detailRows[] = $row;
						}
						$returnArray["list"] = $detailRows;	
					}
					return $returnArray;
				break;
		}
	}
}
?>