<?
/**
 * Systemname:       E-Office
 * Filename:         关注管理
 * Function:         api
 * Encoding:         utf8
 * Author:           www.weaver.com.cn
 * Date:             2013-09-11
 * File Version:     1.0
 * Eoffice Version:  8.x
*/
include_once("inc/utility_all.php");
class attention {
	var $default_limit = 10;
	var $default_start = 0;
	public $user_id;
	public $dept_id;
	public $priv_id;
	public $cur_date;
	public $cur_time;
	function __construct($userinfo=array()){
		global $connection;
		if($userinfo["user_id"]=="")
		{
			$this->user_id = $_SESSION["LOGIN_USER_ID"];
		}
		else
		{
			$this->user_id = $userinfo["user_id"];
		}
		if($this->user_id){
			$sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($this->user_id)."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$this->dept_id = $row["DEPT_ID"];
			$this->priv_id = $row["USER_PRIV"];
		}
		$this->cur_date = date("Y-m-d",time());
		$this->cur_time = date("Y-m-d H:i:s",time());
	}
	/*
	@function:  新建
	@parameter: $dataInfor->    array : 字段数组
	@parameter: $tablename->    string: 数据库表名
	@return:    $insertid->     string: 新建数据ID
	*/
	public function atten_CreateData($dataInfor,$tablename){
		global $connection;
		switch($tablename){
			case "attention":
				$sql = "INSERT INTO attention (
						  ATT_PERSON,
						  ATT_TOPERSON,
						  ATT_TIME,
						  ATT_STATE
						)
						VALUES
						  ('".
					SecurityFilter($dataInfor["ATT_PERSON"])."', '".
					SecurityFilter($dataInfor["ATT_TOPERSON"])."', '".
					SecurityFilter($dataInfor["ATT_TIME"])."', '".
					SecurityFilter($dataInfor["ATT_STATE"])."')";
			break;
		}
		exequery($connection,$sql);
		$insertid = mysql_insert_id();
		return $insertid;
	}
	/*
	@function:  编辑
	@parameter: $dataInfor->    array : 字段数组
	@parameter: $tablename->    string: 数据库表名
	@return:    true/false
	*/
	public function atten_EditData($dataInfor,$diff,$dataId){
		global $connection;
		switch($diff){
			case "approve":
				//批准
				$sql = "UPDATE attention SET ATT_STATE = 2 WHERE ATT_ID = '".SecurityFilter($dataId)."'";
			break;
			case "refuse":
				//拒绝
				$sql = "UPDATE attention SET ATT_STATE = 3 WHERE ATT_ID = '".SecurityFilter($dataId)."'";
			break;
		}
		$curose = exequery($connection,$sql);
		if($curose){
			return true;
		}else{
			return false;
		}
	}
	/*
	@function:  编辑
	@parameter: $dataInfor->    array : 字段数组
	@parameter: $tablename->    string: 数据库表名
	@return:    true/false
	*/
	public function visit_Record($dataInfor,$diff){
		global $connection;
		$dataInfor["VIS_PERSON"] = SecurityFilter($dataInfor["VIS_PERSON"]);
		$dataInfor["VIS_TOPERSON"] = SecurityFilter($dataInfor["VIS_TOPERSON"]);
		$dataInfor["VIS_TIME"] = SecurityFilter($dataInfor["VIS_TIME"]);
		switch($diff){
			case "addNew":
				$sql = "INSERT INTO visitrecord (
						  VIS_PERSON,
						  VIS_TOPERSON,
						  VIS_TIME,
						  VIS_NUM
						)
						VALUES
						  ('".$dataInfor["VIS_PERSON"]."', '".$dataInfor["VIS_TOPERSON"]."', '".$dataInfor["VIS_TIME"]."', 1)";
			break;
			case "addUpdate":
				$sql = "UPDATE
						  visitrecord
						SET
						  VIS_TIME = '".$dataInfor["VIS_TIME"]."',
						  VIS_NUM = VIS_NUM+1
						WHERE VIS_PERSON = '".$dataInfor["VIS_PERSON"]."'
						  AND VIS_TOPERSON = '".$dataInfor["VIS_TOPERSON"]."'";
			break;
		}
		$curose = exequery($connection,$sql);
		if($curose){
			return true;
		}else{
			return false;
		}
	}

	/*
	@function:  可配数据删除
	@parameter: $dataId->       string: 数据Id
	@parameter: $tablename->    string: 数据库表名
	@return:    true/false
	*/
	public function atten_DeleteData($tablename,$sql){
		global $connection;
		$sql = "DELETE FROM ".$tablename." WHERE 1 ".$sql;

		$curose = exequery($connection,$sql);
		if($curose){
			return true;
		}else{
			return false;
		}
	}
	/*
	@function:  查找单条数据
	@parameter: $tablename->    string: 数据库表名
	@parameter: $dataId->       string: 数据ID
	@return:    $dataInfor->    array : 字段数组
	*/
	function atten_SearchSingleData($tablename,$consql){
		global $connection;
		$sql = "SELECT * FROM ".$tablename." WHERE 1 ".$consql;
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($rs)){
			$dataInfor = $row;
		}
		return $dataInfor;
	}
	//查找数量
	function atten_getSearchCount(){
		global $connection;
		$sql = "SELECT COUNT(ATT_PERSON='".SecurityFilter($_SESSION["LOGIN_USER_ID"])."' OR NULL),COUNT(ATT_TOPERSON='".SecurityFilter($_SESSION["LOGIN_USER_ID"])."' OR NULL) FROM attention WHERE ATT_STATE='2'";
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_array($rs)){
			return $row;
		}
	}
	/*
	@function:  查找用户和部门信息
	@parameter: $tablename->    string: 数据库表名
	@parameter: $dataId->       string: 数据ID
	@return:    $dataInfor->    array : 字段数组
	*/
	function atten_SearchUserData($userId){
		global $connection;
		$sql = "SELECT * FROM USER LEFT JOIN department ON user.`DEPT_ID`=department.`DEPT_ID` WHERE user.`USER_ID`='".SecurityFilter($userId)."'";
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($rs)){
			$dataInfor = $row;
		}
		return $dataInfor;
	}
	/*
	@function:  获取总数据
	@parameter: $tablename->    string: 数据库表名
	@parameter: $sql->          string: 条件
	@return:    $dataInfor->    array : 字段数组
	*/
	public function atten_SearchAllData($tablename,$con_sql){
		global $connection;
		$dataInfor = array();
		$sql = "SELECT * FROM ".$tablename." WHERE 1 ".$con_sql;
		$cursor = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($cursor)){
			$dataInfor[] = $row;
		}
		return $dataInfor;
	}
	/*
	@function:  获取我关注的人员ID
	@parameter: $tablename->    string: 数据库表名
	@parameter: $sql->          string: 条件
	@return:    $dataInfor->    array : 字段数组
	*/
	public function atten_MyAttionUserId($userId){
		global $connection;
		$dataInfor = "";
		$sql = "SELECT * FROM attention WHERE 1 AND ATT_PERSON='".SecurityFilter($userId)."' AND ATT_STATE=2";
		$cursor = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($cursor)){
			$dataInfor .= $row["ATT_TOPERSON"].",";
		}
		return $dataInfor;
	}

	public function show_dimission_weibo(){
		global $connection;
		$checksql = "SELECT * FROM sys_para WHERE PARA_NAME='DIMISSION_SHOW_WEIBO' LIMIT 1";
		$query = exequery($connection,$checksql);

		if ($row = mysql_fetch_array($query)) {
			return $row['PARA_VALUE'];
		}

		return 1;
	}

	/*
	@function:  我关注的人列表数据
	@return:    $dataInfor->    array : 字段数组
	*/
	public function atten_myListData($order,$sens,$limit_s="",$limit_e="",$where_array=array()){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM attention";
		$search_count  = "SELECT COUNT(*) FROM attention";
		$query = '';
		//if (!$this->show_dimission_weibo()) {
			$query .= " LEFT JOIN user ON attention.ATT_TOPERSON = user.USER_ID";
		//}

		$query .= " WHERE ATT_PERSON='".SecurityFilter($this->user_id)."' AND ATT_STATE!=3";

		if (!$this->show_dimission_weibo()) {
			$query .= " AND user.USER_ACCOUNTS != ''";
		} else {
			$query .= " AND (user.USER_ACCOUNTS != '' OR (user.USER_ACCOUNTS = '' AND user.DEPT_ID = 0))";
		}

		if(!empty($where_array)){
			//查询条件
		}

		$query .= " ORDER BY ".$order." ".$sens;
		$count  = $search_count.$query;

		$infor['resultCount'] = $this->atten_Getsumnumber($count);
		/*if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".$limit_s.",".$limit_e;
		}*/
		if($limit_s>=0 && $limit_e){
			$query .= " limit ".$limit_s.",".$limit_e;
		}

		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	/*
	@function:  关注我的人员列表数据
	@return:    $dataInfor->    array : 字段数组
	*/
	public function atten_toMyListData($order,$sens,$limit_s="",$limit_e="",$where_array=array()){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM attention";
		$search_count  = "SELECT COUNT(*) FROM attention";

		$query = '';
		//if (!$this->show_dimission_weibo()) {
			$query .= " LEFT JOIN user ON attention.ATT_PERSON = user.USER_ID";
		//}

		$query .= "  WHERE ATT_TOPERSON='".$this->user_id."' AND ATT_STATE!=3";

		if (!$this->show_dimission_weibo()) {
			$query .= " AND user.USER_ACCOUNTS != ''";
		} else {
			$query .= " AND (user.USER_ACCOUNTS != '' OR (user.USER_ACCOUNTS = '' AND user.DEPT_ID = 0))";
		}

		if(!empty($where_array)){
			//查询条件
		}
		$query .= " ORDER BY ".$order." ".$sens;
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->atten_Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".$limit_s.",".$limit_e;
		}
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	/*
	@function:  来访纪录
	@return:    $dataInfor->    array : 字段数组
	*/
	public function visit_recordListData($order,$sens,$limit_s="",$limit_e="",$diff){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM visitrecord";
		$search_count  = "SELECT COUNT(*) FROM visitrecord";
		$query = '';

		switch($diff){
			case "myVisit":
				//if (!$this->show_dimission_weibo()) {
					$query .= " LEFT JOIN user ON visitrecord.VIS_TOPERSON = user.USER_ID";
				//}

				$query .= " WHERE VIS_PERSON='".$this->user_id."'";
			break;
			case "visitMy":
				//if (!$this->show_dimission_weibo()) {
					$query .= " LEFT JOIN user ON visitrecord.VIS_PERSON = user.USER_ID";
				//}

				$query .= " WHERE VIS_TOPERSON='".$this->user_id."'";
			break;
		}

		if (!$this->show_dimission_weibo()) {
			$query .= " AND user.USER_ACCOUNTS!=''";
		} else {
			$query .= " AND (user.USER_ACCOUNTS != '' OR (user.USER_ACCOUNTS = '' AND user.DEPT_ID = 0))";
		}

		$count  = $search_count.$query;
		$infor['resultCount'] = $this->atten_Getsumnumber($count);

		$query .= " ORDER BY ".$order." ".$sens;
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".$limit_s.",".$limit_e;
		}
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	/*
	@function:  产生数据总数
	@parameter: $query->          string : 查询语句
	@return:    $resultCount->    string ：总数
	*/
	private function atten_Getsumnumber($query)
	{
		global $connection;
		$getCountResult = exequery($connection, $query);
		if ($getCountRow = mysql_fetch_array($getCountResult))
		{
			$resultCount = $getCountRow[0];
		}
		if($resultCount=="")
		{
			return 0;
		}
		else
		{
			return $resultCount;
		}
	}
}
?>
