<?php
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      日程的API文件
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/.php
 * @version       2
 * @author        Weaver|www.weaver.com.cn
 * @date          2011-12-20
*/
include_once('inc/utility_all.php');
class calendar{
	var $default_limit = 20;
	var $default_start = 0;
	private $deptid;
	private $uesrpriv;
	private $userid;
	private $curdate;
	
	//构造函数
	function __construct($userinfo=array()){
		global $connection;
		if($userinfo["user_id"]=="")
		{
			$this->userid = $_SESSION["LOGIN_USER_ID"];	
		}
		else
		{
			$this->userid = $userinfo["user_id"];	
		}
		if($this->userid){
			$sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".$this->userid."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$this->deptid   = $row["DEPT_ID"];
			$this->uesrpriv = $row["USER_PRIV"];
		}
		$this->curdate = date("Y-m-d",time());
	}
	//新建
	function createNewData($dataInfor,$tablename){
		global $connection;	
		switch($tablename){
			case "calendar":
				$sql = "INSERT INTO calendar (
						  USER_ID,
						  SHARE_USER,
						  CAL_LEVEL,
						  CAL_TYPE,
						  CAL_BEGIN,
						  CAL_END,
						  CREATE_TIME,
						  CAL_WHILE_TYPE,
						  CAL_WHILE_BEGIN,
						  CAL_WHILE_END,
						  CAL_IS_NEVER,
						  CAL_EACH_WHEEL,
						  CAL_STR_WEEK,
						  CAL_REMIND,
						  CAL_SMS_TYPE,
						  CAL_SMS_COUNT,
						  CAL_CONTENT,
						  LABELSTR
						) 
						VALUES
						  (
							'".SecurityFilter($dataInfor["USER_ID"])."',
							'".SecurityFilter($dataInfor["SHARE_USER"])."',
							'".SecurityFilter($dataInfor["CAL_LEVEL"])."',
							'".SecurityFilter($dataInfor["CAL_TYPE"])."',
							'".SecurityFilter($dataInfor["CAL_BEGIN"])."',
							'".SecurityFilter($dataInfor["CAL_END"])."',
							'".SecurityFilter($dataInfor["CREATE_TIME"])."',
							'".SecurityFilter($dataInfor["CAL_WHILE_TYPE"])."',
							'".SecurityFilter($dataInfor["CAL_WHILE_BEGIN"])."',
							'".SecurityFilter($dataInfor["CAL_WHILE_END"])."',
							'".SecurityFilter($dataInfor["CAL_IS_NEVER"])."',
							'".SecurityFilter($dataInfor["CAL_EACH_WHEEL"])."',
							'".SecurityFilter($dataInfor["CAL_STR_WEEK"])."',
							'".SecurityFilter($dataInfor["CAL_REMIND"])."',
							'".SecurityFilter($dataInfor["CAL_SMS_TYPE"])."',
							'".SecurityFilter($dataInfor["CAL_SMS_COUNT"])."',
							'".SecurityFilter($dataInfor["CAL_CONTENT"])."',
							'".SecurityFilter($dataInfor["LABELSTR"])."'
						  )";
			break;	
		}
		exequery($connection,$sql);
		
		$insertid = mysql_insert_id();
		$receiveUser = rtrim($dataInfor["RECEIVE_USER"],',');
		if($receiveUser){
			$query = 'INSERT INTO `calendar_receive` (`CAL_ID`,`USER_ID`) VALUES ';
			foreach(explode(',', $receiveUser) as $v){
				$query .= '('.$insertid.',"'.$v.'"),';
			}
			exequery($connection,rtrim($query,','));
		}
		return $insertid;	
	}
	//编辑
	function caleEditData($dataInfor,$tablename,$dataId){
		global $connection;
		switch($tablename){
			case "calendar":
				$sql = "UPDATE 
						  calendar 
						SET
						  SHARE_USER = '".SecurityFilter($dataInfor["SHARE_USER"])."',
						  CAL_LEVEL = '".SecurityFilter($dataInfor["CAL_LEVEL"])."',
						  CAL_TYPE = '".SecurityFilter($dataInfor["CAL_TYPE"])."',
						  CAL_BEGIN = '".SecurityFilter($dataInfor["CAL_BEGIN"])."',
						  CAL_END = '".SecurityFilter($dataInfor["CAL_END"])."',
						  CAL_WHILE_TYPE = '".SecurityFilter($dataInfor["CAL_WHILE_TYPE"])."',
						  CAL_WHILE_BEGIN = '".SecurityFilter($dataInfor["CAL_WHILE_BEGIN"])."',
						  CAL_WHILE_END = '".SecurityFilter($dataInfor["CAL_WHILE_END"])."',
						  CAL_IS_NEVER = '".SecurityFilter($dataInfor["CAL_IS_NEVER"])."',
						  CAL_EACH_WHEEL = '".SecurityFilter($dataInfor["CAL_EACH_WHEEL"])."',
						  CAL_STR_WEEK = '".SecurityFilter($dataInfor["CAL_STR_WEEK"])."',
						  CAL_REMIND = '".SecurityFilter($dataInfor["CAL_REMIND"])."',
						  CAL_SMS_TYPE = '".SecurityFilter($dataInfor["CAL_SMS_TYPE"])."',
						  CAL_SMS_COUNT = '".SecurityFilter($dataInfor["CAL_SMS_COUNT"])."',
						  LABELSTR = '".SecurityFilter($dataInfor["LABELSTR"])."',
						  CAL_CONTENT = '".SecurityFilter($dataInfor["CAL_CONTENT"])."' 
						WHERE CAL_ID = '".SecurityFilter($dataId)."' ";
			break;	
		}	
		$curose = exequery($connection,$sql);	
		if($curose){
			mysql_free_result($curose);
			$query = "DELETE FROM `calendar_receive` WHERE CAL_ID = '".SecurityFilter($dataId)."' ";
			$curose = exequery($connection,$query);	
			unset($query);
			mysql_free_result($curose);
			$receiveUser = rtrim($dataInfor["RECEIVE_USER"],',');
			$receiveUser = SecurityFilter($receiveUser);
			if($receiveUser){
				$query = 'INSERT INTO `calendar_receive` (`CAL_ID`,`USER_ID`) VALUES ';
                foreach(explode(',', $receiveUser) as $v){
					$query .= '('.$dataId.',"'.$v.'"),';
				}
				exequery($connection,rtrim($query,','));
			}
			return true;	
		}else{
			return false;	
		}
	}
	//日程列表
	function caleListShowData($order,$sens,$limit_s="",$limit_e="",$quickSortParam,$where_array=array()){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		//取下属人员ID
		if(!in_array($quickSortParam, array('myCreate','myIn','receive'))){
			$receiveId	= $this->getAttentionId($this->userid,false);
			if(!$receiveId) {
				$receiveId = '""';
			}
			$query		= " calendar WHERE 1 AND (USER_ID = '".$this->userid."' OR FIND_IN_SET('".$this->userid."',SHARE_USER) OR CAL_ID IN(".$receiveId."))";
		}
		switch ($quickSortParam){
			case "myCreate":
				$query = " calendar WHERE 1 AND USER_ID='".$this->userid."'";
			break;	
			case "myIn":
				$query = " calendar WHERE 1 AND FIND_IN_SET('".$this->userid."',SHARE_USER)";
			break;	
			case "receive":
				$myReceiveId		= $this->getOwnAttentionId($this->userid);
				if(!$myReceiveId) {
					$myReceiveId = '""';
				}
				$query				= " calendar WHERE 1 AND CAL_ID IN (".SecurityFilter($myReceiveId).")";
			break;	
		}
		if(!empty($where_array)){	
			foreach($where_array as $key=>$value) 
			{
				/*if($key == "TYPE_NAME")
				{
					//$query .= " AND TYPE_NAME LIKE'%".$value."%'";
				}*/
			}	
		}	
		switch ($quickSortParam)
		{
			case "D-1" :
				$query .= " AND (DATE_FORMAT(CAL_BEGIN,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(CAL_END,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(CAL_BEGIN,'%Y-%m-%d') AND DATE_FORMAT(CAL_END,'%Y-%m-%d')))";
				break;
			case "W-1" :
				$query .= " AND (YEARWEEK(CAL_BEGIN,1)=YEARWEEK(NOW(),1) OR YEARWEEK(CAL_END,1)=YEARWEEK(NOW(),1))";
				break;
			case "M-1" :
				$query .= " AND (DATE_FORMAT(CAL_BEGIN,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m') OR DATE_FORMAT(CAL_END,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m'))";
				break;
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;

		$infor['resultCount'] = $this->Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".$limit_s.",".$limit_e;	
		}
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;			
	}
	function myCalendarList($quickParam,$startDate,$endDate,$whereUserId = false,$type = false,$orderBy = false,$limit=false){
		global $connection;
		$infor		= array();
		$query		= "SELECT * FROM";
		//取下属人员ID
		if(!in_array($quickParam, array('myCreate','myIn','receive','myAll'))){
			if($whereUserId){
				$receiveId = $this->getOwnAttentionId($whereUserId);
			} else {
				$receiveId	= $this->getAttentionId($this->userid, $type);
			}
			if(!$receiveId) {
				$receiveId = '""';
			}
			$query		.= " calendar WHERE 1 AND CAL_ID IN(".SecurityFilter($receiveId).")";
		}
		switch ($quickParam){
			case "myCreate":
				$query .= " calendar WHERE 1 AND USER_ID='".$this->userid."'";
			break;	
			case "myIn":
				$query .= " calendar WHERE 1 AND FIND_IN_SET('".$this->userid."',SHARE_USER)";
			break;	
			case "receive":
				$myReceiveId	= $this->getOwnAttentionId($this->userid);
				if(!$myReceiveId) {
					$myReceiveId = '""';
				}
				$query			.= " calendar WHERE 1 AND CAL_ID IN (".SecurityFilter($myReceiveId).")";
			break;	
			case 'myAll':
				$myReceiveId	= $this->getOwnAttentionId($this->userid);
				if(!$myReceiveId) {
					$myReceiveId = '""';
				}
				$query .= " calendar WHERE 1 AND (FIND_IN_SET('".$this->userid."',SHARE_USER) OR CAL_ID IN(".SecurityFilter($myReceiveId)."))";
			break;
		}
		if(!($startDate == false && $endDate == false)){
			$query .= " AND ((CAL_BEGIN >= '$startDate' AND CAL_BEGIN <= '". SecurityFilter($endDate) ."') OR ( CAL_END > '". SecurityFilter($startDate) ."' AND CAL_END < '". SecurityFilter($endDate) ."') OR ( CAL_BEGIN <= '". SecurityFilter($startDate) ."' AND CAL_END >= '". SecurityFilter($endDate) ."'))";
		}
		if($orderBy){
			$query .= $orderBy;
		}
		if($limit){
			$query .= $limit;
		}
		$cursor = exequery($connection,$query);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;			
	}
	public function isReceiveUser($calId,$userId)
	{
		global $connection;
		$query		= 'SELECT count(CAL_ID) as count FROM `calendar_receive` WHERE `CAL_ID`= "'.SecurityFilter($calId).'" AND `USER_ID` = "' . SecurityFilter($userId).'"';
		
		$cousor		= exequery($connection,$query);
		if($row = mysql_fetch_assoc($cousor)) {
			if($row['count'] >= 1){
				return true;
			}
		}
		return false;
	}
	public function getOwnAttentionId($userId)
	{
		global $connection;
		$calId		= '';
		$query		= 'SELECT CAL_ID FROM `calendar_receive` WHERE `USER_ID` = "' . SecurityFilter($userId).'"';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			$calId .= "'".$row["CAL_ID"]."',";
		}
		return rtrim($calId,',');
	}
	public function getAttentionId($userId,$where = false)
	{
		global $connection;
		$userIdSql	= '';
		if(!$where) {
			$userIdSql = "'".$userId."'";
		}
		if($where === false || $where === 'branch'){
			$query		= 'SELECT * FROM `user_superior` WHERE `SUPERIOR_USER_ID` = "' . SecurityFilter($userId) . '"';
			$cousor		= exequery($connection,$query);
			while($row = mysql_fetch_assoc($cousor)) {
				$userIdSql  .= ",'".$row["USER_ID"]."'";
			}
			mysql_free_result($cousor);
			unset($query);
		}
		
		if($where === false || $where === 'attention'){
			$query		= 'SELECT * FROM `calendar_attentions` WHERE `status` =2 AND `current_user` = "' . SecurityFilter($userId) . '" ORDER BY update_time DESC';
			$cousor		= exequery($connection,$query);
			while($row = mysql_fetch_assoc($cousor)) {
				$userIdSql .= ",'".$row["attention_user"]."'";
			}
			mysql_free_result($cousor);
			unset($query);
		}
		$calId		= '';
		if(!$userIdSql){
			$userIdSql = '""';
		}
		$query		= 'SELECT distinct CAL_ID FROM `calendar_receive` WHERE `USER_ID` IN (' . SecurityFilter(ltrim($userIdSql,',')) .')';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			$calId .= "'".$row["CAL_ID"]."',";
		}
		return rtrim($calId,',');
	}
	/*
	@function:  判断登录用户权限
	*/
	private function Login_User_Priv($userid="")
	{
		global $connection;
		if($userid!="")
		{
			$USER_ID = $userid;	
		}
		else
		{
			$USER_ID = $_SESSION['LOGIN_USER_ID'];	
		}
		$sql = "SELECT up.USER_PRIV, up.PRIV_NO, u.DEPT_ID, u.USER_ID, u.USER_ACCOUNTS, u.POST_PRIV, u.POST_DEPT FROM user_priv as up 
					 LEFT JOIN user as u ON(u.USER_PRIV = up.USER_PRIV) 
						 WHERE  u.USER_ID='". SecurityFilter($USER_ID) ."'";
		$cursor= exequery( $connection, $sql );
		if($row= mysql_fetch_array($cursor)) {	
			$login_priv['priv_no']	 = $row["PRIV_NO"];
			$login_priv['priv_dept'] = $row["DEPT_ID"];
			$login_priv['priv_user'] = $row["USER_ID"];
			$login_priv['post_priv'] = $row['POST_PRIV'];
			$login_priv['post_dept'] = $row['POST_DEPT'];
			$login_priv['user_priv'] = $row['USER_PRIV'];
		}
		return $login_priv;	
	}
	//获取下属的用户账户
	function Get_Underling_Accounts( $login_priv ){
		global $connection;		
		switch($login_priv['post_priv']){
			case '0':
				$sql = "SELECT USER_ID 
						FROM USER u 
						LEFT JOIN user_priv up ON up.USER_PRIV = u.USER_PRIV 
						WHERE up.PRIV_NO > '". SecurityFilter($login_priv['priv_no']) . "'  AND DEPT_ID = '".SecurityFilter($login_priv['priv_dept'])."' AND USER_ACCOUNTS!=''";
				break;
			case '1':
				$sql = "SELECT USER_ID 
						FROM USER u 
						LEFT JOIN user_priv up ON up.USER_PRIV = u.USER_PRIV
						WHERE up.PRIV_NO > '". SecurityFilter($login_priv['priv_no']) . "' AND USER_ACCOUNTS!=''";
				break;
			case '2':
				$idarray = explode(",",$login_priv['post_dept']);
				$idcount = count($idarray);
				$str = "";
				for($i=0;$i<$idcount;$i++){
					if($idarray[$i]!=""){
						$str .= " DEPT_ID='".SecurityFilter($idarray[$i])."' OR";
					}	
				}
				if($str!=""){
					$str = substr($str,0,-2);
					$sqlstr = " AND (".$str.") ";		
				}
				$sql = "SELECT USER_ID 
						FROM USER u 
						LEFT JOIN user_priv up ON up.USER_PRIV = u.USER_PRIV
						WHERE up.PRIV_NO > '". SecurityFilter($login_priv['priv_no']) . "' ".$sqlstr." AND USER_ACCOUNTS!=''";
				break;
		}	
		$cursor = exequery($connection, $sql);
		while($row= mysql_fetch_array($cursor)){
			$accounts[] = $row["USER_ID"];
		}	
		if(empty($accounts))
			$accounts = array($login_priv['priv_user']);
		else
			$accounts = array_filter($accounts);
		return $accounts;
	}
	//获取下级帐户名字符串
	function Get_Accounts_Str($login_priv,$userid=""){	
		global $connection;
		if($userid!="")
		{
			$USER_ID = $userid;	
		}
		else
		{
			$USER_ID = $_SESSION['LOGIN_USER_ID'];	
		}
		if($USER_ID=="admin")
		{
			$sql = "SELECT
					  USER_ID
					FROM USER
					WHERE USER_ACCOUNTS != ''";	
			$cursor= exequery( $connection, $sql );
			while($row= mysql_fetch_array($cursor)) 
			{
				//$accounts_str .= "'" . $row["USER_ID"] . "',";	
				$accounts_str .= $row["USER_ID"].",";	
			}		
		}
		else
		{
			$accounts_array = $this->Get_Underling_Accounts($login_priv);
			foreach($accounts_array as $acc){
				//$accounts_str .= "'" . $acc . "',";
				$accounts_str .= $acc.",";	
			}	
		}
		if($accounts_str == "") {
			global $connection;
			$query = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
			$rs    = exequery($connection,$query);
			$row   = mysql_fetch_array($rs);
			$accounts_str = $row["USER_ID"].",";
		}
		//$accounts_str = substr( $accounts_str, 0, -1 );
		return $accounts_str;
	}
	//获取我的下属
	function getMyUnderUser($userid){
		$LoginUser    = $this->Login_User_Priv($userid);
		$accounts_str = $this->Get_Accounts_Str($LoginUser);
		return $accounts_str;
	}

	//删除
	function caleDeleteData($tablename,$sql){
		global $connection;	
		$sql = "DELETE FROM ".$tablename." WHERE 1 ".$sql;
		$curose = exequery($connection,$sql);
		if($curose){
			return true;	
		}else{
			return false;	
		}		
	}
	//查询单个数据
	function caleGetSingleData($tablename,$consql){
		global $connection;	
		$dataInfor = array();
		$sql = "SELECT * FROM ".$tablename." WHERE 1".$consql;
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($rs)){
			$row['RECEIVE_USER'] = $this->getReceiveUser($row['CAL_ID']);
			$dataInfor = $row;
		}					
		return $dataInfor;
	}
	public function getReceiveUser($calId)
	{
		global $connection;	
		$receiveUser = '';
		$sql = "SELECT * FROM `calendar_receive` WHERE CAL_ID = ".$calId;
		$rs = exequery($connection,$sql);
		if ($rs) {
			while($row = mysql_fetch_assoc($rs)){
				$receiveUser .= $row['USER_ID'] . ',';
			}
		}				
		return rtrim($receiveUser,',');
	}
	/*
	@function:  查找多条数据
	@parameter: $tablename->    string: 数据库表名
	@return:    $dataInfor->    array : 字段数组
	*/
	function caleSearchManyData($tablename,$sql){
		global $connection;
		$sql = "SELECT * FROM ".$tablename." WHERE 1 ".$sql;
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs)){
			$dataInfor[] = $row;
		}				
		return $dataInfor;	
	}
	/*
	@function:  产生数据总数
	@parameter: $query->          string : 查询语句
	@return:    $resultCount->    string ：总数
	*/
	private function Getsumnumber($query)
	{
		global $connection;
		$getCountResult = exequery($connection, $query);
		if ($getCountRow = mysql_fetch_array($getCountResult)) 
		{
			$resultCount = $getCountRow[0];
		}
		if($resultCount=="")
		{
			return 0;	
		}
		else
		{
			return $resultCount;	
		}
	}
	/**
	*获取日程的条数
	*@param  $date   传入的日期(今日日程或者其他日期)
	*@return $amount 返回的对应日期的日程条数
	*/
	function getCalendarAmount($date="",$keyword=""){
		global $connection;
		$sql = "
				SELECT COUNT(CAL_ID) AS CNT FROM calendar 
				    WHERE 1 
				    AND
					  (USER_ID='".$this->userid."' 
				      OR 
					  SHARE_USER LIKE '%,".$this->userid.",%' 
					  OR 
					  LEFT(SHARE_USER,".strlen($this->userid).") = '".$this->userid."')
				";
		if($date != "") {
			$sql .= " AND (TO_DAYS(CAL_BEGIN)=TO_DAYS('".SecurityFilter($date)."') OR (TO_DAYS(CAL_BEGIN)<=TO_DAYS('".SecurityFilter($date)."') AND TO_DAYS(CAL_END)>=TO_DAYS('".SecurityFilter($date)."')))";
		}
		if($keyword != ""){
			$sql .= " AND CAL_CONTENT like '%".SecurityFilter($keyword)."%'";
		}
		$rs	    = exequery($connection,$sql);
		$row    = mysql_fetch_array($rs);
		$amount = $row["CNT"];
		return $amount;
	}
	
	/**
	*获取日程的信息
	*@param  $limit   返回的日程数据的限制条数开始位置
	*@param  $start   返回的日程数据的限制条数结束位置
	*@param  $date    日程的日期
	*@param  $calid   日程中表中的日程ID
	*@reutrn $calData 返回日程的数据信息
	*/
	public function getCalendarInfo($limit=0,$start=0,$date="",$calid="",$keyword="",$order=""){
		global $connection;
		$limit = $limit>0?$limit:$this->default_limit;
		$start = $start>0?$start:$this->default_start;
		$sql = "
				SELECT * FROM calendar 
				    WHERE 1 
				    AND (
				       USER_ID='".$this->userid."' 
				       OR 
				       SHARE_USER LIKE '%,".$this->userid.",%' 
				       OR 
				       LEFT(SHARE_USER,".strlen($this->userid).") = '".$this->userid."'
				)";
		if($calid != "") {
			$sql .= " AND CAL_ID=".SecurityFilter($calid)." ";
		}
		if($date != ""){
			$sql .= " AND (TO_DAYS(CAL_BEGIN)=TO_DAYS('".SecurityFilter($date)."') OR (TO_DAYS(CAL_BEGIN)<=TO_DAYS('".SecurityFilter($date)."') AND TO_DAYS(CAL_END)>=TO_DAYS('".SecurityFilter($date)."')))";
		}
		if($keyword != ""){
			$sql .= " AND CAL_CONTENT like '%".SecurityFilter($keyword)."%'";
		}
		if($order=="")
		{
			$sql .= "ORDER BY CAL_BEGIN DESC LIMIT ".$start.",".$limit."";
		}
		else
		{
			$sql .= "ORDER BY ".$order." DESC LIMIT ".$start.",".$limit."";		
		}
		$rs   = exequery($connection,$sql);
		$resultArray = array();
		while($row = mysql_fetch_array($rs)){
			$calData['USER_ID']        = $row['USER_ID'];
			$calData['CAL_ID']         = $row['CAL_ID'];
			$calData['USER_NAME']      = getUserNameNew($row['USER_ID']);
			$calData['CAL_CONTENT']    = $row['CAL_CONTENT'];
			$calData['CAL_LEVEL']      = $row['CAL_LEVEL'];
			$calData['CAL_TYPE']       = $row['CAL_TYPE'];
			$calData['CAL_BEGIN']      = $row['CAL_BEGIN'];
			$calData['CAL_END']        = $row['CAL_END'];
			$calData['CAL_WHILE_TYPE'] = $row['CAL_WHILE_TYPE'];
			$calData['CAL_EACH_WHEEL'] = $row['CAL_EACH_WHEEL'];
			$calData['CAL_STR_WEEK']   = $row['CAL_STR_WEEK'];
			array_push($resultArray,$calData);
		}		
		return $resultArray;
	}
	
	/**
	*
	*@param  $calid     日程表中日程的ID
	*@param  $flag      区分日程顺序(默认为next)
	*@return $calData   返回的日程的数据
	*/
	public function getPreNextCalendar($calid,$flag){
		global $connection;
		if($calid){
			$sql = " 
					SELECT * FROM calendar 
					    WHERE 1 AND	USER_ID='".$this->userid."' 
					    AND 
					    SHARE_USER LIKE '%,".$this->userid.",%' 
					    OR 
					    LEFT(SHARE_USER,".strlen($this->userid).") = '".$this->userid."'
				   ";
			switch ($flag) {
				case "":
					$sql .= " AND CAL_ID>'".SecurityFilter($calid)."' ORDER BY CAL_ID ASC LIMIT 0,1";
					break;
				case "next":
					$sql .= " AND CAL_ID>'".SecurityFilter($calid)."' ORDER BY CAL_ID ASC LIMIT 0,1";
					break;
				case "pre":
					$sql .= " AND CAL_ID<'".SecurityFilter($calid)."' ORDER BY CAL_ID DESC LIMIT 0,1";
					break;
			}
			$rs        = exequery($connection,$sql);
			$row       = mysql_fetch_array($rs);
			$recalid   = $row["CAL_ID"];
			$recontent = $row["CAL_CONTENT"];
		}
		$calData["docsid"]  = $recalid;
		$calData["subject"] = $recontent;
		return $calData;
	}
	public function getDefaultAttention($currentUserId,$getId = false)
	{
		global $connection;
		if(!$getId){
			$userDeptAssoc	= $this->getUserDeptAssoc();
			$deptAssoc		= $userDeptAssoc['deptAssoc'];
			$userAssoc		= $userDeptAssoc['userAssoc'];
		}
		$haveUser	= array();
		$query		= 'SELECT * FROM `user_superior` WHERE `SUPERIOR_USER_ID` = "' . SecurityFilter($currentUserId) . '"';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			if($getId) {
				$haveUser[] = $row["USER_ID"];
			} else {
				$row['DEPT_NAME']	= $deptAssoc[$row["USER_ID"]];
				$row['USER_AVATAR'] = $this->getUserAvatar($row["USER_ID"]);
				$row['USER_NAME']	= $userAssoc[$row["USER_ID"]];
				if($row['USER_NAME'] == null){
					continue;
				}
				$haveUser[]			= $row;
			}
		}
		mysql_free_result($cousor);
		unset($query);
		
		return $haveUser;
	}
	public function getHaveAttention($currentUserId,$getId = false)
	{
		global $connection;
		if(!$getId){
			$userDeptAssoc	= $this->getUserDeptAssoc();
			$deptAssoc		= $userDeptAssoc['deptAssoc'];
			$userAssoc		= $userDeptAssoc['userAssoc'];
		}
		$haveUser	= array();
		$query		= 'SELECT * FROM `calendar_attentions` WHERE `status` !=3 AND `current_user` = "' . SecurityFilter($currentUserId) . '" ORDER BY update_time DESC';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			if($getId) {
				$haveUser[] = $row["attention_user"];
			} else {
				$row['DEPT_NAME']	= $deptAssoc[$row["attention_user"]];
				$row['USER_AVATAR'] = $this->getUserAvatar($row["attention_user"]);
				$row['USER_NAME']	= $userAssoc[$row["attention_user"]];
				if($row['USER_NAME'] == null){
					continue;
				}
				$haveUser[] = $row;
			}
		}
		mysql_free_result($cousor);
		unset($query);
		
		return $haveUser;
	}
	public function getHadAttention($currentUserId)
	{
		global $connection;
		$userDeptAssoc	= $this->getUserDeptAssoc();
		$userAssoc		= $userDeptAssoc['userAssoc'];
		$deptAssoc		= $userDeptAssoc['deptAssoc'];
		$query		= 'SELECT * FROM `calendar_attentions` WHERE `status` =2 AND `current_user` = "' . SecurityFilter($currentUserId) . '" ORDER BY update_time DESC';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			$row['USER_NAME']	= $userAssoc[$row["attention_user"]];
			if($row['USER_NAME'] == null){
				continue;
			}
			$row['DEPT_NAME']	= $deptAssoc[$row["attention_user"]];
			$row['USER_AVATAR'] = $this->getUserAvatar($row["attention_user"]);
			$haveUser[] = $row;
		}
		mysql_free_result($cousor);
		unset($query);
		
		return $haveUser;
	}
	public function getHadAttentionUserId($currentUserId)
	{
		global $connection;
		$query		= 'SELECT * FROM `calendar_attentions` WHERE `status` =2 AND `current_user` = "' . SecurityFilter($currentUserId) . '" ORDER BY update_time DESC';
		$cousor		= exequery($connection,$query);
		$userId		= '';
		while($row = mysql_fetch_assoc($cousor)) {
			$userId	.= '"'.$row["attention_user"] . '",';
		}
		mysql_free_result($cousor);
		unset($query);
		
		return rtrim($userId,',');
	}
	public function getUnAttention($currentUserId,$getId = false)
	{
		global $connection;
		if(!$getId){
			$userDeptAssoc	= $this->getUserDeptAssoc();
			$deptAssoc		= $userDeptAssoc['deptAssoc'];
			$userAssoc		= $userDeptAssoc['userAssoc'];
		}
		$haveUser	= array();
		$query		= 'SELECT * FROM `calendar_attentions` WHERE  `status` !=3 AND `attention_user` = "' . SecurityFilter($currentUserId) . '" ORDER BY update_time DESC';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			if($getId) {
				$haveUser[] = $row["current_user"];
			} else {
				$row['DEPT_NAME']	= $deptAssoc[$row["current_user"]];
				$row['USER_AVATAR'] = $this->getUserAvatar($row["current_user"]);
				$row['USER_NAME']	= $userAssoc[$row["current_user"]];
				if($row['USER_NAME'] == null){
					continue;
				}
				$haveUser[] = $row;
			}
		}
		mysql_free_result($cousor);
		unset($query);
		
		return $haveUser;
	}
	public function getMyShare($currentUserId,$getId=false)
	{
		global $connection;
		if(!$getId){
			$userDeptAssoc	= $this->getUserDeptAssoc();
			$deptAssoc		= $userDeptAssoc['deptAssoc'];
			$userAssoc		= $userDeptAssoc['userAssoc'];
		}
		$haveUser	= array();
		$query		= 'SELECT * FROM `calendar_attentions` WHERE  `is_share` = 1 AND `attention_user` = "' . SecurityFilter($currentUserId) . '" ORDER BY update_time DESC';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			if($getId) {
				$haveUser[] = $row["current_user"];
			} else {
				$row['DEPT_NAME']	= $deptAssoc[$row["current_user"]];
				$row['USER_AVATAR'] = $this->getUserAvatar($row["current_user"]);
				$row['USER_NAME']	= $userAssoc[$row["current_user"]];
				if($row['USER_NAME'] == null){
					continue;
				}
				$haveUser[] = $row;
			}
		}
		mysql_free_result($cousor);
		unset($query);
		
		return $haveUser;
	}
	public function getShareToMe($currentUserId,$getId=false)
	{
		global $connection;
		if(!$getId){
			$userDeptAssoc	= $this->getUserDeptAssoc();
			$deptAssoc		= $userDeptAssoc['deptAssoc'];
			$userAssoc		= $userDeptAssoc['userAssoc'];
		}
		$haveUser	= array();
		$query		= 'SELECT * FROM `calendar_attentions` WHERE  `is_share` = 1 AND `current_user` = "' . SecurityFilter($currentUserId) . '" ORDER BY update_time DESC';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			if($getId) {
				$haveUser[] = $row["attention_user"];
			} else {
				$row['DEPT_NAME']	= $deptAssoc[$row["attention_user"]];
				$row['USER_AVATAR'] = $this->getUserAvatar($row["attention_user"]);
				$row['USER_NAME']	= $userAssoc[$row["attention_user"]];
				if($row['USER_NAME'] == null){
					continue;
				}
				$haveUser[] = $row;
			}
		}
		mysql_free_result($cousor);
		unset($query);
		
		return $haveUser;
	}
	public function getUserDeptAssoc()
	{
		global $connection;
		$deptAssoc = $userAssoc = array();
		$query = 'SELECT user.USER_ID,user.USER_NAME,department.DEPT_NAME FROM user LEFT JOIN department ON user.DEPT_ID = department.DEPT_ID WHERE user.DEPT_ID > 0';
		$cousor		= exequery($connection,$query);
		while($row = mysql_fetch_assoc($cousor)) {
			$deptAssoc[$row['USER_ID']] = $row['DEPT_NAME'];
			$userAssoc[$row['USER_ID']] = $row['USER_NAME'];
		}
		mysql_free_result($cousor);
		unset($query);
		return array('deptAssoc' => $deptAssoc,'userAssoc' => $userAssoc);
	}
	public function approveAttention($currentUserId,$approveUser)
	{
		global $connection;
		
		$query = 'UPDATE `calendar_attentions` SET `status` = 2,`update_time`="'.date('Y-m-d H:i:s').'" WHERE `attention_user` = "' . SecurityFilter($currentUserId) . '" AND `current_user`="'.SecurityFilter($approveUser).'"';
		return exequery($connection,$query);
	}
	public function addShareAttention($currentUserId,$approveUser)
	{
		global $connection;
		
		$query = 'UPDATE `calendar_attentions` SET `status` = 2,`update_time`="'.date('Y-m-d H:i:s').'" WHERE `attention_user` = "' . SecurityFilter($approveUser) . '" AND `current_user`="'.SecurityFilter($currentUserId).'"';
		
		return exequery($connection,$query);
	}
	public function delOtherAttention($currentUserId,$approveUser)
	{
		global $connection;
		
		$query = 'DELETE FROM `calendar_attentions` WHERE `attention_user` = "' . SecurityFilter($currentUserId) . '" AND `current_user`="'.SecurityFilter($approveUser).'"';
		return exequery($connection,$query);
	}
	public function deleteAttention($currentUserId,$approveUser)
	{
		global $connection;
		
		$query = 'DELETE FROM `calendar_attentions` WHERE `attention_user` = "' . SecurityFilter($approveUser) . '" AND `current_user`="'.SecurityFilter($currentUserId).'"';
		return exequery($connection,$query);
	}
	/**
	* 获取个人头像路径
	* @param type $ATTACH_PATH
	* @return type
	*/
    public function getUserAvatar($userId){
	    global $connection, $ATTACH_PATH;
		$sql			= "SELECT AVATAR_TYPE FROM user WHERE USER_ID='" . SecurityFilter($userId) . "'";
		$rs				= exequery($connection, $sql);
		$row			= mysql_fetch_array($rs);
		$avatarType		= $row['AVATAR_TYPE'];
		if (!$avatarType){
			$avatarType = ".png"; //默认值为png
		}

		$userAvatar = "/attachment/personal/" . $userId . "/avatar_50" . $avatarType;
		if(!file_exists($ATTACH_PATH ."personal/" . $userId . "/avatar_50" . $avatarType )){
			return '/attachment/personal/noimage_50.png';
		}
		return $userAvatar;
	}
	public function addAttention($currentUserId,$userId)
	{
		global $connection;
		
		$haveUserId		= array_merge($this->getDefaultAttention($currentUserId, true),$this->getHaveAttention($currentUserId, true));
		$addUserId		= array_diff(explode(',', trim($userId, ',')), $haveUserId);
		
		if(empty($addUserId)) {
			return true;
		}
		
		$query = 'INSERT INTO `calendar_attentions` (`current_user`,`attention_user`,`status`,`create_time`,`update_time`) VALUES ';
		foreach($addUserId as $value){
			$query .= '("'.SecurityFilter($currentUserId).'","'.SecurityFilter($value).'",1,"'.date('Y-m-d H:i:s').'","'.date('Y-m-d H:i:s').'"),';
		}
		return exequery($connection, rtrim($query, ','));
	}
	public function addShare($currentUserId,$userId)
	{
		global $connection;
		
		$shareUser = explode(',', trim($userId, ','));
		
		$query = 'INSERT INTO `calendar_attentions` (`current_user`,`attention_user`,`status`,`is_share`,`create_time`,`update_time`) VALUES ';
		foreach($shareUser as $value){
			$query .= '("'.SecurityFilter($value).'","'.SecurityFilter($currentUserId).'",3,1,"'.date('Y-m-d H:i:s').'","'.date('Y-m-d H:i:s').'"),';
		}
		return exequery($connection, rtrim($query, ','));
	}
	/**
	*SQL语句参数的字符替换处理
	*@param  $pars    传入的SQL参数
	*@return $sqlPar  
	*/
	private function returnSqlPar($pars){
		$sqlPar = is_array($pars)?implode(",",$pars):$pars;
		if (substr($sqlPar,-1,1) == ","){
			$sqlPar = substr($sqlPar,0,strlen($sqlPar)-1);
		}		
		$sqlPar = "'".str_replace(",","','",$sqlPar)."'";
		return $sqlPar;
	}

	/**
	*判断是否有日程的权限
	*@param $cal_id  日程ID
	*/
	function getCalengdarPur($cal_id) {
		global $connection;
		$query = "SELECT * FROM calendar WHERE CAL_ID='".SecurityFilter($cal_id)."'";
		$cousor = exequery($connection,$query);
		if($row = mysql_fetch_array($cousor)) {
			$share_user = $row["SHARE_USER"];
		}

		$share_users = explode(",",$share_user);
		if(in_array($this->userid,$share_users)) {
			return true;
		} else {
			return false;
		}
	}
}
?>
