<?php
include_once ("inc/utility_all.php");
include_once ("api/report.class.php");
include_once("inc/utility.php");
includelangpak("file,flow");
class read extends report {
	
	private $user_deptid;
	private $uesr_privid;
	private $user_id;
	//构造函数
	public function __construct($userinfo=array()){
		global $connection;
		if($userinfo["user_id"]=="")
		{
			$this->user_id = $_SESSION["LOGIN_USER_ID"];	
		}
		else
		{
			$this->user_id = $userinfo["user_id"];		
		}
		if($this->user_id) {
			$sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".SecurityFilter($this->user_id)."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$this->user_deptid = $row["DEPT_ID"];
			$this->uesr_privid = $row["USER_PRIV"];
		}
		
	}
	/**
	 * 获取文档标题
	 * @param string $ContentId 文档ID
	 */
	function getSubjectByContentId($ContentId) 
	{
		global $connection;
		$query = "
						SELECT SUBJECT FROM file_content 
							WHERE CONTENT_ID = '".SecurityFilter($ContentId)."'
						";
		
		$Res = exequery ( $connection, $query );
		if ($Row = mysql_fetch_array ( $Res )) 
		{
			return $Row ['SUBJECT'];
		}
	}
	
	/**
	 * 保存文档回复(webservice)
	 * @param   array    $Reply    回复数组   
	 * @return  true:保存成功；false:保存失败
	 */
	 public function SaveFileReply($Reply)
	 {
		global $connection;
		if($Reply["DocumentId"]=="" || $Reply["UserId"]=="")
		{
			return false;	
		}
		else
		{
			$List     = $this->GetDocumentList($Reply["DocumentId"]);
			$SortId   = $List["SORT_ID"];
			$UserName = getUserNameNew($Reply["UserId"]);
			if($Reply["ReplyTime"]=="")
			{
				$Replytime = date("Y-m-d H:i:s",time());	
			}
			else
			{
				$Replytime = $Reply["ReplyTime"];		
			}
			$query = "INSERT INTO file_revert (SORT_ID,CONTENT_ID,RE_TIME,RE_NAME,RE_CONTENT,USER_ID) VALUES ('".SecurityFilter($SortId)."','".SecurityFilter($Reply["DocumentId"])."','".SecurityFilter($Replytime)."','".SecurityFilter($UserName)."','".SecurityFilter($Reply["ReplyContent"])."','".SecurityFilter($Reply["UserId"])."')";
			if($rs=exequery($connection,$query))
			{
				return true;
			}
			else
			{
				return false;
			}	
		}
	 }
	
	/**
	 * 获取所有文档目录信息(webservice)
	 * @param   string   $SortDiff personal：个人文档；common：公共文档
	 * @param   string   $SortId   文件夹ID
	 * @param   string   $UserId   用户名
	 * @return  array    $FileList 文档目录信息
	 */
	 public function GetFileRelation($SortDiff,$SortId="")
	 {
		global $connection;
		$FileList = array();
		$USER_ID = $this->user_id;	
		if($SortDiff=="personal")
		{
			$query = "SELECT * FROM file_sort WHERE SORT_TYPE='4' AND USER_ID='".SecurityFilter($USER_ID)."'";	
		}
		else if($SortDiff=="common")
		{
			$query = "SELECT * FROM file_sort WHERE SORT_TYPE!='4'";	
		}
		if($SortId!="")
		{
			$query .= " AND SORT_PARENT='".SecurityFilter($SortId)."'";	
		}
		$res = exequery($connection,$query);
		while($ROW = mysql_fetch_array($res))
		{
			$info["SORT_ID"]     = $ROW["SORT_ID"];
			$info["FROM_ID"]     = $ROW["FROM_ID"];
			$info["SORT_PARENT"] = $ROW["SORT_PARENT"];
			$info["SORT_NAME"]   = $ROW["SORT_NAME"];
			$info["SORT_TYPE"]   = $ROW["SORT_TYPE"];
			$info["CREATE_TIME"] = $ROW["CREATE_TIME"];
			$info["USER_ID"]     = $ROW["USER_ID"];
			$info["MODE_ID"]     = $ROW["MODE_ID"];
			$info["TPL_ID"]      = $ROW["TPL_ID"];
			$info["PUR_METHOD"]  = $ROW["PUR_METHOD"];
			$info["FILE_SORTING"]  = $ROW["FILE_SORTING"];
			array_push($FileList,$info);
		}
		return $FileList;
	 }
	
	/**
	 * 获取当前文档目录信息(webservice)
	 * @param   int   $DocumentId   文档ID
	 * @return  array $DocumentList 文档目录信息
	 */
	 public function GetDocumentList($DocumentId)
	 {
		global $connection;
		$DocumentList = array();
		$query = "SELECT * FROM file_content AS a LEFT JOIN file_sort AS b ON a.SORT_ID=b.SORT_ID WHERE a.CONTENT_ID='".SecurityFilter($DocumentId)."'";
		$res = exequery($connection,$query);
		if($ROW = mysql_fetch_array($res))
		{
			$DocumentList["FILE_TYPE"]   = $ROW["FILE_TYPE"];
			$DocumentList["SORT_ID"]     = $ROW["SORT_ID"];
			$DocumentList["FROM_ID"]     = $ROW["FROM_ID"];
			$DocumentList["SORT_PARENT"] = $ROW["SORT_PARENT"];
			$DocumentList["SORT_NAME"]   = $ROW["SORT_NAME"];
			$DocumentList["SORT_TYPE"]   = $ROW["SORT_TYPE"];
			$DocumentList["CREATE_TIME"] = $ROW["CREATE_TIME"];
			$DocumentList["USER_ID"]     = $ROW["USER_ID"];
		}
		return $DocumentList;
	 }
	 /**
	 * 获取文档ID(webservice)
	 * @param array 查找范围数组(默认为空)
	 * @return string 数字_文档数量,false_获取数量失败
	 */
	function GetDocumentIDStr($FileSearch=array()) 
	{
		global $connection;
		$userid   = $this->user_id;
		$uesrpriv = $this->uesr_privid;	
		$deptid   = $this->user_deptid;
		if($FileSearch["FileType"]=="")
		{
			$FILE_SORT = 1;	
		}
		else
		{
			$FILE_SORT = $FileSearch["FileType"];	
		}
		if($FileSearch["FileList"]=="")
		{
			$SORT_ID = 0;	
		}
		else
		{
			$SORT_ID = $FileSearch["FileList"];		
		}
		if ($FILE_SORT == 2 || $FILE_SORT == 3){
			//==通过文件夹权限得到有权文件
			$FILE_PATH_PURVIEW = $SORT_ID.','.getFileDownPru($SORT_ID,$userid);
			$FILE_PATH_PURVIEW = substr($FILE_PATH_PURVIEW, 0, -1);
		}
		//==有权查看文件夹ID
		if ($FILE_SORT == 1 || $FILE_SORT == 3) {
			//==通过文件夹权限得到有权文件
			$ALLREADPUR = getReadPurAllFile($userid);
			$ALLREADPUR = substr($ALLREADPUR, 0, -1);
			//有权查看下级目录
			$DOWN_PURVIEW_PUBLIC = getDownReadPathPublic($SORT_ID,$userid);
			$HAVE_PATH_PURVIEW   = substr($DOWN_PURVIEW_PUBLIC, 0, -1);
			//==得到下级有权文件夹
            //$DOWN_PATH_PURVIEW = $SORT_ID.','.getDownPath($SORT_ID, $PATHSTRONG);
			$DOWN_PATH_PURVIEW = $SORT_ID.','.getSubSortId($SORT_ID);
			$DOWN_PATH_PURVIEW = substr($DOWN_PATH_PURVIEW, 0, -1);
		}
		//==空值处理
		if ($FILE_PATH_PURVIEW == '') {
			$FILE_PATH_PURVIEW = 0;
		}
		if ($DOWN_PATH_PURVIEW == '') {
			$DOWN_PATH_PURVIEW = 0;
		}
		if ($ALLREADPUR == '') {
			$ALLREADPUR = 0;
		}
		if ($HAVE_PATH_PURVIEW == '') {
			$HAVE_PATH_PURVIEW = 0;
		}
		$query = "SELECT * FROM file_content where 1";
		if ($FILE_SORT == 1) {
			$share_file_query = "SELECT CONTENT_ID FROM file_share WHERE FILE_TYPE=1
					AND( 
						SHARE_DEPT = 'dept_all'
						OR
					   (INStr(SHARE_DEPT,',$deptid,')>0 OR INStr(SHARE_DEPT,'$deptid,')=1) 
					   OR
					   (INStr(SHARE_PRIV,',$uesrpriv,')>0 OR INStr(SHARE_PRIV,'$uesrpriv,')=1)
					   OR 
					   (INStr(SHARE_USER,',$userid,')>0 OR INStr(SHARE_USER,'$userid,')=1)
					   OR USER_ID = '" . SecurityFilter($userid) . "'
					   )";

			$query .= " AND ((SORT_ID IN ($HAVE_PATH_PURVIEW))";
			$share_file_query .= " AND (SORT_ID IN ($DOWN_PATH_PURVIEW))";
			$cursor = exequery($connection, $share_file_query);
			$privContentID = "";
			while ($ROW = mysql_fetch_array($cursor)) {
				$contentID = $ROW['CONTENT_ID'];
				if ($privContentID == "") {
					$privContentID = $contentID;
				} else {
					$privContentID .= "," . $contentID;
				}
			}
			if (trim($privContentID) != "") {
				$query .= " OR CONTENT_ID IN (".SecurityFilter($privContentID)."))";
			} else {
				$query .= " OR CONTENT_ID IN ('0'))";
			}

		} else if ($FILE_SORT == 2) {
			$query .= " AND (SORT_ID IN (".SecurityFilter($FILE_PATH_PURVIEW)."))";
		}
		if($FileSearch["FileCreatUser"]!="")
		{
			$query .= " AND USER_ID='".SecurityFilter($FileSearch["FileCreatUser"])."'";		
		}
		$res = exequery ( $connection, $query );
		$IDArray = array();
		while ($row = mysql_fetch_array ( $res )) 
		{
			$IDArray[] = $row["CONTENT_ID"];
		}
		return $IDArray;
	}
	
	/**
	 * 获取文档数量(webservice)
	 * @param array 查找范围数组(默认为空)
	 * @return string 数字_文档数量,false_获取数量失败
	 */
	function GetDocumentCount($FileSearch=array()) 
	{
		global $connection;
		$userid   = $this->user_id;
		$uesrpriv = $this->uesr_privid;	
		$deptid   = $this->user_deptid;
		if($FileSearch["FileType"]=="")
		{
			$FILE_SORT = 1;	
		}
		else
		{
			$FILE_SORT = $FileSearch["FileType"];	
		}
		if($FileSearch["FileList"]=="")
		{
			$SORT_ID = 0;	
		}
		else
		{
			$SORT_ID = $FileSearch["FileList"];		
		}
		if ($FILE_SORT == 2 || $FILE_SORT == 3){
			//==通过文件夹权限得到有权文件
			$FILE_PATH_PURVIEW = $SORT_ID.','.getFileDownPru($SORT_ID,$userid);
			$FILE_PATH_PURVIEW = substr($FILE_PATH_PURVIEW, 0, -1);
		}
		//==有权查看文件夹ID
		if ($FILE_SORT == 1 || $FILE_SORT == 3) {
			//==通过文件夹权限得到有权文件
			$ALLREADPUR = getReadPurAllFile($userid);
			$ALLREADPUR = substr($ALLREADPUR, 0, -1);
			//有权查看下级目录
			$DOWN_PURVIEW_PUBLIC = getDownReadPathPublic($SORT_ID,$userid);
			$HAVE_PATH_PURVIEW   = substr($DOWN_PURVIEW_PUBLIC, 0, -1);
			//==得到下级有权文件夹
			//$DOWN_PATH_PURVIEW = $SORT_ID.','.getDownPath($SORT_ID, $PATHSTRONG);
            $DOWN_PATH_PURVIEW = $SORT_ID.','.getSubSortId($SORT_ID);
			$DOWN_PATH_PURVIEW = substr($DOWN_PATH_PURVIEW, 0, -1);
		}
		//==空值处理
		if ($FILE_PATH_PURVIEW == '') {
			$FILE_PATH_PURVIEW = 0;
		}
		if ($DOWN_PATH_PURVIEW == '') {
			$DOWN_PATH_PURVIEW = 0;
		}
		if ($ALLREADPUR == '') {
			$ALLREADPUR = 0;
		}
		if ($HAVE_PATH_PURVIEW == '') {
			$HAVE_PATH_PURVIEW = 0;
		}
		$query = "SELECT COUNT(*) AS cou FROM file_content where 1";
		if ($FILE_SORT == 1) {
			$share_file_query = "SELECT CONTENT_ID FROM file_share WHERE FILE_TYPE=1
					AND( 
						SHARE_DEPT = 'dept_all'
						OR
					   (INStr(SHARE_DEPT,',".SecurityFilter($deptid).",')>0 OR INStr(SHARE_DEPT,'".SecurityFilter($deptid).",')=1) 
					   OR
					   (INStr(SHARE_PRIV,',".SecurityFilter($uesrpriv).",')>0 OR INStr(SHARE_PRIV,'".SecurityFilter($uesrpriv).",')=1)
					   OR 
					   (INStr(SHARE_USER,',".SecurityFilter($userid).",')>0 OR INStr(SHARE_USER,'".SecurityFilter($userid).",')=1)
					   OR USER_ID = '" . SecurityFilter($userid) . "'
					   )";

			$query .= " AND ((SORT_ID IN (".SecurityFilter($HAVE_PATH_PURVIEW)."))";
			$share_file_query .= " AND (SORT_ID IN (".SecurityFilter($DOWN_PATH_PURVIEW)."))";
			$cursor = exequery($connection, $share_file_query);
			$privContentID = "";
			while ($ROW = mysql_fetch_array($cursor)) {
				$contentID = $ROW['CONTENT_ID'];
				if ($privContentID == "") {
					$privContentID = $contentID;
				} else {
					$privContentID .= "," . $contentID;
				}
			}
			if (trim($privContentID) != "") {
				$query .= " OR CONTENT_ID IN (".SecurityFilter($privContentID)."))";
			} else {
				$query .= " OR CONTENT_ID IN ('0'))";
			}

		} else if ($FILE_SORT == 2) {
			$query .= " AND (SORT_ID IN (".SecurityFilter($FILE_PATH_PURVIEW)."))";
		}
		if($FileSearch["FileName"]!="")
		{
			$query .= " AND SUBJECT like '%".SecurityFilter($FileSearch["FileName"])."%'";	
		}
		if($FileSearch["FileCreatUser"]!="")
		{
			$query .= " AND USER_ID='".SecurityFilter($FileSearch["FileCreatUser"])."'";		
		}
		$res = exequery ( $connection, $query );
		if ($row = mysql_fetch_array ( $res )) 
		{
			return $row ["cou"];
		}
		else 
		{
			return "false";
		}
	}
	
	/**
	 * 获取未读文档数量(webservice)
	 * @param FileSearch 
	 * @return string 数字_文档数量
	 */
	 public function GetUnReadFileCount($FileSearch)
	 {
		global $connection;
		$FileArray = $this->GetDocumentContent('','','','','99999',$FileSearch);
		$FileCount = count($FileArray);
		$UnRead = 0;
		for($i=0;$i<$FileCount;$i++)
		{
			$Check = $this->CheckFileRead($FileArray[$i]["DocumentId"]);
			if($Check)
			{
				$UnRead++;	
			}
		}
		return $UnRead;
	 }
     /**
	 * 获取未读文档数量(webservice)
	 * @param FileSearch 
	 * @return string 数字_文档数量
      * for e-mobile
	 */
	 public function GetMUnReadFileCount($FileSearch)
	 {
		$FileArray = $this->GetMDocumentContent('','','','','99999',$FileSearch);
		$FileCount = count($FileArray);
		$UnRead = 0;
		for($i=0;$i<$FileCount;$i++)
		{
			$Check = $this->CheckFileRead($FileArray[$i]["DocumentId"]);
			if($Check)
			{
				$UnRead++;	
			}
		}
		return $UnRead;
	 }
	 /**
	 * 获取已读文档数量(webservice)
	 * @param userid  用户ID  
	 * @return string 数字_文档数量
	 */
	 public function GetReadFileCount($SearchType)
	 {
		global $connection;
		$docunmentid = $this->GetDocumentIDStr($SearchType);
		$idcount = count($docunmentid);
		$IdStr = "";
		for($i=0;$i<$idcount;$i++)
		{
			$IdStr .= $docunmentid[$i].",";	
		}
		$IdStr = substr($IdStr,0,-1);
		$sql = "SELECT
				  COUNT(DISTINCT(SEQ_ID))
				FROM sys_op_log
				WHERE SEQ_ID IN (".SecurityFilter($IdStr).")
					AND USER_ID = '".SecurityFilter($this->user_id)."'
					";
		$cursor = exequery($connection,$sql);			
		if($row = mysql_fetch_array($cursor)) 
		{
			$readcount = $row[0];	
		}
		return $readcount;
	 }
	
	/**
	 * 获取文档内容(For WebService)
	 * @param string $documentID 文档ID
	 * @param string $searchCondition 查询条件
	 * @param string $orderBy 排序字段(默认为CONTENT_ID)
	 * @param string $limitOffset 获取文档数目偏移量(默认为0)
	 * @param string $limitRows 获取文档数目(默认为20)
	 */
	function GetDocumentContent($documentID,$searchCondition,$orderBy,$limitOffset,$limitRows,$SearchType) 
	{
		global $connection;
		$userid   = $this->user_id;
		$uesrpriv = $this->uesr_privid;	
		$deptid   = $this->user_deptid;
		if($SearchType["FileType"]=="")
		{
			$FILE_SORT = 1;	
		}
		else
		{
			$FILE_SORT = $SearchType["FileType"];	
		}
		if($SearchType["FileList"]=="")
		{
			$SORT_ID = 0;	
		}
		else
		{
			$SORT_ID = $SearchType["FileList"];		
		}
		if ($FILE_SORT == 2 || $FILE_SORT == 3){
			//==通过文件夹权限得到有权文件
			$FILE_PATH_PURVIEW = $SORT_ID.','.getFileDownPru($SORT_ID,$userid);
			$FILE_PATH_PURVIEW = substr($FILE_PATH_PURVIEW, 0, -1);
		}
		//==有权查看文件夹ID
		if ($FILE_SORT == 1 || $FILE_SORT == 3) {
			//==通过文件夹权限得到有权文件
			$ALLREADPUR = getReadPurAllFile($userid);
			$ALLREADPUR = substr($ALLREADPUR, 0, -1);
			//有权查看下级目录
			$DOWN_PURVIEW_PUBLIC = getDownReadPathPublic($SORT_ID,$userid);
			$HAVE_PATH_PURVIEW   = substr($DOWN_PURVIEW_PUBLIC, 0, -1);
			//==得到下级有权文件夹
            //$DOWN_PATH_PURVIEW = $SORT_ID.','.getDownPath($SORT_ID, $PATHSTRONG);
			$DOWN_PATH_PURVIEW = $SORT_ID.','.getSubSortId($SORT_ID);
			$DOWN_PATH_PURVIEW = substr($DOWN_PATH_PURVIEW, 0, -1);
		}
		//==空值处理
		if ($FILE_PATH_PURVIEW == '') {
			$FILE_PATH_PURVIEW = 0;
		}
		if ($DOWN_PATH_PURVIEW == '') {
			$DOWN_PATH_PURVIEW = 0;
		}
		if ($ALLREADPUR == '') {
			$ALLREADPUR = 0;
		}
		if ($HAVE_PATH_PURVIEW == '') {
			$HAVE_PATH_PURVIEW = 0;
		}
		$query = "SELECT * FROM file_content WHERE 1";
		if ($FILE_SORT == 1) {
			$share_file_query = "SELECT CONTENT_ID FROM file_share WHERE FILE_TYPE=1
					AND( 
						SHARE_DEPT = 'dept_all'
						OR
					   (INStr(SHARE_DEPT,',".SecurityFilter($deptid).",')>0 OR INStr(SHARE_DEPT,'".SecurityFilter($deptid).",')=1) 
					   OR
					   (INStr(SHARE_PRIV,',".SecurityFilter($uesrpriv).",')>0 OR INStr(SHARE_PRIV,'".SecurityFilter($uesrpriv).",')=1)
					   OR 
					   (INStr(SHARE_USER,',".SecurityFilter($userid).",')>0 OR INStr(SHARE_USER,'".SecurityFilter($userid).",')=1)
					   OR USER_ID = '" . SecurityFilter($userid) . "'
					   )";
            if($SearchType["diff"]!="Emobile")
			{
                $query .= " AND ((SORT_ID IN (".SecurityFilter($HAVE_PATH_PURVIEW)."))";
            }else{
                $query .= " AND ((SORT_ID IN (".SecurityFilter($DOWN_PATH_PURVIEW)."))";
            }
			$share_file_query .= " AND (SORT_ID IN (".SecurityFilter($DOWN_PATH_PURVIEW)."))";
			$cursor = exequery($connection, $share_file_query);
			$privContentID = "";
			while ($ROW = mysql_fetch_array($cursor)) {
				$contentID = $ROW['CONTENT_ID'];
				if ($privContentID == "") {
					$privContentID = $contentID;
				} else {
					$privContentID .= "," . $contentID;
				}
			}
			if (trim($privContentID) != "") {
				$query .= " OR CONTENT_ID IN (".SecurityFilter($privContentID)."))";
			} else {
				$query .= " OR CONTENT_ID IN ('0'))";
			}

		} else if ($FILE_SORT == 2) {
			$query .= " AND (SORT_ID IN (".SecurityFilter($FILE_PATH_PURVIEW)."))";
		}
		if ($documentID != "")
		{
			$query .= " AND CONTENT_ID='" . SecurityFilter($documentID) . "'";
		}
		if ($searchCondition != "") 
		{
			$query .= " AND SUBJECT like '%".SecurityFilter($searchCondition)."%'";	
		}
		if($SearchType["FileName"]!="")
		{
			$query .= " AND SUBJECT like '%".SecurityFilter($SearchType["FileName"])."%'";	
		}
		if($SearchType["FileCreatUser"]!="")
		{
			$query .= " AND USER_ID='".SecurityFilter($SearchType["FileCreatUser"])."'";		
		}
		if ($orderBy != "") 
		{
			$query .= " ORDER BY '" . SecurityFilter($orderBy) . "'";
		} 
		else 
		{
			$query .= " ORDER BY SEND_TIME DESC";
		}
		if ($limitOffset != "") 
		{
			$query .= " limit " . SecurityFilter($limitOffset);
		} 
		else
		{
			$query .= " limit 0";
		}
		
		if ($limitRows != "")
		{
			$query .= "," . SecurityFilter($limitRows);
		} 
		else
		{
			$query .= ",20";
		}
		$result = array ();
		$res = exequery ( $connection, $query );
		while ( $ROW = mysql_fetch_array ( $res ) ) 
		{
			$SORT_ID = $ROW ["SORT_ID"];
			$SUBJECT = $ROW ["SUBJECT"];
			$FROM_SEQ = $ROW ["FROM_SEQ"];
			$USER_ID = $ROW ["USER_ID"];
			if ($USER_ID == '')
			{
				$USER_NAME = $_lang ["file_from_get_to_id"];
			}
			else
			{
				$USER_NAME = getUserNameNew ( $USER_ID );
			}
			$FROM_SEQ        = str_replace ( "<", "&lt", $FROM_SEQ );
			$FROM_SEQ        = str_replace ( ">", "&gt", $FROM_SEQ );
			$SUBJECT         = str_replace ( "<", "&lt", $SUBJECT );
			$SUBJECT         = str_replace ( ">", "&gt", $SUBJECT );
			$SUBJECT         = stripslashes ( $SUBJECT );
			$SEND_TIME       = $ROW ["SEND_TIME"];
			$CONTENT         = str_replace ( $FROM_SEQ, $ROW ["FROM_SEQ"], $ROW ["CONTENT"] );
			$ATTACHMENT_ID   = trim ( $ROW ["ATTACHMENT_ID"] );
			$ATTACHMENT_NAME = trim ( $ROW ["ATTACHMENT_NAME"] );
			$DocumentAarray ['SortId']        = $SORT_ID;
			$DocumentAarray ['Subject']       = $SUBJECT;
			$DocumentAarray ['SendTime']      = $SEND_TIME;
			$DocumentAarray ['UserName']      = $USER_NAME;
			$DocumentAarray ['UserId']        = $USER_ID;
			if($SearchType["diff"]!="Emobile")
			{
				//手机客户端列表不显示内容
				if($ROW ["CONTENT_TYPE"]=='2' || $ROW ["CONTENT_TYPE"]=='3')
				{
					global $ATTACH_PATH;
					if($ROW ["CONTENT_TYPE"]=='2')
					{
						$File_name = $CONTENT.".doc";	
					}
					else if($ROW ["CONTENT_TYPE"]=='3')
					{
						$File_name = $CONTENT.".xls";		
					}
					$ATTACHMENT_ID1             = ($CONTENT-2)/3;             
					$PATH                       = $ATTACHMENT_ID1;
					$URL                        = str_replace(ROOT_PATH,ROOT_URL,$ATTACH_PATH).$PATH."/".$File_name;
					$DocumentAarray ['Content'] = $URL;
				}
				else
				{
					$DocumentAarray ['Content'] = $CONTENT;	
				}	
			}
			
			$DocumentAarray ['AttachmentDir']   = $this->GetEmobileAttachmentDir ( $ATTACHMENT_ID, $ATTACHMENT_NAME );
			$DocumentAarray ['LinkDoc']         = $ROW ['LINK_DOC'];
			$DocumentAarray ['DocumentId']      = $ROW ["CONTENT_ID"];
			$DocumentAarray ['CONTENT_TYPE']    = $ROW ["CONTENT_TYPE"];
			$DocumentAarray ['ATTACHMENT_ID']   = $ROW ["ATTACHMENT_ID"];
			$DocumentAarray ['ATTACHMENT_NAME'] = $ROW ["ATTACHMENT_NAME"];
			array_push($result,$DocumentAarray);	
		}
		return $result;
	}
    //for e-mobile;
    function GetMDocumentContent($documentID,$searchCondition,$orderBy,$limitOffset,$limitRows,$SearchType) 
	{
		global $connection;
		$userid   = $this->user_id;
		$uesrpriv = $this->uesr_privid;	
		$deptid   = $this->user_deptid;
        $FILE_SORT = 1;	
        if($SearchType["FileList"]=="" || $SearchType["FileList"]==0)
		{
			$SORT_ID = 0;	
//                //==通过文件夹权限得到有权文件
            $FILE_READ_ALL  = getReadAllFile($userid);
            $SHARE_GET_FILE = getMobileShareFilePath(1,$userid);
            $SORT_FILE      = $FILE_READ_ALL.$SHARE_GET_FILE;
            $sortFileAll    = substr($SORT_FILE,0,-1);
            //公共文档，查看需要加上临时目录
            $HAVE_PATH_PURVIEW = "-1,".$sortFileAll;
		}
		else
		{
			$SORT_ID = $SearchType["FileList"];	
            $DOWN_PURVIEW_PUBLIC = getDownReadPathPublic($SORT_ID,$userid);
            $DOWN_PATH_PURVIEW = $SORT_ID.','.getDownPath($SORT_ID);
            $DOWN_PATH_PURVIEW = substr($DOWN_PATH_PURVIEW,0,-1);
            //$HAVE_PATH_PURVIEW   = substr($DOWN_PURVIEW_PUBLIC, 0, -1);
            $HAVE_PATH_PURVIEW   = $DOWN_PURVIEW_PUBLIC;
//            $HAVE_PATH_PURVIEW   = $DOWN_PATH_PURVIEW.','.$DOWN_PURVIEW_PUBLIC;
//            $HAVE_PATH_PURVIEW   = substr($HAVE_PATH_PURVIEW, 0, -2);
		}
        $SPECIAL_PURVIEW_CONTENT_ID = getSpecialContentId($SORT_ID,$userid);
        if($SPECIAL_PURVIEW_CONTENT_ID){
            $HAVE_PATH_PURVIEW = $HAVE_PATH_PURVIEW.','.$SPECIAL_PURVIEW_CONTENT_ID;
        }
		if ($ALLREADPUR == '') {
			$ALLREADPUR = 0;
		}
		if ($HAVE_PATH_PURVIEW == '') {
			$HAVE_PATH_PURVIEW = 0;
		}
		$query = "SELECT * FROM file_content WHERE 1";
		if ($FILE_SORT == 1) {
			$share_file_query = "SELECT CONTENT_ID FROM file_share WHERE 1 
					AND( 
						SHARE_DEPT = 'dept_all'
						OR
					   (INStr(SHARE_DEPT,',".SecurityFilter($deptid).",')>0 OR INStr(SHARE_DEPT,'".SecurityFilter($deptid).",')=1) 
					   OR
					   (INStr(SHARE_PRIV,',".SecurityFilter($uesrpriv).",')>0 OR INStr(SHARE_PRIV,'".SecurityFilter($uesrpriv).",')=1)
					   OR 
					   (INStr(SHARE_USER,',".SecurityFilter($userid).",')>0 OR INStr(SHARE_USER,'".SecurityFilter($userid).",')=1)
					   OR USER_ID = '" . SecurityFilter($userid) . "'
					   )";
            $query .= " AND ((SORT_ID IN (".SecurityFilter($HAVE_PATH_PURVIEW)."))";
            
			$share_file_query .= " AND (SORT_ID IN (".SecurityFilter($DOWN_PATH_PURVIEW)."))";
			$cursor = exequery($connection, $share_file_query);
			$privContentID = "";
            if($cursor){
                while ($ROW = mysql_fetch_array($cursor)) {
                    $contentID = $ROW['CONTENT_ID'];
                    if ($privContentID == "") {
                        $privContentID = $contentID;
                    } else {
                        $privContentID .= "," . $contentID;
                    }
                }
            }
			if (trim($privContentID) != "") {
				$query .= " OR CONTENT_ID IN (".SecurityFilter($privContentID)."))";
			} else {
				$query .= " OR CONTENT_ID IN ('0'))";
			}

		}
		if ($documentID != "")
		{
			$query .= " AND CONTENT_ID='" . SecurityFilter($documentID) . "'";
		}
		if ($searchCondition != "") 
		{
			$query .= " AND SUBJECT like '%".SecurityFilter($searchCondition)."%'";	
		}
		if($SearchType["FileName"]!="")
		{
			$query .= " AND SUBJECT like '%".SecurityFilter($SearchType["FileName"])."%'";	
		}
		if($SearchType["FileCreatUser"]!="")
		{
			$query .= " AND USER_ID='".SecurityFilter($SearchType["FileCreatUser"])."'";		
		}
		if ($orderBy != "") 
		{
			$query .= " ORDER BY '" . SecurityFilter($orderBy) . "'";
		} 
		else 
		{
			$query .= " ORDER BY SEND_TIME DESC";
		}
		if ($limitOffset != "") 
		{
			$query .= " limit " . SecurityFilter($limitOffset);
		} 
		else
		{
			$query .= " limit 0";
		}
		
		if ($limitRows != "")
		{
			$query .= "," . SecurityFilter($limitRows);
		} 
		else
		{
			$query .= ",20";
		}
		$result = array ();
		$res = exequery ( $connection, $query );
        if($res){
            while ( $ROW = mysql_fetch_array ( $res ) ) 
            {
                //去除非自己的临时文件
                if($ROW ["SORT_ID"] == -1 && $ROW ["USER_ID"] !=$userid){
                    continue;
                }
                $SORT_ID = $ROW ["SORT_ID"];
                $SUBJECT = $ROW ["SUBJECT"];
                $FROM_SEQ = $ROW ["FROM_SEQ"];
                $USER_ID = $ROW ["USER_ID"];
                if ($USER_ID == '')
                {
                    $USER_NAME = $_lang ["file_from_get_to_id"];
                }
                else
                {
                    $USER_NAME = getUserNameNew ( $USER_ID );
                }
                $FROM_SEQ        = str_replace ( "<", "&lt", $FROM_SEQ );
                $FROM_SEQ        = str_replace ( ">", "&gt", $FROM_SEQ );
                $SUBJECT         = str_replace ( "<", "&lt", $SUBJECT );
                $SUBJECT         = str_replace ( ">", "&gt", $SUBJECT );
                $SUBJECT         = stripslashes ( $SUBJECT );
                $SEND_TIME       = $ROW ["SEND_TIME"];
                $CONTENT         = str_replace ( $FROM_SEQ, $ROW ["FROM_SEQ"], $ROW ["CONTENT"] );
                $ATTACHMENT_ID   = trim ( $ROW ["ATTACHMENT_ID"] );
                $ATTACHMENT_NAME = trim ( $ROW ["ATTACHMENT_NAME"] );
                $DocumentAarray ['SortId']        = $SORT_ID;
                $DocumentAarray ['Subject']       = $SUBJECT;
                $DocumentAarray ['SendTime']      = $SEND_TIME;
                $DocumentAarray ['UserName']      = $USER_NAME;
                $DocumentAarray ['UserId']        = $USER_ID;
                if($SearchType["diff"]=="Emobile")
                {
                    //手机客户端列表不显示内容
                    if($ROW ["CONTENT_TYPE"]=='2' || $ROW ["CONTENT_TYPE"]=='3')
                    {
                        global $ATTACH_PATH;
                        if($ROW ["CONTENT_TYPE"]=='2')
                        {
                            $File_name = $CONTENT.".doc";	
                        }
                        else if($ROW ["CONTENT_TYPE"]=='3')
                        {
                            $File_name = $CONTENT.".xls";		
                        }
                        $ATTACHMENT_ID1             = ($CONTENT-2)/3;             
                        $PATH                       = $ATTACHMENT_ID1;
                        $URL                        = str_replace(ROOT_PATH,ROOT_URL,$ATTACH_PATH).$PATH."/".$File_name;
                        $DocumentAarray ['Content'] = $URL;
                    }
                    else
                    {
                        $DocumentAarray ['Content'] = $CONTENT;	
                    }	
                }

                $DocumentAarray ['AttachmentDir']   = $this->GetEmobileAttachmentDir ( $ATTACHMENT_ID, $ATTACHMENT_NAME );
                $DocumentAarray ['LinkDoc']         = $ROW ['LINK_DOC'];
                $DocumentAarray ['DocumentId']      = $ROW ["CONTENT_ID"];
                $DocumentAarray ['CONTENT_TYPE']    = $ROW ["CONTENT_TYPE"];
                $DocumentAarray ['ATTACHMENT_ID']   = $ROW ["ATTACHMENT_ID"];
                $DocumentAarray ['ATTACHMENT_NAME'] = $ROW ["ATTACHMENT_NAME"];
                array_push($result,$DocumentAarray);	
            }
        }
		return $result;
	}
	/**
	 * 获取手机客户端附件地址
	 * @param string $folderName 附件文件夹名称(多个用,隔开)
	 * @param string $attachmentName 附件文件名称(多个用*隔开,与folderName一一对应)
	 * @return string 附件地址(多个用,隔开 如果没有附件则返回空)
	 */
	function GetEmobileAttachmentDir($folderName, $attachmentName)
	{
		if (trim ( $folderName ) != "") 
		{
			$folderNameSplit = explode ( ",", $folderName );
			$attachmentNameSplit = explode ( "*", $attachmentName );
			
			$attachmentArray = "";
			for($i = 0; $i < count ( $folderNameSplit ); $i ++) 
			{
				if (trim ( $folderNameSplit [$i] ) == "")
				{
					continue;
				}
				try 
				{
					global $ATTACH_PATH;
					$attachmentDir = str_replace ( ROOT_PATH, ROOT_URL, $ATTACH_PATH ) . $folderNameSplit [$i] . "/" . $attachmentNameSplit [$i];
				} 
				catch ( Exception $e )
				{
					$attachmentDir = "";
				}
				
				if ($attachmentDir !== "")
				{
					if ($attachmentArray == "") 
					{
						$attachmentArray = $attachmentDir;
					}
					else
					{
						$attachmentArray .= "*" . $attachmentDir;
					}
				}
			}
			return $attachmentArray;
		} 
		else
		{
			return "";
		}
	}
	
	/**
	 * 获取文档回复内容(webservice)
	 * @param string $DocumentId 文档ID
	 * @return array  $replyarray 回复详情
	 */
	 public function GetDocumentReply($DocumentId)
	 {
	  	global $connection;
		$info = array();
		$replyarray = array();
		$query = "SELECT * FROM file_revert WHERE CONTENT_ID='".SecurityFilter($DocumentId)."'";
		$res   = exequery($connection,$query);
		while($ROW = mysql_fetch_array($res))
		{
			$replyarray["REVERT_ID"]  = $ROW["REVERT_ID"];
			$replyarray["SORT_ID"]    = $ROW["SORT_ID"];
			$replyarray["RE_TIME"]    = $ROW["RE_TIME"];
			$replyarray["RE_NAME"]    = $ROW["RE_NAME"];
			$replyarray["RE_CONTENT"] = $ROW["RE_CONTENT"];
			$replyarray["USER_ID"]    = $ROW["USER_ID"];
			$replyarray["CONTENT_ID"] = $ROW["CONTENT_ID"];
			array_push($info,$replyarray);
		}
		return $info;
	 }
	 /**
	 * 获取文件夹权限(webservice)
	 * @param string  $SortId     文件夹ID
	 * @return array  $info       权限详情
	 */
	 public function GetFilePurview($SortId)
	 {
		global $connection;
		$info = array();
		$query = "SELECT * FROM file_purview WHERE 1";
		if($SortId!="")
		{
			$query .= " AND SORT_ID='".SecurityFilter($SortId)."'";	
		}
		$res   = exequery($connection,$query);
		while($ROW = mysql_fetch_array($res))
		{
			$purv["SORT_ID"]     = $ROW["SORT_ID"];
			$purv["SORT_TYPE"]   = $ROW["SORT_TYPE"];
			$purv["USER_ID"]     = $ROW["USER_ID"];
			$purv["PRIV_ID"]     = $ROW["PRIV_ID"];
			$purv["DEPT_ID"]     = $ROW["DEPT_ID"];
			$purv["DEPT_MANAGE"] = $ROW["DEPT_MANAGE"];
			$purv["DEPT_NEW"]    = $ROW["DEPT_NEW"];
			$purv["DEPT_DOWN"]   = $ROW["DEPT_DOWN"];
			$purv["DEPT_RE"]     = $ROW["DEPT_RE"];
			$purv["PRIV_MANAGE"] = $ROW["PRIV_MANAGE"];
			$purv["PRIV_NEW"]    = $ROW["PRIV_NEW"];
			$purv["PRIV_DOWN"]   = $ROW["PRIV_DOWN"];
			$purv["PRIV_RE"]     = $ROW["PRIV_RE"];
			$purv["USER_MANAGE"] = $ROW["USER_MANAGE"];
			$purv["USER_NEW"]    = $ROW["USER_NEW"];
			$purv["USER_DOWN"]   = $ROW["USER_DOWN"];
			$purv["USER_RE"]     = $ROW["USER_RE"];
			array_push($info,$purv);
		}
		return $info;
	 }
	 /**
	 * 判断文档是否已读(webservice)
	 * @param string  $fileid     文档ID
	 * @param string  $userid     用户ID
	 * @return bool    true:未读;false:已读
	 */
	 public function CheckFileRead($fileid)
	 {
		global $connection;
		$query_read = "
					SELECT COUNT(LOG_ID) as CNT2 FROM sys_op_log 
						WHERE SEQ_ID = ".SecurityFilter($fileid)."
							and	 USER_ID = '".SecurityFilter($this->user_id)."'
						";
		$cursor_read = exequery ( $connection, $query_read );
		$READ_ROW    = mysql_fetch_array($cursor_read);
		//判断日志表中有没有新建操作
		$query_new = "
					SELECT COUNT(LOG_ID) as CNT3 FROM sys_op_log 
						WHERE SEQ_ID = " . SecurityFilter($fileid) . "
							and	 OPERATION_TYPE =1						
						";
		$cursor_new = exequery($connection,$query_new);
		$NEW_ROW = mysql_fetch_array ( $cursor_new );
		if ($READ_ROW ['CNT2'] == 0 && $NEW_ROW ['CNT3'] != 0)
		{
			return true;	
		}
		else
		{
			return false;	
		}
	 }
	 /**
	 * 添加日志信息(webservice)
	 */
	 public function AddFileReadDiary($SEQ_ID,$OPERATION_TYPE,$TABLE_NAME,$ACCOUNT_LOG)
	 {
		global $connection;
		$RECORD_TIME = date("Y-m-d H:i:s", time());
		if ($ACCOUNT_LOG == 'flow_log') {
			$LOGIN_USER_ID = "";
		} else {
			$LOGIN_USER_ID = $this->user_id;
		}
		$IP = getenv("REMOTE_ADDR");
		$query = "
				INSERT INTO `sys_op_log` (`SEQ_ID`,`USER_ID`,`OPERATION_DATE`,`OPERATION_TYPE`,`TABLE_NAME` ,`ACCOUNT_LOG`,`IP`)VALUES
				('".SecurityFilter($SEQ_ID)."', '".SecurityFilter($this->user_id)."', '".SecurityFilter($RECORD_TIME)."', '".SecurityFilter($OPERATION_TYPE)."', '".SecurityFilter($TABLE_NAME)."', '".SecurityFilter($ACCOUNT_LOG)."','".SecurityFilter($IP)."')
				";
		$cursor = exequery($connection, $query);
	 }
	 
	/**
	 * 获取附件地址
	 * @param string $folderName 附件文件夹名称(多个用,隔开)
	 * @param string $attachmentName 附件文件名称(多个用*隔开,与folderName一一对应)
	 * @return string 附件地址(多个用,隔开 如果没有附件则返回空)
	 */
	function GetAttachmentDir($folderName, $attachmentName)
	{
		if (trim ( $folderName ) != "") 
		{
			$folderNameSplit = explode ( ",", $folderName );
			$attachmentNameSplit = explode ( "*", $attachmentName );
			
			$attachmentArray = "";
			for($i = 0; $i < count ( $folderNameSplit ); $i ++) 
			{
				if (trim ( $folderNameSplit [$i] ) == "")
				{
					continue;
				}
				try 
				{
					global $ATTACH_PATH;
					$attachmentDir = str_replace ( ROOT_PATH, ROOT_URL, $ATTACH_PATH ) . $folderNameSplit [$i] . "/" . $attachmentNameSplit [$i];
				} 
				catch ( Exception $e )
				{
					$attachmentDir = "";
				}
				
				if ($attachmentDir !== "")
				{
					if ($attachmentArray == "") 
					{
						$attachmentArray = $attachmentDir;
					}
					else
					{
						$attachmentArray .= "," . $attachmentDir;
					}
				}
			}
			return $attachmentArray;
		} 
		else
		{
			return "";
		}
	}
	
	/**
	 * 获取文档信息
	 * @param string $DocumentId 文档ID
	 * @param string $SearchObj 查询条件(貌似这个条件是打酱油的?)
	 */
	function getDocumentResoultById($DocumentId, $SearchObj = '',$diff='')
	{
		global $connection;
		$query = "
					SELECT * FROM file_content 
						WHERE CONTENT_ID = '".SecurityFilter($DocumentId)."'
					";
		$res = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $res ))
		{
			$SORT_ID = $ROW ["SORT_ID"];
			$SUBJECT = $ROW ["SUBJECT"];
			$FROM_SEQ = $ROW ["FROM_SEQ"];
			$USER_ID = $ROW ["USER_ID"];
			if ($USER_ID == '') 
			{
				$USER_NAME = $_lang ["file_from_get_to_id"];
			}
			else
			{
				$USER_NAME = getUserNameNew ( $USER_ID );
			}
			$FROM_SEQ = str_replace ( "<", "&lt", $FROM_SEQ );
			$FROM_SEQ = str_replace ( ">", "&gt", $FROM_SEQ );
			$SUBJECT = str_replace ( "<", "&lt", $SUBJECT );
			$SUBJECT = str_replace ( ">", "&gt", $SUBJECT );
			$SUBJECT = stripslashes ( $SUBJECT );
			$SEND_TIME = $ROW ["SEND_TIME"];
			$CONTENT = str_replace ( $FROM_SEQ, $ROW ["FROM_SEQ"], $ROW ["CONTENT"] );
			$ATTACHMENT_ID = $ROW ["ATTACHMENT_ID"];
			if ($ATTACHMENT_ID != "")
			{
				$ATTACHMENT_NAME = $ROW ["ATTACHMENT_NAME"];
				$AttachmentValue = getAttachment ( $ATTACHMENT_ID, $ATTACHMENT_NAME, $DocumentId, $SORT_ID, $USER_ID );
			}
			$ATTACHMENT_DESC = $ROW ["ATTACHMENT_DESC"];
			$DocumentAarray ['FileType'] = $ROW ["FILE_TYPE"];
			$DocumentAarray ['SortId'] = $SORT_ID;
			$DocumentAarray ['Subject'] = $SUBJECT;
			$DocumentAarray ['FromSeq'] = $FROM_SEQ;
			$DocumentAarray ['SendTime'] = $SEND_TIME;
			$DocumentAarray ['UserName'] = $USER_NAME;
			$DocumentAarray ['UserId'] = $USER_ID;
			//接口返回需要返回地址
			if($diff!=""){
				if($ROW ["CONTENT_TYPE"]=='2' || $ROW ["CONTENT_TYPE"]=='3')
				{
					global $ATTACH_PATH;
					if($ROW ["CONTENT_TYPE"]=='2')
					{
						$File_name = $CONTENT.".doc";	
					}
					else if($ROW ["CONTENT_TYPE"]=='3')
					{
						$File_name = $CONTENT.".xls";		
					}
					$ATTACHMENT_ID1             = ($CONTENT-2)/3;             
					$PATH                       = $ATTACHMENT_ID1;
					$URL                        = str_replace(ROOT_PATH,ROOT_URL,$ATTACH_PATH).$PATH."/".$File_name;
					$DocumentAarray ['Content'] = $URL;
				}
				else
				{
					$DocumentAarray ['Content'] = $CONTENT;	
				}		
			}else{
				$DocumentAarray ['Content'] = $CONTENT;		
			}
			//$DocumentAarray ['Content'] = $CONTENT;
			$DocumentAarray ['AttachmentId'] = $ATTACHMENT_ID;
			$DocumentAarray ['AttachmentName'] = $ROW['ATTACHMENT_NAME'];
			$DocumentAarray ['AttachmentValue'] = $AttachmentValue;
			$DocumentAarray ['AttachmentDesc'] = $ATTACHMENT_DESC;
			$DocumentAarray ['ContentType'] = $ROW ['CONTENT_TYPE'];
			$DocumentAarray ['ReportType'] = $ROW ['REPORT_TYPE'];
			$DocumentAarray ['LinkDoc'] = $ROW ['LINK_DOC'];
			$DocumentAarray ['DocumentId'] = $DocumentId;
			$DocumentAarray ['SearchObj'] = $SearchObj;
			return $DocumentAarray;
		} 
		else 
		{
			return false;
		}
	}
	
	/**
	 * 获取文档信息
	 * @param string $DocumentId 文档ID
	 * @param string $SearchObj 查询条件
	 */
	//Edit by Samuel 2011/6/7 TD:6307 M1 增加返回用户ID
	function getDocumentDataArray($DocumentId, $SearchObj = '') 
	{
		global $_lang;
		$DocumentAarray = $this->getDocumentResoultById ( $DocumentId );
		
		$PurviewValue = $this->getReadPurview ( $DocumentAarray );
		if ($PurviewValue)
		{
			//记录日志
			saveSysOpLog ( $DocumentId, '3', 'file_content', '' );
			//文档模版
			$ModeContent = $this->getPublicDocModeBySortId ( $DocumentAarray ['SortId'] );
			if ($ModeContent) 
			{
				$IsFindContent = strstr ( $ModeContent, '[***内容***]' );
				if ($IsFindContent == '')
				{
					Message ( '', $_lang ["file_read_no_content"] );
					exit ();
				}
			} 
			else 
			{
				Message ( '', $_lang ["file_report_tmp_woring"] );
				exit ();
			}
			//获取替换后的文档内容
			switch ($DocumentAarray ['ContentType']) 
			{
				case 1 :
					$ReadContent = $this->getRepleatContent ( $DocumentAarray, $ModeContent );
					break;
				case 2 :
				case 3 :
					if ($DocumentAarray ['ContentType'] == 2)
					{
						$OFFICE_NAME = $DocumentAarray ['Content'] . ".doc";
					} 
					else 
					{
						$OFFICE_NAME = $DocumentAarray ['Content'] . ".xls";
					}
					//edit by sun 2011-01-05 5429 控制office类型的文档是否可以打印 
					$print_pur = opinionPurview ( 'DOWN', $DocumentAarray ["SortId"] );
					if ($print_pur)
					{
						$print_shield = "";
					} 
					else
					{
						$print_shield = "shield";
					}
					$LinkUrl = "/iWebOffice/DocumentEdit.php?RecordID=" . $DocumentId . "&EditType=0&UserName=" .$this->user_id. "&ATTACHMENT_ID=" . $DocumentAarray ['Content'] . "&ATTACHMENT_NAME=" . $OFFICE_NAME . "&PRINT_PUR=$print_shield";
					$ContentWord = '<iframe id="c_content" frameborder="0" width="100%" height="693" src="' . $LinkUrl . '"></iframe>';
					$ReadContent = $ContentWord;
					break;
				case 4 :
					$ReportArrayAll = $this->reportInitById ( $DocumentId );
					if ($ReportArrayAll ['DataObj'] == "")
					{
						if ($DocumentAarray ['Content'] == 'xml_url_address_subject_tagment' || $DocumentAarray ['Content'] == 'excel_file_subject_tagment') 
						{
							$ReportWhere = $_lang ["file_report_get_nothing"];
						}
						else 
						{
							$ReportWhere = $DocumentAarray ['Content'];
						}
						$DataObj = 'data_have';
					}
					else 
					{
						$DataObj = $ReportArrayAll ['DataObj'];
						$ReportWhere = $this->getSearchWhere ( $DocumentId );
					}
					$FromSeq = $ReportArrayAll ['FromSeq'];
					if ($DataObj == 'data_move') 
					{
						$CachePath = "cache";
					} 
					else 
					{
						$CachePath = "attachment";
					}
					$strDataTabe = ROOT_PATH . $CachePath . "/report/table_" . $FromSeq . ".txt";
					$DocumentAarray ['ReportTablePath'] = $strDataTabe;
					
					//					echo "<pre>";
					//					print_r ( $DocumentAarray );
					//					die ();
					

					//缓存文件
					if (file_exists ( $strDataTabe ) && $ReportArrayAll ['BlockName'] != 'customer')
						$ReportTable = file_get_contents ( $strDataTabe );
					else 
					{
						if ($ReportArrayAll ['BlockName'] == 'customer') 
						{
							//如果是客户报表，不使用缓存。
							

							@unlink ( $strDataTabe );
							@unlink ( ROOT_PATH . $CachePath . "/report/" . $FromSeq . ".php" );
						}
						if ($DataObj != "data_have")
						{
							$ReportTable = $this->getReportTableById ( $DocumentId );
						} 
						else 
						{
							if ($DocumentAarray ['Content'] == 'excel_file_subject_tagment')
								$ReportTable = $this->getReportTableFromXml ( $FromSeq );
							else
								$ReportTable = $_lang ["file_report_get_nothing"];
						}
					
					}
					
					//					echo "<pre>";
					//					echo htmlspecialchars ( $ReportTable );
					//					die ();
					

					$DocumentAarray ['Content'] = '<fieldset><legend id="frm4">' . $_lang ["file_report_pic_report"] . '<img id="token4" src="/images/icon/module/file/arrowdown.gif" /></legend> <div id="reportImage" ><iframe id="c_content" frameborder="0" width="100%" height="410" src="/inc/report/get_report.php?content_id=' . $DocumentId . '"></iframe></div><table><tr><td  height="1px"></td></tr></table></fieldset>';
					$DocumentAarray ['Content'] .= '<br><fieldset><legend id="frm5">' . $_lang ["file_report_table"] . '<img id="token5" src="/images/icon/module/file/arrowdown.gif" /></legend><div id="reportTable">' . $ReportTable . '</div><table><tr><td  height="1px"></td></tr></table></fieldset>';
					$DocumentAarray ['Content'] .= '<br><fieldset><legend id="frm6">' . $_lang ["file_report_where"] . '<img id="token6" src="/images/icon/module/file/arrowup.gif" /></legend> <div id="reportWhere" style="display:none">' . $ReportWhere . '</div><table><tr><td  height="1px"></td></tr></table></fieldset>';
					
					// $DocumentAarray['Content'];
					//die;
					

					$ReadContent = $this->getRepleatContent ( $DocumentAarray, $ModeContent );
					break;
			
			}
			//获取文档附件
			if ($DocumentAarray ['AttachmentId'] != "") 
			{
				$AttachmentNumber = 0;
				$AttachmentArrayStr = explode ( ',', $DocumentAarray ['AttachmentId'] );
				$AttachmentNumber = count ( $AttachmentArrayStr ) - 1;
				$AttachmentValue = $DocumentAarray ['AttachmentValue'];
				$AttachmentArray ['Count'] = $AttachmentNumber;
				$AttachmentArray ['Value'] = $AttachmentValue;
			}
			//关联文档
			if ($DocumentAarray ['LinkDoc'] != "")
			{
				$LinkDocArray = $this->getDocLinkDocument ( $DocumentAarray ['LinkDoc'] );
				$AttachmentArray ['Count'] .= "/" . $LinkDocArray ['Count'];
				$AttachmentArray ['Value'] .= "<br><span style='margin-left:20px;'>关联文档</span>：".$LinkDocArray ['Value'];
			}
			if ($AttachmentArray ['Value'] == "")
			{
				$AttachmentArray ['Value'] = "";
				$AttachmentArray ['Count'] = "0/0";
			}
			//获取回复
			$ReverContentArray = $this->getRevertByDocId ( $DocumentId );
			//日志数量
			$LogCount = $this->getLogCountById ( $DocumentId, 'file_content' );
			//返回数组
			$ContentAll ['ReportTablePath'] = $DocumentAarray ['ReportTablePath'];
			$ContentAll ['Content'] = $ReadContent;
			$ContentAll ['Attachment'] = $AttachmentArray;
			$ContentAll ['Revert'] = $ReverContentArray;
			$ContentAll ['LogCount'] = $LogCount;
			$ContentAll ['ContentType'] = $DocumentAarray ['ContentType'];
			$ContentAll ['SortId'] = $DocumentAarray ['SortId'];
			$ContentAll ['Subject'] = $DocumentAarray ['Subject'];
			//M1
			$ContentAll ['userID'] = $DocumentAarray ['UserId'];
			$ContentAll ['FileType'] = $DocumentAarray ['FileType'];
			//End M1
			return $ContentAll;
		} else {
			Message ( "", $_lang ["file_read_no_pur"] );
			exit ();
		}
	}
	
	function getReportTableFromXml($FromSeq) 
	{
		
		global $ROOT_PATH;
		
		$xml = new DOMDocument ( '1.0', 'GBK');
		$xmlContents = file_get_contents ( $ROOT_PATH . $FromSeq );
		$xmlContents = mb_convert_encoding ( $xmlContents, 'UTF-8', 'GBK');
		$xml->loadXML ( $xmlContents );
		
		$category = $xml->getElementsByTagName ( 'category' );
		
		foreach ( $category as $cat )
		{
			$groups [] = $cat->getAttribute ( 'name' );
		}
		
		$datasets = $xml->getElementsByTagName ( 'dataset' );
		$i = 0;
		//从xml中读取数据，数据以array形式展现;
		foreach ( $datasets as $dataset )
		{
			
			$field = $dataset->getAttribute ( 'seriesname' );
			
			$sets = $dataset->getElementsByTagName ( 'set' );
			
			foreach ( $sets as $set ) 
			{
				$setValues [$field] [] = $set->getAttribute ( 'value' );
			}
			
			$fields [] = $field;
		}
		
		$summary = $xml->getElementsByTagName ( 'summary' );
		
		$sets = $summary->item ( 0 )->getElementsByTagName ( 'set' );
		foreach ( $sets as $set ) 
		{
			$summaryData [] = $set->getAttribute ( 'value' );
		}
		
		$i = 0;
		foreach ( $groups as $group ) 
		{
			$row [$_lang["file_grouping"]] = $groups [$i];
			
			foreach ( $fields as $field ) 
			{
				$row [$field] = $setValues [$field] [$i];
			}
			$reportData [] = $row;
			
			$i ++;
		}
		
		$ReportTable .= "<table border='0' width='100%' cellspacing='1' cellpadding='3' class='pubtable'><tr class='tableheader'>";
		$ReportTable .= "<td>".$_lang["file_report_field_name"]."</td>";
		foreach ( $fields as $field )
		{
			$ReportTable .= "<td>$field</td>";
		}
		$ReportTable .= '</tr>';
		$i = 1;
		foreach ( $reportData as $reportItem )
		{
			$l = ($i % 2) ? 1 : 2;
			$ReportTable .= "<tr class='tableline$l'>";
			foreach ( $reportItem as $key => $value ) 
			{
				$ReportTable .= "<td>$value</td>";
			}
			$ReportTable .= "</tr>";
			$i ++;
		}
		
		$ReportTable .= "<tr><td><B>".$_lang["file_report_total"]."</B></td>";
		foreach ( $summaryData as $value )
		{
			$ReportTable .= "<td><B>$value</B></td>";
		}
		$ReportTable .= "</tr></table>";
		
		return $ReportTable;
	}
	
	/**
	 * 获取关联文档
	 * @param string $LinkDoc 文档地址
	 */
	function getDocLinkDocument($LinkDoc)
	{
		global $connection;
		$Count = 0;
		if ($LinkDoc != '') 
		{
			$tokenarr = spitByStrtok ( $LinkDoc );
			while ( list ( , $ContentId ) = each ( $tokenarr ) ) 
			{
				$Count ++;
				$query = "
						SELECT SUBJECT,CONTENT_TYPE FROM file_content 
							WHERE CONTENT_ID = '".SecurityFilter($ContentId)."'
						";
				$res = exequery ( $connection, $query );
				$ROW = mysql_fetch_array ( $res );
				$SUBJECT = $ROW ['SUBJECT'];
				$SendUrl = $ContentId . "&docStr=" . $LinkDoc;
				$ContentType = $ROW ['CONTENT_TYPE'];
				switch ($ContentType)
				{
					case "1" :
						$type_image = "/images/icon/filetype3232/htm.png";
						break;
					case "2" :
						$type_image = "/images/icon/filetype3232/doc.png";
						break;
					case "3" :
						$type_image = "/images/icon/filetype3232/xls.png";
						break;
					default:
						$type_image = "/images/icon/filetype3232/unknown.png";
						break;
				}
				$LinkDocStr .= "<span id='" . $ContentId . "'><img src='" . $type_image . "' align='absmiddle'><a href=\"javascript:openDocumentsWindows('" . $SendUrl . "','" . $ContentType . "');\">" . $SUBJECT . "</a>&nbsp;&nbsp;</span>";
				//$LinkDocStr .= "<tr><td height='49px'><div class='pubattachlist'><div class='pubattachlistimg'><img src='" . $type_image . "' align='absmiddle'></div><div>" . $SUBJECT . "<br/><span style='color:#000000;font-size:9px;'>40K</span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div></div></td></tr>";
			}
		}
		$LinkDocArray ['Value'] = $LinkDocStr;
		$LinkDocArray ['Count'] = $Count;
		return $LinkDocArray;
	}
	
	/**
	 * 获取日志数量
	 * @param string $ContentId 文档ID
	 * @param string $TableName 表名
	 */
	function getLogCountById($ContentId, $TableName)
	{
		global $connection;
		//浏览量包含自己的阅读
		$QueryRead = "
				SELECT COUNT(*) AS VIEW_COUNT FROM sys_op_log 
					WHERE SEQ_ID ='" . SecurityFilter($ContentId) . "' 
						AND TABLE_NAME = '" . SecurityFilter($TableName) . "'
							AND OPERATION_TYPE <> 4
				";
		$Res = exequery ( $connection, $QueryRead );
		$ROW = mysql_fetch_array ( $Res );
		$DocLogCount = $ROW ['VIEW_COUNT'];
		return $DocLogCount;
	}
	
	/**
	 * 获取替换内容
	 * @param array $DocumentAarray 文档内容数组
	 * @param string $ModeContent 要替换的内容
	 */
	function getRepleatContent($DocumentAarray, $ModeContent)
	{
		$ModeContent = str_replace ( "[***内容***]", "{$DocumentAarray['Content']}", $ModeContent );
		$ModeContent = str_replace ( "[***标题***]", "{$DocumentAarray['Subject']}", $ModeContent );
		$ModeContent = str_replace ( "[***附件***]", "{$DocumentAarray['AttachmentValue']}", $ModeContent );
		$ModeContent = str_replace ( "[***附件说明***]", "{$DocumentAarray['AttachmentDesc']}", $ModeContent );
		$ModeContent = str_replace ( "[***创建人***]", "{$DocumentAarray['UserName']}", $ModeContent );
		$ModeContent = str_replace ( "[***创建时间***]", "{$DocumentAarray['SendTime']}", $ModeContent );
		if ($DocumentAarray ['SearchObj'] != '')
		{
			$ModeContent = str_replace ( $DocumentAarray ['SearchObj'], "<b style='color:red'>" . $DocumentAarray ['SearchObj'] . "</b>", $ModeContent );
		}
		return $ModeContent;
	}
	
		
	/*
	 *检查文档权限 (for 播报) 
	 */
	function CheckDocumentPurview($documentID)
	{
		global $connection;
		$query="SELECT USER_ID,SORT_ID FROM file_content WHERE CONTENT_ID='".SecurityFilter($documentID)."'";
		$result=exequery($connection,$query);
		if($row=mysql_fetch_array($result))
		{
			$inforArray["SortId"]=$row["SORT_ID"];
			$inforArray["DocumentId"]=$documentID;
			$inforArray["UserId"]=$row["USER_ID"];
			return $this->getReadPurview($inforArray);
		}
		else
		{
			return false;
		}
	}
	
	/**
	 * 检查文档权限
	 * @param array $DocumentAarray 文档信息数组
	 * @return false_没有权限 true_有权限
	 */
	function getReadPurview($DocumentAarray) 
	{
		global $connection;
		$SortId = $DocumentAarray ['SortId'];
		$DocumentId = $DocumentAarray ['DocumentId'];
		$UserId = $DocumentAarray ['UserId'];
		$QuerySort = "
					SELECT COUNT(*) as CNT1 from file_purview 
					where SORT_ID = '$SortId'
					and (
							(INStr(DEPT_VIEW,',".SecurityFilter($this->user_deptid).",')>0 or INStr(DEPT_VIEW,'".SecurityFilter($this->user_deptid).",')=1) 
							or 
							(INStr(PRIV_VIEW,',".SecurityFilter($this->uesr_privid).",')>0 or INStr(PRIV_VIEW,'".SecurityFilter($this->uesr_privid).",')=1) 
							or 
							(INStr(USER_VIEW,',".SecurityFilter($this->user_id).",')>0 or INStr(USER_VIEW,'".SecurityFilter($this->user_id).",')=1) 
							or 
							(INStr(DEPT_MANAGE,',".SecurityFilter($this->user_deptid).",')>0 or INStr(DEPT_MANAGE,'".SecurityFilter($this->user_deptid).",')=1) 
							or 
							(INStr(PRIV_MANAGE,',".SecurityFilter($this->uesr_privid).",')>0 or INStr(PRIV_MANAGE,'".SecurityFilter($this->uesr_privid).",')=1) 
							or 
							(INStr(USER_MANAGE,',".SecurityFilter($this->user_id).",')>0 or INStr(USER_MANAGE,'".SecurityFilter($this->user_id).",')=1) 
						)
					";
		$CursorSort = exequery ( $connection, $QuerySort );
		$ROW_S = mysql_fetch_array ( $CursorSort );
		$CNT1 = $ROW_S ["CNT1"];
		$QueryDoc = "
					SELECT COUNT(*) as CNT2 FROM file_content 
					WHERE CONTENT_ID = '".SecurityFilter($DocumentId)."'
					AND (
							SHARE_DEPT='dept_all'
							OR( 
								(INStr(SHARE_DEPT,',".SecurityFilter($this->user_deptid).",')>0 OR INStr(SHARE_DEPT,'".SecurityFilter($this->user_deptid).",')=1) 
								 OR 
								(INStr(SHARE_PRIV,',".SecurityFilter($this->uesr_privid).",')>0 OR INStr(SHARE_PRIV,'".SecurityFilter($this->uesr_privid).",')=1)
								 OR 
								 (INStr(SHARE_USER,',".SecurityFilter($this->user_id).",')>0 OR INStr(SHARE_USER,'".SecurityFilter($this->user_id).",')=1) 
							)
                             OR USER_ID = '".SecurityFilter($this->user_id)."'
						)
					";
        //echo $QueryDoc;exit;
		$CursorDoc = exequery ( $connection, $QueryDoc );
		$ROW_D = mysql_fetch_array ( $CursorDoc );
		$CNT2 = $ROW_D ["CNT2"];
		if ($CNT2 == 0 && $CNT1 == 0 && $UserId != $this->user_id)
		{
			return false;
		} 
		else 
		{
			return true;
		}
	}
	
	/**
	 * 获取模版
	 * @param string $SortId 目录ID
	 * @return string 模版内容
	 */
	function getPublicDocModeBySortId($SortId)
	{
		global $connection;
		$QueryMode = " 
				SELECT MODE_ID,SORT_TYPE FROM file_sort 
					WHERE SORT_ID = '".SecurityFilter($SortId)."'
					";
		$Res = exequery ( $connection, $QueryMode );
		$ROW = mysql_fetch_array ( $Res );
		$ModeId = $ROW ['MODE_ID'];
		$SoertType = $ROW ['SORT_TYPE'];
		$QueryModeTab = "
							SELECT MODE_ID FROM show_mode
								WHERE MODE_ID = '".SecurityFilter($ModeId)."'
						";
		$ResMode = exequery ( $connection, $QueryModeTab );
		if ($ROW = mysql_fetch_array ( $ResMode )) 
		{
			//获取mode内容。
			$ContentMode = $this->getModeContentById ( $ModeId );
		} 
		else
		{
			//取默认MODEID
			$QueryModeIni = " 
					SELECT MODE_ID FROM show_mode 
						WHERE MODE_TYPE = 3 AND MODE_WHERE = 'doc'
					";
			$resIni = exequery ( $connection, $QueryModeIni );
			$ROW = mysql_fetch_array ( $resIni );
			$ModeId = $ROW ['MODE_ID'];
			if ($ModeId == '')
			{
				if ($SoertType == 1)
				{
					$ModeId = 1;
				} 
				else 
				{
					$ModeId = 2;
				}
			}
			$ContentMode = $this->getModeContentById ( $ModeId );
		}
		return $ContentMode;
	}
	
	/**
	 * 获取模版内容
	 * @param string $ModeId 模版ID
	 * @param string 模版内容 false_获取失败
	 */
	function getModeContentById($ModeId)
	{
		global $connection;
		$Query = "
				SELECT MODE_CONTENT FROM show_mode
					WHERE MODE_ID = '".SecurityFilter($ModeId)."'
				";
		$Res = exequery ( $connection, $Query );
		if ($ROW = mysql_fetch_array ( $Res )) 
		{
			$ModeContent = $ROW ['MODE_CONTENT'];
			return $ModeContent;
		} 
		else
		{
			return false;
		}
	}
	
	/**
	 * 获取回复内容
	 * @param string $DocmentId 文档ID
	 */
	function getRevertByDocId($DocmentId) 
	{
		global $connection;
		global $_lang;
		$QueryRevert = "
						SELECT * FROM file_revert 
							WHERE CONTENT_ID = '".SecurityFilter($DocmentId)."' 
								ORDER BY RE_TIME DESC
						";
		$CursorRev = exequery ( $connection, $QueryRevert );
		$Count = 0;
		$ReturnStr = "";
		while ( $ROW = mysql_fetch_array ( $CursorRev ) )
		{
			$Count ++;
			$ReName            = getUserNameNew ( $ROW ['USER_ID'] );
			$SORT_ID           = $ROW ['SORT_ID'];
			$ATTACHMENT_ID_R   = $ROW ['ATTACHMENT_ID'];
			$ATTACHMENT_NAME_R = $ROW ['ATTACHMENT_NAME'];
			$CONTENT_ID        = $DocmentId;
			$ReTime            = $ROW ['RE_TIME'];
			$USER_ID           = $ROW ['USER_ID'];
			$RE_CONTENT        = $ROW ['RE_CONTENT'];
			$PRCS_NAME         = $ROW ['PRCS_NAME'];
			$PRCS_ID           = $ROW ['PRCS_ID'];

			if ($ATTACHMENT_ID_R != "")
			{
				$RE_CONTENT .= getAttachment ( $ATTACHMENT_ID_R, $ATTACHMENT_NAME_R, $CONTENT_ID, $SORT_ID, $USER_ID, 'feedback' );
			}
			if($PRCS_ID)
			{
				$PRCS_NAME = $PRCS_NAME == "" ? $_lang["flow_no."].$PRCS_ID.$_lang["flow_steps"] : $PRCS_NAME;
			}
			else
			{
				$PRCS_NAME = $PRCS_NAME == "" ? $_lang["file_report_doc_revert"] : $PRCS_NAME;
			}
			$ReturnStr .= '<tr>
				<td class="dashedborderbottom">
					<table border="0" cellspacing="1" width="100%" cellpadding="1">
						<tr>
							<td align="left">
								<table border="0" cellspacing="1" width="100%" cellpadding="2">
									<tr>
										<td width="40px" rowspan="2"  valign="top"  style="padding:12px 0px 0px 0px;">
											<div style="height:40px;width:40px;">
											<img src="/attachment/personal/'.$USER_ID.'/avatar_35'.getUserAvatarType($USER_ID).'?'.rand().'"  onerror="javascript:this.src=\'/attachment/personal/noimage_35.png\'" style=" margin:1px 0px 0px 2px;">
											</div>
										</td>
										<td style="padding:12px 0px 0px 10px;">
											<span style="color:#1b5dc5; font-size:13px; font-weight:bold;">'.$ReName.'</span><br/><span style="font-size:9px;color:#666666">'.$ReTime.'</span>&nbsp;&nbsp;
										</td>
									</tr>
									<tr>
										<td style="padding:0px 0px 12px 10px;">
												'.$RE_CONTENT.'
										</td>
									</tr>
								</table>
							</td>
							<td width="200px" align="center" style="border:1px solid #bedcef;background-color:#d7efff;">
								<div style="width:200px;">'.$PRCS_NAME.'</div>
							</td>
						</tr>
					</table>
				</td>
			</tr>';
		}
		$ReturnArray ['Content'] = $ReturnStr;
		$ReturnArray ['Count'] = $Count;
		return $ReturnArray;
	}
	function saveFile($input, $other)
	{
		global $connection;
		$sql = "INSERT INTO file_content (CONTENT_ID) VALUES(NULL)";
		$rs = exequery ( $connection, $sql );
		$CONTENT_ID = mysql_insert_id ();
		if (! $input ["WHERE"]) 
		{
			$input ["WHERE"] = " CONTENT_ID = " . $CONTENT_ID;
		}
		return $this->updateFile ( $input, $other );
	}
	function updateFile($input, $other) 
	{
		global $connection;
		$update_str = $this->updateSerialization ( $input );
		if ($input ["WHERE"])
		{
			$condition = $input ["WHERE"];
		}
		else
		{
			//这里只是备用，因为这个类竟然没有对象的共有属性，本来可以是$this->contentId
			$condition = $input ["WHERE"];
		}
		
		$sql = "UPDATE file_content SET $update_str WHERE $condition ";
		$rs = exequery ( $connection, $sql );
		//获取这篇文档的id--CONTENT_ID,返回id用于记录这篇文档的附件
		$CONTENT_ID_ARRAY = explode ( "=", $input ["WHERE"] );
		$CONTENT_ID = $CONTENT_ID_ARRAY [1];
		return $CONTENT_ID;
	}
	function updateSerialization($input) 
	{
		while ( list ( $key, $val ) = each ( $input ) )
		{
			if ($key != 'WHERE')
			{
				$str .= "," . $key . "='" . $val . "'";
			}
		}
		if ($str)
			$str = ltrim ( $str, "," );
		return $str;
	}
	/**
	 * 新建文档(For WebService)
	 * @param array  $data           文档数据
	 * $data["subject"]        标题
	 * $data["contenttype"]    文档类型，默认为1
	 * $data["fromseq"]        来源文号，默认为空
	 * $data["fromid"]         来源ID，默认为0	
	 * $data["sortid"]         文件夹ID
	 * $data["content"]        内容
	 * $data["attachmentid"]   附件ID
	 * $data["attachmentname"] 附件名称
	 * @param string $diff           my：个人文档；comm：公共文档
	 */
	function CreatNewDocument($data,$diff)
	{
		global $connection;
		$SEND_TIME = date("Y-m-d H:i:s",time());
		$filetype = "";
		if($data["contenttype"]=="")
		{
			$data["contenttype"] = "1";	
		}
		if($data["fromid"]=="")
		{
			$data["fromid"] = "0";		
		}
		switch($diff)
		{
			case "my":
				$filetype = "2";
			break;
			case "comm":
				$filetype = "1";
			break;	
			default:
				$filetype = "2";
			break;
		}
		$sql = "INSERT INTO file_content
							(CONTENT_TYPE,
							 SORT_ID,
							 FROM_ID,
							 FROM_SEQ,
							 SUBJECT,
							 CONTENT,
							 SEND_TIME,
							 USER_ID,
							 ATTACHMENT_ID,
							 ATTACHMENT_NAME,
							 FILE_TYPE)
				VALUES 
						   ('".SecurityFilter($data["contenttype"])."',
							'".SecurityFilter($data["sortid"])."',
							'".SecurityFilter($data["fromid"])."',
							'".SecurityFilter($data["fromseq"])."',
							'".SecurityFilter($data["subject"])."',
							'".SecurityFilter($data["content"])."',
							'".SecurityFilter($SEND_TIME)."',
							'".SecurityFilter($this->user_id)."',
							'".SecurityFilter($data["attachmentid"])."',
							'".SecurityFilter($data["attachmentname"])."',
							'".SecurityFilter($filetype)."')";
		exequery($connection,$sql);	
		$DocumentId = mysql_insert_id();
		//添加播报日志
		AddBroacastLog($this->user_id,"file_content","CONTENT_ID",$DocumentId,"SUBJECT","new");
		//新建事件日志
		if ($filetype == "1") { 
			saveSysOpLog ($DocumentId,'1','file_content','',$this->user_id);
		}
		return $DocumentId;
	}
}
?>