<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      自由流程类
* @encoding      $_lang['encoding']
* @name          api/freedworkflow.class.php
* @version       6
* @author        sun|www.weaver.com.cn
* @modify        dingp
* @date          2012-08-07
*/
include_once("api/workflow.class.php");
include_once("api/email.class.php");
include_once("inc/mobile_sms.inc.php");
/**
* 自由流程类
* @access public
* @auth  sunxiang
*/
class freeWorkflow extends workflow
{
	/**
	*创建流程
	*@access public
	*@return int $this->runId
	*/
	function create($creator='',$parentName='',$formData='',$runSeq='',$runName='')
	{
		global $connection;
		$createTime = date("Y-m-d H:i:s");
		if(!$creator)
		{
			$creator = $_SESSION["LOGIN_USER_ID"];
		}
		$sql = "SELECT USER_NAME FROM user WHERE USER_ID='".SecurityFilter($_SESSION['LOGIN_USER_ID'])."'";
		$rs  = exequery($connection,$sql);
		$user_name = mysql_fetch_array($rs);
		$this->runName = $runName!=''?$runName:$this->flowName."(".$createTime.":".$user_name['USER_NAME'].")";
		// $this->runSeq  = $runSeq!=''?$runSeq:$this->getSeqAuto();
		//生成流程flow_run---------增加了CURRENT_STEP表示流程的状态
		$query = "INSERT INTO flow_run(RUN_NAME,FLOW_ID,RUN_SEQ,CREATE_TIME,CREATOR,CURRENT_STEP,TRANSACT_TIME,MAX_PRCS_ID) VALUES ('".SecurityFilter($this->runName)."','".SecurityFilter($this->flowId)."','".SecurityFilter($this->runSeq)."','$createTime','".SecurityFilter($_SESSION['LOGIN_USER_ID'])."','1','$createTime','1')";
		exequery($connection,$query);
		$this->runId = mysql_insert_id();
		//生成流程步骤，第一步flow_run_prcs
		$query = "INSERT INTO flow_run_prcs (RUN_ID,PRCS_ID,USER_ID,PRCS_FLAG,FLOW_PRCS) VALUES ('".SecurityFilter($this->runId)."',1,'".SecurityFilter($_SESSION['LOGIN_USER_ID'])."','1','1')";
		exequery($connection,$query);
		//更新flow_run_step
		$query = "INSERT INTO flow_run_step (RUN_ID,PRCS_ID,USER_ID,FLOW_PRCS,USER_RUN_TYPE,TRANSACT_TIME) VALUES ('".SecurityFilter($this->runId)."',1,'".SecurityFilter($creator)."','1','1',UNIX_TIMESTAMP(NOW()))";
		exequery($connection,$query);
		//取表单内容
		$query   = "SELECT * FROM flow_form_type WHERE FORM_ID = '".SecurityFilter($this->formId)."'";
		$cursor1 = exequery($connection,$query);
		if($rows = mysql_fetch_array($cursor1))
		{
			$printModel = $rows["PRINT_MODEL"];
		}
		//Html 智能分析,生成初始数据
		$elementArray = html_element($printModel);
		$arrayCount   = sizeof($elementArray);
		$itemId       = 0;
		for($I=0; $I < $arrayCount; $I++)
		{
			//默认值
			$eName  = get_attr($elementArray[$I],"NAME");
			$eClass = get_attr($elementArray[$I],"CLASS");
			$eId    = get_attr($elementArray[$I],"ID");
			if($eClass != "DATE"&&$eClass != "time")
				$itemId++;
			else
				continue;


			if($formData)
			{
				$itemData = $formData->$eTitle;
			}
			else
			{
				if($eName != "SELECT")
				{
					$itemData = get_attr($elementArray[$I],"VALUE");
					$itemData = str_replace("\"","",$itemData);
				}
				else
					$itemData = "";
			}
			$query = "INSERT INTO flow_run_data (RUN_ID,ITEM_ID,ITEM_DATA ) VALUES ('".SecurityFilter($this->runId)."',".SecurityFilter($itemId).",'".SecurityFilter($itemData)."')";
			exequery($connection,$query);
			//用于流程新的保存数据模式
			if($eClass !="DATE"&&$eClass !="time"&&substr($eId,0,5)=="DATA_")
			{
				$fieldStr .= "$eId,";
				$valueStr .= "'".$itemData."'," ;
			}
		}
		//流程新的保存数据模式
		$fieldStr = trim($fieldStr,",");
		$valueStr = trim($valueStr,",");

		$newQuery = "INSERT INTO zzzz_flow_data_$this->formId ( FORM_ID,FLOW_ID,RUN_ID,FLOW_NAME,RUN_NAME,RUN_SEQ,CREATE_TIME,CURRENT_STEP,TRANSACT_TIME,$fieldStr ) VALUES('".SecurityFilter($this->formId)."','".SecurityFilter($this->flowId)."','".SecurityFilter($this->runId)."','".SecurityFilter($this->flowName)."','".SecurityFilter($this->runName)."','".SecurityFilter($this->runSeq)."','".SecurityFilter($createTime)."','1','".SecurityFilter($createTime)."',".SecurityFilter($valueStr).")";
		exequery($connection,$newQuery);
		//增加创建日志
		AddBroacastLog($_SESSION['LOGIN_USER_ID'],"flow_run","RUN_ID",$this->runId,"RUN_NAME","new","2");
		return $this->runId;
	}
	/**
	*流程办理的转交下一步
	*@access public
	*@param  int  $flowPrcs      流程节点
	*@param  str  $prcsId        流程走的的步骤
	*@param  str  $prcsUser      经办人
	*@param  str  $prcsOpUser    主办人
	*@param  str  $oP            操作类型
	*@param  str  $subFlowRunIds 子流程id字符串
	*@param  str  $monitor       监控转交人id
	*@param  str  $mbSmsContent  手机短信提醒内容
	*@param  str  $smsContent    内部消息提醒内容
	*@param  str  $emailContent  邮件提醒内容
	*@param  str  $params        其他参数，不再用一个个加参数的方式了
	*@return void
	*/
	function turnNext($toId,$prcsId,$flowPrcs,$docId,$prcsOpUser,$limitDate,$monitor='',$mbSmsContent='',$smsContent='',$emailContent='',$userid='',$params="")
	{
		global $connection,$_lang;
		$UserID = "";
		if($userid!=""){
			$UserID = $userid;
		}else{
			$UserID = $_SESSION['LOGIN_USER_ID'];
		}
		$isDeleted = $this->haveDelected();
		if($isDeleted)
		{
			header("location:error.php?errorType=1");
			exit;
		}
		//监控人提交，验证的应该是这个步骤实际办理人是否提交
		if($monitor)
		{
			//查询这个步骤地主办人
			$sql = "SELECT * FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND PRCS_ID = '".SecurityFilter($prcsId)."' AND OP_FLAG = '1' ";
			$rs  = exequery($connection,$sql);
			if($row = mysql_fetch_array($rs))
				$opFlagUser = $row["USER_ID"];
			$isTurned = $this->haveTurned($prcsId,$opFlagUser);
			if($isTurned)
			{
				Message("",$_lang["flow_turned_tips"]);
				exit;
			}
		}
		else
		//非监控提交，检测是否提交了
		{
			$isTurned = $this->haveTurned($prcsId,$UserID);
			if($isTurned)
			{
				header("location:error.php?errorType=2");
				exit;
			}
		}
		$curTime = date("Y-m-d H:i:s",time());
		//自由流程的flow_prcs没有什么实际意义，故这里把它处理和prcsId的值一样，以防以后用到
		$flowPrcs  = $prcsId;
		//获取流程名称，短信提醒中用到
		$this->flowRunningInfo();
		$toId = trim($toId,",");
		if ($toId == ''){
			//结束流程
			//更新流程的状态
			$query = "UPDATE flow_run SET CURRENT_STEP = '0',TRANSACT_TIME = '".SecurityFilter($curTime)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
			exequery($connection,$query);
			//更新流程的状态--新的结构
			$query = "UPDATE zzzz_flow_data_$this->formId SET CURRENT_STEP = '0',TRANSACT_TIME = '".SecurityFilter($curTime)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
			exequery($connection,$query);
			$query = "UPDATE flow_run_prcs SET DELIVER_TIME = '".SecurityFilter($curTime)."',PRCS_FLAG = '4',MONITOR_SUBMIT='".SecurityFilter($monitor)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND PRCS_ID = '".SecurityFilter($prcsId)."'";
			exequery($connection,$query);
			$query = "UPDATE flow_run_prcs SET SAVEFORM_TIME ='".SecurityFilter($curTime)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND USER_ID='".SecurityFilter($UserID)."' AND OP_FLAG = '0' AND ((SAVEFORM_TIME = '0000-00-00 00:00:00') OR (SAVEFORM_TIME is NULL))";
			exequery($connection,$query);
			//更新flow_run_step
			//1、TRANSACT_TIME
			$query = "UPDATE flow_run fr,flow_run_step frs SET frs.TRANSACT_TIME = UNIX_TIMESTAMP(fr.TRANSACT_TIME) WHERE fr.run_id = frs.run_id AND fr.run_id = '".SecurityFilter($this->runId)."'";
			exequery($connection,$query);
			//2、更新流程对应步骤下，主办人或当前人员的状态
			$query = "UPDATE flow_run fr,flow_run_step frs SET frs.USER_RUN_TYPE = '3' WHERE fr.run_id = frs.run_id AND fr.run_id = '".SecurityFilter($this->runId)."' AND frs.PRCS_ID = '".SecurityFilter($prcsId)."' AND (frs.OP_FLAG = '1' OR frs.USER_ID = '".SecurityFilter($UserID)."')";
			exequery($connection,$query);
			//3、将所有已经提交流程的主办/经办人的状态改成结束
			$query = "UPDATE flow_run fr,flow_run_step frs SET frs.USER_RUN_TYPE = '3' WHERE fr.run_id = frs.run_id AND fr.run_id = '".SecurityFilter($this->runId)."' AND frs.USER_RUN_TYPE = '2'";
			exequery($connection,$query);
			//关联文档保存到数据库 结束节点也可以加一些文档的
			if($docId != ''){
				$query_doc = "UPDATE flow_run SET LINK_DOC='".$docId."' WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
				exequery($connection, $query_doc);
				//添加共享
				addDocViewPur($docId,$prcsUser,$this->runId);
			}
			//根据短信提醒规则，生成短信提醒--这里是给流程的所有办理人
			$SMS_CONTENT = $_lang["flow_flowsmscontent"].$this->runName." ".$_lang["flow_have_finished"];
			$smstype     = 7;
			$tablename   = "flow_run";
			$TABLE_ID    = $this->runId;
			//获取系统设置里的默认提醒设置
			$sms_select     =  $smsContent;
			$smstel_select  =  $mbSmsContent;
			$email_select   =  $emailContent;
			$SMS_REMIND  = 1;
			
			//根据流程设置 获取提醒对象
			$flow_end_remind_sql = "SELECT * FROM flow_others WHERE FLOW_ID = '".SecurityFilter($this->flowId)."' ";
			$sms_to_rs   = exequery($connection,$flow_end_remind_sql);
			$flow_end_remind = array();
			while($sms_to_rows = mysql_fetch_array($sms_to_rs)){
				$flow_end_remind['FLOW_END_REMIND'] = $sms_to_rows['FLOW_END_REMIND'];
				$flow_end_remind['REMIND_TARGET'] = $sms_to_rows['REMIND_TARGET'];
				$flow_end_remind['APPOINT_PROCESS'] = $sms_to_rows['APPOINT_PROCESS'];
			}
			$to_str = "";
			$count = "SELECT PRCS_ID,count(1) AS cnt FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."' GROUP BY  PRCS_ID";
			$procount   = exequery($connection,$count);
			while($procounts = mysql_fetch_array($procount))
			{   if($procounts['cnt']==1) {
					$prolist_one[] = $procounts['PRCS_ID'];
				}else{
					$prolist_notone[] = $procounts['PRCS_ID'];
				}	
			}
			if($flow_end_remind['FLOW_END_REMIND']==1){
				
			}elseif($flow_end_remind['FLOW_END_REMIND']==2){
				//通知创建人
				$sms_to_sql  = "SELECT CREATOR FROM flow_run WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
				$sms_to_rs   = exequery($connection,$sms_to_sql);
				while($sms_to_rows = mysql_fetch_array($sms_to_rs))
				{
					$to_str = $sms_to_rows["CREATOR"];
				}
			}elseif($flow_end_remind['FLOW_END_REMIND']==3){
				//通知主办人经办人
				if($flow_end_remind['REMIND_TARGET']==3){
					$sms_to_sql  = "SELECT DISTINCT (USER_ID) FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
				//通知主办人
				}elseif($flow_end_remind['REMIND_TARGET']==1){
					$sms_to_sql  = "SELECT DISTINCT (USER_ID) FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."'  AND OP_FLAG=1";
				//通知经办人 当办理人只有一个时，不判断经办人
				}elseif($flow_end_remind['REMIND_TARGET']==2){
					if(!empty($prolist_one)) {
						$sms_to_sql  = "SELECT DISTINCT (USER_ID) FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND (PRCS_ID IN (".SecurityFilter(implode(',',$prolist_one)).") or OP_FLAG=0)";
					}else{
						$sms_to_sql  = "SELECT DISTINCT (USER_ID) FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND OP_FLAG=0";
					}	
				}
				$sms_to_rs   = exequery($connection,$sms_to_sql);
				while($sms_to_rows = mysql_fetch_array($sms_to_rs))
				{
					$to_str .= $sms_to_rows["USER_ID"].",";
				}
			}


			//手机短信
			if($smstel_select == '1' && $to_str)
			{
				if(ifSendMbSms())
				{
					$newSms = new MobileSms();
					$newSms->SelfSendMore($to_str,$SMS_CONTENT);
				}
			}
			//内部邮件
			if($email_select == '1' && $to_str)
			{
				$email = new email();
				$email->sendEmail($UserID,$to_str,$to_str,$_lang["flow_deal_email_remind"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
			}

			$TABLE_VAR   = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|".$this->flowId.",".$this->runId.",$prcsId,$flowPrcs,";
			if($sms_select == "1")
				sendSms($UserID,$to_str,$SMS_CONTENT,$SMS_REMIND,$smstype,$tablename,$TABLE_ID,$TABLE_VAR);
			//流程归档
			$queryRel = "SELECT FLOW_TO_DOC FROM `flow_others`  WHERE FLOW_ID = '".SecurityFilter($this->flowId)."' ";
			$res      = exequery($connection,$queryRel);
			$rowRel   = mysql_fetch_array($res);
			$FLOW_TO_DOC = $rowRel['FLOW_TO_DOC'];
			if($FLOW_TO_DOC==1){
				$flowToDoc = new flowToDoc($this->flowId,$this->runId,"",$params["folder_id"]);
			}
		}
		else
		{
			$PRCS_ID_NEXT = $prcsId + 1 ;
			//更新流程的状态
			$query = "UPDATE flow_run SET CURRENT_STEP = '$PRCS_ID_NEXT',TRANSACT_TIME = '".SecurityFilter($curTime)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
			exequery($connection,$query);
			//更新流程的状态--新的结构
			$query = "UPDATE zzzz_flow_data_$this->formId SET CURRENT_STEP = '$PRCS_ID_NEXT',TRANSACT_TIME = '".SecurityFilter($curTime)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
			exequery($connection,$query);
			//修改这一步骤所有人的提交时间DELIVER_TIME和办理状态PRCS_FLAG
			$query = "UPDATE flow_run_prcs SET DELIVER_TIME = '".SecurityFilter($curTime)."',PRCS_FLAG='3',MONITOR_SUBMIT='".SecurityFilter($monitor)."' WHERE RUN_ID = '".$this->runId."' AND PRCS_ID = '".SecurityFilter($prcsId)."' ";
			exequery($connection,$query);
			//修改当前人的保存表单时间(所有的saveform_time)
			$query = "UPDATE flow_run_prcs SET SAVEFORM_TIME = '".SecurityFilter($curTime)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND USER_ID='".SecurityFilter($UserID)."'  AND OP_FLAG = '0' AND ((SAVEFORM_TIME = '0000-00-00 00:00:00') OR (SAVEFORM_TIME is NULL))" ;
			exequery($connection,$query);
			//更新flow_run_step
			//更新流程对应步骤下，主办人或当前人员的状态
			$query = "UPDATE flow_run fr,flow_run_step frs SET frs.USER_RUN_TYPE = '2' WHERE fr.run_id = frs.run_id AND fr.run_id = '".SecurityFilter($this->runId)."' AND frs.PRCS_ID = '".SecurityFilter($prcsId)."' AND frs.USER_ID = '".SecurityFilter($UserID)."'";
			exequery($connection,$query);
			$TOK          = strtok($toId,",");
			while($TOK != "")
			{
				if($TOK == $prcsOpUser)
					$OP_FLAG = 1;
				else
					$OP_FLAG = 0;
				//2009-07-10 sx 办理方式HANDLE_WAY > 0 无主办人
				$sql = "SELECT HANDLE_WAY FROM flow_type WHERE FLOW_ID= '".SecurityFilter($this->flowId)."' " ;
				$rs  = exequery($connection,$sql);
				$row = mysql_fetch_array($rs);
				$PRCS_OPTYPE = $row['HANDLE_WAY'];
				if($PRCS_OPTYPE > 0 ){
					$OP_FLAG = 0;
				}
				//判断每个办理人是否有委托流程
				$haveAgent = flowHaveAgent($this->flowId,$TOK);
				if($haveAgent)
				{
					$haveAgentArray = explode("|",$haveAgent);
					$agentFlowId    = $haveAgentArray[0];
					$agentUserId    = $haveAgentArray[1];
					$query          = "INSERT INTO flow_run_prcs(RUN_ID,PRCS_ID,USER_ID,PRCS_FLAG,FLOW_PRCS,OP_FLAG,LIMIT_DATE,BY_AGENT_ID,FLOW_AGENCY_ID) VALUES ('".SecurityFilter($this->runId)."','".SecurityFilter($PRCS_ID_NEXT)."','".SecurityFilter($agentUserId)."','1','".SecurityFilter($PRCS_ID_NEXT)."','".SecurityFilter($OP_FLAG)."','".SecurityFilter($limitDate)."','".SecurityFilter($TOK)."','".SecurityFilter($agentFlowId)."')";
					//给haveAgent增加流程文档权限
					if(!find_id($toId,$agentUserId))
					{
						$toId = $toId.$agentUserId.",";
					}
					//流程的短信提醒也转发到代理人那里
					$TOK = $agentUserId;
				}
				else
				{
					$query = "INSERT INTO flow_run_prcs(RUN_ID,PRCS_ID,USER_ID,PRCS_FLAG,FLOW_PRCS,OP_FLAG,LIMIT_DATE) values ('".SecurityFilter($this->runId)."','".SecurityFilter($PRCS_ID_NEXT)."','".SecurityFilter($TOK)."','1','".SecurityFilter($PRCS_ID_NEXT)."','".SecurityFilter($OP_FLAG)."','".SecurityFilter($limitDate)."')";
				}
				exequery($connection, $query);
				//更新flow_run_step
				//判断有没有数据
				$query = "SELECT FLOW_STEP_ID,OP_FLAG FROM flow_run_step WHERE run_id = '".SecurityFilter($this->runId)."' AND user_id = '".SecurityFilter($TOK)."'";
				$cursor = exequery($connection,$query);
				if($ROW=mysql_fetch_array($cursor)) {
					$FLOW_STEP_ID = $ROW["FLOW_STEP_ID"];
					$sqlStepOpFlag = "select max(OP_FLAG) step_op_flag from flow_run_prcs where run_id = '".SecurityFilter($this->runId)."' AND prcs_id = '".SecurityFilter($prcsIdNext)."' AND user_id = '".SecurityFilter($TOK)."'";
					$cursorStepOpFlag = exequery($connection,$sqlStepOpFlag);
					if($rowStepOpFlag = mysql_fetch_array($cursorStepOpFlag)) {
						$flowRunStepOpFlag = $rowStepOpFlag["step_op_flag"];
					} else {
						$flowRunStepOpFlag = $OP_FLAG;
					}
					$query = "UPDATE flow_run_step SET PRCS_ID = '".SecurityFilter($PRCS_ID_NEXT)."',FLOW_PRCS = '".SecurityFilter($PRCS_ID_NEXT)."',USER_RUN_TYPE = '1',OP_FLAG = '".SecurityFilter($flowRunStepOpFlag)."',PRCS_TIME = NULL,LIMIT_DATE = '".SecurityFilter($limitDate)."' WHERE FLOW_STEP_ID = '".SecurityFilter($FLOW_STEP_ID)."'";
					exequery($connection,$query);
				} else {
					//插入数据
					$query = "INSERT INTO flow_run_step (RUN_ID,USER_ID,PRCS_ID,FLOW_PRCS,USER_RUN_TYPE,OP_FLAG,LIMIT_DATE) VALUES ('".SecurityFilter($this->runId)."','".SecurityFilter($TOK)."','".SecurityFilter($PRCS_ID_NEXT)."','".SecurityFilter($PRCS_ID_NEXT)."','1','".SecurityFilter($OP_FLAG)."','".SecurityFilter($limitDate)."')";
					exequery($connection,$query);
				}
				$SMS_CONTENT = $_lang["flow_flowsmscontent"].$this->runName;
				$smstype     = 7;
				$tablename   = "flow_run";
				$TABLE_ID    = $this->runId;
				$SMS_REMIND  = 1;
				$TABLE_VAR   = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|$this->flowId,$this->runId,$prcsId,$flowPrcs,";

				if($smsContent) {
					sendSms($UserID,$TOK,$smsContent,$SMS_REMIND,$smstype,$tablename,$TABLE_ID,$TABLE_VAR,$attid,$attname);
				}
				//手机短信
				if (ifSendMbSms()) {
					if ($mbSmsContent) {
						$newSms = new MobileSms();
						$newSms->SelfSendMore($TOK,$mbSmsContent);
					}
				}
				//内部邮件提醒
				if($emailContent) {
					$email = new email();
					$email->sendEmail($UserID,$TOK,$TOK,$_lang['flow_arrive_email_remind'],$emailContent,date("Y-m-d H:i:s",time()),'','');
				}
				//有催办时间的，生成催办短信
				if($limitDate)
				{
					$SMS_CONTENT = $_lang["flow_flowsmscontent"].$this->runName.$_lang["flow_urgency_manage"];
					$smstype     = 7;
					$tablename   = "flow_run";
					$TABLE_ID    = $this->runId;
					$SMS_REMIND  = 1;
					$TABLE_VAR   = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|$this->flowId,$this->runId,$prcsId,$flowPrcs,";
					sendSms($UserID,$TOK,$SMS_CONTENT,$SMS_REMIND,$smstype,$tablename,$TABLE_ID,$TABLE_VAR,$attid,$attname,$limitDate);
				}
				$TOK=strtok(",");
			}
			//更新flow_run_step
			//TRANSACT_TIME
			$query = "UPDATE flow_run fr,flow_run_step frs SET frs.TRANSACT_TIME = UNIX_TIMESTAMP(fr.TRANSACT_TIME),fr.MAX_PRCS_ID = '".SecurityFilter($PRCS_ID_NEXT)."' WHERE fr.run_id = frs.run_id AND fr.run_id = '".SecurityFilter($this->runId)."'";
			exequery($connection,$query);
			//关联文档
			if($docId != ''){
				$query_doc = "UPDATE flow_run SET LINK_DOC='".SecurityFilter($docId)."' WHERE RUN_ID = '".SecurityFilter($this->runId)."'";
				exequery($connection, $query_doc);
				//添加共享
				addDocViewPur($docId,$toId,$this->runId);
			}
		}
	}
	/**
	*是否需要会签
	*@access public
	*@return str $resultStr
	*/
	function isNeedCounterSign()
	{
		global $connection;
		$sql_concourse = " SELECT COUNTERSIGN,HANDLE_WAY FROM flow_type WHERE FLOW_ID = '".SecurityFilter($this->flowId)."'" ;
		$res_concourse = exequery($connection,$sql_concourse);
		$row_concourse = mysql_fetch_array($res_concourse);
		$isConcourse   = $row_concourse['COUNTERSIGN'];
		$handWay       = $row_concourse['HANDLE_WAY'];
		$resultStr     = $isConcourse."|".$handWay;
		return $resultStr;
	}
	/**
	*获取自由流程的办理方式
	*@access public
	*@return int $PRCS_OPTYPE
	*/
	function getHandleWay()
	{
		global $connection;
		$sql = "SELECT HANDLE_WAY FROM flow_type WHERE FLOW_ID= '".SecurityFilter($this->flowId)."' " ;
		$rs  = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$PRCS_OPTYPE = $row['HANDLE_WAY'];
		return $PRCS_OPTYPE;
	}
	/**
	*尚未办理人员id
	*@access public
	*@param  int  $prcsId    流程当前步骤
	*@return str $userIdStr
	*/
	function haveNeverCounterSing($prcsId)
	{
		global $connection;
		$sql = "SELECT USER_ID FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($this->runId)."' AND SAVEFORM_TIME is NULL AND USER_ID != '".SecurityFilter($_SESSION['LOGIN_USER_ID'])."' AND PRCS_ID = '".SecurityFilter($prcsId)."'";
		$rs  = exequery($connection,$sql);
		while($rows = mysql_fetch_array($rs))
		{
			$userIdStr = $rows["USER_ID"].",";
		}
		return trim($userIdStr,",");
	}

	/**
	*@function 根据flowId和runId来修改流水号
	*@param $flowId   流程号
	*@param $runId    流程运行编号
	*@param $runSeq   流水号
	*/
	function updateRunseq($flowId,$runId,$runSeq) {
		global $connection;
		$query = "UPDATE flow_run SET RUN_SEQ='".SecurityFilter($runSeq)."' WHERE FLOW_ID='".SecurityFilter($flowId)."' AND RUN_ID='".SecurityFilter($runId)."'";
		$rs    = exequery($connection,$query);
		if($rs) {
			return 1;
		}
	}

	/**
	*@function 根据flowId和runId来修改流水号
	*@param $flowId   流程号
	*@param $runId    流程运行编号
	*@param $runSeq   流程标题
	*/
	function updateRunname($flowId,$runId,$runName) {
		global $connection;
		if(trim($runName) != '') {
			$query = "UPDATE flow_run SET RUN_NAME='".SecurityFilter($runName)."' WHERE FLOW_ID='".SecurityFilter($flowId)."' AND RUN_ID='".SecurityFilter($runId)."'";
			$rs    = exequery($connection,$query);
			if($rs) {
				return 1;
			}
		} else {
			return 2;
		}
	}
	//自由流程节点函数，获取流程所有节点，增加详细的判断，将各个节点的所有办理信息都拼上
	function getDetailFLowProcessForDeal($getParam){
		global $connection,$_lang;
		$FLOW_ID      = $getParam["FLOW_ID"];
		$RUN_ID       = $getParam["RUN_ID"];
		$PRCS_ID      = $getParam["PRCS_ID"];
		$FLOW_PRCS    = $getParam["FLOW_PRCS"];
		$OP_FLAG      = $getParam["OP_FLAG"];
		$is_concourse = $getParam["is_concourse"];
		$muc          = $getParam["muc"];
		$query     = "
						SELECT
						RUN_ID,PRCS_ID,GROUP_CONCAT( DISTINCT USER_ID) DEAL_USER_ID,CONCAT('".SecurityFilter($_lang["flow_no."])."',PRCS_ID,'".SecurityFilter($_lang["flow_steps"])."') PRCS_NAME
						FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($RUN_ID)."'
						GROUP BY PRCS_ID
						ORDER BY PRCS_ID
					";
		$cursor    = exequery($connection,$query);
		$prcsNumber = 0;
		$flowPrcsCount = mysql_affected_rows();
		while($row = mysql_fetch_assoc($cursor))
		{
			$rows[] = $row;
			$prcsNumber++;
		}
		// 首节点
		$rows[0]["MAP_FIRST_PRCS"] = 1;
		// 自己节点
		$rows[$prcsNumber-1]["MAP_SELF_PRCS"]    = 1;
		$rows[$prcsNumber-1]["MAP_OUTFLOW_TYPE"] = "advance";
		// 自己节点翻页数
		$rows[$prcsNumber-1]["MAP_PAGE_NUMBER"]  = $flowPrcsCount/5 - 1;
		// 增加最后节点
		array_push($rows, array(
								"RUN_ID"=>"",
								"PRCS_ID"=>$prcsNumber+1,
								"PRCS_NAME"=>$_lang["flow_no."].($prcsNumber+1).$_lang["flow_steps"],
								"MAP_LAST_PRCS"=>"1",
								"MAP_CAN_OUTFLOW"=>"1",
								"MAP_PRCS_SELECT"=>"1",
								"MAP_OUTFLOW_TYPE"=>"advance"
								)
					);
		// 清空划线
		if($is_concourse == 1 && $muc > 0) {
			$rows[$prcsNumber-1]["MAP_OUTFLOW_TYPE"] = "";
			$rows[$prcsNumber]["MAP_OUTFLOW_TYPE"]   = "";
			$rows[$prcsNumber]["MAP_PRCS_SELECT"]    = "";
			$rows[$prcsNumber]["MAP_CAN_OUTFLOW"]    = "";
		}
		if($rows) {
			return $rows;
		} else {
			return array();
		}
	}
}
?>
