<?php
class Login {
    public function __construct(){
        
    }
     /**
     * 当天事务检查
     */
    public function todayWorkCheck(){
        global $connection;
        $sql  = "SELECT TIME FROM sys_log order by LOG_ID DESC limit 0,1";
        $rs   = exequery($connection,$sql);
        $row  = mysql_fetch_array($rs);
        @mysql_free_result($rs);
        $date = substr($row['TIME'],0,10);
        if($date != date("Y-m-d")){
            today_action();
        }
    }
    /**
     * 检查办公用品,同一天只检查一次
     * @global type $connection
     * @return boolean
     */
    public function officeitemNeedCheck(){
        global $connection;
        $officeitemNeedCheck = true;
        $timenow = time();
        $query   = "select LAST_VISIT_TIME from USER where USER_ID='".SecurityFilter($userInfo['USER_ID'])."'";
        $rs      = @exequery($connection,$query);
        if($row = @mysql_fetch_array($rs)){
            $last_vt_time = strtotime($row[0]);
            $d_last = date("d",$last_vt_time);
            $m_last = date("m",$last_vt_time);
            $Y_last = date("Y",$last_vt_time);
            $d_now  = date("d",$timenow); 
            $m_now  = date("m",$timenow);
            $Y_now  = date("Y",$timenow);
            if((abs($d_now-$d_last) == 0) && (abs($m_now-$m_last) == 0) && (abs($Y_now-$Y_last) == 0)){
                $officeitemNeedCheck = false;
            }
        }
        @mysql_free_result($rs);
        return $officeitemNeedCheck;
    }
    /**
     * 人事档案检查
     */
    public function laborCheck(){
        global $connection;
        $laborCheck = true;
        $query       = "SELECT * FROM sys_log WHERE TYPE=1 AND TIME>=CURDATE() ORDER BY LOG_ID DESC";
        $cousor      = exequery($connection,$query);
        if($row = @mysql_fetch_array($cousor)) {
            $laborCheck = false;
        }
        @mysql_free_result($cousor);
        return $laborCheck;
    }
    public function dimissionCheck($userId){
        global $connection;
        $dimissionSql	= "select DEPT_ID from user where USER_ID='".SecurityFilter($userId)."'";
        $dimissionResult	= exequery($connection, $dimissionSql);
        if ($dimissionRow = mysql_fetch_row($dimissionResult)) {
            $deptId	= $dimissionRow[0];
            if ($deptId < 1) {
                return false;
            }
        }
        @mysql_free_result($dimission_cs);
        return $deptId;
    }
    public function userAccountCheck($condition = array()){
        global $connection;
        if(empty($condition)){
            return false;
        }
        $where = ' WHERE 1=1 ';
        foreach ($condition as $key => $value) {
            $key    = strtoupper($key);
            $value  = SecurityFilter($value);
            if(is_numeric($value)){
                $where   .= " AND `$key`=$value,";
            }else{
                $where   .= " AND `$key`='$value',";
            }
        }
        $where       = substr($where,0,strrpos($where, ','));
        $query  = "SELECT * from USER " . $where;
        $result = exequery($connection,$query);
        if(!$row = @mysql_fetch_array($result)){
            return false;
        }
        @mysql_free_result($result);
        return $row;
    }
    /**
     * 获取系统参数
     * @global type $connection
     * @return type
     */
    public function getSystemParam(){
        global $connection;
        $query  = "SELECT * from SYS_PARA where PARA_NAME in('SEC_PASS_FLAG','DYNAMI_ADDR','SEC_PASS_TIME','SEC_PASS_IMG','LIMIT_LOGIN_TIMES','DYNAMIC_LOGIN_SMS','IE_TITLE_VALUE')";
        $result = exequery($connection,$query);
        $param  = array();
        while($row = @mysql_fetch_array($result)){
            $param[$row["PARA_NAME"]] = $row["PARA_VALUE"];
        }
        @mysql_free_result($result);
        return $param;
    }
    public function getLoginLang(){
        global $connection;
        $query = "SELECT LANG_NAME,LANG_AB FROM language";
        $result = exequery($connection,$query);
        if($result){
            $langArray = array();
            while($row = @mysql_fetch_array($result,MYSQL_ASSOC)){
                $langArray[] = $row;
            }
            return $langArray;
        }
        return false;
    }
    /**
     * 获取单位信息
     * @global type $connection
     * @param type $filedName
     * @return type
     */
    public function getUnitInfo($filedName = '*'){
        global $connection;
        $sql = "SELECT $filedName FROM unit";
        $rs  = exequery($connection,$sql);
        $row = @mysql_fetch_array($rs);
        @mysql_free_result($rs);
        return $row;
    }
    public function getUserSecext($userId){
        global $connection;
        $sql = "SELECT * FROM user_secext WHERE 1 AND USER_ID='".SecurityFilter($userId)."'";
        $res = exequery($connection,$sql);
        $row = @mysql_fetch_array($res);
        @mysql_free_result($res);
        return $row;
    }
    /**
     * 获取登录页信息
     * @param type $id
     * @return boolean
     */
    public function getLoginInfor($id = 2){
        $query = "SELECT l.* ,lf.*,ll.* FROM login_set as l LEFT JOIN login_form_set as lf ON l.LOGIN_FORM = lf.ID LEFT JOIN "
                . "login_logo_set as ll ON l.LOGIN_LOGO=ll.ID WHERE l.ID=$id";
        $row    = $this->_loginAssocResult($query);
        if($row){
            if(!file_exists(LOGIN_BG_PATH.'logo/'.$row['LOGO_IMG'])){
                $row['LOGO_IMG'] = 'logo-default.png'; 
            }else{
                $row['LOGO_IMG'] = $row['LOGO_IMG'] != '' ? $row['LOGO_IMG'] : 'logo-default.png' ;
            }
            if(!file_exists(LOGIN_BG_PATH.'login-bg/'.$row['BACKGROUND_IMG'])){
                $row['BACKGROUND_IMG'] = 'default.jpg'; 
            }else{
                $row['BACKGROUND_IMG'] = $row['BACKGROUND_IMG'] != '' ? $row['BACKGROUND_IMG'] : 'default.jpg' ;
            }
        }else{
            return false;
        }
        return $row;
    }
    /**
     * 设置页面信息
     * @global type $connection
     * @param type $id
     * @param type $infor
     * @param type $method
     * @return boolean
     */
    public function setLoginInfor($id = 2,$infor = array(),$method=''){
        global $connection;
        if(empty($infor)){
            return false;
        }
        foreach ($infor as $key => $value) {
            $key    = strtoupper($key);
            if(is_numeric($value)){
                $fieldSql   .= " `$key`=$value,";
            }else{
                $fieldSql   .= " `$key`='$value',";
            }
        }
        $fieldSql       = substr($fieldSql,0,strrpos($fieldSql, ','));
        $conditionSql   =  ' WHERE ID = '.$id;
        switch ($method) {
            case 'setForm':
                $sql    = 'UPDATE login_form_set SET ' . $fieldSql . $conditionSql;
                break;
            case 'setLogo':
                $sql    = 'UPDATE login_logo_set SET ' . $fieldSql . $conditionSql;
                break;
            default:
                $sql    = 'UPDATE login_set SET ' . $fieldSql . $conditionSql;
                break;
        }
        if(exequery($connection, $sql)){
            return true;
        }
        return false;
    }
    /**
     * 恢复默认
     * @param type $id
     * @return boolean
     */
    public function recoverDefault($id=2){
        $loginSetSql        = 'SELECT BACKGROUND_IMG,LOGIN_FOOTER_CONTENT,LOGIN_FOOTER_COLOR,LOGIN_FOOTER_HIDE,HELP FROM login_set WHERE ID=1';
        $loginFormSetSql    = 'SELECT FORM_X,FORM_Y,FORM_DIR,FORM_BACKGROUND,FORM_FILTER,FORM_LANG_HIDE,FORM_LANG_COLOR FROM login_form_set WHERE ID=1';
        $loginLogoSetSql    = 'SELECT LOGO_IMG,LOGO_X,LOGO_Y,LOGO_DIR,LOGO_HIDE FROM login_logo_set WHERE ID=1';
        $loginSetRow        = $this->_loginAssocResult($loginSetSql);
        $loginFormSetRow    = $this->_loginAssocResult($loginFormSetSql);
        $loginLogoSetRow    = $this->_loginAssocResult($loginLogoSetSql);

        $flag1  = $this->_updateById($loginSetRow, 'login_set', $id);
        $flag2  = $this->_updateById($loginFormSetRow, 'login_form_set', $id);
        $flag3  = $this->_updateById($loginLogoSetRow, 'login_logo_set', $id);
        if($flag1 && $flag2 && $flag3){
            return true;
        }
        return false;
    }
    /**
     * 根据sql语句获取查询结果
     * @global type $connection
     * @param type $sql
     * @return boolean
     */
    private function _loginAssocResult($sql=''){
        global $connection;
        if(!$sql){
            return false;
        }
        $result = exequery($connection, $sql);
        $row = @mysql_fetch_assoc($result);
        @mysql_free_result($result);
        return $row;
    }
    /**
     * 根据Id更新
     * @global type $connection
     * @param type $data
     * @param type $table
     * @param type $id
     * @return boolean
     */
    private function _updateById($data = array(),$table='',$id=2){
        global $connection;
        if(empty($data) || $table == ''){
            return false;
        }
        foreach ($data as $key => $value) {
            $key    = strtoupper($key);
            if(is_numeric($value)){
                $fieldString   .= " `$key`=$value,";
            }else{
                $fieldString   .= " `$key`='$value',";
            }
        }
        $fieldString       = substr($fieldString,0,strrpos($fieldString, ','));
        $sql = 'UPDATE '.$table.' SET '.SecurityFilter($fieldString).' WHERE ID='.SecurityFilter($id);
        if(exequery($connection, $sql)){
            return true;
        }
        return false;
    }
    /**
     * 更新用户信息
     * @global type $connection
     * @param type $data
     * @param type $userId
     * @return boolean
     */
    public function updateUserInfo($data=array(),$userId=''){
        global $connection;
        if(empty($data) || $userId == ''){
            return false;
        }
        foreach ($data as $key => $value) {
            $key    = strtoupper($key);
            if(is_numeric($value)){
                $fieldString   .= " `$key`=$value,";
            }else{
                $fieldString   .= " `$key`='$value',";
            }
        }
        $fieldString       = substr($fieldString,0,strrpos($fieldString, ','));
        $sql = 'UPDATE user SET '.SecurityFilter($fieldString).' WHERE USER_ID=\''.SecurityFilter($userId).'\'';
        if(exequery($connection, $sql)){
            return true;
        }
        return false;
    }
    /**
     * 获取有权限的用户菜单
     * @global type $connection
     */
    public function getFuncStr($userPriv){
        global $connection;
        $query  = "SELECT * from USER_PRIV where USER_PRIV=".SecurityFilter($userPriv);
        $cursor = exequery($connection,$query);
        if($row = @mysql_fetch_array($cursor)){
            $loginFuncStr = $row["FUNC_ID_STR"];
        }
        @mysql_free_result($cousor);
        return $loginFuncStr;
    }
    /**
     * 查询用户辅助权限,并一起赋给主权限;
     * @global type $connection
     * @param type $userSubPriv
     */
    public function getUserSubPriv($userSubPriv){
        global $connection;
        $USER_SUB_PRIV  =  '';
        if(!empty($userSubPriv)){
            $querySub  = "SELECT * from user_priv where USER_PRIV in(".SecurityFilter($userSubPriv).")";
            $cursorSub = exequery($connection,$querySub);
            while($row = @mysql_fetch_array($cursorSub)){
                $USER_SUB_PRIV .= $row["FUNC_ID_STR"].',';
            }
            @mysql_free_result($cousor);     
            return $USER_SUB_PRIV;
        }
        return false;
    }
    /**
     * 获取langid
     * @global type $connection
     * @param type $userLang
     * @return type
     */
    public function getLangId($userLang){
        global $connection;
        $sql = "SELECT LANG_ID FROM language WHERE LANG_AB='".SecurityFilter($userLang)."'";
        $rs  = exequery($connection,$sql);
        $row = @mysql_fetch_array($rs);
        @mysql_free_result($rs);
        return $row['LANG_ID'];
    }
    /**
     * 更新在线人员信息
     * @global type $connection
     * @param type $userId
     * @param type $sessid
     * @param type $vtime
     * @return boolean
     */
    public function updateOnline($userId,$sessid,$vtime){
        global $connection;
        $sql       = " SELECT COUNT(USER_ID) AS cnt FROM USER_ONLINE WHERE USER_ID='".SecurityFilter($userId)."'";
        $re        = exequery($connection,$sql);
        $row       = @mysql_fetch_array($re);
        @mysql_free_result($re);
        if ($row['cnt'] == 0){
            $sql = "INSERT INTO user_online (USER_ID,SESSION_ID,VISIT_TIME) VALUES ('".SecurityFilter($userId)."','".SecurityFilter($sessid)."','".SecurityFilter($vtime)."')";
        }else{
            $sql = "UPDATE user_online SET SESSION_ID='".SecurityFilter($sessid)."',VISIT_TIME='".SecurityFilter($vtime)."' WHERE USER_ID='".SecurityFilter($userId)."'";
        }
        if(exequery($connection,$sql)){
            return true;
        }
        return false;
    }
}
