<?
/**
*绩效的API
*author qlj
*date   2013/08/26
*eoffice_version 8.x
*/

include_once("inc/function_page_01.php");
include_once("api/db.class.php");


class performance extends database{
	function __construct($user_id='') {
		parent::__construct();
		if($user_id != '') {
			$this->user_id = $user_id;
		}
		//$this->getMyPerform();
	}
	
	/**
	*@function  获取考核方案(传入考核方案ID值时,返回的是该考核方案信息)
	*@param     $performanceId  考核方案ID
	*@return    $reArr          考核方案数据信息
	*/
	function GetPerformanceTpl($performanceId='') {
		global $connection,$_lang;
		$reArr = array();
		$query = "SELECT * FROM performance_tpl";
		if($performanceId != "") {
			$query .= " WHERE PERFORMANCE_ID='".SecurityFilter($performanceId)."'";
		}
		$res   = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			array_push($reArr,$row);
		}
		return $reArr;
	}	

	/**
	*@function 获取考核模板(传入考核模板ID值时,返回的是该考核模板的信息)
	*@param    $tempId  考核模板ID
	*@param    $ptlId   考核方案ID
	*/
	function GetPerformanceTemp($tempId='',$tplId='',$tempName='') {
		global $connection,$_lang;
		$reInfo = array();
		$query  = "SELECT * FROM performance_temp WHERE 1";
		if(trim($tempId) != "") {
			$query .= " AND TEMP_ID='".SecurityFilter($tempId)."'";
		}
		if(trim($tplId) != '') {
			$query .= " AND TPL_ID='".SecurityFilter($tplId)."'";
		}
		
		if(trim($tempName) != '') {
			$query .= " AND TEMP_NAME LIKE '%".SecurityFilter($tempName)."%'";
		}

		$query .= " ORDER BY TEMP_NAME";

		$res = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			array_push($reInfo,$row);
		}
		return $reInfo;
	}

	/**
	*@function 更新考核方案信息
	*@param $tplInfo  考核方案最新信息
	*@param $tplId    考核方案ID
	*/
	function SavePerformanceSetting($tplInfo,$tplId) {
		global $connection,$_lang;

		$query = "UPDATE performance_tpl SET PERFORMANCE_TIME_START='".SecurityFilter($tplInfo["PLAN_START_TIME"])."',
											 PERFORMANCE_TIME_END='".SecurityFilter($tplInfo["PLAN_END_TIME"])."',
											 PERFORM_START_DAY='".SecurityFilter($tplInfo["PLAN_START_DAY"])."',
											 PERFORM_END_DAY='".SecurityFilter($tplInfo["PLAN_END_DAY"])."',
											 PERFORMANCE_IS_USED='".SecurityFilter($tplInfo["PLAN_USEED"])."',
											 PERFORMANCE_IS_REMIND='".SecurityFilter($tplInfo["PLAN_REMIND"])."',
										     PERFORMANCE_NOTE='".SecurityFilter($tplInfo["PLAN_NOTE"])."'
										 WHERE PERFORMANCE_ID='".SecurityFilter($tplId)."'";

		$res = exequery($connection,$query);
		return $res;
	}
	
	/**
	*@function 保存考核模板信息
	*@param    $tempInfo   传入的模板数据
	*@param    $type       数据操作类型
	*/
	function personalPerformanceData($tempInfo,$type) {
		global $connection,$_lang;
		$tplInfo = $this->GetPerformanceTpl($tempInfo["TPL_ID"]);
		//保存模板信息
		if($type == "add") {
			$query = "INSERT INTO performance_temp (
												TEMP_NAME,
												TEMP_CONTENT,
												TEMP_POINTS,
												TPL_ID,
												TEMP_APPROVER,
												TEMP_NOTE
											) VALUES (
												'".SecurityFilter($tempInfo["TEMP_NAME"])."',
												'".SecurityFilter($tempInfo["TEMP_CONTENT"])."',
												'".SecurityFilter($tempInfo["TEMP_POINTS"])."',
												'".SecurityFilter($tempInfo["TPL_ID"])."',
												'".SecurityFilter($tempInfo["TEMP_APPROVER"])."',
												'".SecurityFilter($tempInfo["TEMP_NOTE"])."'
											)";
		} else if ($type == "update"){
			//更新模板信息
			$query = "UPDATE performance_temp SET TEMP_NAME='".SecurityFilter($tempInfo["TEMP_NAME"])."',
											      TPL_ID='".SecurityFilter($tempInfo["TPL_ID"])."',
											      TEMP_POINTS='".SecurityFilter($tempInfo["TEMP_POINTS"])."',
								     			  TEMP_CONTENT='".SecurityFilter($tempInfo["TEMP_CONTENT"])."',
												  TEMP_APPROVER='".SecurityFilter($tempInfo["TEMP_APPROVER"])."',
												  TEMP_NOTE='".SecurityFilter($tempInfo["TEMP_NOTE"])."'
					 WHERE TEMP_ID='".$tempInfo["TEMP_ID"]."'";
		} else if ($type == "delete") {
			//删除模板
			$query = "DELETE FROM performance_temp WHERE TEMP_ID='".SecurityFilter($tempInfo["TEMP_ID"])."'";
		}	

		$res = exequery($connection,$query);		
		
		if($type == "add") {
			//获取最新的模板ID
			$tempInfo["TEMP_ID"] = mysql_insert_id();
		}
		//对模板所属的考核方案下的被考核人的归属模板进行判断并修改
		$this->userPerform($tempInfo);

		// if($type == "update" && $tplInfo[0]["PERFORMANCE_IS_USED"] == 1) {

		// 	//对已经生成的考核数据的判断(是否新增/删除/更改等)
		// 	//$this->setPurviewPerform("update",$tempInfo);
		// } else {
		// 	//删除未进行考核的用户的考核数据			
		// 	$sql = "DELETE FROM performance_personal WHERE TEMP_ID='".$tempInfo["TEMP_ID"]."' AND PERFORM_STATUS='0'";
		// 	exequery($connection,$sql);
		// }

		//返回值
		if($res) {
			if($type == "add") {
				return $tempInfo["TEMP_ID"];
			}
			return "success";
		}
	}
	
	/**
	*@function getPersonPerform
	*
	*/
	/*function getPersonPerform($searchArr) {
		global $connection;
		$query = "SELECT * FROM performance_personal WHERE TEMP_ID='".$searchArr["TEMP_ID"]."' AND PERFORM_STATUS='0'";
		exequery($connection,$sql);
	}*/

	/**
	*@function 对用户的模板进行更新(每个用户针对每个方案使用的模板只有一个)
	*@param    $performTempInfo
	*/
	function userPerform($performTempInfo) {
		global $connection;		
		//每个用户使用的有效模板只能有一个
		$sql  = "SELECT * FROM performance_temp WHERE TEMP_ID!='".SecurityFilter($performTempInfo["TEMP_ID"])."' AND TPL_ID='".SecurityFilter($performTempInfo["TPL_ID"])."' ORDER BY TEMP_ID DESC";
		$res  = exequery($connection,$sql);
		$performTemps = array();
		while($row = mysql_fetch_array($res)) { 
			$performTemps[$row["TEMP_ID"]] = $row;
		}
		$performUsers = explode(",",substr($performTempInfo["TEMP_APPROVER"],0,-1));
		if(count($performTemps) > 0 && count($performUsers) > 0) {
			foreach($performTemps as $key=>$value) {
				$tempUsers = explode(",",substr($value["TEMP_APPROVER"],0,-1)); 
				$diffUser  = array_diff($tempUsers,$performUsers);
				$approvers = implode(",",$diffUser).",";
				//对方案下的模板的被考核人的判断
				$query = "UPDATE performance_temp SET TEMP_APPROVER='".SecurityFilter($approvers)."' WHERE TEMP_ID='".SecurityFilter($key)."'";
				exequery($connection,$query);
			}
		}
	}

	/**
	*@function 获取有权限考核打分的数据
	*@param    $performUser    考核人
	*@return   $rePerformInfo  返回的考核记录数据
	*/
	function getPurviewPerform($performUser='',$tplId = '') {
		global $connection,$_lang;
		$userId = $this->user_id;
		$query  = "SELECT * FROM performance_personal 
					   WHERE (PERFORM_STATUS='0' OR PERFORM_STATUS='1' OR PERFORM_STATUS='2')
					   AND APPROVER_DEFAULT='".SecurityFilter($userId)."'"; 
		//被考核人条件
		if($performUser != '') {
			$query .= " AND PERFORM_USER='".SecurityFilter($performUser)."'";
		}
		//方案条件
		if ($tplId != '') {
			$query .= " AND TPL_ID='".SecurityFilter($tplId)."'";
		}
		$res    = exequery($connection,$query);
		$rePerformInfo = array();
		while($row = mysql_fetch_array($res)) {
			array_push($rePerformInfo,$row);
		}
		return $rePerformInfo;
	}

	/**
	*@function  对针对考核模板生成相对应人员的考核数据
	*@param     $type 处理类型  add/update/delete
	*@param     $TEMP_APPROVER  被考核人
	*/
	// function setPurviewPerform($type,$tempInfo) {
	// 	global $connection;

	// 	//将考核总分,增加到$tempInfo["TEMP_CONTENT"]中去
	// 	$tempContent = json_decode(stripslashes($tempInfo["TEMP_CONTENT"]));
	// 	foreach($tempContent as $k=>$v) {
	// 		$tempContent[$k]->pointsInfo = $tempInfo['TEMP_POINTS'];
	// 	}
	// 	$tempInfo['TEMP_CONTENT'] = addslashes(json_encode($tempContent));

	// 	switch($type) {
	// 		case "add":

	// 			if($tempInfo["TEMP_APPROVER"])
	// 			{
	// 				$performUser = explode(",",substr($tempInfo["TEMP_APPROVER"],0,-1));

	// 				foreach($performUser as $key=>$value) {
	// 					$approverDefault = $this->getApproverDefault($value);
	// 					$checkStatus     = $this->checkUserPerform($value,$tempInfo);

	// 					if(is_array($checkStatus) && $checkStatus["TEMP_ID"] != $tempInfo["TEMP_ID"]) {
	// 						//当已经产生了模板个人对应的模板数据,然后修改了用户的模板后的判断
	// 						$sql = "DELETE FROM performance_personal WHERE PERFORM_ID='".$checkStatus["PERFORM_ID"]."' AND PERFORM_STATUS='0'";
	// 						exequery($connection,$sql);
	// 						$checkStatus     = $this->checkUserPerform($value,$tempInfo);
	// 					}
	// 					//检查是否已经存在考核数据(当月/当季等)
	// 					if($checkStatus == false || $checkStatus == '') {
	// 						$sql = "INSERT INTO performance_personal (
	// 							PERFORM_USER,
	// 							APPROVER_DEFAULT,
	// 							TPL_ID,
	// 							TEMP_ID,
	// 							TEMP_NAME,
	// 							PERFORM_STATUS,
	// 							PERFORM_CONTENT,
	// 							APPROVER_USER,
	// 							PERFORM_MONTH
	// 						) VALUES (
	// 							'".$value."',
	// 							'".$approverDefault."',
	// 							'".$tempInfo["TPL_ID"]."',
	// 							'".$tempInfo["TEMP_ID"]."',
	// 							'".$tempInfo["TEMP_NAME"]."',
	// 							'0',
	// 							'".$tempInfo["TEMP_CONTENT"]."',
	// 							'',
	// 							'".$tempInfo["PERFORM_MONTH"]."'
	// 						)";
	// 						exequery($connection,$sql);
	// 					}
	// 				}
	// 			}
	// 			break;
	// 		case "update":
	// 			$query = "SELECT * FROM performance_personal WHERE TEMP_ID='".$tempInfo["TEMP_ID"]."'";
	// 			$res   = exequery($connection,$query);
	// 			$personUsers = array();
	// 			while($row = mysql_fetch_array($res)) {
	// 				$approverMonth = $row["PERFORM_MONTH"];
	// 				array_push($personUsers,$row["PERFORM_USER"]);
	// 			}

	// 			$approverMonth= $approverMonth != ""?$approverMonth:$tempInfo["TEMP_MONTH"];
	// 			$performUsers = explode(",",substr($tempInfo["TEMP_APPROVER"],0,-1));

	// 			//判断编辑前后的被考核人的差别
	// 			$insertDiff   = array_diff($performUsers,$personUsers);
	// 			$deleteDiff   = array_diff($personUsers,$performUsers);
	// 			$updateDiff   = array_diff($performUsers,$insertDiff);

	// 			//新增加的被考核人
	// 			foreach($insertDiff as $key=>$value) {
	// 				$approverDefault = $this->getApproverDefault($value);
	// 				$checkStatus     = $this->checkUserPerform($value,$tempInfo);
	// 				if($checkStatus == false) {
	// 					$sql = "INSERT INTO performance_personal (
	// 								PERFORM_USER,
	// 								APPROVER_DEFAULT,
	// 								TPL_ID,
	// 								TEMP_ID,
	// 								TEMP_NAME,
	// 								PERFORM_STATUS,
	// 								PERFORM_CONTENT,
	// 								APPROVER_USER,
	// 								PERFORM_MONTH
	// 							) VALUES (
	// 								'".$value."',
	// 								'".$approverDefault."',
	// 								'".$tempInfo["TPL_ID"]."',
	// 								'".$tempInfo["TEMP_ID"]."',
	// 								'".$tempInfo["TEMP_NAME"]."',
	// 								'0',
	// 								'".$tempInfo["TEMP_CONTENT"]."',
	// 								'',
	// 								'".$approverMonth."'
	// 							)";

	// 					exequery($connection,$sql);
	// 				}
	// 			}

	// 			//清除无用的信息
	// 			foreach($deleteDiff as $key=>$value) {
	// 				$sql = "SELECT * FROM performance_personal WHERE PERFORM_USER='".$value."' AND TEMP_ID='".$tempInfo["TEMP_ID"]."'";		
	// 				$res = exequery($connection,$sql);
	// 				if($row = mysql_fetch_array($res)) {
	// 					if($row["PERFORM_STATUS"] == "0") {
	// 						unset($query);
	// 						$querys = "DELETE FROM performance_personal WHERE PERFORM_USER='".$value."' AND TEMP_ID='".$tempInfo["TEMP_ID"]."' AND TPL_ID='".$tempInfo["TPL_ID"]."'";
	// 						exequery($connection,$querys);
	// 					}
	// 				}
	// 			}
				
	// 			//更新最新的考核记录
	// 			foreach($updateDiff as $key=>$value) {
	// 				$approverDefault = $this->getApproverDefault($value);
	// 				$query = "SELECT * FROM performance_personal WHERE PERFORM_USER='".$value."' AND TEMP_ID='".$tempInfo["TEMP_ID"]."'";
	// 				$cursor = exequery($connection,$query);
	// 				if($row = mysql_fetch_array($cursor)) {
	// 					if($row["PERFORM_STATUS"] == 0) {
	// 						$sql = "UPDATE performance_personal SET APPROVER_DEFAULT='".$approverDefault."',
	// 															   TEMP_NAME='".$tempInfo["TEMP_NAME"]."',
	// 															   PERFORM_CONTENT='".$tempInfo["TEMP_CONTENT"]."'	WHERE PERFORM_USER='".$value."' 
	// 															   AND TEMP_ID='".$tempInfo["TEMP_ID"]."'
	// 															   AND TPL_ID='".$tempInfo["TPL_ID"]."'";
	// 						$res = exequery($connection,$sql);
	// 					}
	// 				}
	// 			}
	// 			break;
	// 		case "delete":				
	// 			break;
	// 	}
	// }

	/**
	*@function 检查此用户是否已经存在此考核记录(如果存在即不重复添加)
	*@param $userId      用户Id
	*@param $tempInfo    插入模板需要的数据
	*@return $performId/false  返回模板已存在的数据/或者返回已存在
	*/
	function checkUserPerform($userId,$tempInfo) {
		global $connection;
		$query = "SELECT * FROM performance_personal WHERE PERFORM_USER='".SecurityFilter($userId)."' AND  TPL_ID='".SecurityFilter($tempInfo["TPL_ID"])."' AND PERFORM_MONTH='".SecurityFilter($tempInfo["PERFORM_MONTH"])."'";

		$res = exequery($connection,$query);

		if($row = mysql_fetch_array($res)) {
			return $row;
		} else {
			return false;
		}
	}

	/**
	*@function  获取默认考核人
	*@param     $userId 被考核人ID
	*@return    $approverUser
	*/
	function getApproverDefault($userId) {
		global $connection;
		/*
		$approverStatus = false;		
		$query = "SELECT APPROVER_USER FROM user WHERE USER_ID='".$userId."'";
		$ress  = exequery($connection,$query);
		if($rows = mysql_fetch_array($ress)) {
			$approverUser = $rows["APPROVER_USER"];
			if($approverUser) {
				$approverStatus = true;
			}
		}
		if($approverUser == false) {*/
			$sql = "SELECT * FROM user u,user_priv up 
						WHERE u.USER_PRIV=up.USER_PRIV 
						AND u.USER_ID='".SecurityFilter($userId)."' 
						AND u.DEPT_ID>0";
			$cursor = exequery($connection,$sql);
			if($row = mysql_fetch_array($cursor)) {
				$privNo = $row["PRIV_NO"];
				$deptId = $row["DEPT_ID"];
			}
			
			$query = "SELECT * FROM user u,user_priv up 
						  WHERE u.USER_PRIV=up.USER_PRIV
						  AND up.PRIV_NO<'".SecurityFilter($privNo)."'
						  AND u.DEPT_ID='".SecurityFilter($deptId)."'
						  AND u.POST_PRIV='0' ORDER BY u.USER_PRIV DESC,u.USER_ID DESC LIMIT 0,1";
			$res  = exequery($connection,$query);
			if($rows = mysql_fetch_array($res)) {
				$approverStatus = true;
				$approverUser = $rows["USER_ID"];
			}
			/*if($approverStatus == false) {
				$query1 = "SELECT * FROM user u,user_priv up
							   WHERE u.USER_PRIV=up.USER_PRIV
							   AND up.PRIV_NO<'".$privNo."'
							   AND FIND_IN_SET(".$deptId.",POST_DEPT)
							   AND u.POST_PRIV='2' ORDER BY u.USER_PRIV DESC,u.USER_ID DESC LIMIT 0,1";
				$res1 = exequery($connection,$query1);
				if($rows1 = mysql_fetch_array($res1)) {
					$approverStatus = true;
					$approverUser   = $rows1["USER_ID"];
				}
			}

			if($approverStatus == false) {
				$query2 = "SELECT * FROM user u,user_priv up
							   WHERE u.USER_PRIV=up.USER_PRIV
							   AND up.PRIV_NO<'".$privNo."'
							   AND u.POST_PRIV='1' ORDER BY u.USER_PRIV DESC,u.USER_ID DESC LIMIT 0,1";
				$res2 = exequery($connection,$query2);
				if($rows2 = mysql_fetch_array($res2)) {
					$approverStatus = true;
					$approverUser   = $rows2["USER_ID"];
				}
			}*/
			if($approverStatus == false) {
				$approverStatus = true;
				$approverUser   = "";
			}
			return $approverUser;
	}

	/*
	*@function 获取某个模板的数据(或者某个用户某个模板下的数据)
	*@param    $tempId
	*@param    $performId
	*/
	function getTempPerform($tempId,$performId='') {
		global $connection;
		$query = "SELECT * FROM performance_personal WHERE TEMP_ID='".SecurityFilter($tempId)."'";
		if($performId != '') {
			$query .= " AND PERFORM_ID='".SecurityFilter($performId)."'";
		}
		$resultStr = array();
		$res = exequery($connection,$query);
		while($row = mysql_fetch_array($res)) {
			array_push($resultStr,$row);
		}
		return $resultStr;
	}

	/**
	*@function 	getUserTemp 	获取个当前人员所属考核模板
	*@param 	$userId 		要查询的人员
	*@param 	$planId 		考核方案ID
	*
	*/
	function getUserTemp($userId, $planId="") {
		global $connection;

		//判断考核方案ID
		$planId = $planId != "" ? $planId : '1';

		//获取该方案所有考核模板
		$query = "SELECT TEMP_ID,TEMP_APPROVER FROM performance_temp WHERE TPL_ID='".SecurityFilter($planId)."'";
		$tempRes = exequery($connection, $query);
		$tempArr = array();
		while($row = mysql_fetch_array($tempRes)) {
			$tempArr[] = $row;
		}

		//找到哪个模板的适用对象中包含当前人员
		$userTempId = "";
		foreach ($tempArr as $key => $value) {
			$bool = strpos($value['TEMP_APPROVER'], $userId);

			if($bool !== false) {
				$userTempId = $value['TEMP_ID'];
			}
		}

		return $userTempId;

	}

	/**
	*@function 	getPerform 		获取人员当前考核模板
	*@param 	$searchInfo 	查询条件
	*@param 	$checkYear 		查找的哪一年
	*@param 	$checkMonth 	查找的哪一月
	*/
	function getPerformTemp($searchInfo) {
		//判断当前人员所属模板
		$userTempId = $this->getUserTemp($searchInfo['PERFORM_USER'], $searchInfo['PERFORM_TPL']);

		//若当前人员没有相应考核模板,直接return false
		if(!$userTempId) {
			return false;
		}

		//获取该模板内容
		$performTemp = $this->GetPerformanceTemp($userTempId);

		return $performTemp[0];
	}

	/**
	*@function 	getPerform 		获取当前人员考核数据
	*@param 	$searchInfo 	查询条件
	*@param 	$checkYear 		查找的哪一年
	*@param 	$checkMonth 	查找的哪一月
	*/
	function getPerformData($searchInfo, $checkYear, $checkMonth) {
		global $connection;

		//获取考核起始与结束时间
		$arr = $this->getPlanTime($searchInfo['PERFORM_TPL'], $checkYear, $checkMonth);
		$startDate = $arr['startDate'];
		$endDate = $arr['endDate'];
		$stage = $arr['stage'];
		$startYear = $arr['startYear'];

		//若考核起始时间小于当前时间
		if(strtotime($startDate) <= time()) {
			$query = "SELECT * FROM performance_personal WHERE PERFORM_USER='".SecurityFilter($searchInfo['PERFORM_USER'])."' && PERFORM_MONTH='".SecurityFilter($searchInfo['PERFORM_MONTH'])."' LIMIT 1";

			//获取当前人员当月考核数据
			$result = exequery($connection, $query);
			$userPerformData = mysql_fetch_array($result);

			//若存在考核数据,获取
			if($userPerformData) {
				return $userPerformData;
			}else {
				//如果考核结束时间也小于当前时间,说明是以前的考核,但没有生成考核数据
				if(strtotime($endDate) <= time()) {
					return false;
				}

				return "noPerformData";
			}
		}else {
			return false;
		}
	}

	/**
	*@function 获取个人考核的数据
	*@param    $searchInfo  查询条件
	*@param    $type
	*@param    $perform_id
	*@return   $reStr
	*/
	function getMyPerform($searchInfo,$type='personal',$perform_id='') {
		global $connection;
		$query = "SELECT pp.*,pt.PERFORMANCE_APPROVER AS TPERFORMANCE_APPROVERFROM,pm.TEMP_NOTE AS TEMPNOTE FROM performance_personal pp,performance_tpl pt,performance_temp pm WHERE 1 AND pp.TPL_ID=pt.PERFORMANCE_ID AND PP.TEMP_ID=pm.TEMP_ID";
		//获取具体某一条数据
		if($perform_id != '') {
			$query .= " AND PERFORM_ID='".SecurityFilter($perform_id)."'";
		}
		if($type == 'personal') {
			//获取具体某个人的数据
			$query .= "	AND PERFORM_USER='".SecurityFilter($this->user_id)."'";
		} else {
			//根据查询条件来获取数据
			if($searchInfo['PERFORM_PLAN'] != "" && $searchInfo['PERFORM_PLAN'] != '0') {
				$performInfos = $this->GetPerformanceTemp('',$searchInfo['PERFORM_PLAN']);
				$tempIds = array();
				foreach($performInfos as $key=>$value) {
					array_push($tempIds,$value["TEMP_ID"]);
				}
				$tempId = implode(",",$tempIds);
				$query .= " AND FIND_IN_SET(TEMP_ID,'".SecurityFilter($tempId)."')";
			}
			//考核方案
			if($searchInfo['PERFORM_TPL'] != "" && $searchInfo["PERFORM_TPL"] != '0') {
				$query .= " AND pp.TPL_ID='".SecurityFilter($searchInfo['PERFORM_TPL'])."'";
			}

			//考核状态
			if($searchInfo['PERFORM_STATUS'] != "") {
				$query .= " AND PERFORM_STATUS='".SecurityFilter($searchInfo['PERFORM_STATUS'])."'";
			}
			//被考核人
			if($searchInfo['APPROVER_USER'] != "") {
				$query .= " AND APPROVER_DEFAULT='".SecurityFilter($searchInfo['APPROVER_USER'])."'";
			}
			//考核开始时间
			if($searchInfo['PERFORM_TIME_START'] != "") {
				$query .= " AND PERFORM_TIME>='".SecurityFilter($searchInfo['PERFORM_TIME_START'])."'";
			}
			//考核结束时间
			if($searchInfo['PERFORM_TIME_END'] != "") {
				$query .= " AND PERFORM_TIME<='".SecurityFilter($searchInfo['PERFORM_TIME_END'])."'";
			}

			//考核分数1
			if($searchInfo['PERFORM_VALUE_START'] != "") {
				$query .= " AND PERFORM_COUNT>=".SecurityFilter($searchInfo["PERFORM_VALUE_START"]);
			}
			//考核分数2
			if($searchInfo['PERFORM_VALUE_END'] != "") {
				$query .= " AND PERFORM_COUNT<=".SecurityFilter($searchInfo["PERFORM_VALUE_END"]);
			}
			//被考核人员
			if($searchInfo['PERFORM_USER'] != "") {
				$query .= " AND FIND_IN_SET(PERFORM_USER,'".SecurityFilter($searchInfo['PERFORM_USER'])."')";
			}
			
			//考核月份
			if($searchInfo['PERFORM_MONTH'] != "") {				
				$query .= " AND PERFORM_MONTH='".SecurityFilter($searchInfo["PERFORM_MONTH"])."'";
			}
		}

		if(!array_key_exists("ORDER",$searchInfo)) {
			$query .= " ORDER BY PERFORM_ID DESC";
		} else {
			$query .= " ORDER BY ".SecurityFilter($searchInfo["ORDER"]);
		}
		//echo $query;
		//file_put_contents('d://11.txt', $query);
  		$res   = exequery($connection,$query);
		$reStr = array();
		while($row = mysql_fetch_array($res)) {
			$row["updateFlag"] = 0;
			if($row["TPERFORMANCE_APPROVER"] !="")
			{
				$approvers   = substr($row["TPERFORMANCE_APPROVER"],0,-1);
				$approverArr = strpos($row["TPERFORMANCE_APPROVER"],",")?explode(",",$row["TPERFORMANCE_APPROVER"]):$row["TPERFORMANCE_APPROVER"];
				if($this->user_id == $approverArr || in_array($this->user_id,$approverArr))
				{
					$row["updateFlag"] = 1;
				}
			}
			array_push($reStr,$row);
			//$reStr[] = $row;
		} 
		//file_put_contents('d://11.txt', $reStr[0]['TEMPNOTE']);
		return $reStr;
	}

	/**
	*@function 获取某月/季/半年度/年度的考核起始和结束时间
	*@param $circles 考核方案ID
	*@param $checkYear 要获取的年度
	*@param $checkMonth 要获取的月/季/半年度/年度
	*/
	function getPlanTime($circles, $checkYear, $checkMonth) {
		global $connection;
		//获取方案数据
		$performTplInfo = $this->GetPerformanceTpl($circles);
		//格式化月份
		$checkMonth = $checkMonth < 10 ? '0'.$checkMonth : $checkMonth;

		$value = $performTplInfo[0];

		//判断该方案是否启用
		if($value["PERFORMANCE_IS_USED"] == 1) {

			//判断当前是哪个考核方案
			if($value["PERFORMANCE_ID"] == 1) {

				//当前考核期数
				$stage = $checkMonth.'M';

				//判断开始月份
				if($value['PERFORMANCE_TIME_START'] == 1) {
					$startMonth = $checkMonth;
				}else {
					$startMonth = $checkMonth == 12 ? 1 : $checkMonth + 1;
					$startMonth = $startMonth < 10 ? '0'.$startMonth : $startMonth;
				}

				//判断结束月份
				if($value['PERFORMANCE_TIME_END'] == 1) {
					$endMonth = $checkMonth;
				}else {
					$endMonth = $checkMonth == 12 ? 1 : $checkMonth + 1;
					$endMonth = $endMonth < 10 ? '0'.$endMonth : $endMonth;
				}

				//判断开始于哪年 1 之前  2 之后
				if($checkMonth == 12 && $value['PERFORMANCE_TIME_START'] == 2) {
					$startYear = $checkYear + 1;
				}else {
					$startYear = $checkYear;
				}

				//判断结束于哪年
				if($checkMonth == 12 && $value['PERFORMANCE_TIME_END'] == 2) {
					$endYear = $checkYear + 1;
				}else {
					$endYear = $checkYear;
				}

				//判断开始于哪天
				if($value['PERFORMANCE_TIME_START'] == 2) {
					$startDay = $value['PERFORM_START_DAY'];

					if($checkMonth == '02' && $startDay > 28) {
						$startDay = 28;
					}
				}else {
					$days = in_array($checkMonth, array('01', '03', '05', '07', '08', '10', '12')) ? 31 : 30;
					if($checkMonth == '02') {
						$days = 28;
					}

					$startDay = $days - $value['PERFORM_START_DAY'];
				}

				//判断结束于哪天
				if($value['PERFORMANCE_TIME_END'] == 2) {
					$endDay = $value['PERFORM_END_DAY'];
				}else {
					$days = in_array($checkMonth, array('01', '03', '05', '07', '08', '10', '12')) ? 31 : 30;
					if($checkMonth == '02') {
						$days = 28;
					}

					$endDay = $days - $value['PERFORM_END_DAY'] + 1;
				}

			}elseif($value["PERFORMANCE_ID"] == 2) {
				//判断现在是哪个季度
				// $performMonth = $checkMonth;

				// if($performMonth>=1 && $performMonth<=3)
				// 	$stage = "01S";
				// else if ($performMonth>=4 && $performMonth<=6)
				// 	$stage = "02S";
				// else if ($performMonth>=7 && $performMonth<=9)
				// 	$stage = "03S";
				// else if ($performMonth>=10 && $performMonth<=12)
				// 	$stage = "04S";

				$stage = $checkMonth.'S';

				//判断起始年份
				if($stage == '04S' && $value['PERFORMANCE_TIME_START'] == 2)
					$startYear = $checkYear + 1;
				else
					$startYear = $checkYear;

				//判断结束年份
				if($stage == '04S' && $value['PERFORMANCE_TIME_END'] == 2)
					$endYear = $checkYear + 1;
				else
					$endYear = $checkYear;

				//判断起始月份及日期
				if($value['PERFORMANCE_TIME_START'] == 2) {
					switch($stage) {
						case '01S':
							//判断起始天数超不超过一个月
							if($value['PERFORM_START_DAY'] > 30) {
								$startMonth = '05';								
								$startDay = $value['PERFORM_START_DAY'] - 30;
							}else {
								$startMonth = '04';
								$startDay = $value['PERFORM_START_DAY'];
							}	
							break;
						case '02S':
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '08';
								$startDay = $value['PERFORM_START_DAY'] - 31;
							}else {
								$startMonth = '07';
								$startDay = $value['PERFORM_START_DAY'];
							}
							break;
						case '03S':
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '11';
								$startDay = $value['PERFORM_START_DAY'] - 31;
							}else {
								$startMonth = '10';
								$startDay = $value['PERFORM_START_DAY'];
							}
							break;
						case '04S':
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '02';
								$startDay = $value['PERFORM_START_DAY'] - 31;
							}else {
								$startMonth = '01';
								$startDay = $value['PERFORM_START_DAY'];
							}
							break;
					}
				}else {
					switch($stage) {
						case '01S':
							//判断起始天数超不超过一个月
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '02';								
								$startDay = 28 - ($value['PERFORM_START_DAY'] - 31);
							}else {
								$startMonth = '03';
								$startDay = 31 - $value['PERFORM_START_DAY'];
							}	
							break;
						case '02S':
							if($value['PERFORM_START_DAY'] > 30) {
								$startMonth = '05';
								$startDay = 31 - ($value['PERFORM_START_DAY'] - 30);
							}else {
								$startMonth = '06';
								$startDay = 30 - $value['PERFORM_START_DAY'];
							}
							break;
						case '03S':
							if($value['PERFORM_START_DAY'] > 30) {
								$startMonth = '08';
								$startDay = 31 - ($value['PERFORM_START_DAY'] - 30);
							}else {
								$startMonth = '09';
								$startDay = 30 - $value['PERFORM_START_DAY'];
							}
							break;
						case '04S':
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '11';
								$startDay = 30 - ($value['PERFORM_START_DAY'] - 31);
							}else {
								$startMonth = '12';
								$startDay = 31 - $value['PERFORM_START_DAY'];
							}
							break;
					}
				}

				//判断结束月份及日期
				if($value['PERFORMANCE_TIME_END'] == 2) {
					switch($stage) {
						case '01S':
							//判断结束天数超不超过一个月
							if($value['PERFORM_END_DAY'] > 30) {
								$endMonth = '05';								
								$endDay = $value['PERFORM_END_DAY'] - 30;
							}else {
								$endMonth = '04';
								$endDay = $value['PERFORM_END_DAY'];
							}	
							break;
						case '02S':
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '08';
								$endDay = $value['PERFORM_END_DAY'] - 31;
							}else {
								$endMonth = '07';
								$endDay = $value['PERFORM_END_DAY'];
							}
							break;
						case '03S':
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '11';
								$endDay = $value['PERFORM_END_DAY'] - 31;
							}else {
								$endMonth = '10';
								$endDay = $value['PERFORM_END_DAY'];
							}
							break;
						case '04S':
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '02';
								$endDay = $value['PERFORM_END_DAY'] - 31;
							}else {
								$endMonth = '01';
								$endDay = $value['PERFORM_END_DAY'];
							}
							break;
					}
				}else {
					switch($stage) {
						case '01S':
							//判断结束天数超不超过一个月
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '02';								
								$endDay = 28 - ($value['PERFORM_END_DAY'] - 31);
							}else {
								$endMonth = '03';
								$endDay = 31 - $value['PERFORM_END_DAY'];
							}	
							break;
						case '02S':
							if($value['PERFORM_START_DAY'] > 30) {
								$endMonth = '05';
								$endDay = 31 - ($value['PERFORM_END_DAY'] - 30);
							}else {
								$endMonth = '06';
								$endDay = 30 - $value['PERFORM_END_DAY'];
							}
							break;
						case '03S':
							if($value['PERFORM_END_DAY'] > 30) {
								$endMonth = '08';
								$endDay = 31 - ($value['PERFORM_END_DAY'] - 30);
							}else {
								$endMonth = '09';
								$endDay = 30 - $value['PERFORM_END_DAY'];
							}
							break;
						case '04S':
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '11';
								$endDay = 30 - ($value['PERFORM_END_DAY'] - 31);
							}else {
								$endMonth = '12';
								$endDay = 31 - $value['PERFORM_END_DAY'];
							}
							break;
					}
				}
			}elseif($value["PERFORMANCE_ID"] == 3) {
				//判断现在是哪个半年度
				// $performMonth = $checkMonth;

				// if($performMonth>=1 && $performMonth<=6) {
				// 	$stage = "01H";
				// }else if ($performMonth>=7 && $performMonth<=12){
				// 	$stage = "02H";
				// }
				$stage = $checkMonth.'H';
				
				//判断起始年份
				if($stage == '02H' && $value['PERFORMANCE_TIME_START'] == 2) {
					$startYear = $checkYear + 1;
				}else {
					$startYear = $checkYear;
				}

				//判断结束年份
				if($stage == '02H' && $value['PERFORMANCE_TIME_END'] == 2) {
					$endYear = $checkYear + 1;
				}else {
					$endYear = $checkYear;
				}

				//判断起始月份和日期
				if($value['PERFORMANCE_TIME_START'] == 2) {
					switch($stage) {
						case '01H':
							//判断起始天数超不超过一个月
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '08';								
								$startDay = $value['PERFORM_START_DAY'] - 31;
							}else {
								$startMonth = '07';
								$startDay = $value['PERFORM_START_DAY'];
							}	
							break;
						case '02H':
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '02';
								$startDay = $value['PERFORM_START_DAY'] - 31;
							}else {
								$startMonth = '01';
								$startDay = $value['PERFORM_START_DAY'];
							}
							break;
					}
				}else {
					switch($stage) {
						case '01H':
							//判断起始天数超不超过一个月
							if($value['PERFORM_START_DAY'] > 30) {
								$startMonth = '05';								
								$startDay = 31 - ($value['PERFORM_START_DAY'] - 30);
							}else {
								$startMonth = '06';
								$startDay = 30 - $value['PERFORM_START_DAY'];
							}	
							break;
						case '02H':
							if($value['PERFORM_START_DAY'] > 31) {
								$startMonth = '11';
								$startDay = 30 - ($value['PERFORM_START_DAY'] - 31);
							}else {
								$startMonth = '12';
								$startDay = 31 - $value['PERFORM_START_DAY'];
							}
							break;
					}
				}

				//判断结束月份和日期
				if($value['PERFORMANCE_TIME_END'] == 2) {
					switch($stage) {
						case '01H':
							//判断起始天数超不超过一个月
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '08';								
								$endDay = $value['PERFORM_END_DAY'] - 31;
							}else {
								$endMonth = '07';
								$endDay = $value['PERFORM_END_DAY'];
							}	
							break;
						case '02H':
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '02';
								$endDay = $value['PERFORM_END_DAY'] - 31;
							}else {
								$endMonth = '01';
								$endDay = $value['PERFORM_END_DAY'];
							}
							break;
					}
				}else {
					switch($stage) {
						case '01H':
							//判断起始天数超不超过一个月
							if($value['PERFORM_END_DAY'] > 30) {
								$endMonth = '05';								
								$endDay = 31 - ($value['PERFORM_END_DAY'] - 30);
							}else {
								$endMonth = '06';
								$endDay = 30 - $value['PERFORM_END_DAY'];
							}	
							break;
						case '02H':
							if($value['PERFORM_END_DAY'] > 31) {
								$endMonth = '11';
								$endDay = 30 - ($value['PERFORM_END_DAY'] - 31);
							}else {
								$endMonth = '12';
								$endDay = 31 - $value['PERFORM_END_DAY'];
							}
							break;
					}
				}
			}elseif($value["PERFORMANCE_ID"] == 4) {
				//当前期数
				$stage = '01Y';

				//判断起始年份/月份/日期
				if($value['PERFORMANCE_TIME_START'] == 2) {
					$startYear = $checkYear + 1;

					if($value['PERFORM_START_DAY'] > 31) {
						$startMonth = '02';
						$startDay = $value['PERFORM_START_DAY'] - 31;
					}else {
						$startMonth = '01';
						$startDay = $value['PERFORM_START_DAY'];
					}
				}else {
					$startYear = $checkYear;

					if($value['PERFORM_START_DAY'] > 31) {
						$startMonth = '11';
						$startDay = 30 - ($value['PERFORM_START_DAY'] - 31);
					}else {
						$startMonth = '12';
						$startDay = 31 - $value['PERFORM_START_DAY'];
					}
				}

				//判断结束年份/月份/日期
				if($value['PERFORMANCE_TIME_END'] == 2) {
					$endYear = $checkYear + 1;

					if($value['PERFORM_END_DAY'] > 31) {
						$endMonth = '02';
						$endDay = $value['PERFORM_END_DAY'] - 31;
					}else {
						$endMonth = '01';
						$endDay = $value['PERFORM_END_DAY'];
					}
				}else {
					$endYear = $checkYear;
					if($value['PERFORM_END_DAY'] > 31) {
						$endMonth = '11';
						$endDay = 30 - ($value['PERFORM_END_DAY'] - 31);
					}else {
						$endMonth = '12';
						$endDay = 31 - $value['PERFORM_END_DAY'];
					}
				}

			}

			//若日期值小于1 则等于1
			$startDay = $startDay < 1 ? 1 : $startDay;
			$endDay = $endDay < 1 ? 1 : $endDay;

			//若日期小于10 则在前面加个0
			$startDay = $startDay < 10 ? '0'.$startDay : $startDay;
			$endDay = $endDay < 10 ? '0'.$endDay : $endDay;

			//生成月份考核的开始和结束时间(针对月份的特殊性判断)
			$startDate = $startYear."-".$startMonth."-".$startDay;
			$endDate   = $endYear."-".$endMonth."-".$endDay." 23:59:59";

			$arr = array(
					'startDate' => $startDate,
					'endDate' => $endDate,
					'stage' => $stage,
					'startYear' => $startYear,
				);

			return $arr;
		}
	}

	/**
	*@function 初始化需要生成的在考核时间范围内的考核数据
	*@param    $circles     考核方案ID
	*@param    $checkYear   查询年份
	*@param    $checkMonth  查询月份
	*/
	// function initPerform($circles='', $checkYear, $checkMonth) {
	// 	global $connection;
		
	// 	$arr = $this->getPlanTime($circles, $checkYear, $checkMonth);
	// 	$startDate = $arr['startDate'];
	// 	$endDate = $arr['endDate'];
	// 	$stage = $arr['stage'];
	// 	$startYear = $arr['startYear'];
	// 	// $str = $startDate.'____'.$endDate.'____'.$startYear.$stage;
	// 	// file_put_contents('d://11.txt', $str);

	// 	//对在考核范围内的数据进行初始生成
	// 	if(strtotime($startDate) <= strtotime(date("Y-m-d",time())) && strtotime($endDate) >= strtotime(date("Y-m-d",time()))) {
	// 		$performTempInfo = $this->GetPerformanceTemp('','1');

	// 		foreach($performTempInfo as $key=>$tempInfos) {

	// 			/*if($tempInfos["TEMP_APPROVER"] != "" && $tempInfos["TEMP_APPROVER"] != ",")
	// 				{*/
	// 			$tempInfos["PERFORM_MONTH"] = $startYear.$stage;
	// 			//需要判断是否已经存在当前有效的考核记录
	// 			$personPerformInfo = $this->setPurviewPerform('add',$tempInfos);
	// 			//}
	// 		}
	// 	}
	// }

	/**
	*@function 获取考核人或被考核人id数组
	*@param    $performer   获取类型,值为examindePerson是要获取考核人,值为beExamined是要获取被考核人
	*@param    $userId   	要获取的人员ID
	*
	*/
	function getPerformer($performer, $userId) {
		include_once("api/user.class.php");
		$user = new user;
		global $connection;

		//若需要查询的是考核人
		if($performer == 'examindePerson') {
			$query = "SELECT APPROVER_DEFAULT,APPROVER_STATUS FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($userId)."' LIMIT 1";
			$res = exequery($connection,$query);
			
			$row = mysql_fetch_array($res);
			//若表中有当前人员考核人信息
			if($row) {
				//判断当前考核人选择状态,若为0则是默认状态
				if($row['APPROVER_STATUS'] == 0) {
					//获取默认上级
					$superiorArray 		= $user->getSuperiorArrayByUserId($userId);

					if($superiorArray) {
						$performerArr[0]	= $superiorArray['id'][0];

						//file_put_contents('d://11.txt', $performerArr[0]);

						//若当前考核人信息和默认上级不同,则将考核人信息修改
						if($superiorArray['id'][0] != $row['APPROVER_DEFAULT']) {
							$query1 = "UPDATE performance_setperformer SET APPROVER_DEFAULT='".SecurityFilter($superiorArray['id'][0])."' WHERE APPROVER_USER='".SecurityFilter($userId)."'";
							exequery($connection,$query2);
						}
					}else {
						$performerArr[0]	= "";
					}
				}else {
					$performerArr[0] = $row[0];
				}
				
			//若表中没有当前人员考核人信息
			}else {
				//获取默认上级
				$superiorArray 		= $user->getSuperiorArrayByUserId($userId);

				if($superiorArray) {
					//插入当前用户考核人信息
					$query2 = "INSERT INTO performance_setperformer (APPROVER_USER,APPROVER_DEFAULT) VALUES ('".SecurityFilter($userId)."','".$superiorArray['id'][0]."')";

					exequery($connection,$query2);

					$performerArr[0]	= $superiorArray['id'][0];
				}else {
					//若没有默认上级,也插入数据,考核人字段为空
					$query2 = "INSERT INTO performance_setperformer (APPROVER_USER,APPROVER_DEFAULT) VALUES ('','".SecurityFilter($superiorArray['id'][0])."')";

					exequery($connection,$query2);

					$performerArr[0]	= "";
				}
			}

		//若需要查询的是被考核人
		}else if($performer == 'beExamined') {
			//被考核人数组
			$rowArr = array();

			//查找当前人员的被考核人选择状态
			$query = "SELECT PERFORM_STATUS FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($userId)."' LIMIT 1";
			$res = exequery($connection, $query);

			$row = mysql_fetch_array($res);

			//如果表中没有当前人员数据, 则设置他的被选择人状态为0
			if(!$row) {
				$row['PERFORM_STATUS'] = 0;
			}

			if($row['PERFORM_STATUS'] == 0) {
				//在考核人设置表中考核人是自己且考核人设置状态为1的
				$sql = "SELECT APPROVER_USER FROM performance_setperformer WHERE APPROVER_DEFAULT='".SecurityFilter($userId)."' AND APPROVER_STATUS='1'";

				$res = exequery($connection, $sql);
				while($row = mysql_fetch_array($res)) {
					$rowArr[] = $row['APPROVER_USER'];
				}

				/*
				获取默认下级中的第一个默认上级为自己的人员
				*/
				$subordinateArray    = $user->getSubordinateArrayByUserId($userId);		//获取默认下级
				if($subordinateArray['id']) {
					foreach($subordinateArray['id'] as $k => $v) {
						//查找下级在performance_setperformer中的数据
						$query1 = "SELECT * FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($v)."' LIMIT 1";
						$res1 = exequery($connection, $query1);

						if($row = mysql_fetch_array($res1)) {
							if($row['APPROVER_STATUS'] == 0) {
								//获取默认下级的默认上级
								$superiorArray = $user->getSuperiorArrayByUserId($v);

								//如果是其下级的默认上级的第一个上级
								if($superiorArray['id'][0] == $userId) {
									$rowArr[] = $v;
								}
								
								//将其考核人设为当前人员
								$data['APPROVER_DEFAULT'] = $userId;
								$where['APPROVER_USER'] = $v;

								$this->update('performance_setperformer', $data, $where);
							}
						}else {
							//获取默认下级的默认上级
							$superiorArray = $user->getSuperiorArrayByUserId($v);
							
							//如果是其下级的默认上级的第一个上级
							if($superiorArray['id'][0] == $userId) {
								$rowArr[] = $v;
							}

							$query2 = "INSERT INTO performance_setperformer (APPROVER_USER,APPROVER_DEFAULT) VALUES ('".$v."','".$superiorArray['id'][0]."')";
							exequery($connection,$query2);
						}
					}
				}
			}else {
				//在performance_setperformer表中查找所有审核人为当前人员的
				$query = "SELECT APPROVER_USER FROM performance_setperformer WHERE APPROVER_DEFAULT='".SecurityFilter($userId)."' AND APPROVER_STATUS='1'";
				$res = exequery($connection, $query);

				while($row = mysql_fetch_array($res)) {
					$rowArr[] = $row['APPROVER_USER'];
				}
			}

			$performerArr = $rowArr;
		}

		return $performerArr;
	}

	/**
	*@function 手动设置考核人或被考核人处理函数
	*@param    $performer 	获取类型,值为examindePerson是要获取考核人,值为beExamined是要获取被考核人
	*@param    $data 		传入的要修改的数据 	
	*@param    $userId 		当前人员ID
	*/
	function setPerformer($performer, $data, $userId) {
		global $connection;
		include_once("api/user.class.php");
		$user = new user;
		
		$info = true;

		//设置考核人
		if($performer == 'examindePerson') {
			if($data != "") {
				$query = "UPDATE performance_setperformer SET APPROVER_DEFAULT='".SecurityFilter($data)."',APPROVER_STATUS='1' WHERE APPROVER_USER='".SecurityFilter($userId)."'";
				$res = exequery($connection, $query);
			}

			if($res) {
				$info = true;
			}else {
				$info = false;
			}

		//设置被考核人
		}elseif($performer == 'beExamined') {
			//查找当前人员的被考核人选择状态
			$query = "SELECT PERFORM_STATUS FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($userId)."' LIMIT 1";
			$res = exequery($connection, $query);	
			
			$row = mysql_fetch_array($res);

			if($row['PERFORM_STATUS'] == 0) {
				//如果当前人员的被考核人选择状态为0则改为1,将所有传入的人员考核人设为当前人员,考核状态设为1
				$query = "UPDATE performance_setperformer SET PERFORM_STATUS='1' WHERE APPROVER_USER='".SecurityFilter($userId)."'";
				$res = exequery($connection, $query);
			}

			if($data['arrEnter']) {
				foreach($data['arrEnter'] as $v) {
					$sql = "SELECT * FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($v)."'";
					$res = exequery($connection, $sql);
					
					$row = mysql_fetch_array($res);

					if($row) {
						$data1['APPROVER_DEFAULT'] = $userId;
						$data1['APPROVER_STATUS'] = 1;
						$where1['APPROVER_USER'] = $v;

						$res = $this->update('performance_setperformer', $data1, $where1);

						if($res) {
							$enterInfo = true;
						}else {
							$enterInfo = false;
						}
					}else {
						$data2['APPROVER_USER'] = $v;
						$data2['APPROVER_DEFAULT'] = $userId;
						$data2['APPROVER_STATUS'] = '1';

						$res = $this->add('performance_setperformer', $data2);

						if($res) {
							$enterInfo = true;
						}else {
							$enterInfo = false;
						}
					}
				}
			}

			//原来是当前人员被考核人,现在不是的,将其考核人状态设为0,考核人设为他的默认上级,
			if($data['defaultDiff']) {
				foreach($data['defaultDiff'] as $v) {
					//获取默认上级
					$superiorArray 		= $user->getSuperiorArrayByUserId($v);

					$data3['APPROVER_DEFAULT'] = $superiorArray['id'][0];
					$data3['APPROVER_STATUS'] = '0';
					$where3['APPROVER_USER'] = $v;

					$res = $this->update('performance_setperformer', $data3, $where3);

					// $query = "UPDATE performance_setperformer SET APPROVER_DEFAULT='',APPROVER_STATUS='1' WHERE APPROVER_USER='".$v."'";
					// $res = exequery($connection, $query);

					if($res) {
						$defaultInfo = true;
					}else {
						$defaultInfo = false;
					}
				}

				if($enterInfo && $defaultInfo) {
					$info = true;
				}
			}
		}

		return $info;
	}

	/**
	*@function 清空功能
	*@param    $performId 	点击的是哪个恢复按钮,APPROVER_DEFAULT是考核人,PERFORM_USER是被考核人
	*@param    $userId 		当前人员的用户ID
	*
	*/
	function setPerformEmpty($performId, $userId) {
		global $connection;

		if($performId == 'APPROVER_DEFAULT') {
			$data['APPROVER_DEFAULT'] = '';
			$data['APPROVER_STATUS'] = '1';
			$where['APPROVER_USER'] = $userId;

			$res = $this->update('performance_setperformer', $data, $where);

			if($res) {
				return true;
			}

		}elseif($performId == 'PERFORM_USER') {
			$data['PERFORM_STATUS'] = '1';
			$where['APPROVER_USER'] = $userId;

			$res1 = $this->update('performance_setperformer', $data, $where);

			$query = "SELECT APPROVER_USER FROM performance_setperformer WHERE APPROVER_STATUS='1' AND APPROVER_DEFAULT='".SecurityFilter($userId)."'";

			$res2 = exequery($connection, $query);

			$performers = array();
			while($row = mysql_fetch_array($res2)) {
				$performers[] = $row;
			}
//return $performers;
			if($performers) {
				$bools = array();
				foreach($performers as $v) {
					$data1['APPROVER_STATUS'] = '0';
					$where1['APPROVER_USER'] = $v[0];

					$res3 = $this->update('performance_setperformer', $data1, $where1);

					if($res3) {
						$bools[] = true;
					}else {
						$bools[] = false;
					}
				}


				if($res1) {
					foreach($bools as $v) {
						if(!$v) {
							return false;
						}
					}

					return ture;
				}
			}
		}

		if($res1) {
			return true;
		}else {
			return false;
		}
		
	}	

	/**
	*@function 恢复默认上下级关系进行考核功能处理函数
	*@param    $performId 	点击的是哪个恢复按钮,APPROVER_DEFAULT是考核人,PERFORM_USER是被考核人
	*@param    $userId 		当前人员的用户ID
	*@param    $performUser 当前被考核人数组
	*/
	function restoreDefaultPerform($performId, $userId, $performUser="") {
		global $connection;
		include_once("api/user.class.php");
		$user = new user;

		//若点击的是考核人恢复默认按钮,则将当前人员的考核人设为其默认上级中的第一个,考核人选择状态设为0
		if($performId == 'APPROVER_DEFAULT') {
			//获取默认上级
			$superiorArray 		= $user->getSuperiorArrayByUserId($userId);

			$data['APPROVER_DEFAULT'] = $superiorArray['id'][0];
			$data['APPROVER_STATUS'] = '0';
			$where['APPROVER_USER'] = $userId;

			$res = $this->update('performance_setperformer', $data, $where);

			if($res) {
				return true;
			}else {
				return false;
			}

		//若点击的是被考核人恢复默认按钮,判断当前人员的被考核人选择状态
		}elseif($performId == 'PERFORM_USER') {
			$query = "SELECT PERFORM_STATUS FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($userId)."'";
			$res = exequery($connection, $query);

			$row = mysql_fetch_array($res);

			//若被考核人选择状态为0,则直接返回true
			if($row['PERFORM_STATUS'] == 0) {
				//找到所有考核人为当前人员,考核人选择状态为1的
				$query = "SELECT APPROVER_USER FROM performance_setperformer WHERE APPROVER_DEFAULT='".SecurityFilter($userId)."' AND APPROVER_STATUS='1'";

				$res = exequery($connection, $query);

				while($row = mysql_fetch_array($res)) {
					$superiorArray = $user->getSuperiorArrayByUserId($row['APPROVER_USER']);
					$subData['APPROVER_DEFAULT'] = $superiorArray['id'][0];
					$subData['APPROVER_STATUS'] = 0;
					$subWhere['APPROVER_USER'] = $row['APPROVER_USER'];

					//将这些人员考核人设为默认上级,考核人选择状态为0
					$re = $this->update('performance_setperformer', $subData, $subWhere);
				}
				
				return true;

			//若被考核人选择状态为1,则改为0
			}elseif($row['PERFORM_STATUS'] == 1) {
				$data['PERFORM_STATUS'] = 0;
				$where['APPROVER_USER'] = $userId;

				$res = $this->update('performance_setperformer', $data, $where);

				if($res) {
					$appInfo = true;
				}else {
					$appInfo = false;
				}

				$info = true;

				//将当前被考核人的考核人改为其默认考核人,考核人选择状态改为0
				if($performUser != "") {
					foreach ($performUser as $key => $value) {
						//获取默认上级
						$superiorArray 		= $user->getSuperiorArrayByUserId($value);

						$data1['APPROVER_DEFAULT'] = $superiorArray['id'][0];
						$data1['APPROVER_STATUS'] = '0';
						$where1['APPROVER_USER'] = $value;

						$res = $this->update('performance_setperformer', $data1, $where1);

						if($res) {
							$info = true;
						}else {
							$info = false;
						}
					}
				}

				if($appInfo && $info) {
					return true;
				}else {
					return false;
				}
			}
			
		}
	}

	/*
	*@function 获取能考核的人员
	*@param    $userId 考核人ID
	*/
	function getPerformUser($userId) {
		global $connection;
        $userInfo = getUserInfo($userId,'2');
  
        $query = "SELECT * FROM user WHERE 1 AND DEPT_ID>0 AND USER_PRIV>'".SecurityFilter($userInfo["USER_PRIV"])."'";
        if($userInfo["POST_PRIV"] == 0) {
             $query .= " AND DEPT_ID='".SecurityFilter($userInfo["DEPT_ID"])."'";
        } else if ($userInfo["POST_PRIV"] == 1) {
             $query .= "";
        } else if ($userInfo["POST_PRIV"] == 2) {
            $query .= " AND DEPT_ID IN ('".SecurityFilter(sub_replace(",","','",$userInfo["POST_DEPT"]))."')";
        }
		
        $rs = exequery($connection,$query);
        $usersArr = array();
        while($rows = mysql_fetch_array($rs)) {
            array_push($usersArr,$rows);
        }
        
        //获取考核人和被考核人表中的数据
		$sql = "SELECT * FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($userId)."'";
		$res = exequery($connection,$sql);
		if($row = mysql_fetch_array($res)) {
			return array("PERFORM_USR"=>$row,"USER_MGR"=>$usersArr);
		}
	}
	
	/**
	*@function 获取用户不同考核方案的数据
	*@param    
	*/
	function getUserPerformByTpl($searchInfo) {
		global $connection;
		$tplId = $searchInfo["PERFORM_TPL"] != ""?$searchInfo["PERFORM_TPL"]:"1";
		$query = "SELECT * FROM performance_personal WHERE 1 AND TPL_ID='".SecurityFilter($tplId)."'";
		if($searchInfo["PERFORM_USER"] != "") 
		{
			$query .= " AND PERFORM_USER IN('".SecurityFilter($searchInfo["PERFORM_USER"])."')";
		}
		if($searchInfo["YEAR"] != "")
		{
			$query .= " AND PERFORM_MONTH LIKE '%".SecurityFilter($searchInfo["YEAR"])."%'";
		}
		$query .= $searchInfo["TPL_ID"] != "" ?" AND TPL_ID='".SecurityFilter($searchInfo["TPL_ID"])."'":"";
		$query .= " ORDER BY PERFORM_USER ASC,TPL_ID ASC";	

		$rs     = exequery($connection,$query);
		$returnInfo = array();
		while($row  = mysql_fetch_array($rs)) {
			if(count($returnInfo) == 0) {
				$returnInfo[$row["PERFORM_USER"]][] = $row;
			} else {
				if(array_key_exists($row["PERFORM_USER"],$returnInfo)) {
					array_push($returnInfo[$row["PERFORM_USER"]],$row);
				} else {
					$returnInfo[$row["PERFORM_USER"]][] = $row;
				}
			}
		}

		return $returnInfo;
	}

	/**
	*@function 插入用户考核数据
	*@param  $tempId/$tempInfo
	*/
	function insertUserPerform($tempInfo)
	{
		global $connection;

		//判断当前人员是否为登陆者,若是,返回false
		if($tempInfo['PERFORM_USER'] == $_SESSION["LOGIN_USER_ID"]) {
			return false;
		}

		//判断是否已经有数据,已经有返回false
		$query = "SELECT * FROM performance_personal WHERE PERFORM_USER='".SecurityFilter($tempInfo['PERFORM_USER'])."' && PERFORM_MONTH='".SecurityFilter($tempInfo['PERFORM_MONTH'])."' LIMIT 1";

		//获取当前人员当月考核数据
		$result = exequery($connection, $query);
		$userPerformData = mysql_fetch_array($result);

		if($userPerformData) {
			return false;
		}

		$date = date('Y-m-d H:i:s');

		$query = "INSERT INTO performance_personal(
									PERFORM_USER,
									TPL_ID,
									TEMP_ID,
									PERFORM_STATUS, 
									PERFORM_CONTENT, 
									APPROVER_USER, 
									PERFORM_MONTH,
									PERFORM_COUNT, 
									PERFORM_TIME, 
									PERFORM_APPRAISE
								) VALUES (
									'".SecurityFilter($tempInfo['PERFORM_USER'])."',
									'".SecurityFilter($tempInfo['PERFORM_TPL'])."',
									'".SecurityFilter($tempInfo['TEMP_ID'])."',
									'".SecurityFilter($tempInfo["PERFORM_STATUS"])."',
									'".SecurityFilter($tempInfo["PERFORM_CONTENT"])."',
									'".SecurityFilter($tempInfo["APPROVE_USER"])."',
									'".SecurityFilter($tempInfo["PERFORM_MONTH"])."',
									'".SecurityFilter($tempInfo["PERFORM_COUNT"])."',
									'".SecurityFilter($date)."',
									'".SecurityFilter($tempInfo["PERFORM_APPRAISE"])."'
								)";

		exequery($connection,$query);
		$lastId = mysql_insert_id();
		return $lastId;
	}

	/**
	*@更新用户的实际考核分数
	*@param  $tempInfos
	*/
	function setPerformPoint($tempInfo)
	{
		global $connection;
		$sql = "UPDATE performance_personal SET PERFROM_POINT='".SecurityFilter($tempInfo["PERFORM_POINT"])."',
					PERFORM_STATUS='2' WHERE 1 AND PERFORM_ID='".SecurityFilter($tempInfo["PERFORM_ID"])."'";
		exequery($connection,$sql);
	}

	/**
	*@function 更新获取当前时间是否在对应的考核方案有效考核时间范围内
	*@param    $performTplId  考核方案ID
	*
	*/
	function performDate($performTplId,$year,$month='',$userId='')
	{
		global $connection;

		$arr = $this->getPlanTime($performTplId, $year, $month);
		$startDate = $arr['startDate'];
		$endDate = $arr['endDate'];
		//$str = $startDate.'____'.$endDate;
		//file_put_contents('d://11.txt', $str);

		$checkFlag = 0;
		if(strtotime($startDate)<=strtotime(date("Y-m-d",time())) && strtotime($endDate)>=strtotime(date("Y-m-d",time())))
		{
			$checkFlag = 1;
		}

		return $checkFlag;
	}

	//获取没有设置考核人的人员数组
	function getNoSet() {
		global $connection;
		include_once("api/user.class.php");
		$userObj = new user;

		//取出所有在职人员
		$sql = "SELECT USER_ID,USER_NAME FROM user WHERE DEPT_ID>'0'";
		$res = exequery($connection, $sql);

		$user = array();
		while($row = mysql_fetch_array($res)) {
			$user[] = $row;
		}

		$noSetUser = array();
		$aarr = array();
		foreach ($user as $key => $value) {
			//找到当前人员在设置考核人表中的考核人,和考核人选择状态
			$sql = "SELECT APPROVER_DEFAULT,APPROVER_STATUS FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($value['USER_ID'])."'";

			$res = exequery($connection, $sql);
			$row = mysql_fetch_array($res);

			//如果有当前人员的数据,且考核人选择状态为1
			if($row && $row['APPROVER_STATUS'] == 1) {
				
				//如果当前人员考核人字段为空,则他还未设置考核人,否则是已设置
				if(!$row['APPROVER_DEFAULT']) {
					$noSetUser[] = $value;
				}	

			//若当前人员考核人选择状态为0,或表中没有其数据
			}else {
				//获取其默认上级
				$superiorArray = $userObj->getSuperiorArrayByUserId($value['USER_ID']);

				//如果有默认上级
				if($superiorArray['id'][0]) {
					$sql = "SELECT PERFORM_STATUS FROM performance_setperformer WHERE APPROVER_USER='".SecurityFilter($superiorArray['id'][0])."'";
					$res = exequery($connection, $sql);
					$row = mysql_fetch_array($res);

					//若其默认考核人被考核人选择状态为1,则其未设置
					if($row && $row['PERFORM_STATUS'] == 1) {
						$noSetUser[] = $value;
					}
				}else {
					$noSetUser[] = $value;
				}
			}
		}

		return $noSetUser;
	}

	/**
	 * @function 	考核提醒发送函数
	 * @param 		$infoType 	发送哪种提醒,APPROVER 为考核人提醒 PERFORMER 被考核人提醒
	 * @param 		$circle 	考核方案ID
	 * @param 		$sendId 	要发送提醒的被考核人ID
	 */
	function sendKpiInfo($infoType, $circle='', $sendId='') {
		global $connection,$_lang;

		//判断绩效考核模块是否授权
		$functionId = 82;
		$moduleVerify = $_SESSION['MODULE_VERIFY'];

		if(!$moduleVerify || $moduleVerify == 'error') {
			return '';
		}

		$moduleVerifyInfor = json_decode($moduleVerify, true);
		if(!is_array($moduleVerifyInfor) || !array_key_exists($functionId, $moduleVerifyInfor)) {
			return '';
		}

		if($moduleVerifyInfor[$functionId] != "" && strtotime(date("Y-m-d")) > strtotime($moduleVerifyInfor[$functionId])) {
			return '';
		}

		//发送提醒
		if($infoType == "APPROVER") {
			//判断考核方案是否启用考核提醒(四种方案都要判断)
			for($i=1; $i<5; $i++) {
				$query = "SELECT PERFORMANCE_IS_REMIND FROM performance_tpl WHERE PERFORMANCE_ID='".SecurityFilter($i)."' LIMIT 1";
				$res = exequery($connection, $query);
				$planRemind = mysql_fetch_array($res);

				if($planRemind && $planRemind['PERFORMANCE_IS_REMIND'] == '1') {
					//当前月,当前年与当前时间戳
					$checkMonth = date('n');
					$checkYear = date('Y');
					$nowTime = time();

					//获取本月/季/半年/年和上月/季/半年/年的起始和结束时间
					if($i == 1) {
						if($checkMonth == '1') {
							$lastYear = $checkYear - 1;
							$dateArr[0] = $this->getPlanTime($i, $lastYear, '12');
							$dateArr[1] = $this->getPlanTime($i, $checkYear, '1');
							$dateArr[0]['circleId'] = $lastYear.$_lang["performance_year"].'12'.$_lang["performance_month"];
							$dateArr[1]['circleId'] = '1'.$_lang["performance_month"];
						}else {
							$lastMonth = $checkMonth - 1;
							$dateArr[0] = $this->getPlanTime($i, $checkYear, $lastMonth);
							$dateArr[1] = $this->getPlanTime($i, $checkYear, $checkMonth);
							$dateArr[0]['circleId'] = $lastMonth.$_lang["performance_month"];
							$dateArr[1]['circleId'] = $checkMonth.$_lang["performance_month"];
						}
					}elseif($i == 2) {
						if($checkMonth >= 1 && $checkMonth <= 3) {
							$checkSeason = '1';
						}elseif($checkMonth >= 4 && $checkMonth <= 6) {
							$checkSeason = '2';
						}elseif($checkMonth >= 7 && $checkMonth <= 9) {
							$checkSeason = '3';
						}elseif($checkMonth >= 10 && $checkMonth <= 12) {
							$checkSeason = '4';
						}

						if($checkSeason == '1') {
							$lastYear = $checkYear - 1;
							$dateArr[0] = $this->getPlanTime($i, $lastYear, '4');
							$dateArr[1] = $this->getPlanTime($i, $checkYear, '1');
							$dateArr[0]['circleId'] = $lastYear.$_lang["performance_year"].'4'.$_lang["performance_seasons"];
							$dateArr[1]['circleId'] = '1'.$_lang["performance_seasons"];
						}else {
							$lastSeason = $checkSeason - 1;
							$dateArr[0] = $this->getPlanTime($i, $checkYear, $checkSeason-1);
							$dateArr[1] = $this->getPlanTime($i, $checkYear, $checkSeason);
							$dateArr[0]['circleId'] = $lastSeason.$_lang["performance_seasons"];
							$dateArr[1]['circleId'] = $checkSeason.$_lang["performance_seasons"];
						}
					}elseif($i == 3) {
						if($checkMonth >= 1 && $checkMonth <= 6) {
							$checkHarf = '1';
						}elseif($checkMonth >= 7 && $checkMonth <= 12) {
							$checkHarf = '2';
						}

						if($checkHarf == '1') {
							$lastYear = $checkYear - 1;
							$dateArr[0] = $this->getPlanTime($i, $lastYear, '2');
							$dateArr[1] = $this->getPlanTime($i, $checkYear, '1');
							$dateArr[0]['circleId'] = $lastYear.$_lang["performance_year"].$_lang["performance_second_halfyear"];
							$dateArr[1]['circleId'] = $_lang["performance_first_halfyear"];
						}else {
							$dateArr[0] = $this->getPlanTime($i, $checkYear, $checkHarf-1);
							$dateArr[1] = $this->getPlanTime($i, $checkYear, $checkHarf);
							$dateArr[0]['circleId'] = $_lang["performance_first_halfyear"];
							$dateArr[1]['circleId'] = $_lang["performance_second_halfyear"];
						}
					}elseif($i == 4) {
						$lastYear = $checkYear - 1;
						$dateArr[0] = $this->getPlanTime($i, $checkYear-1, '1');
						$dateArr[1] = $this->getPlanTime($i, $checkYear, '1');
						$dateArr[0]['circleId'] = $lastYear.$_lang["performance_year"].$_lang["performance_perform_year"];
						$dateArr[1]['circleId'] = $checkYear.$_lang["performance_year"].$_lang["performance_perform_year"];
					}

					foreach($dateArr as $v) {
						$endTime = strtotime($v['endDate']);
						$timeDif = $endTime - $nowTime;

						if($timeDif >= 0 && $timeDif <= 2*24*60*60) {
							$tableId = $v['startYear'].$v['stage'];

							//要先判断考核提醒信息是否已经发送
							$query1 = "SELECT * FROM sms WHERE TABLE_ID='".$tableId."' AND TABLE_NAME='performance'";
							$res = exequery($connection, $query1);
							$row = mysql_fetch_array($res);

							//如果没有发送过
							if(!$row) {
								//查找所有有考核权限的人
								$sql = "SELECT USER_ID FROM user WHERE DEPT_ID>'0'";
								$res = exequery($connection, $sql);

								$user = array();
								while($row = mysql_fetch_array($res)) {
									$user[] = $row['USER_ID'];
								}

								$approverPower = array();
								foreach($user as $value) {
									//获取被考核人数组
									$performerArr = $this->getPerformer('beExamined', $value);

									if($performerArr) {
										$approverPower[] = $value;
									}
								}
								
								//组合发送内容字符串
								$content = $v['circleId'].$_lang["performance_time_info"];

								//发送考核提醒
								foreach ($approverPower as $sendId) {
									sendSms('admin', $sendId, $content, '1', '0', 'performance', $tableId);
								}
							}
						}
 					}
				}
			}

		}else if($infoType == "PERFORMER") {
			//判断要提醒的是哪种方案
			switch ($circle) {
				case 'months':
					$planId = 1;
					$planName = $_lang["performance_api"].$_lang["performance_for_month"];
					break;
				case 'seasons':
					$planId = 2;
					$planName = $_lang["performance_api"].$_lang["performance_for_season"];
					break;
				case 'halfyears':
					$planId = 3;
					$planName = $_lang["performance_api"].$_lang["performance_for_halfyear"];
					break;
				case 'fullyears':
					$planId = 4;
					$planName = $_lang["performance_api"].$_lang["performance_for_year"];
					break;
			}

			$content = $_lang["performance_have_new"].$planName.$_lang["performance_res_info"];

			//判断该方案是否已启用提醒功能
			$query = "SELECT PERFORMANCE_IS_REMIND FROM performance_tpl WHERE PERFORMANCE_ID='".SecurityFilter($planId)."' LIMIT 1";

			$res = exequery($connection, $query);

			while($row = mysql_fetch_array($res)) {
				if($row['PERFORMANCE_IS_REMIND'] == '1') {
					sendSms('admin', $sendId, $content);
				}
			}
		}
	}

}
?>