<?php

class Phonebook {


	function __construct(){		
	}

	/**
	 * 获取公共通信录。
	 *
	 * @return array $result
	 */
	public function getPhonebook(){
		
		global $connection;
		
		$sql = " SELECT * FROM address ";
		$sql = page( $sql, 16 );
		$cursor = exequery( $connection, $sql );

		while( $row = mysql_fetch_array( $cursor, MYSQL_ASSOC) ){
			$result[] = $row;
		}
		
		if( !empty($result) )
			return $result;
		else
			return false;
	}
	/**
	 * get the amount of records
	 */
	public function getAmount($others = array()){
		global $connection;
		$sql = array();
		$sql[] = "SELECT COUNT(*) FROM address";
		if(isset($others['words'])){
			$words = $others['words'];
			$sql[] = "WHERE A1 LIKE '%$words%'";
		}
		$query = implode(' ',$sql);
		$result = exequery($connection,$query);
		if(!$result){
			return 0;
		}
		$row = mysql_fetch_array($result);
		return $row[0];
	}
	/**
	 * get records from phonebook
	 */
	public function getPhonebooks($others = array()){
		global $connection;
		$books = array();
		$sql = array();
		$sql[] = "SELECT * FROM address";
		if(isset($others['words'])){
			$words = $others['words'];
			$sql[] = "WHERE A1 LIKE '%$words%'";
		}
		$page = isset($others['page'])?$others['page']:1;
		$limit = isset($others['limit'])?$others['limit']:10;
		$start = ($page-1)*$limit;
		$sql[] = "limit $start,$limit";
		$query = implode(' ',$sql);	
		$result = exequery($connection,$query);
		if(!$result){
			return $books;
		}
		while($row = mysql_fetch_assoc($result)){
			$books[] = $row;
		}
//		$books = $this->replaceUserStr('A11', 'A11', $books);
		return $books;
	}
	/**
	 * @replace user_id or user_account with user_name _by danal
	 * @param string $key_in key to compare
	 * @param strin $key_out key to be appended
	 * @param array $inArray array(0=>array($row),1=>...)
	 */
	public function replaceUserStr($key_in,$key_out,$inArray){
		global $connection;
		$users = array();
		$sql = "SELECT USER_ID,USER_ACCOUNTS,USER_NAME FROM user";
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs)){
			$users[] = $row;
		}	
		$inSize = count($inArray);
		$uSize = count($users);
		for($i = 0; $i != $inSize; $i++){
			$newkey = array();
			$in_i = $inArray[$i];		
			$field = $in_i[$key_in];	
			$field_pieces = explode(',', $field);		
			for ($j=0; $j != count($field_pieces); $j++){
				$field_piece = $field_pieces[$j];		
				for($k = 0; $k != $uSize; $k++){		
					if($users[$k]['USER_ID'] == $field_piece){	
						$newkey[] = $users[$k]['USER_NAME'];
					}
				}
			}
			$inArray[$i][$key_out] = implode(',',$newkey); 
		}
		return $inArray;
	}
	
	/**
	 * 根据id获取通信录中的一条名片。
	 *
	 * @param int $id
	 * @return array 
	 */
	public function getPhonebookById($id){
		
		global $connection;
		
		$sql = " SELECT * FROM address WHERE ADD_ID ='$id' ";
	
		$cursor = exequery( $connection, $sql );
		$result = mysql_fetch_assoc ( $cursor );
		
		if( !empty($result) ){
			$inArray = array($result);
			$result = $this->replaceUserStr('A11', 'CREATOR', $inArray);
			return $result[0];
		}
		else
			return false;

	}

	
	/*
	 * 新增一条通信录。
	 *
	 * @param array $data
	 * @return bool
	 */

	public function addPhonebook($data){
		
		global $connection;

		$sql = "INSERT INTO address(
					ADD_TYPE,
					NAME_PINYIN,
					NAME_INDEX,
					THUMB_IMAGE,
					FRIST_IMAGE,
					A1,
					A2,
					A3,
					A4,
					A5,
					A6,
					A7,
					A8,
					A9,
					A10,
					A11,
					A12,
					A13
				)
				VALUES(
					'1',
					'',
					'',
					'',
					'',
					'". SecurityFilter($data['A1']) ."',
					'". SecurityFilter($data['A2']) ."',
					'". SecurityFilter($data['A3']) ."',
					'". SecurityFilter($data['A4']) ."',
					'". SecurityFilter($data['A5']) ."',
					'". SecurityFilter($data['A6']) ."',
					'". SecurityFilter($data['A7']) ."',
					'". SecurityFilter($data['A8']) ."',
					'". SecurityFilter($data['A9']) ."',
					'1',
					'". $_SESSION['LOGIN_USER_ID'] ."',
					'". date('Y-m-d h:i:s') ."',
					'". SecurityFilter($data['number']) ."'
				);";
		
		exequery( $connection, $sql );
		return true;
	}

	/*
	 * 修改一条名片。
	 *
	 * @param array $data
	 * @return bool
	 */
	public function updPhonebookById( $data ){
		
		global $connection;

		$sql = "UPDATE address 
				SET A1 = '". SecurityFilter($data['A1']) . "', 
					A2 = '". SecurityFilter($data['A2']) . "', 
					A3 = '". SecurityFilter($data['A3']) . "', 
					A4 = '". SecurityFilter($data['A4']) . "',
					A5 = '". SecurityFilter($data['A5']) . "', 
					A6 = '". SecurityFilter($data['A6']) . "', 
					A7 = '". SecurityFilter($data['A7']) . "',
					A8 = '". SecurityFilter($data['A8']) . "', 
					A9 = '". SecurityFilter($data['A9']) . "', 
					A10 = '".SecurityFilter($data['A10']) . "',
					A11 = '".SecurityFilter($data['A11']) . "',
					A12 = '".SecurityFilter($data['A12']) . "',
					A13 = '".SecurityFilter($data['A13']) . "'
				WHERE add_id = '".SecurityFilter($data['add_id'])."' ";
		
		
		exequery($connection, $sql );
		return true;

	}


	/**
	 * 通过id删除通信录中的一条名片
	 *
	 * @param  string $id
	 * @return bool 
	 */

	public function delPhonebookById( $id ){
		global $connection;

		if( !empty($id) ){
			$id = SecurityFilter($id);
			$sql = " DELETE FROM address WHERE ADD_ID = '$id' ";
			exequery( $connection, $sql );
			return true;
		}
		else
			return false;

	}

	/**
	 * 通过id删除多条名片信息
	 *
	 * @param array $ids
	 * @return bool 
	 */

	public function delPhonebookByIds( $ids ){
		global $connection;

		if( is_array( $ids ) ){

			foreach( $ids as $id ){
				$id_str .= "'".$id."'," ;
			}

			$id_str = substr( $id_str, 0, -1 ) ;
		}
		$id_str = SecurityFilter($id_str);
		$sql = " DELETE FROM address WHERE ADD_ID IN($id_str) ";
		
		exequery( $connection, $sql );

		return true;
	}


}


?>