<?php
/*
 * 门户API
 */

class Portal {

	/*
	 * 新建门户
	 * @param $portalName 门户名称
	 * @param $$creator 创建者
	 * @return false|insert id
	 */
	function NewPortal($portalInfor, $creator) {
		global $connection;


		foreach ($portalInfor as $key => $value) {
			$key = SecurityFilter($key);
			$value = SecurityFilter($value);
			$fieldInfor[] = $key;
			$valueInfor[] = "'".$value."'";
		}
		$fieldInfor[] = 'CREATOR';
		$fieldInfor[] = 'CREATE_TIME';

		$valueInfor[]="'".SecurityFilter($creator)."'";
		$valueInfor[]="'".date("H:m:s")."'";


		$query = "INSERT INTO index_portal(".implode(",", $fieldInfor).")
					VALUES(".implode(",", $valueInfor).")";

					// echo $query;
		$result = exequery($connection, $query);
		// echo $result;
		$newPortalID = mysql_insert_id();

		//同时插入门户布局表
		$insertLayoutQuery = 'INSERT INTO portal_layout(PORTAL_ID,USER_ID)
					VALUES('.SecurityFilter($newPortalID).',"'.SecurityFilter($creator).'")';
		if(exequery($connection,$insertLayoutQuery) && $newPortalID){
			return $newPortalID;
		} else {
			return false;
		}
	}

	function UpdatePortal($tableName, $updateInfor,$whereInfor){
		global $connection;
		$query = "UPDATE ".$tableName." SET ";

		foreach ($updateInfor as $key => $value) {
			$key = SecurityFilter($key);
			$value = SecurityFilter($value);
			$updateInforStr[] = $key."='".$value."'";
		}

		$query.=$updateInforStr? implode(",", $updateInforStr):"";

		foreach ($whereInfor as $key => $value) {
			$whereInforStr.=" AND ".SecurityFilter($key)."='".SecurityFilter($value)."'";
		}
		$query.=" WHERE 1=1 ".$whereInforStr;
		return exequery($connection,$query);
	}

	/*
	 * 删除门户
	 * @param $portalID 门户ID
	 * @return true|false
	 */
	function DeletePortal($portalID) {
		global $connection;

		//删除门户表
		$query = "DELETE FROM index_portal
				WHERE PORTAL_ID = '" . $portalID . "'";

		//删除门户布局表
		$deleteLayoutQuery = "DELETE FROM portal_layout
								WHERE PORTAL_ID = '".SecurityFilter($portalID)."'";

		return exequery($connection, $query) && exequery($connection, $deleteLayoutQuery);
	}

	/*
	 * 获取门户布局信息
	 * @param $portalID 门户id
	 * @return $portallayoutInfor
	 */
	function GetPortalLayoutInfor($portalID) {
		global $connection;

		$query = "SELECT * FROM portal_layout WHERE PORTAL_ID = '" . SecurityFilter($portalID) . "' ORDER BY PORTAL_LAYOUT_ID";
		$result = exequery($connection, $query);
		$portallayoutInfor = array();
		while ($row = mysql_fetch_assoc($result)) {
			array_push($portallayoutInfor, $row);
		}
		return $portallayoutInfor;
	}
        function GetPortalLayoutInforByUser($userId,$portalID){
            global $connection;

            $query = "SELECT * FROM portal_layout WHERE USER_ID = '" . SecurityFilter($userId) . "' AND PORTAL_ID = '" . SecurityFilter($portalID) . "' ORDER BY PORTAL_LAYOUT_ID";
            $result = exequery($connection, $query);
            $portallayoutInfor = array();
            while ($row = mysql_fetch_assoc($result)) {
                    array_push($portallayoutInfor, $row);
            }
            return $portallayoutInfor;
        }

	/*
	 * 获取门户信息
	 * @param $portalID 门户ID
	 * @return $portalName
	 */
	function GetPortalInfor($portalID) {
		global $connection;
		$query = "SELECT * FROM index_portal
				WHERE PORTAL_ID = '" . SecurityFilter($portalID) . "'";
		$result = exequery($connection, $query);
		if ($row = mysql_fetch_assoc($result)) {
			return $row;
		} else {
			return false;
		}
	}

	/*
	 * 更新元素属性
	 * @param $portalID 门户ID
	 * @param $rowIndex 行索引
	 * @param $columnIndex 列索引
	 * @param $attribute 属性
	 */
	function UpdateAttribute($portalID, $rowIndex, $columnIndex, $attribute) {
		global $connection;

		//获取原来的属性
		$getOldAttributeQuery = "SELECT * FROM portal_layout
									WHERE PORTAL_ID = '" . SecurityFilter($portalID) . "'
									AND PORTAL_ROW_INDEX = '" . SecurityFilter($rowIndex) . "'";
		$getOldAttributeResult = exequery($connection, $getOldAttributeQuery);
		if ($getOldAttributeRow = mysql_fetch_array($getOldAttributeResult)) {

			//列布局信息
			$columnInfor = $getOldAttributeRow['PORTAL_COLUMN_INFOR'];

			$columnInforSplit = explode("|", $columnInfor);

			//获取指定列的配置信息
			$myColumnInfor = $columnInforSplit[$columnIndex];

			//解析json格式
			$myColumnInforJson = json_decode($myColumnInfor, true);

			//设置新的属性
			$myColumnInforJson["attribute"] = $attribute;

			$columnInforSplit[$columnIndex] = json_encode($myColumnInforJson);

			$newColumnInfor = implode($columnInforSplit, '|');

			//更新属性信息
			$updateAttributeQuery = "UPDATE portal_layout
									SET PORTAL_COLUMN_INFOR = '" . SecurityFilter(addslashes($newColumnInfor)) . "'
										WHERE PORTAL_ID = '" . SecurityFilter($portalID) . "'
									AND PORTAL_ROW_INDEX = '" . SecurityFilter($rowIndex) . "'";

			//file_put_contents("/Applications/XAMPP/xamppfiles/htdocs/test.txt", $updateAttributeQuery);
			return exequery($connection, $updateAttributeQuery);

		} else {
			return false;
		}
	}

}
?>