<?
include_once 'inc/conn.php';
/**
 * 需要改进的程序，在外层自动加载文件，以下只是临时修改 *
 * 测试1 在function getDataSourceList{}中实例化之前调用 require_once (contract) 失败
 * 测试2 在function getDataSourceList{}中获取所有类别 foreach数组require_once (contract) 失败
 * 测试3 在调用之前 $class = new class; 失败
 * 测试4 把文件移到api同目录下，修改autoload路径 失败
 *
 */
require_once 'general/report/inc/archive.class.php';
require_once 'general/report/inc/business.class.php';
require_once 'general/report/inc/contract.class.php';
require_once 'general/report/inc/customer.class.php';
require_once 'general/report/inc/workflow.class.php';
class Report {

	function __autoload($className) {
		require_once 'general/report/inc/' . $className . '.class.php';
	}

	/**
	 * 报表标签管理
	 */

	function newTag($tagTitle, $loginUserID) {
		global $connection;

		$query = "INSERT INTO report_tag (TAG_TITLE,TAG_CREATE_TIME,TAG_CREATE_USER)
					VALUES('" . SecurityFilter($tagTitle) . "',NOW(),'" . SecurityFilter($loginUserID) . "')";
		if (exequery($connection, $query)) {
			return mysql_insert_id();
		} else {
			return false;
		}
	}

	function deleteTag($tagID) {
		global $connection;

		$query = "DELETE FROM report_tag
					WHERE TAG_ID = '" . SecurityFilter($tagID) . "'";
		return exequery($connection, $query);
	}

	function updateTag($tagID, $tagTitle) {

		return $this -> updateInfor(array("TAG_TITLE" => $tagTitle), "report_tag", "TAG_ID", $tagID);
	}

	function getTagList($where = array()) {
		global $connection;

		$query = "SELECT * FROM report_tag WHERE 1=1";

		for ($i = 0; $i < count($where); $i++) {
			$query .= " " . implode($where[$i], " ");
		}

		$result = exequery($connection, $query);

		$tagList = array();

		while ($row = mysql_fetch_assoc($result)) {
			$tagList[$row['TAG_ID']] = $row;
		}

		return $tagList;
	}

	/**
	 * 统一新建
	 * @param  [type] $infor     [description]
	 * @param  [type] $tableName [description]
	 * @return [type]            [description]
	 */
	function insertInfor($infor, $tableName) {
		global $connection;

		$fieldInfor = array();
		$valueInfor = array();
		foreach ($infor as $key => $value) {
			$key = SecurityFilter($key);
			$value = SecurityFilter($value);
			array_push($fieldInfor, $key);
			array_push($valueInfor, $value != "null" ? "'" . $value . "'" : "''");
		}

		$query = "INSERT INTO " . SecurityFilter($tableName) . " (" . implode($fieldInfor, ",") . ")
					VALUES (" . implode($valueInfor, ",") . ")";

		if (exequery($connection, $query)) {
			return mysql_insert_id();
		} else {
			return false;
		}
	}

	function updateInfor($infor, $tableName, $keyField, $keyValue) {
		global $connection;

		$query = "UPDATE " . SecurityFilter($tableName) . " SET ";

		$setInfor = array();

		foreach ($infor as $key => $value) {
			$key = SecurityFilter($key);
			$value = SecurityFilter($value);
			array_push($setInfor, $key . " = '" . $value . "'");
		}

		$query .= implode(",", $setInfor) . " WHERE " . SecurityFilter($keyField) . " = " . SecurityFilter($keyValue);

		return exequery($connection, $query);
	}

	/**
	 * 数据源管理
	 */

	function newDataSource($dataSourceInfor) {
		return $this -> insertInfor($dataSourceInfor, "report_datasource");
	}

	function updateDataSource($dataSourceInfor, $dataSourceID) {
		return $this -> updateInfor($dataSourceInfor, 'report_datasource', 'DATASOURCE_ID', $dataSourceID);
	}

	function deleteDataSource($dataSourceID) {
		global $connection;

		$query = "DELETE FROM report_datasource
					WHERE DATASOURCE_ID = '" . SecurityFilter($dataSourceID) . "'";

		//删除使用此数据源的报表
		return $this -> deleteReport(array( array("AND CHART_DATASOURCE_ID = " . $dataSourceID))) && exequery($connection, $query);
	}

	function getFlowNameByID($flowID) {
		global $connection;

		$query = "SELECT FLOW_NAME FROM flow_type WHERE FLOW_ID = " . SecurityFilter($flowID);
		$result = exequery($connection, $query);
		if ($row = mysql_fetch_assoc($result)) {
			return $row['FLOW_NAME'];
		}
	}

	function getDataSourceList($where = array(), $key = 'TAG_ID') {
		global $connection;

		$query = "SELECT * FROM `report_datasource` WHERE 1 = 1 ";

		for ($i = 0; $i < count($where); $i++) {
			$query .= " " . implode($where[$i], " ");
		}


		$result = exequery($connection, $query);

		$dataSourceList = array();

		$tagInfor = $this -> getTagList();

		while ($row = mysql_fetch_assoc($result)) {
			$dataSourceTag = $row['DATASOURCE_TAG'];

			$dataSourceType = $row['DATASOURCE_TYPE'];

			if ($dataSourceType != "custom") {

				$dataSourceGroupByField = $row['DATASOURCE_GROUPBY'];
				$dataSourceDataAnalysisField = $row['DATASOURCE_DATA_ANALYSIS'];
				$dataSourceParam = $row['DATASOURCE_PARAM'];

				if ($dataSourceParam) {
					$dataSourceParam = json_decode($dataSourceParam, true);
				}

				$dataSourceInfor = new $dataSourceType;
				$groupByList = $dataSourceInfor -> getGroupByList($dataSourceParam);

				$row['DATASOURCE_GROUPBY_TYPE'] = $groupByList[$dataSourceGroupByField]["type"];

				if ($dataSourceType == "workflow") {
					$row['DATASOURCE_DATA_ANALYSIS_TITLE'] = "统计";

					$row["FLOW_NAME"] = $this -> getFlowNameByID($dataSourceParam["workflowID"]);
				} else {
					if ($dataSourceDataAnalysisField == "") {
						$row['DATASOURCE_DATA_ANALYSIS_TITLE'] = "数量";
					} else {
						$dataAnalysisList = $dataSourceInfor -> getDataAnalysisList($dataSourceParam);
						$row['DATASOURCE_DATA_ANALYSIS_TITLE'] = $dataAnalysisList[$dataSourceDataAnalysisField]["title"];
					}
				}

				$row['DATASOURCE_SEARCH'] = $dataSourceInfor -> getSearchList($dataSourceParam);
			}

			$tagTitleArray = array();

			if ($dataSourceTag) {
				$dataSourceTagSplit = explode(",", $dataSourceTag);
				for ($i = 0; $i < count($dataSourceTagSplit); $i++) {

					$tagID = $dataSourceTagSplit[$i];

					if(array_key_exists($tagID, $tagInfor)) {
						$tagTitle = $tagInfor[$tagID]["TAG_TITLE"];

						array_push($tagTitleArray, $tagTitle);

						if (count($where) == 0) {
							$dataSourceList[$tagID]["title"] = $tagTitle;
							$dataSourceList[$tagID]["lazySubItems"][] = $row;
						}
					} else {
						if (count($where) == 0) {
							$dataSourceList["else"]["title"] = "其他";
							$dataSourceList["else"]["lazySubItems"][] = $row;
						}
					}
				}
			} else {
				if (count($where) == 0) {
					$dataSourceList["else"]["title"] = "其他";
					$dataSourceList["else"]["lazySubItems"][] = $row;
				}
			}

				if (count($where) > 0) {
					// $row['DATASOURCE_TAG'] = implode(",", $tagTitleArray);
					array_push($dataSourceList, $row);
				}
		}

		return $dataSourceList;
	}

	/**
	 * 报表管理
	 */

	function newReport($reportInfor) {
		return $this -> insertInfor($reportInfor, "report_chart");
	}

	function updateReport($reportInfor, $chartID) {
		return $this -> updateInfor($reportInfor, "report_chart", "CHART_ID", $chartID);
	}

	function deleteReport($where = array()) {
		global $connection;

		$query = "DELETE FROM report_chart
					WHERE 1=1";
		for ($i = 0; $i < count($where); $i++) {
			$query .= " " . implode($where[$i], " ");
		}

		return exequery($connection, $query);
	}



	function getReportList($loginUserID, $loginPrivID, $loginDeptID, $sortField, $sortType, $limit = 0, $rows, $where = array(), $getCount = true, $viewMode = "table") {
		global $connection;

		$limitOffset = $limit * $rows;

		$whereQuery = " FROM report_chart AS c
						 JOIN user AS u ON c.CHART_CREATE_USER_ID = u.USER_ID WHERE 1=1 ";

		for ($i = 0; $i < count($where); $i++) {
			$whereQuery .= " " . implode($where[$i], " ");
		}

		if ($loginUserID != "") {

			$whereQuery .= " AND(
								(c.CHART_PERMISSION_DEPT='DEPT_ALL')
								OR
								(INStr(c.CHART_PERMISSION_DEPT,',$loginDeptID,')>0 OR INStr(c.CHART_PERMISSION_DEPT,'$loginDeptID,')=1)
								OR
								(INStr(c.CHART_PERMISSION_PRIV,',$loginPrivID,')>0 OR INStr(c.CHART_PERMISSION_PRIV,'$loginPrivID,')=1)
								OR
								(INStr(c.CHART_PERMISSION_USER,',$loginUserID,')>0 OR INStr(c.CHART_PERMISSION_USER,'$loginUserID,')=1)
							)";
		}


		if ($getCount) {
			$getCountQuery = "SELECT COUNT(*) AS CNT".$whereQuery;

			$getCountResult = exequery($connection, $getCountQuery);
			if ($getCountRow = mysql_fetch_assoc($getCountResult)) {
				$totalCount = $getCountRow['CNT'];
			}
		}


		if ($getCount && $viewMode == "table") {

			if ($sortField && $sortType) {
				$whereQuery .= " ORDER BY " . SecurityFilter($sortField) . " " . SecurityFilter($sortType);
			}

			$whereQuery .= " LIMIT " . SecurityFilter($limitOffset) . "," . SecurityFilter($rows);
		}


		$getListResult = exequery($connection, "SELECT c.*,u.USER_NAME".$whereQuery);

		$tagInfor = $this -> getTagList();

		$reportList = array();

		while ($getListRow = mysql_fetch_assoc($getListResult)) {

			$chartTag = $getListRow['CHART_TAG'];



			$chartTagTitle = array();

			if ($chartTag) {
				$chartTagSplit = explode(",", $chartTag);
				for ($i = 0; $i < count($chartTagSplit); $i++) {

					$tagID = $chartTagSplit[$i];
					if(array_key_exists($tagID, $tagInfor)){
						$tagTitle = $tagInfor[$tagID]["TAG_TITLE"];

						array_push($chartTagTitle, $tagTitle);

						if ($viewMode == "list") {
							$reportList[$tagID]["title"] = $tagTitle;
							$reportList[$tagID]["lazySubItems"][] = $getListRow;
						}
					} else{
						if ($viewMode == "list") {
							$reportList["else"]["title"] = "其他";
							$reportList["else"]["lazySubItems"][] = $getListRow;
						}
					}

				}
			} else {
				if ($viewMode == "list") {
					$reportList["else"]["title"] = "其他";
					$reportList["else"]["lazySubItems"][] = $getListRow;
				}
			}

			if ($viewMode == "table") {
				$getListRow['CHART_TAG_TITLE'] = implode(",", $chartTagTitle);
				array_push($reportList, $getListRow);
			}
		}

		if ($getCount) {
			return array(
				"list" => $reportList,
				"totalCount" => $totalCount
			);
		} else {
			return $reportList;
		}

	}

}
?>