<?

/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package       eoffice8.0
 * @function      车辆管理处理页面
 * @encoding      $_lang['encoding']
 * @name          api/vehicles.class.php
 * @version       1.0
 * @author        liuqingyu
 */
class vehicles {
    /*
      @function:  新建
      @parameter: $table_name->    string : 插入表的名称/区别名称
      @parameter: $info->          array  : 插入表的信息
     */

    function creat_info($table_name, $info) {
        global $connection;
        switch ($table_name) {
            case 'vehicles':
                $query = "INSERT INTO vehicles (V_MODEL,V_NUM,V_DRIVER,V_TYPE,V_COLOR,V_NEW_OLD,V_PRICE,V_DATE,V_SPACE,V_LOAD,V_SPEED,V_MILEAGE,V_ENGINE,V_REMARK,ATTACHMENT_ID,ATTACHMENT_NAME,V_CREATE_TIME)
			VALUES
			('" . SecurityFilter($info['model']) . "','" . SecurityFilter($info['num']) . "','" . SecurityFilter($info['driver']) . "','" . SecurityFilter($info['vehicle_type']) . "','" . SecurityFilter($info['color']) . "','" . SecurityFilter($info['vehicle_oldornew']) . "','" . SecurityFilter($info['price']) . "','" . SecurityFilter($info['BEGIN_DATE']) . "','" . SecurityFilter($info['space']) . "','" . SecurityFilter($info['load']) . "','" . SecurityFilter($info['speed']) . "','" . SecurityFilter($info['mileage']) . "','" . SecurityFilter($info['engine']) . "','" . SecurityFilter($info['input_remark']) . "','" . SecurityFilter($info['ATTACHMENT_ID']) . "','" . SecurityFilter($info['ATTACHMENT_NAME']) . "','" . SecurityFilter($info['cur_time']) . "')";
                exequery($connection, $query);
                break;
            case 'manynew':
                $date_num = count($info['car_model']) - 1;
                $cur_date = date("Y-m-d H:i:s");
                for ($I = 0; $I < $date_num; $I++) {
                    if ($info['car_model'][$I] != "" && $info['car_num'][$I] != "") {
                        $query = "INSERT INTO vehicles
						(V_MODEL,V_NUM,V_TYPE,V_NEW_OLD,V_PRICE,V_DATE,V_CREATE_TIME)
						VALUES
						('" . SecurityFilter(trim($info['car_model'][$I])) . "','" . SecurityFilter(trim($info['car_num'][$I])) . "',0,0,0,'" . date('Y-m-d') . "','" . SecurityFilter($cur_date) . "')";
                        exequery($connection, $query);
                    }
                }
                break;
            case 'vehicles_apply':
                $begin_time = $_REQUEST['begin_date'] . " " . $_REQUEST['begin_time'];
                $end_time = $_REQUEST['end_date'] . " " . $_REQUEST['end_time'];
                $query = "INSERT INTO vehicles_apply (V_ID,VA_DEPT,VA_PERSON,VA_APPLY_PERSON,VA_BEGIN_TIME,VA_END_TIME,VA_MILEAGE,VA_OIL,VA_REASON,VA_REMARK,VA_STUATE,SMS_REMIND,SMSTEL_REMIND,EMAIL_REMIND,VA_PATH_START,VA_PATH_END,VA_RECORD_END_TIME)
				VALUES
				('" . SecurityFilter($_REQUEST['car_id']) . "','" . SecurityFilter($_REQUEST['part']) . "','" . SecurityFilter($_REQUEST['apply_person']) . "','" . SecurityFilter($_REQUEST['check_person']) . "','" . SecurityFilter($begin_time) . "','" . SecurityFilter($end_time) . "','" . SecurityFilter(dhtmlspecialchars($_REQUEST['mail'])) . "','" . SecurityFilter(dhtmlspecialchars($_REQUEST['oil'])) . "','" . SecurityFilter($_REQUEST['thing']) . "','" . SecurityFilter($_REQUEST['remark']) . "','1','" . SecurityFilter($_REQUEST['SMS_REMIND']) . "','" . SecurityFilter($_REQUEST['SMSTEL_REMIND']) . "','" . SecurityFilter($_REQUEST['EMAIL_REMIND']) . "','" . SecurityFilter(dhtmlspecialchars($_REQUEST['path_start'])) . "','" . SecurityFilter(dhtmlspecialchars($_REQUEST['path_end'])) . "','" . SecurityFilter($end_time) . "')";
                exequery($connection, $query);
                break;
            case 'vehicles_maintenance':
                $begin_time = $_REQUEST['cal_begin_date'] . " " . $_REQUEST['cal_begin_time'];
                $end_time = $_REQUEST['cal_end_date'] . " " . $_REQUEST['cal_end_time'];
                $query = "INSERT INTO vehicles_maintenance (V_ID,VM_TYPE,VM_BEGIN_TIME,VM_END_TIME,VM_PRICE,VM_PROJECT,VM_REMARK)
				VALUES
				('" . SecurityFilter($_REQUEST['car_id']) . "','" . SecurityFilter($_REQUEST['maintain_type']) . "','" . SecurityFilter($begin_time) . "','" . SecurityFilter($end_time) . "','" . SecurityFilter($_REQUEST['cost']) . "','" . SecurityFilter($_REQUEST['maintain']) . "','" . SecurityFilter($_REQUEST['input_remark']) . "')";
                exequery($connection, $query);
                break;
            case 'new_maintain':
                //$begin_time = $_REQUEST['cal_begin_date']." ".$_REQUEST['cal_begin_time'];
                //$end_time   = $_REQUEST['cal_end_date']." ".$_REQUEST['cal_end_time'];
                $query = "INSERT INTO vehicles_maintenance (V_ID,VM_PRICE,VM_TYPE,VM_PROJECT,VM_REMARK,VM_BEGIN_TIME,VM_END_TIME)
				VALUES
				('" . SecurityFilter($info['V_ID']) . "','" . SecurityFilter($info['VM_PRICE']) . "','" . SecurityFilter($info['VM_TYPE']) . "','" . SecurityFilter($info['VM_PROJECT']) . "','" . SecurityFilter($info['VM_REMARK']) . "','" . SecurityFilter($info['VM_BEGIN_TIME']) . "','" . SecurityFilter($info['VM_END_TIME']) . "')";
                exequery($connection, $query);
                break;
        }
        $insertid = mysql_insert_id();
        return $insertid;
    }

    /*
      @function:  编辑
      @parameter: $table_name->    string : 表的名称/需要更新的模块名
      @parameter: $info->          array : 更新的字段信息
     */

    function edit_vehicles($table_name, $info) {
        global $connection;
        switch ($table_name) {
            case 'vehicles':
                $query = "UPDATE vehicles SET V_MODEL='" . SecurityFilter($info['model']) . "',V_NUM='" . SecurityFilter($info['num']) . "',V_DRIVER='" . SecurityFilter($info['driver']) . "',V_TYPE='" . SecurityFilter($info['vehicle_type']) . "',V_COLOR='" . SecurityFilter($info['color']) . "',V_NEW_OLD='" . SecurityFilter($info['vehicle_oldornew']) . "',V_PRICE='" . SecurityFilter($info['price']) . "',V_DATE='" . SecurityFilter($info['BEGIN_DATE']) . "',V_SPACE='" . SecurityFilter($info['space']) . "',V_LOAD='" . SecurityFilter($info['load']) . "',V_SPEED='" . SecurityFilter($info['speed']) . "',V_MILEAGE='" . SecurityFilter($info['mileage']). "',V_ENGINE='" . SecurityFilter($info['engine']) . "',V_REMARK='" . SecurityFilter($info['input_remark']) . "',ATTACHMENT_ID='" . SecurityFilter($info['ATTACHMENT_ID']) . "',ATTACHMENT_NAME='" . SecurityFilter($info['ATTACHMENT_NAME']) . "' WHERE V_ID='" . SecurityFilter($info['car_id']) . "'";
                exequery($connection, $query);
                break;
            case 'vehicles_apply';
                $begin_time = $_REQUEST['begin_date'] . " " . $_REQUEST['begin_time'];
                $end_time = $_REQUEST['end_date'] . " " . $_REQUEST['end_time'];
                $query = "UPDATE vehicles_apply SET V_ID='" . SecurityFilter($_REQUEST['car_id']) . "',VA_APPLY_PERSON='" . SecurityFilter($_REQUEST['check_person']) . "',VA_DEPT='" . SecurityFilter($_REQUEST['part']) . "',VA_PERSON='" . SecurityFilter($_REQUEST['apply_person']) . "',VA_BEGIN_TIME='" . SecurityFilter($begin_time) . "',VA_END_TIME='" . SecurityFilter($end_time) . "',VA_MILEAGE='" . SecurityFilter(dhtmlspecialchars($_REQUEST['mail'])) . "',VA_OIL='" . SecurityFilter(dhtmlspecialchars($_REQUEST['oil'])) . "',VA_REASON='" . SecurityFilter($_REQUEST['thing']) . "',VA_REMARK='" . SecurityFilter($_REQUEST['remark']) . "',VA_PATH_START='" . SecurityFilter(dhtmlspecialchars($_REQUEST['path_start'])) . "',VA_PATH_END='" . SecurityFilter(dhtmlspecialchars($_REQUEST['path_end'])) . "',SMS_REMIND='" . SecurityFilter($_REQUEST['SMS_REMIND']) . "',SMSTEL_REMIND='" . SecurityFilter($_REQUEST['SMSTEL_REMIND']) . "',EMAIL_REMIND='" . SecurityFilter($_REQUEST['EMAIL_REMIND']) . "',VA_RECORD_END_TIME='" . SecurityFilter($end_time) . "' WHERE VA_ID='" . SecurityFilter($_REQUEST['apply_id']) . "'";
                exequery($connection, $query);
                break;
            case 'vehicles_maintenance':
                $query = "UPDATE vehicles_maintenance SET V_ID='" . SecurityFilter($info["V_ID"]) . "',VM_TYPE='" . SecurityFilter($info["VM_TYPE"]) . "',VM_BEGIN_TIME='" . SecurityFilter($info["VM_BEGIN_TIME"]) . "',VM_END_TIME='" . SecurityFilter($info["VM_END_TIME"]) . "',VM_PRICE='" . SecurityFilter($info["VM_PRICE"]) . "',VM_PROJECT='" . SecurityFilter($info["VM_PROJECT"]) . "',VM_REMARK='" . SecurityFilter($info["VM_REMARK"]) . "' WHERE VM_ID='" . SecurityFilter($info["VM_ID"]) . "'";
                exequery($connection, $query);
                break;
            case 'return':
                $query = "UPDATE vehicles_apply SET VA_RETURN_PERSON='" . SecurityFilter($_REQUEST['return_person']) . "',VA_RETURN_ADVISE='" . SecurityFilter($_REQUEST['advise']) . "',VA_STUATE=5,VA_END_TIME='" . SecurityFilter($_REQUEST['return_time']) . "',VA_RETURN_TIME='" . SecurityFilter($_REQUEST['return_time']) . "' WHERE VA_ID='" . SecurityFilter($_REQUEST['examine_id']) . "'";
                exequery($connection, $query);
                break;
            case 'end_maintain':
                $query = "UPDATE vehicles_maintenance SET VM_END_TIME='" . SecurityFilter($info['end_time']) . "' WHERE VM_ID='" . SecurityFilter($info['maintain_id']) . "'";
                exequery($connection, $query);
                break;
        }
    }

    /*
      @function:  删除
      @parameter: $table_name->    string : 插入表的名称
      @parameter: $table_id->      string : 删除的记录的ID号
     */

    function delete_vehicles($table_name, $table_id) {
        global $connection;
        switch ($table_name) {
            case 'vehicles':
                $filed = "V_ID";
                break;
            case 'vehicles_apply':
                $filed = "VA_ID";
                break;
            case 'vehicles_maintenance':
                $filed = "VM_ID";
                break;
        }
        $query = "DELETE FROM " . SecurityFilter($table_name) . " WHERE " . SecurityFilter($filed) . "='" . SecurityFilter($table_id) . "'";
        exequery($connection, $query);
    }

    /*
      @function:  检查车牌号是否重名
      @parameter: $string->    string : 车辆名称
      @parameter: $info->      int:0不重名；1重名
     */

    function vehicles_checknum($name) {
        global $connection;
        $sql = "SELECT COUNT(*) FROM vehicles WHERE V_NUM=\"" . SecurityFilter(dhtmlspecialchars(stripslashes($name))) . "\"";
        $num = exequery($connection, $sql);
        if ($row = mysql_fetch_array($num)) {
            return $row[0];
        }
    }

    /*
      @function:  产生数据总数
      @parameter: $query->          string : 查询语句
      @return:    $resultCount->    string ：总数
     */

    function vehicles_sumnumber($query) {
        global $connection;
        $getCountResult = exequery($connection, $query);
        if ($getCountRow = mysql_fetch_array($getCountResult)) {
            $resultCount = $getCountRow[0];
        }
        if ($resultCount == "") {
            return 0;
        } else {
            return $resultCount;
        }
    }

    /*
      @function:  判断车辆是否可删除
      @parameter: $id->    string : 车辆ID
      @parameter: $diff->      int:0可以删除；1不能删除
     */

    function cancle_velicle($id) {
        global $connection;
        $sql = "SELECT COUNT(*) FROM vehicles_apply WHERE V_ID='" . SecurityFilter($id) . "'";
        $num_1 = exequery($connection, $sql);
        if ($row = mysql_fetch_array($num_1)) {
            $num_a = $row[0];
        }
        $query = "SELECT COUNT(*) FROM vehicles_maintenance WHERE V_ID='" . SecurityFilter($id) . "'";
        $num_2 = exequery($connection, $query);
        if ($rows = mysql_fetch_array($num_2)) {
            $num_m = $rows[0];
        }
        if ($num_a + $num_m == 0) {
            return 0;
        } else {
            return 1;
        }
    }

    /*
      @function:  检查车辆状态
      @return:    $info->             Array   :列表详细信息
     */

    function check_state() {
        global $connection;
        $info = array();
        $all_vehicles = "";
        $use = "";
        $vehicles_id = "";
        $All_vehicles = "SELECT V_ID FROM vehicles";
        $All_result = exequery($connection, $All_vehicles);
        while ($ROW = mysql_fetch_array($All_result)) {
            $all_vehicles .= $ROW['V_ID'] . ",";
        }
        $search_use = "SELECT V_ID,VA_BEGIN_TIME,VA_END_TIME FROM vehicles_apply WHERE (VA_STUATE=2 OR VA_STUATE=4)";
        $use_result = exequery($connection, $search_use);
        $J = 1;
        while ($ROW = mysql_fetch_array($use_result)) {
            $use .= $ROW['V_ID'] . ",";
            $info['use']['date'][$J]['id'] = $ROW['V_ID'];
            $info['use']['date'][$J]['begin_time'] = $ROW['VA_BEGIN_TIME'];
            $info['use']['date'][$J]['end_time'] = $ROW['VA_END_TIME'];
            $J++;
        }
        $search_maintain = "SELECT V_ID,VM_BEGIN_TIME,VM_END_TIME FROM vehicles_maintenance";
        $maintain_result = exequery($connection, $search_maintain);
        $I = 1;
        while ($ROW = mysql_fetch_array($maintain_result)) {
            $vehicles_id .= $ROW['V_ID'] . ",";
            $info['maintain']['date'][$I]['id'] = $ROW['V_ID'];
            $info['maintain']['date'][$I]['begin_time'] = $ROW['VM_BEGIN_TIME'];
            $info['maintain']['date'][$I]['end_time'] = $ROW['VM_END_TIME'];
            $I++;
        }
        $info['all'] = $all_vehicles;
        $info['use']['use_id'] = $use;
        $info['maintain']['vehicles_id'] = $vehicles_id;
        return $info;
    }

    /*
      @function:  返回车辆状态
      @parameter: $data->             Array   : 车辆状态数据；
      @return:    $info->             Array   :列表详细信息
     */

    function return_state($data) {
        $info = array();
        $cur_date = strtotime(date("Y-m-d H:i:s"));
        $use = $data['use']['use_id'];
        $maintain = $data['maintain']['vehicles_id'];
        $use_arr = explode(',', $use);
        $use_arr = array_unique($use_arr);
        $use_str = implode(',', $use_arr);
        $maintain_arr = explode(',', $maintain);
        $maintain_arr = array_unique($maintain_arr);
        $maintain_str = implode(',', $maintain_arr);
        $all_car = explode(",", $data['all']);
        $maintain_car = explode(",", $maintain_str);
        $use_car = explode(",", $use_str);
        //空闲车
        $diff_rest = array_diff($all_car, $use_car);
        foreach ($diff_rest as $key => $value) {
            $rest_car .= $value . ",";
        }
        //无维护车
        $diff_maintain = array_diff($all_car, $maintain_car);
        foreach ($diff_maintain as $key => $value) {
            $maintain_none .= $value . ",";
        }
        //用车状态
        for ($I = 1; $I <= count($data['use']['date']); $I++) {
            //$begin_time = strtotime($data['use']['date'][$I]['begin_time']);
//			$end_time   = strtotime($data['use']['date'][$I]['end_time']);
//			if($cur_date>=$begin_time && $cur_date<=$end_time)
//			{
            //使用中
            $use_car_id .= $data['use']['date'][$I]['id'] . ",";
            //}
//			else
//			{
//				//空闲
//				$rest_car_id .= $data['use']['date'][$I]['id'].",";
//			}
        }
        //维护状态
        for ($I = 1; $I <= count($data['maintain']['date']); $I++) {
            $begin_time = strtotime($data['maintain']['date'][$I]['begin_time']);
            $end_time = strtotime($data['maintain']['date'][$I]['end_time']);
            if ($cur_date >= $begin_time && $cur_date <= $end_time) {
                $maintain_ing .= $data['maintain']['date'][$I]['id'] . ",";
            } else if ($cur_date < $begin_time) {
                $maintain_ready .= $data['maintain']['date'][$I]['id'] . ",";
            } else {
                $maintain_ed .= $data['maintain']['date'][$I]['id'] . ",";
            }
        }
        //空闲车id
        $rest_strid = $rest_car;
        $info['rest_strid'] = str_replace(",", "','", trim($rest_strid, ","));
        //使用id
        $use_strid = $use_car_id;
        $info['use_strid'] = str_replace(",", "','", trim($use_strid, ","));
        //准备维护id
        $ready_strid = $maintain_ready;
        $info['ready_strid'] = str_replace(",", "','", trim($maintain_ready, ","));
        //维护中id
        $ing_strid = $maintain_ing;
        $info['ing_strid'] = str_replace(",", "','", trim($ing_strid, ","));
        //无维护id
        $no_strid = $maintain_none . $maintain_ed;
        $info['no_strid'] = str_replace(",", "','", trim($no_strid, ","));
        return $info;
    }

    /*
      @function:  车辆管理列表显示
      @parameter: $order->            string  : 排序；
      @parameter: $sens->             string  : 正序或者倒序；
      @parameter: $limit_s->          string  : 每页开始的条数；
      @parameter: $limit_e->          string  : 每页结束的条数
      @parameter: $quickSortParam->   string  :快速筛选参数
      @parameter: $mainid->           string  :区分快速筛选的mainid
      @return:    $info->             Array   :列表详细信息
     */

    function manage_info($order, $sens, $limit_s = "", $limit_e = "", $quickSortParam, $mainid, $where_str = array()) {
        global $connection;
        $info = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " vehicles WHERE 1";
        if ($where_str != "") {
            foreach ($where_str as $key => $value) {
                $key = SecurityFilter($key);
                if ($key == "vehiclesName") {
                    $query .= " AND V_MODEL LIKE '%" . SecurityFilter($value) . "%'";
                }
            }
        }
        $query .= " ORDER BY " . SecurityFilter($order) . " " . SecurityFilter($sens);
        if ($quickSortParam != "" && $quickSortParam != "all") {
            $data = $this->check_state();
            $stuate_date = $this->return_state($data);
            switch ($quickSortParam) {
                case "rest" :
                    $query = " vehicles WHERE V_ID IN ('" . SecurityFilter($stuate_date['rest_strid']) . "')";
                    break;
                case "use" :
                    $query = " vehicles WHERE V_ID IN ('" . SecurityFilter($stuate_date['use_strid']) . "')";
                    break;
                case "maintain_no" :
                    $query = " vehicles WHERE V_ID IN ('" . SecurityFilter($stuate_date['no_strid']) . "')";
                    break;
                case "maintain_ready" :
                    $query = " vehicles WHERE V_ID IN ('" . SecurityFilter($stuate_date['ready_strid']) . "')";
                    break;
                case "maintain_ing" :
                    $query = " vehicles WHERE V_ID IN ('" . SecurityFilter($stuate_date['ing_strid']) . "')";
                    break;
            }
        }
        $count = $search_count . $query;
        $info['resultCount'] = $this->vehicles_sumnumber($count);
        if ($limit_s >= $info['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        if ($limit_s >= 0 && $limit_e != "") {
            $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        }
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        $I = 0;
        while ($ROW = mysql_fetch_array($cursor)) {
            $info[$I]['car_id'] = $ROW['V_ID'];
            $info[$I]['car_model'] = $ROW['V_MODEL'];
            $info[$I]['car_num'] = $ROW['V_NUM'];
            $info[$I]['ATTACHMENT_ID'] = $ROW['ATTACHMENT_ID'];
            $info[$I]['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
            $info[$I]['car_type'] = $ROW['V_TYPE'];
            $info[$I]['car_date'] = $ROW['V_DATE'];
            $query_state = "SELECT count(*) FROM vehicles_apply WHERE V_ID='" . SecurityFilter($info[$I]['car_id']) . "' AND  (VA_STUATE=2 OR VA_STUATE=4)";
            $cursor_state = exequery($connection, $query_state);
            if ($rows = mysql_fetch_array($cursor_state)) {
                $info[$I]['car_use'] = $rows[0];
            }
            $query_mantain = "SELECT VM_BEGIN_TIME,VM_END_TIME FROM vehicles_maintenance WHERE V_ID='" . SecurityFilter($info[$I]['car_id']) . "'";
            $cursor_mantain = exequery($connection, $query_mantain);
            $J = 1;
            while ($row = mysql_fetch_array($cursor_mantain)) {
                $info[$I]['car_maintain'][$J]['begin_time'] = $row['VM_BEGIN_TIME'];
                $info[$I]['car_maintain'][$J]['end_time'] = $row['VM_END_TIME'];
                $J++;
            }
            $I++;
        }
        return $info;
    }

    /*
      @function:  车辆维护列表和查询
      @parameter: $order->            string  : 排序；
      @parameter: $sens->             string  : 正序或者倒序；
      @parameter: $limit_s->          string  : 每页开始的条数；
      @parameter: $limit_e->          string  : 每页结束的条数
      @parameter: $quickSortParam->   string  :快速筛选参数
      @parameter: $mainid->           string  :区分快速筛选的mainid
      @parameter: $where_str->        Array  :查询数组
      @return:    $info->             Array   :列表详细信息
     */

    function maintain_show($order, $sens, $limit_s, $limit_e, $quickSortParam, $where_str = '', $login_user) {
        $cur_time = date("Y-m-d H:i:00", time());
        global $connection;
        $info = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " vehicles_maintenance WHERE VM_ID!=''";
        if ($where_str != "") {
            foreach ($where_str as $key => $value) {
                if ($key == "begin_date") {
                    $query .= " AND UNIX_TIMESTAMP(VM_BEGIN_TIME)>=UNIX_TIMESTAMP('" . SecurityFilter($value) . " 00:00:00')";
                } else if ($key == "end_date") {
                    $query .= " AND UNIX_TIMESTAMP(VM_END_TIME)<=UNIX_TIMESTAMP('" . SecurityFilter($value) . " 23:59:59')";
                } else if ($key == "vehicleID") {
                    //区分车辆
                    $query .= " AND V_ID='" . SecurityFilter($value) . "'";
                } else if ($key == "cost") {
                    $query .= " AND VM_PRICE<='" . SecurityFilter($value) . "'";
                } else if ($key == "maintain_type") {
                    $query .= " AND VM_TYPE='" . SecurityFilter($value) . "'";
                } else if ($key == "maintain_state") {
                    if ($value == '1') {
                        $query .= " AND UNIX_TIMESTAMP(VM_BEGIN_TIME) > UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "')";
                    } else if ($value == '2') {
                        $query .= " AND UNIX_TIMESTAMP(VM_BEGIN_TIME) <= UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "') AND UNIX_TIMESTAMP(VM_END_TIME) > UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "')";
                    } else if ($value == '3') {
                        $query .= " AND UNIX_TIMESTAMP(VM_END_TIME) < UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "')";
                    }
                } else if ($key == "vehicle_name") {
                    //查询车型名称
                    $carIdStr = "";
                    $newSql = "SELECT * FROM vehicles WHERE V_MODEL LIKE '%" . SecurityFilter($value) . "%'";
                    $newcursor = exequery($connection, $newSql);
                    while ($newROW = mysql_fetch_array($newcursor)) {
                        $carIdStr .= "'" . $newROW["V_ID"] . "',";
                    }
                    $carIdStr = substr($carIdStr, 0, -1);
                    if ($carIdStr) {
                        $query .= " AND V_ID IN (" . SecurityFilter($carIdStr) . ")";
                    } else {
                        $query .= " AND V_ID=''";
                    }
                }
            }
        }
        switch ($quickSortParam) {
            case "state_wait" :
                $query .= " AND UNIX_TIMESTAMP(VM_BEGIN_TIME) > UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "')";
                break;
            case "state_waiting" :
                $query .= " AND UNIX_TIMESTAMP(VM_BEGIN_TIME) <= UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "') AND UNIX_TIMESTAMP(VM_END_TIME) > UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "')";
                break;
            case "state_end" :
                $query .= " AND UNIX_TIMESTAMP(VM_END_TIME) < UNIX_TIMESTAMP('" . SecurityFilter($cur_time) . "')";
                break;
            case "D-1" :
                $query .= " AND (DATE_FORMAT(VM_BEGIN_TIME,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(VM_END_TIME,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(VM_BEGIN_TIME,'%Y-%m-%d') AND DATE_FORMAT(VM_END_TIME,'%Y-%m-%d')))";
                break;
            case "W-1" :
                $query .= " AND (YEARWEEK(VM_BEGIN_TIME,1)=YEARWEEK(NOW(),1) OR YEARWEEK(VM_END_TIME,1)=YEARWEEK(NOW(),1))";
                break;
            case "M-1" :
                //$query .= " AND ((MONTH(DATE_FORMAT(VM_BEGIN_TIME,'%Y-%m-%d'))=MONTH(CURDATE()) OR MONTH(DATE_FORMAT(VM_END_TIME,'%Y-%m-%d'))=MONTH(CURDATE())))";
                $query .= " AND (DATE_FORMAT(VM_BEGIN_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m') OR DATE_FORMAT(VM_END_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m'))";
                break;
        }

        $query .= " ORDER BY " . SecurityFilter($order) . " " . SecurityFilter($sens);
        $count = $search_count . $query;
        $info['resultCount'] = $this->vehicles_sumnumber($count);
        if ($limit_s >= $info['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        $I = 0;
        while ($ROW = mysql_fetch_array($cursor)) {
            $info[$I]['maintain_id'] = $ROW['VM_ID'];
            $info[$I]['project'] = $ROW['VM_PROJECT'];
            $info[$I]['begin_time'] = $ROW['VM_BEGIN_TIME'];
            $info[$I]['end_time'] = $ROW['VM_END_TIME'];
            $info[$I]['type'] = $ROW['VM_TYPE'];
            $info[$I]['car_id'] = $ROW['V_ID'];
            $query_car = "SELECT * FROM vehicles WHERE V_ID='" . SecurityFilter($info[$I]['car_id']) . "'";
            $cursor_car = exequery($connection, $query_car);
            if ($rows = mysql_fetch_array($cursor_car)) {
                $info[$I]['model'] = $rows['V_MODEL'];
                $info[$I]['num'] = $rows['V_NUM'];
                $info[$I]['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
                $info[$I]['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            }

            $I++;
        }
        return $info;
    }

    /*
      @function:  我的申请列表和查询
      @parameter: $login_user->       string  : 当前用户名；
      @parameter: $order->            string  : 排序；
      @parameter: $sens->             string  : 正序或者倒序；
      @parameter: $limit_s->          string  : 每页开始的条数；
      @parameter: $limit_e->          string  : 每页结束的条数
      @parameter: $quickSortParam->   string  :快速筛选参数
      @parameter: $mainid->           string  :区分快速筛选的mainid
      @parameter: $where_str->        Array  :查询数组
      @return:    $info->             Array  :列表详细信息
     */

    function apply_info($login_user, $order, $sens, $limit_s, $limit_e, $quickSortParam, $where_str = '') {
        global $connection;
        $info = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " vehicles_apply WHERE VA_PERSON='" . SecurityFilter($login_user) . "' AND VA_STUATE!='7'";
        if ($where_str != "") {
            foreach ($where_str as $key => $value) {
                if ($key == "begin_date") {
                    $query .= " AND UNIX_TIMESTAMP(VA_BEGIN_TIME)>=UNIX_TIMESTAMP('" . SecurityFilter($value) . " 00:00:00')";
                } else if ($key == "end_date") {
                    $query .= " AND UNIX_TIMESTAMP(VA_END_TIME)<=UNIX_TIMESTAMP('" . SecurityFilter($value) . " 23:59:59')";
                } else if ($key == "car") {
                    $query .= " AND V_ID='" . SecurityFilter($value) . "'";
                } else if ($key == "mile") {
                    $query .= " AND VA_MILEAGE='" . SecurityFilter($value) . "'";
                } else if ($key == "oil") {
                    $query .= " AND VA_OIL='" . SecurityFilter($value) . "'";
                } else if ($key == "state") {
                    if ($value == '1') {
                        $query .= " AND VAEXAMINE_TIME IS NULL AND VA_STUATE='1'";
                    } else if ($value == '2') {
                        $query .= " AND VAEXAMINE_TIME IS NOT NULL AND VA_STUATE='1'";
                    } else if ($value == '3') {
                        $query .= " AND VA_STUATE='2'";
                    } else if ($value == '4') {
                        $query .= " AND VA_STUATE='3'";
                    } else if ($value == '5') {
                        $query .= " AND VA_STUATE='4'";
                    } else if ($value == '6') {
                        $query .= " AND VA_STUATE='5'";
                    }
                } else if ($key == "car_name") {
                    $carIdSql = " AND V_MODEL LIKE '%" . SecurityFilter($value) . "%'";
                    $carIdArray = $this->vehicesSearchManyData("vehicles", $carIdSql);
                    $carCount = count($carIdArray);
                    if ($carCount > 0) {
                        $carIdStr = "";
                        for ($c = 0; $c < $carCount; $c++) {
                            if ($carIdArray[$c]["V_ID"]) {
                                $carIdStr .= $carIdArray[$c]["V_ID"] . ",";
                            }
                        }
                        $carIdStr = substr($carIdStr, 0, -1);
                        $query .= " AND V_ID IN (" . SecurityFilter($carIdStr) . ")";
                    } else {
                        $query .= " AND V_ID=''";
                    }
                }
            }
        }
        switch ($quickSortParam) {
            case "state_wait" :
                $query .= " AND VAEXAMINE_TIME IS NULL AND VA_STUATE='1'";
                break;
            case "state_waiting" :
                $query .= " AND VAEXAMINE_TIME IS NOT NULL AND VA_STUATE='1'";
                break;
            case "state_pass" :
                $query .= " AND VA_STUATE='2'";
                break;
            case "D-1" :
                $query .= " AND (DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d') AND DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')))";
                break;
            case "W-1" :
                $query .= " AND (YEARWEEK(VA_BEGIN_TIME,1)=YEARWEEK(NOW(),1) OR YEARWEEK(VA_END_TIME,1)=YEARWEEK(NOW(),1))";
                break;
            case "M-1" :
                //$query .= " AND ((MONTH(DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d'))=MONTH(CURDATE()) OR MONTH(DATE_FORMAT(VA_END_TIME,'%Y-%m-%d'))=MONTH(CURDATE())))";
                $query .= " AND (DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m') OR DATE_FORMAT(VA_END_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m'))";
                break;
        }
        $query .= " ORDER BY " . SecurityFilter($order) . " " . SecurityFilter($sens) . ",VAEXAMINE_TIME ASC";
        $count = $search_count . $query;
        $info['resultCount'] = $this->vehicles_sumnumber($count);
        if ($limit_s >= $info['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $cursor = exequery($connection, $search);
        //$I=1;
        while ($ROW = mysql_fetch_array($cursor)) {
            $info[] = $ROW;
            /* $apply_id = $ROW['VA_ID'];
              $info[$I]['apply_id']     = $ROW['VA_ID'];
              $info[$I]['apply_dept']   = $ROW['VA_DEPT'];
              $info[$I]['begin_time']   = $ROW['VA_BEGIN_TIME'];
              $info[$I]['end_time']     = $ROW['VA_END_TIME'];
              $info[$I]['remark']       = $ROW['VA_REASON'];
              $info[$I]['state']        = $ROW['VA_STUATE'];
              $info[$I]['examined']     = $ROW['VAEXAMINE_TIME'];
              $info[$I]['path']         = $ROW['VA_PATH'];
              $info[$I]['check_person'] = $ROW['VA_APPLY_PERSON'];
              $CAR_ID  = $ROW['V_ID'];
              $query_car = "SELECT * FROM vehicles WHERE V_ID='$CAR_ID'";
              $cursor_car = exequery($connection,$query_car);
              if($rows=mysql_fetch_array($cursor_car))
              {
              $info[$I]['model'] = $rows['V_MODEL'];
              $info[$I]['num']   = $rows['V_NUM'];
              $info[$I]['ATTACHMENT_ID']   = $rows['ATTACHMENT_ID'];
              $info[$I]['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
              }
              $I++; */
        }
        return $info;
    }

    /*
      @function:  车辆使用记录列表和查询
      @parameter: $order->            string  : 排序；
      @parameter: $sens->             string  : 正序或者倒序；
      @parameter: $limit_s->          string  : 每页开始的条数；
      @parameter: $limit_e->          string  : 每页结束的条数
      @parameter: $quickSortParam->   string  :快速筛选参数
      @parameter: $mainid->           string  :区分快速筛选的mainid
      @parameter: $where_str->        Array  :查询数组
      @parameter: $login_user->       string  : 当前用户名
      @return:    $info->             Array   :列表详细信息
     */

    function show_record($order, $sens, $limit_s, $limit_e, $quickSortParam, $where_str = '', $login_user) {
        global $connection;
        $info = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " vehicles_apply WHERE VA_STUATE!='1' AND VA_STUATE!='3'";
        if ($where_str != "") {
            foreach ($where_str as $key => $value) {
                if ($key == "begin_date") {
                    $query .= " AND UNIX_TIMESTAMP(VA_BEGIN_TIME)>=UNIX_TIMESTAMP('" . SecurityFilter($value) . " 00:00:00')";
                } else if ($key == "end_date") {
                    $query .= " AND UNIX_TIMESTAMP(VA_END_TIME)<=UNIX_TIMESTAMP('" . SecurityFilter($value) . " 23:59:59')";
                } else if ($key == "vehicleID") {
                    //区分车辆
                    $query .= " AND V_ID='" . SecurityFilter($value) . "'";
                } else if ($key == "apply_person") {
                    $query .= " AND VA_PERSON='" . SecurityFilter($value) . "'";
                } else if ($key == "path_start") {
                    $query .= " AND VA_PATH_START LIKE '%" . SecurityFilter($value) . "%'";
                } else if ($key == "path_end") {
                    $query .= " AND VA_PATH_END LIKE '%" . SecurityFilter($value) . "%'";
                } else if ($key == "person_name") {
                    $userIdStr = "";
                    $user_sql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE '%" . SecurityFilter($value) . "%' AND USER_ACCOUNTS != ''";
                    $user_cursor = exequery($connection, $user_sql);
                    while ($user_row = mysql_fetch_array($user_cursor)) {
                        $userIdStr .= "'" . $user_row["USER_ID"] . "',";
                    }
                    if ($userIdStr != "") {
                        $userIdStr = substr($userIdStr, 0, -1);
                        $query .= " AND (VA_PERSON IN (" . SecurityFilter($userIdStr) . "))";
                    } else {
                        $query .= " AND VA_ID=''";
                    }
                }
            }
        }
        switch ($quickSortParam) {
            case "D-1" :
                $query .= " AND (DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d') AND DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')))";
                break;
            case "D-3" :
                $query .= " AND ((DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d') BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()) OR (DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')
BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()))";
                break;
            case "W-1" :
                $query .= " AND (YEARWEEK(VA_BEGIN_TIME,1)=YEARWEEK(NOW(),1) OR YEARWEEK(VA_END_TIME,1)=YEARWEEK(NOW(),1))";
                break;
            case "W-2" :
                $query .= " AND (YEARWEEK(VA_BEGIN_TIME,1) BETWEEN YEARWEEK(NOW(),1)-1 AND YEARWEEK(NOW(),1) OR YEARWEEK(VA_END_TIME,1) BETWEEN YEARWEEK(NOW(),1)-1 AND YEARWEEK(NOW(),1))";
                break;
            case "M-1" :
                //$query .= " AND ((MONTH(DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d'))=MONTH(CURDATE()) OR MONTH(DATE_FORMAT(VA_END_TIME,'%Y-%m-%d'))=MONTH(CURDATE())))";
                $query .= " AND (DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m') OR DATE_FORMAT(VA_END_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m'))";
                break;
            case "M-3" :
                $query .= " AND  ((MONTH(DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d')) BETWEEN MONTH(CURDATE())-2 AND MONTH(CURDATE()))
OR (MONTH(DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')) BETWEEN MONTH(CURDATE())-2 AND MONTH(CURDATE()))) ";
                break;
        }
        $query .= " ORDER BY " . SecurityFilter($order) . " " . SecurityFilter($sens);
        $count = $search_count . $query;
        $info['resultCount'] = $this->vehicles_sumnumber($count);
        if ($limit_s >= $info['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $I = 0;
        $cursor = exequery($connection, $search);
        while ($ROW = mysql_fetch_array($cursor)) {
            $info[$I]['apply_id'] = $ROW['VA_ID'];
            $info[$I]['state'] = $ROW['VA_STUATE'];
            $info[$I]['begin_time'] = $ROW['VA_BEGIN_TIME'];
            $info[$I]['end_time'] = $ROW['VA_END_TIME'];
            $info[$I]['remark'] = $ROW['VA_REASON'];
            $info[$I]['apply_person'] = $ROW['VA_PERSON'];
            $info[$I]['path_start'] = $ROW['VA_PATH_START'];
            $info[$I]['path_end'] = $ROW['VA_PATH_END'];
            $info[$I]['CAR_ID'] = $ROW['V_ID'];
            $query_car = "SELECT * FROM vehicles WHERE V_ID='" . SecurityFilter($info[$I]['CAR_ID']) . "'";
            $cursor_car = exequery($connection, $query_car);
            if ($rows = mysql_fetch_array($cursor_car)) {
                $info[$I]['CAR_MODEL'] = $rows['V_MODEL'];
                $info[$I]['CAR_NUM'] = $rows['V_NUM'];
                $info[$I]['ATTACHMENT_ID'] = $rows["ATTACHMENT_ID"];
                $info[$I]['ATTACHMENT_NAME'] = $rows["ATTACHMENT_NAME"];
            }
            $I++;
        }
        return $info;
    }

    /**
     * [getAnalysisList 用车分析列表]
     *
     * @method 朱从玺
     *
     * @param  [string]          $vehiclesSearch [车辆表查询语句]
     * @param  [string]          $applySearch    [申请记录表查询语句]
     *
     * @return [array]                           [查询结果]
     */
    function getAnalysisList($vehiclesSearch, $applySearch, $orders='', $limits='')
    {
        global $connection;
        $analysisListInfo = array();

        //查找所有汽车
        $vehiclesQuery = "SELECT * FROM vehicles";
        $vehiclesData = exequery($connection, $vehiclesQuery);

        $vehiclesList = array();;
        while ($row = mysql_fetch_array($vehiclesData)) {
            $vehiclesList[$row['V_ID']] = $row;
        }

        //查找车辆申请记录
        $query = "SELECT vehicles_apply.*,user.USER_ID,user.USER_NAME FROM vehicles_apply LEFT JOIN user ON vehicles_apply.VA_PERSON = user.USER_ID WHERE 1" . $applySearch;
        $queryCount = "SELECT COUNT(*) FROM vehicles_apply WHERE 1" . $applySearch;

        if($vehiclesSearch) {
            $vehiclesQuery .= " WHERE 1 " . $vehiclesSearch;
            $searchVehicles = exequery($connection, $vehiclesQuery);

            $vehiclesSql = ' AND V_ID IN (';
            while ($row = mysql_fetch_array($searchVehicles)) {
                $vehiclesSql .= "'" . $row['V_ID'] . "',";
            }

            if($vehiclesSql != ' AND V_ID IN (') {
                $query .= substr($vehiclesSql, 0, -1) . ')';
                $queryCount .= substr($vehiclesSql, 0, -1) . ')';
            }else {
                return array('totalCount'=>0, 'list'=>array());
            }
        }

        $query .= SecurityFilter($orders) . SecurityFilter($limits);
        //查询申请数据
        $data = exequery($connection, $query);
        while ($row = mysql_fetch_array($data)) {
            $analysisListInfo[] = array(
                'apply_id'      => $row['VA_ID'],
                'apply_user_id' => $row['VA_PERSON'],
                'apply_user'    => $row['USER_NAME'],
                'apply_dept'    => $row['VA_DEPT'],
                'apply_mileage' => $row['VA_MILEAGE'],
                'apply_oil'     => $row['VA_OIL'],
                'begin_time'    => $row['VA_BEGIN_TIME'],
                'end_time'      => $row['VA_END_TIME'],
                'remark'        => $row['VA_REASON'],
                'state'         => $row['VA_STUATE'],
                'path_start'    => $row['VA_PATH_START'],
                'path_end'      => $row['VA_PATH_END'],
                'car_id'        => $row['V_ID'],
                'car_model'     => $vehiclesList[$row['V_ID']]['V_MODEL'],
                'car_number'    => $vehiclesList[$row['V_ID']]['V_NUM'],
                'attachment_id' => $vehiclesList[$row['V_ID']]['ATTACHMENT_ID'],
                'attachment_name' => $vehiclesList[$row['V_ID']]['ATTACHMENT_NAME']
            );
        }

        $resultCount = $this->vehicles_sumnumber($queryCount);

        return array('totalCount'=>$resultCount, 'list'=>$analysisListInfo);
    }

    /*
      @function:  车辆审核
      @parameter: $order->            string  : 排序；
      @parameter: $sens->             string  : 正序或者倒序；
      @parameter: $limit_s->          string  : 每页开始的条数；
      @parameter: $limit_e->          string  : 每页结束的条数
      @parameter: $quickSortParam->   string  :快速筛选参数
      @parameter: $mainid->           string  :区分快速筛选的mainid
      @parameter: $diff->             int     : 判断查询，0:申请审核;1:归还审核；
      @return:    $info->             Array   :列表详细信息
     */

    function examine_info($order, $sens, $limit_s, $limit_e, $quickSortParam, $check_person) {
        global $connection;
        $info = array();
        $search_all = "SELECT * FROM";
        $search_count = "SELECT COUNT(*) FROM";
        $query = " vehicles_apply WHERE VA_APPLY_PERSON='" . SecurityFilter($check_person) . "' AND (VA_STUATE='4' OR VA_STUATE='1')";
        switch ($quickSortParam) {
            case "D-1" :
                $query .= " AND (DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d') AND DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')))";
                break;
            case "D-3" :
                $query .= " AND ((DATE_FORMAT(VA_BEGIN_TIME,'%Y-%m-%d') BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()) OR (DATE_FORMAT(VA_END_TIME,'%Y-%m-%d')
BETWEEN DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND CURDATE()))";
                break;
            case "W-1" :
                $query .= " AND (YEARWEEK(VA_BEGIN_TIME,1)=YEARWEEK(NOW(),1) OR YEARWEEK(VA_END_TIME,1)=YEARWEEK(NOW(),1))";
                break;
            case "W-2" :
                $query .= " AND (YEARWEEK(VA_BEGIN_TIME,1) BETWEEN YEARWEEK(NOW(),1)-1 AND YEARWEEK(NOW(),1) OR YEARWEEK(VA_END_TIME,1) BETWEEN YEARWEEK(NOW(),1)-1 AND YEARWEEK(NOW(),1))";
                break;
            case "apply" :
                $query = " vehicles_apply WHERE VA_STUATE='1' AND VA_APPLY_PERSON='" . SecurityFilter($check_person) . "'";
                break;
            case "return" :
                $query = " vehicles_apply WHERE VA_STUATE='4' AND VA_APPLY_PERSON='" . SecurityFilter($check_person) . "'";
                break;
            case "conflict":
                $conflict_num = $this->num_conflict();
                $carID = substr($conflict_num['car_id'], 0, -1);
                if ($carID) {
                    $query = " vehicles_apply WHERE VA_ID IN (" . SecurityFilter($carID) . ")";
                } else {
                    $query = " vehicles_apply WHERE VA_ID=''";
                }
                break;
        }
        $query .= " ORDER BY " . SecurityFilter($order) . " " . SecurityFilter($sens);
        $count = $search_count . $query;
        $info['resultCount'] = $this->vehicles_sumnumber($count);
        if ($limit_s >= $info['resultCount']) {
            $limit_s = max(0, $limit_s - $limit_e);
        }
        $query .= " limit " . SecurityFilter($limit_s) . "," . SecurityFilter($limit_e);
        $search = $search_all . $query;
        $I = 0;
        $cursor = exequery($connection, $search);
        while ($ROW = mysql_fetch_array($cursor)) {
            $info[$I]['apply_id'] = $ROW['VA_ID'];
            $info[$I]['apply_person'] = $ROW['VA_PERSON'];
            $info[$I]['apply_dept'] = $ROW['VA_DEPT'];
            $info[$I]['begin_time'] = $ROW['VA_BEGIN_TIME'];
            $info[$I]['end_time'] = $ROW['VA_END_TIME'];
            $info[$I]['remark'] = $ROW['VA_REASON'];
            $info[$I]['state'] = $ROW['VA_STUATE'];
            $info[$I]['path_start'] = $ROW['VA_PATH_START'];
            $info[$I]['path_end'] = $ROW['VA_PATH_END'];
            $info[$I]['CAR_ID'] = $ROW['V_ID'];
            $query_car = "SELECT * FROM vehicles WHERE V_ID='" . SecurityFilter($info[$I]['CAR_ID']) . "'";
            $cursor_car = exequery($connection, $query_car);
            if ($rows = mysql_fetch_array($cursor_car)) {
                $info[$I]['CAR_MODEL'] = $rows['V_MODEL'];
                $info[$I]['CAR_NUM'] = $rows['V_NUM'];
                $info[$I]['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
                $info[$I]['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            }
            $I++;
        }
        return $info;
    }

    /*
      @function:  显示车辆详情
      @parameter: $car_id->        : 申请ID
      @return:    $info->          Array  :详细信息
     */

    function info_vehicles($car_id) {
        global $connection;
        $info = array();
        $query = "SELECT * FROM  vehicles WHERE V_ID='" . SecurityFilter($car_id) . "'";
        $cursor = exequery($connection, $query);
        if ($ROW = mysql_fetch_array($cursor)) {
            $info['model'] = $ROW['V_MODEL'];
            $info['num'] = $ROW['V_NUM'];
            $info['driver'] = $ROW['V_DRIVER'];
            $info['type'] = $ROW['V_TYPE'];
            $info['color'] = $ROW['V_COLOR'];
            $info['new_old'] = $ROW['V_NEW_OLD'];
            $info['price'] = $ROW['V_PRICE'];
            $info['date'] = $ROW['V_DATE'];
            $info['space'] = $ROW['V_SPACE'];
            $info['load'] = $ROW['V_LOAD'];
            $info['speed'] = $ROW['V_SPEED'];
            $info['mileage'] = $ROW['V_MILEAGE'];
            $info['engine'] = $ROW['V_ENGINE'];
            $info['reamrk'] = $ROW['V_REMARK'];
            $info['ATTACHMENT_ID'] = $ROW['ATTACHMENT_ID'];
            $info['ATTACHMENT_NAME'] = $ROW['ATTACHMENT_NAME'];
        }
        return $info;
    }

    /*
      @function:  车辆申请详情
      @parameter: $apply_id->        : 申请ID
      @return:    $info->          Array  :详细信息
     */

    function info_apply($apply_id) {
        global $connection;
        $info = array();
        $query = "SELECT * FROM  vehicles_apply WHERE VA_ID='" . SecurityFilter($apply_id) . "'";
        $cursor = exequery($connection, $query);
        if ($ROW = mysql_fetch_array($cursor)) {
            $info['apply_id'] = $ROW['VA_ID'];
            $info['state'] = $ROW['VA_STUATE'];
            $info['apply_person'] = $ROW['VA_PERSON'];
            $info['apply_dept'] = $ROW['VA_DEPT'];
            $info['begin_time'] = $ROW['VA_BEGIN_TIME'];
            $info['end_time'] = $ROW['VA_END_TIME'];
            $info['record_end_time'] = $ROW['VA_RECORD_END_TIME'];
            $info['reason'] = $ROW['VA_REASON'];
            $info['remark'] = $ROW['VA_REMARK'];
            $info['oil'] = $ROW['VA_OIL'];
            $info['mile'] = $ROW['VA_MILEAGE'];
            $info['my_return_time'] = $ROW['VA_RETURN_TIME'];
            $info['my_return_remark'] = $ROW['VA_RETURN_REMARK'];
            $info['check_person'] = $ROW['VA_APPLY_PERSON'];
            $info['check_remark'] = $ROW['VA_APPLY_ADVISE'];
            $info['return_person'] = $ROW['VA_RETURN_PERSON'];
            $info['return_remark'] = $ROW['VA_RETURN_ADVISE'];
            $info['examined'] = $ROW['VAEXAMINE_TIME'];
            $info['path_start'] = $ROW['VA_PATH_START'];
            $info['path_end'] = $ROW['VA_PATH_END'];
            $info['CAR_ID'] = $ROW['V_ID'];
            $info['SMS_REMIND'] = $ROW['SMS_REMIND'];
            $info['SMSTEL_REMIND'] = $ROW['SMSTEL_REMIND'];
            $info['EMAIL_REMIND'] = $ROW['EMAIL_REMIND'];
            $query_car = "SELECT * FROM vehicles WHERE V_ID='" . SecurityFilter($info['CAR_ID']) . "'";
            $cursor_car = exequery($connection, $query_car);
            if ($rows = mysql_fetch_array($cursor_car)) {
                $info['CAR_MODEL'] = $rows['V_MODEL'];
                $info['CAR_NUM'] = $rows['V_NUM'];
                $info['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
                $info['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            }
        }
        return $info;
    }

    /*
      @function:  判断是否正在审核
      @parameter: $apply_id->      int    : 申请ID
      @return:    $info->          string :审核时间
     */

    function check_examine($apply_id) {
        global $connection;
        $query = "SELECT VAEXAMINE_TIME FROM vehicles_apply WHERE VA_ID='" . SecurityFilter($apply_id) . "'";
        $cursor = exequery($connection, $query);
        if ($ROW = mysql_fetch_array($cursor)) {
            return $ROW['VAEXAMINE_TIME'];
        }
    }

    /*
      @function:  车辆维护详情
      @parameter: $maintain_id->   int    : 维护车辆ID
      @return:    $info->          Array  :详细信息
     */

    function info_maintain($maintain_id) {
        global $connection;
        $info = array();
        $query = "SELECT * FROM vehicles_maintenance WHERE VM_ID='" . SecurityFilter($maintain_id) . "'";
        $cursor = exequery($connection, $query);
        if ($ROW = mysql_fetch_array($cursor)) {
            $info['begin_time'] = $ROW['VM_BEGIN_TIME'];
            $info['end_time'] = $ROW['VM_END_TIME'];
            $info['price'] = $ROW['VM_PRICE'];
            $info['project'] = $ROW['VM_PROJECT'];
            $info['remark'] = $ROW['VM_REMARK'];
            $info['car_id'] = $ROW['V_ID'];
            $info['type'] = $ROW['VM_TYPE'];
            $query_car = "SELECT * FROM vehicles WHERE V_ID='" . SecurityFilter($info['car_id']) . "'";
            $cursor_car = exequery($connection, $query_car);
            if ($rows = mysql_fetch_array($cursor_car)) {
                $info['CAR_MODEL'] = $rows['V_MODEL'];
                $info['CAR_NUM'] = $rows['V_NUM'];
                $info['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
                $info['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            }
        }
        return $info;
    }

    /*
      @function:  添加审核查看过条件
      @parameter: $id->        : 查看信息的ID
     */

    function examine($id) {
        global $connection;
        $cur_time = date("Y-m-d H:i:s", time());
        $query_check = "UPDATE vehicles_apply SET VAEXAMINE_TIME='" . SecurityFilter($cur_time) . "' WHERE VA_ID='" . SecurityFilter($id) . "'";
        exequery($connection, $query_check);
    }

    /*
      @function:  车辆审核弹出页面
      @parameter: $id->        : 查看信息的ID
      @return:    $info->          Array  :详细信息
     */

    function check_vehicles($id) {
        global $connection;
        $info = array();
        $query = "SELECT * FROM  vehicles_apply WHERE VA_ID='" . SecurityFilter($id) . "'";
        $cursor = exequery($connection, $query);
        if ($ROW = mysql_fetch_array($cursor)) {
            $info['examine_id'] = $ROW['VA_ID'];
            $info['apply_person'] = $ROW['VA_PERSON'];
            $info['apply_dept'] = $ROW['VA_DEPT'];
            $info['begin_time'] = $ROW['VA_BEGIN_TIME'];
            $info['end_time'] = $ROW['VA_END_TIME'];
            $info['return_time'] = $ROW['VA_RETURN_TIME'];
            $info['reason'] = $ROW['VA_REASON'];
            $info['remark'] = $ROW['VA_REMARK'];
            $info['mile'] = $ROW['VA_MILEAGE'];
            $info['oil'] = $ROW['VA_OIL'];
            $info['check_person'] = $ROW['VA_APPLY_PERSON'];
            $info['path_start'] = $ROW['VA_PATH_START'];
            $info['path_end'] = $ROW['VA_PATH_END'];
            $info['return_remark'] = $ROW['VA_RETURN_REMARK'];
            $CAR_ID = $ROW['V_ID'];
            $query_car = "SELECT * FROM vehicles WHERE V_ID='" . SecurityFilter($CAR_ID) . "'";
            $cursor_car = exequery($connection, $query_car);
            if ($rows = mysql_fetch_array($cursor_car)) {
                $info['CAR_MODEL'] = $rows['V_MODEL'];
                $info['CAR_NUM'] = $rows['V_NUM'];
                $info['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
                $info['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            }
            $query_maintain = "SELECT * FROM vehicles_maintenance WHERE V_ID='" . SecurityFilter($CAR_ID) . "' AND (UNIX_TIMESTAMP(VM_BEGIN_TIME) BETWEEN UNIX_TIMESTAMP('" . SecurityFilter($info['begin_time']) . "') AND UNIX_TIMESTAMP('" . SecurityFilter($info['end_time']) . "'))";
            $cursor_maintain = exequery($connection, $query_maintain);
            if ($row = mysql_fetch_array($cursor_maintain)) {
                $info['maintain_btime'] = $row['VM_BEGIN_TIME'];
                $info['maintain_etime'] = $row['VM_END_TIME'];
            }
        }
        return $info;
    }

    /*
    @function:  选择审核人
    @return:    $info->        Array  :审核人名称列表
    */
    function select_checkperson($diff)
    {
        global $connection;
        $info = array();
        if($diff=='vehicles') {
            $sql_priv   = "SELECT USER_PRIV FROM user_priv WHERE FIND_IN_SET('603', FUNC_ID_STR)";
            $query_priv = exequery($connection, $sql_priv);

            $priv = array();
            while($row = mysql_fetch_array($query_priv)) {
                $priv[]  = $row["USER_PRIV"];
            }

            if (!empty($priv)) {
                $sql_user = "SELECT USER_ID,USER_NAME,USER_PRIV,USER_SUB_PRIV FROM user WHERE user.DEPT_ID > 0";
                $query_user   = exequery($connection, $sql_user);

                $I=1;
                while($row = mysql_fetch_array($query_user)) {
                    if (empty($row['USER_SUB_PRIV'])) {
                        $has_permission = in_array($row['USER_PRIV'], $priv);
                    } else {
                        $role = array_filter(array_merge((array)$row['USER_PRIV'], explode(',', $row['USER_SUB_PRIV'])));
                        $has_permission = (bool)array_intersect($priv, $role);
                    }

                    if ($has_permission) {
                        $info[$I]['user_id']   = $row["USER_ID"];
                        $info[$I]['user_name'] = $row['USER_NAME'];
                        $I++;
                    }
                }
            }

        } else if($diff=='meetings') {
            $privflow = ",703,";//审核func_id
            $sql      = "SELECT * FROM user_priv,user
                            WHERE (user.USER_PRIV=user_priv.USER_PRIV or user.USER_SUB_PRIV=user_priv.USER_PRIV)
                            AND  INSTR(FUNC_ID_STR,'".SecurityFilter($privflow)."') > 0
                            AND user.DEPT_ID > 0 GROUP BY user.USER_ID";
            $cursor   = exequery($connection,$sql);
            $I=1;
            while($ROW=mysql_fetch_array($cursor))
            {
                $info[$I]['user_id']   = $ROW["USER_ID"];
                $info[$I]['user_name'] = $ROW['USER_NAME'];
                $I++;
            }
        }

        return $info;
    }


    /*
      @function:  车辆申请审核
      @parameter: $examine->     Array  : 审核信息数组
     */

    function examine_vehicles($examine) {
        global $connection;
        //未批准
        if ($examine['state'] == 3) {

            $query = "UPDATE vehicles_apply SET VA_APPLY_PERSON='" . SecurityFilter($examine['apply_person']) . "',VA_APPLY_ADVISE='" . SecurityFilter($examine['apply_advise']) . "',VA_STUATE='" . SecurityFilter($examine['state']) . "' WHERE VA_ID='" . SecurityFilter($examine['examine_id']) . "'";
            exequery($connection, $query);
        }
        //批准
        else {
            $query = "UPDATE vehicles_apply SET VA_APPLY_PERSON='" . SecurityFilter($examine['apply_person']) . "',VA_APPLY_ADVISE='" . SecurityFilter($examine['apply_advise']) . "',VA_STUATE='" . SecurityFilter($examine['state']) . "' WHERE VA_ID='" . SecurityFilter($examine['examine_id']) . "'";
            exequery($connection, $query);
        }
    }

    /*
      @function:  车辆归还
      @parameter: $return->        array  : 车辆归还信息数组
      @return:    $info->          Array  :详细信息
     */

    function return_vehicles($return) {
        global $connection;
        $query = "UPDATE vehicles_apply SET VA_RETURN_TIME='" . SecurityFilter($return['return_time']) . "',VA_RETURN_REMARK='" . SecurityFilter($return['return_remark']) . "',VA_STUATE=4 WHERE VA_ID='" . SecurityFilter($return['apply_id'] ). "'";
        exequery($connection, $query);
    }

    /*
      @function:  选择车辆
      @return:    $info->          Array  :所有车辆
     */

    function select_vehicles() {
        global $connection;
        $info = array();
        $query = "SELECT * FROM vehicles ORDER BY V_ID DESC";
        $cursor = exequery($connection, $query);
        $I = 1;
        while ($rows = mysql_fetch_array($cursor)) {
            $info[$I]['car_id'] = $rows['V_ID'];
            $info[$I]['car_model'] = $rows['V_MODEL'];
            $info[$I]['car_num'] = $rows['V_NUM'];
            $I++;
        }
        return $info;
    }

    /*
      @function:  列表显示车辆
      @return:    $info->          Array  :所有车辆
     */

    function vehicles_show($num) {
        global $connection;
        $info = array();
        $query = "SELECT * FROM vehicles";
        $query = page($query, $num);
        $cursor = exequery($connection, $query);
        $I = 1;
        while ($rows = mysql_fetch_array($cursor)) {
            $info[$I]['car_id'] = $rows['V_ID'];
            $info[$I]['car_model'] = $rows['V_MODEL'];
            $info[$I]['car_num'] = $rows['V_NUM'];
            $info[$I]['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
            $info[$I]['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            $info[$I]['buy_date'] = $rows['V_DATE'];
            $I++;
        }
        return $info;
    }

    /*
      @function:  申请人部门
      @parameter: $user_id->     string : 审核人ID
      @return:    $info->        Array  :审核人名称列表
     */

    function dept_person($user_id) {
        global $connection;
        $query = "SELECT DEPT_NAME FROM USER,department WHERE user.DEPT_ID=department.DEPT_ID AND user.USER_ID='" . SecurityFilter($user_id) . "';";
        $cursor = exequery($connection, $query);
        if ($ROW = mysql_fetch_array($cursor)) {
            return $dept = $ROW[0];
        }
    }

    /*
      @function:  查找用户名称
      @parameter: $user_id->       int    : 用户ID号
      @return:    $info->          string :用户名称
     */

    function person_name($user_id) {
        global $connection;
        $query = "SELECT * FROM USER WHERE USER_ID='" . SecurityFilter($user_id) . "'";
        $cursor = exequery($connection, $query);
        if ($rows = mysql_fetch_array($cursor)) {
            return $rows['USER_NAME'];
        }
    }

    /*
      @function:  产生日期数组
      @parameter: $pic_show->    string  : 是否显示图片
      @return:    $info->          Array  :详细信息
     */

    function vehicles_datedo($car_id) {
        global $connection;
        $info = array();
        $info[$car_id]['id'] = $car_id;
        $query_maintain = "SELECT * FROM vehicles_maintenance WHERE V_ID='" . SecurityFilter($car_id) . "'";
        $cursor_maintain = exequery($connection, $query_maintain);
        while ($ROW = mysql_fetch_array($cursor_maintain)) {
            $maintain_id = $ROW['VM_ID'];
            $begin_time = $ROW['VM_BEGIN_TIME'];
            $end_time = $ROW['VM_END_TIME'];
            if ($begin_time != '' && $end_time != '') {
                $info[$car_id]['maintain'][$maintain_id]['begin_time'] = $begin_time;
                $info[$car_id]['maintain'][$maintain_id]['end_time'] = $end_time;
            }
        }
        $query = "SELECT * FROM vehicles_apply WHERE V_ID='" . SecurityFilter($car_id) . "' AND (VA_STUATE='1' OR VA_STUATE='2' OR VA_STUATE='4')";
        $cursor_apply = exequery($connection, $query);
        while ($rows = mysql_fetch_array($cursor_apply)) {
            $apply_id = $rows['VA_ID'];
            $begin_time = $rows['VA_BEGIN_TIME'];
            $end_time = $rows['VA_END_TIME'];
            $apply_person = $this->person_name($rows['VA_PERSON']);
            $state = $rows['VA_STUATE'];
            $info[$car_id]['apply'][$apply_id]['state'] = $state;
            $info[$car_id]['apply'][$apply_id]['begin_time'] = $begin_time;
            $info[$car_id]['apply'][$apply_id]['end_time'] = $end_time;
            $info[$car_id]['apply'][$apply_id]['apply_person'] = $apply_person;
        }
        return json_encode($info[$car_id]);
    }

    /*
      @function:  获取当前月的开始时间和结束时间
      @parameter: $date->     datetime  : 传入时间
      @return:    $ret->      Array     : 时间所在月的开始和结束
     */

    function getMonthRange($date) {
        $ret = array();
        $timestamp = strtotime($date);
        $mdays = date('t', $timestamp);
        $ret['sdate'] = date('Y-m-1 00:00:00', $timestamp);
        $ret['edate'] = date('Y-m-' . $mdays . ' 23:59:59', $timestamp);
        return $ret;
    }

    /*
      @function:  显示冲突车辆
      @return:    $num->          int  :冲突条数
     */

    function show_conflict() {
        global $connection;
        $info = array();
        $id_subnum = "";
        $apply_subnum = "";
        $query_car = "SELECT * FROM vehicles LEFT JOIN vehicles_apply ON vehicles.V_ID=vehicles_apply.V_ID WHERE (VA_STUATE=1 OR VA_STUATE=2)";
        $cursor_car = exequery($connection, $query_car);
        while ($rows = mysql_fetch_array($cursor_car)) {
            $car_id = $rows['V_ID'];
            $car_model = $rows['V_MODEL'];
            $car_num = $rows['V_NUM'];
            $apply_id = $rows['VA_ID'];
            $info[$car_id]['id'] = $rows['V_ID'];
            $info[$car_id]['model'] = $rows['V_MODEL'];
            $info[$car_id]['num'] = $rows['V_NUM'];
            $info[$car_id]['buy_date'] = $rows['V_DATE'];
            $info[$car_id]['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
            $info[$car_id]['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            $info[$car_id]['apply'][$apply_id]['begin_time'] = $rows['VA_BEGIN_TIME'];
            $info[$car_id]['apply'][$apply_id]['end_time'] = $rows['VA_END_TIME'];
            $info[$car_id]['apply'][$apply_id]['apply_person'] = $this->person_name($rows['VA_PERSON']);
            $info[$car_id]['apply'][$apply_id]['state'] = $rows['VA_STUATE'];
            $info[$car_id]['apply_id'] .= $apply_id . ",";
            $id_subnum .= $car_id . ",";
            $apply_subnum .= $apply_id . ",";
        }
        $info['id_subnum'] = $id_subnum;
        $info['apply_subnum'] = $apply_subnum;
        return $info;
    }

    function compare_date($date) {
        $info = array();
        $id_subnum = explode(",", $date['id_subnum']);
        ;
        $id_num = array_unique($id_subnum);
        $id = "";
        foreach ($id_num as $value) {
            if ($value != '')
                $id .= $value . ",";
        }
        $car_id = explode(",", $id);
        for ($i = 0; $i < count($car_id) - 1; $i++) {
            $apply_id_str = $date[$car_id[$i]]['apply_id'];
            $apply_id = explode(",", $apply_id_str);
            for ($J = 0; $J < count($apply_id) - 1; $J++) {
                $start_time = strtotime($date[$car_id[$i]]['apply'][$apply_id[$J]]['begin_time']);
                $end_time = strtotime($date[$car_id[$i]]['apply'][$apply_id[$J]]['end_time']);
                $state = $date[$car_id[$i]]['apply'][$apply_id[$J]]['state'];
                $apply_person = $date[$car_id[$i]]['apply'][$apply_id[$J]]['apply_person'];
                for ($m = $J + 1; $m < count($apply_id); $m++) {
                    $com_start_time = strtotime($date[$car_id[$i]]['apply'][$apply_id[$m]]['begin_time']);
                    $com_end_time = strtotime($date[$car_id[$i]]['apply'][$apply_id[$m]]['end_time']);
                    $com_state = $date[$car_id[$i]]['apply'][$apply_id[$m]]['state'];
                    $com_apply_person = $date[$car_id[$i]]['apply'][$apply_id[$m]]['apply_person'];
                    if (($start_time >= $com_start_time && $start_time <= $com_end_time) || ($end_time >= $com_start_time && $end_time <= $com_end_time) || ($com_start_time >= $start_time && $com_start_time <= $end_time) || ($com_end_time >= $start_time && $com_end_time <= $end_time)) {
                        if ($state == 2 && $com_state == 2) {

                        } else {
                            $id_str .= $car_id[$i] . ",";
                            $info[$car_id[$i]]['id'] = $date[$car_id[$i]]['id'];
                            $info[$car_id[$i]]['model'] = $date[$car_id[$i]]['model'];
                            $info[$car_id[$i]]['num'] = $date[$car_id[$i]]['num'];
                            $info[$car_id[$i]]['buy_date'] = $date[$car_id[$i]]['buy_date'];
                            $info[$car_id[$i]]['ATTACHMENT_ID'] = $date[$car_id[$i]]['ATTACHMENT_ID'];
                            $info[$car_id[$i]]['ATTACHMENT_NAME'] = $date[$car_id[$i]]['ATTACHMENT_NAME'];
                            $info[$car_id[$i]]['apply'][$apply_id[$J]]['begin_time'] = date("Y-m-d H:i:s", $start_time);
                            $info[$car_id[$i]]['apply'][$apply_id[$J]]['end_time'] = date("Y-m-d H:i:s", $end_time);
                            $info[$car_id[$i]]['apply'][$apply_id[$J]]['apply_person'] = $apply_person;
                            $info[$car_id[$i]]['apply'][$apply_id[$J]]['state'] = $state;
                            $info[$car_id[$i]]['apply'][$apply_id[$m]]['begin_time'] = date("Y-m-d H:i:s", $com_start_time);
                            $info[$car_id[$i]]['apply'][$apply_id[$m]]['end_time'] = date("Y-m-d H:i:s", $com_end_time);
                            $info[$car_id[$i]]['apply'][$apply_id[$m]]['apply_person'] = $com_apply_person;
                            $info[$car_id[$i]]['apply'][$apply_id[$m]]['state'] = $com_state;
                        }
                    }
                }
            }
        }
        $info['car_id'] = $id_str;
        return $info;
    }

    /*
      @function:  显示冲突条数
      @return:    $num->          int  :冲突条数
     */

    function num_conflict() {
        $conflict = array();
        $date = $this->show_conflict();
        $info = $this->compare_date($date);
        $id = explode(",", $info['car_id']);
        $arr = array_unique($id);
        $str = implode(',', $arr);
        $number = count(explode(",", $str));
        $id = explode(",", $str);
        $subnum = 0;
        for ($I = 0; $I < $number - 1; $I++) {
            $car_id = $id[$I];
            $num = count($info[$car_id]['apply']);
            foreach ($info[$car_id]['apply'] as $key => $val) {
                $strid .= $key . ",";
            }
            $subnum += $num;
        }
        $conflict['subnum'] = $subnum;
        $conflict['car_id'] = $strid;
        return $conflict;
    }

    /*
      @function:  日期选择弹出信息
      @parameter: $apply_id->    string  : 申请ID
      @return:    $info->          Array  :详细信息
     */

    function show_date_apply($apply_id) {
        global $connection;
        $info = array();
        $query = "SELECT * FROM  vehicles_apply WHERE VA_ID='" . SecurityFilter($apply_id) . "'";
        $cursor = exequery($connection, $query);
        if ($ROW = mysql_fetch_array($cursor)) {
            $info['apply_id'] = $ROW['VA_ID'];
            $info['apply_dept'] = $ROW['VA_DEPT'];
            $info['apply_person'] = $ROW['VA_PERSON'];
            $info['begin_time'] = $ROW['VA_BEGIN_TIME'];
            $info['end_time'] = $ROW['VA_END_TIME'];
            $info['path_start'] = $ROW['VA_PATH_START'];
            $info['path_end'] = $ROW['VA_PATH_END'];
            $info['reason'] = $ROW['VA_REASON'];
            $info['remark'] = $ROW['VA_REMARK'];
            $info['oil'] = $ROW['VA_OIL'];
            $info['mile'] = $ROW['VA_MILEAGE'];
            $info['check_person'] = $ROW['VA_APPLY_PERSON'];
            $info['check_remark'] = $ROW['VA_APPLY_ADVISE'];
            $info['return_person'] = $ROW['VA_RETURN_PERSON'];
            $info['return_remark'] = $ROW['VA_RETURN_ADVISE'];
            $CAR_ID = $ROW['V_ID'];
            $query_car = "SELECT * FROM vehicles WHERE V_ID='".SecurityFilter($CAR_ID)."'";
            $cursor_car = exequery($connection, $query_car);
            if ($rows = mysql_fetch_array($cursor_car)) {
                $info['model'] = $rows['V_MODEL'];
                $info['num'] = $rows['V_NUM'];
                $info['ATTACHMENT_ID'] = $rows['ATTACHMENT_ID'];
                $info['ATTACHMENT_NAME'] = $rows['ATTACHMENT_NAME'];
            }
        }
        return $info;
    }

    /*
      @function:  判断权限
      @parameter: $apply_id->      int    : 记录ID
      @parameter: $diff->          string : read阅读权限；edit编辑权限；examine审核权限
      @return:    true有权限；false无权限
     */

    function VehicleLimitsPower($apply_id, $diff) {
        global $connection, $_SESSION;
        $LOGIN_USER_ID = $_SESSION['LOGIN_USER_ID'];
        //判断登录人是否有车辆管理权限
        $sql_check = "SELECT COUNT(*) FROM user_priv,USER
						WHERE user.USER_PRIV=user_priv.USER_PRIV
						AND user.USER_ID='" . SecurityFilter($LOGIN_USER_ID) . "'
						AND  INSTR(FUNC_ID_STR,',604,') > 0
						AND user.DEPT_ID > 0";
        $check = exequery($connection, $sql_check);
        if ($row = mysql_fetch_array($check)) {
            $exist = $row[0];
        }
        if ($diff == 'read') {
            $query = "SELECT VA_PERSON,VA_APPLY_PERSON FROM vehicles_apply WHERE VA_ID='" . SecurityFilter($apply_id) . "'";
            $cursor = exequery($connection, $query);
            if ($ROW = mysql_fetch_array($cursor)) {
                $person = $ROW["VA_PERSON"];
                $check_person = $ROW["VA_APPLY_PERSON"];
            }
            if ($person == $LOGIN_USER_ID || $check_person == $LOGIN_USER_ID || $exist > 0)
                return true;
            else
                return false;
        }
        else if ($diff == 'edit') {
            $query = "SELECT VA_PERSON FROM vehicles_apply WHERE VA_ID='" . SecurityFilter($apply_id) . "'";
            $cursor = exequery($connection, $query);
            if ($ROW = mysql_fetch_array($cursor)) {
                $person = $ROW["VA_PERSON"];
            }
            if ($person == $LOGIN_USER_ID)
                return true;
            else
                return false;
        }
        else if ($diff == 'examine') {
            $query = "SELECT VA_APPLY_PERSON FROM vehicles_apply WHERE VA_ID='" . SecurityFilter($apply_id) . "'";
            $cursor = exequery($connection, $query);
            if ($ROW = mysql_fetch_array($cursor)) {
                $check_person = $ROW["VA_APPLY_PERSON"];
            }
            if ($check_person == $LOGIN_USER_ID)
                return true;
            else
                return false;
        }
    }

    /*
      @function:  查找单条数据
      @parameter: $tablename->    string: 数据库表名
      @parameter: $dataId->       string: 数据ID
      @return:    $dataInfor->    array : 字段数组
     */

    function vehicesSearchSingleData($tablename, $consql) {
        global $connection;
        $sql = "SELECT * FROM " . SecurityFilter($tablename) . " WHERE 1 " . $consql;
        $rs = exequery($connection, $sql);
        if ($row = mysql_fetch_assoc($rs)) {
            $dataInfor = $row;
        }
        return $dataInfor;
    }

    /*
      @function:  查找多条数据
      @parameter: $tablename->    string: 数据库表名
      @parameter: $dataId->       string: 数据ID
      @return:    $dataInfor->    array : 字段数组
     */

    function vehicesSearchManyData($tablename, $sql) {
        global $connection;
        $sql = "SELECT * FROM " . SecurityFilter($tablename) . " WHERE 1 " . $sql;
        $rs = exequery($connection, $sql);
        while ($row = mysql_fetch_assoc($rs)) {
            $dataInfor[] = $row;
        }
        return $dataInfor;
    }

    /*
      @function:  新建数据（新）
      @parameter: $tablename->    string: 数据库表名
      @parameter: $dataId->       string: 数据ID
      @return:    $dataInfor->    array : 字段数组
     */

    function vehicles_CreateData($dataInfor, $tablename) {
        global $connection;
        switch ($tablename) {
            case "vehicles_apply":
                $sql = "INSERT INTO vehicles_apply (
						  V_ID,
						  VA_DEPT,
						  VA_PERSON,
						  VA_APPLY_PERSON,
						  VA_BEGIN_TIME,
						  VA_END_TIME,
						  VA_MILEAGE,
						  VA_OIL,
						  VA_REASON,
						  VA_REMARK,
						  VA_STUATE,
						  SMS_REMIND,
						  SMSTEL_REMIND,
						  EMAIL_REMIND,
						  VA_PATH_START,
						  VA_PATH_END,
						  VA_RECORD_END_TIME
						)
						VALUES
						  (
							'" . SecurityFilter($dataInfor["V_ID"]) . "',
							'" . SecurityFilter($dataInfor["VA_DEPT"]) . "',
							'" . SecurityFilter($dataInfor["VA_PERSON"]) . "',
							'" . SecurityFilter($dataInfor["VA_APPLY_PERSON"]) . "',
							'" . SecurityFilter($dataInfor["VA_BEGIN_TIME"]) . "',
							'" . SecurityFilter($dataInfor["VA_END_TIME"]) . "',
							'" . SecurityFilter($dataInfor["VA_MILEAGE"]) . "',
							'" . SecurityFilter($dataInfor["VA_OIL"]) . "',
							'" . SecurityFilter($dataInfor["VA_REASON"]) . "',
							'" . SecurityFilter($dataInfor["VA_REMARK"]) . "',
							'" . SecurityFilter($dataInfor["VA_STUATE"]) . "',
							'" . SecurityFilter($dataInfor["SMS_REMIND"]) . "',
							'" . SecurityFilter($dataInfor["SMSTEL_REMIND"]) . "',
							'" . SecurityFilter($dataInfor["EMAIL_REMIND"]) . "',
							'" . SecurityFilter($dataInfor["VA_PATH_START"]) . "',
							'" . SecurityFilter($dataInfor["VA_PATH_END"]). "',
							'" . SecurityFilter($dataInfor["VA_RECORD_END_TIME"]) . "'
						  )";
                break;
        }
        exequery($connection, $sql);
        $insertid = mysql_insert_id();
        return $insertid;
    }

    /*
      @function:  编辑数据（新）
      @parameter: $tablename->    string: 数据库表名
      @parameter: $dataId->       string: 数据ID
      @return:    $dataInfor->    array : 字段数组
     */

    function vehicles_EditData($dataInfor, $tablename, $editid) {
        global $connection;
        switch ($tablename) {
            case "vehicles_apply":
                $sql = "UPDATE vehicles_apply SET V_ID='" . SecurityFilter($dataInfor['V_ID']) . "',VA_APPLY_PERSON='" . SecurityFilter($dataInfor['VA_APPLY_PERSON']) . "',VA_DEPT='" . SecurityFilter($dataInfor['VA_DEPT']) . "',VA_PERSON='" . SecurityFilter($dataInfor['VA_PERSON']) . "',VA_BEGIN_TIME='" . SecurityFilter($dataInfor["VA_BEGIN_TIME"]) . "',VA_END_TIME='" . SecurityFilter($dataInfor["VA_END_TIME"]) . "',VA_MILEAGE='" . SecurityFilter(dhtmlspecialchars($dataInfor['VA_MILEAGE'])) . "',VA_OIL='" . SecurityFilter(dhtmlspecialchars($dataInfor['VA_OIL'])) . "',VA_REASON='" . SecurityFilter($dataInfor['VA_REASON']) . "',VA_REMARK='" . SecurityFilter($dataInfor['VA_REMARK']) . "',VA_PATH_START='" . SecurityFilter(dhtmlspecialchars($dataInfor['VA_PATH_START'])) . "',VA_PATH_END='" . SecurityFilter(dhtmlspecialchars($dataInfor['VA_PATH_END'])) . "',SMS_REMIND='" . SecurityFilter($dataInfor['SMS_REMIND']) . "',SMSTEL_REMIND='" . SecurityFilter($dataInfor['SMSTEL_REMIND']) . "',EMAIL_REMIND='" . SecurityFilter($dataInfor['EMAIL_REMIND']) . "',VA_RECORD_END_TIME='" . SecurityFilter($dataInfor["VA_RECORD_END_TIME"]) . "' WHERE VA_ID='" . SecurityFilter($editid) . "'";
                break;
        }
        exequery($connection, $sql);
        return $editid;
    }

    //修改
    function vehicles_ChangeData($tablename, $con_sql) {
        global $connection;
        $sql = "UPDATE " . SecurityFilter($tablename) . $con_sql;
        $curose = exequery($connection, $sql);
        if ($curose) {
            return true;
        } else {
            return false;
        }
    }

    //获取某个菜单权限的所有人
    function getVeicleMangerUsers($func_id) {
        global $connection;
        $sql = "SELECT USER_PRIV FROM `user_priv` where find_in_set('" . SecurityFilter($func_id) . "',FUNC_ID_STR)";
        $curose = exequery($connection, $sql);
        $dataInfor = array();
        while ($row = mysql_fetch_assoc($curose)) {
            $dataInfor[] = $row['USER_PRIV'];
        }

        $privs = implode(",", $dataInfor);

        $sql2 = "SELECT * FROM `user` where (USER_PRIV in (" . SecurityFilter($privs) . ") or USER_SUB_PRIV in (" . SecurityFilter($privs) . ")) and dept_id >0  ";
        $curose2 = exequery($connection, $sql2);
        $dataInfor2 = array();
        while ($row = mysql_fetch_assoc($curose2)) {
            $dataInfor2[] = $row['USER_ID'];
        }

        return implode(",", $dataInfor2);
    }

    //删除所有满足条件的消息
    function deletedNewsByWhere($TABLE_NAME,$TABLE_ID,$SMS_TYPE){
        global $connection;
        $sql = "delete FROM `sms` where TABLE_NAME = '".SecurityFilter($TABLE_NAME)."' and TABLE_ID = '".SecurityFilter($TABLE_ID)."' and SMS_TYPE = '".SecurityFilter($SMS_TYPE)."'" ;
        return exequery($connection, $sql);
    }

    function getMainTypeName($CC_VALUE){
        global $connection;
        $sql = "SELECT CC_NAME FROM combocox_child WHERE 1 AND CC_PARENT_ID=10 AND CC_VALUE = '".SecurityFilter($CC_VALUE)."'";
        $curose = exequery($connection, $sql);
        if(@$row = mysql_fetch_assoc($curose)){
            return $row['CC_NAME'];
        }else{
            return false;
        }
    }

}

?>