<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      计划的API文件
 * @encoding      $_lang['encoding']
 * @name
 * @version       1
 * @author        Weaver|www.weaver.com.cn
*/
include_once('inc/utility_all.php');
class workplan{
	var $default_limit = 20;
	var $default_start = 0;
	private $deptid;
	private $uesrpriv;
	private $userid;
	private $curdate;

	//构造函数
	function __construct($userinfo=array()){
		global $connection;
		if($userinfo["user_id"]=="")
		{
			$this->userid = $_SESSION["LOGIN_USER_ID"];
		}
		else
		{
			$this->userid = $userinfo["user_id"];
		}
		$this->userId = SecurityFilter($this->userId);
		if($this->userid){
			$sql = "SELECT DEPT_ID,USER_PRIV FROM user WHERE USER_ID='".$this->userid."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$this->deptid   = $row["DEPT_ID"];
			$this->uesrpriv = $row["USER_PRIV"];
		}
		$this->curdate = date("Y-m-d",time());
	}
	//新建
	function createNewData($dataInfor,$tablename){
		global $connection;
		switch($tablename){
			case "work_plan":
				$sql = "INSERT INTO work_plan (
						  NAME,
						  CONTENT,
						  BEGIN_DATE,
						  END_DATE,
						  TYPE,
						  TO_ID,
						  MANAGER,
						  PARTICIPATOR,
						  CREATOR,
						  CREATE_DATE,
						  ATTACHMENT_ID,
						  ATTACHMENT_NAME,
						  ATTACHMENT_COMMENT,
						  REMARK,
						  OPTIONSTATE,
						  BEGIN_TIME,
						  END_TIME,
						  LABELSTR
						)
						VALUES
						  (
							'".SecurityFilter($dataInfor["NAME"])."',
							'".SecurityFilter($dataInfor["CONTENT"])."',
							'".SecurityFilter($dataInfor["BEGIN_DATE"])."',
							'".SecurityFilter($dataInfor["END_DATE"])."',
							'".SecurityFilter($dataInfor["TYPE"])."',
							'".SecurityFilter($dataInfor["TO_ID"])."',
							'".SecurityFilter($dataInfor["MANAGER"])."',
							'".SecurityFilter($dataInfor["PARTICIPATOR"])."',
							'".SecurityFilter($dataInfor["CREATOR"])."',
							'".SecurityFilter($dataInfor["CREATE_DATE"])."',
							'".SecurityFilter($dataInfor["ATTACHMENT_ID"])."',
							'".SecurityFilter($dataInfor["ATTACHMENT_NAME"])."',
							'".SecurityFilter($dataInfor["ATTACHMENT_COMMENT"])."',
							'".SecurityFilter($dataInfor["REMARK"])."',
							'".SecurityFilter($dataInfor["OPTIONSTATE"])."',
							'".SecurityFilter($dataInfor["BEGIN_TIME"])."',
							'".SecurityFilter($dataInfor["END_TIME"])."',
							'".SecurityFilter($dataInfor["LABELSTR"])."'
						  )";
			break;
		}
		exequery($connection,$sql);
		$insertid = mysql_insert_id();
		return $insertid;
	}
	//编辑
	function planEditData($dataInfor,$tablename,$dataId){
		global $connection;
		switch($tablename){
			case "work_plan":
				$sql = "UPDATE
						  work_plan
						SET
						  NAME = '".SecurityFilter($dataInfor["NAME"])."',
						  CONTENT = '".SecurityFilter($dataInfor["CONTENT"])."',
						  BEGIN_DATE = '".SecurityFilter($dataInfor["BEGIN_DATE"])."',
						  END_DATE = '".SecurityFilter($dataInfor["END_DATE"])."',
						  TYPE = '".SecurityFilter($dataInfor["TYPE"])."',
						  TO_ID = '".SecurityFilter($dataInfor["TO_ID"])."',
						  MANAGER = '".SecurityFilter($dataInfor["MANAGER"])."',
						  PARTICIPATOR = '".SecurityFilter($dataInfor["PARTICIPATOR"])."',
						  CREATOR = '".SecurityFilter($dataInfor["CREATOR"])."',
						  ATTACHMENT_ID = '".SecurityFilter($dataInfor["ATTACHMENT_ID"])."',
						  ATTACHMENT_NAME = '".SecurityFilter($dataInfor["ATTACHMENT_NAME"])."',
						  ATTACHMENT_COMMENT = '".SecurityFilter($dataInfor["ATTACHMENT_COMMENT"])."',
						  REMARK = '".SecurityFilter($dataInfor["REMARK"])."',
						  OPTIONSTATE = '".SecurityFilter($dataInfor["OPTIONSTATE"])."',
						  BEGIN_TIME = '".SecurityFilter($dataInfor["BEGIN_TIME"])."',
						  LABELSTR = '".SecurityFilter($dataInfor["LABELSTR"])."',
						  END_TIME = '".SecurityFilter($dataInfor["END_TIME"])."'
						WHERE PLAN_ID = '".SecurityFilter($dataId)."' ";
			break;
		}
		$curose = exequery($connection,$sql);
		if($curose){
			return true;
		}else{
			return false;
		}
	}
	//修改
	function planChangeData($tablename,$con_sql){
		global $connection;
		$sql = "UPDATE ".$tablename.$con_sql;
		$curose = exequery($connection,$sql);
		if($curose){
			return true;
		}else{
			return false;
		}
	}
	//计划列表
	function planListShowData($order,$sens,$limit_s="",$limit_e="",$quickSortParam,$where_array=array()){
		global $connection;
		$infor = array();
		$search_all    = "SELECT * FROM";
		$search_count  = "SELECT COUNT(*) FROM";
		$this->deptid = SecurityFilter($this->deptid);
		$query = " work_plan WHERE 1 AND (CREATOR='".$this->userid."' OR FIND_IN_SET('".$this->userid."',MANAGER) OR FIND_IN_SET('".$this->userid."',PARTICIPATOR) OR FIND_IN_SET('".$this->deptid."',TO_ID))";
		switch ($quickSortParam){
			case "myCreate":
				$query = " work_plan WHERE 1 AND CREATOR='".$this->userid."'";
			break;
			case "myManage":
				$query = " work_plan WHERE 1 AND FIND_IN_SET('".$this->userid."',MANAGER)";
			break;
			case "myin":
				$query = " work_plan WHERE 1 AND (FIND_IN_SET('".$this->userid."',PARTICIPATOR) OR FIND_IN_SET('".$this->deptid."',TO_ID))";
			break;
		}
		if(!empty($where_array)){
			foreach($where_array as $key=>$value)
			{
				/*if($key == "TYPE_NAME")
				{
					//$query .= " AND TYPE_NAME LIKE'%".$value."%'";
				}*/
			}
		}
		switch ($quickSortParam)
		{
			case "D-1" :
				$query .= " AND (DATE_FORMAT(BEGIN_DATE,'%Y-%m-%d')=CURDATE() OR DATE_FORMAT(END_DATE,'%Y-%m-%d')=CURDATE() OR (CURDATE() BETWEEN DATE_FORMAT(BEGIN_DATE,'%Y-%m-%d') AND DATE_FORMAT(END_DATE,'%Y-%m-%d')))";
				break;
			case "W-1" :
				$query .= " AND (YEARWEEK(BEGIN_DATE,1)=YEARWEEK(NOW(),1) OR YEARWEEK(END_DATE,1)=YEARWEEK(NOW(),1))";
				break;
			case "M-1" :
				//$query .= " AND ((MONTH(DATE_FORMAT(A_BEGIN_TIME,'%Y-%m-%d'))=MONTH(CURDATE()) OR MONTH(DATE_FORMAT(A_END_TIME,'%Y-%m-%d'))=MONTH(CURDATE())))";
				$query .= " AND (DATE_FORMAT(BEGIN_DATE,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m') OR DATE_FORMAT(END_DATE,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m'))";
				break;
		}
		$query .= " ORDER BY ".SecurityFilter($order)." ".SecurityFilter($sens);
		$count  = $search_count.$query;
		$infor['resultCount'] = $this->Getsumnumber($count);
		if($limit_s>=$infor['resultCount'])
		{
			$limit_s = max(0,$limit_s-$limit_e);
		}
		if($limit_s>=0 && $limit_e!=""){
			$query .= " limit ".SecurityFilter($limit_s).",".SecurityFilter($limit_e);
		}
		$search = $search_all.$query;
		$cursor = exequery($connection,$search);
		while($row = mysql_fetch_assoc($cursor)){
			$infor[] = $row;
		}
		return 	$infor;
	}
	//删除
	function planDeleteData($tablename,$sql){
		global $connection;
		$sql = "DELETE FROM ".SecurityFilter($tablename)." WHERE 1 ".$sql;
		$curose = exequery($connection,$sql);
		if($curose){
			return true;
		}else{
			return false;
		}
	}
	//查询单个数据
	function planGetSingleData($tablename,$consql){
		global $connection;
		$dataInfor = array();
		$sql = "SELECT * FROM ".SecurityFilter($tablename)." WHERE 1".$consql;
		$rs = exequery($connection,$sql);
		if($row = mysql_fetch_assoc($rs)){
			$dataInfor = $row;
		}
		return $dataInfor;
	}
	/*
	@function:  查找多条数据
	@parameter: $tablename->    string: 数据库表名
	@return:    $dataInfor->    array : 字段数组
	*/
	function workplanSearchManyData($tablename,$sql){
		global $connection;
		$sql = "SELECT * FROM ".SecurityFilter($tablename)." WHERE 1 ".$sql;
		$rs = exequery($connection,$sql);
		while($row = mysql_fetch_assoc($rs)){
			$dataInfor[] = $row;
		}
		return $dataInfor;
	}
	/*
	@function:  产生数据总数
	@parameter: $query->          string : 查询语句
	@return:    $resultCount->    string ：总数
	*/
	private function Getsumnumber($query)
	{
		global $connection;
		$getCountResult = exequery($connection, $query);
		if ($getCountRow = mysql_fetch_array($getCountResult))
		{
			$resultCount = $getCountRow[0];
		}
		if($resultCount=="")
		{
			return 0;
		}
		else
		{
			return $resultCount;
		}
	}
}
?>