<?
/**
*@Systemname:       E-Office
*@Filename:         
*@Function:         电信MAS机配置
*@Encoding:         $_lang['encoding']
*@Author:           www.weaver.com.cn
*@Date:             2014-12-10
*@File Version:     1.0
*@Eoffice Version:  9.0
*/
//加载语言
include_once("inc/conn.php");
include_once("building/function.php");
include_once("inc/oa_config.php");

$configdir = ROOT_PATH.DIRECTORY_SEPARATOR."building".DIRECTORY_SEPARATOR."backmgr".DIRECTORY_SEPARATOR."urlpage".DIRECTORY_SEPARATOR."mobileurl".DIRECTORY_SEPARATOR."configfile";
$configfile = $configdir.DIRECTORY_SEPARATOR."qc_config.ini";
$ini_array  = @parse_ini_file($configfile);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script>
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 2000;

	setVariables();
})

function setVariables() {

}

function saveConfig() {
	var url    = "do_qc.php";
	var weburl = $.trim($("#WEBURL").val());
	var systemecid   = $.trim($("#SYSTEMECID").val());
	var systemappid  = $.trim($("#SYSTEMAPPID").val());
	var systemexcode = $.trim($("#SYSTEMEXCODE").val());
	var data = "WEBURL="+weburl+"&SYSTEMECID="+systemecid+"&SYSTEMAPPID="+systemappid+"&SYSTEMEXCODE="+systemexcode;	
	
	if(weburl == '')
	{
		$.pnotify({
			text:'服务端地址不能为空',
			type:'error'
		});
		return false;
	}

	$('#form1').ajaxSubmit({
		success:function(resp)
		{
			if(resp)
			{
				$.pnotify({
					text:'保存成功',
					type:'success'
				});
			}
		}
	});
}
</script>
</head>
<body>
<form method="post" name="form1" id="form1" action="config_do.php?SMSMETHOD=telmas"> 
	<table border="0" cellpadding="5" cellspacing="0" class="form_table">
		<tr>
			<td nowrap class="title">Webservice服务端地址</td>
			<td>
				<input id="WEBURL" name="WEBURL" type="text" size="50" value="<?=$ini_array['WEBURL']?>">
			</td>
		</tr>
		<tr>
			<td nowrap class="title">企业ECID</td>
			<td>
				<input id="SYSTEMECID" name="SYSTEMECID" type="text" size="50" value="<?=$ini_array['SYSTEMECID']?>">
			</td>
		</tr>
		<tr>
			<td nowrap class="title">企业应用标识</td>
			<td>
				<input id="SYSTEMAPPID" name="SYSTEMAPPID" type="text" size="50" value="<?=$ini_array['SYSTEMAPPID']?>">
			</td>
		</tr>
		<tr>
			<td nowrap class="title">扩展码</td>
			<td>
				<input id="SYSTEMEXCODE" name="SYSTEMEXCODE" type="text" size="50" value="<?=$ini_array['SYSTEMEXCODE']?>">
			</td>
		</tr>
	</table>
</form> 
</body>
</html>