<?
/**
*@Systemname:       E-Office
*@Filename:         
*@Function:         嘉讯mas配置页面
*@Encoding:         $_lang['encoding']
*@Author:           www.weaver.com.cn
*@Date:             2008-6-16
*@File Version:     2.0
*@Eoffice Version:  7.6
*/
//加载语言
include_once("inc/conn.php");
include_once("building/function.php");
include_once("inc/oa_config.php");

$configdir = ROOT_PATH.DIRECTORY_SEPARATOR."building".DIRECTORY_SEPARATOR."backmgr".DIRECTORY_SEPARATOR."urlpage".DIRECTORY_SEPARATOR."mobileurl".DIRECTORY_SEPARATOR."configfile";
$configfile = $configdir.DIRECTORY_SEPARATOR."jx2_config.ini";
$ini_array  = @parse_ini_file($configfile);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script>
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 2000;
});

function saveConfig(){
	var spIp = $.trim($('#SP_IP').val());
	var spDb = $.trim($('#SP_DB').val());
	var spUser = $.trim($('#SP_USER').val());
	if (spIp == ""){
		$.pnotify({
			text:'请设置短信服务器IP！',
			type:'error'
		});
		$('#SP_IP').focus();
		return false;
	}
	if (spDb == ""){
		$.pnotify({
			text:'请设置数据库名！',
			type:'error'
		});
		$('#SP_DB').focus();
		return false;
	}
	if (spUser == ""){
		$.pnotify({
			text:'请设置数据库用户名！',
			type:'error'
		});
		$('#SP_USER').focus();
		return false;
	}
	$('#form1').ajaxSubmit({
		success:function(resp)
		{
			if(resp)
			{
				$.pnotify({
					text:'保存成功',
					type:'success'
				});
			}
		}
	});
}

function checkConDB(){
	var spIp = $.trim($('#SP_IP').val());
	var spDb = $.trim($('#SP_DB').val());
	var spUser  = $.trim($('#SP_USER').val());
	var SP_PASS = $.trim($('#SP_PASS').val());
	var DB_PT   = $.trim($('#DB_PT').val());
	if (spIp == ""){
		$.pnotify({
			text:'请设置短信服务器IP！',
			type:'error'
		});
		$('#SP_IP').focus();
		return false;
	}
	if (spDb == ""){
		$.pnotify({
			text:'请设置数据库名！',
			type:'error'
		});
		$('#SP_DB').focus();
		return false;
	}
	if (spUser == ""){
		$.pnotify({
			text:'请设置数据库用户名！',
			type:'error'
		});
		$('#SP_USER').focus();
		return false;
	}
	
	var url = "connect_do.php";
	$.ajax({
		type:"POST",
		url:url,
		data:"type=jxmas&SP_IP="+spIp+"&SP_DB="+spDb+"&SP_USER="+spUser+"SP_PASS="+SP_PASS+"DB_PT="+DB_PT,
		success:function(resp)
		{
			if(resp)
			{
				var jsonData = $.parseJSON(resp);
				$.pnotify({
					text:jsonData.STRCONTENT,
					type:jsonData.STRTYPE
				});
			}
			else
			{
				$.pnotify({
					text:'请检查系统是否开通连接mssql数据库配置',
					type:'error'
				});
			}		
		}
	});
}
</script>
</head>
<body>
<form action="config_do.php?SMSMETHOD=jxmas"  method="post" name="form1" id="form1"> 
<table border="0" cellpadding="3" cellspacing="1" class="form_table">
	<tr>
		<td class="title">IP地址</td>
		<td>
			<input id="SP_IP" name="sip" type="text" size="30" value="<?=$ini_array['sip']?>">
		</td>
	</tr>
	<tr>
		<td class="title">端口</td>
		<td>
			<input id="DB_PT" name="sport" type="text" size="30" value="<?=$ini_array['sport']?>">
		</td>
	</tr>

	<tr>
		<td class="title">数据库名</td>
		<td>
			<input id="SP_DB" name="sdbbase" type="text" size="30" value="<?=$ini_array['sdbbase']?>">
		</td>
	</tr>
	<tr>
		<td class="title">用户名</td>
		<td>
			<input id="SP_USER" name="sdbuser" type="text" size="30" value="<?=$ini_array['sdbuser']?>">
		</td>
	</tr>
	<tr>
		<td class="title">密码</td>
		<td>
			<input id="SP_PASS" name="sdbpassword" type="password" size="30" value="<?=$ini_array['sdbpassword']?>">
		</td>
	</tr>
	<tr>
		<td class="title">数据表名</td>
		<td>
			<input name="sdbtable" type="text" size="30" value="<?=$ini_array['sdbtable']?>">
		</td>
	</tr>
	<tr>
		<td class="title">extcode</td>
		<td>
			<input name="extcode" type="text" size="30" value="<?=$ini_array['extcode']?>">
		</td>
	</tr>
	<tr>
		<td class="title">applicationid</td>
		<td>
			<input name="applicationid" type="text" size="30" value="<?=$ini_array['applicationid']?>">
		</td>
	</tr>
	<tr>
		<td class="title">reqdeliveryreport</td>
		<td>
			<input name="reqdeliveryreport" type="text" size="30" value="<?=$ini_array['reqdeliveryreport']?>">
		</td>
	</tr>
	<tr>
		<td class="title">msgfmt</td>
		<td>
			<input name="msgfmt" type="text" size="30" value="<?=$ini_array['msgfmt']?>">
		</td>
	</tr>
	<tr>
		<td class="title">sendmethod</td>
		<td>
			<input name="sendmethod" type="text" size="30" value="<?=$ini_array['sendmethod']?>">
		</td>
	</tr>
    <tr>
      <td class="title">连接测试</td>
      <td>
      	<button type="button" class="btn btn-primary" onClick="checkConDB();">连接测试</button>
	  </td> 
    </tr>
</table>
</form> 
</body>
</html>