<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice9.x
* @function      流程数据外发--加班或调休
* @encoding      $_lang['encoding']
* @name          builging/config/attend_overtime.php
* @version       9
* @author        lj|www.weaver.com.cn
* @modify        miaochenchen 2017-01-10
* @date          2013-01-31
*/
include_once("inc/oa_config.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("api/attend.class.php");

$attend = new attend();
$rec_data = array();

$rec_data[1]  = stripslashes($_REQUEST["登记人ID"]);
$rec_data[2]  = stripslashes($_REQUEST["登记时间"]);
$rec_data[3]  = stripslashes($_REQUEST["登记人部门"]);
$rec_data[4]  = stripslashes($_REQUEST["登记人角色"]);
$rec_data[5]  = stripslashes($_REQUEST["开始日期"]);
$rec_data[6]  = stripslashes($_REQUEST["开始时间"]);
$rec_data[7]  = stripslashes($_REQUEST["结束日期"]);
$rec_data[8]  = stripslashes($_REQUEST["结束时间"]);
$rec_data[9]  = stripslashes($_REQUEST["申请人名字"]);
$rec_data[10] = stripslashes($_REQUEST["审批人签字"]);
if(isset($_REQUEST["加班原因"])) {
    $rec_data[11] = stripslashes($_REQUEST["加班原因"]);
}elseif(isset($_REQUEST["调休原因"])) {
    $rec_data[11] = stripslashes($_REQUEST["调休原因"]);
}
$rec_data[12] = stripslashes($_REQUEST["RUN_ID"]);
if(isset($_REQUEST["加班小时数"])) {
    $rec_data[13] = stripslashes($_REQUEST["加班小时数"]);
}elseif(isset($_REQUEST["调休小时数"])){
    $rec_data[13] = - stripslashes($_REQUEST["调休小时数"]);
}


$INSERT_STR = get_insert_data($rec_data);

$user_id = $rec_data[1];
$overtime_desc = $rec_data[11];

$start_year = date(Y, strtotime($rec_data[5]));
$start_month = date(n, strtotime($rec_data[5]));
$start_day = date(j, strtotime($rec_data[5]));
$count_start = date(t, strtotime($rec_data[5]));

$end_year = date(Y, strtotime($rec_data[7]));
$end_month = date(n, strtotime($rec_data[7]));
$end_day = date(j, strtotime($rec_data[7]));
$count_end = date(t, strtotime($rec_data[7]));

$among_year = $end_year - $start_year;

if ($among_year >= 2) {
    exit;
}

if(checkdate($start_month,$start_day,$start_year) == false || checkdate($end_month,$end_day,$end_year) == false) {
	exit;
}

if ((strtotime($rec_data[5] . " " . $rec_data[6]) - strtotime($rec_data[7] . " " . $rec_data[8])) >= 0) {
    exit;
}

if($rec_data[11] == '') {
	exit;
}

if($rec_data[5] == '' || $rec_data[6] == '' || $rec_data[7] == '' || $rec_data[8] == '') {
	exit;
}

//插入到加班的表中
INSERT_FLOW_CONNECT($INSERT_STR);

function get_insert_data($form_data) {
    global $connection;

    $table = array("TABLE" => "attend_overtime");
    $overtime_date1 = $form_data[5];
    $overtime_date2 = $form_data[7];
    $overtime_time1 = $form_data[6];
    $overtime_time2 = $form_data[8];

    $overtime_desc = $form_data[11];
    //对请假原因字符的处理
    $overtime_desc = str_replace("＆", "&", $overtime_desc);
    $overtime_desc = str_replace("＃", "#", $overtime_desc);
    $overtime_desc = str_replace("？", "?", $overtime_desc);
	$overtime_desc = str_replace("'","\'",$overtime_desc);

    $formatData = array(
        "USER_ID" => $form_data[1],
        "OVERTIME_COUNTS" => $form_data[13],
        "CREATE_TIME" => $form_data[2],
        "OVERTIME_DATE1" => $overtime_date1,
        "OVERTIME_DATE2" => $overtime_date2,
        "OVERTIME_TIME1" => $overtime_time1,
        "OVERTIME_TIME2" => $overtime_time2,
        "OVERTIME_DESC" => $overtime_desc,
        "RUN_ID" => $form_data[12]
    );
    $reStr = array("connection" => "", "table" => $table, "value" => $formatData);
    return $reStr;
}
?>