<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice9
* @function      动态信息控件数据源--请假记录
* @encoding      $_lang['encoding']
* @name          builging/config/leave_record.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2016-04-31
*/
include_once("inc/conn.php");
// 最大显示行数配置
$lineLimit = "10";
// 列配置
$tableConfig = array(
    // 第一列
    array(
        "请假类型", // 第一列标题
        "{{DATA_3}}" // 第一列内容字段，用{{表字段}}的方式匹配出数据
        ),
    array(
        "开始时间",
        "{{DATA_4}} {{DATA_5}}"
        ),
    array(
        "结束时间",
        "{{DATA_6}} {{DATA_7}}"
        ),
    array(
        "天数",
        "{{DATA_8}}"
        ),
    array(
        "相关流程",
        '<a target="_blank" href="/general/workflow/print/?RUN_ID={{RUN_ID}}&FLOW_ID={{FLOW_ID}}">{{RUN_NAME}}</a>'
        )
    );
// 其他参数
$selfRunId = SecurityFilter($_REQUEST['RUN_ID']);
$flowId    = SecurityFilter($_REQUEST['FLOW_ID']);
if($flowId) {
    $formSql = " SELECT FORM_ID FROM flow_type WHERE flow_id = '".$flowId."'";
    $formRs = exequery($connection,$formSql);
    if($formRow = mysql_fetch_array($formRs)){
        $formId = $formRow["FORM_ID"];
    }
}
// 字段检查
if(!$flowId || !$formId || !$selfRunId || count($tableConfig) < 1 || $lineLimit < 1) {
    echo "出错啦，请检查参数/字段配置！";
    exit();
}
// 生成列表
echo '<table align="center" style="width:100%;" cellpadding="0" cellspacing="0">';
echo '<tr>';
foreach ($tableConfig as $headKey => $headValue) {
    echo '<td>';
    echo $headValue[0];
    echo '</td>';
}
echo '</tr>';
$query = " SELECT RUN_NAME,RUN_ID FROM flow_run WHERE CREATOR = (SELECT CREATOR FROM flow_run WHERE run_id = '".$selfRunId."' AND FLOW_ID = '".$flowId."') AND FLOW_ID = '".$flowId."' AND RUN_ID != '".$selfRunId."' AND IS_EFFECT = '1' ORDER BY RUN_ID DESC LIMIT 0,".$lineLimit;
$rs = exequery($connection,$query);
while($row = mysql_fetch_array($rs)){
    $runId     = $row['RUN_ID'];
    $runName   = $row['RUN_NAME'];
    $runSeq    = $row['RUN_SEQ'];
    $type      = "";
    $startTime = "";
    $endTime   = "";
    $dayNumber = "";
    $sql = " SELECT * FROM zzzz_flow_data_$formId WHERE RUN_ID = '".$runId."'";
    $res = exequery($connection,$sql);
    if($rows = mysql_fetch_assoc($res)) {
        echo "<tr>";
        $rows["RUN_NAME"] = $runName;
        $rows["RUN_SEQ"]  = $runSeq;
        foreach ($tableConfig as $bodyKey => $bodyValue) {
            $tBodyTemplate = $bodyValue[1];
            if($tBodyTemplate) {
                preg_match_all("/{{(.*?)}}+/i", $tBodyTemplate, $matches);
                if(count($matches["1"])) {
                    foreach ($matches["1"] as $matchKey => $matchValue) {
                        $tBodyTemplate = str_replace("{{".$matchValue."}}", $rows[$matchValue], $tBodyTemplate);
                    }
                    echo '<td>';
                    echo $tBodyTemplate;
                    echo '</td>';
                }
            }
        }
        echo "</tr>";
    }
}
echo '</table>';
