<?
/**
* @copyright     http://www.weaver.com.cn/
* @package       eoffice9.x
* @function      流程数据外发会议室申请
* @encoding      $_lang['encoding']
* @name          builging/config/meeting_apply.php
* @version       1.0
* @author        miaochenchen
* @modify
* @date          2016-12-14
*/
include_once("inc/oa_config.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");

$checkType = $_REQUEST["checkType"];

if($checkType) {
    $currentTime = date("Y-m-d H:i:s", time());
    // 新建会议申请
    if($checkType == 'new') {
        //接受数据并组成数组
        $rec_data = array();
        $rec_data[1]  = stripslashes($_REQUEST["申请人"])?getUserIdByUserName(stripslashes($_REQUEST["申请人"])):'';
        $rec_data[2]  = stripslashes($_REQUEST["会议主题"]);
        $rec_data[3]  = stripslashes($_REQUEST["会议室"])?getRoomIdByRoomName(stripslashes($_REQUEST["会议室"])):'';
        $rec_data[4]  = stripslashes($_REQUEST["会议类型"])?getMeetingTypeSortId(stripslashes($_REQUEST["会议类型"])):'';
        $rec_data[5]  = stripslashes($_REQUEST["开始日期"]);
        $rec_data[6]  = stripslashes($_REQUEST["开始时间"]);
        $rec_data[7]  = stripslashes($_REQUEST["结束日期"]);
        $rec_data[8]  = stripslashes($_REQUEST["结束时间"]);
        $rec_data[9]  = stripslashes($_REQUEST["参加人员"]);
        if(!empty($rec_data[9])) {
            $rec_data[9] = explode('|', $rec_data[9]);
            $rec_data[9] = $rec_data[9][1];
        }
        $rec_data[10] = stripslashes($_REQUEST["其他参加"]);
        $rec_data[11] = stripslashes($_REQUEST["申请备注"]);
        $rec_data[12] = stripslashes($_REQUEST["RUN_ID"]);
        // 判断必填项
        $start_year   = date(Y, strtotime($rec_data[5]));
        $start_month  = date(n, strtotime($rec_data[5]));
        $start_day    = date(j, strtotime($rec_data[5]));
        $end_year     = date(Y, strtotime($rec_data[7]));
        $end_month    = date(n, strtotime($rec_data[7]));
        $end_day      = date(j, strtotime($rec_data[7]));
        if($rec_data[1] == '' || $rec_data[2] == '' || $rec_data[3] == '' || $rec_data[5] == '' || $rec_data[6] == '' || $rec_data[7] == '' || $rec_data[8] == '') {
            exit;
        }
        if(checkdate($start_month,$start_day,$start_year) == false || checkdate($end_month,$end_day,$end_year) == false) {
            exit;
        }
        if ((strtotime($rec_data[5] . " " . $rec_data[6]) - strtotime($rec_data[7] . " " . $rec_data[8])) >= 0) {
            exit;
        }
        // 组织即将插入的数据
        $INSERT_STR = get_insert_data($rec_data, $currentTime);
        // 插入数据到会议申请表中
        INSERT_FLOW_CONNECT($INSERT_STR);
    }elseif($checkType == 'approve') {
        $rec_data[1] = stripslashes($_REQUEST["是否批准"]);
        if($rec_data[1] == '批准') {
            $rec_data[1] = 2;
        }elseif($rec_data[1] == '拒绝') {
            $rec_data[1] = 3;
        }
        $rec_data[2] = stripslashes($_REQUEST["审批意见"]);
        $rec_data[3] = stripslashes($_REQUEST["RUN_ID"]);
        if($rec_data[1] == '' || $rec_data[3] == '') {
            exit;
        }
        global $connection;
        $query = "UPDATE meeting_apply SET A_STATE = '".SecurityFilter($rec_data[1])."',A_APPLY_ADVISE = '".SecurityFilter($rec_data[2])."',A_CHECK_TIME = '".$currentTime."' WHERE A_RUN_ID = '".SecurityFilter($rec_data[3])."'";
        exequery($connection, $query);
    }
}

function get_insert_data($form_data, $currentTime) {
    $table = array("TABLE" => "meeting_apply");
    $formatData = array(
        "A_APPLY_PERSON" => $form_data[1],
        "A_SUBJECT"      => $form_data[2],
        "R_ID"           => $form_data[3],
        "A_TYPE"         => $form_data[4],
        "A_BEGIN_TIME"   => $form_data[5].' '.$form_data[6],
		"A_END_TIME"     => $form_data[7].' '.$form_data[8],
        "A_JOIN_PERSON"  => $form_data[9],
        "A_OTHER_JOIN"   => $form_data[10],
        "A_REMARK"       => $form_data[11],
        "A_RUN_ID"       => $form_data[12],
        "A_STATE"        => 1,
        "FALSE_DELETE"   => 0,
        "A_REQUEST_TIME" => $currentTime
    );
    $reStr = array("connection" => "", "table" => $table, "value" => $formatData);
    return $reStr;
}

function getMeetingTypeSortId($meetingTypeName) {
    global $connection;
    $query  = "SELECT CC_NAME FROM combocox_child WHERE CC_PARENT_ID = '11'";
    $res = exequery($connection, $query);
    $data = array();
    $i = 1;
    while($row = mysql_fetch_array($res)) {
        $data[$i] = $row['CC_NAME'];
        $i++;
    };
    return array_search($meetingTypeName,$data);
}

function getRoomIdByRoomName($roomName) {
    $roomName = SecurityFilter($roomName);
    global $connection;
    $query  = "SELECT R_ID FROM meeting_rooms WHERE R_NAME = '$roomName'";
    $res = exequery($connection, $query);
    while($row = mysql_fetch_array($res)) {
        return $row['R_ID'];
    };
}

function getUserIdByUserName($userName) {
    $userName = SecurityFilter($userName);
    global $connection;
    $query  = "SELECT USER_ID FROM user WHERE USER_NAME = '$userName'";
    $res = exequery($connection, $query);
    while($row = mysql_fetch_array($res)) {
        return $row['USER_ID'];
    };
}
?>