<?
/**
* @copyright     http://www.weaver.com.cn/
* @package       eoffice9.x
* @function      流程数据外发办公用品申请
* @encoding      $_lang['encoding']
* @name          builging/config/office_supplies_apply.php
* @version       1.0
* @author        miaochenchen
* @modify
* @date          2016-12-15
*/
include_once("inc/oa_config.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");

$checkType = $_REQUEST["checkType"];

if($checkType) {
    // 新建办公用品申请
    if($checkType == 'new') {
        //接受数据并组成数组
        $rec_data = array();
        $rec_data[1]  = stripslashes($_REQUEST["申请人"])?getUserIdByUserName(stripslashes($_REQUEST["申请人"])):'';
        $rec_data[2]  = stripslashes($_REQUEST["办公用品"])?getOfficeItemIdByName(stripslashes($_REQUEST["办公用品"])):'';
        $rec_data[3]  = SecurityFilter(stripslashes($_REQUEST["使用数量"]));
        $rec_data[4]  = SecurityFilter(stripslashes($_REQUEST["使用日期"]));
        $rec_data[5]  = SecurityFilter(stripslashes($_REQUEST["归还日期"]));
        $rec_data[6]  = stripslashes($_REQUEST["使用类别"])?getSortId(stripslashes($_REQUEST["使用类别"]), 39):'';
        $rec_data[7]  = stripslashes($_REQUEST["领取方式"])?getSortId(stripslashes($_REQUEST["领取方式"]), 40):'';
        $rec_data[8]  = SecurityFilter(stripslashes($_REQUEST["说明"]));
        $rec_data[9]  = SecurityFilter(stripslashes($_REQUEST["RUN_ID"]));
        $rec_data[10] = SecurityFilter(stripslashes($_REQUEST["使用方式"]));
        if($rec_data[10] && $rec_data[10] == '借用') {
            if(empty($rec_data[5])){
                exit;
            }else{
                $return_year     = date(Y, strtotime($rec_data[5]));
                $return_month    = date(n, strtotime($rec_data[5]));
                $return_day      = date(j, strtotime($rec_data[5]));
                if(checkdate($return_month,$return_day,$return_year) == false) {
                    exit;
                }
            }
            if ((strtotime($rec_data[4]) - strtotime($rec_data[5])) > 0) {
                exit;
            }
            $rec_data[11] = 2;
        }else{
            $rec_data[11] = 1;
        }
        // 判断必填项
        $use_year   = date(Y, strtotime($rec_data[4]));
        $use_month  = date(n, strtotime($rec_data[4]));
        $use_day    = date(j, strtotime($rec_data[4]));
        if($rec_data[1] == '' || $rec_data[2] == '' || $rec_data[3] == '' || $rec_data[4] == '' || $rec_data[6] == '' || $rec_data[7] == '') {
            exit;
        }
        if(checkdate($use_month,$use_day,$use_year) == false) {
            exit;
        }
        // 组织即将插入的数据
        $INSERT_STR = get_insert_data($rec_data);
        // 插入数据到办公用品申请表中
        INSERT_FLOW_CONNECT($INSERT_STR);
    }elseif($checkType == 'approve') {
        // 审批办公用品申请
        global $connection;
        $rec_data[1] = SecurityFilter(stripslashes($_REQUEST["是否批准"]));
        $rec_data[2] = SecurityFilter(stripslashes($_REQUEST["审批意见"]));
        $rec_data[3] = SecurityFilter(stripslashes($_REQUEST["RUN_ID"]));
        $rec_data[4] = SecurityFilter(stripslashes($_REQUEST["使用数量"]));
        $rec_data[5] = SecurityFilter(stripslashes($_REQUEST["办公用品"])?getOfficeItemIdByName(stripslashes($_REQUEST["办公用品"])):'');
        if($rec_data[1] == '' || $rec_data[3] == '' || $rec_data[4] == '' || $rec_data[5] == '') {
            exit;
        }
        if($rec_data[1] == '批准') {
            $query  = "update officeitem_take set STATUS=2,APPROVE_NOTE='".$rec_data[2]."' where RUN_ID=".$rec_data[3];
            exequery($connection, $query);
            //更新总库存数量
            $updateQuery = "update officeitem_appellation set STOCKPILE=STOCKPILE-".$rec_data[4]." where APPELLATION_ID=".$rec_data[5];
            exequery($connection, $updateQuery);
        }elseif($rec_data[1] == '拒绝') {
            $query  = "update officeitem_take set STATUS=1,APPROVE_NOTE='".$rec_data[2]."' where RUN_ID=".$rec_data[3];
            exequery($connection, $query);
        }
    }elseif($checkType == 'return') {
        // 归还办公用品
        $usingWay = SecurityFilter(stripslashes($_REQUEST["使用方式"]));
        if($usingWay && $usingWay == '借用' && $_REQUEST["是否批准"] == '批准') {
            global $connection;
            $sql = "SELECT * FROM officeitem_take ot,officeitem_appellation oa WHERE 1 AND ot.APPELLATION_ID=oa.APPELLATION_ID AND ot.RUN_ID='".SecurityFilter($_REQUEST["RUN_ID"])."'";
            $res = exequery($connection,$sql);
            if($row = mysql_fetch_array($res))
            {
                $totalAmount = $row["TAKE_AMOUNT"]+$row["STOCKPILE"];
                $query = "UPDATE officeitem_appellation oa,officeitem_take ot SET oa.STOCKPILE='".$totalAmount."',ot.CONCEAL='1' WHERE 1 AND ot.APPELLATION_ID=oa.APPELLATION_ID AND ot.RUN_ID='".SecurityFilter($_REQUEST["RUN_ID"])."'";
                exequery($connection,$query);
            }
        }
    }
}

function get_insert_data($form_data) {
    global $connection;
    $table = array("TABLE" => "officeitem_take");
    $date   = date("Ymd");
    $sql    = "SELECT MAX(STOREROOM_ID) FROM officeitem_joinstoreroom";
    $cursor = exequery($connection, $sql);
    if($row = mysql_fetch_row($cursor)) {
        $storeroomId    = $row[0] + 1;
    }
    $query = "SELECT * FROM officeitem_sort WHERE 1 AND SORT_ID='".SecurityFilter($form_data[2])."'";
    $res   = exequery($connection,$query);
    if($row = mysql_fetch_array($res))
    {
        $sortNum = $row["SORT_NUMBER"] != ""?$row["SORT_NUMBER"]:"";
    }
    $itemNum = $sortNum.$date.$storeroomId;
    $sqls = "SELECT * FROM officeitem_take WHERE 1 AND TAKE_BILL='".$itemNum."'";
    $rss  = exequery($connection,$sqls);
    $rows = mysql_fetch_array($rss);

    $querys = "SELECT MAX(TAKE_BILL) AS MBILL FROM officeitem_take";
    $ress   = exequery($connection,$querys);
    if($ROW = mysql_fetch_array($ress))
    {
        $MBILL = $ROW["MBILL"];
    }
    $itemNum = !$rows?$itemNum:($MBILL+1);
    $formatData = array(
        "TAKE_BILL"      => $itemNum,
        "TAKE_OPERATOR"  => $form_data[1],
        "APPELLATION_ID" => $form_data[2],
        "TAKE_AMOUNT"    => $form_data[3],
        "TAKE_DATE"      => $form_data[4],
        "MODE_TIME"      => $form_data[5]?$form_data[5]:'0000-00-00 00:00:00',
		"USAGE_TYPE"     => $form_data[6],
        "PAYMENT_MODES"  => $form_data[7],
        "EXPLAINS"       => $form_data[8],
        "RUN_ID"         => $form_data[9],
        "STATUS"         => 0,
        "MODES"          => $form_data[11]
    );
    $reStr = array("connection" => "", "table" => $table, "value" => $formatData);
    return $reStr;
}

function getSortId($name, $parentId) {
    global $connection;
    $query  = "SELECT CC_VALUE FROM combocox_child WHERE CC_PARENT_ID = '".SecurityFilter($parentId)."' AND CC_NAME = '".SecurityFilter($name)."'";
    $res = exequery($connection, $query);
    $row = mysql_fetch_array($res);
    return $row['CC_VALUE'];
}

function getOfficeItemIdByName($name) {
    global $connection;
    $officeItemQuery = "SELECT APPELLATION_ID FROM officeitem_appellation WHERE APPELLATION = '".SecurityFilter($name)."'";
    $officeItemResult = exequery($connection,$officeItemQuery);
    while($row = mysql_fetch_array($officeItemResult)) {
        return $row['APPELLATION_ID'];
    };
}

function getUserIdByUserName($userName) {
    global $connection;
    $query  = "SELECT USER_ID FROM user WHERE USER_NAME = '".SecurityFilter($userName)."'";
    $res = exequery($connection, $query);
    while($row = mysql_fetch_array($res)) {
        return $row['USER_ID'];
    };
}
?>