<?
/**
*修改数据库文件
*
*
*/
include_once("inc/utility_all.php");

$configdir  = ROOT_PATH.DIRECTORY_SEPARATOR."building".DIRECTORY_SEPARATOR."dbconfig";
$configfile = $configdir.DIRECTORY_SEPARATOR."mysql_config.ini";
$ini_array  = @parse_ini_file($configfile);

?>
<html>
<head>
<title><?=$_lang["system_user_management"]?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta content="Comsenz Inc." name="Copyright" />
<link rel="stylesheet" href="/sources/css/style_admin.css" type="text/css" media="all" />
<link rel="stylesheet" type="text/css" href="/building/sources/button/btn.css" />
<script type="text/javascript" src="/building/button/btn.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script>
	$(document).ready(function() {
		$("#savedata").click(function(resp) {
			var dataurl  = $("#dataurl").val();
			var datauser = $("#datauser").val();
			var datapassword = $("#datapassword").val();
			var dataname     = $("#dataname").val();

			if($.trim(dataurl) == "") {
				alert("数据库地址不能为空");
				$("#dataurl").focus();
				return false;
			}

			if($.trim(datauser) == "") {
				alert("数据库用户名不能为空");
				$("#datauser").focus();
				return false;
			}

			if($.trim(dataname) == "") {
				alert("数据库名称不能为空");
				$("#dataname").focus();
				return false;
			}
			
			var url  = "index_do.php";
			var data = "dataurl="+dataurl+"&datauser="+datauser+"&datapassword="+datapassword+"&dataname="+dataname;

			$.ajax({
				url:url,
				data:data,
				type:"POST",
				success:function(resp) {
					$("#showresult").toggle();
					$("#showresult").html("<font color='green'>保存成功</font>");
					setTimeout(function() {
						$("#showresult").css("display","none");					
					},2000)

				}
			})
		});
	})
</script>
<style>
table.dataintable {
	font-family:Arial, Helvetica, sans-serif;
	font-size:12px;
	font-weight:bold;
	margin-top:10px;
	border-collapse:collapse;
	border:1px solid #888;
	width:100%;
	}

table.dataintable pre {
	width:auto;
	margin:0;
	padding:0;
	border:0;
	background-color:transparent;
	}

table.dataintable th {
	vertical-align:baseline;
	padding:5px 15px 5px 5px;
	background-color:#efefef;
	border:1px solid #888;
	text-align:left;
	font-size:12px;
	font-weight:bold;
	}

table.dataintable td {
	vertical-align:text-top;
	padding:5px 15px 5px 5px;
	background-color:#f0f0f0;
	border:1px solid #aaa;
	}

div.showresult {
	background-color:green;
}
</style>
</head>
<body scroll='no'>
<table>
	<tr>
		<td>
			<a class="btn blue big" id="savedata" style="margin-left:10px;margin-top:5px;" href="#">保存配置</a>
		</td>
		<td>
			<div id="showresult"></div>		
		</td>
	</tr>
</table>
<table border="0" width="100%" cellspacing="0" cellpadding="0" class="dataintable">
	<tr>
		<th>项</th>
		<th>值</th>
	</tr>
	<tr>
		<td width="15%">数据库地址：</td>
		<td><input type="text" name="dataurl" id="dataurl" value="<?=$ini_array["dataurl"]?>"></td>
	</tr>
	<tr>
		<td>数据库用户名：</td>
		<td><input type="text" name="datauser" id="datauser" value="<?=$ini_array["datauser"]?>"></td>
	</tr>
	<tr>
		<td>数据库密码：</td>
		<td><input type="text" name="datapassword" id="datapassword" value="<?=$ini_array["datapassword"]?>"></td>
	</tr>
	<tr>
		<td>数据库名称：</td>
		<td><input type="text" name="dataname" id="dataname" value="<?=$ini_array["dataname"]?>"></td>
	</tr>
</table>
</body>