<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.x
* @function      数据处理页面
* @encoding      $_lang['encoding']
* @name          general/ArchivesManagement/ArchivesDocument/index_do.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("general/ArchivesManagement/analysisfield.php");
include_once("api/archives.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("archives,other");

switch ($_REQUEST['op']) {
	case 'getdoclibrarylist':

		$quickSortParam = $_REQUEST['quickSortParam'];

		$arcapi = new Archive();
		$listfield = $arcapi->Arc_GetListFiled("arc_document");
		$listcount = count($listfield);

		$where_query = $_REQUEST['where_query'];

		$search_field = SecurityFilter($_REQUEST['searchfield']);
		$search_str = SecurityFilter($_REQUEST['searchvalue']);

		$getListQuery    = "SELECT * FROM";
		$getCountQuery  = "SELECT COUNT(*) as CNT FROM";

		$query = " arc_document WHERE DOC_DELETE!=1";

		switch ($quickSortParam)
		{
			case "have-identify" :
				$query .= " AND DOC_IDENTIFY='1'";
				break;
			case "no-identify" :
				$query .= " AND DOC_IDENTIFY='0'";
				break;
		}	

		if ($search_field) {
			$query .= " AND ".$search_field." like '%".$search_str."%'";
		}

		if ($where_query!='') {
			$where_query = stripslashes($where_query); 
			$query .= $where_query;
		}
		
		$getCountResult = exequery($connection, $getCountQuery . $query);
		if ($getCountRow = mysql_fetch_array($getCountResult)) {
			$totalCount = $getCountRow["CNT"];
		}

		$limitRows = SecurityFilter($_REQUEST["itemsPerPage"]);
		$limitOffset = SecurityFilter($_REQUEST["currentPage"]) * $limitRows;

		$sortField = $_REQUEST["sortField"] ? SecurityFilter($_REQUEST["sortField"]) : "DOC_ID";
		$sortType = $_REQUEST["sortType"] ? SecurityFilter($_REQUEST["sortType"]) : "DESC";

		if($limitOffset>=$totalCount)
		{
			$limitOffset = max(0,$limitOffset-$limitRows);
		}
		
		$query .=  " ORDER BY ".$sortField." ".$sortType." LIMIT ".$limitOffset.",".$limitRows;

		//echo $getListQuery . $query;die();
		
		$getListResult = exequery($connection, $getListQuery . $query);

		while ($getListRow = mysql_fetch_assoc($getListResult)) {
			foreach ($listfield as $key => $value) {
				if($value["FIELD_NAME"]=="DOC_VOLUME"){
					$volumarray = Arc_GetVDSingleInfor($getListRow["DOC_VOLUME"],"volum");
					$getListRow["DOC_VOLUME"] = $volumarray["VOLUME_NAME"];
				}else if($value["FIELD_NAME"]=="DOC_LONG"){
					switch($getListRow["DOC_LONG"]){
						case "0":
							$getListRow["DOC_LONG"] = $_lang["archives_field_forever"];
						break;
						case "1":
							$getListRow["DOC_LONG"] = $_lang["archives_field_longtime"];
						break;
						case "2":
							$getListRow["DOC_LONG"] = $_lang["archives_field_shorttime"];
						break;	
					}	
				}else if($value["FIELD_NAME"]=="DOC_CREAT"){
					$getListRow["DOC_CREAT"] = showUserGeneral($getListRow["DOC_CREAT"]);	
				}else{
					if($value["FIELD_TYPE"]=="1" || $value["FIELD_TYPE"]=="2"){
						if($value["FIELD_DEFAULT"] == "3") {
							switch($value["FIELD_DEFAULT_VALUE"]) {
								case "1":
									$getListRow[$value["FIELD_NAME"]] = getUsernameStr($getListRow[$value["FIELD_NAME"]]);
									break;
								case "2":
									$getListRow[$value["FIELD_NAME"]] = getDeptStr($getListRow[$value["FIELD_NAME"]]);
									break;
								case "3":
									if (!$getListRow[$value["FIELD_NAME"]] || $getListRow[$value["FIELD_NAME"]]==0 || $getListRow[$value["FIELD_NAME"]]=="") {
										$getListRow[$value["FIELD_NAME"]]=" ";
									}else{
										$getListRow[$value["FIELD_NAME"]] =  substr(getPrivStr($getListRow[$value["FIELD_NAME"]]),0,-1);
									}
									break;
							}
						}	
					}else if($listfield[$h]["FIELD_TYPE"]=="3"){
						$comboxarray = json_decode($listfield[$h]["FIELD_COMBO"],true);
						$comboxcount = count($comboxarray);
						for($w=0;$w<$comboxcount;$w++){
							if($comboxarray[$w]["id"]==$getListRow[$value["FIELD_NAME"]]){
								$getListRow[$value["FIELD_NAME"]] = base64_decode($comboxarray[$w]["value"]);	
							}	
						}
					}else if($listfield[$h]["FIELD_TYPE"]=="4"){
						if($getListRow[$value["FIELD_NAME"]]=="0000-00-00 00:00:00" || $getListRow[$value["FIELD_NAME"]]=="0000-00-00" || $getListRow[$value["FIELD_NAME"]]=="00:00:00" || $getListRow[$value["FIELD_NAME"]]==""){
							$getListRow[$value["FIELD_NAME"]] = "";	
						}
					}	
				}
			}

			if ($getListRow['DOC_IDENTIFY']=='0') {
				$getListRow['DOC_IDENTIFY_NAME']=$_lang["archives_file_not_identify"];	
			}else{
				$getListRow['DOC_IDENTIFY_NAME']=$_lang["archives_file_identify_pass"];	
			}

			$List[]=$getListRow;
		}
			
		echo json_encode(array("totalCount"=>$totalCount,"list"=>$List));	
		break;
	case 'search_where':
		$arcapi = new Archive();

		$where_array   = array();
		$query = '';
		$searchfield = $arcapi->Arc_GetSearchFiled("arc_document");
		$searchcount = count($searchfield);
		$wherecount = 0;
		for($i=0;$i<$searchcount;$i++){
			if(trim($_REQUEST[$searchfield[$i]["FIELD_NAME"]])!=""){
				$where_array[$wherecount]["type"] = $searchfield[$i]["FIELD_TYPE"];
				$where_array[$wherecount]["field"] = $searchfield[$i]["FIELD_NAME"];
				$where_array[$wherecount]["value"] = $_REQUEST[$searchfield[$i]["FIELD_NAME"]];
				$wherecount++;
			}	
		}
		$wherecount = count($where_array);
		if($wherecount>0){
			for($i=0;$i<$wherecount;$i++){
				if($where_array[$i]["type"]!=""){
					if($where_array[$i]["field"]=="DOC_LONG" || $where_array[$i]["field"]=="DOC_YEAR" || $where_array[$i]["field"]=="DOC_VOLUME"){
						$query .= " AND ".$where_array[$i]["field"]."='".$where_array[$i]["value"]."'";	
					}else if($where_array[$i]["field"]=="DOC_CREAT"){
						$idstr = "";
						$personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%".SecurityFilter($where_array[$i]["value"])."%' AND USER_ACCOUNTS!='' AND DEPT_ID>0" ; 	
						$personcursor = exequery($connection,$personsql);
						while($perrow = mysql_fetch_assoc($personcursor)){
							$idstr .= "'".$perrow["USER_ID"]."',";
						}
						if($idstr==""){
							$query .= " AND DOC_ID=''";	
						}else{
							$idstr = substr($idstr,0,-1);
							$query .= " AND DOC_CREAT IN (".$idstr.")";	
						}	
					}else if($where_array[$i]["field"]=="DOC_NUMBER" || $where_array[$i]["field"]=="DOC_NAME"){
						$query .= " AND ".$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";	
					}else if($where_array[$i]["field"]=="DOC_CREATDATE"){
						$checkdate = $where_array[$i]["value"]." 23:59:59";
						$query .= " AND UNIX_TIMESTAMP(".$where_array[$i]["field"].")<=UNIX_TIMESTAMP('".$checkdate."')";	
					}else{
						if($diff=="read"){
							$addtable = "arc_document.";	
						}else{
							$addtable = "";	
						}
						if($where_array[$i]["type"]=="1" || $where_array[$i]["type"]=="2"){
							//$query .= " AND ".$addtable.$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";
							$query .= $this->Arc_AutoDealText("arc_document",$where_array[$i]["field"],$where_array[$i]["value"]);
						}else if($where_array[$i]["type"]=="3"){
							$query .= " AND ".$addtable.$where_array[$i]["field"]."='".$where_array[$i]["value"]."'";	
						}else if($where_array[$i]["type"]=="4"){
							$strArr = strpos($where_array[$i]["value"],"-"); 
							if($strArr){
								$dealdate = $where_array[$i]["value"]." 23:59:59";
								$query .= " AND (UNIX_TIMESTAMP(".$where_array[$i]["field"].")<=UNIX_TIMESTAMP('".$dealdate."') OR ".$where_array[$i]["field"]." IS NULL)";
							}else{
								$dealdate = $where_array[$i]["value"];
								$query .= " AND (".$where_array[$i]["field"]."<='".$dealdate."' OR ".$where_array[$i]["field"]." IS NULL)";			
							} 
						}		
					}
				}	
			}	
		}

		echo $query;
		break;
	case 'fileiden_search_where':
		$arcapi = new Archive();

		$where_array   = array();
		$query = '';
		$searchfield = $arcapi->Arc_GetSearchFiled("arc_file");
		$searchcount = count($searchfield);
		$wherecount = 0;
		for($i=0;$i<$searchcount;$i++){
			if(trim($_REQUEST[$searchfield[$i]["FIELD_NAME"]])!=""){
				$where_array[$wherecount]["type"] = $searchfield[$i]["FIELD_TYPE"];
				$where_array[$wherecount]["field"] = $searchfield[$i]["FIELD_NAME"];
				$where_array[$wherecount]["value"] = $_REQUEST[$searchfield[$i]["FIELD_NAME"]];
				$wherecount++;
			}	
		}
		$wherecount = count($where_array);
		if($wherecount>0){
			for($i=0;$i<$wherecount;$i++){
				if($where_array[$i]["type"]!=""){
					if($where_array[$i]["field"]=="FILE_DOCUMENT" || $where_array[$i]["field"]=="FILE_YEAR" || $where_array[$i]["field"]=="FILE_LONG"){
						$query .= " AND ".$where_array[$i]["field"]."='".$where_array[$i]["value"]."'";	
					}else if($where_array[$i]["field"]=="FILE_CREAT"){
						$idstr = "";
						$personsql = "SELECT USER_ID FROM USER WHERE USER_NAME LIKE'%".($where_array[$i]["value"])."%' AND USER_ACCOUNTS!='' AND DEPT_ID>0" ; 	
						$personcursor = exequery($connection,$personsql);
						while($perrow = mysql_fetch_assoc($personcursor)){
							$idstr .= "'".$perrow["USER_ID"]."',";
						}
						if($idstr==""){
							$query .= " AND FILE_ID=''";	
						}else{
							$idstr = substr($idstr,0,-1);
							$query .= " AND FILE_CREAT IN (".$idstr.")";	
						}		
					}else if($where_array[$i]["field"]=="FILE_NAME" || $where_array[$i]["field"]=="FILE_NUMBER"){
						$query .= " AND ".$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";	
					}else if($where_array[$i]["field"]=="FILE_CREATDATE"){
						$checkdate = $where_array[$i]["value"]." 23:59:59";
						$query .= " AND UNIX_TIMESTAMP(".$where_array[$i]["field"].")<=UNIX_TIMESTAMP('".$checkdate."')";	
					}else{
						if($where_array[$i]["type"]=="1" || $where_array[$i]["type"]=="2"){
							//$query .= " AND ".$where_array[$i]["field"]." LIKE'%".$where_array[$i]["value"]."%'";
							$query .= $this->Arc_AutoDealText("arc_file",$where_array[$i]["field"],$where_array[$i]["value"]);
						}else if($where_array[$i]["type"]=="3"){
							$query .= " AND ".$where_array[$i]["field"]."='".$where_array[$i]["value"]."'";	
						}else if($where_array[$i]["type"]=="4"){
							$strArr = strpos($where_array[$i]["value"],"-"); 
							if($strArr){
								$dealdate = $where_array[$i]["value"]." 23:59:59";
								$query .= " AND (UNIX_TIMESTAMP(".$where_array[$i]["field"].")<=UNIX_TIMESTAMP('".$dealdate."') OR ".$where_array[$i]["field"]." IS NULL)";
							}else{
								$dealdate = $where_array[$i]["value"];
								$query .= " AND (".$where_array[$i]["field"]."<='".$dealdate."' OR ".$where_array[$i]["field"]." IS NULL)";			
							} 
						}		
					}
				}	
			}	
		}
		echo $query;
		break;
	default:
		# code...
		break;
}
?>
