<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      借阅
* @encoding      $_lang['encoding']
* @name          general/ArchivesManagement/Read/apply/borrow.php
* @version       1.0
* @author        Lj
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/archives.class.php");
include_once("general/ArchivesManagement/analysisfield.php");
include_once("general/ArchivesManagement/arc_functionall.php");
includelangpak("archives");
includelangpak("asset");

//借阅ID
$arcapi = new Archive();
$diff = $_REQUEST["diff"];
$readid = $_REQUEST["readid"];
$other = $_REQUEST["other"];
$readname = "";	
if($other=="doc"){
	$tablename = "arc_document";	
}else if($other=="file"){
	$tablename = "arc_file";	
}
//判断权限
$CheckLimit = Arc_CheckBorrowRead($readid,$tablename,$diff);
if($CheckLimit==false)
{
	Message("",$_lang["asset_vehicles_check_limit"]);
	exit;
}
if($diff=="single"){
	$readname = stripslashes($_REQUEST["readname"]);	
}else if($diff=="many"){
	$idarray = explode(",",$readid);
	for($j=0;$j<count($idarray);$j++){
		if($idarray[$j]!=""){
			$namearray = $arcapi->Arc_GetDataInfor($idarray[$j],$tablename);
			if($other=="doc"){
				$readname .= $namearray["DOC_NAME"].",";		
			}else if($other=="file"){
				$readname .= $namearray["FILE_NAME"].",";		
			}	
		}	
	}
	$readname = substr($readname,0,-1);			
}
$arcapi = new Archive();
$fieldArr = $arcapi->Arc_GetModuleFiled("arc_read");
$showinfor = AnalysisField($fieldArr,'form1',"","arc_read",$diff,$readid,true);
$showtable = FieldTableShow($showinfor);
//必填项字段
$requirestr = $arcapi->Arc_AllRequireFiled("arc_read");

$requireArr = explode(",",substr($requirestr,0,-1));
foreach($requireArr as $value) {
	if($value == "READ_USEDATE") {
		array_push($requireArr,"READ_USEDATE_date");
		array_push($requireArr,"READ_USEDATE_time");
	} else if ($value == "READ_RETURNDATE") {
		array_push($requireArr,"READ_RETURNDATE_date");
		array_push($requireArr,"READ_RETURNDATE_time");
	}
}
$requirestr = implode(",",$requireArr);

$PAGE_TITLE	= $_lang["archives_volumelibrary_mgr"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">

<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 

<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/ArchivesManagement/archives.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
		
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
		
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />

<script type="text/javascript" src="/general/ArchivesManagement/analysisfield.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
	input[type='text']{
		width:130px;
	}
</style>
<title><?=$_lang["archives_files_borrow"]?></title>
</head>
<script language="javascript">
$(document).ready(function() {
	//必填项检测
	Arc_requirecheck("<?=$requirestr?>",'check');
	$("#readturn").click(function(){
		if(Arc_requirecheck("<?=$requirestr?>",'submit')){
			document.form1.submit();	
		}	
	});

	$("#cancel").click(function(){
		window.parent.$(".borrow_many").dialog("close");
		window.parent.$(".borrow_single").dialog("close");	
	});
});
</script>
<body>
<form id="form1" name="form1" method="post" action="read_do.php" enctype="multipart/form-data">
	<table width="100%">
		<tr>
        	<td align="center" style="font-size:14px;color:#436EEE;font-weight:bold;">
            	<? 
					if($other=="doc"){
						echo $_lang["archives_document_apply"]."";
					}else if($other=="file"){
						echo $_lang["archives_file_apply"]."";	
					}
				?>
				<? echo $readname;?>
            </td>
        </tr>
    </table>
    <?
    echo $showtable;	
    ?>
    <input type="hidden" name="readid" id="readid" value="<?=$readid?>">
    <input type="hidden" name="diff" id="diff" value="<?=$diff?>">
    <input type="hidden" name="READ_DIFF" id="READ_DIFF" value="<?=$other?>">
</form>
<div style="border-top:1px solid lightgray;width:100%;height:5px;margin-top:5px;"></div>
<table width="100%">
	<tr>
    	<td align="right">
        	<div style=" float:right;" id="cancel">
            	<a class="btn btn-default">
                    <?=$_lang["common_cancel"]?>
                </a>
            </div>
            <div style=" float:right;margin-right:10px;">
            	<a class="btn btn-primary" id="readturn">
                    <?=$_lang["common_submit"]?>
                </a>
            </div>
        </td>
    </tr>
</table>
</body>
</html>
<script>
	$("select").selectpicker();
	$(".library_date").datepicker();
	$(".library_time").timepicker();
</script>