<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/address/pubcenter/create_manage_tree.php
 *@function:         
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-11-21
 *@file Version:     5.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
includelangpak("file,hr");
//测试数据
//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['address_type'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
$PAGE_TITLE = $_lang["hr_list_sort"];
include_once("inc/page_header.inc.php");

$ADDRESS_TYPE = $_SESSION['address_type'];
$f = $_REQUEST['f'];

$rightStr = $_SESSION['address_type'] == 1 && $_REQUEST['f'] == "view" ?"null":"OnRightClick";
?>
<base target="newsright">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
div#rMenu {
	position:absolute;
	visibility:hidden;
	top:0; 
	text-align: left;
	border:1px solid #CCCCCC;
	padding: 2px;
	background-color:#E6E6E6;
}

div#rMenu ul li{
	margin: 2px 0;
	padding: 3px;
	width:50px;
	cursor: pointer;
}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="type/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script>
var zTree,rMenu;
var treeNode = [{id:'0',pId:'0',name:'<?=$_lang["hr_root_folder"]?>',open:true,isParent:true}];
$(function() {	
	rMenu = $("#rMenu");
	//通讯录组的tree
	var setting = {  
		view: {
			showLine : false,
			showIcon : false,
			selectedMulti : false,
			addDiyDom : addDiyDom
		},
		async: {    
			enable: true,    
			type:'post',  
			url:"/general/address/pubcenter/tree_do.php",
			autoParam: ["id"],
			otherParam : {
				type : "getGroup",
				addressType:"<?=$_SESSION['address_type']?>",
				operate:"<?=$f?>"
			}
		}, 
		callback: {
		   onNodeCreated: zTreeOnNodeCreated,
		   onClick: objOnClick,
		   onRightClick:<?=$rightStr?>
		}  
	};		
	var groupTree = $.fn.zTree.init($("#groupTree"),setting,treeNode);	
	var nodes = groupTree.getSelectedNodes();
	zTree = $.fn.zTree.getZTreeObj("groupTree");	
	//rMenu.menu();
	window.groupObj = $(".groupContent").dialog({
      autoOpen: false,
	  title:"<?=$_lang["hr_address_group"]?>",
	  height:150,
	  width:200,
	  modal:true
    });
	
	$(".deleteDiv").dialog({
		autoOpen:false,
		height:150,
		width:200
	});

	$("#deletes").click(function() {
		delGroup();
	});

	$("#back").click(function() {
		//$(".deleteDiv").dialog("close");
		//window.parent.delObj.dialog("close");
	});

	$("#sort_name").keyup(function() {
		$.trim($(this).val()) != ""?$(this).removeClass("require"):$(this).addClass("require");
	});
});	
</script>
</head>
<body>
<div class="lazy_header">
	<span class="lazy-list-title">
		<i class="fa fa-list-title"></i>
		<span class="tip" style="cursor:pointer;"><?=$_lang['hr_list_sort']?></span>
	</span>
</div>
<div id="addrGroup">
	<ul id="groupTree" class="ztree"></ul>
</div>
<div id="rMenu" class="rMenu">
	<ul>
		<li id="add" class="add" onclick="addTreeNode(this);">
			<i class="fa fa-plus"></i><span style="margin-left:5px;"><?=$_lang["hr_add"]?></span>
		</li>
		<li id="modify" class="modify" onclick="editTreeNode(this);">
			<i class="fa fa-tag"></i><span style="margin-left:5px;"><?=$_lang["hr_modify"]?></span>
		</li>
		<li id="delete" class="delete" onclick="removeTreeNode();">
			<i class="fa fa-times"></i><span style="margin-left:5px;"><?=$_lang['hr_delete']?></span>
		</li>
	</ul>
</div>
<div id="groupContent" class="groupContent">
	<form name="form1" id="form1" method="post" action="/general/address/docenter/tree_do.php">
		<input type="text" name="sort_name" id="sort_name" class="require">
		<input type="hidden" name="sort_id" id="sort_id">
		<input type="hidden" name="f" id="f" value="addnode">
		<input type="hidden" name="add_type" id="add_type" value="<?=$_SESSION['address_type']?>">
		<button type="button" class="btn btn-primary" onClick="formSubmit();" style="float:right;margin-right:10px;margin-top:5px;"><?=$_lang["common_submit"]?></button>
	</form>
</div>
<div id="deleteDiv" class="deleteDiv" style="display:none;">
	<div class="lazy_header">
		<p><?=$_lang["hr_confirm_del_addr_group"]?></p>
	</div>
	<div class="buttons" style="float:right;margin-right:10px;">
		<button type="button" class="btn btn-primary" id="deletes"><?=$_lang["common_sure"]?></button>
		<button type="button" class="btn btn-default" id="back"><?=$_lang["common_cancel"]?></button>
	</div>
</div>
</body>
</HTML>
<script>
function getFontCss(treeId,treeNode) {
	return (!!treeNode.highlight) ? {color:"#A60000", "font-weight":"bold"} : {color:"#333", "font-weight":"normal"};
}

function objOnClick(treeId,treeNode) {
	var treeObj = $.fn.zTree.getZTreeObj(treeNode);  
	var selectedNode = treeObj.getSelectedNodes()[0];  
	var groupId = selectedNode.id;	

	//单击后,操作刷新通讯录列表对应内容
	$("#newsright",parent.document.body).attr("src","/general/address/pubcenter/addpublic.php?ADDRESS_TYPE=<?=$ADDRESS_TYPE?>&f=<?=$f?>&GROUP_ID="+groupId);
}

function zTreeOnNodeCreated(event,treeId, treeNode) {
	if(treeNode.id == 0)
	{
		var zTree = $.fn.zTree.getZTreeObj("groupTree");
		zTree.expandNode(treeNode, true, false, false,true);
	}
};

function OnRightClick(event, treeId, treeNode) {
    
	if(treeNode.unclassified != 1)
	{
		if (!treeNode && event.target.tagName.toLowerCase() != "button" && $(event.target).parents("a").length == 0) {
			zTree.cancelSelectedNode();
			showRMenu("root", event.clientX, event.clientY);
		} else if (treeNode && !treeNode.noR) {
			zTree.selectNode(treeNode);
			if(treeNode.id == 0)
			{
				$(".modify,.delete").css("display","none");
			}
			else
			{
				$(".modify,.delete").css("display","block");	
			}
			showRMenu("node", event.clientX, event.clientY);
		}
	}
}

function showRMenu(type, x, y) {
	$("#rMenu ul").show();
	if (type=="root") {
		$("#m_del").hide();
	} else {
		$("#m_del").show();
	}
	rMenu.css({"top":y+"px", "left":x+"px", "visibility":"visible"});
	$("body").bind("mousedown", onBodyMouseDown);
}

function hideRMenu() {
	if (rMenu) rMenu.css({"visibility": "hidden"});
	$("body").unbind("mousedown", onBodyMouseDown);
}

function onBodyMouseDown(event){
	if (!(event.target.id == "rMenu" || $(event.target).parents("#rMenu").length>0)) {
		rMenu.css({"visibility" : "hidden"});
	}
}

function dragNode() {
	var nodes = zTree.getSelectNodes();
	alert(nodes[0].id);
}

var addCount = 1;
function addTreeNode(event) {
	hideRMenu();
	var nodes = zTree.getSelectedNodes();
	var option = {
		position:[event.clientX,event.clientY]
	}
	$("#f").val("addnode");
	$("#sort_name").val("").addClass("require");
	$(".groupContent").dialog("option",option);
	$(".groupContent").dialog("open");
	$("#sort_id").val(nodes[0].id);
	$(".ui-button").addClass("btn btn-primary");
}

function editTreeNode(event)
{
	hideRMenu();	
	var nodes = zTree.getSelectedNodes();
	var option = {
		position:[event.clientX,event.clientY]
	}
	$(".groupContent").dialog("option",option);
	$(".groupContent").dialog("open");	
	$("#sort_id").val(nodes[0].id);
	$("#sort_name").val(nodes[0].name).removeClass("require");
	$("#f").val("changename");
}

function removeTreeNode() {
	hideRMenu();	
	//$(".deleteDiv").dialog("open");
	//window.parent.delObj.dialog("open");
	delGroup();
}

function delGroup() {
	parent.bootbox.confirm("<?=$_lang["hr_comfirm_delete_group"]?>",function(result) {
		if(result){
			var nodes = zTree.getSelectedNodes();
			var url  = "/general/address/docenter/tree_do.php";
			var data = "f=remove&sort_id="+nodes[0].id;
			$.ajax({
				type:"POST",
				url:url,
				data:data,
				success:function(resp) {
					$(".deleteDiv").dialog("close");
					zTree.removeNode(nodes[0]);
				}
			});
		}
	});	
}

function formSubmit()
{
	var nodes    = zTree.getSelectedNodes();
	var sortName = $("#sort_name").val();
	selectNode= nodes[0];
	if($.trim(sortName) == "")
	{	
		window.parent.$.pnotify({
			text:"<?=$_lang["hr_address_group_name_nu"]?>",
			type:"error"
		});
		return false;
	}
	else
	{
		$(".groupContent").dialog("close");
		$("#form1").ajaxSubmit({
			success:function(result)
			{	
				var noteId   = result;
				var noteName = $("#sort_name").val();
				var pId      = $("#sort_id").val();
				var opt      = $("#f").val();
				//增加和编辑的不同操作
				if(opt == "addnode")
				{
					var newNode = [{id:noteId,name:noteName,pId:selectNode.id,isParent:false,unclassified:0}];			
					zTree.reAsyncChildNodes(selectNode,"refresh",false);
					newNode = zTree.addNodes(selectNode,newNode);
					zTree.reAsyncChildNodes(selectNode,"refresh",false);
					zTree.updateNode(newNode[0]);
				}
				else
				{
					selectNode.name = noteName;
					zTree.updateNode(selectNode);
				}
			}
		});
	}
}

function addDiyDom(treeId, treeNode) {
	var spaceWidth = 10;
	var switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
	switchObj.remove();
	icoObj.before(switchObj);
	var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
	switchObj.before(spaceStr);
}
</script>
