<?php
require_once('pinyin_table.php');
function getUTFString($string,$code='UTF-8')
{
    $encoding = mb_detect_encoding($string, array('ASCII','UTF-8','GB2312','GBK','BIG5'));
    //return iconv($encoding,$code,$string);
    return mb_convert_encoding($string, $code, $encoding);
}
function Pinyin($string,$strType)
{
	global $pinyin_table;
	//$string_type = mb_detect_encoding($string, array('ASCII','UTF-8','GB2312','GBK','BIG5'));
	$string = getUTFString($string,'GB2312');
	$flow = array();
	for ($i=0;$i<strlen($string);$i++)
	{
		if (ord($string[$i]) >= 0x81 and ord($string[$i]) <= 0xfe) 
		{
			$h = ord($string[$i]);
			if (isset($string[$i+1])) 
			{
				$i++;
				$l = ord($string[$i]);
				if (isset($pinyin_table[$h][$l])) 
				{
					array_push($flow,$pinyin_table[$h][$l]);
				}
				else 
				{
					array_push($flow,$h);
					array_push($flow,$l);
				}
			}
			else 
			{
				array_push($flow,ord($string[$i]));
			}
		}
		else
		{
			array_push($flow,ord($string[$i]));
		}
	}
	$pinyin = array();
	$pinyin[0] = '';
	for ($i=0;$i<sizeof($flow);$i++)
	{
		if (is_array($flow[$i])) 
		{
			if (sizeof($flow[$i]) == 1)
			{
				foreach ($pinyin as $key => $value)
				{
					$pinyin[$key] .= $flow[$i][0];
				}
			}
			if (sizeof($flow[$i]) > 1)
			{
				$tmp1 = $pinyin;
				foreach ($pinyin as $key => $value)
				{
					$pinyin[$key] .= $flow[$i][0];
				}
				for ($j=1;$j<sizeof($flow[$i]);$j++)
				{
					$tmp2 = $tmp1;
					for ($k=0;$k<sizeof($tmp2);$k++)
					{
						$tmp2[$k] .= $flow[$i][$j];
					}
					array_splice($pinyin,sizeof($pinyin),0,$tmp2);
				}
			}
		}
		else 
		{
			foreach ($pinyin as $key => $value) 
			{
				$pinyin[$key] .= chr($flow[$i]);
			}
		}
	}
	return $pinyin[0];
}
?>