<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         address/showAddressInfo.php
 *@function:         展示通讯录详情
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:          lizhijun
 *@date:             2014-8-14
 *@file Version:     1.0
 *@eoffice Version:  9.0
*/

include_once("inc/auth.php");
include_once("api/address.class.php");
include_once("inc/utility_all.php");
include_once("inc/utility.php");
includelangpak("common,hr");
if(!is_numeric($_REQUEST['id'])){
    Message('',$_lang["common_param_error"],'failed');
    exit;
}
$addressID = isset($_GET['id']) ? $_GET['id'] : 0;
$address = new address();
$flag = true;
if($addressID != 0){
    $addressInfo = $address->GetAddrInfor(0, 1, $addressID, '');
    $_addressInfo = $addressInfo[0];
    $_addressInfo['A11'] = getUserNameNew($_addressInfo['A11']);
    $addItemName = $address->getAddItemNameAllInfo();
    $_addItemName = array();
    $i = 0;
    if($addItemName){
        foreach($addItemName as $key => $value){
            if(($key+1) % 2 == 0) $i++;
            $_addItemName[$i][$value['SUBFIX']] = $value['ITEM_EXPLAIN'];    
        }
    }
}else{
    $flag = false;
}
$PAGE_TITLE = $_lang["hr_address_detail"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/ztree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">	
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
</head>
<body>
<?php
if($flag == false){
?>
    <div class="alert alert-info" style="margin-top:10px;border:1px solid #bce8f1;background-color: #d9edf7;color: #31708f;height:50px;line-height:20px;" >&nbsp;&nbsp;所传AddressID为空</div>
<?php
    }else{
?>
    <div class="lazy_header">
        <span class="lazy-page-title">
            <i class="fa fa-page-title"></i> 
            <span class="tip"><?=$_addressInfo['Name']?>-><?=$_lang["hr_address_detail_info"]?></span> 
        </span>
        <button class="btn btn-default" onclick='javascript:window.close();'><?=$_lang["hr_close"]?></button>
    </div>
    <div class='addressDetail'>
        <table class='form_table' width="100%" cellpadding="5" border="0" >
        <?php 
            $i = 0;
            foreach($_addItemName as $key => $value){ 
                echo '<tr>';
                foreach($value as $k => $v){
        ?>
                <td class='title'><?=$v?></td><td><?=$_addressInfo[$k]?></td>
        <?php 
                }
                echo '</tr>';
            }
        ?>
        </table>
    </div>
<?php
}
?>
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<SCRIPT type="text/javascript" src="/inc/common.js"></SCRIPT>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--zTree 树形菜单-->
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-cn.js"></script> <script>   
$(function() {
	$(".addressDetail").height($(window).height()-40).niceScroll();
});
</script>