<?
/**
 * Systemname:       E-Office
 * Filename:         
 * Function:         文件转移
 * Encoding:         $_lang['encoding']
 * Author:           www.weaver.com.cn
 * Date:             2008-5-12
 * File Version:     1.0
 * Eoffice Version:  6.0
*/

//加载语言
include_once("inc/auth.php");
include_once("inc/address/add_function.php");
includelangpak("hr");

//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['address_type'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
if(!I($_REQUEST['group_id'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}

$GROUP_ID   = $_REQUEST['group_id'];
$GROUP_TYPE = $_REQUEST['address_type'];

if($GROUP_ID!=''){
	$GROUP_NAME = getGroupNameByAddId($GROUP_ID,'');
}

$PAGE_TITLE = $_lang["hr_list_manage"];
include_once("inc/page_header.inc.php");
?>
<head>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">		
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet">
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script>
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 500;

	$("#save").click(function() {
		sendChangeFile();
	});
});
</script>
</head>
<body>
<div class="changediv">
	<table width="100%" class="form_table">
		<input type="hidden" id="group_type" name="group_type" value="<?=$GROUP_TYPE?>">
		<tr>
		  <td class="title"> <?=$_lang['hr_list_sort']?></td>
		  <td>
			<input name="filename" ID = "filename_id" type="text" class="textreadonly" readonly value="<?=$GROUP_NAME?>">
			<input type="hidden" name="change_file" ID = "fileid_id" value="<?=$GROUP_ID?>">
			<input type='button' class='btn btn-primary' value='<?=$_lang['common_choose']?>' onClick="javascript:LoadWindowSelectAddress('/module/address_group_select','fileid_id','filename_id','<?=$get_what?>','<?=$GROUP_TYPE?>')">
		  </td>
		</tr>
		<tr>
		  <td class="title"> <?=$_lang['hr_migrate']?></td>
		  <td>
			<input name="filename" ID = "filename_id_1" type="text" class="textreadonly" readonly value="">
			<input type="hidden" name="to_file" ID = "fileid_id_1" value="">
			<input type='button' class='btn btn-primary' value='<?=$_lang['common_choose']?>' onClick="javascript:LoadWindowSelectAddress('/module/address_group_select','fileid_id_1','filename_id_1','<?=$get_what?>','<?=$GROUP_TYPE?>')">
		  </td>
		</tr>
	</table>
</div>
<div style="float:right;margin-right:10px;">
	<button type="button" class="btn btn-primary" id="save"><?=$_lang["common_submit"]?></button>
</div>
</body>
</html>
<script>
//分组转移
function sendChangeFile(){
	var change_file = document.getElementById('fileid_id').value;
	var go_file     = document.getElementById('fileid_id_1').value;
	var group_type  = document.getElementById('group_type').value;

	if(change_file==''||go_file==''){
		$.pnotify({
			text:'<?=$_lang["hr_change_no_cata_alert"]?>',
			type:"error"
		});
		return false;
	}
	if(change_file==go_file) {
		$.pnotify({
			text:'<?=$_lang["hr_select_folder_same"]?>',
			type:"error"	
		});
		return false;
	}

	if(change_file==0){
		$.pnotify({
			text:'<?=$_lang["hr_select_root_folder"]?>',
			type:"error"
		});
		return false;
	}

	var url = "/general/address/docenter/save_group_change.php";
	var par = "change_file="+change_file+"&go_file="+go_file+"&group_type="+group_type;
	$.ajax({
		type:"POST",
		url:url,
		data:par,
		success:function(result){
			if(result)
			{
				$.pnotify({
					text:"<?=$_lang['hr_do_sucess']?>",
					type:"success"
				});
			}
		},
		error:function(result){
			if(result)
			{
				$.pnotify({
					text:"<?=$_lang['hr_connect_admin']?>",
					type:"error"
				});
			}
		}
	});
}
</script>
  