/**
 * Systemname:       E-Office
 * Filename:         
 * Function:         
 * Encoding:         $_lang['encoding']
 * Author:           sm lxl www.weaver.com.cn
 * Date:             2008-6-12
 * File Version:     1.0
 * Eoffice Version:  6.0
*/

function MoreSlaveSelector(list_target,max,smaxsize,fullsrc,denyExt){

	this.list_target = list_target;
	this.smaxsize = smaxsize;
	this.fullsrc = fullsrc;
	this.denyExt = denyExt;
	this.count = 0;
	this.id = 0;
	var  select_number = document.getElementById('select_number');
	var  select_space = document.getElementById('select_space');
	var  leave_space = document.getElementById('leave_space');
	if( max ){
		this.max = max;
	} else {
		this.max = -1;
	};
	denytype   = this.denyExt;
	sinmaxsize = this.smaxsize;
	var isOverSize = 0;
	this.addElement = function( element){
		if( element.tagName == 'INPUT' && element.type == 'file' ){
			element.name = 'userfile['+this.id+']';
			this.id++;
			element.multi_selector = this; 
			element.onchange = function(){
			oFile.FilePath = element.value;
			fileLenth      = oFile.getFileSize();
			if(sinmaxsize > 0){
				if(fileLenth>sinmaxsize*1024){
					isOverSize = 1;
				}
				else{
					isOverSize = 0;
					}
			}
			if(!isAllowFileSuffix(element.value,denytype))
			{
				alert(EOlang.msgnotallowfile);
				return false;
			}
			else if(isOverSize)
			{
				alert(EOlang.msgsinglefileoversize)
				return false;
			}
			
			var new_element = document.createElement('input');
			new_element.type = 'file';
			new_element.className='file';
			this.parentNode.insertBefore(new_element,this);
			this.multi_selector.addElement(new_element);
			this.multi_selector.addListRow( this );

			this.style.position = 'absolute';
			this.style.left = '-2000px';


			};
			if(this.max != -1 && this.count >= this.max){
				element.disabled = true;
				if(document.getElementById("filebuttonname") != null){
					document.getElementById("filebuttonname").style.color = "gray";				}
			}	

			this.count++;
			this.current_element = element;
		} else {
			//alert( '错误！没有元素！' );
		};
	};

	this.addListRow = function( element ){
		var new_row = document.createElement( 'div' );
		new_row.className="photo_container_tail_div";
		var new_row_button = document.createElement( 'IMG' );
		new_row_button.src = '/inc/album_func/graphics/delete_s.gif';
		new_row_button.title = EOlang.msgdel;
		new_row_button.className = 'del_img';
		new_row.element = element;
		new_row_button.onclick= function(){
			oFile.FilePath = this.parentNode.element.value;
			fileLenth      = oFile.getFileSize();
			select_number.innerHTML = parseFloat(select_number.innerHTML)-1;
			select_space.innerHTML = Math.ceil((parseFloat(select_space.innerHTML)-getSizeOfFileM(fileLenth))*100)/100;
			leave_space.innerHTML = Math.ceil((parseFloat(leave_space.innerHTML)+getSizeOfFileM(fileLenth))*100)/100;
			this.parentNode.element.parentNode.removeChild( this.parentNode.element );
			this.parentNode.parentNode.removeChild( this.parentNode );
			this.parentNode.element.multi_selector.count--;
			this.parentNode.element.multi_selector.current_element.disabled = false;
			if(document.getElementById("filebuttonname") != null){
				document.getElementById("filebuttonname").style.color = "black";
			}
			return false;
		};
		
		//是否显示全路径
			var tmpStr_url = element.value;
			var tmpStr = element.value.match(/[^\\]+$/);
		tmpStr += "";
		//文件名后缀是否合法
		if(!isAllowFileSuffix(tmpStr,this.denyExt)){
				tmpStr = "<span style='color:gray;text-decoration:line-through;font-style:oblique;'>"+tmpStr;
				tmpStr += "("+getSizeOfFile(fileLenth)+")</span>";
		}
		else{
			//是否超过单个文件最大体积

			if(isOverSize == 1){
				tmpStr = "<span style='color:blue;font-weight:bold'>"+tmpStr+"</span>";
				tmpStr += "<span style='font-size:9px;color:red'>("+getSizeOfFile(fileLenth)+")</span>";
			}
			else{
				tmpStr = "<span style='color:blue'>"+tmpStr+"</span>";
				tmpStr += "<span style='font-size:9px;color:gray'>("+getSizeOfFile(fileLenth)+")</span>";
			}
		}
		
		new_row.innerHTML = "<div class='sort_image'><table><tr><td class='td_class'><img src='"+element.value+"' onload=\"DrawImage(this,130,130)\"></td></tr></table></div>"+tmpStr;
		new_row.appendChild( new_row_button );
		if(typeof(this.list_target.childNodes[0]) == "object"){
			this.list_target.insertBefore( new_row,this.list_target.childNodes[0]);
		}else{
			this.list_target.appendChild( new_row);
		}
		var haveSpace = Math.ceil((parseFloat(leave_space.innerHTML)-getSizeOfFileM(fileLenth))*100)/100;
		if(haveSpace>0){
		select_number.innerHTML = parseFloat(select_number.innerHTML)+1;
		select_space.innerHTML =  Math.ceil((parseFloat(select_space.innerHTML)+getSizeOfFileM(fileLenth))*100)/100;
		leave_space.innerHTML = haveSpace
		}else{
			new_row_button.click();
			alert(EOlang.msgalbumnothingspace);
		}
	};
};

function getSizeOfFile(n){
	var str="";
	if (n<=1024){
		str = "1K";
	}
	if (n>1024 && n<1024*1024*10){
		str = Math.ceil(n/1024)+"K";
	}
	if (n>1024*1024*10){
		str = Math.ceil(n*100/(1024*1024))/100+"M";
	}
	return str;
};
function getSizeOfFileM(n){
	var str="";
	str = Math.ceil(n*100/(1024*1024))/100;
	return str;
};
function ispassMaxSize(formname,maxsize){
	var objform = document.getElementById(formname);
	var maxForm = objform.elements.length;
	var filelength=0;
	for(var i=0;i<maxForm;i++){
		if(objform.elements[i].type == "file"&&objform.elements[i].className == "file"){
			var tmpsrc = objform.elements[i].value;
			if(tmpsrc != ""){
				oFile.FilePath = tmpsrc;
				filelength += oFile.getFileSize();
			}
		}
	}
	if(filelength > maxsize*1024){
		alert(EOlang.msgfileoversize+getSizeOfFile(maxsize*1024)+"");
		return false;
	}
	else{
		return true;
	}
};

function isAllowFileSuffix(filesrc,denyExt){
		var thisExt;
		if (denyExt != "" && denyExt != undefined){
			thisExt = filesrc.substr(filesrc.lastIndexOf(".")).toLowerCase();
			if (denyExt.indexOf(thisExt+"|") == -1){
				return false;
			}
			else{
				return true;
			}
		}
		else{
			return true;
		}
}  
function DrawImage(ImgD,width_s,height_s){
var image=new Image();
image.src=ImgD.src;
if(image.width>0 && image.height>0){
flag=true;
if(image.width/image.height>=width_s/height_s){
	if(image.width>width_s){
		ImgD.width=width_s;
		ImgD.height=(image.height*width_s)/image.width;
	}else{
		ImgD.width=image.width;
		ImgD.height=image.height;
		}
	}else{
		if(image.height>height_s){
			ImgD.height=height_s;
			ImgD.width=(image.width*height_s)/image.height;
		}else{
			ImgD.width=image.width;
			ImgD.height=image.height;
		}
	}
}
else{
ImgD.src="";
ImgD.alt=""
}
}