<?
/**
*@Systemname:       E-Office
*@Filename:         general/attendance/checkManage/export_do.php
*@Function:         考勤校验导出处理页
*@Encoding:         $_lang['encoding']
*@Author:           www.weaver.com.cn
*@Date:             2017-02-16
*@Eoffice Version:  9.0
*/
//加载语言
include_once("inc/auth.php");
include_once("api/attend.class.php");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
includelangpak("hr,attend");

$type = $_REQUEST['type'];

switch ($type) {
	case 'check':
		$attend=new attend();
		
		$searchField =$_REQUEST['searchField'];
		
		$searchValue =$_REQUEST['searchValue'];
		$advancedSearchData= json_decode($_REQUEST['advancedSearchData']);
		
		$params = array();
		if($searchField!='' && $searchValue!=''){
			$userIdArray = $attend->getUserId(trim($searchValue));

			$params['where']=" AND USER_ID IN('".implode($userIdArray, "','")."')";
		}

		if($advancedSearchData!=''){
			if($advancedSearchData['VERIFY_STATUS']!='4') 
			{
				$params['where']= $advancedSearchData['VERIFY_STATUS']!='all'?'AND DUTY_OPTION = '.$advancedSearchData['VERIFY_STATUS'].'':'';
			}else 
			{
				$params['where']= 'AND DUTY_OPTION=0';
			}
			switch($advancedSearchData['ATT_STATUS']) 
				{
					case "1":
						$params['where'].= ' AND DUTY_TYPE = 2 ';
						break;
					case "2":
						$params['where'].= ' AND OUT_TYPE = 2 AND SIGN_OUT_TIME != 0';
						break;
					case "3":
						$params['where'].= ' AND SIGN_OUT_TIME = 0 ';
						break;
				}
			if($advancedSearchData['date']!=''){
				if(strpos($advancedSearchData['date'],'--')){
					$array=explode('--', $advancedSearchData['date']);
					$params['startDate']=strtotime($array[0]);
					$params['endDate']=strtotime($array[1]." 23:59:59");
				}else{
					$params['startDate']=strtotime($advancedSearchData['date']);
					$params['endDate']=strtotime($advancedSearchData['date']." 23:59:59");
				}
			}
		}

		$verifylist=$attend->getVerifyInfo($params,'','');
		$verifylist=$verifylist['list'];
		//'用户,考勤日期,考勤类型,签到时间,签退时间,签到状态,签退状态,校验状态,校验理由';
		$HEAD_TITLE = $_lang["attend_user"].",".$_lang["attend_date"].",".$_lang["attend_type"].",".$_lang["attend_sign_in_time"].",".$_lang["attend_sign_out_time"].",".$_lang["attend_sign_in_status"].",".$_lang["attend_sign_out_status"].",".$_lang["attend_check_status"].",".$_lang["attend_check_reason"]."\n";

		foreach ($verifylist as $key => $value) {
			$dutyWhyArray = unserialize($value['DUTY_WHY']);

			switch ($value['DUTY_OPTION']) {
	            case "1":
	                $dataTypeValue = $_lang["hr_attend_verify_pass"];
	                break;
	            case "0":
	                $dataTypeValue = $_lang["hr_attend_no_operate"];
	                break;
	            case "2":
	                $dataTypeValue = $_lang["hr_attend_verify_waiting"];
	                break;
	            case "3":
	                $dataTypeValue = $_lang["hr_attend_verify_notpass"];
	                break;
	        }

			$HEAD_TITLE .= trim($attend->getUsernameStr($value['USER_ID']), ',') . ',';
			$HEAD_TITLE .= $value['sign_date'] . ',';
			$HEAD_TITLE .= $value['dataTypeStr'].',';
			$HEAD_TITLE .= $value['SIGN_IN_TIME'] . ',';
			$HEAD_TITLE .= $value['SIGN_OUT_TIME'] . ',';
			$HEAD_TITLE .= $value['dutyTypeValue'] . ',';
			$HEAD_TITLE .= $value['outTypeValue'] . ',';
			$HEAD_TITLE .= $dataTypeValue . ',';
			$HEAD_TITLE .= $dutyWhyArray['whyContent'] . "\n";
		}

		$GROUP_NAME = $_lang["attend_check_data"];
		break;
}

if(!strpos($_SERVER["HTTP_USER_AGENT"],'Safari'))
{
	$GROUP_NAME = iconv('utf-8','gbk',$GROUP_NAME);
}
$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);

ob_end_clean();
Header("Cache-control: private");
Header("Content-type: application/vnd.ms-excel");
Header("Accept-Ranges: bytes");
Header("Accept-Length: ".strlen($HEAD_TITLE));
Header("Content-Disposition:attachment;filename=".$GROUP_NAME.".csv");
echo  $HEAD_TITLE;