<?
/**
* @copyright (C) 2015 - 2020 Weaver Co.Ltd
* @package       eoffice9.0
* @function      新建项目
* @encoding      $_lang['encoding']
* @name          
* @version       1.0
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/attend.class.php");
include_once("general/project/function/function_all.php");
include_once("inc/utility.php");
include_once("inc/csv.php");
includelangpak("customer,hr");
$attend = new attend();

$csv = new CSV;
$csv->file = $CSV_FILE;
$csv->spot = "|";
$csv->open(0);
$data = $csv->getCsvData();

$attendance = $user_info = $no_account = $user_info_all = $dates = array();
$no_account_num = $update = $no_time = $add = 0;

$userList = $attend->userList('us.SYNC_ID,us.USER_ID,u.DEPT_ID,u.USER_PRIV',1);
foreach($userList as $row){
    $user_info[$row['SYNC_ID']] = $row['USER_ID'];
    $user_info_all[$row['USER_ID']] = $row;
}
$count = count($data);
$total = 0;
if($count>0){
  foreach($data as $k=>$v){
      $uid = $user_info[$v[0]];
      if($uid!=''&&!empty($v[1])){
          $time = strtotime($v[1]);
          $day = date("Y-m-d",$time);
          $dates[$day] = 1;
          if(!isset($attendance[$uid][$day]['min'])){
              $attendance[$uid][$day]['min'] = $time;
              $attendance[$uid][$day]['max'] = 0;
          }else{
              if($attendance[$uid][$day]['min']<$time&&$attendance[$uid][$day]['max']<$time){
                  $attendance[$uid][$day]['max'] = $time;
              }else if($attendance[$uid][$day]['min']>$time&&$attendance[$uid][$day]['max']>$time){
                  $attendance[$uid][$day]['min'] = $time;
              }else if($attendance[$uid][$day]['min']>$time&&$attendance[$uid][$day]['max']<$time){
                 $attendance[$uid][$day]['max'] = $attendance[$uid][$day]['min'];
                 $attendance[$uid][$day]['min'] = $time; 
              }
          }
          $total++;
      }else if($uid!=''&&empty($v[1])){
          $no_account[] = $v;
          $no_time++;
          $total++;
      }else if(empty($uid)&&!empty($v[1])){
          $no_account[] = $v;
          $no_user_account++;
           $total++;
      }
  }

  $in_days = implode("','",array_keys($dates));
  $where = " sign_date IN('".$in_days."')";
  $have_attend = $attend->attendCount($where);
  //获取排班信息;默认正常班
  $duty = $attend->getDutyById(1);
  $vacation_row = $attend->getVacationYear($duty['dutyVacation']);
  $year = date('Y');
  $vacation = $vacation_row['VACATION_YEAR']==$year?$vacation_row['VACATION_DATE']:'';

  foreach($attendance as $user_id=>$val){
      foreach($val as $sign_date=>$v){
          $sign_in_normal  = strtotime($sign_date." ".$duty['dutySignIn']);
          $sign_out_normal = strtotime($sign_date." ".$duty['dutySignOut']);
          $duty_type = 1;
          if($v['min'] > $sign_in_normal){
              $duty_type = 2;
          }

          $out_time_diff = 0;
          $out_type = 2;
          if($v['max']>0&&$v['max'] < $sign_out_normal){
              $out_time_diff = $v['max']-$sign_out_normal;
              $out_type = 2;
          }else if($v['max']>0&&$v['max'] > $sign_out_normal){
              $out_type = 1;
          }

          $duty_option = $v['max']>0?1:0;

          $in_time_diff = 0;
          if($v['min'] > $sign_in_normal){
              $in_time_diff = $sign_in_normal - $v['min'];
          }
          $data_type = (strpos($vacation,$sign_date)===FALSE)?1:0;
          $duty_data = array(
            'USER_ID'         =>  $user_id,
            'SIGN_IN_TIME'    =>  $v['min'],
            'SIGN_IN_NORMAL'  =>  $sign_in_normal,
            'SIGN_OUT_TIME'   =>  $v['max'],
            'SIGN_OUT_NORMAL' =>  $sign_out_normal,
            'DUTY_TYPE'       =>  $duty_type,
            'DATA_TYPE'       =>  $data_type,
            'IN_TIME_DIFF'    =>  $in_time_diff,
            'OUT_TIME_DIFF'   =>  $out_time_diff,
            'sign_date'       =>  $sign_date,
            'USER_DEPT'       =>  $user_info_all[$user_id]['DEPT_ID'],
            'USER_PRIV'       =>  $user_info_all[$user_id]['USER_PRIV'],   
            'DUTY_OPTION'     =>  $duty_option,   
            'OUT_TYPE'        =>  $out_type,   
          );

          if($have_attend == 0){
              $add++;
              $attend->attednDutyAdd($duty_data); 
          }else{
              $where = "USER_ID='".$user_id."' AND sign_date='".$sign_date."'";
              $num = $attend->attendCount($where);
              if($num == 0){
                  $add++;
                  $attend->attednDutyAdd($duty_data); 
              }else{
                  $update++;
                  $attend->attednDutySave($duty_data,$where);
              }           
          }
      }
  }

}

$PAGE_TITLE = $_lang['customer_man_inport_customer'];
$active = 3;
include_once("inc/page_header.inc.php");
?>

<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<link rel="stylesheet" type="text/css" href="/general/project/css/bwizard.min.css">
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<style type="text/css">
    .main_wrap{
        border-bottom: 1px solid lightgray;
    }
    .field_table tr:hover{
      background-color: #FFE4E1;
    }
</style>
<body style="overflow:hidden;">
<div class="lazy_header">
  <span class="lazy-page-title"><i class="fa fa-list-alt"></i><span class="tip"><?=$_lang["hr_attend_data_import"]?></span></span>
  <button type="button" id="back" class="btn btn-default" onclick="location='index.php'"><?=$_lang['customer_man_back']?></button>
</div>
<div class="main_wrap" style="background-color:#F7F7F7;font-size:14px;margin-top:10px;padding-left:12px;height:40px;line-height:40px;vertical-align:middle;">
  <span><?=$_lang["hr_total_import"]?><?=$total?><?=$_lang["hr_num_data"]?></span>
  <span style="color:green"><?if($update>0){echo ' '.$_lang["hr_update"].$update.$_lang["hr_num_attend"];}?><?if($add>0){echo ' '.$_lang["hr_new_add"].$add.$_lang["hr_num_attend"];}?> </span>
  <span style="color:red">
  <?
    if($no_user_account>0||$no_time>0){echo ' '.$_lang["hr_in"];} 
    if($no_user_account>0){echo $no_user_account.$_lang["hr_have_no_user"].' ';}
    if($no_time>0){echo $no_time.$_lang["hr_have_no_time"];}
  ?>
  </span>
</div>
<?if($no_user_account>0||$no_time>0){?>
<div class="fail_data_display_area">
<table cellpadding="10" width="100%" class="field_table">
<tr style="border-bottom:1px solid lightgray;background-color:white;">
  <th style="text-align:center">
    <?=$_lang['customer_man_order']?>
  </th>
  <th style="text-align:center">
    <?=$_lang["hr_attend_account"]?>
  </th>
  <th style="text-align:center">
    <?=$_lang["hr_attend_time"]?>
  </th>
</tr>
<?
  foreach ($no_account as $key => $value) {
?>
    <tr style="border:1px solid lightgray">
      <td align="center"><?=$key+1?></td>
      <td align="center"><span style="color:red"><?=$value[0]?></span></td>
      <td align="center"><?=$value[1]?></td>
    </tr>
<?
    }
?>
</table>
</div>
<?}?>
</body>
<script>
  $(function(){
      $('.fail_data_display_area').height($(window).height()-60).niceScroll();
  })
</script>
</html>

