<?
/**
 *@systemname:       E-Office
 *@filename:         general/book/manage/index.php
 *@function:         新建图书借阅
 *@encoding:         $_lang['encoding']
 *@file Version:     3.0
 *@eoffice Version:  8.x
 *@author:           www.weaver.com.cn
 *@modify            Lj
 *@date:             2013-02-22
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/field_set.class.php");
includelangpak("asset");

$OtherFieldObj = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('book_info',$book_id,'BOOK_ID','form1','edit');
$PAGE_TITLE = $_lang["asset_new_book"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script language="javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/calendar/calendar.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="../../vehicles/vehicles_all.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>

<script Language="JavaScript">
jQuery(document).ready(function(){
	jQuery("body").LazyBeautifyForm();
});

function CheckForm()
{
	var borrow_date = document.getElementById("BORROW_DATE").value;
	var return_date = document.getElementById("RETURN_DATE").value;
	var borrow_user = document.getElementById("BORROW_USER").value;
	if(document.form1.BOOK_NAME.value=="")
	{
		alert("<?=$_lang["asset_book_name_can_not_be_empty"]?>");
		return (false);
	} 

	if(trim(borrow_user) == ""){
		alert("<?=$_lang["asset_borrow_man"].$_lang["asset_can_not_be_empty"]?>");
		return false;
	}

	if(borrow_date > return_date) {
		alert("<?=$_lang["asset_choose_return_date"]?>");
		return false;
	}

	if(document.form1.BORROW_COUNT.value=="0" || document.form1.BORROW_COUNT.value=="") {
		alert("<?=$_lang["asset_book_count_error"]?>");
		return false;
	}
	document.form1.submit();
}

function td_calendar(fieldname)
{
	myleft = document.body.scrollLeft+event.clientX-event.offsetX-80;
	mytop  = document.body.scrollTop+event.clientY-event.offsetY+140;
	window.showModalDialog("/inc/calendar.php?FIELDNAME="+fieldname,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:280px;dialogHeight:205px;dialogTop:"+mytop+"px;dialogLeft:"+myleft+"px");
}

function checknum(num)
{
	num.value=num.value.replace(/[^\.0-9]+/,'');
	var reg1 = new RegExp(/\.[0-9]*\./);
	var reg2 = new RegExp(/(^\.|^0[^\.])/);
	if(reg1.test(num.value) ||reg2.test(num.value)) {
		alert("<?=$_lang["asset_book_input_err"]?>");
		num.value = '';
	}
}

function LoadWindow()
{
	URL   = "/module/book_select/";
	loc_x = document.body.scrollLeft+event.clientX-event.offsetX+250;
	loc_y = document.body.scrollTop+event.clientY-event.offsetY-160;
	window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:320px;dialogHeight:400px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}
</script>

<body class="bodycolor">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td class="page-title"><?=$_lang["asset_book_borrow_new"]?></td>
		<td align="right">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<a class="button" href="#" onClick="CheckForm();">
                        <span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/submit.gif" border="0" align="absmiddle" /><?=$_lang["common_sure"]?></span>
                        </a>
					</td>
					<td>
						<a class="button" href="#" onClick="location.href='/general/book/borrow_manage/index.php'">
                        <span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif" border="0" align="absmiddle" /><?=$_lang["common_back"]?></span>
                        </a>
					</td>					
				</tr>
			</table>
		<?=pageHeadItem("index",1,1,1,1) ?>	
		</td>
	</tr>
	<tr>
		<td colspan="2">
             <div class='bg-split' style="margin-bottom:5px; margin-top:5px;"></div>
        </td>
	</tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr height="10">
		<td width="10" class="tablecornertopleft10"></td>
		<td class="tablecornertopcenter10"></td>
		<td width="10" class="tablecornertoprightt10"></td>
	</tr>
	<tr>
		<td width="10" class="tablecornermiddleleft"></td>
		<td class="tablecornermiddlecenter" valign="top">
       	<form action="add_do.php?method=new"  method="post" id="form1" name="form1" onSubmit="return CheckForm();">
			<table border="0" cellspacing="1" width="100%"  cellpadding="5" class="pubtable">
				<tr>
					<td nowrap="nowrap" class="tablecol2" width="120"><?=$_lang["asset_book_name"]?>：</td>
					<td nowrap="nowrap" class="tablecol1">
						<table>
							<tr>
								<td>						
									<input type="text" readonly name="BOOK_NAME" id="BOOK_NAME" class="BigInput" style="width:200px" maxlength="100" value="<?=$BOOK_NAME?>">&nbsp;
								</td>
								<td>
									<input type="button" class="button" value="<?=$_lang["common_choose"]?>" onClick="LoadWindow()" title="<?=$_lang["asset_choose_suppliers"]?>" name="button">	
								</td>
								<td>
									<input type="hidden" name="BOOK_ID" id="BOOK_ID" class="BigInput" value="">
								</td>
							</tr>
						</table>
					</td>
				</tr>            
				<tr>
					<td nowrap="nowrap" class="tablecol2" width="120"><?=$_lang["asset_book_borrow_user"]?>：</td>
					<td nowrap="nowrap" class="tablecol1" colspan="2">
						<input type="text" name="BORROW_USER" id="BORROW_USER" class="BigInput" style="width:200px" maxlength="100" value="<?=$BORROW_USER?>">&nbsp;
					</td>
				</tr>
					<tr>
					<td nowrap="nowrap" class="tablecol2" width="120"><?=$_lang["asset_idbn_number"]?>：</td>
					<td nowrap="nowrap" class="tablecol1" colspan="2">
						<input type="text" name="ISBN" id="ISBN" class="BigInput" style="width:200px" maxlength="100" value="<?=$ISBN?>">&nbsp;
					</td>
				</tr>
				<tr>
					<td nowrap="nowrap" class="tablecol2" width="120"><?=$_lang["asset_book_borrow_date"]?>：</td>
					<td nowrap="nowrap" class="tablecol1" colspan="2">
						<input class="Wdate" type="text" name="BORROW_DATE" id="BORROW_DATE" style="width:200px" maxlength="100" value="<?=date("Y-m-d",time())?>" onClick="popUpCalendar(document.form1, document.form1.BORROW_DATE, 'yyyy-mm-dd');" onchange="check_legal(this,'date');">
					</td>
				</tr>
				<tr>
					<td nowrap="nowrap" class="tablecol2" width="120"><?=$_lang["asset_book_return_date"]?>：</td>
					<td nowrap="nowrap" class="tablecol1" colspan="2">
						<input class="Wdate" type="text" name="RETURN_DATE" id="RETURN_DATE" style="width:200px" maxlength="100" onClick="popUpCalendar(document.form1, document.form1.RETURN_DATE, 'yyyy-mm-dd');" onchange="check_legal(this,'date');">
					</td>
				</tr> 
				<tr>
					<td nowrap="nowrap" class="tablecol2" width="120"><?=$_lang["asset_number"]?>：</td>
					<td nowrap="nowrap" class="tablecol1" colspan="2">
						<input type="text" name="BORROW_COUNT" id="BORROW_COUNT" class="BigInput" maxlength="100" onkeyup="checknum(this)">
					</td>
				</tr>
				<tr>
					<td nowrap="nowrap" class="tablecol2" width="120"><?=$_lang["asset_book_borrow_note"]?>：</td>
					<td nowrap="nowrap" class="tablecol1" colspan="2">
						<textarea cols="25" rows="5" style="overflow:auto" name="BORROW_NOTE" id="BORROW_NOTE" wrap="PHYSIVAL"></textarea>
					</td>
				</tr>           
			</table>
        </form>
		</td>
		<td width="10" class="tablecornermiddleright" ></td>
	</tr>
	<tr height="10">
		<td width="10" class="tablecornerbottomleft"></td>
		<td class="tablecornerbottomcenter"></td>
		<td width="10" class="tablecornerbottomright" ></td>
	</tr>
</table>
</body>
</html>
