<?
/**
 *@systemname:       E-Office
 *@filename:         general/book/manage/index.php
 *@function:         图书信息录入管理
 *@encoding:         $_lang['encoding']
 *@file Version:     3.0
 *@eoffice Version:  8.0
 *@author:           sun|www.weaver.com.cn
 *@modify            liuqingyu
 *@date:             2012-02-09
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("inc/common.inc");
include_once("api/field_set.class.php");
includelangpak("asset");
includelangpak("book");
$OtherFieldObj = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('book_info',$BOOK_ID,'BOOK_ID','form2','edit');
$PAGE_TITLE = $_lang["book_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
	.leftlist {
		float: left;
		border-right: 1px solid #D9D9D9;	
		line-height: 40px;
	}
	.list .ellipsis_field{
		padding-left: 30px;
	}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/inc/imp_exp/imp_exp.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript">
$(function() {
	$(".bookdiv").height($(window).height()-40).niceScroll();
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$("#PUB_DATE").datepicker({dateFormat:"yy-mm-dd"});
	
	$("#new").click(function() {
		var type = $("#new_type").val();
		$("#TYPE_ID").selectpicker("val",type);
		$("#add_type_change").val(1);
		$(".editdiv").css("display","block");
		$(".booklist").css("display","none");
	});
	$("select").selectpicker({
		width:200,
		noneSelectedText:'<?=$_lang["book_please_select"]?>'
	});

	$("#back").click(function() {
		$("#add_type_change").val(0);
		var npage=$(".active .current").not(".prev").html();
		var page=parseInt(npage)-1;
		window.location.href='/general/book/manage/index.php?page='+page;
		$(".booklist").css("display","block");
		$(".editdiv").css("display","none");
	});
	//$(".outsidediv").height($(window).height());

	$("#typelistall").click(function(){
		$("#editdiv").css("display","none");
		$("#bookinfo").css("display","block");
		$("#new_type").val('');
		var is_add = $("#add_type_change").val();
		if(is_add==1){
			$("#TYPE_ID").selectpicker("val",'');
			$(".editdiv").css("display","block");
			$(".booklist").css("display","none");
		}else{
			searchBook('');
		}

	})

	$("#typelist").LazyList({
		dataSource:"/general/book/manage/index_do.php",
		param:{
			type:"getmanagetype"
		},
		itemListTemplate:"{TYPE_NAME_SHORT}({num})",
		onItemClick:function(ui,data) {
			$("#editdiv").css("display","none");
			$("#bookinfo").css("display","block");
			$("#new_type").val(data.TYPE_ID);
			var is_add = $("#add_type_change").val();
			if(is_add==1){
				$("#TYPE_ID").selectpicker("val",data.TYPE_ID);
				$(".editdiv").css("display","block");
				$(".booklist").css("display","none");
			}else{
				searchBook(data.TYPE_ID);
			}
			
		}
	});
	$(".booksearch").LazySearch({
		tip:'<?=$_lang["book_keyword_search"]?>',
		mode:"mini",
		url:"/general/book/manage/index_do.php",
		fieldSearch : {
			onItemClick : function(data,value) {
				$(".bookinfo").LazyTable("reload", {
					param : {
						type:"getbook",
						BOOK_NAME:value
					}
				})
			},
			items : [{key : "subject",title : '<?=$_lang["book_name_have"]?>'}]
		},
		advancedSearch:{
			onSearch : function(event,ui) {
				var url  = "index_do.php?type=getbook";
				var data = $(ui).find('#form2').serialize();
				$(".bookinfo").LazyTable("reload",{
					param:{
						type:"getbook",
						searchQuery:data
					},
					page: {
				        currentPage:0,
			    	},
				});
			},
			items : "/general/book/manage/search.php",
		},
		onClearButtonClick:function(){
			$(".bookinfo").LazyTable("reload", {
				param : {
					type:"getbook"
				}
			})
		}
	});
	var npage="<?php echo $_GET[page]?>";
	if(!npage){
		npage=0;
	}
	$("#bookinfo").LazyTable({
		column:[{key:"DEPT_NAME",title:'<?=$_lang["book_department"]?>'},
				{key:"BOOK_NAME",title:'<?=$_lang["book_name"]?>'},
				{key:"TYPE_NAME",title:'<?=$_lang["book_classes_name"]?>'},
				{key:"AUTHOR",title:'<?=$_lang["book_author"]?>'},
				{key:"PUB_HOUSE",title:'<?=$_lang["book_publishing_house"]?>'},
				{key:"AREA",title:'<?=$_lang["book_storage_place"]?>'},
				{key:"LEND_FLAG",title:'<?=$_lang["book_borrow_status"]?>'}],
		buttons:{
			buttonInfor:{
				"edit":{
					title:'<?=$_lang["book_edit"]?>',
					func:function(data) {
						bookInfo(data.BOOK_ID);
					}
				},
				"delete":{
					title:'<?=$_lang["book_delete"]?>',
					func:function(data) {
						delBook(data.BOOK_ID);
					}
				}
			}
		},
		dataSource:"/general/book/manage/index_do.php",
		param:{
			type:"getbook",
			list:"list",
		},
        page: {
	        currentPage:npage,
    	},
	});
	



	//提交
	$("#submit").click(function() {
		CheckForm();
	});

	$("#BOOK_NAME").blur(function() {
		checkName();
	});

	$("#common_in").click(function() {
		ImportData('book_info','sort');
	});

	$(".arrow").LazyToggle({
		showTip : '<?=$_lang["book_show_info"]?>',
		autoHide : false,
		hideTip : '<?=$_lang["book_hide_info"]?>',
		onAfterShow : function() {
			$(".leftlist").show();
			$(".booklist").css("margin-left", "301px");
		},
		onAfterHide : function() {
			$(".leftlist").hide();
			$(".booklist").css("margin-left", "0px");
		}			
	});

	$("#BOOK_NAME").keyup(function() {
		$.trim($(this).val()) != "" ?$(this).removeClass("require"):$(this).addClass("require");
	});

	$(".customDate").datepicker({dateFormat:"yy-mm-dd"});
	$("#editdiv input").css("width","200");

	$("#BOOK_NAME").blur(function(){
		var v=$(this).val();
		if(v == ''){
			$(this).css('border-left','3px solid red');
		}else{
			$(this).css('border-left','1px solid #ddd');
		}
	})	
	$("#typelist").height($(window).height()-40).niceScroll();
});
</script>

<body style="overflow:hidden;">
<div class="listdiv" id="listdiv">
	<div id="leftlist" class="leftlist" style="height:820px;">
		<div class="outsidediv">
			<div class="lazy_header">
				<span class="lazy-page-title">
					<i class="fa fa-page-title"></i>
					<span id="typelistall" class="tip" style="cursor:pointer;"><?=$_lang["book_all_book"]?></span>
				</span>
			</div>
			<div id="typelist" style="float:left;"></div>
		</div>
	</div>
	<div id="booklist" class="booklist" style="margin-left:301px;height:820px;">		
		<div class="lazy_header">
			<div class="arrow" id="arrow"></div>
			<span class="lazy-page-title">
				<i class="fa fa-page-title"></i>
				<span class="tip"><?=$_lang["asset_book_info_manage"]?></span>
			</span>
			<button type="button" class="btn btn-primary" id="new"><?=$_lang["common_new"]?></button>
			<button type="button" class="btn btn-primary" id="common_in"><?=$_lang["common_in"]?></button>
			<div class="booksearch bookesearch_width" id="booksearch" style="float:right;margin-top:5px;"></div>
			<script>
				$(function(){
					$('.bookesearch_width input').width('178px');
				})
			</script>
		</div>
		<div id="bookinfo" class="bookinfo"></div>
	</div>
</div>
<div class="editdiv" id="editdiv" style="display:none;margin-left:301px;border-left:1px solid #d9d9d9">
	<div class="lazy_header">
	    <span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip edit_tip"><?=$_lang["book_create_book"]?></span>
		</span>
		<button type="button" class="btn btn-primary" id="submit"><?=$_lang["common_submit"]?></button>
		<button type="button" class="btn btn-default" id="back"><?=$_lang["common_back"]?></button>
	</div>
	<div class="bookdiv">
	<form>
		<input type="hidden" id="new_type" value=""/>
		<input type="hidden" id="add_type_change" value="0"/>
	</form>
	<form action="add.php"  method="post" id="form1" name="form1">
        <table border="0" cellspacing="1" width="100%"  cellpadding="5" class="form_table">
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["common_dept"]?></td>
                <td nowrap="nowrap">
                <select name="DEPT_ID" id="DEPT_ID">
					<?
					echo my_dept_trees(0,$LOGIN_DEPT_ID,0);
					?>
                </select>
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_book_type"]?></td>
                <td nowrap="nowrap">
					<select name="TYPE_ID" id="TYPE_ID" width="198">
						<?
						$query = "SELECT * from BOOK_TYPE order by TYPE_ID";
						$cursor= exequery($connection,$query);
						while($ROW=mysql_fetch_array($cursor))
						{
							$TYPE_ID1=$ROW["TYPE_ID"];
							$TYPE_NAME=$ROW["TYPE_NAME"];						
						?>
						<option value="<?=$TYPE_ID1?>" style="width:180px;"><?=substrGB($TYPE_NAME,10,'...')?></option>
						<?
						}
						?>
					</select>
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_book_name"]?></td>
                <td nowrap="nowrap">
					<input type="text" class="require" name="BOOK_NAME" id="BOOK_NAME" maxlength="100" value="<?=$BOOK_NAME?>">&nbsp;
                </td>
            </tr>
            
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_book_author"]?></td>
                <td nowrap="nowrap">
					 <input type="text" name="AUTHOR" id="AUTHOR" maxlength="100" value="<?=$AUTHOR?>">&nbsp;
                </td>
            </tr>
                <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_idbn_number"]?></td>
                <td nowrap="nowrap">
				    <input type="text" name="ISBN" id="ISBN" maxlength="100" value="<?=$ISBN?>">&nbsp;
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_press"]?></td>
                <td nowrap="nowrap">
                    <input type="text" name="PUB_HOUSE" id="PUB_HOUSE" maxlength="100" value="<?=$PUB_HOUSE?>">&nbsp;
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_publication_date"]?></td>
                <td nowrap="nowrap">
                	<input type="text" name="PUB_DATE" id="PUB_DATE" maxlength="100" onchange="check_legal(this,'date');">
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_storage_sites"]?></td>
                <td nowrap="nowrap">
                    <input type="text" name="AREA" id="AREA" maxlength="100" value="<?=$AREA?>">&nbsp;
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_number"]?></td>
                <td nowrap="nowrap">
                    <input type="text" name="AMT" id="AMT" maxlength="11" onKeyUp="this.value=this.value.replace(/(\D)+/i,'')" value="<?=$AMT?>" >&nbsp;
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_prices"]?></td>
                <td nowrap="nowrap">
                    <input type="text" name="PRICE" id="PRICE" maxlength="10" onKeyUp="checknum(this)" value="<?=$PRICE?>">&nbsp;(RMB￥，<?=$_lang["asset_book_only_num"]?>)
                </td>
            </tr>           
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_borrow_scope"]?></td>
                <td nowrap="nowrap">
					<select name="OPEN" id="OPEN">
						<option value="0"><?=$_lang["asset_this_dept"]?> </option>
						<option value="1"><?=$_lang["asset_staff"]?> </option>
					</select>
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_borrow_status"]?></td>
                <td nowrap="nowrap">
					<select name="LEND" id="LEND">
						<option value="0"><?=$_lang["asset_not_borrow"]?> </option>
						<option value="1"><?=$_lang["asset_borrowed"]?> </option>
					</select>
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_borrow_man"]?></td>
                <td nowrap="nowrap">
                    <input type="text" name="BORR_PERSON" id="BORR_PERSON" maxlength="100" value="<?=$BORR_PERSON?>">&nbsp;
                </td>
            </tr>
            <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_vehicles_remark"]?></td>
                <td nowrap="nowrap">
                    <input type="text" name="MEMO" id="MEMO" maxlength="100" value="<?=$MEMO?>">&nbsp;
                </td>
            </tr> 
			 <tr>
                <td nowrap="nowrap" class="title"><?=$_lang["asset_content_introduction"]?></td>
                <td nowrap="nowrap">
                    <textarea cols="50" rows="5" style="overflow:auto" name="BRIEF" id="BRIEF"  wrap="PHYSIVAL"><?=$BRIEF?></textarea>
                </td>
            </tr>
           <tr>
                <td colspan='2' id="test">
                    <?=$OtherFieldArray['Page'];?>
                </td>
            </tr>
        </table>
		<input type="hidden" id="BOOK_ID" name="BOOK_ID">
		<input type="hidden" id="page" name="page" value=""/>
     </form>
	 </div>
</div>
</body>
</html>
<script>
function searchBook(typeId) {
	$("#bookinfo").LazyTable("reload",{
		param:{
			type:"getbook",
			TYPEID:typeId
		}
	});
}
function delBook(bookId) {
	bootbox.confirm('<?=$_lang["book_delete_is"]?>',function(result) {
		if(result)
		{
			settings = $("#bookinfo").data("lazyTableSettings");
			param = settings.param;
			param.type='delbook';
			param.BOOK_ID=bookId;

			$("#bookinfo").data("lazyTableSettings",settings);
			var url = "/general/book/manage/index_do.php";
			var data = param;

			$.ajax({
				type:"POST",
				url:url,
				data:data,
				success:function(resp) {
					if(resp) {
						$("#editdiv").css("display","none");
						$("#bookinfo").css("display","block");
						$.pnotify({
							text:'<?=$_lang["book_delete_success"]?>',
							type:"success"
						});
						currentPage = resp>-1?resp:param.currentPage;
						$("#bookinfo").LazyTable("reload",{
							param:{
								type:"getbook",
								TYPEID:$("#new_type").val()
							},
				        	page: {
						      currentPage:currentPage
					    	},
						});

						$("#typelist").LazyList("reload");
						$("#deldiv").dialog("close");
					}
				}
			});
		}
	});
}
function CheckForm() {
	
	var bookId  = $("#BOOK_ID").val();
	var bookName= $("#BOOK_NAME").val();
	var typeId = $('#TYPE_ID').val();
	var npage=$(".active .current").not(".prev").html();
	$(function(){
		$("#page").val(npage);
	})
	if(!bookName) {
		$.pnotify({
			text:'<?=$_lang["book_cannot_empty"]?>',
			type:"error"
		});
		return false;
	}
	if(!typeId) {
		$.pnotify({
			text:'<?=$_lang["book_type_first"]?>',
			type:"error"
		});
		return false;
	}
	document.form1.submit();
}

function bookInfo(bookId) {
	$("#BOOK_ID").val(bookId);
	$('.edit_tip').html('<?=$_lang["book_edit_detail"]?>');
	var url = "/general/book/manage/index_do.php";
	var data = "type=getbook&BOOK_ID="+bookId;
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp) {
			if(resp) {
				$(".booklist").css("display","none");
				$(".editdiv").css("display","block");
				var jsonData = eval("("+resp+")");
				$.each(jsonData.list,function(key,val) {
					$("#BOOK_ID").val(val.BOOK_ID);
					$("#BOOK_NAME").val(val.BOOK_NAME);
					$("#DEPT_ID").selectpicker("val",val.DEPT);
					$("#BOOK_ID").val(val.BOOK_ID);
					$("#AUTHOR").val(val.AUTHOR);
					$("#ISBN").val(val.ISBN);
					$("#PUB_HOUSE").val(val.PUB_HOUSE);
					$("#PUB_DATE").val(val.PUB_DATE);
					$("#AREA").val(val.AREA);
					$("#AMT").val(val.AMT);
					$("#PRICE").val(val.PRICE);
					$("#BRIEF").val(val.BRIEF);
					$("#TYPE_ID").selectpicker("val",val.TYPE_ID);
					$("#OPEN").selectpicker("val",val.OPEN);
					$("#LEND").selectpicker("val",val.LEND);
					$("#BORR_PERSON").val(val.BORR_PERSON);
					$("#MEMO").val(val.MEMO);
					if(val.BOOK_NAME != ''){
						$("#BOOK_NAME").css("border-left","1px solid #ddd");
					}
									
				})
				$("#test").html(jsonData.extendsFiedls);
				$(".customDate").datepicker();
			}
		}
	});
}

function checkName () {
	var bookName = $("#BOOK_NAME").val();
	var typeId   = $("#TYPE_ID").val();
	var deptId   = $("#DEPT_ID").val();
	var bookId   = $("#BOOK_ID").val();
	var url = "/general/book/manage/index_do.php";
	var data= "type=checkBname&BOOK_NAME="+bookName+"&TYPE_ID="+typeId+"&DEPT_ID="+deptId+"&BOOK_ID="+bookId;
	$.ajax({
		type:"POST",
		data:data,
		url:url,
		success:function(resp){
			if(resp == 1)
			{		
				$.pnotify({
					text:"<?=$_lang["asset_error"],$_lang["asset_book"]?>"+bookName+ 
				"<?=$_lang["asset_have_exist"]?>",
					type:"error"
				});
			}
		}
	});
}
</script>
<?php
function my_dept_trees($DEPT_ID, $DEPT_CHOOSE, $POST_OP)
{
    static $DEEP_COUNT;
    $DEEP_COUNT = $DEEP_COUNT?$DEEP_COUNT:"|";

    $connection = OpenConnection();
    $query = "SELECT * FROM department WHERE DEPT_PARENT=$DEPT_ID ORDER BY DEPT_NO";
    $cursor = exequery($connection, $query);
    $OPTION_TEXT = "";
    $DEEP_COUNT1 = $DEEP_COUNT;
    $DEEP_COUNT .= "　|";
    while ($ROW = mysql_fetch_array($cursor)) {
        $COUNT++;

        $DEPT_ID     = $ROW["DEPT_ID"];
		$DEPT_NO     = $ROW["DEPT_NO"];
        $DEPT_NAME   = $ROW["DEPT_NAME"];
        $DEPT_PARENT = $ROW["DEPT_PARENT"];

        $DEPT_PRIV   = $POST_OP == 1?is_dept_priv($DEPT_ID):1;
        if ($DEPT_PRIV == 1) {
            $OPTION_TEXT .= "<option ";
            if ($DEPT_ID == $DEPT_CHOOSE)
                $OPTION_TEXT .= "selected ";
            $newName = $DEEP_COUNT1 . "─(".$DEPT_NO.")-".$DEPT_NAME;
            $OPTION_TEXT .= "value=$DEPT_ID>" .substrGB($newName,20,'...')."</option>";
        }

		$OPTION_TEXT_CHILD = my_dept_trees($DEPT_ID, $DEPT_CHOOSE, $POST_OP);
        if ($OPTION_TEXT_CHILD != "")
            $OPTION_TEXT .= $OPTION_TEXT_CHILD;

    } //while
    $DEEP_COUNT = $DEEP_COUNT1;
    return $OPTION_TEXT;
}
?>