<?
/**
 *@systemname:       E-Office
 *@filename:         general/book/type/index.php
 *@function:         图书类别管理
 *@encoding:         $_lang['encoding']
 *@file Version:     2.0
 *@eoffice Version:  8.0
 *@author:           sun|www.weaver.com.cn
 *@modify            liuqingyu
 *@date:             2014-03-04
*/
include_once("inc/auth.php"); 
includelangpak("asset");
includelangpak("book");
$PAGE_TITLE = $_lang["book_type_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
.leftlist {
	float: left;
	border-right: 1px solid #D9D9D9;	
	line-height: 40px;
}
.list .ellipsis_field{
	padding-left: 30px;
}

</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script Language="JavaScript">
$(function() {
	$("#typelist").height($(window).height()-40).niceScroll();
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$("#TYPE_NAME").focus();
	$("#typelist").LazyList({
		dataSource:"/general/book/type/type_do.php",
		param:{
			type:"getlist"
		},
		itemListTemplate:"{TYPE_NAME_SHORT}",
		onItemClick:function(ui,data) {
			showTypeInfo(data.TYPE_NAME,data.TYPE_ID);
		},
		buttons:{
			buttonInfor:{
				"delete":{
					title:'<?=$_lang["book_delete"]?>',
					func:function(data){
						delete_type(data.TYPE_ID);
					}
				}
			}
		}
	});

	$(".outsidediv").height($(window).height());
	$("#new").click(function() {
		formReset();
	});

	$(".arrow").LazyToggle({
		showTip : '<?=$_lang["book_show_type"]?>',
		autoHide : false,
		hideTip : '<?=$_lang["book_hide_type"]?>',
		onAfterShow : function() {
			$(".leftlist").show();
			$(".typelist").css("margin-left", "301px");
		},
		onAfterHide : function() {
			$(".leftlist").hide();
			$(".typelist").css("margin-left", "0px");
		}			
	});

	$("#TYPE_NAME").keyup(function() {
		$.trim($(this).val()) != "" ?$(this).removeClass("require"):$(this).addClass("require");
	});
});

//显示类别信息
function showTypeInfo(typeName,typeId) {
	if(typeName==''){
		$('#TYPE_NAME').addClass('require');
	}else{
		$('#TYPE_NAME').removeClass('require');
	}
	$("#TYPE_NAME").val(typeName);
	$("#TYPE_ID").val(typeId);
}

function CheckForm()
{
	if(document.form1.TYPE_NAME.value=="") {
		alert("<?=$_lang["asset_type_name_can_not_be_empty"]?>");
		return (false);
	} else {
		return true;
	}	
}

function delete_type(TYPE_ID)
{
	bootbox.confirm("<?=$_lang["asset_confirm_to_del_this_type"]?>",function(result){
		if(result)
		{
			var url  = "/general/book/type/type_do.php";
			var data = "type=deletetype&TYPE_ID="+TYPE_ID;
			$.ajax({
				type:"POST",
				url:url,
				data:data,
				success:function(result){
					if(result) {
						if(result==1){
							$.pnotify({
								text:'<?=$_lang["book_delete_success"]?>',
								type:"success"
							});
						}else{
							$.pnotify({
								text:'<?=$_lang["book_type_delete_all"]?>',
								type:"success"
							});
						}
						$("#typelist").LazyList("reload");
					}
				}
			});
		}
	});	
}

function searchaction()
{
	if(CheckForm())
	{
		document.getElementById("form1").submit();
	}
}

//提交表单
function sendForm() {
	var typeName = $("#TYPE_NAME").val();
	var typeId   = $("#TYPE_ID").val();
	var url  = "/general/book/type/type_do.php";
	var type = typeId == ""?"addtype":"updatetype";
	var data = "type="+type+"&TYPE_NAME="+typeName+"&TYPE_ID="+typeId;

	if(typeName == "") {
		$.pnotify({
			text:'<?=$_lang["book_type_cannot_empty"]?>',
			type:"error"
		});
	} else {
		$.ajax({
			type:"POST",
			data:data,
			url:url,
			success:function(resp) {
				if(resp) {
					$("#typelist").LazyList("reload");
					if(typeId == ""){
						$.pnotify({
							text:'<?=$_lang["book_add_success"]?>',
							type:"success"
						});
						formReset();
					}else{
						$.pnotify({
							text:'<?=$_lang["book_edit_success"]?>',
							type:"success"
						});					
					}
				}
			}
		});
	}
}

//清空页面内容
function formReset(){
	$("input").each(function() {
		if(this.type == "text")
		{
			this.value = "";
		}
	});
	$('#TYPE_NAME').addClass('require');
	$("#TYPE_ID").val("");
}
</script>

<body style="overflow:hidden;">
<div id="message"></div>
<div id="leftlist" class="leftlist">
	<div class="outsidediv">
		<div class="lazy_header">
			<span class="lazy-list-title">
				<i class="fa fa-list-title"></i>
				<span class="tip"><?=$_lang["asset_book_type_manage"]?></span>
			</span>
			<button id="new" type="button" class="btn btn-primary"><?=$_lang["common_new"]?></button>
		</div>
		<div id="typelist" style="width:300px;"></div>
	</div>
</div>
<div class="typelist" id="typelist" style="margin-left:301px;">
	<div class="lazy_header">
		<div class="arrow" id="arrow"></div>
        <span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["asset_book_type_define"]?></span>
		</span>
		<button type="button" class="btn btn-primary" onclick="sendForm();"><?=$_lang["common_submit"]?></button>
	</div>
	<div id="typeinfo" style="margin-left:20px;margin-top:5px;">
		<form method="post" id="form1" name="form1">  
			<table border="0" cellspacing="1" width="100%" cellpadding="5" class="form_table">
				<tr>
					<td nowrap="nowrap" class="title"><?=$_lang["asset_type_name"]?></td>
					<td nowrap="nowrap">
						<input type="text" class="require" id="TYPE_NAME" name="TYPE_NAME" size="25" maxlength="100">&nbsp;
					</td>
			   </tr>			
			</table>
			<input type="hidden" id="TYPE_ID" name="TYPE_ID">
		</form>
	</div>
</div>
</body>
</html>