<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice9.0
* @function      日历显示
* @encoding      $_lang['encoding']
* @name          general/calendar9/allshow
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/calendar.class.php");
includelangpak("calendar");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('181,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}

$PAGE_TITLE = $_lang["calendar_show"];
include_once 'inc/page_header.inc.php';

?>


<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/general/fullcalendar/fullcalendar.css">
<link rel="stylesheet" type="text/css" href="/general/fullcalendar/layer/skin/layer.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<style type="text/css">
#deptTree{
	width: 299px;
	overflow-y: auto;
	overflow-x: hidden;
}
.fc-event-inner{
	padding:2px 5px;	
}
</style>
<body>
<input type="hidden" id="chooseDataId" name="chooseDataId">
<div class="left_list_wrap">
    <div class="lazy_header">
        <span class="lazy-list-title">
            <i class="fa fa-list-title"></i>
            <span class="tip"><?=$_lang["calendar_organize"]?></span>
        </span>
        <div class="left_search" style="float:right; margin-right:5px;"></div>
    </div>
    <ul id="deptTree" class="ztree"></ul>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <span class="lazy-page-title">
            <i class="fa fa-page-title"></i>
            <span class="tip"><?=$_lang["calendar_show_list"]?></span>
        </span>
<!--        <div style="float:right">
        	<div class="btn-group">
              <button type="button" class="btn btn-default" id="allDataShow"><?=$_lang["calendar_level_all"]?></button>
              <button type="button" class="btn btn-info" id="planDataShow"><?=$_lang["calendar_plain"]?></button>
              <button type="button" class="btn btn-primary" id="caleDataShow"><?=$_lang["calendar_schedule"]?></button>
            </div>
        </div>-->
    </div>
    <div id="right_table">
    	<div id='calendar' style="width:100%; padding-top:10px;"></div>
        <div id="calsimpleTitle" style="display:none">
            <table border="0" cellpadding="5" cellspacing="1" width="100%">
                <tr>
                    <td><?=$_lang["calendar_type"]?></td>
                    <td id="typeText"></td>
                </tr>
                <tr>
                    <td id="diffTitle"></td>
                    <td id="titleText"></td>
                </tr>
                <tr>
                    <td nowrap="nowrap"><?=$_lang["calendar_plan_begin_time"]?></td>
                    <td id="begDateText"></td>
                </tr>
                <tr>
                    <td nowrap="nowrap"><?=$_lang["calendar_plan_end_time"]?></td>
                    <td id="endDateText"></td>
                </tr>
                <tr>
                    <td><?=$_lang["calendar_tag"]?></td>
                    <td id="labelsText"></td>
                </tr>
            </table>
        </div>
        <div id="vehiAllView" title='<?=$_lang["calendar_check_detail"]?>'></div>
    </div>
</div>    
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>

<script type="text/javascript" src="/general/fullcalendar/fullcalendar.js"></script>
<script type="text/javascript" src="/general/fullcalendar/layer/layer.js"></script>
<script type="text/javascript" src="/general/fullcalendar/jquery.choose_<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script language="javascript">
tipsObj = "";
$(document).ready(function(){
	$("#right_table").height($(window).height()-50);
    //$("#right_table").niceScroll(); 
    $("body").niceScroll(); 
	var setting = {
		view : {
			showLine : false,
			showIcon : false,
			selectedMulti : false,
			dblClickExpand : false,
			addDiyDom : addDiyDom
		},
		async: {    
			enable: true,    
			type:'post',  
			url:"/general/project/moduleset/examine/do.php",
			autoParam: ["id"],
			otherParam : {
				checkdiff : "getAllUser"
			}
		}, 
		callback : {
			beforeClick : beforeClick,
			onExpand: zTreeOnExpand,
			onClick : function(event, treeId, treeNode) {
				//判断是否是数字
				if(!isNaN(treeNode.id)){
				   //alert("是数字");
				}else{
				   //alert("不是数字");
				   $("#chooseDataId").val(treeNode.id);
				   $.ajax({
						type:"POST",
						data:"type=getAllData&diff=plan&userId="+treeNode.id,
						url:"/general/calendar9/allshow/alldo.php"
					}).done(function(result){
						//console.log(result);
						/*$("#chooseDataId").val(data.car_id);
						$("#chooseDataName").val(data.car_model);
						$("#chooseDataNumber").val(data.car_num);
						dataStr = result;	*/
						//console.log(dataStr);
						caleObj.fullCalendar("removeEvents");
						caleObj.fullCalendar("addEventSource",$.parseJSON(result));
						//caleObj.fullCalendar( 'refetchEvents' );
					});
				}
		   
			},
			onAsyncSuccess : zTreeOnAsyncSuccess
		}
	};
	function zTreeOnExpand(event, treeId, treeNode) {
		$("#deptTree").getNiceScroll().resize();
	};

	function zTreeOnAsyncSuccess(event, treeId, treeNode, msg) {
		//初始化的时候选中第一个节点
		if (treeNode === undefined) {
			zTree_Menu = $.fn.zTree.getZTreeObj("deptTree");
			zTree_Menu.selectNode(zTree_Menu.getNodes()[0]);
		}
	}
	function addDiyDom(treeId, treeNode) {
		var spaceWidth = 10;
		var switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
		switchObj.remove();
		icoObj.before(switchObj);
		var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
		switchObj.before(spaceStr);
	}
	function beforeClick(treeId, treeNode) {
		var zTree = $.fn.zTree.getZTreeObj("deptTree");
		//zTree.expandNode(treeNode);
		zTree.expandNode(treeNode,"","","",true);
		return true;
	}
	var treeObj = $("#deptTree");
	$.fn.zTree.init($("#deptTree"), setting);
	//查询
	$(".left_search").LazySearch({
		tip : '<?=$_lang["calendar_search_user"]?>',
		url : "alldo.php",
		param : {
			type : "autoSearch1"
		},
		width : 150,
		autoSearch : {
			template : "{USER_NAME}",
			onItemClick : function(data) {
				//console.log(data);
				//alert(data.key+"----"+data.typeName);
				$("#chooseDataId").val(data.USER_ID);
			   $.ajax({
					type:"POST",
					data:"type=getAllData&diff=plan&userId="+data.USER_ID,
					url:"/general/calendar9/allshow/alldo.php"
				}).done(function(result){
					caleObj.fullCalendar("removeEvents");
					caleObj.fullCalendar("addEventSource",$.parseJSON(result));
				});
			}
		},
		onClearButtonClick:function()
		{
			//查询清除回调函数
		}
	});
	$("#deptTree").height($(window).height()-40);
	$("#deptTree").niceScroll();
		
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	
	$(".switch").LazyToggle({
		showTip : '<?=$_lang["calendar_show_type"]?>',
		hideTip : '<?=$_lang["calendar_hide_type"]?>',
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
			$('#calendar').fullCalendar('render');
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
			$('#calendar').fullCalendar('render');
		}
	});
	//调用插件
	var caleObj = $('#calendar').calendarInit({
		defaultView:"agendaWeek",
		selectable:false,
		emouserOver:function(calEvent, jsEvent, view){
			caleMouserOver.call(this,calEvent, jsEvent, view);	
		},
		emouserOut:function(calEvent, jsEvent, view){
            caleMouserOut.call(this,calEvent, jsEvent, view); 
        },
		emouserClick:function(calEvent, jsEvent, view){
			caleMouserClick.call(this,calEvent, jsEvent, view);	
		}
	});
	$("#vehiAllView").dialog({
		autoOpen: false,
		  width: "auto",
		  modal: true
	});
	//按钮事件
	$("#allDataShow").on("click",function(){
		//alert(11);	
		var chooseId = $("#chooseDataId").val();
		$.ajax({
			type:"POST",
			data:"type=getAllData&diff=all&userId="+chooseId,
			url:"/general/calendar9/allshow/alldo.php"
		}).done(function(result){
			caleObj.fullCalendar("removeEvents");
			caleObj.fullCalendar("addEventSource",$.parseJSON(result));
		});		
	});
	$("#planDataShow").on("click",function(){
		//caleObj.fullCalendar("removeEvents");
		var chooseId = $("#chooseDataId").val();
		$.ajax({
			type:"POST",
			data:"type=getAllData&diff=plan&userId="+chooseId,
			url:"/general/calendar9/allshow/alldo.php"
		}).done(function(result){
			caleObj.fullCalendar("removeEvents");
			caleObj.fullCalendar("addEventSource",$.parseJSON(result));
		});		
	});
	$("#caleDataShow").on("click",function(){
		//caleObj.fullCalendar("removeEvents");	
		var chooseId = $("#chooseDataId").val();
		$.ajax({
			type:"POST",
			data:"type=getAllData&diff=cale&userId="+chooseId,
			url:"/general/calendar9/allshow/alldo.php"
		}).done(function(result){
			caleObj.fullCalendar("removeEvents");
			caleObj.fullCalendar("addEventSource",$.parseJSON(result));
		});	
	});
	initCaleData(caleObj);
});
//初始化数据
function initCaleData(caleObj){
	$.ajax({
		type:"POST",
		data:"type=getAllData&diff=plan&userId=",
		url:"/general/calendar9/allshow/alldo.php"
	}).done(function(result){
		caleObj.fullCalendar("removeEvents");
		caleObj.fullCalendar("addEventSource",$.parseJSON(result));
	});	
}

//鼠标离开
function caleMouserOut(calEvent, jsEvent, view){
  //关闭提示
    layer.close(tipsObj);
}
//鼠标滑过
function caleMouserOver(calEvent, jsEvent, view){
	if(calEvent.id){
		var styleText = new Array();
		//alert(calEvent.className);
		if(calEvent.className=="caleShow"){
			$.ajax({
				type:"POST",
				async:false,
				data:"type=getSingleData&checkDiff=cale&dataid="+calEvent.id,
				url:"/general/calendar9/allshow/alldo.php"
			}).done(function(result){
				var dataObj = $.parseJSON(result);
				var spanObj = $("#calsimpleTitle");
				spanObj.find("#typeText").html('<?=$_lang["calendar_schedule"]?>');
				spanObj.find("#diffTitle").html('<?=$_lang["calendar_level"]?>');
				spanObj.find("#titleText").html(dataObj.showLevel);
				spanObj.find("#begDateText").html(dataObj.CAL_BEGIN);
				spanObj.find("#endDateText").html(dataObj.CAL_END);
				spanObj.find("#labelsText").html(dataObj.labelShow);
				styleText = ['background-color:#FFFFCC;color:#99664D', '#FFFFCC'];
			});				
		}else if(calEvent.className=="planShow"){
			$.ajax({
				type:"POST",
				async:false,
				data:"type=getSingleData&checkDiff=plan&dataid="+calEvent.id,
				url:"/general/calendar9/allshow/alldo.php"
			}).done(function(result){
				var dataObj = $.parseJSON(result);
				var spanObj = $("#calsimpleTitle");
				spanObj.find("#typeText").html('<?=$_lang["calendar_plain"]?>');
				spanObj.find("#diffTitle").html('<?=$_lang["calendar_subject"]?>');
				spanObj.find("#titleText").html(dataObj.NAME);
				spanObj.find("#begDateText").html(dataObj.begTimeShow);
				spanObj.find("#endDateText").html(dataObj.endTimeShow);
				spanObj.find("#labelsText").html(dataObj.labelShow);
				styleText = ['background-color:#FFFFCC;color:#99664D', '#FFFFCC'];
			});					
		}
		tipsObj = layer.tips($("#calsimpleTitle").html(), this, {
			guide: 0,
			style: styleText,
			maxWidth:240,
			closeBtn:[0,true]
		});
	}
}
//鼠标单击
function caleMouserClick(calEvent, jsEvent, view){
	//alert(calEvent.id);
	if(calEvent.id){
		var vehiclesName = $("#chooseDataName").val();
		var vehiclesNumber = $("#chooseDataNumber").val();
		var check = "";
		if(calEvent.className=="caleShow"){
			$.ajax({
				type:"POST",
				async:false,
				dataType:"html",
				data:"checkDiff=caleView&dataId="+calEvent.id,
				url:"/general/calendar9/calendar/show.php"
			}).done(function(result){
				$("#vehiAllView").html(result);
			});	
		}else if(calEvent.className=="planShow"){
			$.ajax({
				type:"POST",
				async:false,
				dataType:"html",
				data:"checkDiff=caleView&dataId="+calEvent.id,
				url:"/general/calendar9/workplan/show.php"
			}).done(function(result){
				$("#vehiAllView").html(result);
			});	
		}
		//关闭提示
		layer.close(tipsObj);
		$("#vehiAllView").dialog("open");	
	}	
}
</script>