<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice9.0
* @function      关注管理
* @encoding      $_lang['encoding']
* @name          general/calendar9/attention
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/attention.class.php");
include_once("api/diary.class.php");
include_once("api/user.class.php");
include_once ("inc/function_usergeneral.php");
include_once ("general/calendar9/attention/function.php");
includelangpak("calendar");
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('183,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$attApi = new attention();
$Diary     = new diary();
//获取下属人员
$sorttype = "ASC";
$sortname = "LISTNUMBER";
$offset   = 0;
$rows     = "10";
$where_str    = array();
$dataInfor = $Diary->diaryUnderUser($_SESSION["LOGIN_USER_ID"],$sortname,$sorttype,$offset,$rows,"",$where_str,1,0);


$infor_count = count($dataInfor);
//获取我关注的人员
$myAttArray = $attApi->atten_myListData("ATT_ID","ASC",0,10,$where_array=array());
$myAttSum = $myAttArray["resultCount"];
//获取关注我的人员
$toMyAttArray = $attApi->atten_toMyListData("ATT_ID","ASC",0,10,$where_array=array());
$toMyAttSum = $toMyAttArray["resultCount"];
$PAGE_TITLE = $_lang["calendar_attention_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css"  href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<body>
<div class="lazy_header">
    <div style="float:left">
        <span class="lazy-page-title">
            <i class="fa fa-page-title"></i>
            <span class="tip"><?=$_lang["calendar_attention_manage"]?></span>
        </span>
    </div>
    <div class="button_wrap">
        <button id="approveAllAtten" type="button" class="btn btn-primary"><?=$_lang["calendar_all_approve"]?></button>
        <button id="refuseAllAtten" type="button" class="btn btn-warning"><?=$_lang["calendar_all_refuse"]?></button>
    </div>
</div>
<div id="attDiv" style="width:100%">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
    	<td>
            <div class="form_header">
                <span style="color:#68BC31; margin-right:5px"><i class="fa fa-user fa-lg"></i></span><?=$_lang["calendar_me_attention"]?>
            </div>
            <div id="myAttention" class="attentionOutDiv">
            	<input type="hidden" id="myAttenPage" name="myAttenPage" value="1">
                <input type="hidden" id="myAttenSub" name="myAttenSub" value="<?=$myAttSum?>">
            	<div class="addMyAttentionBtn">
                	<form id="form1" name="form1">
                    	<input type="hidden" id="mo_showid" name="mo_showid">
                    	<textarea id="mo_showname" name="mo_showname" style="display:none"></textarea>
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr>
                                <td width="60px">
                                    <div class="face">
                                        <span id="addIcon" style="color:#e2e2e2">
                                            <i class="fa fa-plus fa-4x"></i>
                                        </span>
                                    </div>
                                </td>
                                <td valign="middle">
                                    <div class="addtips"><?=$_lang["calendar_click_add"]?></div>
                                </td>
                            </tr>
                        </table>
                    </form>
                </div>
                <div id="myAttenList">
                <?
                if($myAttSum>0){
					for($i=0;$i<count($myAttArray);$i++){
						if($myAttArray[$i]["ATT_ID"]){
							$userInfor = array();
							$userInfor = $attApi->atten_SearchUserData($myAttArray[$i]["ATT_TOPERSON"]);
							$myAttClass = "";
							$myAttStateText = "";
							if($myAttArray[$i]["ATT_STATE"]==1){
								$myAttClass = "myfollow_list labelselected";
								$myAttStateText = '<span style="margin-right:5px; color:#fda316"><i class="fa fa-check"></i></span><font color="#fda316">'.$_lang["calendar_already_applay"].'</font>';
							}else if($myAttArray[$i]["ATT_STATE"]==2){
								$myAttClass = "myfollow_list labelselect";
								$myAttStateText = '<span style="margin-right:5px;"><i class="fa fa-check"></i></span>'.$_lang["calendar_already_attention"];
							}
						?>
                        <div id="attlist" class="<?=$myAttClass?>">
                            <div class="face">
                                <?
                                $img = "/attachment/personal/".$userInfor["USER_ID"]."/avatar_50".$userInfor["AVATAR_TYPE"];
                                if(CheckFileExist($img))
                                {
                                ?>
                                <img src="<?=$img?>">
                                <?
                                }
                                else
                                {
                                ?>
                                <i class="fa fa-user fa-4x" style="margin-top: 1px;margin-left: 5px;color:#E1E1E1;"></i>
                                <?
                                }
                                ?>
                            </div>
                            <ul class="info" style="min-width:100px;">
                                <li>
                                    <? echo showUserGeneral($userInfor["USER_ID"]);?>
                                </li>
                                <li>
                                    <?=$userInfor["DEPT_NAME"]?>
                                </li>
                                <li id="stateTextSpan">
                                    <?=$myAttStateText?>
                                </li>
                            </ul>
                            <div id="btnAttent" style="float:right; display:none">
                            <?
							if($myAttArray[$i]["ATT_STATE"]==1){
							?>
                            <button id="btnCancel" type="button" class="btn btn-default" style="padding: 3px 8px;font-size: 12px;line-height: 1.5;" onclick="cancelMyAtten(this,'<?=$myAttArray[$i]["ATT_ID"]?>')">
                                <?=$_lang["calendar_cancel_apply"]?>
                            </button>
                            <?
							} else  if ($myAttArray[$i]["ATT_STATE"]==2) {
                            ?>
                                <button id="btnCancel" type="button" class="btn btn-default" style="padding: 3px 8px;font-size: 12px;line-height: 1.5;" onclick="cancelMyAtten(this,'<?=$myAttArray[$i]["ATT_ID"]?>')">
                                    <?=$_lang["calendar_cancel_attention"]?>
                                </button>
                            <?
                            }
							?>
                            </div>
                        </div>
                        <?
						}
					}
				}
				?>
                </div>
                <?
				if($myAttSum>10){
				?>
                <div id="readMore" class="addMyAttentionBtn">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tr>
                            <td width="60px" valign="middle">
                            	<div class="readMore" style="color:#e2e2e2">
                                    <i class="fa fa-ellipsis-h fa-2x"></i>
                                    <i class="fa fa-chevron-right fa-2x"></i>
                                </div>
                            </td>
                            <td valign="middle">
                                <span id="readMoreText" style="color:#e2e2e2"><?=$_lang["calendar_show_more"]?></span>
                            </td>
                        </tr>
                    </table>
                </div>
                <?
				}
				?>
            </div>
        </td>
    </tr>
    <tr>
    	<td>
        	<div class="form_header">
                <span style="color:#2091CF; margin-right:5px"><i class="fa fa-user fa-lg"></i></span><?=$_lang["calendar_attention_me"]?>
            </div>
            <div id="attentionMy" class="attentionOutDiv">
            	<input type="hidden" id="attToMyPage" name="attToMyPage" value="1">
                <input type="hidden" id="attToMySub" name="attToMySub" value="<?=$toMyAttSum?>">
                <div id="attToMyList">
            	<?
                if($toMyAttSum>0){
					for($i=0;$i<count($toMyAttArray);$i++){
						if($toMyAttArray[$i]["ATT_ID"]){
							$userInfor = array();
							$userInfor = $attApi->atten_SearchUserData($toMyAttArray[$i]["ATT_PERSON"]);
							$myAttClass = "";
							$myAttStateText = "";
							if($toMyAttArray[$i]["ATT_STATE"]==1){
								$myAttClass = "myfollow_list labelselected";
								$myAttStateText = '<span style="margin-right:5px; color:#fda316"><i class="fa fa-check"></i></span><font color="#fda316">'.$_lang["calendar_applay_attention"].'</font>';
							}else if($toMyAttArray[$i]["ATT_STATE"]==2){
								$myAttClass = "myfollow_list labelselect";
								$myAttStateText = '<span style="margin-right:5px;"><i class="fa fa-check"></i></span>'.$_lang["calendar_already_attention"];
							}
						?>
                        <div id="attlist" class="<?=$myAttClass?>">
                            <div class="face">
                                <?
                                $img = "/attachment/personal/".$userInfor["USER_ID"]."/avatar_50".$userInfor["AVATAR_TYPE"];
                                if(CheckFileExist($img))
                                {
                                ?>
                                <img src="<?=$img?>">
                                <?
                                }
                                else
                                {
                                ?>
                                <i class="fa fa-user fa-4x" style="margin-top: 1px;margin-left: 5px;color:#E1E1E1;"></i>
                                <?
                                }
                                ?>
                                <!-- <i class="fa fa-user fa-4x" style="margin-top: 1px;margin-left: 5px;color:#E1E1E1;"></i> -->
                            </div>
                            <ul class="info" style="min-width:100px;">
                                <li>
                                    <? echo showUserGeneral($userInfor["USER_ID"]);?>
                                </li>
                                <li>
                                    <?=$userInfor["DEPT_NAME"]?>
                                </li>
                                <li id="stateTextSpan">
                                    <?=$myAttStateText?>
                                </li>
                            </ul>
                            <div id="btnAttent" style="float:right; display:none">
                            <?
                            if($toMyAttArray[$i]["ATT_STATE"]==1){
							?>
                            <button type="button" class="btn btn-warning" style="padding: 3px 8px;font-size: 12px;line-height: 1.5;" onclick="attentionRefuse(this,'<?=$toMyAttArray[$i]["ATT_ID"]?>')">
                                <?=$_lang["calendar_refuse"]?>
                            </button>
                            <button type="button" class="btn btn-primary" style="padding: 3px 8px;font-size: 12px;line-height: 1.5;" onclick="attentionApprove(this,'<?=$toMyAttArray[$i]["ATT_ID"]?>')">
                                <?=$_lang["calendar_approve"]?>
                            </button>
                            <?
							}else if($toMyAttArray[$i]["ATT_STATE"]==2){
							?>
                            <button id="btnCancel" type="button" class="btn btn-default" style="padding: 3px 8px;font-size: 12px;line-height: 1.5;" onclick="cancelMyAtten(this,'<?=$toMyAttArray[$i]["ATT_ID"]?>')">
                                <?=$_lang["calendar_cancel_attention"]?>
                            </button>
                            <?
							}
							?>
                            </div>
                        </div>
                        <?
						}
					}
				}?>
                </div>
                <?
				if($toMyAttSum>10){
				?>
                <div id="readMore" class="addMyAttentionBtn">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tr>
                            <td width="60px" valign="middle">
                            	<div class="readMore" style="color:#e2e2e2">
                                    <i class="fa fa-ellipsis-h fa-2x"></i>
                                    <i class="fa fa-chevron-right fa-2x"></i>
                                </div>
                            </td>
                            <td valign="middle">
                                <span id="readMoreText" style="color:#e2e2e2"><?=$_lang["calendar_show_more"]?></span>
                            </td>
                        </tr>
                    </table>
                </div>
                <?
				}
				?>
            </div>
        </td>
    </tr>
    <tr>
    	<td>
        	<div class="form_header">
               <span style="color:#F79263; margin-right:5px"><i class="fa fa-user fa-lg"></i></span><?=$_lang["calendar_default_attention"]?>
            </div>
            <div id="myUnder" class="attentionOutDiv">
            	<input type="hidden" id="underPage" name="underPage" value="1">
                <input type="hidden" id="myUnderSub" name="myUnderSub" value="<?=$dataInfor["resultCount"]?>">
                <div id="myUnderList">
                <?
                if($dataInfor["resultCount"]>0){
                for($i=0;$i<$infor_count;$i++){
                    if($dataInfor[$i]["USER_ID"]){
                    ?>
                    <div class="myfollow_list labelselect">
                        <div class="face">
                            <?
                            $img = "/attachment/personal/".$dataInfor[$i]["USER_ID"]."/avatar_50".$dataInfor[$i]["AVATAR_TYPE"];
                            if(CheckFileExist($img))
                            {
                            ?>
                            <img src="<?=$img?>">
                            <?
                            }
                            else
                            {
                            ?>
                            <i class="fa fa-user fa-4x" style="margin-top: 1px;margin-left: 5px;color:#E1E1E1;"></i>
                            <?
                            }
                            ?>
                            <!-- <i class="fa fa-user fa-4x" style="margin-top: 1px;margin-left: 5px;color:#E1E1E1;"></i> -->
                        </div>
                        <ul class="info" style="min-width:100px;">
                            <li>
                                <?
                                    echo showUserGeneral($dataInfor[$i]["USER_ID"]);
                                ?>
                            </li>
                            <li>
                                <?
                                $deptName = dept_small_name($dataInfor[$i]["DEPT_ID"]);
                                ?>
                                <div class="deptNameSub" title="<?=$deptName?>"><?=$deptName?></div>
                            </li>
                            <li>
                                <span style="margin-right:5px;"><i class="fa fa-check"></i></span><?=$_lang["calendar_already_attention"]?>
                            </li>
                        </ul>
                    </div>
                    <?
                    }
                }
				}
				?>
                </div>
                <?
                if($dataInfor["resultCount"]>10){
				?>
                <div id="readMore" class="addMyAttentionBtn">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tr>
                            <td width="60px" valign="middle">
                            	<div class="readMore" style="color:#e2e2e2">
                                    <i class="fa fa-ellipsis-h fa-2x"></i>
                                    <i class="fa fa-chevron-right fa-2x"></i>
                                </div>
                            </td>
                            <td valign="middle">
                                <span id="readMoreText" style="color:#e2e2e2"><?=$_lang["calendar_show_more"]?></span>
                            </td>
                        </tr>
                    </table>
                </div>
                <?
				}
				?>
            </div>
        </td>
    </tr>
</table>
</div>
<? showUserGeneralDiv()?>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>

<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script language="javascript">
$(document).ready(function(){
	$.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";
    $("#attDiv").height($(window).height()-40);
    $("#attDiv").niceScroll();
	$(".attentionOutDiv").on({
		mouseover:function(){
			if($(this).find("#btnAttent").length>0){
				$(this).find("#btnAttent").show();
			}
		},
		mouseout:function(){
			if($(this).find("#btnAttent").length>0){
				$(this).find("#btnAttent").hide();
			}
		}
	}, ".myfollow_list");
	$(".addMyAttentionBtn").mouseover(function(){
		if($(this).find("#addIcon").length>0){
			$(this).find("#addIcon").css("color","#999");
			$(this).find(".addtips").css("color","#999");
		}
		if($(this).find(".readMore").length>0){
			$(this).find("#readMoreText").css("color","#3498DB");
			$(this).find(".readMore").css("color","#3498DB");
		}
	}).mouseout(function(){
		if($(this).find("#addIcon").length>0){
			$(this).find("#addIcon").css("color","#e2e2e2");
			$(this).find(".addtips").css("color","#e2e2e2");
		}
		if($(this).find(".readMore").length>0){
			$(this).find("#readMoreText").css("color","#e2e2e2");
			$(this).find(".readMore").css("color","#e2e2e2");
		}
	}).click(function(){
		if($(this).find("#addIcon").length>0){
			//LoadWindowUser('mo_showid','mo_showname','form1');
            attChooseSelectUser('mo_showid','mo_showname','form1');
		}
	});
	$("#myUnder .addMyAttentionBtn").click(function(){
		var curPage = $("#underPage").val();
		var subnum = $("#myUnderSub").val();
		$("#underPage").val(Number(curPage) + Number(1));
		$.ajax({
			type:"POST",
			dataType:"html",
            async: false,
			data:"currentPage="+curPage+"&type=underUser",
			url:"alldo.php"
		}).done(function(result){
			//$("#myUnder .addMyAttentionBtn").prepend(result);
			$("#myUnderList").append(result);
			if(Number(subnum)<((Number(curPage) + Number(1))*10)){
				$("#myUnder").find("#readMore").hide();
			}
		});
        $("#attDiv").getNiceScroll().resize();
	});
	$("#myAttention .addMyAttentionBtn").click(function(){
		var curPage = $("#myAttenPage").val();
		var subnum = $("#myAttenSub").val();
		$("#myAttenPage").val(Number(curPage) + Number(1));
		$.ajax({
			type:"POST",
			dataType:"html",
            async: false,
			data:"currentPage="+curPage+"&type=myAttention",
			url:"alldo.php"
		}).done(function(result){
			$("#myAttenList").append(result);
			if(Number(subnum)<((Number(curPage) + Number(1))*10)){
				$("#myAttention").find("#readMore").hide();
			}
		});
        $("#attDiv").getNiceScroll().resize();
	});
	$("#attentionMy .addMyAttentionBtn").click(function(){
		var curPage = $("#attToMyPage").val();
		var subnum = $("#attToMySub").val();
		$("#attToMyPage").val(Number(curPage) + Number(1));
		$.ajax({
			type:"POST",
			dataType:"html",
            async: false,
			data:"currentPage="+curPage+"&type=attTomy",
			url:"alldo.php"
		}).done(function(result){
			$("#attToMyList").append(result);
			if(Number(subnum)<((Number(curPage) + Number(1))*10)){
				$("#attentionMy").find("#readMore").hide();
			}
		});
        $("#attDiv").getNiceScroll().resize();
	});
	//全部批准
	$("#approveAllAtten").click(function(){
		bootbox.confirm('<?=$_lang["calendar_sure_approves"]?>', function(result) {
		  if(result){
			  $.ajax({
					type:"POST",
					data:"type=approveAllAtten",
					url:"alldo.php"
				}).done(function(result){
					if(result=="success"){
						location.href = "index.php";
					}else if(result=="nodata"){
						$.pnotify({
							text: '<?=$_lang["calendar_no_applay"]?>',
							type : "info"
						});
					}
				});
		  }
		});
	});
	//全部拒绝
	$("#refuseAllAtten").click(function(){
		bootbox.confirm('<?=$_lang["calendar_refuse_approves"]?>', function(result) {
		  if(result){
			  $.ajax({
					type:"POST",
					data:"type=refuseAllAtten",
					url:"alldo.php"
				}).done(function(result){
					if(result=="success"){
						location.href = "index.php";
					}else if(result=="nodata"){
						$.pnotify({
							text: '<?=$_lang["calendar_no_applay"]?>',
							type : "info"
						});
					}
				});
		  }
		});
	});
});
// function addNewAttention(){
// 	var userId = $("#mo_showid").val();
// 	$.ajax({
// 		type:"POST",
// 		dataType:"html",
// 		data:"userId="+userId+"&type=addNewAttention",
// 		url:"alldo.php"
// 	}).done(function(result){
// 		$("#myAttention").append(result);
// 	});
// }
//批准
function attentionApprove(obj,dataid){
	$.ajax({
		type:"POST",
		data:"dataid="+dataid+"&type=attentionApprove",
		url:"alldo.php"
	}).done(function(result){
		if(result=="success"){
			var checkObj = $(obj).parents("#attlist");
			checkObj.removeClass("labelselected").addClass("labelselect");
			var stateText = '<span style="margin-right:5px;"><i class="fa fa-check"></i></span><?=$_lang["calendar_already_attention"]?>';
			checkObj.find("#stateTextSpan").html(stateText);
			var btnText = '<button id="btnCancel" type="button" class="btn btn-default" style="padding: 3px 8px;font-size: 12px;line-height: 1.5;" onclick="cancelMyAtten(this,\''+dataid+'\')"><?=$_lang["calendar_cancel_attention"]?></button>';
			checkObj.find("#btnAttent").html(btnText);
		}
	});
}
//拒绝
function attentionRefuse(obj,dataid){
	bootbox.confirm('<?=$_lang["calendar_refuse_approve"]?>', function(result) {
      if(result){
          $.ajax({
				type:"POST",
				data:"dataid="+dataid+"&type=attentionRefuse",
				url:"alldo.php"
			}).done(function(result){
				if(result=="success"){
					$(obj).parents("#attlist").hide("normal");
				}
			});
      }
    });
}
//取消关注
function cancelMyAtten(obj,dataid){
	bootbox.confirm('<?=$_lang["calendar_cancel_attentions"]?>', function(result) {
      if(result){
         cancelAttention(dataid);
		 $(obj).parents("#attlist").hide("normal");
      }
    });
}

function attChooseSelectUser(inputID,inputName,formName){
    var dialogID = inputID + "_lazy_user_select_dialog";
    if($("body").find("#"+dialogID).length==0){
        $("body").append('<div id="'+dialogID+'"/>');
        $("#" + dialogID).LazyUserSelect({
            width: $(window).width() - 200,
            height: $(window).height() - 200,
            onDialogClose:function(selectedUser){
                // $("#" + inputID).val(selectedUser.userIDStr);
                // $("#" + inputName).val(selectedUser.userNameStr);
                var userId = selectedUser.userIDStr;
                if(userId){
                    $.ajax({
                        type:"POST",
                        dataType:"html",
                        data:"userId="+userId+"&type=addNewAttention",
                        url:"/general/calendar9/attention/alldo.php"
                    }).done(function(result){
                        $("#myAttention").append(result);
                    });
                }

            },
            param : {
                getDataType : "att_select_user",
                user_id : "<?=$_SESSION["LOGIN_USER_ID"]?>",
                useEmpty:true
            }
        });
    }
    $("#" + dialogID).data({
        userIDStr: $("#" + inputID).val(),
        userNameStr: $("#"+ inputName).val()
    }).dialog("open");
}

</script>