<?php include_once('inc/page_header.inc.php');?>
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/jquery.bigautocomplete.css">
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<link rel="stylesheet" type="text/css" href="./css/attention.css">
<body>
	<div class="lazy_header">
		<div class="filter_wrap"></div>
	</div>
	<div class="attend-body" id="my_attend_box" loaded="true">
		<div class="attend-box-type default">
			<div class="attend-box-type-body" id="attentionUser"></div>
			<input type="hidden" id="hideAttendUserId" value="">
			<textarea id="showAttendUserName" style="display: none;"></textarea>
		</div>
		<div class="attend-box-type">
			<div class="attend-box-type-header">
				<?=$_lang["calendar_default_attention"]?>
			</div>
			<div class="attend-box-type-body" id="defaultAttention"></div>
		</div>
	</div>
	<div class="attend-body" id="attend_me_box">
		<div class="attend-box-type default">
			<div class="attend-box-type-body" id="unAttentionUser"></div>
		</div>
	</div>
	<div class="attend-body" id="my_share_box">
		<div class="attend-box-type default">
			<div class="attend-box-type-body" id="shareUser"></div>
			<input type="hidden" id="hideShareUserId" value="">
			<textarea id="showShareUserName" style="display: none;"></textarea>
		</div>
	</div>
	<div class="attend-body" id="share_to_me_box">
		<div class="attend-box-type default">
			<div class="attend-box-type-body" id="shareToMeUser"></div>
		</div>
	</div>
</body>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script>
	$(function(){
		$(".filter_wrap").LazyFilter({
			onClick : function(data) {
				switch(data){
					case 'my_attend':
						break;
					case 'attend_me':
						if($('#' + data + '_box').attr('loaded') != 'true') {
							getUnAttention();
						}
						break;
					case 'my_share':
						if($('#' + data + '_box').attr('loaded') != 'true') {
							getShare();
						}
						break;
					case 'share_to_me':
						if($('#' + data + '_box').attr('loaded') != 'true') {
							getShareToMe();
						}
						break;
				}
				$('.attend-body').hide();
				$('#' + data + '_box').attr('loaded','true').fadeIn();
			},
			common : {
					template : "{title}",
					dataSource : [{
						key : "my_attend",
						title : '<?=$_lang["calendar_my_attention"]?>',
						isDefault : true
					},{
						key : "attend_me",
						title : '<?=$_lang["calendar_attention_me"]?>'
					},{
						key : "my_share",
						title : '<?=$_lang["calendar_my_share"]?>'
					},{
						key : "share_to_me",
						title : '<?=$_lang["calendar_share_to_me"]?>'
					}]
			}
		});	
		$('#my_attend_box').on({
			click:function(){
				attChooseSelectUser('hideAttendUserId','showAttendUserName');
			}
		},'#addAttend');
		$('#my_share_box').on({
			click:function(){
				shareChooseSelectUser('hideShareUserId','showShareUserName');
			}
		},'#addShareUser');
		getDefaultAttention();
		getAttention();
		approve();
		refuse();
		cancelApply();
		cancelMyAttention();
		cancelOtherAttention();
		cancelShare();
		addShareAttention();
		$('#shareToMeUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=cancelMyAttention&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getAttention();
					getShareToMe()
				});
			}
		},'.cancel');
	});
	function cancelShare()
	{
		$('#shareUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=cancelShare&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getShare();
				});
			}
		},'.cancel');
	}
	function addShareAttention()
	{
		$('#shareToMeUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=addShareAttention&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getAttention();
					getShareToMe();
				});
			}
		},'.add-share');
	}
	function cancelApply()
	{
		$('#attentionUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=cancelApply&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getAttention();
				});
			}
		},'.apply');
	}
	function cancelMyAttention()
	{
		$('#attentionUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=cancelMyAttention&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getAttention();
					getShareToMe();
				});
			}
		},'.cancel');
	}
	function cancelOtherAttention()
	{
		$('#unAttentionUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=cancelOtherAttention&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getUnAttention();
				});
			}
		},'.cancel');
	}
	function approve()
	{
		$('#unAttentionUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=approveAttention&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getUnAttention();
				});
			}
		},'.approve');
	}
	function refuse()
	{
		$('#unAttentionUser').on({
			click:function(){
				$.ajax({
					url:'/general/calendar9/calendar/attention/Attention.php?m=refuseAttention&func_id=<?=$this->funcId?>',
					data:{
						approveUser:$(this).parent().parent().attr('user-id')
					}
				}).done(function(result){
					getUnAttention();
				});
			}
		},'.refuse');
	}
	function getDefaultAttention()
	{
		$.ajax({
			url:'/general/calendar9/calendar/attention/Attention.php?m=getDefaultAttention&func_id=<?=$this->funcId?>',
		}).done(function(result){
			var parseResult = $.parseJSON(result);
			var html = '';
			if(parseResult.length == 0){
				$('#defaultAttention').html('<div class="attend-box add"><?=$_lang["calendar_no_data"]?></div>');return;
			}
			$.each(parseResult, function(k,v){
				html += '<div class="attend-box">\
							<div class="attend-box-left"><img src="'+v.USER_AVATAR+'"></div>\
							<div class="attend-box-right">\
								<div class="attend-box-right-row first">'+v.USER_NAME+'</div>\
								<div class="attend-box-right-row">'+v.DEPT_NAME+'</div>\
								<div class="attend-box-right-row"><?=$_lang["calendar_already_attention"]?></div>\
							</div>\
						</div>';
			});
			$('#defaultAttention').html(html);
		});
	}
	function getShare()
	{
		$.ajax({
			url:'/general/calendar9/calendar/attention/Attention.php?m=getMyShare&func_id=<?=$this->funcId?>',
		}).done(function(result){
			var parseResult = $.parseJSON(result);
			var html = '';
			if(parseResult.length == 0){
				$('#shareUser').html('<div class="attend-box add"><?=$_lang["calendar_no_data"]?></div><div class="attend-box add" id="addShareUser"><img src="./img/iconfont-add.png"><div class="add-title"><?=$_lang["calendar_add_share"]?></div></div>');return;
			}
			$.each(parseResult, function(k,v){
				if(v.status == 3){
					var label = '<div class="attend-box-right-row text-warning"><?=$_lang["calendar_already_shared"]?></div>';
					var button = '<button class="attend-button btn btn-warning cancel">-<?=$_lang["calendar_cancel_share"]?></button>';
				} else {
					var label = '<div class="attend-box-right-row text-default"><?=$_lang["calendar_already_attention"]?></div>';
					var button = '<button class="attend-button btn btn-default cancel">-<?=$_lang["calendar_cancel_attention"]?></button>';
				}
				html += '<div class="attend-box" user-id="'+v.current_user+'">\
							<div class="attend-box-left"><img src="'+v.USER_AVATAR+'"></div>\
							<div class="attend-box-right">\
								<div class="attend-box-right-row first">'+v.USER_NAME+'</div>\
								<div class="attend-box-right-row">'+v.DEPT_NAME+'</div>'+label+button+'\
							</div>\
						</div>';
			});
			html += '<div class="attend-box add" id="addShareUser">\
						<img src="./img/iconfont-add.png">\
						<div class="add-title"><?=$_lang["calendar_add_share"]?></div>\
					</div>';
			$('#shareUser').html(html);
		});
	}
	function getShareToMe()
	{
		$.ajax({
			url:'/general/calendar9/calendar/attention/Attention.php?m=getShareToMe&func_id=<?=$this->funcId?>',
		}).done(function(result){
			var parseResult = $.parseJSON(result);
			var html = '';
			if(parseResult.length == 0){
				$('#shareToMeUser').html('<div class="attend-box add"><?=$_lang["calendar_no_data"]?></div>');return;
			}
			$.each(parseResult, function(k,v){
				if(v.status == 3){
					var label = '<div class="attend-box-right-row"></div>';
					var button = '<button class="attend-button btn btn-success add-share">+<?=$_lang["calendar_add_attention"]?></button>';
				} else {
					var label = '<div class="attend-box-right-row text-default"><?=$_lang["calendar_already_attention"]?></div>';
					var button = '<button class="attend-button btn btn-default cancel">-<?=$_lang["calendar_cancel_attention"]?></button>';
				}
				html += '<div class="attend-box" user-id="'+v.attention_user+'">\
							<div class="attend-box-left"><img src="'+v.USER_AVATAR+'"></div>\
							<div class="attend-box-right">\
								<div class="attend-box-right-row first">'+v.USER_NAME+'</div>\
								<div class="attend-box-right-row">'+v.DEPT_NAME+'</div>'+label+button+'\
							</div>\
						</div>';
			});
			$('#shareToMeUser').html(html);
		});
	}
	function getAttention()
	{
		$.ajax({
			url:'/general/calendar9/calendar/attention/Attention.php?m=getAttention&func_id=<?=$this->funcId?>',
		}).done(function(result){
			var parseResult = $.parseJSON(result);
			var html = '';
			if(parseResult.length == 0){
				$('#attentionUser').html('<div class="attend-box add"><?=$_lang["calendar_no_data"]?></div><div class="attend-box add" id="addAttend"><img src="./img/iconfont-add.png"><div class="add-title"><?=$_lang["calendar_applay_attention"]?></div></div>');return;
			}
			$.each(parseResult, function(k,v){
				if(v.status == 1){
					var label = '<div class="attend-box-right-row text-primary"><?=$_lang["calendar_already_applay"]?></div>';
					var button = '<button class="attend-button btn btn-primary apply">-<?=$_lang["calendar_cancel_apply"]?></button>';
				} else {
					var label = '<div class="attend-box-right-row"><?=$_lang["calendar_already_attention"]?></div>';
					var button = '<button class="attend-button btn btn-default cancel">-<?=$_lang["calendar_cancel_attention"]?></button>';
				}	
				html += '<div class="attend-box" user-id="'+v.attention_user+'">\
							<div class="attend-box-left"><img src="'+v.USER_AVATAR+'"></div>\
							<div class="attend-box-right">\
								<div class="attend-box-right-row first">'+v.USER_NAME+'</div>\
								<div class="attend-box-right-row">'+v.DEPT_NAME+'</div>'+label+button+'\
							</div>\
						</div>';
			});
			html += '<div class="attend-box add" id="addAttend">\
						<img src="./img/iconfont-add.png">\
						<div class="add-title"><?=$_lang["calendar_applay_attention"]?></div>\
					</div>';
			$('#attentionUser').html(html);
		});
	}
	function getUnAttention()
	{
		$.ajax({
			url:'/general/calendar9/calendar/attention/Attention.php?m=getUnAttention&func_id=<?=$this->funcId?>',
		}).done(function(result){
			var parseResult = $.parseJSON(result);
			if(parseResult.length == 0){
				$('#unAttentionUser').html('<div class="attend-box add"><?=$_lang["calendar_no_data"]?></div>');return;
			}
			var html = '';
			$.each(parseResult, function(k,v){
				if(v.status == 1){
					var label = '<div class="attend-box-right-row text-primary status"><?=$_lang["calendar_applay_attention"]?></div>';
					var button = '<button class="attend-button btn btn-warning approve"><?=$_lang["calendar_approve"]?></button> <button class="attend-button btn btn-danger refuse"><?=$_lang["calendar_refuse"]?></button>';
				} else {
					var label = '<div class="attend-box-right-row status"><?=$_lang["calendar_already_attention"]?></div>';
					var button = '<button class="attend-button btn btn-default cancel">-<?=$_lang["calendar_cancel_attention"]?></button>';
				}	
				html += '<div class="attend-box" user-id="'+v.current_user+'">\
							<div class="attend-box-left"><img src="'+v.USER_AVATAR+'"></div>\
							<div class="attend-box-right">\
								<div class="attend-box-right-row first">'+v.USER_NAME+'</div>\
								<div class="attend-box-right-row">'+v.DEPT_NAME+'</div>'+label+button+'\
							</div>\
						</div>';
			});
			$('#unAttentionUser').html(html);
		});
	}
	function attChooseSelectUser(inputID,inputName){
		var dialogID = inputID + "_lazy_user_select_dialog";
		if($("body").find("#"+dialogID).length == 0){
			$("body").append('<div id="'+dialogID+'"></div>');
			$("#" + dialogID).LazyUserSelect({
				width: $(window).width() - 200,
				height: $(window).height() - 200,
				onDialogClose:function(selectedUser){
					var userId		= selectedUser.userIDStr;
					$.ajax({
						url:'/general/calendar9/calendar/attention/Attention.php?m=addAttention&func_id=<?=$this->funcId?>',
						data:{
							'attentionUserId':userId
						},
						type:'post'
					}).done(function(result){
						getAttention();
					});
				},
				param : {
					getDataType : "calendar_attention_select_user",
					user_id : "<?=$this->userId?>",
					useEmpty:true
				}
			});
		}
		$("#" + dialogID).data({
			userIDStr: $("#" + inputID).val(),
			userNameStr: $("#"+ inputName).val()
		}).dialog("open");
	}
	function shareChooseSelectUser(inputID,inputName){
		var dialogID = inputID + "_lazy_user_select_dialog";
		if($("body").find("#"+dialogID).length == 0){
			$("body").append('<div id="'+dialogID+'"></div>');
			$("#" + dialogID).LazyUserSelect({
				width: $(window).width() - 200,
				height: $(window).height() - 200,
				onDialogClose:function(selectedUser){
					var userId		= selectedUser.userIDStr;
					$.ajax({
						url:'/general/calendar9/calendar/attention/Attention.php?m=addShare&func_id=<?=$this->funcId?>',
						data:{
							'attentionUserId':userId
						},
						type:'post'
					}).done(function(result){
						getShare();
					});
				},
				param : {
					getDataType : "calendar_share_select_user",
					user_id : "<?=$this->userId?>",
					useEmpty:true
				}
			});
		}
		$("#" + dialogID).data({
			userIDStr: $("#" + inputID).val(),
			userNameStr: $("#"+ inputName).val()
		}).dialog("open");
	}
</script>
</html>