<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice9.0
* @function      日程管理
* @encoding      $_lang['encoding']
* @name          general/calendar9/calendar
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
includelangpak("calendar");
includelangpak("customer");
include_once("api/calendar.class.php");

//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('27,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}
$PAGE_TITLE = $_lang["calendar_title_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/jquery.bigautocomplete.css">
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">

<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<body>
<div id="listspan" style="width:100%">
    <div id="caleListSpan">
        <div class="lazy_header">
            <div class="filter_wrap" style="height:0px;"></div>
			<div class="button_wrap" <?if(request_var('mycalendar') == 'true'){?>style="display: none;"<?}?>>
                <button id="createNewCale" type="button" class="btn btn-primary"><?=$_lang["calendar_add_calendar"]?></button>
            </div>
            <div class="search_wrap"></div>
        </div>
        <div id="caleList" style="width:100%"></div>
    </div>
    <div id="newDiv" style="width:100%;display:none;">
    	<div class="lazy_header">
		    <div style="float:left">
		        <span class="lazy-page-title">
		            <i class="fa fa-page-title"></i>
		            <span class="tip"><?=$_lang["calendar_create"]?></span>
		        </span>
		    </div>
		    <button id="caleBack" class="btn btn-default">
		        <?=$_lang["calendar_back"]?>
		    </button>
		    <button id="caleSubmit" class="btn btn-primary">
		        <?=$_lang["calendar_submit"]?>
		    </button>
		</div>
		<div id="newSpan" style="width:100%;"></div>
    </div>
    <div id="viewDiv" style="width:100%;display:none;">
    	<div class="lazy_header">
		    <div style="float:left">
		        <span class="lazy-page-title">
		            <i class="fa fa-page-title"></i>
		            <span class="tip"><?=$_lang["calendar_calendar_detial"]?></span>
		        </span>
		    </div>
		    <button id="viewCaleBack" class="btn btn-default">
		        <?=$_lang["calendar_back"]?>
		    </button>
		</div>
    	<div id="viewSpan" style="width:100%;"></div>
    </div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>

<script type="text/javascript" src="/general/calendar9/js/jquery.bigautocomplete.js"></script>

<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>

<script language="javascript">
$.pnotify.defaults.styling = "bootstrap3";
$.pnotify.defaults.closer = false;
$.pnotify.defaults.sticker = false;
$.pnotify.defaults.history = false;
$.pnotify.defaults.delay = 1000;
$(function() {
	//$("select").selectpicker();
	if('<?=request_var('mycalendar')?>' == 'true'){
		createCalendar();
	}
	$("#newSpan").height($(window).height()-40);
	$("#newSpan").niceScroll(); 	
	//筛选
	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			$("#caleList").LazyTable("reload", {
				param : {
					quickParam : data
				}
			});
		},
		more : {
			header : '<?=$_lang["calendar_more_filer"]?>',
			dataSource : [{
				key : "time",
				title : '<?=$_lang["calendar_time"]?>',
				subItems : [{
					key : "D-1",
					title : '<?=$_lang["calendar_diary_today"]?>'
				}, {
					key : "W-1",
					title : '<?=$_lang["calendar_weeks"]?>'
				}, {
					key : "M-1",
					title : '<?=$_lang["calendar_months"]?>'
				}]
			}]
		},
	common : {
			template : "{title}",
			dataSource : [{
				key : "all",
				title : '<?=$_lang["calendar_level_all"]?>',
				isDefault : true
			},{
				key : "myCreate",
				title : '<?=$_lang["calendar_my_create"]?>'
			},{
				key : "myIn",
				title : '<?=$_lang["calendar_share"]?>'
			},{
				key : "receive",
				title : '办理'
			}]
		}
	});	
	$("#caleList").LazyTable({
		buttons : {
			buttonInfor : {
				"view" : {
					title : '<?=$_lang["calendar_detail"]?>',
					func : function(data) {
						$.ajax({
							type:"POST",
							dataType:"html",
							data:"dataId="+data.CAL_ID+"&checkDiff=list",
							url:"show.php"
						}).done(function(result){
							$("#caleListSpan").hide();
							$("#viewDiv").show();
							$("#viewSpan").html(result);
						});
					},
					isDefault:true
				},
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
						$("#caleListSpan").hide();
						$.ajax({
							type:"POST",
							url:"new.php",
							dataType:"html",
							data:"caleId="+data.CAL_ID
						}).done(function(result){
							$("#newDiv").show();
							$("#newDiv").find(".tip").html('<?=$_lang["calendar_edit"]?>');
							$("#newSpan").html(result);	
							$("#newSpan").getNiceScroll().resize();
						});
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						bootbox.confirm('<?=$_lang["calendar_sure_delete"]?>', function(result) {
							if(result){
								var strId = data.CAL_ID+",";
								$.ajax({
									type:"POST",
									data:"type=caleDelete&StrId="+strId,
									url:"alldo.php"
								}).done(function(result){
									if(result=="success"){
										$("#caleList").LazyTable("reload");		
									}
								});
							}	
						});		
					}
				}
			},
			filter : function(data) {
				var buttonFilterStr = new Array();
				buttonFilterStr = ["view"];
				if(data.checkBtn){
					buttonFilterStr.push("edit");
					buttonFilterStr.push("delete");
				}
				return buttonFilterStr;
			}
		},
		batchButtons : [{
			title : '<?=$_lang["calendar_more_delete"]?>',
			func : function(data) {
				//console.log(data);
			  var taskStrId = ""; 
			  for(var i=0;i<data.length;i++){
				  taskStrId += data[i]["CAL_ID"]+",";
			  }
			  if(taskStrId){
				 bootbox.confirm('<?=$_lang["calendar_delete_select"]?>', function(result) {
					if(result){
						$.ajax({
							type:"POST",
							data:"type=caleDelete&StrId="+taskStrId,
							url:"alldo.php"
						}).done(function(result){
							if(result=="success"){
								$("#caleList").LazyTable("reload");		
							}
						});
					}	
				});
			  }else{
				 $.pnotify({
					text: '<?=$_lang["calendar_at_list_one"]?>',
					type : "error"
				});
			  }
			}
		},{
			title : "<?=$_lang["calendar_del_all_while_pass"]?>",
			func : function(data) {
				bootbox.confirm("<?=$_lang["calendar_del_all_while_pass_desr"]?>", function(result) {
					if(result){
						$.ajax({
							type:"POST",
							data:"type=deletepasswhile",
							url:"alldo.php"
						}).done(function(result){
							if(result=="success"){
								$("#caleList").LazyTable("reload");		
							}
						});
					}	
				});	
			}
		},{
			title : "<?=$_lang["calendar_del_all_pass"]?>",
			func : function(data) {
				bootbox.confirm("<?=$_lang["calendar_del_all_pass_desr"]?>", function(result) {
					if(result){
						$.ajax({
							type:"POST",
							data:"type=deletepass",
							url:"alldo.php"
						}).done(function(result){
							if(result=="success"){
								$("#caleList").LazyTable("reload");		
							}
						});
					}	
				});		
			}
		}],
		page : {
			callback : function(page) {
				$("#caleList").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if(data.checkBtn){
					return true;	
				}else{
					return false;	
				}
			}
		}, {
			key : "CAL_CONTENT",
			title : '<?=$_lang["calendar_content_dcrpt"]?>',
			width: 300
		},{
			key : "calBegin",
			title : '<?=$_lang["calendar_plan_begin_time"]?>'
			
		}, {
			key : "calEnd",
			title : '<?=$_lang["calendar_plan_end_time"]?>'
			
		}, {
			key : "circle",
			title : '<?=$_lang["calendar_cycle_set"]?>'
			
		}, {
			key : "creatTime",
			title : '<?=$_lang["calendar_log_create_time"]?>'
			
		}],
		sort : {
			items : [{
				key : "calBegin",
				title : '<?=$_lang["calendar_plan_begin_time"]?>'
			},{
				key : "calEnd",
				title : '<?=$_lang["calendar_plan_end_time"]?>'
			},{
				key : "creatTime",
				title : '<?=$_lang["calendar_log_create_time"]?>'
			}],
			onItemClick : function(key, sortType) {
				$("#caleList").LazyTable("reload", {
					param : {
						sortField : key,
						sortType : sortType
					}
				});
			}
		},
		dataSource : "alldo.php",
		param : {
			type : "cale_list",
			sortField : "CAL_ID",
			sortType : "DESC"
		},
		page : {
			callback:function(page){
				$("#caleList").LazyTable("reload", {
					page:{
						currentPage:page
					}
				});
			}
		},
		onSortItemClick : function(data, sortType) {
			$("#caleList").LazyTable("reload", {
				param : {
					sortField : data.key,
					sortType : sortType
				}
			});
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});

			 $(':checkbox.lazy_table_checkall').iCheck({
				checkboxClass : 'icheckbox_square-blue',
				radioClass : 'iradio_square-blue'
			});
		}
	});
	$("#caleList").on('ifChanged', '.lazy_table_checkall', function(event){
			$("#caleList").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
		});

	$("#caleList").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
			if ($("#caleList").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$("#caleList").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$("#caleList").find(".lazy_table_checkall").prop("checked", false);
		}

		$(":checkbox").iCheck('update'); 
	});
	//新建
	$("#createNewCale").on("click",function(){
		createCalendar();
	});
	//新建提交
	$("#caleSubmit").on("click",function(){
		if(!$("#cal_begin_date").val() || !$("#cal_end_date").val() || !$("#cal_content").val()){
			$.pnotify({
				text: '<?=$_lang["calendar_check_must"]?>',
				type : "error"
			});
			return false;
		}
		var sDate = new Date($("#cal_begin_date").val().replace(/\-/g, "\/"));
    	var eDate = new Date($("#cal_end_date").val().replace(/\-/g, "\/"));
		if(sDate > eDate){
			$.pnotify({
				text: '<?=$_lang["calendar_no_litle_date"]?>',
				type : "error"
			});
			return false;	
		}
		if($('#receive_user_id').val() == ''){
			$.pnotify({
				text: '<?=$_lang["calendar_receive_user_not_null"]?>',
				type : "error"
			});
			return false;
		}
		$('#form1').ajaxSubmit(function(data){
			  if(data){
					if('<?=request_var('mycalendar')?>' == 'true'){
						location.href = '/general/calendar9/calendar/mycalendar/MyCalendar.php?func_id=141';
						return;
					}
					$("#caleListSpan").show();
					$("#newSpan").html("");
					$("#newDiv").hide();
					$("#caleList").LazyTable("reload");		
			  }
		  });	
	});
});
function createCalendar()
{
	$("#caleListSpan").hide();
	$("#newDiv").show();
	$.ajax({
		type:"POST",
		url:"new.php?mycalendar=<?=request_var('mycalendar')?>&_startDate=<?=request_var('_startDate')?>&_endDate=<?=request_var('_endDate')?>",
		dataType:"html",
		data:"caleId="
	}).done(function(result){
		$("#newDiv").find(".tip").html('<?=$_lang["calendar_create"]?>');
		$("#newSpan").html(result);	

		$("#newSpan").getNiceScroll().resize();
	});
}
</script>