<?
/**
* @copyright (C) 2010 - 2015 Weaver Co.Ltd
* @package:      eoffice9.0
* @encoding:     utf8
* @function:     日志导出
* @name:         /general/diary/export.php
* @version:      9.0
* @author:       lxl www.weaver.com.cn
* @date:         2015-05-07
* @modify        qishaobo
*/

include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/diary.class.php");
include_once("general/diary/new/diarydate.php");
includelangpak("calendar");
includelangpak("common");

$Diary   = new diary();
$where_str    = array();
if($_REQUEST["user_name"]){
	$where_str["USER_NAME"] = $_REQUEST["user_name"];		
}

$dataInfor = $Diary->diaryUnderUser($_SESSION["LOGIN_USER_ID"],'DEPT_ID','DESC',0,0,'',$where_str);
if(empty($dataInfor)){
	echo json_encode(array('totalCount'=>'0'));
	exit;
} 
unset($dataInfor['resultCount']);
//开始结束日期
$curData = $_REQUEST["time"];
$begTime = date('Y-m-01', strtotime($curData));
$endTime = date('Y-m-d', strtotime("+1 month -1 day"));
$daysSub = date("t",strtotime($curData));
$dayExplode	= date("Y-m",strtotime($curData));
$daysSub = date("t",strtotime($curData));

$EXCEL_NAME = date("Y".$_lang["calendar_year"]."m".$_lang["calendar_month"],strtotime($curData)).$_lang["calendar_diary_report"];
$EXCEL_NAME = iconv("utf-8","gbk",$EXCEL_NAME);

$EXCEL_OUT = "\r\n<html xmlns:o=\"urn:schemas-microsoft-com:office:office\"\r\nxmlns:x=\"urn:schemas-microsoft-com:office:excel\"\r\nxmlns=\"http://www.w3.org/TR/REC-html40\">\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=gb2312\">\r\n";
$EXCEL_OUT .= "\r\n<table width=\"100%\" style=\"border-collapse:collapse;font-size:12px;\" border=\"1\" cellspacing=\"0\" cellpadding=\"3\" bordercolor='#000000'>\r\n";
$EXCEL_OUT .="<tr style=\"BACKGROUND: #31309c; color: #FFFFFF; font-weight: bold;\">";
$EXCEL_OUT .="<td nowrap>".iconv("utf-8","gbk",$_lang["calendar_department"])."</td>";
$EXCEL_OUT .="<td nowrap>".iconv("utf-8","gbk",$_lang["calendar_user"])."</td>";
for($i=1;$i<=$daysSub;$i++){
	$date = str_pad($i, 2, "0", STR_PAD_LEFT);  
	$week = "common_".strtolower(date("l",strtotime($dayExplode.'-'.$date)));
	$week = $_lang[$week];
	$EXCEL_OUT .="<td style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",$date.'('.$week.')')."</td>";
}
$EXCEL_OUT .="</tr>";

foreach($dataInfor as $k=>$v){
	$EXCEL_OUT .="<tr>";
	$con_sql = " AND USER_ID='".$v["USER_ID"]."' AND (DIA_DATE>='".$begTime."' AND DIA_DATE<='".$endTime."')";
	$allData = $Diary->diary_SearchAllData("diary",$con_sql);
	$EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",dept_small_name($v["DEPT_ID"]))."</td>";
	$EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",$v["USER_NAME"])."</td>";
	for($m=0;$m<$daysSub;$m++){
		$checkDate = $dayExplode."-".($m+1);
		$key = "day_".$m;
		$showMark = "<td nowrap style='vnd.ms-excel.numberformat:@'></td>";
		for($j=0;$j<count($allData);$j++){
			$diaryDate = $allData[$j]["DIA_DATE"];
			if(strtotime($checkDate)==strtotime($diaryDate)){
				$add_date = date("Y-m-d",$allData[$j]["ADD_TIME"]);
				if (strtotime($add_date)==strtotime($checkDate)) {
					$showMark = "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",$add_date)."</td>";
				} else {
					$showMark = "<td nowrap style='BACKGROUND: #E86812;vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",$add_date)."</td>";
				}
			}
		}
		$EXCEL_OUT .=  $showMark;
	}
	$EXCEL_OUT.="</tr>";	
}
$EXCEL_OUT.="</table>";
ob_start();
Header("Cache-control: private");
Header("Content-type: application/vnd.ms-excel");
Header("Accept-Ranges: bytes");
Header("Accept-Length: ".strlen($EXCEL_OUT));
Header("Content-Disposition: attachment; filename= $EXCEL_NAME.xls");
ob_end_clean();
echo $EXCEL_OUT;