<?php
include 'inc/auth.php';
include 'api/charge.class.php';

$op = $_REQUEST['op'];

$charge = new Charge;

switch ($op) {
    case 'add':
        $chargeTypeName = $_REQUEST["chargeTypeName"]; 
        $chargeTypeID = $_REQUEST["chargeTypeID"]; 
        
    
        $subChargeList = $_REQUEST["subChargeList"]; 
        
        if ($chargeTypeID) {
            $charge->updateChargeType(array(
                "CHARGE_TYPE_NAME" => $chargeTypeName,
                "CHARGE_TYPE_ID" => $chargeTypeID
            ));
        } else {
            $chargeTypeID = $charge->addChargeType(array(
                "CHARGE_TYPE_NAME" => $chargeTypeName,
                "CHARGE_TYPE_PARENT" => 0
            ));
        }
        
        $fail = 0;
        $ids = "";
        if ($subChargeList) {
            
             foreach ($subChargeList as $key1 => $value1){
                 $ids.=$value1["id"].",";
             } 
             
             $ids = rtrim($ids,",");
             
            $charge->deleteSubChargeType($ids,$chargeTypeID);
    
             
            foreach ($subChargeList as $key => $value) {
    
                if ($value["id"] == 0) {
                    if (!$charge->addChargeType(array(
                        "CHARGE_TYPE_NAME" => $value["title"],
                        "CHARGE_TYPE_PARENT" => $chargeTypeID
                    ))) {
                        $fail++;
                    }
                } else {
    
                    if (!$charge->updateChargeType(array(
                        "CHARGE_TYPE_NAME" => $value["title"],
                        "CHARGE_TYPE_ID" => $value["id"]
                    ))) {
                        $fail++;
                    }
                }
            }
            
            
            
        }
        
        echo $chargeTypeID && $fail == 0;
        
        break;

    case 'delete':
        $chargeTypeID = $_REQUEST["chargeTypeID"];
        $deleteSub = $_REQUEST['deleteSub'];
        
        echo $charge->deleteChargeType(array(
            'chargeTypeID' => $chargeTypeID,
            'deleteSub' => $deleteSub
        ));
        break;

    case 'getList':
        $chargeTypeList = $charge->getChargeTypeList();
        echo json_encode($chargeTypeList);
        break;
}
