<?php
include_once 'inc/auth.php';
includelangpak("charge");

$PAGE_TITLE = $_lang['charge_new_charge'];
include_once 'inc/page_header.inc.php';
?>
		<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG ?>/<?=$_SESSION['LOGIN_THEME'] ?>/style.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
		<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
		<style type="text/css">
			.charge-list-wrap .input-group {
				width: 150px;
			}

			.charge-list-wrap .input-group-addon{
				border-radius: 0;
				background: none;
			}

			.charge-list-wrap .input-group-addon:hover {
				cursor: pointer;
				color: #999;
			}
			.charge-list-wrap a.remove {
				color: #d9534f;
				display: none;
			}
			.charge-list-wrap a.remove:hover {
				color: #c9302c;
			}
			.charge-list-wrap a.add {
				color: #337ab7;
			}

			.charge-list-wrap a.add:hover {
				color: #286090;
			}
			.charge-list-wrap .bootstrap-select.main-type {
				float: left;
			}
			.charge-list-wrap .amount {
				width: 100px;
			}
			.charge-list-wrap .reason {
				width: 300px;
			}
		</style>
	</head>
	<body>
			<div class="lazy_header">
				<span class="lazy-page-title">
				<i class="fa fa-page-title"></i>
					<span class="tip"><?=$_lang['charge_new_charge'] ?></span>
				</span>
				<input type="button" class="btn btn-primary save" value="<?=$_lang["common_save"]?>" />
			</div>
			<form method="post" action="do.php" id="charge-list-form" name="charge-list-form">
				<table class="table table-hover charge-list-wrap">
					<thead>
						<tr>
						<th><?=$_lang['charge_user']?></th>
						<th><?=$_lang['charge_reason']?></th>
						<th><?=$_lang['charge_date']?></th>
						<th><?=$_lang['charge_amount']?></th>
						<th><?=$_lang['charge_item']?></th>
                                                <th>承担主体</th>
						<th>
							<a title="<?=$_lang['charge_add_new_row']?>" class="add" href="javascript:void(0);">
								<i class="fa fa-plus"></i>
							</a>
						</th>
					</tr>
					</thead>
					<tbody></tbody>
				</table>
				</form>
	</body>
</html>

<script src="/inc/jquery/jquery.js"></script>
<script src="/lang/<?=$_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script>
 	//缓存类型类型对象
 $.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;
	$.pnotify.defaults.addclass = "stack-topleft";
	$.pnotify.defaults.animate_speed = 'fast';
	$.pnotify.defaults.type = "error";
	    var chargeTypeObject;
	$(function(){
	    $.ajax({
	    	url:'../charge_type/do.php',
	    	dataType:'json',
	    	data:{
	    		op:"getList"
	    	}
	    }).done(function(result){
	    	if(result){
	    		 
	    		chargeTypeObject = result;

	    		addRows(5);
	    	}
	    });

	   $(".charge-list-wrap").on({
	    	mouseenter:function(){
	    		$(this).find('.remove').show();
	    	},
	    	mouseleave:function(){
	    		$(this).find('.remove').hide();
	    	}
	    },"tbody tr");

	    $(".charge-list-wrap").on({
	    	change:function(){
	    		var parentID = $(this).val();
	    		createSubItems.call($(this).parent().find('select.sub-type'),parentID);
	    	}
	    },".main-type");

	   	$(".charge-list-wrap").on({
	    	click:function(){
	    		$(this).parents(".charge-list-tr").remove();
	    	}
	    },".remove");

	   	$(".charge-list-wrap").on({
	    	blur:function(){
	    		var value = $.trim($(this).val());
	    		if(!$.isNumeric(value)){
	    			$(this).val(0);
	    		}
	    	}
	    },".amount");

	    $(".save").click(function(){
	    	var chargeList = [];

	    	$(".charge-list-wrap tbody tr.charge-list-tr").each(function(){
	    		var userID = $(this).find(".user-id").val(),
	    		reason = $(this).find(".reason").val(),
	    		chargeDate = $(this).find(".charge-date").val(),
	    		amount = $(this).find(".amount").val(),
	    		mainType = $(this).find(".main-type").val(),
	    		subType = $(this).find(".sub-type").val(),
                        undertakerType = $(this).find(".undertaker-type").val();
                        

	    		if(userID && reason && chargeDate && amount!="" && mainType && subType && undertakerType){
	    			chargeList.push({
	    				userID:userID,
	    				reason:reason,
	    				chargeDate:chargeDate,
	    				amount:amount,
	    				mainType:mainType,
	    				subType:subType,
                                        undertakerType:undertakerType,
                                        chargeForm:1
	    			});
	    		}
	    	});

	    	if(chargeList.length == 0){
	    		$.pnotify("<?=$_lang['charge_at_least_one']?>");
	    		return false;
	    	}

	    	$.ajax({
	    		url:"do.php",
	    		data:{
	    			chargeList:JSON.stringify(chargeList)
	    		}
	    	}).done(function(result){
	    		if(!result){
	    			$.pnotify("<?=$_lang['charge_operate_fail']?>");
	    		}else{
	    			$.pnotify({
	    				text:"<?=$_lang['charge_operate_success']?>",
	    				type:"success",
	    				after_close:function(){
	    					//location.href = location.href;
	    				}
	    			});
	    		}
	    	});
	    });

	   	$(".charge-list-wrap").on({
	    	blur:function(){
	    		var value = $.trim($(this).val());
	    		if(!checkDate(2,value)){
	    			$(this).val('');
	    		}
	    	}
	    },".charge-date");
	    

	    $(".add").click(function(){
	    	addRows(1);
	    });

	});

function addRows(rowCount){
    


	for(var i=0;i<rowCount;i++){
		var index = $(".charge-list-wrap tbody tr").length+1;
		$(".charge-list-wrap tbody").append('<tr class="charge-list-tr">\
	    		<td class="user-name-wrap">\
	    			<div class="input-group">\
	    					<input class="user-id" name="user-id-'+index+'" id="user-id-'+index+'" value="<?=$_SESSION['LOGIN_USER_ID'] ?>" type="hidden" >\
	    		  			<input id="user-name-'+index+'" value="<?=$_SESSION['LOGIN_USER_NAME'] ?>" type="text" class="form-control user-name">\
	    		  			<div class="add-on input-group-addon" onclick="LoadWindowUserSingle(\'user-id-'+index+'\',\'user-name-'+index+'\',\'charge-list-form\')">\
	    		  				<i class="fa fa-user"></i>\
	    		  			</div>\
	    		  		</div>\
	    		</td>\
	    		<td>\
	    			<input class="reason" placeholder="<?=$_lang["charge_reason_placeholder"]?>" type="text"/>\
	    		</td>\
	    		<td>\
	    			<input class="charge-date" placeholder="<?=$_lang["charge_date_placeholder"]?>" type="text">\
	    		</td>\
	    		<td>\
	    			<input class="amount" type="text" value="0">\
	    		</td>\
	    		<td>\
	    			<select data-width="100px" class="main-type"><option><?=$_lang['charge_select_one']?></option></select>\
	    			<select data-width="100px" class="sub-type"><option><?=$_lang['charge_select_one']?></option></select>\
	    		</td>\
                        <td>\
	    			<select data-width="100px" class="undertaker-type"><option>个人</option><option>部门</option></select>\
	    		</td>\
	    		<td>\
	    			<a title="<?=$_lang["common_move"]?>" class="remove" href="javascript:void(0);">\
	    				<i class="fa fa-times"></i>\
	    			</a>\
	    		</td>\
	    	</tr>');

		$(".user-name").autocomplete({
	        source: "/module/single_user_search_do.php",
	        autoFocus: true,
	        select:function(event,ui){
 
	            $(this).data({
	                "flag" : true,
	                "value" : ui.item.value
	            });

	            //赋值用户ID文本框
	            $(this).attr("user-id",ui.item.userID);
	        }
	    }).focusout(function(){
	        if(!$(this).data("flag")){
	            $(this).val($(this).data("value"));
	        }
	        $(this).removeData("flag");
	    }).focusin(function(){
	    	$(this).select();
	        $(this).data("value", $(this).val());
	    });

	     $(".charge-date").datepicker();

		var $mainTypeObj = $(".charge-list-wrap tbody tr:last .main-type");
		createSubItems.call($mainTypeObj,"");
		$mainTypeObj.change();
	}
	$('select').selectpicker({
		noneSelectedText:'<?=$_lang["common_please_choose"]?>'
	});
}
function createSubItems(parentID){
	var selectHtml = [];

	var myChargeObj = parentID?chargeTypeObject[parentID].lazySubItems:chargeTypeObject;
        
        if(myChargeObj == ""){
            selectHtml.push('<option value=""><?=$_lang['charge_select_one']?></option>');
        }else{
            $.each(myChargeObj,function(index,value){
		selectHtml.push('<option value="'+value.CHARGE_TYPE_ID+'">'+value.CHARGE_TYPE_NAME+'</option>');
            });
        }

	
	$(this).html(selectHtml.join('')).selectpicker('refresh');
}
</script>
