<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      合同新建或编辑后数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/add_contract.php
 * @version       39
 * @author        Qu|www.weaver.com.cn
 * @date          2012-10-18
 */
include_once("inc/auth.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("inc/check_type.php");
include_once("api/field_set.class.php");
include_once("api/customer.class.php");
includelangpak("customer");

$customer   = new customer();
$connection = OpenConnection();
$time		= strtotime($_REQUEST["CONTACT_DATE2"]);
$times		= date($time-3600*24*$_REQUEST["PARA_VALUE"]);

//确定发送短信时间
$send_time = date("Y-m-d H:i:s",$times);

if($_REQUEST["contract_remind"] == "on") {
	$_REQUEST["contract_remind"] = 1;
} else {
	$_REQUEST["contract_remind"] = 0;
}

if($CON_ID !='')
{
    $row = $customer->getDataOne('contract','*',"CON_ID='".$CON_ID."'");
	if($row) {
		$ATTACHMENT_ID   = $row["ATTACHMENT_ID"];
		$ATTACHMENT_NAME = $row["ATTACHMENT_NAME"];
	}
}

//上传附件
$ATTACHMENT_ID	 = $_REQUEST["attachmentIDStr"];
$ATTACHMENT_NAME = $_REQUEST["attachmentNameStr"];

$customers = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);
$_REQUEST["CONTRACT_MONEY"] = str_replace(",","", $_REQUEST["CONTRACT_MONEY"]);
$_REQUEST["CON_COUNT"]		= str_replace(",","", $_REQUEST["CON_COUNT"]);

if($_REQUEST["f"] != 'edit') {	
	$pyCon = convertPy($_REQUEST['CONTRACT_NAME']);
	$inarr = array(trim(dhtmlspecialchars($_REQUEST['CONTRACT_NAME'])),dhtmlspecialchars($_REQUEST['CONTRACT_NUM']),$LOGIN_USER_ID,$_REQUEST['CONTACT_DATE'],
	$_REQUEST['CONTACT_DATE2'],$_REQUEST['CUSTOMER_ID'],dhtmlspecialchars($_REQUEST['SIGNER']),dhtmlspecialchars($_REQUEST['CUSTOMER_NAME1']),$_REQUEST['SIGN_DATE'],$_REQUEST['CSIGN_DATE2'],$_REQUEST['CONTACT_TYPE'],$_REQUEST['CONTRACT_MONEY'],$_REQUEST['CONT_NOTE'],
	$ATTACHMENT_ID,$ATTACHMENT_NAME,trim($pyCon[0]),trim($pyCon[1]),$_REQUEST["contract_remind"]);
	
	$customer->saveData("CONTRACT",$inarr);
	$contracts = $customer->get_max_contract_id();

	$contract_remind_content = '"'.$customers["CUSTOMER_NAME"].'"'.$_lang["customer_contract_remind_de"].'"'.$_REQUEST['CONTRACT_NAME'].'"'.$_lang["customer_contract_remind_at"].'"'.$_REQUEST['CONTACT_DATE2'].'"'.$_lang["customer_contract_remind"];

	$pay_dates = array();
	foreach($_REQUEST as $keys => $values) {
		if(stristr($keys,"pay_date") !== false) {
			array_push($pay_dates,$values);
		}
	}

	if(count($_REQUEST['pay_remind_content']) != 0) {
		$cust_mgr = $customer->getCustomerMgr($_REQUEST['CUSTOMER_ID']);
		$to_ids   = $cust_mgr;		

		foreach($_REQUEST['pay_remind_content'] as $key => $value) {
			if(trim($value) != '') {
				$payInfo['CON_ID']             = $contracts["mp_id"];
				$payInfo['USER_ID']            = $LOGIN_USER_ID;
				$payInfo['PAY_DATE']           = $pay_dates[$key];
				$payInfo['PAY_REMIND_CONTENT'] = $value;
				$customer->saveData("CONTRACT_PAYMENT",$payInfo);
				$row = $customer->getDataOne('contract_payment','MAX(ID) AS MID');
				if($pay_dates[$key]) {
					sendSms('admin',$to_ids,$_lang["common_contract_pay_remind"]."：".dhtmlspecialchars($value),"1","29","CONTRACT_PAYMENT",$contracts["mp_id"],$row['MID'],'','',$payInfo['PAY_DATE']);
				}
			}
		}
	}

	if($_REQUEST["contract_remind"]==1 && $_REQUEST["CONTACT_DATE2"] != "") {
		$cust_mgr = $customer->getCustomerMgr($_REQUEST['CUSTOMER_ID']);
		if($cust_mgr != $LOGIN_USER_ID) {
			$to_ids = $LOGIN_USER_ID.",".$cust_mgr;
		} else {
			$to_ids = $LOGIN_USER_ID;
		}

		sendSms('admin',$to_ids,$contract_remind_content,"1","23","CONTRACT",$contracts["mp_id"],'','','',$send_time);
	}
} else {
	//取出编辑修改前的合同中的部分信息
	$row = $customer->getDataOne('contract','*',"CON_ID='".$_REQUEST["CON_ID"]."'");
	if($row) {
		$con_date2			 = $row["CON_DATE2"];
		$customer_id		 = $row["CUST_ID"];
		$ATTACHMENT_ID_OLD   = $row["ATTACHMENT_ID"];
		$ATTACHMENT_NAME_OLD = $row["ATTACHMENT_NAME"];
		$customer_mg_user	 = $customer->getCustomerMgr($customer_id);
		$createor			 = $row["CREATEOR"];
	}

	$row = $customer->getDataOne('contract_payment','COUNT(*) AS CNT',"CON_ID='".$_REQUEST["CON_ID"]."'");
	if($row) {
		$CNT = $row["CNT"];
	}

	if($CNT > 0) {
		//删除之前生成的提醒
		$customer->delData('contract_payment',"CON_ID='".$_REQUEST["CON_ID"]."'");
		$customer->delData('sms',"TABLE_NAME='CONTRACT_PAYMENT' AND TABLE_ID='".$_REQUEST["CON_ID"]."'");
	}
	
	if(count($_REQUEST['pay_remind_content']) != 0) {
		$cust_mgrs = $customer->getCustomerMgr($_REQUEST['CUSTOMER_ID']);
		$to_ids    = $cust_mgrs;

		$pay_dates = array();
		foreach($_REQUEST as $keys => $values) {
			if(stristr($keys,"pay_date") !== false) {
				array_push($pay_dates,$values);
			}
		}

		foreach($_REQUEST['pay_remind_content'] as $key => $value) {
			if(trim($value) != '' ) {
				$payInfo['CON_ID']             = $_REQUEST["CON_ID"];
				$payInfo['USER_ID']            = $LOGIN_USER_ID;
				$payInfo['PAY_DATE']           = $pay_dates[$key];
				$payInfo['PAY_REMIND_CONTENT'] = $value;
				$customer->saveData("CONTRACT_PAYMENT",$payInfo);
				
				$row = $customer->getDataOne('contract_payment','MAX(ID) AS MID');
				if($pay_dates[$key] != '') {
					sendSms('admin',$to_ids,$_lang["common_contract_pay_remind"]."：".dhtmlspecialchars($value),"1","29","CONTRACT_PAYMENT",$_REQUEST["CON_ID"],$row['MID'],'','',$payInfo['PAY_DATE']);
				}
			}
		}
	}

	$customer->saveEditData("CONTRACT",$_REQUEST,$_REQUEST["CON_ID"]);
	//对提醒选中和不选中的操作
	if($_REQUEST["contract_remind"] != 1 || $_REQUEST["CONTACT_DATE2"] == "") {		
		$customer->delData('sms',"TABLE_NAME='CONTRACT' AND TABLE_ID='".$_REQUEST["CON_ID"]."'");
	} else if($_REQUEST["contract_remind"]==1 && $_REQUEST["CONTACT_DATE2"] != "") {
		//获取客户的客户经理
		$cust_mgr = $customer->getCustomerMgr($_REQUEST['CUSTOMER_ID']);		
		//短信接收人的判断(创建人非客户经理，及加入客户经理)
		if($cust_mgr != $LOGIN_USER_ID) {
			$to_ids = $LOGIN_USER_ID.",".$cust_mgr;
		} else {
			$to_ids = $LOGIN_USER_ID;
		}

		//短信内容的确定
		$contract_remind_content = '"'.$customers["CUSTOMER_NAME"].'"'.$_lang["customer_contract_remind_de"].'"'.$_REQUEST['CON_NAME'].'"'.$_lang["customer_contract_remind_at"].'"'.$_REQUEST['CONTACT_DATE2'].'"'.$_lang["customer_contract_remind"];

		//确定是否已经存在内部消息
		$sms_data = $customer->getData('sms','*',"TABLE_NAME='CONTRACT' AND TABLE_ID='".$_REQUEST["CON_ID"]."' AND REMIND_FLAG=1");
		if(!empty($sms_data)) {
			$checkCust = false;
			$user_ids = '';
			foreach($sms_data as $row) {
				$sms_id		= $row["SMS_ID"];
				$sends_time = $row["SEND_TIME"];
				$to_id      = $row["TO_ID"];
				//判断
				if($_REQUEST["CUSTOMER_ID"] == $to_id) {
					$checkCust = true;
				}
				//以前短信发送时间和这次的发送时间的比较（大于,$sends_time为以前短信的发送时间,$times为这次短信的发送时间）
				if(strtotime($sends_time)>=(int)$times) {
					//比较之前的发送时间与现在的发送时间
					if(strtotime($sends_time)<=time()) {
						//已经生效的
						$customer->updateData('sms',array('REMIND_FLAG'=>0),"SMS_ID='".$sms_id."'");

						if(($to_id == $createor && $createor!=$cust_mgr) || ($to_id == $cust_mgr && $createor!=$cust_mgr)) {
							//创建人或者客户经理
							$user_ids .= $to_id.',';
						}
					} else {
						//暂未生效
						if($to_id != $createor && $to_id != $cust_mgr) {
							//非创建人，非客户经理
							$customer->delData('sms',"SMS_ID='".$sms_id."'");
							continue;
						} else {
							//客户经理为创建人
							if($createor==$cust_mgr) {
								$customer->delData('sms',"TO_ID='".$to_id."'");
							} else {
								$data = array(
										'SEND_TIME'	=> $send_time,
										'CONTENT'	=> $contract_remind_content
									);
								$customer->updateData('sms',$data,"SMS_ID='".$sms_id."'");
							}
						}
					}					
				} else if(strtotime($sends_time) < (int)$times) {						
					//以前短信的发送时间和现在发送时间比较($times 为现在发送时间,$sends_time为以前短信发送时间)
					if(strtotime($sends_time)<=time()) {
						//已经生效
						//先将以前的消息取消提醒
						$data = array(
							'REMIND_FLAG'	=> 0
						);
						$customer->updateData('sms',$data,"SMS_ID='".$sms_id."'");

						if(($to_id == $createor && $createor != $cust_mgr) || ($to_id == $cust_mgr && $createor != $cust_mgr)) {
							//创建人或者客户经理
							$user_ids .= $to_id.',';
						}
					} else {
						//暂未生效
						if($to_id != $createor && $to_id != $cust_mgr) {
							//非创建人，非客户经理
							$customer->delData('sms',"SMS_ID='".$sms_id."'");
							continue;
						} else {
							//创建人为客户经理					
							//对已经存在的短信的发送时间和内容同步修改
							if($createor == $cust_mgr ) {
								$customer->delData('sms',"TO_ID='".$to_id."'");
							} else {
								$data = array(
									'SEND_TIME'	=> $send_time,
									'CONTENT'	=> $contract_remind_content
								);
								$customer->updateData('sms',$data,"SMS_ID='".$sms_id."'");
							}
						}
					}
				}
			}
			if(!empty($user_ids)){
				sendSms('admin',$user_ids,$contract_remind_content,'1','23','CONTRACT',$_REQUEST["CON_ID"],'','','',$send_time);
			}
			//更改了客户经理的情况下
			if($checkCust == false && $_REQUEST["CUSTOMER_ID"] != $customer_id) {
				sendSms('admin',$customer->getCustomerMgr($_REQUEST["CUSTOMER_ID"]),$contract_remind_content,'1','23','CONTRACT',$_REQUEST["CON_ID"],'','','',$send_time);
			}
		} else { 
			//新建时，没有勾选内部消息提醒的情况下，编辑后勾选发送内部消息
			sendSms('admin',$to_ids,$contract_remind_content,'1','23','CONTRACT',$_REQUEST["CON_ID"],'','','',$send_time);
		}
	}
}

if($_REQUEST["CUSTOMER_ID"] && $_REQUEST["back"] == true) {
	header("location:/general/crm/customer/contract_list.php?CUSTOMER_ID=".$_REQUEST["CUSTOMER_ID"]."&back=true'");
} else {
	header("location:contract.php");
}
?>
