<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      批量新建客户页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/add_customer.php
 * @version       12
 * @author        Qu|www.weaver.com.cn
 * @date          2012-11-09
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/field_set.class.php");
includelangpak("customer");

$batchParam = array( 
	array('name' =>$_lang["customer_cus_name"], 'field' => "cust_name", 'type' => "text",'css' => array("width" => "150px" ),'validation'=>array("require","repeat")),
	array('name' =>$_lang["customer_link_man_name"], 'field' => "linkman_name", 'type' => "text",'css' => array("width" => "150px"),'validation'=>array("require")),
	array('name' =>$_lang["customer_contact_no"], 'field' => "linkman_telno", 'type' => "text",'css' => array("width" => "150px"))
);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["customer_crm_add_cus"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js" ></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybatchcreate.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script>
//显示弹出层
var batchcreate;
$(document).ready(function() {	
	$(":button").LazyBeautifyButton();

	batchcreate = $("#targetDiv").LazyBatchCreate({
		buttons:{
		   initialize:true,
		   toggle:false,
		   close:false
		},																  
		param:<?=json_encode($batchParam)?>
	});
})

function submit_form() {
	var checkRepeatResult  = batchcreate.CheckRepeat("/general/crm/customer/check_repeat.php");
	var checkRequireResult = batchcreate.CheckRequire();

	if(checkRequireResult != true) {
		alert('<?=$_lang["customer_check_require_null"]?>');
	} else {
		if(checkRepeatResult != true) {
			alert('<?=$_lang["customer_check_repeat"]?>');
		} else {
			document.form1.submit();		
		}
	}
}	
</script>
</head>
<body>
<!-- 批量新建 -->
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td class="hs-top-line"></td>
		</tr>
	</table>
<form name="form1" method="post" action="add.php?f=more">
	<!--九宫格-->
	<tr>
		<td colspan="2">
			<div id="targetDiv">		
			</div>
		</td>
	</tr>
	<tr>
		<td>
			<div style="float: right;margin-right: 10px;">
				<input type="button" id="save" value="<?=$_lang["common_save"]?>" href="#" onclick="submit_form();"/>
			</div>
		</td>
	</tr>
</form>	
</body>
</html>