<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      合同列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/contract.php
 * @version       18
 * @author        Qu|www.weaver.com.cn
 * @date          2013-02-17
 */
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("inc/utility_all.php");
include_once("inc/conn.php");
includelangpak("customer,other");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('502,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}

if($_GET['CUSTOMER_ID'])
{
  if(!is_numeric($_GET['CUSTOMER_ID'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}

$CUSTOMER_ID = $_GET["CUSTOMER_ID"];
$customer = new customer();
$manUids = $customer->get_userid_str();
$PAGE_TITLE = $_lang["customer_contract_detail"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
		
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
		
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
		
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
	.lazy_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}

	.lazy_sub_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}
</style>
<body>
<div class="lazy_header">
	<span class="contract_shaixuan"></span>
	<a class="btn btn-primary" onclick="location='contract_new.php?isSuccess=-1';"><?=$_lang["common_new"]?></a>
	<div class="contract_search" style="float:right;margin:6px 5px 0 0;"></div>
</div>
<div class="Div_Customer_Dialog">
    <iframe style="width:100%;border:none;height:100%;" frameborder="0" id="Div_Customer_Dialog"></iframe>
</div>
<div class="contract_list_wrap"></div>
</body>
</html>
<script type="text/javascript">

function LoadWindow(id,name,form,dialog_div,isRequire)
{
  URL="/general/crm/linkman/customer_select/index.php?id="+id+"&name="+name+"&form="+form+"&dialog_div="+dialog_div+"&isRequire="+isRequire;
  $("#Div_Customer_Dialog").attr("src",URL);
  $(".Div_Customer_Dialog").dialog("open");
}
var confirm_notify2,confirm_notify3,confirm_notify;
var manUids = "<?=$manUids?>";
$(function() {

	$(".Div_Customer_Dialog").dialog({
	    autoOpen: false,
	    width: 600,
	    modal: true,
	    height:470,
	    dialogClass:"lazy_dialog",  //此行必须有
	    resizable:false
	});

	$(".contract_shaixuan").on('change', '.shaixuan', function(event) {
        //==========清空其他查询条件==========================//
        $('.contract_search').find(':text').val('');
        $('.contract_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
        //==================================================//
		$(".contract_list_wrap").LazyTable("reload",{
			param:{
				quick_sort : $(".shaixuan").val(),
				search_field:"",
				search_str:"",
			},
			page : {
				currentPage:0
			}
		});
	});

	$.ajax({
		url:"contract_do.php",
		data:{
			op : 'getShaixuanList',
		},
		success:function(result){
			var htmlStr = [];
			htmlStr.push('<select class="shaixuan selectpicker" data-width="130px" data-height="39px" id="shaixuan">');
			htmlStr.push('<option value="all"><?=$_lang["common_show_allinfo"]?></option>');
			if(result){
				var parsedData = $.parseJSON(result);
				htmlStr.push('<optgroup label="<?=$_lang["common_contract_count"]?>">');
				$.each(parsedData,function(key,value){
					if (value.GROUP_NAME=="common_contract_count") {
						htmlStr.push('<option value="' + value.OPTION_PARAM + '">'+value.OPTION_NAME+'</option>');
					}
				});
				htmlStr.push('</optgroup>');
				htmlStr.push('<optgroup label="<?=$_lang["common_contract_end_date"]?>">');
				$.each(parsedData,function(key,value){
					if (value.GROUP_NAME=="common_contract_end_date") {
						htmlStr.push('<option value="' + value.OPTION_PARAM + '">'+value.OPTION_NAME+'</option>');
					}
				});
				htmlStr.push('</optgroup>');
				htmlStr.push('<optgroup label="<?=$_lang["common_create_personal"]?>">');
				$.each(parsedData,function(key,value){
					if (value.GROUP_NAME=="common_create_personal") {
						htmlStr.push('<option value="' + value.OPTION_PARAM + '">'+value.OPTION_NAME+'</option>');
					}
				});
				htmlStr.push('</optgroup>');
			}else{
				htmlStr.push('<option value="all"><?=$_lang["common_show_allinfo"]?></option>');
			}
			htmlStr.push('</select>');
			$(".contract_shaixuan").html(htmlStr.join(''));
			$(".selectpicker").selectpicker('refresh');
		}
	});

	var user_id="<?=$_SESSION['LOGIN_USER_ID']?>";

	$(".contract_list_wrap").height($(window).height()-80).niceScroll();
	$(".contract_list_wrap").LazyTable({
		dataSource : "contract_do.php",
		param : {
			op : "getList", 
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if(user_id=='admin') {
					return true;
				}else{
					return false;
				}
			}	
		}, {
			key : "CON_NO",
			width:180,
			title : "<?=$_lang["customer_crm_contract_num"]?>",
		},{
			key : "CON_NAME",
			width:180,
			title : "<?=$_lang["customer_contract_name"]?>",
		}, {
			key : "CON_COUNT",
			title : "<?=$_lang["customer_contract_amount"]?>",
		}, {
			key : "CUSTOMER_NAME",
			width:180,
			title : "<?=$_lang["customer_cus_name"]?>",
		}, {
			key : "CON_DATE2",
			title : "<?=$_lang["customer_contract_end_date"]?>",
		}],
		page : {
			itemsPerPage : 10
		},
		batchButtons : [{
			title : "<?=$_lang["customer_all_delete"]?>",
			func : function(data) {
				var i,conids = '';
				for( i = 0; i< data.length; i++) {
					conids += data[i].CON_ID + ',';
				}
				conids = conids.substr(0,(conids.length-1));
				if(conids == '') {
					confirm_notify = $.pnotify({
				        text: "<?=$_lang["customer_choose_option_first"]?>",
				        type : "info",
				        animate_speed:"fast",
				        history:false,
				    }).click(function(){
				    	confirm_notify.pnotify_remove();
				    });
					return false;
				} else {
					bootbox.confirm("<?php echo $_lang['customer_sure_want_del']?>",function(result){
						if (result) {
							$.ajax({
								type:'POST',
								data:'op=delete_all&conids='+conids+'&tablename=CONTRACT',
								url:'/general/crm/customer/contract_do.php',
								success:function(data)
								{
									if(data == '1') {
										$(".contract_list_wrap").LazyTable("reload",{
											param:{
												quick_sort:"",
												search_field:"",
												search_str:"",
											}
										});

										if (confirm_notify2) {
											confirm_notify2.pnotify_remove();
										}
										confirm_notify2 = $.pnotify({
									        text: "<?=$_lang["customer_delete_success"]?>",
									        type : "success",
									    }).onclick(function(){
									    	confirm_notify2.pnotify_remove();
									    });
									} else {
										if (confirm_notify3) {
											confirm_notify3.pnotify_remove();
										}
										confirm_notify3 = $.pnotify({
									        text: data,
									        type : "error"
									    }).onclick(function(){
									    	confirm_notify3.pnotify_remove();
									    });
									}
								}
							});
						}
					});
				}
			}
		}],
		buttons : {
			buttonInfor : {
				"detail" : {
					title : "<?=$_lang["common_detail"]?>",
					isDefault:true,
					func : function(data) {
						var url	= "/general/crm/customer/contract_detail.php?CON_ID="+data.CON_ID;
						window.open(url,"","height=400,width=750,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=100,left=300,resizable=yes");
					}
				},
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
						var url	= "/general/crm/customer/contract_edit.php?CON_ID="+data.CON_ID;
						location=url;
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						var msg	= '<?=$_lang["common_del_alert"]?>';
						bootbox.confirm(msg,function(result){
							if (result) {
								$.ajax({
									url:"/general/crm/customer/contract_do.php?op=delete&CON_ID="+data.CON_ID,
									success:function(result){
										if(result == "success") {
                                            //==========清空其他查询条件==========================//
                                            $(".shaixuan").val("0");
                                            $(".shaixuan").selectpicker('refresh');
                                            $('.contract_search').find(':text').val('');
                                            $('.contract_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
                                            //==================================================//
											$(".contract_list_wrap").LazyTable("reload",{
												param:{
													quick_sort:"",
													search_field:"",
													search_str:"",
												}
											});
										} else {
											$.pnotify({
										        text: "error!!!",
										        type : "error"
										    })
										}
									}
								});

								
							}
						});
					}
				}
			},
			filter:function(data){
				var filterArr = [];
				if (user_id==data.MANAGE_USER || user_id==data.SERVICE_USER || user_id==data.CON_CREATEOR || manUids.indexOf(data.MANAGE_USER)>0) {
					filterArr = ["edit"];
				}
				if(user_id == 'admin'){
					filterArr.push('delete');
				}
				filterArr.push('detail');
				return filterArr;
			}
		},
		sort : {
			items : [{
				key : "CON_NAME",
				title : "<?=$_lang["customer_contract_name"]?>",
			}, {
				key : "CON_NO",
				title : "<?=$_lang["customer_crm_contract_num"]?>",
			},{
				key : "CON_DATE2",
				title : "<?=$_lang["customer_contract_end_date"]?>",
			}],
			onItemClick : function(key, sortType) {
				$(".contract_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortType
					}
				},true);
			}
		},
		onAfterLoad:function(){
			$(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			$(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });	
             $(".contract_list_wrap").niceScroll().resize(); 	 
		}
	});

	$(".contract_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".contract_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});

	$(".contract_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
            if ($(".contract_list_wrap").find(".lazy_table_checkbox").filter(function() {
                return $(this).prop("checked") == false;
            }).length == 0) {
                $(".contract_list_wrap").find(".lazy_table_checkall").prop("checked", true);
            }
        } else {
            $(".contract_list_wrap").find(".lazy_table_checkall").prop("checked", false);
        }

        $(":checkbox").iCheck('update'); 
	});
	
	$(".contract_search").LazySearch({
		tip : "<?=$_lang['customer_crm_contract_find']?>",
		fieldSearch : {
			onItemClick : function(data, value) {
				//==========清空其他查询条件==========================//
                $(".shaixuan").val("0");
                $(".shaixuan").selectpicker('refresh');
                //===================================================//
				$(".contract_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						quick_sort:"",
						where_query:"",
					},
					page : {
						currentPage:0
					}
				});
			},
			items : [{
				key : "CON_NAME",
				title : "<?=$_lang['customer_crm_contract_name_have']?>"
			},{
				key : "CON_NO",
				title : "<?=$_lang['customer_crm_contract_num_have']?>"
			}]
		},
		onClearButtonClick:function(){
			$(".contract_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					quick_sort:"",
					where_query:"",
				},
				page : {
					currentPage:0
				}
			});
		},
		advancedSearch : {
			onSearch : function(a,b) {
				//==========清空其他查询条件==========================//
                $(".shaixuan").val("0");
                $(".shaixuan").selectpicker('refresh');
                //===================================================//
				$.ajax({
					url: 'contract_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form1').serialize(),
					success:function(data){
						$(".contract_list_wrap").LazyTable("reload",{
							param:{
								where_query:data,
								search_field:"",
								search_str:"",
								quick_sort:"",
							},
							page : {
								currentPage:0
							}
						});
					}
				});
			},
			items : "contract_search.php",
		},
	});
});

</script>
<script>
	$("select").selectpicker();
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});
</script>
