<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      业务机会列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/operation.php
 * @version       18
 * @author        Qu|www.weaver.com.cn
 * @date          2013-02-17
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("general/system/combox/packaging.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer,other");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('510,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}

$PAGE_TITLE = $_lang["customer_crm_cus_manage"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<script type="text/javascript" src="/inc/common.js"></script>
<style type="text/css">
	.dialogClass .ui-dialog .ui-dialog-titlebar { display: block; }
	.dialogClass .ui-dialog .ui-dialog-title { display: block; }
	.ui-dialog .ui-dialog-titlebar-close {display: none; }
	.ui-dialog .ui-dialog-titlebar-close span { display: none; margin: 1px; }

	#select_dialog a{
		color:white;
	}

	.form_table td:first-child {
		text-align: right;
		width: 12%;
		padding-right: 30px;

	}

	.form_table{
		border-bottom: 1px solid lightgray;
		border-top: 1px solid lightgray;
	}

	.form_table tr{
		border-bottom: 1px solid lightgray;
	}

	.table td:first-child {
		text-align: left;
	}

	#table tr {
		border-bottom: 0px solid lightgray;
		border-top: 0px solid lightgray;
		border-left: 0px solid lightgray;
		border-right: 0px solid lightgray;

	}

	textarea{
		width: 80%;
	}

	.priviledge{
		height: 90px;
		line-height: 90px;
		vertical-align: middle;

	}

	.lazy_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}

	.lazy_sub_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}
	.find_check_one{margin:10px 0;}
	body{overflow:hidden;}
</style>
<body>
<div class="lazy_header">
	<div class="business_filter"></div>
	<a class="btn btn-primary" id="replace_all_manager" onclick="replace_all_manager()"><?=$_lang["customer_man_assign"]?></a>
	<div class="business_search" style="float:right;margin:6px 5px 0 0;"></div>
	<div class="manager_search" style="display:none;float:right;margin:6px 5px 0 0;"></div>
</div>
<div class="customer_list_wrap"></div>
<div class="manager_list_wrap" style="display:none"></div>
<div class="select_dialog_group" style="display:none">
	<div id="select_dialog" title="<?=$_lang['customer_man_dialog']?>">
		<form id="form1" name="form1">
		    <table class="form_table" border="0">
		        <tr >
		            <td height="40">
		            	<input type="text" id="MANAGE_NAME" name="MANAGE_NAME"  size="30" maxlength="100" readonly>
						<input type="hidden" name="MANAGE_USER" id="MANAGE_USER">
					</td>
		            <td><button type="button" class="btn btn-primary" onClick="LoadWindowUserSingle( 'MANAGE_USER', 'MANAGE_NAME','form1')" ><?=$_lang["customer_man_select"]?></button></td>
		            <td></td>
		            <td></td>
		        </tr>
		        <tr style="border-top:1px solid lightgray;">
		            <td height="40"></td>
		            <td></td>
		            <td></td>
		            <td>
		            <button type="button" class="btn btn-primary" onclick="save_data()"><?=$_lang["common_sure"]?></button> <button type="button" class="btn btn-default" onclick="close_dialog()"><?=$_lang["common_cancel"]?></button>
		            </td>
		        </tr>
		    </table>
		</form>
	</div>
	<div id="select_service_dialog" title="<?=$_lang['customer_service_dialog']?>">
		<form id="form6" name="form6">
		    <table class="form_table" border="0">
		        <tr >
		            <td height="40">
			  			<input type="radio" class='radio radio_scope' name="scope" id="select_scope" value="1"><?=$_lang["customer_selected_data"]?>&nbsp;&nbsp;&nbsp;
						<input type="radio" class='radio radio_scope' name="scope" id="select_scope_all" value="2"><?=$_lang["customer_list_data"]?>
					</td>
		            <td></td>
		            <td></td>
		            <td></td>
		        </tr>
		        <tr >
		            <td height="40">
		            	<input type="text" id="SERVICE_NAME" name="SERVICE_NAME"  size="30" maxlength="100" readonly>
						<input type="hidden" name="SERVICE_USER" id="SERVICE_USER">
					</td>
		            <td><button type="button" class="btn btn-primary" onClick="LoadWindowUserSingle( 'SERVICE_USER', 'SERVICE_NAME','form6')" ><?=$_lang["customer_service_select"]?></button></td>
		            <td></td>
		            <td></td>
		        </tr>
		        <tr style="border-top:1px solid lightgray;">
		            <td height="40"></td>
		            <td></td>
		            <td></td>
		            <td>
		            <button type="button" class="btn btn-primary" onclick="save_service_data()"><?=$_lang["common_sure"]?></button> <button type="button" class="btn btn-default" onclick="close_service_dialog()"><?=$_lang["common_cancel"]?></button>
		            </td>
		        </tr>
		    </table>
		</form>
	</div>
	<div id="select_share_dialog" title="<?=$_lang['customer_share_prompt']?>">
		<form name="form5" id="form5">
		<div style="text-align:center" width="100%">
			<table class="form_table" border="0">
				<tr style="border:none;">
					<td>
						<div class="find_check_one">
				  			<input type="radio" class='radio' name="purview" id="set_scope" value="3" checked>&nbsp;<?=$_lang["customer_crm_pur_select_scope"]?>&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" class='radio' name="purview" id="select_all" value="2">&nbsp;<?=$_lang["customer_crm_pur_select_alluser"]?>
						</div>
						<div id="div1">
							<div class="priviledge">
								<?=$_lang["common_dept"]?>&nbsp;&nbsp;&nbsp;
								<input type="hidden" name="TO_ID" id="TO_ID" value="">
								<textarea cols='100' name='TO_NAME' id="TO_NAME" rows='5' wrap="yes" readonly style="overflow:auto"><?=$dept_name?></textarea>&nbsp;&nbsp;&nbsp;
								<a onClick="LoadWindowDept('TO_ID','TO_NAME','form5')"style="cursor:pointer"><i class="fa fa-plus fa-lg text-success"></i></a>
							</div>
							<div class="priviledge">
								<?=$_lang["common_role"]?>&nbsp;&nbsp;&nbsp;
								<input type="hidden" name="USER_PRIV_ID" id="USER_PRIV_ID" value="">
								<textarea cols='100' name='USER_PRIV_NAME' id="USER_PRIV_NAME" rows='5' wrap="yes" readonly style="overflow:auto"><?=$priv_name?></textarea>&nbsp;&nbsp;&nbsp;
								<a onClick="LoadCompatWindowPriv(event,'USER_PRIV_ID','USER_PRIV_NAME','form5')" style="cursor:pointer"><i class="fa fa-plus fa-lg text-success"></i></a>
							</div>
							<div class="priviledge">
								<?=$_lang["common_user"]?>&nbsp;&nbsp;&nbsp;
								<input type="hidden" name="COPY_TO_ID" id="COPY_TO_ID" value="">
								<textarea cols='100' name='COPY_TO_NAME' id="COPY_TO_NAME" rows="5" wrap="yes" readonly style="overflow:auto"><?=$personnel?></textarea>&nbsp;&nbsp;&nbsp;
								<a onClick="LoadWindowUser('COPY_TO_ID','COPY_TO_NAME','form5')" style="cursor:pointer"><i class="fa fa-plus fa-lg text-success"></i></a>
							</div>
						</div>
					</td>
				</tr>
				<tr>
					<td style="padding-left:245px;">
						<button type="button" class="btn btn-primary" onclick="save_share_data(1)"><?=$_lang["customer_change"]?></button>
						<button type="button" class="btn btn-primary add_share" onclick="save_share_data(2)"><?=$_lang["customer_add"]?></button>
						<button type="button" class="btn btn-default" onclick="close_share_dialog()"><?=$_lang["common_cancel"]?></button>
					</td>
				</tr>
			</table>
		</div>
		</form>
	</div>
	<? showUserGeneralDiv()?>
	<div id="all_select_dialog" title="<?=$_lang['customer_man_dialog']?>">
		<form id="form2" name="form2">
		    <table class="form_table" border="0">
		        <tr >
		            <td class="title" height="40">
		            	<input type="text" id="MANAGE_NAME_ALL" name="MANAGE_NAME_ALL"  size="30" maxlength="100" readonly>
						<input type="hidden" name="MANAGE_USER_ALL" id="MANAGE_USER_ALL">
					</td>
		            <td><a style="color:white" class="btn btn-primary" onClick="LoadWindowUserSingle( 'MANAGE_USER_ALL', 'MANAGE_NAME_ALL','form2')" ><?=$_lang["customer_man_select"]?></a></td>
		            <td class="title"></td>
		            <td></td>
		        </tr>
		        <tr style="border-top:1px solid lightgray;">
		            <td class="title" height="40"></td>
		            <td></td>
		            <td class="title"></td>
		            <td >
		            <a style="color:white" class="btn btn-primary" onclick="save_all_data()"><?=$_lang["common_sure"]?></a> <a style="color:white" class="btn btn-default" onclick="close_all_dialog()"><?=$_lang["common_cancel"]?></a>
		            </td>
		        </tr>
		    </table>
		    <input type="hidden" name="search_field" id="search_field">
		    <input type="hidden" name="search_str" id="search_str">
		    <input type="hidden" name="where_query" id="where_query">
		</form>
	</div>
</div>
<input type="hidden" name="all_customer" id="all_customer">
<input type="hidden" name="shaixuan_type" id="shaixuan_type" value="1">
<input type="hidden" id="search_manager_str" value="">
<input type="hidden" id="search_manager_field" value="">
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>

<script type="text/javascript">
$(function(){
	$("#select_dialog, #select_service_dialog").dialog({
	    autoOpen: false,
	    width: 600,
	    modal: true,
	    dialogClass: "dialogClass",
	    resizable:false
	});

	$("#select_share_dialog").dialog({
	    autoOpen: false,
	    width: 500,
	    modal: true,
	    dialogClass: "dialogClass",
	    resizable:false
	});

	$(".customer_list_wrap").height($(window).height()-80).niceScroll();
	$(".customer_list_wrap").LazyTable({
		dataSource : "index_do.php",
		param : {
			op : "getList",
		},
		column : [{
			key : "checkall"
		}, {
			key : "CUSTOMER_NAME",
			width: 150,
			title : "<?=$_lang["customer_cus_name"]?>",
			// template:function(data){
			// 	return "<a style='color:#8470FF' onclick='customer_detail("+data.CUSTOMER_ID+")'>"+data.CUSTOMER_NAME+"</a>";
			// }
		}, {
			key : "MANAGE_USER_NAME",
			title : "<?=$_lang["customer_query_cus_man"]?>",
		}, {
			key : "CUSTOMER_TYPE_NAME",
			title : "<?=$_lang["customer_query_cus_type"]?>"
		}, {
			key : "CREATE_TIME",
			title : "<?=$_lang['common_create_time']?>"
		}],
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang['customer_man_mans']?>",
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].CUSTOMER_ID + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids=='') {
					$.pnotify({
				        text: "<?=$_lang['customer_man_atlist_one']?>",
				        type : "info",
				        speed:"fast",
				        history:false,
				        delay:"1500",
				    });
					return false;
				} else {

					$("#all_customer").val(ids);

					$("#select_dialog").dialog("open");
				}
			}
		},{
			title : '<?=$_lang["customer_man_service"]?>',
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].CUSTOMER_ID + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids == '') {
					$("#select_scope_all").prop("checked", true);
					$("#select_scope").iCheck('disable');
				} else {
					$("#select_scope").iCheck('enable');
					$("#select_scope").prop("checked", true);
				}
				$(".radio_scope").iCheck('update');
				$("#all_customer").val(ids);
				$("#select_service_dialog").dialog("open");
			}
		},{
			title : '<?=$_lang["customer_batch_share"]?>',
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].CUSTOMER_ID + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids=='') {
					$.pnotify({
				        text: "<?=$_lang['customer_man_atlist_one']?>",
				        type : "info",
				        speed:"fast",
				        history:false,
				        delay:"1500",
				    });
					return false;
				} else {

					$("#all_customer").val(ids);
					$("#select_share_dialog").dialog("open");
				}
			}
		}],
		sort : {
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang["customer_cus_name"]?>",
			}, {
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_query_cus_man"]?>",
			}, {
				key : "CUSTOMER_TYPE",
				title : "<?=$_lang["customer_query_cus_type"]?>"
			}, {
				key : "CREATE_TIME",
				title : "<?=$_lang['common_create_time']?>"
			}],
			onItemClick : function(key,data) {
				$(".customer_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:data
					}
				},true);
			}
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });
			$(".customer_list_wrap").niceScroll().resize();
			$(".select_dialog_group").show();
		}
	});

	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});

	$(".find_check_one").on('ifChanged','.radio', function(event){
		var state = document.getElementById('select_all').checked
		var show = document.getElementById('div1');
		if(state==true){
			$("#select_share_dialog").height(100);
			$(".add_share").hide();
			show.style.display='none';
		}else{
			show.style.display='';
			$("#select_share_dialog").height(380);
			$(".add_share").show();
		}
        $(":radio").iCheck('update');
	});

	$("#all_select_dialog").dialog({
	    autoOpen: false,
	    width: 550,
	    modal: true,
	    dialogClass: "dialogClass",
	    resizable:false
	});

	$(".business_search").LazySearch({
		tip : '<?=$_lang["customer_checks"]?>',
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {
				$("#search_str").val(value);
				$("#search_field").val(data.key);
				$("#where_query").val("");
				$(".customer_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						where_query:"",
					},
					page:{
						currentPage:0
					}
				});
			},
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang['customer_customername_include']?>",
			}]
		},
		onClearButtonClick:function(){
			$("#search_str").val("");
			$("#search_field").val("");
			$("#where_query").val("");
			$(".customer_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					where_query:"",
				},
				page:{
						currentPage:0
					}
			});
		},
		advancedSearch : {
			onSearch : function(a,b) {
				// console.log(b);
				$.ajax({
					url: 'index_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form3').serialize(),
					success:function(data){
						$("#search_field").val("");
						$("#search_str").val("");
						$("#where_query").val(data);
						$(".customer_list_wrap").LazyTable("reload",{
							param:{
								where_query:data,
								search_field:"",
								search_str:"",
							},
							page:{
								currentPage:0
							}
						});
					}
				});
			},
			items : "search.php",
		},
	});

	$(".manager_search").LazySearch({
		tip : "<?=$_lang['customer_man_check']?>",
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {
				$("#search_manager_str").val(value);
				$("#search_manager_field").val(data.key);
				$(".manager_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
					},
					page:{
						currentPage:0
					}
				});
			},
			items : [{
				key : "MANAGE_USER_NAME",
				title : "<?=$_lang['customer_customerman_include']?>",
			},{
				key : "DEPT_NAME",
				title : "<?=$_lang['customer_man_dept']?>",
			},{
				key : "ROLE_NAME",
				title : "<?=$_lang['customer_man_role']?>",
			}]
		},
		onClearButtonClick:function(){
			$("#search_manager_str").val('');
			$("#search_manager_field").val('');
			$(".manager_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
				}
			});
		}
	});

	$(".customer_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".customer_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update');
	});

	$(".customer_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
            if ($(".customer_list_wrap").find(".lazy_table_checkbox").filter(function() {
                return $(this).prop("checked") == false;
            }).length == 0) {
                $(".customer_list_wrap").find(".lazy_table_checkall").prop("checked", true);
            }
        } else {
            $(".customer_list_wrap").find(".lazy_table_checkall").prop("checked", false);
        }

        $(":checkbox").iCheck('update');
	});

	$(".manager_list_wrap").height($(window).height()-80).niceScroll();
	$(".manager_list_wrap").LazyTable({
		dataSource : "index_do.php",
		param : {
			op : "getManagerList",
		},
		column : [{
			key : "checkall"
		}, {
			key : "MANAGE_USER_NAME",
			title : "<?=$_lang["customer_query_cus_man"]?>",
		}, {
			key : "DEPT_NAME",
			title : "<?=$_lang["common_dept"]?>",
			sort : true
		}, {
			key : "ROLE_NAME",
			title : "<?=$_lang["common_role"]?>"
		}, {
			key : "CUST_NUM",
			title : "<?=$_lang['customer_man_num']?>"
		}],
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang['customer_man_mans']?>",
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].MANAGE_USER + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids=='') {
					$.pnotify({
				        text: "<?=$_lang['customer_man_atlist_one']?>",
				        type : "info",
				        speed:"fast",
				        history:false,
				        delay:"1500"
				    });
					return false;
				} else {
					$("#all_customer").val(ids);
					$("#select_dialog").dialog("open");
				}
			}
		},{
			title : '<?=$_lang["customer_man_service"]?>',
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].MANAGE_USER + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );

				if(ids == '') {
					$("#select_scope_all").prop("checked", true);
					$("#select_scope").iCheck('disable');
				} else {
					$("#select_scope").iCheck('enable');
					$("#select_scope").prop("checked", true);
				}
				$(".radio_scope").iCheck('update');
				$("#all_customer").val(ids);
				$("#select_service_dialog").dialog("open");
			}
		},{
			title : '<?=$_lang["customer_batch_share"]?>',
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].MANAGE_USER + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids=='') {
					$.pnotify({
				        text: "<?=$_lang['customer_man_atlist_one']?>",
				        type : "info",
				        speed:"fast",
				        history:false,
				        delay:"1500",
				    });
					return false;
				} else {

					$("#all_customer").val(ids);
					$("#select_share_dialog").dialog("open");
				}
			}
		}],
		sort : {
			items : [{
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_query_cus_man"]?>",
			}, {
				key : "DEPT_ID",
				title : "<?=$_lang["common_dept"]?>",
			}, {
				key : "USER_PRIV",
				title : "<?=$_lang["common_role"]?>"
			}],
			onItemClick : function(key, sortTypes) {
				$(".manager_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortTypes,
					}
				},true);
			}
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });
			$(".manager_list_wrap").niceScroll().resize();
		}
	});

	$(".manager_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".manager_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update');
	});

	$(".manager_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
            if ($(".manager_list_wrap").find(".lazy_table_checkbox").filter(function() {
                return $(this).prop("checked") == false;
            }).length == 0) {
                $(".manager_list_wrap").find(".lazy_table_checkall").prop("checked", true);
            }
        } else {
            $(".manager_list_wrap").find(".lazy_table_checkall").prop("checked", false);
        }

        $(":checkbox").iCheck('update');
	});

	$(".business_filter").LazyFilter({
		onClick : function(data) {
			if (data=="accord_customer") {
				$("#shaixuan_type").val(1);
				$(".customer_list_wrap").css("display","block");
				$(".business_search").css("display","block");
				$(".manager_list_wrap").css("display","none");
				$(".manager_search").css("display","none");
				$("#replace_all_manager").css("display","block");


				$("#search_str").val("");
				$("#search_field").val("");
				$("#where_query").val("");
				$(".customer_list_wrap").LazyTable("reload",{
					param:{
						search_field:"",
						search_str:"",
						where_query:"",
					}
				});
			}else if (data=="accord_manager") {
				$("#shaixuan_type").val(2);
				$(".manager_list_wrap").css("display","block");
				$(".manager_search").css("display","block");
				$(".customer_list_wrap").css("display","none");
				$(".business_search").css("display","none");
				$("#replace_all_manager").css("display","none");
				$(".manager_list_wrap").LazyTable("reload",{
					param:{
						search_field:"",
						search_str:"",
					}
				});
			}
		},
		common : {
			dataSource : [{
				key:"accord_customer",
				isDefault:true,
				title:"<?=$_lang['customer_man_by_customer']?>"
			},{
				key:"accord_manager",
				title:"<?=$_lang['customer_man_by_user']?>"
			}],
			template : "{title}"
		},
	});

});

function close_dialog(){
	$("#select_dialog").dialog("close");
}

function close_service_dialog(){
	$("#select_service_dialog").dialog("close");
}

function close_share_dialog(){
	$("#select_share_dialog").dialog("close");
}

function close_all_dialog(){
	$("#all_select_dialog").dialog("close");
}

function save_data(){
	var all_customer = $("#all_customer").val();
	var MANAGE_USER = $("#MANAGE_USER").val();
	var type = $("#shaixuan_type").val();
	if (MANAGE_USER=="") {
		$.pnotify({
			text: "<?=$_lang['customer_man_select_man']?>",
	        type : "info",
	        speed:"fast",
	        history:false,
		});
		return false;
	}
	if (type==1) {
		$.ajax({
			url: 'index_do.php',
			type: 'POST',
			data: {
				op: 'update_manager1',
				all_customer:all_customer,
				MANAGE_USER:MANAGE_USER
			},
			success:function(data){
				$.pnotify({
					text: "<?=$_lang['customer_man_update_man']?>",
			        type : "info",
			        speed:"fast",
			        history:false,
				});

				$("#select_dialog").dialog("close");

				$("#search_str").val("");
				$("#search_field").val("");
				$("#where_query").val("");
				$(".customer_list_wrap").LazyTable("reload",{
					param:{
						search_field:"",
						search_str:"",
						where_query:"",
					}
				});
			}
		});
	}else if (type==2) {
		$.ajax({
			url: 'index_do.php',
			type: 'POST',
			data: {
				op: 'update_manager2',
				all_customer:all_customer,
				MANAGE_USER:MANAGE_USER
			},
			success:function(data){
				$.pnotify({
					text: "<?=$_lang['customer_man_change_man']?>",
			        type : "info",
			        speed:"fast",
			        history:false,
				});

				$("#select_dialog").dialog("close");
				$(".manager_list_wrap").LazyTable("reload");
			}
		});
	}
}

function save_service_data(){
	var all_customer = $("#all_customer").val();
	var service_user = $("#SERVICE_USER").val();
	var type = $("#shaixuan_type").val();
	var scope = $(".radio_scope:checked").val();//范围3或全部2

	if (service_user=="") {
		$.pnotify({
			text: "<?=$_lang['customer_man_select_service']?>",
	        type : "info",
	        speed:"fast",
	        history:false,
		});
		return false;
	}

	if (scope == 1) {
		$.ajax({
			url: 'index_do.php',
			type: 'POST',
			data: {
				op: 'change_customer_serivce',
				all_customer :all_customer,
				service_user :service_user,
				type: type
			},
			success:function(data){
				$.pnotify({
					text: "<?=$_lang['customer_man_change_service']?>",
			        type : "info",
			        speed:"fast",
			        history:false,
				});
				$("#select_service_dialog").dialog("close");
				if (type == 1) {
					$(".customer_list_wrap").LazyTable("reload",{
						param:{
							search_field: $("#search_field").val(),
							search_str: $("#search_str").val(),
							where_query: $("#where_query").val(),
						},
						page:{
							currentPage:0
						}
					});
				} else if (type == 2) {
					$(".manager_list_wrap").LazyTable("reload",{
						param:{
							search_field: $("#search_manager_field").val(),
							search_str: $("#search_manager_str").val(),
						},
						page:{
							currentPage:0
						}
					});
				}
			}
		});
	} else if (scope == 2) {

		if (type == 1) {
			var search_field = $("#search_field").val();
			var search_str = $("#search_str").val();
			var where_query = $("#where_query").val();
		} else if (type == 2) {
			var search_field = $("#search_manager_field").val();
			var search_str = $("#search_manager_str").val();
			var where_query = '';
		}

		$.ajax({
			url: 'index_do.php',
			type: 'POST',
			data: {
				op: 'change_customer_serivce_bactch',
				service_user: service_user,
				search_field: search_field,
				search_str: search_str,
				where_query: where_query,
				type: type
			},
			success:function(data){
				$.pnotify({
					text: "<?=$_lang['customer_man_change_service']?>",
			        type : "info",
			        speed:"fast",
			        history:false,
				});
				$("#select_service_dialog").dialog("close");
				if (type == 1) {
					$(".customer_list_wrap").LazyTable("reload",{
						param:{
							search_field: $("#search_field").val(),
							search_str: $("#search_str").val(),
							where_query: $("#where_query").val(),
						},
						page:{
							currentPage:0
						}
					});
				} else if (type == 2) {
					$(".manager_list_wrap").LazyTable("reload",{
						param:{
							search_field: $("#search_manager_field").val(),
							search_str: $("#search_manager_str").val(),
						},
						page:{
							currentPage:0
						}
					});
				}
			}
		});
	}

}

function save_share_data(opt){
	var all_customer = $("#all_customer").val(); //需要change客户
	var type         = $("#shaixuan_type").val();//按客户,按客户经理
	var PURVIEW_DEPT = $("#TO_ID").val();
	var PURVIEW_ROLE = $("#USER_PRIV_ID").val();
	var PURVIEW_USER = $("#COPY_TO_ID").val();
	var is_all       = $(".radio:checked").val();//范围3或全部2
	if(is_all==3&&PURVIEW_DEPT==''&&PURVIEW_ROLE==''&&PURVIEW_USER==''&&opt==2){
		$.pnotify({
			text: '<?=$_lang["customer_input_dept_role_user"]?>',
	        type : "info",
	        speed:"fast",
	        history:false,
		});
		return false;
	}

	$.ajax({
		url: 'index_do.php',
		type: 'POST',
		data: {
			op: 'update_share',
			all_customer:all_customer,
			opt:opt,
			type:type,
			is_all:is_all,
			PURVIEW_DEPT:PURVIEW_DEPT,
			PURVIEW_ROLE:PURVIEW_ROLE,
			PURVIEW_USER:PURVIEW_USER
		},
		success:function(data){
			$.pnotify({
				text: "<?=$_lang['customer_change_share']?>",
		        type : "info",
		        speed:"fast",
		        history:false,
			});
			$("#select_share_dialog").dialog("close");
		}
	});
}

function save_all_data(){
	var MANAGE_USER = $("#MANAGE_USER_ALL").val();
	if (MANAGE_USER=="") {
		$.pnotify({
			text: "<?=$_lang['customer_man_select_man']?>",
	        type : "info",
	        speed:"fast",
	        history:false,
		});
		return false;
	}
	$.ajax({
		url: 'index_do.php',
		type: 'POST',
		data: {
			op: 'update_manager3',
			MANAGE_USER:MANAGE_USER,
			search_field:$("#search_field").val(),
			search_str:$("#search_str").val(),
			where_query:$("#where_query").val(),
		},
		success:function(data){
			$.pnotify({
				text: "<?=$_lang['customer_man_update_man']?>",
		        type : "info",
		        speed:"fast",
		        history:false,
			});

			$("#all_select_dialog").dialog("close");

			$("#search_str").val("");
			$("#search_field").val("");
			$("#where_query").val("");
			$(".customer_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					where_query:"",
				}
			});
		}
	});
}

function customer_detail(customer_id)
{
	var url	= "/general/crm/customer/customer.php?CUSTOMER_ID="+customer_id;
	window.open(url,"","height=650,width=1000,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=30,left=30,resizable=yes");
}

function replace_all_manager(){
	bootbox.confirm("<?=$_lang['customer_man_careful_opt']?>",function(result){
		if (result) {
			$("#all_select_dialog").dialog("open");
		}
	});
}
</script>
