<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户的搜索页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/search.php
 * @version       13
 * @author        Qu|www.weaver.com.cn
 * @date          2012-03-05
 */
include_once("inc/auth.php");
include_once("api/field_set.class.php");
include_once("api/customer.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

$customerObj      = new customer();
$OtherFieldObj = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('CUSTOMER',$CUSTOMER_ID,'CUSTOMER_ID','form1','search');
?>
<form id="form3" name="form3">
<table width="100%" border="0" cellpadding="3" cellspacing="1">
  <tr>
    <td class="title"><?=$_lang["customer_query_cus_man"]?></td>
    <td>
	   <input type="text" id="MANAGE_NAME3" name="MANAGE_NAME" class="textreadonly" size="20" maxlength="20" readonly value="">
			<input type="hidden" name="MANAGE_USER" id="MANAGE_USER3" value="">
			<input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadWindowUserSingle('MANAGE_USER3','MANAGE_NAME3','form3','','',true)" >
      <input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-default" onClick="clear_input('MANAGE_USER3','MANAGE_NAME3','form3')" >
		</td>
   </tr>
  <tr>
    <td class="title"><?=$_lang["customer_service_manage"]?></td>
    <td>
     <input type="text" id="SERVICE_NAME3" name="SERVICE_NAME" class="textreadonly" size="20" maxlength="20" readonly value="">
      <input type="hidden" name="SERVICE_USER" id="SERVICE_USER3" value="">
      <input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadWindowUserSingle('SERVICE_USER3','SERVICE_NAME3','form3')" >
      <input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-default" onClick="clear_input('SERVICE_USER3','SERVICE_NAME3','form3')" >
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_cus_name"]?></td>
    <td>
        <input type="text" name="CUSTOMER_NAME" class="text" size="20" maxlength="20">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_query_cus_type"]?></td>
    <td>
		<select name="CUSTOMER_TYPE" class="select-customer-type" width="150px">
			<option value='0' ><?=$_lang["customer_cus_belong"]?></option>
			<?=show_info(4)?>
		</select>
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_phone"]?></td>
    <td>
        <input type="text" name="TEL_NO" size="20" maxlength="20" check="/\D-\D*/" >&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_fax"]?></td>
    <td>
        <input type="text" name="FAX_NO"  size="20" maxlength="20" check="/\D-\D*/">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_cust_directory"]?></td>
    <td>
        <table>
            <tr>
              <td>
                <select name='PROVINCE' data-container="body" class="select-area" id='province' onChange="selectcity11(this.value);" data-height="30px" data-width="72px">
                <?
                $row1  = $customerObj->getDataOne('province','*',"proID='".$row["PROVINCE"]."'");
                  echo "<option value='' selected>".$_lang["customer_crm_chose_prov_3"]."</option>";
                  $list  = $customerObj->getData('province','*',"proID !='".$row["PROVINCE"]."' ORDER BY proID");
                  foreach($list as $row2)
                  {
                      $ProName = $row2["proName"];
                      $proID   = $row2["proID"];
                      ?>
                    <OPTION value="<?=$proID?>" style="text-align:left"><?=$ProName?></OPTION>
                  <?
                  }
                  ?>
                </select>
              </td>
              <td>
                <span id='showcity' style="display:block">
                <select name='cityId' data-container="body" class="select-area" id='cityId' data-height="30px" data-width="75px">
                  <?
                  if(!$row["PROVINCE"] || !$row["CITY"]) {
                    echo "<option value='' selected>".$_lang["customer_crm_chose_city"]."</option>";
                  }
                  else
                  {
                    $list  = $customerObj->getData('city','*',"proID='".$row["PROVINCE"]."'");
                    foreach($list as $row3){
                      if($row3["cityId"] != $row["CITY"]) {
                        echo "<option value=".$row3["cityId"].">".$row3["cityName"]."</option>";
                      }
                      else
                      {
                        ?>
                        <OPTION  value=<?=$row["CITY"]?> selected><?=$row3["cityName"]?></OPTION>
                        <?
                      }
                    }
                  }
                  ?>
                </select>
                </span>
              </td>
            </tr>
          </table>
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_website"]?></td>
    <td>
        <input type="text" name="CUSTOMER_WWW" size="20" maxlength="20" check="/w[3].*.*/">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_linkman_emaill"]?></td>
    <td>
        <input type="text" name="EMAIL" size="20" maxlength="20" check="/@×.×/" >&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_address"]?></td>
    <td>
        <input type="text" name="CUSTOMER_ADD" size="20" maxlength="20">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_zipcode"]?></td>
    <td>
        <input type="text" name="POSTALCODE" size="20" maxlength="20">&nbsp;
    </td>
   </tr>
	<tr>
		<td colspan='2'>
			<?=$OtherFieldArray['Page']?>
		</td>
	</tr>
  </table>
</form>
<script type="text/javascript">
$(function() {
	$(".library_date,.customDate").datepicker();
	$(".select-customer-type").selectpicker({
		width:"150px",
		height:"28px",
        size:6
	});

    $(".select-area").selectpicker({
        size:6
    });

	$(".title").css({
		"width":"100px",
		"padding-right":"20px",
		"text-align":"right"
	});
});


function clear_input(id,name,form){
    $("#"+id).val("");
    $("#"+name).val("");
}

function selectcity11(proID) {
  if(proID!="") {
    $("#showcity").css("display","block");
    var url  = "/general/crm/customer/selectcity.php";
    $.ajax({
      type:'POST',
      data:'proID='+proID+'&fromAjax=1',
      url:url,
      success : function(resp)
      {
        $("#showcity").html(resp);
      }
    });
  } else {
    $("#showcity").css("display","none");
  }
}

function selectcity(proID) {
  if(proID!="") {
    $("#showcity").css("display","block");
    var url  = "/general/crm/customer/selectcity.php";
    $.ajax({
      type:'POST',
      data:'proID='+proID+'&fromAjax=1',
      url:url,
      success : function(resp)
      {
        $("#showcity").html(resp);
      }
    });
  }else {
    $("#showcity").css("display","none");
  }
}
</script>