<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户编辑页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/edit.php
 * @version       38
 * @author        Qu|www.weaver.com.cn
 * @date          2012-06-05
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/field_set.class.php");
include_once("api/customer.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

$op=$_REQUEST['op'];
if (!$op) {
	$op="update_customer";
}

$customer      = new customer();
$OtherFieldObj = new PageFactory();

if($_REQUEST['CUSTOMER_ID'])
{
	if(!is_numeric($_REQUEST['CUSTOMER_ID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}
$validates = $customer->getCostomerValidate();
//客户经理以及客户经理是否为当前登录人的默认下级

if(!$customer->get_customer_preview($_REQUEST['CUSTOMER_ID'])) {
	Message("",$_lang["customer_no_this_purview"]);
	exit;
}

//禁止编辑字段
$disEditFieldsArray = $customer->getDisEditFields(1, $_SESSION["LOGIN_USER_ID"]);
$disEditFields = array();
$disEditCustomFields = '';
if (!empty($disEditFieldsArray)) {
	$disEditFields = array_filter(explode(',', $disEditFieldsArray['PURVIEW_FIELDS']));
	foreach ($disEditFields as $v) {
		if (strpos($v, 'CUSTOMER_SET_') !== false) {
			$disEditCustomFields .= str_replace('CUSTOMER_SET_', 'FS_CONTENT_', $v).',';
		}
	}

	if (!empty($disEditCustomFields)) {
		$disEditCustomFields = "'".rtrim($disEditCustomFields, ',')."'";
	}
}

//CreatePage 第三个参数如果为空时，按显示页面生成界面。
$OtherFieldArray = $OtherFieldObj->CreatePage('CUSTOMER',$_REQUEST['CUSTOMER_ID'],'CUSTOMER_ID','form1','edit');
$row = $customer->getCustomer($_REQUEST["CUSTOMER_ID"]);
if(!$row) {
	die($_lang["customer_crm_linkdata_war"]);
}

$MANAGE_USER = $row['MANAGE_USER'];
if ($MANAGE_USER != ""){
	$rowus = $customer->getDataOne('user','USER_ID,USER_NAME',"USER_ID='".$MANAGE_USER."'");
	$MANAGE_NAME = $rowus['USER_NAME'];
	$MANAGE_USER = $rowus['USER_ID'];
}
else
{
	$MANAGE_NAME = $_SESSION['LOGIN_USER_NAME'];
	$MANAGE_USER = $_SESSION['LOGIN_USER_ID'];
}

if ($row['SERVICE_USER'] != ""){
	$rows = $customer->getDataOne('user','USER_ID,USER_NAME',"USER_ID='".$row['SERVICE_USER']."'");
	$SERVICE_NAME = $rows['USER_NAME'];
	$SERVICE_USER = $rows['USER_ID'];
}

//查询部门
if($row['PURVIEW_DEPT'] == 'ALL_DEPT'){
	$row2 = $customer->getDataOne('department','DEPT_ID, DEPT_NAME');
	foreach($list as $row2){
		$dept_id2  .= $row2[0].',';
		$dept_name .= $row2[1].",";
	}
	$dept_id	= "ALL_DEPT";
	$dept_name	= $_lang["customer_crm_dept_all"];
}
else
{
	$dept_array	= explode(",", $row["PURVIEW_DEPT"]);
	array_pop($dept_array);
	for($i=0; $i<sizeof($dept_array); $i++){
		$row2 = $customer->getDataOne('department','DEPT_NAME',"DEPT_ID=".$dept_array[$i]);
		if($row2){
			$dept_name	.= $row2[0].",";
		}
	}
	$dept_id	= $row['PURVIEW_DEPT'];
}

//查询角色
$role_array	= explode(",", $row["PURVIEW_ROLE"]);
array_pop($role_array);
for($j=0; $j<sizeof($role_array); $j++){
	$row3 = $customer->getDataOne('user_priv','PRIV_NAME',"USER_PRIV=".$role_array[$j]);
	if($row3){
		$priv_name	.= $row3[0].",";
	}
}

//查询人员
$user_array	= explode(",", $row["PURVIEW_USER"]);
array_pop($user_array);
for($k=0; $k<sizeof($user_array); $k++){
	$row4 = $customer->getDataOne('user','USER_NAME',"USER_ID='".$user_array[$k]."'");
	if($row4){
		$personnel	.= $row4[0].",";
	}
}

//为防止JS语法错误,给每次初始赋个值
if($row["PROVINCE"] == "") {
	$provinces	= "fka";
} else {
	$provinces	= $row["PROVINCE"];
}
if(!$row["CITY"] === NULL)
	$citys	= "asdf";
else
	$citys	= $row["CITY"];

//查询最新的客户编号
$row2 = $customer->getDataOne('customer','CUSTOMER_NUMBER',"1 ORDER BY CUSTOMER_ID DESC LIMIT 1");
if($row2){
	$customer_number	= $row2[0];
}

$PAGE_TITLE = $_lang["customer_crm_cus_edit"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script language="javascript" src="/inc/common.js" ></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script language=javascript src="/inc/field_add/field_add.js"></script>

<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">


<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />

<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>

<link href="/newplugins/css/style.css" rel="stylesheet" />
<style type="text/css">

	html body{
		overflow: hidden;
	}

	#xx:link{color:#FF0000;}
	#layer{
		position:absolute;
		z-index:10;
		background-color:#fff;
		display:none;
	}
	#layer_head{
		height:25px;
		padding-top:5px;
		padding-left:13px;
		padding-right:3px;
		background-color:#E8E8E8;
		border-bottom:1px solid #ccc;
	}
	#layer_head h5{
		overflow:hidden;
		color:#626262;
		float:left;
		width:150px;
	}
	#layer_head img{
		float:right;
	}
	#layer_list{
		overflow-y:auto;
	}
	.layer_item{
		height:28px;
		margin:2px;

		width:175px;
		white-space:nowrap;
	   word-break:keep-all;
	   overflow:hidden;
	   text-overflow:ellipsis;
	}

	.priviledge{
		height: 70px;
		line-height: 50px;
		vertical-align: middle;

	}
	a{
		cursor: pointer;
	}
	.priv-name{width:80px;display:inline-block;}
	.set_field{display:none;}
	.apply{margin-right:5px;cursor:pointer;}
	.apply .fa{font-size:16px;}
	.share .fa{color:#BABABA;}
	.service .fa{color:#6DA7F2;}
	.manager .fa{color:#FFAB6F;}
</style>

<script>
function display_customer()
{
	var CUSTOMER_NAME=$("#CUSTOMER_NAME").val();
	if (CUSTOMER_NAME!="") {
		$("#CUSTOMER_NAME").attr("class","");
	}else{
		$("#CUSTOMER_NAME").attr("class","require");
	}
}

function display_manager(){
	var CUSTOMER_NAME=$("#MANAGE_NAME").val();
	if (CUSTOMER_NAME!="") {
		$("#MANAGE_NAME").attr("class","");
	}else{
		$("#MANAGE_NAME").attr("class","require");
	}
}

function selectcity(proID) {
	if(proID!="") {
		$("#showcity").css("display","block");
		var url  = "/general/crm/customer/selectcity.php";
		$.ajax({
			type:'POST',
			data:'proID='+proID,
			url:url,
			success : function(resp)
			{
				$("#showcity").html(resp);
			}
		});
	} else {
		$("#showcity").css("display","none");
	}
}
var customer_exist = "";
//表单验证
var check_notify;
function checkform()
{
	var manage_user   = document.form1.MANAGE_NAME;
	var customer_name = document.form1.CUSTOMER_NAME;
	var returnValue     = true;

	if(manage_user.value == "")
	{
		$.pnotify({
			text:"<?=$_lang["customer_crm_man_not"]?>",
			type:"error"
		});
		return false;
	}

	if(customer_name.value == "" || customer_name.value.substr(0, 1) == " ")
	{
		$.pnotify({
			text:"<?=$_lang["customer_crm_name_alert"]?>",
			type:"error"
		});
		return false;
	}

	var old_name = $("#OLD_CUSTOMER_NAME").val();
	if(old_name!=customer_name.value){
		if(check_customer(customer_name.value) == 1) {
			$.pnotify({
				text:"<?=$_lang["customer_duplicate_name"]?>",
				type:"error"
			});
			return false;
		}
	}

	var customer_no	=	$("#customer_no").val();
	if(typeof(customer_no)!='undefined'&&customer_no!=''){
		var pattern 	= 	"^[A-Za-z]+[0-9-]+[A-Za-z0-9-]*$";
		var re			= 	new RegExp(pattern, "i");
		var match = customer_no.match(re);
		if (match != null) {
			var repeat = 0;
		    $.ajax({
		    	type:"post",
		    	url:"customer_do.php",
		    	async: false,
		    	data:'op=check_customer_no&CUSTOMER_NO='+customer_no+'&CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>',
		    	success:function(data){
		    		repeat = data;
		    	}
		    });
    		if (repeat==1) {
				$.pnotify({
					text:"<?=$_lang["customer_duplicate_customer_number"]?>",
					type:"error"
				})
				return false;
    		}
		} else {
			$.pnotify({
				text:"<?=$_lang["customer_customer_number_type"]?>",
				type:"error"
			})
			$("#customer_no").val('');
			return false;
		}
	}

	var field_validate = 0;
	$(".set_field").each(function() {  //获取所有input框的name值
		if($(this).attr("checked") == "checked"){
			var field_name = $(this).attr("data");
			var field_value = $("input[name='"+field_name+"']").val();
			if(typeof field_value=='undefined'){
				if(field_name=='LEGOL_PERSON_INFO'){
					var field_value = UE.getEditor('LEGOL_PERSON_INFO').getContent();
				}else{
					var field_value = $("select[name='"+field_name+"']").val();
				}

			}
			if(field_value==''||typeof field_value=='undefined'||field_value==0){
				var prompt = $(this).attr("prompt");
				$.pnotify({
					text:prompt+"<?=$_lang["customer_must_write"]?>",
					type:"error"
				});
				field_validate = 1;
				return false;
			}
		}
	});

	if(field_validate==1){
		return false;
	}

	var is_error = 0;
	$(".form-error").each(function(){
		var res = $(this).val();
    	if(res==1){
 			$.pnotify({
				text:"<?=$_lang['customer_duplicate_customer_number']?>",
				type:"error",
				animate_speed:"fast",
				history:false,
				delay:"1500"
			})
			is_error = 1;
			return false;
    	}
  	});


	if('<?=$OtherFieldArray["MustInput"]?>'!="") {
        returnValue = checkMustInput('<?=$OtherFieldArray["MustInput"]?>');
	}

	if(returnValue&&is_error!=1) {
        document.form1.submit();
	}
}

function show_child()
{
	var customer_name	= document.form1.CUSTOMER_NAME.value;
	var s_url			= document.getElementById('s_url');
	s_url.style.display	= "";
	s_url.src			= "search_result.php?customer_name=" + customer_name + "&show=1";
}

//检查是否有重名的客户
function check_customer(customer_name,submit_status)
{
	var url            = "check_customer.php";
	var duplicate_name = $("#duplicate_name");
	var customer_name  = $("#CUSTOMER_NAME");

	$.ajax({
		type:'POST',
		data:'CUSTOMER_NAME='+encodeURIComponent(customer_name.val())+'&show=1&CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>',
		url:url,
		success:function(requ) {
			if(parseInt(requ))
			{
				$("#duplicate_name").css("display","block");
				customer_exist = 1;
				return 1;
			}
			else
			{
				$("#duplicate_name").css("display",'none');
				customer_exist = 0;
				if(submit_status)
				{
					if( checkform())
					{
						document.form1.submit();
					}
				}
				return 0;
			}
		}
	})
	return customer_exist;
}


function show_child()
{
	var customer_name	= document.form1.CUSTOMER_NAME.value;
	var s_url			= document.getElementById('s_url');
	var advert			= document.getElementById('advert');
	s_url.style.display	= "";
	advert.style.display= "";
	s_url.src			= "search_result.php?customer_name=" + customer_name + "&show=1";
}


function clearTc(id,name){
	document.getElementById(id).value="";
	var objName = document.getElementById(name).value="";
}

function showexistcustomer(customer_name,divid) {
}


$(document).ready(function() {
	$("#CUSTOMER_NAME").keyup(function() {
		check_customer($("#CUSTOMER_NAME").val());
	});
});

function closediv()
{
	var Divobj = document.getElementById("existcustomername");
	Divobj.style.display = "none";
}
function customer_detail(customer_id)
{
	var url	= "detail.php?CUSTOMER_ID="+customer_id;
	window.open(url,"","height=650,width=900,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=30,left=30,resizable=yes");
}

function close_edit(){
	if ("<?=$op?>"=="update_customer") {
		window.close();
	}else{
		location="export_import.php";
	}
}
</script>
<body>
<div class="lazy_header">
	<span class="lazy-page-title"><i class="fa fa-file-text"></i><span class="tip"><?=$_lang["customer_crm_cus_edit"]?></span></span>
        <button class="btn btn-default" onclick="close_edit();"> <?=$_lang["common_close"]?> </button>
        <button class="btn btn-primary" onclick="checkform();"> <?=$_lang["common_submit"]?> </button>
</div>
<form action="/general/crm/customer/index.do.php?op=<?=$op?>"  method="post" name="form1" id="form1" class="form_table">
<div class="main_wrap">
<input name="CUSTOMER_ID" type="hidden" value="<?=$_REQUEST["CUSTOMER_ID"]?>">
<input name="edit_type" type="hidden" value="<?=$_REQUEST["edit_type"]?>">
<input name="cur_page" type="hidden" value="<?=$_REQUEST["cur_page"]?>">
<input name="LIST_CUSTOMER_NAME" type="hidden" value="<?=$_REQUEST["CUSTOMER_NAME"]?>">
<!--
<input name="TEL_NO" type="hidden" value="<?=$_REQUEST["TEL_NO"]?>">
<input name="FAX_NO" type="hidden" value="<?=$_REQUEST["FAX_NO"]?>">
<input name="CUSTOMER_WWW" type="hidden" value="<?=$_REQUEST["CUSTOMER_WWW"]?>">
<input name="EMAIL" type="hidden" value="<?=$_REQUEST["EMAIL"]?>">
<input name="CUSTOMER_ADD" type="hidden" value="<?=$_REQUEST["CUSTOMER_ADD"]?>">
<input name="POSTALCODE" type="hidden" value="<?=$_REQUEST["POSTALCODE"]?>">-->
<input name="MEMO" type="hidden" value="<?=$_REQUEST["MEMO"]?>">
<input name="cur_page" type="hidden" value="<?=$_REQUEST["cur_page"]?>">
<input name="edit_type" type="hidden" value="<?=$_REQUEST["edit_type"]?>">
<input type="hidden" name="OLD_MANAGE_USER" value="<?=$MANAGE_USER?>">
<input type="hidden" id="OLD_CUSTOMER_NAME" name="OLD_CUSTOMER_NAME" value="<?=$row["CUSTOMER_NAME"]?>">
<input type="hidden" name="OLD_TEL_NO" value="<?=$TEL_NO?>">

<table border="0" cellspacing="1" width="100%"  style="min-width:1000px;"cellpadding="3" align="center" class="form_table">
	<tr>
		<td class="title"><?=$_lang["customer_cus_name"]?></td>
	    <td>
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<input type="text" name="CUSTOMER_NAME" onKeyUp="javascript:display_customer()" id='CUSTOMER_NAME' value="<?=$row["CUSTOMER_NAME"]?>" class="require" style="width:200px;" maxlength="100" <?if(in_array('CUSTOMER_NAME', $disEditFields)){?>readonly<?}?> >
					</td>
					<td><span name="user_show" id="user_show"></span></td>
					<td>
						<div id="similardiv" style="z-index:99;position:absolute;display:none;">
							<div class="lazy_header">
								<span class="lazy-list-title">
									<i class="fa fa-list-title"></i>
									<span class="tip" style="cursor:pointer;"><?=$_lang["customer_simalar_customer"]?></span>
								</span>
								<div style="float:right;" type='button' id="close" class="btn btn-default"><?=$_lang["common_close"]?>
								</div>
							</div>
							<div id="customerDiv">

							</div>
						</div>
					</td>
				</tr>
			</table>
	    </td>
		<td class="title"><?=$_lang["customer_crm_cont_creat"] ?></td>
		<td style="width:27%">
			<span><?=getUserNameNew($row['CREATEOR'])?></span>
		</td>
	</tr>
	<!--客户经理和客户编号 -->
   <tr>
    <td class="title"><?=$_lang["customer_query_cus_man"]?></td>
	<td>
		<input type="text" value="<?=$MANAGE_NAME?>" id='MANAGE_NAME' name="MANAGE_NAME" class="require" style="width:150px;" readonly>
		<input type="button" class="btn btn-primary" value="<?=$_lang["common_choose"]?>" onClick="LoadWindowUserSingle('MANAGE_USER', 'MANAGE_NAME','form1');display_manager();"  name="button" <?if(in_array('MANAGE_USER', $disEditFields)){?>disabled="disabled" <?}?> >
		<input type="hidden" name="MANAGE_USER" id="MANAGE_USER" value="<?=$MANAGE_USER?>">
	</td>
    <td class="title"><?=$_lang["customer_cus_unm"]?></td>
    <td>
        <input type="text" name="customer_no" <?if($validates['customer_no']==1){?>class="require"<?}?>  onchange="javascript:display3();" id='customer_no' value="<?=$row["CUSTOMER_NUMBER"]?>" style="width:200px;" value="<?=$_REQUEST['customer_no']?>" <?if(in_array('CUSTOMER_NUMBER', $disEditFields)){?>readonly<?}?> >&nbsp;<br/><span style="color:#FF0000;font:bold;" name="display3" id="display3"></span>
        <input type="checkbox" data="customer_no" class="set_field" <?if($validates['customer_no']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_cus_unm"]?>" />
    	<input type="hidden" id="customer_no_error" class="form-error" value="0" />
    </td>
   </tr>
   <!--客户状态/地区 -->
   <tr>
	<td class="title"><?=$_lang["customer_service_manage"]?></td>
	<td align="left">
		<input type="text" id="SERVICE_NAME" name="SERVICE_NAME" <?if($validates['SERVICE_NAME']==1){?>class="require"<?}?> value="<?=$SERVICE_NAME?>" style="width:152px;" readonly>
		<input type="hidden" name="SERVICE_USER" id="SERVICE_USER" value="<?=$SERVICE_USER?>">
		<input type="button" class="btn btn-primary" onClick="LoadWindowUserSingle( 'SERVICE_USER', 'SERVICE_NAME','form1');" value="<?=$_lang["common_add"]?>" <?if(in_array('SERVICE_USER', $disEditFields)){?>disabled="disabled" <?}?> />
		<input type="checkbox" data="SERVICE_NAME" class="set_field" <?if($validates['SERVICE_NAME']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_service_manage"]?>" />
	</td>
	<td class="title"><?=$_lang["customer_cust_directory"]?></td>
	<!-- 修改为地区 -->
    <td>
    	<table>
				<tr>
					<td>
						<select <?if($validates['province']==1){?>class="require"<?}?> name='province' id='province' onChange="selectcity(this.value);" data-height="30px" data-width="97px" <?if(in_array('AREA', $disEditFields)){?>disabled="disabled"<?}?> >
						<?
						$row1 = $customer->getDataOne('province','*',"proID='".$row["PROVINCE"]."'");
						if(!$row1["proName"]) {
							echo "<option value='' selected>".$_lang["customer_crm_chose_prov_3"]."</option>";
						} else {
						?>
							<OPTION value=<?=$row1["proID"] ?> selected><?=$row1["proName"]?></OPTION>
						<?
						}

					    $list = $customer->getData('province','*',"proID !='".$row["PROVINCE"]."' ORDER BY proID");
					    foreach ($list as $row2)
					    {
					  	    $ProName = $row2["proName"];
					  	    $proID   = $row2["proID"];
					  	    ?>
						    <OPTION value="<?=$proID?>"><?=$ProName?></OPTION>
					    <?
					    }
					    ?>
						</select>
						<input type="checkbox" data="province" class="set_field" <?if($validates['province']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_cust_directory"]?>" />
						<?if(in_array('AREA', $disEditFields)){?>
						 	<input type="hidden" name='province' value="<?=$row["PROVINCE"]?>" />
						<?}?>
					</td>
					<td>
						<span id='showcity' name='showcity'>
						<select name='cityId' id='cityId' data-height="30px" data-width="100px" <?if(in_array('AREA', $disEditFields)){?>disabled="disabled"<?}?> >
							<?
							if(!$row["PROVINCE"]) {
								echo "<option value='' selected>".$_lang["customer_crm_chose_city"]."</option>";
							}else{
								if(!$row["CITY"]) {
									echo "<option>".$_lang["customer_crm_chose_city"]."</option>";
								}
								$list = $customer->getData('city','*',"proID='".$row["PROVINCE"]."'");
								foreach($list as $row3){
									if($row3["cityId"] != $row["CITY"]) {
										echo "<option value=".$row3["cityId"].">".$row3["cityName"]."</option>";
									}
									elseif ($row3["cityId"] == $row["CITY"])
									{
								    ?>
										<OPTION  value=<?=$row["CITY"]?> selected><?=$row3["cityName"]?></OPTION>
								    <?
									}
								}
							}

							?>
						</select>
						<?if(in_array('AREA', $disEditFields)){?>
						 	<input type="hidden" name='cityId' value="<?=$row["CITY"]?>" />
						<?}?>
						</span>
					</td>
				</tr>
			</table>
    </td>
   </tr>
   <!--客户类型和状态-->
   <tr>
		<td class="title"><?=$_lang["customer_query_cus_type"]?></td>
		<td>
		<select name="door_type" <?if($validates['door_type']==1){?>class="require"<?}?>  data-height="30px" data-width="200px" <?if(in_array('CUSTOMER_TYPE', $disEditFields)){?>disabled="disabled"<?}?>>
			<option value='0' <? if($row["CUSTOMER_TYPE"] == 0) echo "selected";?>><?=$_lang["common_choose"]?></option>
			<?=get_info(4,$row["CUSTOMER_TYPE"],0)?>
		</select>
		<?if(in_array('CUSTOMER_TYPE', $disEditFields)){?>
		 	<input type="hidden" name='door_type' value="<?=$row["CUSTOMER_TYPE"]?>" />
		<?}?>
		<input type="checkbox" data="door_type" class="set_field" <?if($validates['door_type']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_query_cus_type"]?>" />
		</td>
		<td class="title"><?=$_lang["customer_customer_status"]?></td>
		<td>
			<select name="CUSTOMER_STATE" <?if($validates['CUSTOMER_STATE']==1){?>class="require"<?}?>  data-height="30px" data-width="200px" <?if(in_array('CUSTOMER_STATE', $disEditFields)){?>disabled="disabled"<?}?>>
				<option value='0' <? if($row["CUSTOMER_STATE"] == 0) echo "selected";?>><?=$_lang["common_choose"]?></option>
				<?=get_info(7,$row["CUSTOMER_STATE"],0)?>
			</select>
			<?if(in_array('CUSTOMER_STATE', $disEditFields)){?>
			 	<input type="hidden" name='CUSTOMER_STATE' value="<?=$row["CUSTOMER_STATE"]?>" />
			<?}?>
			<input type="checkbox" data="CUSTOMER_STATE" class="set_field" <?if($validates['CUSTOMER_STATE']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_customer_status"]?>" />
		</td>
   </tr>
   <!--属性和所在行业 -->
	<tr>
		<td class="title"><?=$_lang["customer_customer_attribute"] ?></td>
		<td>
		<select name="CUSTOMER_ATTRIBUTE"  <?if($validates['CUSTOMER_ATTRIBUTE']==1){?>class="require"<?}?> data-height="30px" data-width="200px" <?if(in_array('CUSTOMER_ATTRIBUTE', $disEditFields)){?>disabled="disabled"<?}?> >
			<option value='0' <? if($row["CUSTOMER_ATTRIBUTE"] == 0) echo "selected";?>><?=$_lang["common_choose"]?></option>
			<?=get_info(17,$row["CUSTOMER_ATTRIBUTE"],0)?>
		</select>
		<?if(in_array('CUSTOMER_ATTRIBUTE', $disEditFields)){?>
		 	<input type="hidden" name='CUSTOMER_ATTRIBUTE' value="<?=$row["CUSTOMER_ATTRIBUTE"]?>" />
		<?}?>
		<input type="checkbox" data="CUSTOMER_ATTRIBUTE" class="set_field" <?if($validates['CUSTOMER_ATTRIBUTE']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_customer_attribute"]?>" />
		</td>
		<td class="title"><?=$_lang["customer_industry"] ?></td>
		<td>
			<select name="CUSTOMER_INDUSTRY"  <?if($validates['CUSTOMER_INDUSTRY']==1){?>class="require"<?}?> data-height="30px" data-width="200px" <?if(in_array('CUSTOMER_INDUSTRY', $disEditFields)){?>disabled="disabled"<?}?> >
				<option value='0' <?if($row['CUSTOMER_INDUSTRY']==0) { echo "selected";}?>><?=$_lang["customer_ind0"]?></option>
				<?=get_info('27',$row["CUSTOMER_INDUSTRY"],0)?>
			</select>
			<?if(in_array('CUSTOMER_INDUSTRY', $disEditFields)){?>
			 	<input type="hidden" name='CUSTOMER_INDUSTRY' value="<?=$row["CUSTOMER_INDUSTRY"]?>" />
			<?}?>
			<input type="checkbox" data="CUSTOMER_INDUSTRY" class="set_field" <?if($validates['CUSTOMER_INDUSTRY']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_industry"]?>" />
		</td>
	</tr>
	<!--电话和传真 -->
   <tr>
    <td class="title"><?=$_lang["customer_linkman_comtel"]?></td>
    <td>
        <input type="text" name="TEL_NO" <?if($validates['TEL_NO']==1){?>class="require"<?}?>  value="<?=$row["TEL_NO"]?>" class="" style="width:200px;" maxlength="100" <?if(in_array('TEL_NO', $disEditFields)){?>readonly<?}?> >&nbsp;
        <input type="checkbox" data="TEL_NO" class="set_field" <?if($validates['TEL_NO']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_linkman_comtel"]?>" />
    </td>
	<td class="title"><?=$_lang["customer_FAX_NO"]?></td>
    <td>
        <input type="text" name="FAX_NO" <?if($validates['FAX_NO']==1){?>class="require"<?}?>  value="<?=$row['FAX_NO']?>" class="" style="width:200px;" maxlength="100" <?if(in_array('FAX_NO', $disEditFields)){?>readonly<?}?> >&nbsp;
        <input type="checkbox" data="FAX_NO" class="set_field" <?if($validates['FAX_NO']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_FAX_NO"]?>" />
    </td>
   </tr>
   <!--网址/企业法人 -->
   <tr>
    <td class="title"><?=$_lang["customer_CUSTOMER_WWW"]?></td>
    <td>
        <input type="text" name="CUSTOMER_WWW" <?if($validates['CUSTOMER_WWW']==1){?>class="require"<?}?>  value="<?=$row['CUSTOMER_WWW']?>" class="" style="width:200px;" maxlength="100" <?if(in_array('CUSTOMER_WWW', $disEditFields)){?>readonly<?}?>>&nbsp;
        <input type="checkbox" data="CUSTOMER_WWW" class="set_field" <?if($validates['CUSTOMER_WWW']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_CUSTOMER_WWW"]?>" />
    </td>
   	<td class="title"><?=$_lang["customer_legol_person"]?></td>
   	<td>
   		<input type="text" name="LEGOL_PERSON" <?if($validates['LEGOL_PERSON']==1){?>class="require"<?}?>  value="<?=$row['LE_PERSON']?>" class="" style="width:200px;" maxlength="20" <?if(in_array('LE_PERSON', $disEditFields)){?>readonly<?}?>>
   		<input type="checkbox" data="LEGOL_PERSON" class="set_field" <?if($validates['LEGOL_PERSON']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_legol_person"]?>" />
   	</td>
   </tr>
   <!--邮编和EMAIL -->
   <tr>
    <td class="title"><?=$_lang["customer_POSTALCODE"]?></td>
    <td>
        <input type="text" name="POSTALCODE" <?if($validates['POSTALCODE']==1){?>class="require"<?}?> value="<?=$row['POSTALCODE']?>" class="" style="width:200px;" maxlength="25" <?if(in_array('POSTALCODE', $disEditFields)){?>readonly<?}?>>&nbsp;
        <input type="checkbox" data="POSTALCODE" class="set_field" <?if($validates['POSTALCODE']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_POSTALCODE"]?>" />
    </td>
	<td class="title"><?=$_lang["customer_linkman_emaill"]?></td>
    <td>
        <input type="text" name="EMAIL" <?if($validates['EMAIL']==1){?>class="require"<?}?> value="<?=$row['EMAIL']?>" class="" style="width:200px;" maxlength="120" <?if(in_array('EMAIL', $disEditFields)){?>readonly<?}?>>&nbsp;
        <input type="checkbox" data="EMAIL" class="set_field" <?if($validates['EMAIL']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_linkman_emaill"]?>" />
    </td>
   </tr>
   <tr>
   	<td class="title"><?=$_lang["customer_CUSTOMER_ADD"]?></td>
    <td>
        <input type="text" name="CUSTOMER_ADD" <?if($validates['CUSTOMER_ADD']==1){?>class="require"<?}?> value="<?=$row['CUSTOMER_ADD']?>" style="width:200px;" maxlength="100" <?if(in_array('CUSTOMER_ADD', $disEditFields)){?>readonly<?}?>/>
        <input type="checkbox" data="CUSTOMER_ADD" class="set_field" <?if($validates['CUSTOMER_ADD']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_CUSTOMER_ADD"]?>" />
    </td>
    <td class="title"><?=$_lang["customer_bir_remind_notify"]?></td>
    <td>
        <input type="checkbox" class="birthday_remind_sms checkbox-style" name="BIRTHDAY_REMIND_SMS" <? if($row['BIRTHDAY_REMIND_SMS'] == 1){?> checked="checked" <?}?> value=1 <?if(in_array('BIRTHDAY_REMIND', $disEditFields)){?>disabled="disabled"<?}?> />&nbsp;<?=$_lang["customer_bir_remind_sms"]?>&nbsp;&nbsp;&nbsp;&nbsp;
		<?if(in_array('BIRTHDAY_REMIND', $disEditFields)){?>
		 	<input type="hidden" name='BIRTHDAY_REMIND_SMS' value="<?=$row['BIRTHDAY_REMIND_SMS']?>" />
		<?}?>
		<?if(ifSendMbSms()){?>
			<input type="checkbox" class="checkbox-style" name="BIRTHDAY_REMIND" <? if($row['BIRTHDAY_REMIND'] == 1){?> checked="checked" <?}?> value=1 <?if(in_array('BIRTHDAY_REMIND', $disEditFields)){?>disabled="disabled"<?}?> />&nbsp;<?=$_lang["customer_bir_remind_smstel"]?>&nbsp;&nbsp;&nbsp;&nbsp;
			<?if(in_array('BIRTHDAY_REMIND', $disEditFields)){?>
			 	<input type="hidden" name='BIRTHDAY_REMIND' value="<?=$row['BIRTHDAY_REMIND']?>" />
			<?}?>
		<?}?>
	</td>
   </tr>
	<!-- 客户来源/公司规模 -->
	<tr>
	    <td class="title"><?=$_lang["customer_crm_cus_state"]?></td>
	    <td>
	    	<select name="CUSTOMER_STATUS" <?if($validates['CUSTOMER_STATUS']==1){?>class="require"<?}?> data-height="30px" data-width="200px" <?if(in_array('CUSTOMER_STATUS', $disEditFields)){?>disabled="disabled"<?}?>>
				<option value='0' <? if($row["CUSTOMER_STATUS"] == 0) echo "selected";?>><?=$_lang["common_choose"]?></option>
				<?=get_info(6,$row["CUSTOMER_STATUS"],0)?>
			</select>
			<?if(in_array('CUSTOMER_STATUS', $disEditFields)){?>
			 	<input type="hidden" name='CUSTOMER_STATUS' value="<?=$row["CUSTOMER_STATUS"]?>" />
			<?}?>
			<input type="checkbox" data="CUSTOMER_STATUS" class="set_field" <?if($validates['CUSTOMER_STATUS']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_crm_cus_state"]?>" />
	    </td>
	    <td class="title"><?=$_lang["customer_cus_extent"]?></td>
	    <td>
			<select name="scale" <?if($validates['scale']==1){?>class="require"<?}?> data-height="30px" data-width="200px" <?if(in_array('SCALE', $disEditFields)){?>disabled="disabled"<?}?>>
				<option value='0' <? if($row["SCALE"] == 0) echo "selected";?>><?=$_lang["common_choose"]?></option>
				<?=get_info('5',$row["SCALE"],0)?>
			</select>
			<?if(in_array('SCALE', $disEditFields)){?>
			 	<input type="hidden" name='scale' value="<?=$row["SCALE"]?>" />
			<?}?>
			<input type="checkbox" data="scale" class="set_field" <?if($validates['scale']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_cus_extent"]?>" />
	    </td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_profit"] ?></td>
		<td>
			<input type="text" name="CUSTOMER_PROFIT" <?if($validates['CUSTOMER_PROFIT']==1){?>class="require"<?}?> value="<?=$row['CUSTOMER_PROFIT']?>" class="" style="width:200px;" maxlength="50" <?if(in_array('CUSTOMER_PROFIT', $disEditFields)){?>readonly<?}?>>&nbsp;
			<input type="checkbox" data="CUSTOMER_PROFIT" class="set_field" <?if($validates['CUSTOMER_PROFIT']==1){?>checkchecked="checked"ed<?}?> prompt="<?=$_lang["customer_profit"]?>" />
		</td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_legol_person_info"]?></td>
    	<td colspan="3">
			<textarea id="LEGOL_PERSON_INFO" name="LEGOL_PERSON_INFO" style="height:100px;width:90%;float:left;"><?=$row['PERSON_INFO']?></textarea <?if(in_array('PERSON_INFO', $disEditFields)){?>readonly<?}?>>
				<span id="content_require" style="padding-left:10px;float:left;height:140px;line-height:140px;">
					<?if($validates['LEGOL_PERSON_INFO']==1){?><i class='fa fa-exclamation fa-lg' style='color:red;'></i><?}?>
					<input type="checkbox" data="LEGOL_PERSON_INFO" class="set_field" <?if($validates['LEGOL_PERSON_INFO']==1){?>checked="checked"<?}?> prompt="<?=$_lang["customer_legol_person_info"]?>" />
				</span>
			<script type="text/javascript">
                    $(function(){
                        var op = '<?=$op?>';
                        if(op == 'update_import_customer'){
                            if($.browser.msie){
                                $('#LEGOL_PERSON_INFO').css('width','740px');
                                $('#edui1').css('width','740px');
                            }else{
                                $('#LEGOL_PERSON_INFO').css('width','705px');
                                $('#edui1').css('width','705px');
                            }
                        }else{
                            if($.browser.msie){
                                $('#LEGOL_PERSON_INFO').css('width','820px');
                                $('#edui1').css('width','820px');
                            }else{
                                $('#LEGOL_PERSON_INFO').css('width','791px');
                                $('#edui1').css('width','791px');
                            }
                        }
                    })

                    var paramInfo = {
			           zIndex:10,
			           autoHeightEnabled: false
			        }

                    var disEditFields = <?=json_encode($disEditFields)?>;
                    if (disEditFields.indexOf('PERSON_INFO') >= 0) {
                    	paramInfo.readonly = 'readonly';
                    }

		      		UE.getEditor('LEGOL_PERSON_INFO', paramInfo);
		    </script>
	    </td>
	</tr>
	<tr>
		<td class="title"><?=$_lang["customer_crm_pur_read"]?></td>
		<td>
			<span class="find_check_one">
			<input type="radio" class='radio checkbox-style' name="purview" id="set_scope" value="3" <? if($row["PURVIEW"] == "3" || $row["PURVIEW"] == "1") echo "checked";?> <?if(in_array('PURVIEW_DEPT', $disEditFields)&&in_array('PURVIEW_ROLE', $disEditFields)&&in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?> >&nbsp;<?=$_lang["customer_crm_pur_select_scope"]?>&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="radio" class='radio checkbox-style' name="purview" id="select_all" value="2" <? if($row["PURVIEW"] == "2") echo "checked";?> <?if(in_array('PURVIEW_DEPT', $disEditFields)&&in_array('PURVIEW_ROLE', $disEditFields)&&in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?> >&nbsp;<?=$_lang["customer_crm_pur_select_all"]?>
			<?if(in_array('PURVIEW_DEPT', $disEditFields)&&in_array('PURVIEW_ROLE', $disEditFields)&&in_array('PURVIEW_USER', $disEditFields)){?>
			 	<input type="hidden" name='purview' value="<?=$row["PURVIEW"]?>" />
			<?}?>
		</span>
		</td>
	</tr>
	<tr>
   <!-- 权限 -->
	<td class="title"></td>
    <td colspan="3">
		<div id="div1" name="div1" <? if($row["PURVIEW"] != "3" && $row["PURVIEW"] !="1") echo "style=\"display:none\"";?>>
			<div class="priviledge">
				<span class="priv-name"><?=$_lang["common_dept"]?></span>
				<input type="hidden" name="TO_ID" id="TO_ID" value="<?=$dept_id?>">
				<textarea cols='83' name='TO_NAME' rows='3' id="TO_NAME" wrap="yes" readonly style="overflow:auto"><?=$dept_name?></textarea>&nbsp;&nbsp;&nbsp;
				<button type="button" onClick="LoadWindowDept('TO_ID','TO_NAME','form1');" class="btn btn-primary" <?if(in_array('PURVIEW_DEPT', $disEditFields)){?>disabled="disabled"<?}?>><?=$_lang["common_add"]?></button>&nbsp;&nbsp;
				<button type="button" onClick="clearTc('TO_ID','TO_NAME');" class="btn btn-danger" <?if(in_array('PURVIEW_DEPT', $disEditFields)){?>disabled="disabled"<?}?>><?=$_lang["common_empty"]?></button>
			</div>
			<br>
			<div class="priviledge">
				<span class="priv-name"><?=$_lang["common_role"]?></span>
				<input type="hidden" name="USER_PRIV_ID" id="USER_PRIV_ID" value="<?=$row["PURVIEW_ROLE"]?>">
				<textarea cols='83' name='USER_PRIV_NAME' id="USER_PRIV_NAME" rows='3' wrap="yes" readonly style="overflow:auto"><?=$priv_name?></textarea>&nbsp;&nbsp;&nbsp;
				<button type="button" onClick="LoadCompatWindowPriv(event,'USER_PRIV_ID','USER_PRIV_NAME','form1');" class="btn btn-primary" <?if(in_array('PURVIEW_ROLE', $disEditFields)){?>disabled="disabled"<?}?>><?=$_lang["common_add"]?></button>&nbsp;&nbsp;
				<button type="button" onClick="clearTc('USER_PRIV_ID','USER_PRIV_NAME');" class="btn btn-danger" <?if(in_array('PURVIEW_ROLE', $disEditFields)){?>disabled="disabled"<?}?>><?=$_lang["common_empty"]?></button>
			</div>
			<br>
			<div class="priviledge">
				<span class="priv-name"><?=$_lang["common_user"]?></span>
				<input type="hidden" name="COPY_TO_ID" id="COPY_TO_ID" value="<?=$row["PURVIEW_USER"]?>">
				<textarea cols='83' name='COPY_TO_NAME' id="COPY_TO_NAME" rows="3" wrap="yes" readonly style="overflow:auto"><?=$personnel?></textarea>&nbsp;&nbsp;&nbsp;
				<button type="button" onClick="LoadWindowUser('COPY_TO_ID','COPY_TO_NAME','form1');" class="btn btn-primary" <?if(in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?>><?=$_lang["common_add"]?></button>&nbsp;&nbsp;
				<button type="button" onClick="clearTc('COPY_TO_ID','COPY_TO_NAME');" class="btn btn-danger" <?if(in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?>><?=$_lang["common_empty"]?></button>
			</div>
		</div>
	</td>
   </tr>
</table>
    <?=$OtherFieldArray['Page']?>
    <input type="hidden" name="proID" value="" id="proID">
</form>
<div id="existcustomername" style="width:auto;height:auto;position:absolute;background:#FFFFFF;cursor:hand;display:none;padding:1px;border:dashed 1px"></div>
<script>
var manage_n	    = document.getElementById('MANAGE_NAME');
var customer_n	    = document.getElementById('CUSTOMER_NAME');
var customer_no	    = document.getElementById('customer_no');
var show_display3	= document.getElementById('display3');

</script>

</div>
<div id="apply_reason" title="<?=$_lang["customer_apply_reason"]?>">
	<form name="form5" id="form5">
	<div style="text-align:center" width="100%">
		<table border="0">
			<tr style="border:none;">
				<td id="reason_td">
		  			<textarea id="reason" style="width:450px;height:80px;text-indent:8px;padding:2px;"  placeholder="<?=$_lang["customer_apply_write_reason"]?>"></textarea>
				</td>
			</tr>
			<tr>
				<td style="padding-left:350px;padding-top:6px;">
					<button type="button" class="btn btn-primary add_share" onclick="submit_reason()"><?=$_lang["customer_man_sure"]?></button>
					<button type="button" class="btn btn-default" onclick="close_reason()"><?=$_lang["common_cancel"]?></button>
				</td>
			</tr>
		</table>
	</div>
	<input type="hidden" id="customer_id_reason" />
	<input type="hidden" id="permission" />
	</form>
</div>
</body>
</html>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript">
	$("select").selectpicker();
	$('.checkbox-style').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});

	var disEditCustomFields = <?php echo !empty($disEditCustomFields)?$disEditCustomFields:'0';?>;

	if (disEditCustomFields) {
		disEditCustomFields = disEditCustomFields.split(',');
		var x;
		for (x in disEditCustomFields) {
			var input = disEditCustomFields[x];
			$("#"+input).attr("readonly", "readonly").removeAttr('onclick').removeClass('customDate');
		}
	}

	function similarCustomer(customername)
	{
		var url  = "/general/crm/customer/similarcustomer.php";
		var data = "op=checkcustomer&CUSTOMER_NAME="+encodeURIComponent(customername);
		$.ajax({
			url:url,
			type:'POST',
			data:data,
			success:function(resp)
			{
				if(resp)
				{
					if(resp>0 && resp <= 20)
					{
						$('#similardiv').css({'display':'block','border':'1px solid','background-color':'#ffffff','width':'500'});
						$('#customerDiv').LazyTable({
							column : [
							  {key:"CUSTOMER_NAME",title:"<?=$_lang["customer_cus_name"]?>",template:function(data) {
							  	 return "<a href='#' style='display: inline-block;width:140px;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;' title='"+data.CUSTOMER_NAME+"' onClick='window.open(\"/general/crm/customer/customer.php?CUSTOMER_ID="+data.CUSTOMER_ID+"\");'>"+data.CUSTOMER_NAME+"</a>";
							  }},
							  {key:"USER_NAME",title:"<?=$_lang["customer_query_cus_man"]?>",template:function(data) {
							  	 return "<span style='display: inline-block;width:80px;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;' title='"+data.USER_NAME+"'>"+data.USER_NAME+"</span>";
							  }},
							  {key:"CREATE_TIME",title:"<?=$_lang['common_create_time']?>"},
							  {title:"<?=$_lang["customer_application_permissions"]?>",template:function(data) {
							  	 return "<span class='apply share' title=<?=$_lang['customer_application_share']?> onclick='apply_func("+data.CUSTOMER_ID+",1)'><i class='fa fa-user'></i></span><span class='apply service' title=<?=$_lang['customer_application_service']?> onclick='apply_func("+data.CUSTOMER_ID+",2)'><i class='fa fa-user'></i></span><span class='apply manager' title=<?=$_lang['customer_application_manager']?> onclick='apply_func("+data.CUSTOMER_ID+",3)'><i class='fa fa-user'></i></span>";
							  }},
							  {key:"LATEST_RELATION_TIME",title:"<?=$_lang["customer_latest_record_time"]?>"}],
							dataSource : "/general/crm/customer/similarcustomer.php",
							page:false,
							param : {
								op:"getSimilarCustomer",
								CUSTOMER_NAME:customername
							}
						}).height('200').niceScroll();
					}
					else if (resp>20)
					{
						$('#similardiv').css({'display':'block','border':'1px solid','background-color':'#ffffff','width':'400'});
						$('#customerDiv').html("<div class='alert alert-danger'><?=$_lang["customer_muchmore_similar_note"]?></div>");
					}
				}
				else
				{
					var divshowStatus = $('#similardiv').css('display');
					if(divshowStatus == 'block')
					{
						$('#similardiv').css('display','none');
					}
				}
			}
		})
	}

$(function(){
	$("#apply_reason").dialog({
	    autoOpen: false,
	    width: 500,
	    modal: true,
	    dialogClass: "dialogClass",
	    resizable:false
	});

	var customer = $("#CUSTOMER_NAME");
    $("#CUSTOMER_NAME").keyup(function(e) {
    	if($.trim(customer.val()))
    	{
    		//check_customer($.trim(customer.val()));
			similarCustomer($.trim(customer.val()));
    	}

	}).focus(function() {
		var nameEdit = true;

        if (disEditFields.indexOf('CUSTOMER_NAME') >= 0) {
        	nameEdit = false;
        }

		if($.trim(customer.val()) && nameEdit)
		{
			//check_customer($.trim(customer.val()));
			similarCustomer($.trim(customer.val()));
		}
	});

	$("#close").click(function() {
		$('#similardiv').css('display','none');
	});

	/*$("#CUSTOMER_NAME").blur(function() {
		$('#similardiv').css('display','none');
	});*/

    $.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 3000;
    $.pnotify.defaults.addclass = "stack-topright";
    $.pnotify.defaults.animate_speed = 'fast';
    $.pnotify.defaults.type = "error";
    display_customer();
    display_manager();
    //=====================update by lizhijun=============================//
/*    $(".require").each(function(i,v){
        if($(this).val() != ""){
            $(this).removeClass("require");
        }
    })*/

    $(".customDate").datepicker({
            onClose:function(ui,data)
            {
                var fieldId = data.id.substr(11,data.id.length);
                fieldStr    = getFieldInfo('customer',fieldId);
                fieldInfo   = $.parseJSON(fieldStr);
                $.trim($(this).val()) != ""?$(this).removeClass("require"):(fieldInfo.F_PROPERTY == "1"?$(this).addClass("require"):"");
            }
    });
    //===================================================================//
    $('.form_table').css('min-width','1000px');

	$(".main_wrap").height($(window).height()-40).niceScroll();
        $(window).resize(function() {
            $(".main_wrap").height($(window).height()-40).niceScroll();
        });
	$(".find_check_one").on('ifChanged','.radio', function(event){
		var state = document.getElementById('select_all').checked
		var show = document.getElementById('div1');
		if(state==true){
			show.style.display='none';
		}else{
			show.style.display='';
		}
        $(":radio").iCheck('update');

        $(".main_wrap").height($(window).height()-40).niceScroll().resize();
	});
});


function apply_func(customer_id,permission){
	$("#customer_id_reason").val(customer_id);
	$("#permission").val(permission);
	$("#apply_reason").dialog("open");
}

function close_reason(){
	$("#apply_reason").dialog("close");
}

function submit_reason(){
	var select_customer = $("#customer_id_reason").val();
	var permission = $("#permission").val();
	var reason = $("#reason").val();

    $.ajax({
    	type:"post",
    	url:"/general/crm/permission/permission/index_do.php",
    	async: false,
    	data:'op=applicationPermissions&select_customer='+select_customer+'&permission='+permission+'&reason='+reason,
    	success:function(data){
			$("#apply_reason").dialog("close");
			$("#customer_id_reason").val('');
			$("#permission").val('');
			$("#reason").val('');
			if(data == 1){
				$.pnotify({
					text: "<?=$_lang['customer_application_success']?>",
			        type : "success",
				});
			}else if(data == 2){
				$.pnotify({
					text: "<?=$_lang['customer_some_have_application']?>",
			        type : "info",
				});
			}else if(data == 3){
				$.pnotify({
					text: "<?=$_lang['customer_have_application']?>",
			        type : "info",
				});
			}else if(data == -1){
				$.pnotify({
					text: "<?=$_lang['customer_you_have_power']?>",
			        type : "info",
				});
			}else{
				$.pnotify({
					text: "<?=$_lang['customer_application_fail']?>",
			        type : "error",
				});
			}
    	}
    });
}

</script>