<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      业务机会列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/operation.php
 * @version       18
 * @author        Qu|www.weaver.com.cn
 * @date          2013-02-17
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer,other");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('511,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}
$customer = new customer();
$manUids = $customer->get_userid_str();
$PAGE_TITLE = $_lang["customer_crm_cus_manage"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
	.ui-dialog .ui-dialog-titlebar-close {display: none; }
	.ui-dialog .ui-dialog-titlebar-close span { display: none; margin: 1px; }

	.dialogClass .ui-dialog .ui-dialog-titlebar { display: block; }
	.dialogClass .ui-dialog .ui-dialog-title { display: block; }

	#select_dialog a{
		color:white;
	}

	.lazy_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}

	.lazy_sub_header .bootstrap-select .btn-default {
	    color: #000000;
	    border: none;
	}

</style>
<body>
<div class="contact_list_main_wrap">
	<div class="lazy_header">
		<span class="customer_shaixuan"></span>
		<input type="button" id="export" class="btn btn-primary" value="<?=$_lang["common_out"]?>">
		<input type="button" id="new" class="btn btn-primary" value="<?=$_lang["common_in"]?>" onclick="location='import_export/index.php'" />
		<div class="business_search" style="float:right;margin:6px 5px 0 0;"></div>
	</div>
	<div class="customer_list_wrap"></div>
</div>
<div class="edit_dialog_index" style="display:none">
    <iframe style="width:100%;border:none;height:100%;" id="edit_dialog_index" ></iframe>
</div>
<? showUserGeneralDiv()?>
<div id="num_select_dialog" title="<?=$_lang['customer_man_output_num']?>">
	<form id="form2" name="form2" action="/general/crm/customer/import_export/export_do.php">
	    <table class="form_table" border="0">
	        <tr >
	            <td class="title" height="40">

		            <div style="float:left" class="select_num">
		            	<input type="radio" class="radio" id="export_all" name="EXPORT" checked value="0">&nbsp;<?=$_lang["customer_export_all"]?>&nbsp;&nbsp;&nbsp;
		            	<span class="export_first_thousand"><input type="radio" class="radio" id="export_first_thousand" name="EXPORT" value="1">&nbsp;<?=$_lang["customer_export_first_thousand"]?>&nbsp;&nbsp;&nbsp;</span>
		            	<span class="export_two_thousand"><input type="radio" class="radio" id="export_two_thousand" name="EXPORT" value="2">&nbsp;<?=$_lang["customer_export_two_thousand"]?>&nbsp;&nbsp;&nbsp;</span>
		            	<span class="custom"><input type="radio" class="radio" id="custom" name="EXPORT" value="3" />&nbsp;<?=$_lang["customer_export_custom_thousand"]?>&nbsp;</span>
						<span class="custom_num">
							<input type="text" id="COUNT1" name="COUNT1" size="4" class="text">
									&nbsp;<?=$_lang["customer_time_to"]?>&nbsp;
							<input type="text" id="COUNT2" name="COUNT2" class="text" size="4">
						</span>
					</div>
				</td>
	        </tr>
	        <tr style="border-top:1px solid lightgray;">
	            <td >
	            <a style="color:white;float:right" class="btn btn-default" onclick="close_dialog()"><?=$_lang["common_cancel"]?></a>
	            <a style="color:white;float:right;margin-right:10px;" class="btn btn-primary" onclick="export_data()"><?=$_lang["common_sure"]?></a>
	            </td>
	        </tr>
	    </table>
	    <input type="hidden" name="search_field" id="search_field">
	    <input type="hidden" name="search_str" id="search_str">
	    <input type="hidden" name="quick_sort" id="quick_sort">
	    <input type="hidden" name="where_query" id="where_query">
	    <input type="hidden" name="totalNum" id="totalNum">
	</form>
</div>

</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/imp_exp/imp_exp.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script language=javascript src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript">
var manUids = "<?=$manUids?>";
$('input').iCheck({
    checkboxClass : 'icheckbox_square-blue',
    radioClass : 'iradio_square-blue'
});

function ImportData(tableName,sort){
	window.location.href='/general/imp_exp/index.php?table_name='+tableName+'&sort_select='+sort;
}

function OutSystemData() {
	if($("#custom").attr("checked")) {
		var str =   /^\d*$/;
		if((!str.test($("#COUNT1").val()) || !str.test($("#COUNT2").val()))) {
			$.pnotify({
				text:"<?=$_lang["customer_mustbe_numbers"]?>",
				type:"info",
				animate_speed:"fast",
				delay:"1500",
				history:false
			});
			return false;
		}
		if($("#COUNT1").val()==''||$("#COUNT2").val()==''||$("#COUNT1").val()<=0 || $("#COUNT2").val()<=0||parseInt($("#COUNT1").val())>parseInt($("#COUNT2").val())) {
			$.pnotify({
				text:"<?=$_lang["customer_enter_correct_num"]?>",
				type:"info",
				animate_speed:"fast",
				delay:"1500",
				history:false
			});
			return false;
		}

		if (parseInt($("#COUNT2").val())>parseInt($("#totalNum").val()) || parseInt($("#COUNT1").val())>parseInt($("#totalNum").val())) {
			$.pnotify({
				text:"<?=$_lang['customer_man_totals']?>"+$("#totalNum").val()+"<?=$_lang['customer_man_out_record']?>",
				type:"info",
				animate_speed:"fast",
				delay:"1500",
				history:false
			});
			return false;
		}

		return true;
	}
}

function export_data(){
	var flag=OutSystemData();

	if (flag==false) {
		return false;
	}

	$("#num_select_dialog").dialog("close");
	$("#form2").submit();
}


function close_dialog(){
	$("#num_select_dialog").dialog("close");
}

function get_totalNum(){
	$.ajax({
		url: '/general/crm/customer/import_export/do.php',
		type: 'POST',
		data: {
			op: 'getTotalNum',
			search_field:$("#search_field").val(),
			search_str:$("#search_str").val(),
			quick_sort:$("#quick_sort").val(),
			where_query:$("#where_query").val()
		},
		success:function(data){
			if (data==0) {
				$(".export").css("display","none");
			}
			if (data>1000) {
				$("#totalNum").val(data);
				$(".custom").css("display","");
				$(".export_first_thousand").css("display","");
				$(".export_two_thousand").css("display","");
			}
		}
	});
}

$(function(){

	$(".custom_num").css("display","none");
	$(".custom").css("display","none");
	$(".export_first_thousand").css("display","none");
	$(".export_two_thousand").css("display","none");

	//get_totalNum();

	$(".select_num").on('ifChanged', '.radio', function(event) {
		if($("#custom").is(':checked')){
			$(".custom_num").css("display","");
		}else{
			$(".custom_num").css("display","none");
		}
	});

	$("#num_select_dialog").dialog({
	    autoOpen: false,
	      width: 700,
	      modal: true,
	      dialogClass: "dialogClass",
	});

	$("#export").click(function(event) {
		$("#num_select_dialog").dialog("open");
	});

	$(".edit_dialog_index").height($(window).height()).niceScroll();

	$(".customer_shaixuan").on('change', '.shaixuan', function(event) {
		$("#quick_sort").val($(".shaixuan").val());
		$("#search_field").val("");
		$("#search_str").val("");
		$("#where_query").val("");
        //==========清空其他查询条件==========================//
        $('.business_search').find(':text').val('');
        $('.business_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
        //==================================================//
		$(".customer_list_wrap").LazyTable("reload",{
			param:{
				quick_sort : $(".shaixuan").val(),
				search_field:"",
				search_str:"",
				where_query:"",
			},
			page : {
				currentPage:0
			}
		});

		//get_totalNum();
	});

	$.ajax({
		url:"index.do.php",
		data:{
			op : 'getShaixuanList',
		},
		success:function(result){
			var htmlStr = [];
			htmlStr.push('<select class="shaixuan selectpicker" data-width="130px" data-height="39px" id="shaixuan">');
			htmlStr.push('<option value="all"><?=$_lang["common_show_allinfo"]?></option>');
			if(result){
				var parsedData = $.parseJSON(result);
				htmlStr.push('<optgroup label="<?=$_lang["common_quicksort_other"]?>">');
				$.each(parsedData,function(key,value){
					if (value.GROUP_NAME=="common_quicksort_other") {
						htmlStr.push('<option value="' + value.OPTION_PARAM + '">'+value.OPTION_NAME+'</option>');
					}
				});
				htmlStr.push('</optgroup>');
			}else{
				htmlStr.push('<option value="all"><?=$_lang["common_show_allinfo"]?></option>');
			}
			htmlStr.push('</select>');
			$(".customer_shaixuan").html(htmlStr.join(''));
			$(".selectpicker").selectpicker('refresh');
		}
	});

	$(".business_search").LazySearch({
		tip : "<?=$_lang['customer_checks']?>",
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {
				$("#search_field").val(data.key);
				$("#search_str").val(value);
				$("#quick_sort").val("");
				$("#where_query").val("");
				//==========清空其他查询条件==========================//
                $(".shaixuan").val("0");
                $(".shaixuan").selectpicker('refresh');
                //===================================================//
				$(".customer_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						quick_sort:"",
						where_query:"",
					},
					page:{
						currentPage:0
					}
				});

				get_totalNum();
			},
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang['customer_customername_include']?>",
			},{
				key : "proName",
				title : "<?=$_lang['customer_man_province']?>",
			},{
				key : "cityName",
				title : "<?=$_lang['customer_man_city']?>",
			}],
		},
		onClearButtonClick:function(){
			$("#search_field").val("");
			$("#search_str").val("");
			$("#where_query").val("");
			$("#quick_sort").val("");

			$(".customer_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					quick_sort:"",
					where_query:"",
				},
				page:{
					currentPage:0
				}
			});

			get_totalNum();
		},
		advancedSearch : {
			onSearch : function(a,b) {
				//==========清空其他查询条件==========================//
                $(".shaixuan").val("0");
                $(".shaixuan").selectpicker('refresh');
                //===================================================//
				$.ajax({
					url: 'import_export/index_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form1').serialize(),
					success:function(data){
						$("#search_field").val("");
						$("#search_str").val("");
						$("#where_query").val(data);
						$("#quick_sort").val("");
						$(".customer_list_wrap").LazyTable("reload",{
							param:{
								where_query:data,
								search_field:"",
								search_str:"",
								quick_sort:"",
							},
							page:{
								currentPage:0
							}
						});

						get_totalNum();
					}
				});
			},
			items : "search.php",
		},
	});

	var user_id="<?=$_SESSION['LOGIN_USER_ID']?>";
	$(".customer_list_wrap").height($(window).height()-80).niceScroll();
	$(".customer_list_wrap").LazyTable({
		dataSource : "import_export/index_do.php",
		param : {
			op : "getList",
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if (user_id=='admin') {
					return true;
				}else{
					return false;
				}
			}
		}, {
			key : "CUSTOMER_NAME",
			title : "<?=$_lang["customer_cus_name"]?>",
			width:120,
		}, {
			key : "MANAGE_USER_NAME",
			title : "<?=$_lang["customer_query_cus_man"]?>",
		}, {
			key : "CUSTOMER_TYPE_NAME",
			title : "<?=$_lang["customer_query_cus_type"]?>"
		}, {
			key : "CREATE_TIME",
			title : "<?=$_lang['common_create_time']?>"
		}, {
			key : "TEL_NO",
			title : "<?=$_lang["customer_TEL_NO"]?>",
			width:120,
		}, {
			key : "FAX_NO",
			title : "<?=$_lang["customer_FAX_NO"]?>",
			width:120,
		}, {
			key : "proName",
			title : "<?=$_lang["customer_cus_province"]?>",
		}, {
			key : "cityName",
			title : "<?=$_lang["customer_cus_city"]?>",
		}],
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang['common_del_many']?>",
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].CUSTOMER_ID + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids=='') {
					$.pnotify({
				        text: "<?=$_lang["customer_choose_option_first"]?>",
				        type : "info",
				        speed:"fast",
				        history:false,
				        delay:"1500",
				    });
					return false;
				} else {
					bootbox.confirm("<?=$_lang['customer_sure_want_del']?>",function(result){
						if (result) {
							$.ajax({
								url: 'index.do.php',
								type: 'POST',
								data: {
									op:"batchDelete",
									customer_ids:ids
								},
								success:function(data)
								{
									if(data == '1') {
										$.pnotify({
									        text: "<?=$_lang["customer_delete_success"]?>",
									        type : "info",
									        speed:"fast",
									        history:false,
									        delay:"1500",
									    });
									} else {
										$.pnotify({
									        text: "<?=$_lang["common_deletefailed"]?>",
									        type : "info",
									        speed:"fast",
									        history:false,
									        delay:"1500",
									    });
									}

									$("#search_field").val("");
									$("#search_str").val("");
									$("#where_query").val("");
									$("#quick_sort").val("");
									$(".customer_list_wrap").LazyTable("reload",{
										param:{
											where_query:"",
											search_field:"",
											search_str:"",
											quick_sort:"",
										}
									});

									//get_totalNum();
								}
							});
						}
					});
				}
			}
		}],
		buttons : {
			buttonInfor : {
				"detail":{
					title:"<?=$_lang["common_detail"]?>",
					isDefault:true,
					func:function(data){
						customer_detail(data.CUSTOMER_ID);
					}
				},
				"edit":{
					title:"<?=$_lang["common_edit"]?>",
					func:function(data){
						location = "/general/crm/customer/edit.php?op=update_import_customer&CUSTOMER_ID="+data.CUSTOMER_ID;
					}
				},
				"delete":{
					title:"<?=$_lang['customer_man_del']?>",
					func:function(data){
						bootbox.confirm("<?=$_lang["common_del_alert"]?>",function(result){
							if (result) {
								$.ajax({
									url: 'index.do.php',
									type: 'POST',
									data: {
										CUSTOMER_ID: data.CUSTOMER_ID,
										op:"delete"
									},
									success:function(result){
                                        //==========清空其他查询条件==========================//
                                        $(".shaixuan").val("0");
                                        $(".shaixuan").selectpicker('refresh');
                                        $('.business_search').find(':text').val('');
                                        $('.business_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
                                        //==================================================//
										if (result=="fail") {
											$.pnotify({
										        text: "<?=$_lang["customer_no_this_purview"]?>",
										        type : "info",
										        delay:"1500",
										    });
										}else if (result=="success") {
											$.pnotify({
										        text: "<?=$_lang["common_deletesuccess"]?>",
										        type : "success",
										        delay:"1500",
										    });
										}
										$("#search_field").val("");
										$("#search_str").val("");
										$("#where_query").val("");
										$("#quick_sort").val("");
										$(".customer_list_wrap").LazyTable("reload",{
											param:{
												where_query:"",
												search_field:"",
												search_str:"",
												quick_sort:"",
											}
										});

										//get_totalNum();
									}
								});
							}
						});

					}
				},
			},
			filter:function(data){
				var filterArr = [];
				if (user_id==data.SERVICE_USER || user_id==data.MANAGE_USER || user_id==data.CREATEOR || manUids.indexOf(data.MANAGE_USER)>0) {
					filterArr = ["edit"];
				}
				if(user_id == 'admin'){
					filterArr.push('delete');
				}
				filterArr.push('detail');
				return filterArr;
			}
		},
		sort : {
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang["customer_cus_name"]?>",
			}, {
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_query_cus_man"]?>",
			}, {
				key : "CUSTOMER_TYPE",
				title : "<?=$_lang["customer_query_cus_type"]?>"
			}],
			onItemClick : function(key, sortType) {
				$(".customer_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortType,
					}
				},true);
			}
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });
            $(".customer_list_wrap").niceScroll().resize();
		}
	});

	$(".customer_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".customer_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update');
	});

	$(".customer_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
            if ($(".customer_list_wrap").find(".lazy_table_checkbox").filter(function() {
                return $(this).prop("checked") == false;
            }).length == 0) {
                $(".customer_list_wrap").find(".lazy_table_checkall").prop("checked", true);
            }
        } else {
            $(".customer_list_wrap").find(".lazy_table_checkall").prop("checked", false);
        }

        $(":checkbox").iCheck('update');
	});

});

function customer_detail(customer_id)
{
	var url	= "/general/crm/customer/customer.php?from=no_purview&CUSTOMER_ID="+customer_id;
	window.open(url,"","height=650,width=1000,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=30,left=30,resizable=yes");
}
</script>
