<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      新建项目
* @encoding      $_lang['encoding']
* @name          general/project/createproject
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");
includelangpak("customer,hr");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('511,')))
{
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>"/>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
<link rel="stylesheet" type="text/css" href="/general/project/css/project.css">
<link rel="stylesheet" type="text/css" href="/general/project/css/bwizard.min.css">
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG']?>.js"></script>
</head>
<style type="text/css">
    .main_wrap{
        border-bottom: 1px solid lightgray;
    }

    .a-upload {
        padding: 4px 10px 7px 10px;
        position: relative;
        cursor: pointer;
        background: #558ED5;
        overflow: hidden;
        font-size: 12px;
        color: white;
        overflow: hidden;
    }
     
    .a-upload  input {
        position: absolute;
        right: 0;
        top: 0;
        opacity: 0;
        filter: alpha(opacity=0);
        -moz-opacity:0;
        -khtml-opacity: 0;
        cursor: pointer;
    }
     
    .a-upload:hover {
        background: #104E8B;
        color: white;
    }
</style>
<body>
<div class="lazy_header">
    <span class="lazy-page-title"><i class="fa fa-list-alt"></i><span class="tip"><?=$_lang['customer_man_import']?></span></span>
    <button type="button" id="back" class="btn btn-default" onclick="location='/general/crm/customer/export_import.php'"><?=$_lang['customer_man_back']?></button>
	<button type="button" id="next_step" class="btn btn-primary" onclick="getData()"><?=$_lang['customer_man_submit']?></button>
</div>
<input type="hidden" id="stepshow" name="stepshow" value="1" />
<ul class="bwizard-steps clearfix clickable" align="center">
    <li class="active" style="z-index:4;"><span class="label badge-inverse">1</span>
        <?=$_lang['customer_man_import_doc']?>
    </li>
    <li style="z-index:3;"><span class="label">2</span>
        <?=$_lang['customer_man_scan']?>
    </li>
    <li style="z-index:2;"><span class="label">3</span>
        <?=$_lang['customer_man_other_select']?>
    </li>
    <li style="z-index:1;"><span class="label">4</span>
        <?=$_lang['customer_man_inport']?>
    </li>
</ul>
<div class="main_wrap" style="margin-top:10px;padding-left:10px;border-top:1px solid lightgray;">
    <table cellpadding="10" border="0">
        <tr>
            <td rowspan="4" valign="top" align="left"><?=$_lang['customer_man_remind']?></td>
            <td>
                1、<span style="color:red"><?=$_lang['customer_man_import_first']?></span>
            </td>
        </tr>
        <tr>
            <td>
                2、<?=$_lang['customer_man_download']?><a href="/general/imp_exp/export_do.php?table_name=customer"><?=$_lang['customer_man_customer_templet']?></a><?=$_lang['customer_man_intemplet']?>
            </td>
        </tr>
        <tr>
            <td>
            3、<?=$_lang['customer_man_in_templet']?><span style="color:red"><?=$_lang['customer_man_customer_name']?></span><?=$_lang['customer_man_must_input']?>
            </td>
        </tr>
        <tr>
            <td>
               4、 <?=$_lang['customer_man_not_repeat']?>
            </td>
        </tr>
    </table>
</div>
<form name="form_csv" id="form_csv" method="post" action="step2.php" enctype="multipart/form-data" > 
<div class="main_wrap" style="width:100%;padding-left:10px;padding-top:20px;">
    <table cellpadding="10" border="0">
        <tr>
            <td>
                 <?=$_lang['customer_man_import_doc']?>
            </td>
            <td>
                <input type="text" id="file_path" class="under_line" style="width:400px;" readonly disabled/>
                <span class="a-upload">
                    <input type="file" name="CSV_FILE" id="CSV_FILE"> <?=$_lang['customer_man_add_doc']?>
                </span>
            </td>
        </tr>
    </table>
</div>
</form>
</body>
</html>
<script type="text/javascript">
$(function(){
	$("#CSV_FILE").change(function(){
		$("#file_path").val($("#CSV_FILE").val());
	});        
});
</script>
<script type="text/javascript">
    var check_notify;
    function getData() {
        var csv = $("#CSV_FILE").val();

        if(csv!="") {
            var fileExt = csv.substr(csv.lastIndexOf("."));
            if (fileExt==".csv") {
                $("#form_csv").submit();
            }else{
                if(check_notify) {
                    check_notify.pnotify_remove();
                }
                check_notify = $.pnotify({
                    text:"<?=$_lang['customer_man_import_cvs']?>",
                    type:"info",
                    speed:"fast",
                    history:false,
                    delay:"1500"
                }).click(function(event) {
                    check_notify.pnotify_remove();
                });
            }            
        }else{
            if (check_notify) {
                check_notify.pnotify_remove();
            }
            check_notify = $.pnotify({
                text:"<?=$_lang['customer_man_select_doc']?>",
                type:"info",
                speed:"fast",
                history:false,
                delay:"1500"
            }).click(function(event) {
                check_notify.pnotify_remove();
            });
        }
    }
</script>
