<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户管理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/index.php
 * @version       24
 * @author        Qu|www.weaver.com.cn
 * @date          2012-04-20
 */
include_once("inc/auth.php");
include_once("general/system/combox/packaging.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer");
if(isset($_REQUEST['opt'])&&$_REQUEST['opt']=='sendSms'){
	if(ifSendMbSms()&&!empty($_REQUEST['userid']))
	{
		include_once("inc/mobile_sms.inc.php");
		$newSms = new MobileSms();
		$newSms->SelfSendMore($_REQUEST['userid'],$_REQUEST['msg']);
		echo 1;
	}else{
		echo 0;
	}
	exit;
}
$PAGE_TITLE = $_lang["customer_crm_cus_manage"];
include_once("inc/page_header.inc.php");
?>
	<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
	<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css"/>
	<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css"/>
	<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css"/>
	<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css"/>
	<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
	<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
	<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
	<style type="text/css">
		.ui-tooltip {border: 1px solid white;background: rgba(20, 20, 20, 1);color: white;}
		.customer_list_wrap {float: left;width: 520px;border-right: 1px solid #D9D9D9;}
		.customer_list {overflow: auto;padding:0 0px;}
		.lazy_select_wrap {float: left;}
		.customer_list_wrap .filter_wrap {float: left;}
		.customer_list_wrap .customer_search {float: right;}
		.customer_list_wrap .sort_wrap {float: right;}
		.customer_list_wrap .sort_wrap i {line-height: 35px;margin-right: 10px;color: #366092;}
		.badge {padding:2px 10px;margin-left:3px;}
		div.loader {font-style: italic;text-align: center;margin: 20px;height: 24px;/*background: url(loader.gif) no-repeat center center;*/}
		.detail_wrap {margin-left: 410px;}
		.customer_detail_infor_wrap {display: none;overflow: hidden;}
		.customer_search{margin:5px 3px;}
		.customer_list .lazy_table_table .lazy_table_tbody .lazy_table_tr td{padding: 0 0;}
		.lazy_header .bootstrap-select .btn-default {color: #000000;border: none;}
		.lazy_sub_header .bootstrap-select .btn-default { color: #000000; border: none;}
		.lazy_table_tr.lazy_table_tr_bg{ background: #D4D4D4}
		.lazy_table .lazy_table_tbody tr.lazy_table_tr_bg:hover {background: #D4D4D4;}
		.n_customer{width:400px;display:inline-block;overflow:hidden;position:relative;top:3px; text-overflow:ellipsis; white-space:nowrap;font-size:12px;}
		.n_create_man{max-width:250px;display:inline-block;overflow:hidden; text-overflow:ellipsis; font-size:12px;position:relative;top:5px;}
		.n_create_date{margin-left:20px; display:inline-block;font-size:12px;}
	</style>
	<body style="overflow-y:hidden;">
		<div class="customer_list_wrap" id="customer_list_wrap" style="overflow: hidden;">
			<div class="lazy_header">
				<span class="lazy-page-title"><i class="fa fa-bars"></i><span class="tip" onclick="location='index.php'" style="cursor:pointer"><?=$_lang["customer_list"]?></span></span>
				<div class="customer_search"></div>
				<input type="hidden" name="search_str_single" id="search_str_single"/>
				<input type="hidden" name="where_query" id="where_query"/>
				<input type="hidden" id="active_customer"/>
				<input type="hidden" id="active_index" value="-1"/>
				<input type="hidden" id="npage" value="-1"/>
			</div>
			<div class="lazy_sub_header">
				<div class="filter_wrap">
					<span class="customer_shaixuan"></span>
				</div>
				<span class="door_type">
					<select name="door_type" class="selectpicker customer_type" data-width="110px" data-height="34px" style="border:0px 0px 0px 0px;">
						<option value='0'><?=$_lang["customer_all_type"]?></option>
						<optgroup label="<?=$_lang["customer_query_cus_type"]?>">
							<?=show_info(4)?>
						</optgroup>
					</select>
				</span>
				<span class="filterOption">
					<select id="date_filter" name="date_filter" class="selectpicker" data-width="130px" data-height="34px" style="border:0px 0px 0px 0px;">
						<option value="0"><?=$_lang['customer_date_filter']?></option>
						<optgroup label="<?=$_lang['customer_man_remind_date']?>">
							<option value="nremind-1day"><?=$_lang['customer_man_remind_today']?></option>
							<option value="nremind-3day"><?=$_lang['customer_man_remind_3d']?></option>
							<option value="nremind-1week"><?=$_lang['customer_man_remind_1w']?></option>
							<option value="nremind-1month"><?=$_lang['customer_man_remind_1m']?></option>
						</optgroup>
						<optgroup label="<?=$_lang['customer_man_link_date']?>">
							<option value="ncontact-3day"><?=$_lang['customer_man_nlink_3d']?></option>
							<option value="ncontact-1week"><?=$_lang['customer_man_nlink_1w']?></option>
							<option value="ncontact-1month"><?=$_lang['customer_man_nlink_1m']?></option>
							<option value="ncontact-3month"><?=$_lang['customer_man_nlink_3m']?></option>
							<option value="ncontact-6month"><?=$_lang['customer_man_nlink_6m']?></option>
							<option value="ncontact-1year" style="border-bottom:1px solid #E5E5E5;"><?=$_lang['customer_man_nlink_1y']?></option>
							<option value="contact-1day"><?=$_lang['customer_man_link_today']?></option>
							<option value="contact-1week"><?=$_lang['customer_man_link_1w']?></option>
							<option value="contact-1month"><?=$_lang['customer_man_link_1m']?></option>
							<option value="contact-3month"><?=$_lang['customer_man_link_3m']?></option>
						</optgroup>
						<optgroup label="<?=$_lang['customer_man_create_date']?>">
							<option value="create-1day"><?=$_lang['customer_man_create_today']?></option>
							<option value="create-3day"><?=$_lang['customer_man_create_3d']?></option>
							<option value="create-1week"><?=$_lang['customer_man_create_1w']?></option>
							<option value="create-1month"><?=$_lang['customer_man_create_1m']?></option>
							<option value="create-3month"><?=$_lang['customer_man_create_3m']?></option>
						</optgroup>
					</select>
				</span>
				<span class="filterOption">
					<select id="other_filter" name="other_filter" class="selectpicker" data-width="130px" data-height="34px" style="border:0px 0px 0px 0px;">
						<option value="0"><?=$_lang['common_quicksort_other'].$_lang['common_oper_quicksort']?></option>
						<optgroup label="<?=$_lang['common_quicksort_other']?>">
							<option value="manage_user"><?=$_lang['common_customer_mgr']?></option>
							<option value="service_user"><?=$_lang['customer_service_user']?></option>
							<option value="create"><?=$_lang['common_created_login_user']?></option>
						</optgroup>
					</select>
				</span>
			</div>
			<div id="customer_list" class="customer_list" style="overflow: hidden;"></div>
		</div>
		<div class="detail_wrap" id="detail_wrap">
			<div class="contact_list_main_wrap">
				<div class="switch"></div>
				<div id="record_tabs">
					<ul>
						<li>
							<a href="/general/crm/customer/new/record/default_index.php?recordType=all"><?=$_lang["customer_all_record"]?></a>
						</li>
						<li>
							<a href="/general/crm/customer/new/record/default_index.php?recordType=my"><?=$_lang["customer_record_self"]?></a>
						</li>
						<li>
							<a href="/general/crm/customer/new/record/default_index.php?recordType=else"><?=$_lang["customer_record_others"]?></a>
						</li>
					</ul>
				</div>
			</div>
			<div class="customer_detail_infor_wrap">
				<div class="customer_detail_infor" style="width:100%;height:100%;">
					<iframe style="width:100%;border:none;height:100%;" frameborder="0" id="customer_detail_infor"></iframe>
				</div>
			</div>
			<div id="edit_dialog" class="edit_dialog" style="display:none">
		        <div id="log_header" class="lazy_header" style="height: 60px;">
					<span class="lazy-list-title" style="max-width:540px;">
						<i class="fa fa-list-title"></i>
						<span class="tip" style="cursor:pointer;">
							<span><?=$_lang["customer_sale_cusromer"]?></span>
							- <span class="n_customer"></span>
						</span>
					</span>
					<div style="float:right;" type='button' id="logclose" class="btn btn-default"><?=$_lang["common_close"]?>
					</div>
					<div style="margin-left: 85px;position: relative; top: -15px;color: #969996;">
						<span class="n_create_man"></span>
						<span class="n_create_date"></span>
					</div>
				</div>
				<div id="dialog_content"></div>
		    </div>
		</div>
		<? showUserGeneralDiv()?>
	</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script>
$(function() {
	$('.selectpicker').selectpicker();
	$("#customer_list").height($(window).height()-80).niceScroll();
	$(".customer_list").LazyTable({
		dataSource : "index.do.php",
		param : {
			op : "getCustomerList",
			search_field:"CUSTOMER_NAME",
			search_str:"<?=$_GET['CUSTOMER_NAME']?>"
		},
		page : {
			itemsPerPage : 20,
			displayedPages:4,
			edges:0
		},
		column:[{key:"CUSTOMER_NAME",title:"<?=$_lang["customer_customer_name"]?>",template:function(data){
					return "<span class='get_customer' data='"+data.CUSTOMER_ID+"' style='padding-left:10px;' title='"+data.CUSTOMER_NAME+"'>"+data.CUSTOMER_NAME.substr(0,15)+"</span>"
				},width:100},
			    {key:"MANAGE_USER_NAME",title:"<?=$_lang["customer_query_cus_man"]?>",width:80},
			    {key:"LINKMAN",title:"<?=$_lang["customer_contact_info"]?>",width:80},
			    {key:"LINKMAN_TEL",title:"<?=$_lang["customer_linkman_phone"]?>",width:100}],
		sort : {
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang["customer_cus_name"]?>",
			}, {
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_query_cus_man"]?>",
			}, {
				key : "CUSTOMER_TYPE",
				title : "<?=$_lang["customer_query_cus_type"]?>"
			}, {
				key : "CREATE_TIME",
				title : "<?=$_lang['common_create_time']?>"
			}],
			onItemClick : function(key,data) {
				$(".customer_list").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:data
					}
				},true);
			}
		},
		buttons:{
			buttonInfor : {
				"edit":{
					title:"<?=$_lang["common_edit"]?>",
					func:function(data) {
						edit_cust(data.CUSTOMER_ID);
					}
				},
				"detail":{
					title:"<?=$_lang["common_detail"]?>",
					func:function(data)
					{
						$('.lazy_table_tr_bg').removeClass('lazy_table_tr_bg');
						$(this).parents('tr').addClass('lazy_table_tr_bg');
						open_detail_customer($(this),data.CUSTOMER_ID,'detail');
					}
				},
				"defaultss":{
					isDefault:true,
					title:"",
					func:function(data)
					{
						$('.lazy_table_tr_bg').removeClass('lazy_table_tr_bg');
						$(this).addClass('lazy_table_tr_bg');
						$('#active_customer').val(data.CUSTOMER_ID);
						var nowindex = $(this).index();
						$('#active_index').val(nowindex);
						open_detail_customer($(this),data.CUSTOMER_ID,'');
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						delete_cust(data.CUSTOMER_ID);
					}
				},
				"logdetail" : {
					title : "<?=$_lang["customer_customerlog_detail"]?>",
					func : function(data) {
						showLog('customer',data.CUSTOMER_ID);
					}
				},"smsRmind":{
					title :"<?=$_lang['customer_man_message_remind']?>",
					func:function(data) {
						$.ajax({
							url: 'index.do.php',
							type: 'POST',
							data: {
								customer_id: data.CUSTOMER_ID,
								op:"getCustomerLinkman"
							},
							success:function(result){
								var res = JSON.parse(result);

								var msg = "<?=$_lang['customer_man_contact_customer']?>" + data.CUSTOMER_NAME;

								if (res) {
									msg += ',<?=$_lang['customer_query_link_man']?>：' + res.LINKMAN_NAME;

									if (res.MOBILE) {
										msg += ',<?=$_lang['customer_linkman_tel']?>' + res.MOBILE;
									}

									if (res.TEL_NO_WORK) {
										msg += ',<?=$_lang['customer_linkman_comtel']?>' + res.TEL_NO_WORK;
									}
								}

								$.ajax({
								    type: 'POST',
								    url: 'index.php',
								    data: 'opt=sendSms&userid='+data.MANAGE_USER+'&msg='+msg,
								    error: function(XmlHttpRequest, textStatus, errorThrown) {
											$.pnotify({
										        text: "<?=$_lang['customer_man_message_error']?>",
										        type : "error",
										        delay:"500",
										    });
								    },
								    success: function(msg) {
								        if (msg == 1) {
								        	$.pnotify({
										        text: "<?=$_lang['customer_man_message_success']?>",
										        type : "success",
										        delay:"500",
										    });
								        }else{
											$.pnotify({
										        text: "<?=$_lang['customer_man_open_message']?>",
										        type : "error",
										        delay:"500",
										    });
										}
								    }
								});

								/*if(!data.MANAGE_USER_PHONE) //调用e-cology
								return false;
								$.ajax({
								    type: 'GET',
								    url: 'http://121.41.105.177:8080/homepage/generateCode.jsp',
								    dataType: 'jsonp',
								    data: {
								        "phonenum": data.MANAGE_USER_PHONE,
								        "msgtype":4,
								        "msgcontent":msg
								    },
								    jsonp: 'jsonpcallback',
								    error: function(XmlHttpRequest, textStatus, errorThrown) {
								        alert("<?=$_lang['customer_man_message_error']?>");
								    },
								    success: function(msg) {
								        if (msg.result != "1") {
								            alert("<?=$_lang['customer_man_message_error']?>");
								        }else{
											$.pnotify({
										        text: "<?=$_lang['customer_man_message_success']?>",
										        type : "success",
										        delay:"500",
										    });
										}
								    }
								});*/

								$.ajax({
								    type: 'POST',
								    url: 'index.do.php',
								    data: {
										op: 'saveRemind',
										CUSTOMER_ID: data.CUSTOMER_ID,
										CHARGEMAN_ID: data.MANAGE_USER,
										LINKMAN_ID: res.LINKMAN_ID,
										REMIND_CONTENT: msg,
										REMIND_TYPE: 4,
										IS_HANDLE: 0
								    },
								    success: function(msg) {
								    	console.log(msg)
								    }
								});
							}
						});
					}
				}
			},
			filter:function(data) {
				var user_id = '<?=$_SESSION["LOGIN_USER_ID"]?>';
				var filterArr = [];
				if(user_id == data.MANAGE_USER || user_id == data.SERVICE_USER || data.EDIT_PURVIEW == '1') {
					filterArr =  ["edit","detail","logdetail","defaultss"];
				}else{
					filterArr= ["detail","logdetail","defaultss"];
				}
				if(user_id == 'admin'){
					filterArr.push('delete');
				}
				filterArr.push('smsRmind');
				return filterArr;
			}
		},
		onAfterLoad:function(){
			$("#customer_list").getNiceScroll().resize();
			var page = $('#npage').val();
			var npage = $(".customer_list").LazyTable("getCurrentPage");
			if(npage!=page){
				$('#npage').val(npage);
				$('#active_index').val('-1');
			}

			var cid = $('#active_customer').val();
			var index = parseInt($('#active_index').val())+1;
			var num = $("#customer_list tr.lazy_table_tr").length;
			if(index>num){
				index = index-1;
				$('#active_index').val(index);
			}
			if(index>0){
				$("#customer_list tr:eq("+index+")").click();
			}
			if(cid!=''){
				$(".get_customer").each(function() {
					 if($(this).attr("data")==cid) {
					 	$(this).parents('tr').addClass('lazy_table_tr_bg');
					 	return '';
					 }
				});
			}
		}
	});

	$("#record_tabs").tabs();
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$(".edit_dialog").dialog({
		autoOpen:false,
		height:'430',
		width:'600',
		modal:true,
		dialogClass:"lazy_dialog"
	});

	$("#logclose").click(function() {
		$('#edit_dialog').dialog('close');
	});

	$(".customer_detail_infor_wrap").height($(window).height());
	$(".customer_shaixuan").on('change', '.shaixuan', function(event) {
        //==========清空其他查询条件========//
        $('.customer_search').find(':text').val('');
        $('.customer_search').find('a i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
		$(".customer_type").val("0");
		$(".customer_type").selectpicker('refresh');
        //========//
		$(".customer_list").LazyTable("reload",{
			page:{
				currentPage:0
			},
			param:{
				customer_type_sort : "",
				quick_sort : $(".shaixuan").val(),
				customer_industry_sort : "",
				customer_provice_sort:"",
				search_field:"",
				search_str:"",
			}
		});
	});

	$(".switch").LazyToggle({
		showTip : "<?=$_lang["customer_show_customerlist"]?>",
		hideTip : "<?=$_lang["customer_hide_customerlist"]?>",
		autoHide : false,
		onAfterShow : function() {
			$(".customer_list_wrap").show();
			$(".detail_wrap").css({"margin-left": $(".customer_list_wrap").outerWidth()});
		},
		onAfterHide : function() {
			$(".customer_list_wrap").hide();
			$(".detail_wrap").css("margin-left", "0px");
		}
	});

	//类别筛选
	$(".door_type").on('change', '.customer_type', function(event) {
        //====清空其他查询条件====//
        $("#search_str_single").val('').attr('data','');
        $("#where_query").val('');
        $('.customer_search').find(':text').val('');
        $('.customer_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
		$("#shaixuan").val("all");
		$(".shaixuan").selectpicker('refresh');
		$('#active_index').val('-1');
        //====//
		$(".customer_list").LazyTable("reload",{
			page:{
				currentPage:0
			},
			param:{
				customer_type_sort : $(".customer_type").val(),
				quick_sort :$("#other_filter").val(),
				date_filter:$("#date_filter").val(),
				customer_industry_sort : "",
				customer_provice_sort:"",
				search_field:"",
				search_str:"",
			}
		});
	});

	//日期筛选
	$("#date_filter").on('change',function() {
		 $("#search_str_single").val('').attr('data','');
		 $("#where_query").val('');
		 $('.customer_search').find(':text').val('');
         $('.customer_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
		 $("#shaixuan").val("all");
		 $('#active_index').val('-1');
		 $(".customer_list").LazyTable("reload",{
			page:{
				currentPage:0
			},
			param:{
				customer_type_sort:$(".customer_type").val(),
				quick_sort:$("#other_filter").val(),
				date_filter:$("#date_filter").val(),
				customer_industry_sort : "",
				customer_provice_sort:"",
				search_field:"",
				search_str:""
			}
		});
	});
	//其他筛选
	$("#other_filter").on('change',function() {
		 $("#search_str_single").val('').attr('data','');
		 $("#where_query").val('');
		 $('.customer_search').find(':text').val('');
         $('.customer_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
		 $("#shaixuan").val("all");
		 $('#active_index').val('-1');
		 $(".customer_list").LazyTable("reload",{
			page:{
				currentPage:0
			},
			param:{
				customer_type_sort:$(".customer_type").val(),
				quick_sort:$("#other_filter").val(),
				date_filter:$("#date_filter").val(),
				customer_industry_sort : "",
				customer_provice_sort:"",
				search_field:"",
				search_str:""
			}
		});
	});

	$(".customer_search").LazySearch({
		tip : "<?=$_lang['customer_checks']?>",
		fieldSearch : {
			onItemClick : function(data, value) {
                //==========清空其他查询条件==========================//
                $(".customer_type").val("0");
                $(".customer_type").selectpicker('refresh');
                $("#shaixuan").val("all");
                $(".shaixuan").selectpicker('refresh');
                search = $.trim(value);
                $("#search_str_single").val(search);
                $("#search_str_single").attr('data',data.key);
                $("#where_query").val('');
                $('#active_index').val('-1');
                //==================================================//
				$(".customer_list").LazyTable("reload",{
					page:{
						currentPage:0
					},
					param:{
						customer_type_sort : "",
						quick_sort : "",
						customer_industry_sort : "",
						customer_provice_sort:"",
						search_field:data.key,
						search_str:search,
					}
				});
			},
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang["customer_customername_include"]?>"
			}, {
				key : "TEL_NO",
				title : "<?=$_lang["customer_customertel_include"]?>"
			},{
				key : "CUSTOMER_ADD",
				title : "<?=$_lang["customer_customeraddr_include"]?>"
			},{
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_customerman_include"]?>"
			},{
				key : "SERVICE_USER",
				title : "<?=$_lang["customer_service_include"]?>"
			}]
		},
		onClearButtonClick:function(){
            $("#search_str_single").val('').attr('data','');
			$(".customer_list").LazyTable("reload",{
				param:{
					customer_type_sort : "",
					quick_sort : "",
					customer_industry_sort : "",
					customer_provice_sort:"",
					search_field:"",
					search_str:"",
				}
			});
		},
		advancedSearch : {
			onSearch : function(a,b) {
				// console.log(b);
				$.ajax({
					url: 'crm_move/index_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form3').serialize(),
					success:function(data){
	                    //==========清空其他查询条件==========================//
	                    $('.customer_search').find(':text').val('');
        				$('.customer_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
	                    $(".customer_type").val("0");
	                    $(".customer_type").selectpicker('refresh');
	                    $("#shaixuan").val("all");
	                    $(".shaixuan").selectpicker('refresh');
	                    $("#search_str_single").val('').attr('data','');
	                    $("#where_query").val(data);
	                    $('#active_index').val('-1');
	                    //==================================================//

						$(".customer_list").LazyTable("reload",{
							param:{
								where_query:data,
								customer_type_sort : "",
								quick_sort : "",
								customer_industry_sort : "",
								customer_provice_sort:"",
								search_field:"",
								search_str:"",
							},
							page:{
								currentPage:0
							}
						});
					}
				});
			},
			items : "index_search.php",
		},
	});
});


//编辑客户
function edit_cust(id){
	var url = "edit.php?CUSTOMER_ID="+id;
	window.open(url,"","resizable=yes,left=0,top=0,width="+(screen.availWidth - 10) +",height=" + (screen.availHeight - 65));
}

//查看日志
function showLog(type,typeId)
{
	$("#dialog_content").LazyTable({
		column:[{key:"USER_NAME",title:"<?=$_lang["customer_customer_modifier"]?>",width:80},
			    {key:"MODIFY_TIME",title:"<?=$_lang["customer_customer_modify_time"]?>",width:150},
			    {key:"FIELD_CONTENT",title:"<?=$_lang["customer_customer_modify_content"]?>",template:function(data){
						return '<div class="show-title" style="width:200px; overflow:hidden; text-overflow:ellipsis; white-space:nowrap;" title="'+data.FIELD_CONTENT.replace(/<[^>]+>/g,"")+'">'+data.FIELD_CONTENT+'</div>';
					},width:200}],
		dataSource:"/general/crm/customer/index.do.php",
		page : {
			itemsPerPage : 10,
			edges:0
		},
		param:{
			op:"showLogList",
			module:type,
			module_id:typeId
		},
		onAfterLoad:function(){
			$("#dialog_content").height('360').niceScroll();
			$("#log_header").height('60');
		}
	})

	$.ajax({
		url: 'index.do.php',
		type: 'POST',
		data: {
			CUSTOMER_ID: typeId,
			op:"getCustomer"
		},
		success:function(result){
			var res = $.parseJSON(result);
			var n_create_date = '<?=$_lang["customer_man_create_time"]?>:'+res['CREATE_TIME'];
			var n_create_man = '<?=$_lang["customer_crm_cont_creat"]?>:<span title="'+res['USER_NAME']+'">'+res['USER_NAME']+'</span>';
			$(".n_customer").html('<span title="'+res['CUSTOMER_NAME']+'">'+res['CUSTOMER_NAME']+'</span>');
			$(".n_create_date").html(n_create_date);
			$(".n_create_man").html(n_create_man);
		}
	});

	$("#edit_dialog").dialog("open");
}

//删除客户
function delete_cust(id){
	bootbox.confirm("<?=$_lang["common_del_alert"]?>",function(result){
		if (result) {
			$.ajax({
				url: 'index.do.php',
				type: 'POST',
				data: {
					CUSTOMER_ID: id,
					op:"delete"
				},
				success:function(result){
					if (result=="fail") {
						$.pnotify({
					        text: "<?=$_lang["customer_no_this_purview"]?>",
					        type : "info",
					        delay:"1500",
					    });
					}else if (result=="success") {
						$.pnotify({
					        text: "<?=$_lang["common_deletesuccess"]?>",
					        type : "success",
					        delay:"1500",
					        history:false,
					    });
					}
					var npage = $(".customer_list").LazyTable("getCurrentPage");
					$(".customer_list").LazyTable("reload",{
						page:{
							currentPage:npage-1
						},
						param:{
							customer_type_sort : $(".customer_type").val(),
							quick_sort : $("#date_filter").val(),
							customer_industry_sort : "",
							customer_provice_sort:"",
							search_field: $("#search_str_single").attr('data'),
							search_str: $("#search_str_single").val(),
							where_query: $("#where_query").val()
						}
					});
				}
			});
		}
	});
}

function open_detail_customer(obj,CUSTOMER_ID,froms){
	$("#customer_detail_infor").attr('src', '/general/crm/customer/index_iframe.php?is_open_switch=1&from='+froms+'&CUSTOMER_ID='+CUSTOMER_ID);
	$(".contact_list_main_wrap").hide();
	$(".customer_detail_infor_wrap").show();

}
</script>