<?
include_once("inc/auth.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/check_type.php");
includelangpak("customer");
$customerObj = new customer();

$op = $_REQUEST['op'];
$LOGIN_USER_ID = $_SESSION['LOGIN_USER_ID'];

switch ($op) {
	case 'getList' :
		if($_REQUEST['customerID'])
		{
			if(!is_numeric($_REQUEST['customerID'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}

		$quicksort 	=	$_REQUEST['quick_sort'];
		$isStarRank	=	$quicksort=='startrank'?1:0;
		$list = $customerObj->getList($customerObj->getOperationSql($_REQUEST));
		if($isStarRank==0) {
			$totalCount = $customerObj->getNum($customerObj->getOperationSql($_REQUEST,2));
		}

		foreach ($list as $k=>$row) {
			$list[$k]['OPER_TYPE'] = $customerObj->getRecordType($row['OPER_TYPE'],29);//业务类型
			$list[$k]['OPER_STEP'] = $customerObj->getRecordType($row['OPER_STEP'],32);//业务阶段
			$list[$k]['OPER_SOURCE'] = $customerObj->getRecordType($row['OPER_SOURCE'],30);//业务来源
			$list[$k]["MANAGE_USER_NAME"]	=	getUserNameNew($row["MANAGE_USER"]);
			$list[$k]['CUSTOMER_MGR'] 		=   $customerObj->getCustomerMgr($row["CUSTOMER_ID"]);
		}

		if ($isStarRank==1) {
			echo json_encode(array(
				"totalCount" => count($list),
				"list" => $list
			));
		}elseif ($isStarRank==0) {
			echo json_encode(array(
				"totalCount" => $totalCount,
				"list" => $list
			));
		}
		break;
	case 'getShaixuanList':
		$list = $customerObj->getData('quicksort','*',"MAIN_ID='business_3'");
		foreach($list as $k=>$row) {
			$list[$k]["OPTION_NAME"]=$_lang[$row["OPTION_NAME"]];
		}
		echo $list ? json_encode($list) : false;
		break;
	case 'delete_all':
		$tableName = $_REQUEST["tablename"];
		switch($tableName){
		 case "CUSTOMER":
		     $customer_ids = $_REQUEST['cids'];
				 $customer_id_arr = explode(',', $customer_ids);
		     break;
		 case "OPERATION":
		     $operation_ids = $_REQUEST['operids'];
		     $operation_id_arr = explode(',', $operation_ids);
		     break;
		 case "RELATION_RECORD":
		     $relation_ids = $_REQUEST['reids'];
		     $relation_id_arr = explode(',', $relation_ids);
		     break;
		 case "CONTRACT":
		     $contract_ids = $_REQUEST['conids'];
		     $contract_id_arr = explode(',', $contract_ids);
		     break;
		    }
		$error_info = array();
		$i = 0;
	 	if($LOGIN_USER_ID != 'admin'){
	     	Message("", $_lang["customer_no_this_purview"]);
	     	exit;
     	}

		if($tableName == "CUSTOMER"){
			 foreach($customer_id_arr as $id){
				 $error_info[$i]['id'] = $id ;
				 $error_info[$i]['customer'] = $customerObj->get_customer_info($id);
				 $i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
				 $customerObj->del_data("CUSTOMER", $info['id']);
				 unset ($error_info[$j]);
				 $j++;
			 }

		}elseif($tableName == "OPERATION"){

			 foreach($operation_id_arr as $id){
				 $error_info[$i]['oper_id'] = $id ;
				 $i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
				 $customerObj->del_data("OPERATION", $info['oper_id']);
				 unset ($error_info[$j]);
				 $j++;
		 	}
		}elseif($tableName == "CONTRACT"){
			 foreach($contract_id_arr as $id){
			 	$error_info[$i]['con_id'] = $id ;
			 	$i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
				 $customerObj->del_data("CONTRACT", $info['con_id']);
				 unset($error_info[$j]);
				 $j++;
		 	}
		}elseif($tableName == "RELATION_RECORD") {
			 foreach($relation_id_arr as $id){
				 $error_info[$i]['id'] = $id ;
				 $i++;
			 }

		 	// 获取错误信息
			$j = 0;
		 	foreach($error_info as $info)
			{
			 	$customerObj->del_data("RELATION_RECORD", $info['id']);
			 	unset ($error_info[$j]);
			 	$j++;
		 	}
		}
		sort($error_info);
		// 如果所勾选的客户下面没有关联信息
		if(!empty($error_info))
		 	echo json_encode($error_info);
		else
		 	echo "1";
		break;
	case 'delete':
		if($_REQUEST['OPER_ID'])
		{
			if(!is_numeric($_REQUEST['OPER_ID'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}	
		if($row) {
			if($LOGIN_USER_ID!= 'admin') {
				Message("",$_lang["customer_no_this_purview"]);
				exit;
			}
		}

		$customerObj->del_data("OPERATION",$_REQUEST["OPER_ID"]);
		echo "success";
		break;
	case 'getManagerUser':
		if($_REQUEST['customer_id'])
		{
			if(!is_numeric($_REQUEST['customer_id'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}	

		$list = $customerObj->getData("customer AS c, user AS u","u.*","CUSTOMER_ID=".$_REQUEST['customer_id']." AND c.MANAGE_USER=u.USER_ID");
		$row = $list[0];
		if($row)
		{
			$u_name	= $row["USER_NAME"];
			$u_id	= $row["USER_ID"];
		}
		echo json_encode(array(
			"u_name" => $u_name,
			"u_id" => $u_id
		));
		break;
	case 'getCustomerName':
		if($_REQUEST['customer_id'])
		{
			if(!is_numeric($_REQUEST['customer_id'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}	

		$list = $customerObj->getData("customer","CUSTOMER_NAME","CUSTOMER_ID=".$_REQUEST['customer_id']);
		$row = $list[0];		

		echo $row["CUSTOMER_NAME"];
		break;
	case 'add_business':
		$OPER_NAME  = $_REQUEST["OPERATION_MAME"];
		$customer   = new customer();
		$OPER_MONEY = str_replace(",","", $OPER_MONEY);
		$_REQUEST["OPER_MONEY"] = str_replace(",","", $_REQUEST["OPER_MONEY"]);
		if($_REQUEST['OPER_ID'])
		{
			if(!is_numeric($_REQUEST['OPER_ID'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}
		//计算业务机会阶段的总数
		$list = $customerObj->getData("combocox_child","COUNT(*) AS CNT","CC_PARENT_ID=32");
		$row = $list[0];
		if($row) {
			if($row["CNT"] >0) {
				$num = $row["CNT"];
			} else {
				$num = 100;
			}
		}

		if($num!=0) {
			$OP_INDEX = $OPTION_INDEX+1;
		} else {
			$OP_INDEX = 0;
		}

		if($_REQUEST["f"] !="edit") {
			$OPER_NAMES = convertPy($OPPOTUNITY_NAME);
			//计算业务机会星级显示的公式
			$OPER_START = ($OPER_ORIGIN/100 + $OP_INDEX/$num)*2.5;

			$inarr = array(trim(dhtmlspecialchars($OPPOTUNITY_NAME)),$LOGIN_USER_ID,$CUSTOMER_ID,$OPER_TYPE,$OPER_MONEY,$BEGIN_DATE,$OPER_ORIGIN,$OPERATION_STEP,$OPER_SOURCE,$OPER_NOTE,trim($OPER_NAMES[0]),trim($OPER_NAMES[1]),date("Y-m-d H:i:s",time()),$OPER_START,$OPER_STATUS);

			$customerObj->saveData("OPERATION", $inarr);
			
			$oper_content = $LOGIN_USER_NAME." ".$_lang["customer_add_operation"];
			$oper_id = $customerObj->get_max_oper_id();
			$inarrs  = array($oper_id["mp_id"],0,$_REQUEST["OPER_ORIGIN"],$_REQUEST["OPERATION_STEP"],$oper_content,date("Y-m-d H:i:s"),$LOGIN_USER_ID);

			$customerObj->saveData("OPER_RECORDS",$inarrs);	

			$factory    = new PageFactory();
			$factory->saveFieldValuse('OPERATION',$oper_id["mp_id"],'OPER_ID');
		} else {
			$OPER_START = ($_REQUEST["OPER_ORIGIN"]/100 + $OP_INDEX/$num)*2.5;
			$_REQUEST["OPER_START"] = $OPER_START;
			$list = $customerObj->getData("operation","*","OPER_ID='".$_REQUEST["OPER_ID"]."'");
			$row = $list[0];
			if($row) {
				$OPER_ORIGINS = $row["OPER_ORIGIN"];
				$OPER_STEP   = $row["OPER_STEP"];
			}
			$customerObj->saveEditData("OPERATION", $_REQUEST, $_REQUEST["OPER_ID"]);

			$factory = new PageFactory();
			$factory->saveFieldValuse('OPERATION',$_REQUEST["OPER_ID"],'OPER_ID');

			if($OPER_ORIGINS != $_REQUEST["OPER_ORIGIN"] || $OPER_STEP != $_REQUEST["OPER_STEP"]) {
				$contents = $LOGIN_USER_NAME.$_lang["customer_oper_edit"];
				$inarr = array($_REQUEST['OPER_ID'],$OPER_ORIGINS,$_REQUEST['OPER_ORIGIN'],$_REQUEST['OPER_STEP'],$contents,date("Y-m-d",time()),$LOGIN_USER_ID);
				$customerObj->saveData("OPER_RECORDS",$inarr);
			}
		}
?>
		<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
		<script type="text/javascript">
			$(function(){
                //==========清空其他查询条件==========================//
                window.parent.$(".shaixuan2").val("0");
                window.parent.$(".shaixuan2").selectpicker('refresh');
                window.parent.$('.business_search').find(':text').val('');
                window.parent.$('.business_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
                //==================================================//
				if ("<?=$_REQUEST["f"]?>"=="edit") {
					window.parent.$(".edit_business").hide();
					window.parent.$(".list_wrap").show();
					window.parent.$(".business_list_wrap").LazyTable("reload");
				}else{
					window.parent.$(".add_business").hide();
					window.parent.$(".list_wrap").show();
					window.parent.$(".business_list_wrap").LazyTable("reload");

					$.ajax({
						url : "/general/crm/customer/index.do.php",
						data : {
							op : "getAllNum",
							customerID:'<?=$_REQUEST["CUSTOMER_ID"]?>'
						},
						success:function(result){
							var parsedData = $.parseJSON(result);
							if (parsedData.businessCount>0) {
								window.parent.$("#customer_detail_tabs .business").html(" ( "+parsedData.businessCount+" ) ");
							}else{
								window.parent.$("#customer_detail_tabs .business").html("");
							}
							
						}
					});
				}
			});
		</script>
<?
		break;
	case 'insert_opercord':
		if($_REQUEST['OPER_ID'])
		{
			if(!is_numeric($_REQUEST['OPER_ID'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}	
		$OPER_STEP  = $_REQUEST["OPER_STEP"];
		$content    = $_REQUEST["OPER_NOTE"];
		$oper_id    = $_REQUEST["OPER_ID"];
		$po         = $_REQUEST["OPER_PO"];
		$add_po     = $_REQUEST["add_po"];
		$min_po     = $_REQUEST["min_po"];

		if($min_po) {
			$min_po = "-".$min_po;
		}

		$list = $customerObj->getData("combocox_child","COUNT(*) AS CNT","CC_PARENT_ID=32");
		$row = $list[0];
		if($row) {
			if($row["CNT"] >0) {
				$num = $row["CNT"];
			}
		}

		$list = $customerObj->getData("oper_records","OPRE_ID,THIS_PO","OPER_ID='$oper_id' ORDER BY OPRE_ID DESC LIMIT 1");
		$row = $list[0];
		if($row) {
			$this_po = $row["THIS_PO"];
		}

		if($add_po) {
			$new_this_po = $this_po+$add_po;
		} else if($min_po){
			$new_this_po = $this_po+$min_po;
		} else {
			$new_this_po = $this_po+$po;
		}

		$data = array(
				'OPER_ID'   =>  $oper_id,
				'LAST_PO'   =>  $this_po,
				'THIS_PO'   =>  $new_this_po,
				'OPER_STEP' =>  $OPER_STEP,
				'OPER_TEXT' =>  $content,
				'RE_DATE'   =>  date("Y-m-d"),
				'CREATEOR'  =>  $LOGIN_USER_ID
			);

		$customerObj->addData('oper_records',$data);

		$OPER_START = ($new_this_po/100 + ($OPTION_INDEX+1)/$num)*2.5;

		$data = array(
				'OPER_ORIGIN' 	=> $new_this_po,
				'OPER_STEP'		=> $OPER_STEP,
				'OPER_START'	=> $OPER_START
			);

		$customerObj->updateData('operation',$data,"OPER_ID='".$oper_id."'");
?>
		<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
		<script type="text/javascript">
			location =  "/general/crm/customer/new/business/oper_detail.php?OPER_ID=<?=$oper_id?>";
		</script>
<?
		break;
	default :
		break;
}
?>