<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.3
 * @function      合同详情页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/contract_detail.php
 * @version       30
 * @author        Qu|www.weaver.com.cn
 * @date          2013-01-25
 */
include_once("inc/auth.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer,info");

function showAttachBrowse($ATTACHMENT_ID,$ATTACHMENT_NAME,$P_DOWN=1,$P_EDIT=0,$P_DELETE=0){
	global $connection,$_lang;
         $ATTACHMENT_ID_ARRAY=explode(",",$ATTACHMENT_ID);
         $ATTACHMENT_NAME_ARRAY=explode("*",$ATTACHMENT_NAME);
         
         $ARRAY_COUNT=sizeof($ATTACHMENT_ID_ARRAY);
		 $linkstr = "";
         for($I=0;$I<$ARRAY_COUNT-1;$I++){
			$doc_size = attach_size($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I]);
			if ($doc_size <= 1024){
				$doc_size_str = "<span>1K</span>";
			}

			if ($doc_size > 1024){
				$doc_size_str = "<span>".round($doc_size/1024,0).'K</span>';
			}


			if ($doc_size >= 1024*1024){
				$doc_size_str = "<span>".round($doc_size/(1024*1024),2).'M</span>';
			}
			$imgsrc = getFileSuffixIcon($ATTACHMENT_NAME_ARRAY[$I]);
			$linkstr .= "<div style='width:100%'><i class='fa fa-paperclip'></i>&nbsp;&nbsp;<a href=\"javascript:void(0)\" onclick=\"showAttachGeneral('".$ATTACHMENT_ID_ARRAY[$I]."','".base64_encode($ATTACHMENT_NAME_ARRAY[$I])."',".$P_DOWN.",".$P_EDIT.",".$P_DELETE.",".$I.");\">".$ATTACHMENT_NAME_ARRAY[$I]."</a>&nbsp;(".$doc_size_str.")&nbsp;&nbsp;<span id='divattachgeneral".$I."'></span></div>";
			  
		 }
	return $linkstr;
}

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('502,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}

if($_REQUEST['CON_ID'])
{
	if(!is_numeric($_REQUEST['CON_ID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

$customer = new customer();
$row = $customer->getDataOne('contract','*',"CON_ID='".$_REQUEST["CON_ID"]."'");
if($row) {
	$infos = $customer->get_customer_info($row["CUST_ID"]);
}

$contract_payment = $customer->get_contract_payment_info($_REQUEST["CON_ID"]);

$PAGE_TITLE = $_lang["customer_contract_detail"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" 	href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<SCRIPT type="text/javascript" src="/inc/common.js"></SCRIPT>

<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>

<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<link href="/newplugins/css/style.css" rel="stylesheet" />
<style type="text/css">

.table td div{
	text-align: center;
	height: 30px;
	vertical-align: middle;
	line-height:30px;
}

.table th div{
		text-align: center;
		height: 35px;
		line-height:35px;
		vertical-align: middle;
}

.table tr{
	border-bottom:1px solid lightgray;
	width:100%;
	margin:auto;
}

.table .show_bg:hover{
	background-color: #E5E5E5
}

input[type='text']{
	border-radius:5px;
	width:90%;
	text-align: center;
	border:0px;
}
</style>
<script>
function thousandFormat(num)
{
	var showValue = num;
	if(showValue)
	{
		var midValue = commafyback(showValue);
		if(!isNaN(midValue)) {
			num = midValue.toString().commafy();
			return num;
		}
	}
}

function  commafyback(num)
{  
   var x = num.split(',');
   return parseFloat(x.join(""));
} 

String.prototype.commafy = function(){ 
	if (this == "") return ""; 
	var _n = this.match(/(-?\d+)(\.\d*)?/); 	
	var length = _n[1].length; 
	var i = length % 3 
	var str1 = _n[1].substring(0,i) 
	var str2 = _n[1].substring(i,length) ;	
	var result = str1 + str2.replace(/(\d{3})/g, ",$1") + // integer. 
	_n[2].replace(/(\d{3})/g, "$1,").replace(/(.*),$/, "$1"); // decimal. 	
	result = result.replace(/^,(.*)/, "$1") 	
	return result; 
}; 

jQuery(document).ready(function() {
	jQuery("#tags").find(".normalTag:first a").click();
});


function switchTag(tagContent,obj){

	jQuery("#tags").find("li").removeClass().addClass("normalTag");
	jQuery(obj).parent().removeClass().addClass("selectedTag");
	
	jQuery("#tagContent").find("div[id^='tagContent']").hide();
	jQuery("#tagContent").find("#"+tagContent).show();
	
}

function close_detail(){
	window.parent.$(".detail_contract").hide();
	window.parent.$(".list_wrap").show();
}
</script>
<body>
<div class="lazy_sub_header" style="height:39px;">
	<div class="info_filter"></div>
	<a class="btn btn-default" onclick="close_detail()"><?=$_lang["common_back"]?></a>
</div>
<?
$count = 0;
$info = $customer->get_contract_info('CON_ID','DESC','',$_REQUEST["CON_ID"]);
if($infos["CUSTOMER_ID"])
{
?>
	<div id="tagContent1">
		<table width="100%" class="form_table">
			<tr>
				<td  class="title"><?=$_lang["customer_crm_contract_name"]?></td>
				<td><?=$info[1][CON_NAME]?></td>
				<td class="title"><?=$_lang["customer_crm_contract_num"]?></td>
				<td><?=$info[1][CON_NO]?></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["customer_contract_start_date"]?></td>
				<td><?=$info[1][CON_DATE1]?></td>
				<td class="title"><?=$_lang["customer_contract_end_date"]?></td>
				<td><?=$info[1][CON_DATE2]?></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["customer_crm_signer"]?></td>
				<td><?=$info[1][CON_SIGNATORY]?></td>
				<td class="title"><?=$_lang["customer_crm_customer_signer"]?></td>
				<td><?=$info[1][CON_CSIGN]?></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["customer_crm_sign_date"]?></td>
				<td><?=$info[1][SIGNATORY_DATE]?></td>
				<td class="title"><?=$_lang["customer_crm_sign_cusdate"]?></td>
				<td><?=$info[1][CSIGN_DATE]?></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["customer_contract_type"]?></td>
				<td><?if($info[1][CON_TYPE] > 0) { echo get_info(31,$info[1][CON_TYPE],1);}?></td>
				<td class="title"><?=$_lang["customer_contract_amount"]?></td>
				<td><?=preg_replace('/(?<=[0-9])(?=(?:[0-9]{3})+(?![0-9]))/',',',$info[1][COUNT])?>
				<script>document.write(numToCh('<?=$info[1][COUNT]?>'))</script>
				</td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["customer_contract_memonote"]?></td>
				<td colspan="3"><?=$info[1][CON_NOTE]?></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["customer_contract_attachment"]?></td>
				<td colspan="3">
					<?
					if($info[1][ATTACHMENT_NAME]=="") {
						echo $_lang["info_rss_notify_nothing"];
					} else {
						echo showAttachBrowse($info[1][ATTACHMENT_ID],$info[1][ATTACHMENT_NAME],1,0,0);
					}
					?>
				</td>
			</tr>
		</table>	
	</div>
	<div id="tagContent2" style="display:none">
		<?
		if(count($contract_payment) == 0) {
		?>
		<table width="100%" style="margin-top:10px">
		<tr>
			<td align="center">
				<span style="font-size:16px;"><?=$_lang["customer_no_contract_payment"]?></span>
			</td>
		</tr>
		</table>
		<?} else {
			echo "<table class='table'>";
			echo	"<tbody>";
			echo	"<tr>";
			echo		"<th width='10%'><div>".$_lang['customer_man_order']."</div></th>";
			echo		"<th width='20%'><div>".$_lang['customer_contract_pay_date']."</div></th>";
			echo		"<th width='65%'><div>".$_lang['customer_contract_pay_remind']."</div></th>";
			echo	"</tr>";
				   if(count($contract_payment) > 0) {
					   for($i=1;$i<=count($contract_payment);$i++) {
			?>
					<tr class="show_bg">
						<td align="center"><div><?=$i?></div></td>
						<td><div><input type="text" class="link_name" onkeyup="check_value(this)" onclick="last_append(this)" name="pay_date_<?=$i?>" value="<?=$contract_payment[$i]['PAY_DATE']?>" readonly/></div></td>
						<td><div><input type="text" name="pay_remind_content_<?=$i?>" class="link_memo" value="<?=$contract_payment[$i]['PAY_NOTE']?>" readonly/></div></td>
					</tr>
				<?
				   }   
				}
				?>	
			</tbody>
			</table>
			<?}?>
	</div>
<?
}
else					
{
	Message( "",$_lang["common_read_pur_explain"]);
	exit();
}
?>
</body>
</html>
<script type="text/javascript">
	$(function(){
		$(".info_filter").LazyFilter({
			onClick : function(data) {
				if (data=="base_info") {
					$("#tagContent1").css("display","block");
					$("#tagContent2").css("display","none");
				}
				if (data=="gather_pay") {
					$("#tagContent1").css("display","none");
					$("#tagContent2").css("display","block");
				}
			},
			common : {
				dataSource : [{
					key:"base_info",
					isDefault:true,
					title:"<?=$_lang["customer_basic_info"]?>"
				},{
					key:"gather_pay",
					title:"<?=$_lang["customer_contract_gather_pay"]?>"
				}],
				template : "{title}"
			}
		});
	});


function showAttachGeneral(ATTACHMENT_ID,ATTACHMENT_NAME,P_DOWN,P_EDIT,P_DELETE,i)
{
	var obj = "divattachgeneral"+i;
	var objdiv = document.getElementById(obj);
	objdiv.style.display = "";
	objdiv.style.posLeft = event.clientX+document.body.scrollLeft+25;
	objdiv.style.posTop = event.clientY+document.body.scrollTop;
	if((document.body.offsetWidth - objdiv.style.posLeft) < 100){
		objdiv.style.posLeft = objdiv.style.posLeft -100;
	}
	if((document.body.offsetHeight - objdiv.style.posTop) < 50){
		objdiv.style.posTop = objdiv.style.posTop -50;
	}

	objdiv.innerHTML = "<div id='picloadattach'><img src='/images/loading.gif'>Load...</div>";
	url = "/inc/attach_general_customer.php";
	par =  "ATTACHMENT_ID="+ATTACHMENT_ID;
	par +=  "&ATTACHMENT_NAME="+encodeURIComponent(ATTACHMENT_NAME);
	par +=  "&P_DOWN="+P_DOWN;
	par +=  "&P_EDIT="+P_EDIT;
	par +=  "&P_DELETE="+P_DELETE;
	loadingAttachGeneral(obj,url,par);
}

function loadingAttachGeneral(divid,url,par){
	var objDivID = document.getElementById(divid);

	$.ajax({
		url: url,
		type: 'POST',
		data: par,
		success:function(data){
			objDivID.innerHTML = data;
		}
	});

}

</script>
