<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户详情页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/customer.php
 * @version       25
 * @author        Qu|www.weaver.com.cn
 * @date          2012-03-13
 */
//加载语言
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("general/crm/fun.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('502,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}

if($_REQUEST['CUSTOMER_ID'])
{
	if(!is_numeric($_REQUEST['CUSTOMER_ID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

$customer = new customer();
$manUids = $customer->get_userid_str();

//禁止编辑字段
$disEditFieldsArray = $customer->getDisEditFields(1, $_SESSION["LOGIN_USER_ID"]);
$disEditFields = array();
$disEditCustomFields = '';
if (!empty($disEditFieldsArray)) {
	$disEditFields = array_filter(explode(',', $disEditFieldsArray['PURVIEW_FIELDS']));
	foreach ($disEditFields as $v) {
		if (strpos($v, 'CUSTOMER_SET_') !== false) {
			$disEditCustomFields .= str_replace('CUSTOMER_SET_', 'FS_CONTENT_', $v).',';
		}
	}

	if (!empty($disEditCustomFields)) {
		$disEditCustomFields = "'".rtrim($disEditCustomFields, ',')."'";
	}
}

$info	 = $customer->get_customer_info($_REQUEST['CUSTOMER_ID'],0);

if(count($info)==0) {
	Message( "",$_lang["common_read_pur_explain"]);
	exit ();
}

$type='only';
$OtherFieldObj = new PageFactory();
//创建自定义字段的相关内容
$OtherFieldArray = $OtherFieldObj->CreatePage('CUSTOMER',$_REQUEST["CUSTOMER_ID"],'CUSTOMER_ID','form1','view');



$MANAGE_USER = $info['MANAGE_USER'];



if ($MANAGE_USER != "")
{
	$rowus = $customer->getDataOne('user','USER_ID,USER_NAME',"USER_ID='".$MANAGE_USER."'");
	$MANAGE_NAME = $rowus['USER_NAME'];
	$MANAGE_USER = $rowus['USER_ID'];
}
else
{
	$MANAGE_NAME = $_SESSION['LOGIN_USER_NAME'];
	$MANAGE_USER = $_SESSION['LOGIN_USER_ID'];
}

//查询部门
if($info['PURVIEW_DEPT'] == 'ALL_DEPT'){
	$row2 = $customer->getData('department','DEPT_ID, DEPT_NAME');
	while($row2){
		$dept_id2  .= $row2[0].',';
		$dept_name .= $row2[1].",";
	}
	$dept_id	= "ALL_DEPT";
	$dept_name	= $_lang["customer_crm_dept_all"];
}
else
{
	$dept_array	= explode(",", $info["PURVIEW_DEPT"]);
	array_pop($dept_array);
	for($i=0; $i<sizeof($dept_array); $i++){
		$row2 = $customer->getDataOne('department','DEPT_NAME',"DEPT_ID='".$dept_array[$i]."'");
		if($row2){
			$dept_name	.= $row2[0].",";
		}
	}
	$dept_id = $info["PURVIEW_DEPT"];
}

//查询角色
$role_array	= explode(",",$info["PURVIEW_ROLE"]);
array_pop($role_array);
for($j=0; $j<sizeof($role_array); $j++){
	$row3 = $customer->getDataOne('user_priv','PRIV_NAME',"USER_PRIV='".$role_array[$j]."'");
	if($row3){
		$priv_name	.= $row3[0].",";
	}
}

//查询人员
$user_array	= explode(",",$info["PURVIEW_USER"]);
array_pop($user_array);

for($k=0; $k<sizeof($user_array); $k++){
	$row4 = $customer->getDataOne('user','USER_NAME',"USER_ID='".$user_array[$k]."'");
	if($row4){
		$personnel	.= $row4[0].",";
	}
}

if($info) {
	$row = $customer->getDataOne('province','*',"proID='".$PROVINCE."'");
	$proName = $row["proName"];
	$row = $customer->getDataOne('city','*',"cityId = '".$CITY."'");
	$cityName = "---".$row["cityName"];
}

$createTime = $info["CREATE_TIME"] ?$info["CREATE_TIME"]:"";
$PAGE_TITLE = $_lang["customer_customer_info"];

$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}

include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css" />
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/inc/field_add/field_add.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<style type='text/css'>
	 .form_table table td:first-child {
	    text-align: left;
	    width: 50px;
	    padding-right: 10px;
	 }

	 .form_table .btn{
	    font-family: "微软雅黑";
	 }


	#xx:link{color:#FF0000;}
	#layer {
		border:1px solid #ccc;
		width:260px;
		position:absolute;
		z-index:10;
		background-color:#fff;
		display:none;
	}
	#layer_head {
		height:25px;
		padding-top:5px;
		padding-left:13px;
		padding-right:6px;
		background-color:#E8E8E8;
		border-bottom:1px solid #ccc;
	}
	#layer_head h5 {
		overflow:hidden;
		color:#626262;
		float:left;
		width:150px;
	}
	#layer_head img {
		float:right;
	}
	#layer_list {
		height:130px;
		margin:8px;
		overflow-y:auto;
	}
	.layer_item {
		height:20px;
		margin:2px 8px;
		border-bottom:1px solid #ddd;
	}
	.cut_length{
		width:200px;
		overflow:hidden;
		text-overflow:ellipsis;
		white-space:nowrap;
		cursor:default;
	}
	.show-intro{
		width: 90%;
		word-wrap: break-word;
		word-break: break-all;
		cursor:default;
	}
	.lazy_sub_header_tip{
		display:inline-block;
		width:480px;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
		cursor:pointer;
	}
</style>
<body>
<div class="lazy_sub_header">
	<span class="tip lazy_sub_header_tip" style="margin-left:10px;font-size:14px;" title="<?=$info["CUSTOMER_NAME"]?>"><?=$info["CUSTOMER_NAME"]?></span>
	<?if(isset($_REQUEST["come"])&&$_REQUEST["come"]!=1){?><a class="btn btn-default" id="back" onclick="close_detail()"><?=$_lang["common_back"]?></a><?}?>
</div>
<div class="customer-detail">
<form action="index_do.php?/update_customer" method="post" name="form1" id="form1">
<table width="100%" class="form_table" border="0" style="margin-top:10px;">
<tr>
	<td class="title"><?=$_lang["customer_cus_name"]?></td>
	<td><div title="<?=$info['CUSTOMER_NAME']?>" class="cut_length"><?=$info["CUSTOMER_NAME"]?></div></td>
    <td class="title"><?=$_lang["customer_cust_creator"]?></td>
    <td ><?=getUserNameNew($info["CREATEOR"])?></td>
</tr>
<tr>
	<td class="title"><?=$_lang["customer_query_cus_man"]?></td>
	<td><?=getUserNameNew($info["MANAGE_USER"])?></td>
	<td class="title"><?=$_lang["customer_cus_unm"]?></td>
	<td><div title="<?=$info['CUSTOMER_NUMBER']?>" class="cut_length"><?=$info["CUSTOMER_NUMBER"]?></div></td>
</tr>
<tr>
	<td class="title"><?=$_lang["customer_service_manage"]?></td>
	<td><?=getUserNameNew($info["SERVICE_USER"])?></td>
	<td  class="title"><?=$_lang["customer_cust_directory"]?></td>
	<td><?=$customer->get_proName($info["PROVINCE"]);
	if($info["CITY"] != "") { echo "---".$customer->get_cityName('',$info["CITY"]);}?></td>
</tr>
<tr>
	<td  class="title"><?=$_lang["customer_query_cus_type"]?></td>
	<td><?=get_info(4,$info["CUSTOMER_TYPE"],1)?></td>
	<td class="title"><?=$_lang["customer_customer_status"]?></td>
	<td><?=get_info(7,$info["CUSTOMER_STATE"],1)?></td>
</tr>
<tr>
	<td class="title"><?=$_lang["customer_customer_attribute"]?></td>
	<td><?=get_info(17,$info["CUSTOMER_ATTRIBUTE"],1)?></td>
	<td class="title"><?=$_lang["customer_industry"]?></td>
	<td><?=get_info(27,$info["CUSTOMER_INDUSTRY"],1)?></td>
</tr>

<!--电话传真-->
<tr>
	<td  class="title"><?=$_lang["customer_linkman_comtel"]?></td>
	<td><div title="<?=$info['TEL_NO']?>" class="cut_length"><?=$info["TEL_NO"]?></div></td>
	<td  class="title"><?=$_lang["customer_FAX_NO"]?></td>
	<td><div title="<?=$info['FAX_NO']?>" class="cut_length"><?=$info["FAX_NO"]?></div></td>
</tr>
<!--网址，地区-->
<tr>
	<td  class="title"><?=$_lang["customer_CUSTOMER_WWW"]?></td>
	<td><div title="<?=$info['CUSTOMER_WWW']?>" class="cut_length"><?=$info["CUSTOMER_WWW"]?></div></td>
	<td class="title"><?=$_lang["customer_legol_person"]?></td>
	<td><?=$info["LE_PERSON"]?></td>
</tr>
<!--邮编和邮件-->
<tr>
	<td class="title"><?=$_lang["customer_POSTALCODE"]?></td>
	<td><?=$info["POSTALCODE"]?></td>
	<td class="title"><?=$_lang["customer_linkman_emaill"]?></td>
	<td><?=$info["EMAIL"]?></td>
</tr>
<tr>
	<td class="title"><?=$_lang["customer_CUSTOMER_ADD"]?></td>
	<td><div title="<?=$info["CUSTOMER_ADD"]?>" id='company-intro' style="width:50%;"><?=$info["CUSTOMER_ADD"]?></div></td>
	<td class="title"><?=$_lang['common_create_time']?></td>
	<td><?=$createTime?></td>
</tr>
<tr>
	<td class="title"><?=$_lang["customer_crm_cus_state"]?></td>
	<td><?=get_info(6,$info["CUSTOMER_STATUS"],1)?></td>
	<td  class="title"><?=$_lang["customer_cus_extent"]?></td>
	<td><?=get_info(5,$info["SCALE"],1)?></td>
</tr>
<tr>
	<td class="title"><?=$_lang["customer_profit"]?></td>
	<td><?=$info["CUSTOMER_PROFIT"]?></td>
</tr>

</table>
<table width="100%" class="form_table" border="0" >
<tr>
	<td class="title">
		<?=$_lang["customer_legol_person_info"]?>
	</td>
	<td colspan="3">
		<div id='company-intro' class="show-intro"><?=$info["PERSON_INFO"]?></div>
	</td>
</tr>
</table>
<?if(!isset($_REQUEST["come"])&&strpos($manUids,$info["MANAGE_USER"])){?>
<table width="100%" class="form_table" border="0">
  <?
  if($info["MANAGE_USER"] == $LOGIN_USER_ID||strpos($manUids,$info["MANAGE_USER"])) {
  ?>
	<tr id="share_customer" <?if($_REQUEST["show_share"] == true) {?> style="display:none" <?}?>>
		<td class="title"><?=$_lang["customer_crm_pur_shar"]?></td>
		<td colspan="3">
			<div class="find_check_one">
				<input type="radio" class='radio' onClick="customer_share();" name="purview" id="set_scope" value="3" <? if($info["PURVIEW"] == "3" || $info["PURVIEW"] == "1") echo "checked";?> <?if(in_array('PURVIEW_DEPT', $disEditFields)&&in_array('PURVIEW_ROLE', $disEditFields)&&in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?>>&nbsp;<?=$_lang["customer_crm_pur_select_scope"]?>&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="radio" class='radio' onClick="customer_share();" name="purview" id="select_all" value="2" <? if($info["PURVIEW"] == "2") echo "checked";?> <?if(in_array('PURVIEW_DEPT', $disEditFields)&&in_array('PURVIEW_ROLE', $disEditFields)&&in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?>>&nbsp;<?=$_lang["customer_crm_pur_select_all"]?>&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="button" id="edit_purview" value="<?=$_lang["customer_information_saved"]?>" class="btn btn-primary" />
			</div>
		</td>
	</tr>
</table>
<?}?>
<table width="100%" class="form_table" id="div1" name="div1" <? if($info["PURVIEW"] != "3" && $info["PURVIEW"] !="1") echo "style=\"display:none\"";?>>
	<tr>
		<td class="title">
			<?=$_lang['customer_man_power']?>
		</td>
		<td colspan="3">
			<table>
				<tr>
					<td>
						<?=$_lang["common_dept"]?>
					</td>
					<td colspan="3">
						<table>
							<tr>
								<td>
									<input type="hidden" name="TO_ID" id="TO_ID" value="<?=$dept_id?>">
									<textarea style="overflow:auto" cols='45' id='TO_NAME' name='TO_NAME' rows='3' wrap="yes" readonly><?=$dept_name?></textarea>
								</td>
								<td valign="bottom">
									<input type="button" class="btn btn-primary" value="<?=$_lang["common_add"]?>" onClick="LoadWindowDept('TO_ID','TO_NAME','form1',650,600)" name="button" <?if(in_array('PURVIEW_DEPT', $disEditFields)){?>disabled="disabled"<?}?>>
									<input type="button" style="background-color: #CD3333;" class="btn btn-default" value="<?=$_lang["common_empty"]?>" onClick="clearTc('TO_ID','TO_NAME');" name="button" <?if(in_array('PURVIEW_DEPT', $disEditFields)){?>disabled="disabled"<?}?>>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<?=$_lang["common_role"]?>
						<input type="hidden" name="USER_PRIV_ID" id="USER_PRIV_ID" value="<?=$info["PURVIEW_ROLE"]?>">
					</td>
					<td colspan="3">
						<table>
							<tr>
								<td>
									<textarea style="overflow:auto" cols='45' id='USER_PRIV_NAME' name='USER_PRIV_NAME' rows='3' wrap="yes" readonly><?=$priv_name?></textarea>
								</td>
								<td valign="bottom">
									<input type="button" class="btn btn-primary" value="<?=$_lang["common_add"]?>" onClick="LoadCompatWindowPriv(event,'USER_PRIV_ID','USER_PRIV_NAME','form1')"  name="button" <?if(in_array('PURVIEW_ROLE', $disEditFields)){?>disabled="disabled"<?}?>>
									<input type="button" style="background-color: #CD3333;" class="btn btn-default" value="<?=$_lang["common_empty"]?>" onClick="clearTc('USER_PRIV_ID','USER_PRIV_NAME');" name="button" <?if(in_array('PURVIEW_ROLE', $disEditFields)){?>disabled="disabled"<?}?>>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<?=$_lang["common_user"]?>
						<input type="hidden" name="COPY_TO_ID" id="COPY_TO_ID" value="<?=$info["PURVIEW_USER"]?>">
					</td>
					<td colspan="3">
						<table>
							<tr>
								<td>
									<textarea style="overflow:auto" cols='45' id='COPY_TO_NAME' name='COPY_TO_NAME' rows='3' wrap="yes" readonly><?=$personnel?></textarea>
								</td>
								<td valign="bottom">
									<input type="button" class="btn btn-primary" value="<?=$_lang["common_add"]?>" onClick="LoadWindowUser('COPY_TO_ID','COPY_TO_NAME','form1',650,600)" name="button" <?if(in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?>>
									<input type="button" style="background-color: #CD3333;" class="btn btn-default" value="<?=$_lang["common_empty"]?>" onClick="clearTc('COPY_TO_ID','COPY_TO_NAME');" name="button" <?if(in_array('PURVIEW_USER', $disEditFields)){?>disabled="disabled"<?}?>>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<?
}
?>
<?=$OtherFieldArray['Page']?>
</form>
</div>
</body>
</html>
<script>
$(function(){
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});

	$(".customer-detail").height($(window).height()-100).niceScroll();
	$(".find_check_one").on('ifChanged','.radio', function(event){
		var state = document.getElementById('select_all').checked
		var show = document.getElementById('div1');
		if(state==true)
		{
			show.style.display='none';
		}
		else
		{
			show.style.display='';
		}
        $(":radio").iCheck('update');
	});
});
function customer_share()
{
	var show_div = document.getElementById('div1');
	var purview	 = event.srcElement;

	if(purview.type == 'radio' && purview.checked) {
		if(purview.value == '3') {
			show_div.style.display	= '';
		} else {
			show_div.style.display	= 'none';
		}
	}
	return true;
}

function customer_share()
{
	var show_div	= document.getElementById('div1');
	var purview		= event.srcElement;
	if(purview.type == 'radio' && purview.checked) {
		if(purview.value == '3') {
			show_div.style.display	= '';
		} else {
			show_div.style.display	= 'none';
		}
	}
	return true;
}
var success_notify;
$(document).ready(function() {
	$("#submit").click(function() {
		var user_id = $("#COPY_TO_ID").val();
		return false;
		url = "update.php";
		var type = "share";
		$.ajax({
			type:'POST',
			data:encodeURI('user_id='+user_id+'&edit_type='+type+'&customer_id='+<?=$_REQUEST["CUSTOMER_ID"]?>),
			url:url,
			success:function(requ) {
				alert(requ);
			}
		})
	})

	$("#delete").click(function() {
		var msg	= '<?=$_lang["common_del_alert"]?>';
		if(window.confirm(msg))
		{
            var url = "delete.php";
            var delete_type = "delete";
            $.ajax({
				type:'POST',
				data:'customer_id='+<?=$_REQUEST["CUSTOMER_ID"]?>+'&delete_type='+delete_type,
				url:url,
				success:function(requ) {
					alert('<?=$_lang['customer_delete_success']?>');
					window.close();
					window.opener.location.reload();
				}
            })
		}
	})

	$("#edit_purview").click(function() {
		var purview = $(".radio:checked").val();
		var url 	= '/general/crm/customer/new/detail/index_do.php?op=update_purview';
		if(purview == 3) {
			var to_id = $("#TO_ID").val();
			var user_priv_id = $("#USER_PRIV_ID").val();
			var copy_to_id   = $("#COPY_TO_ID").val();
		} else {
			var to_id	     = '';
			var user_priv_id = '';
			var copy_to_id   = '';
			$("#TO_ID").val('')
			$("#USER_PRIV_ID").val('')
			$("#COPY_TO_ID").val('')
			$("#TO_NAME").val('')
			$("#USER_PRIV_NAME").val('')
			$("#COPY_TO_NAME").val('')
		}

		$.ajax({
			type:'POST',
			data:'CUSTOMER_ID=<?=$_REQUEST["CUSTOMER_ID"]?>&PURVIEW='+purview+'&TO_ID='+to_id+'&USER_PRIV_ID='+user_priv_id+'&COPY_TO_ID='+copy_to_id,
			url:url,
			success:function(requ) {
				var msg=requ;
				if (!requ) {
					msg="<?=$_lang['customer_man_opt_fault']?>";
				}
				if (success_notify) {
					success_notify.pnotify_remove();
				}
				success_notify=$.pnotify({
					text:msg,
					animate_speed:"fast",
					history:false,
					delay:"1500",
					type:"success",
				}).click(function(event) {
					success_notify.pnotify_remove();
				});
			}
		})
	})
})

function clearTc(id,name){
	var objId = document.getElementById(id);
	var objName = document.getElementById(name);
	objId.value = "";
	objName.value = "";
}
function close_detail(){
	window.parent.$(".detail_contacts_iframe").hide();
	window.parent.$(".show_contacts").hide();
	window.parent.$(".list_wrap").show();
}
</script>
<?
	//记录日志
	$logArr = array("FIELD_CONTENT"=>$_lang["customer_check_customer"],
					"TABLE"=>'customer',
					"TABLE_ID"=>$_REQUEST['CUSTOMER_ID'],
					"MODIFY_USER"=>$_SESSION["LOGIN_USER_ID"]);
	$customer->addSaveCustomerLog($logArr);
?>