<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      业务机会列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/operation.php
 * @version       18
 * @author        Qu|www.weaver.com.cn
 * @date          2013-02-17
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer,other");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('502,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}
$customer = new customer();
$manUids = $customer->get_userid_str();
$PAGE_TITLE = $_lang["customer_operation_mgr"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<SCRIPT type="text/javascript" src="/inc/field_add/field_add.js"></SCRIPT>
<script type="text/javascript" src="/inc/upload/upload.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
		
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<script language=javascript src="/inc/usergeneral.js"></script>

<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
		
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
		
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<body>
<div class="lazy_header">
	<!-- <span class="tip"s style="margin-left:10px"><?=$_lang["customer_operation_mgr"]?></span> -->
	<div class="business_filter"></div>
	<a class="btn btn-primary" id="new" onclick="location='operation_new.php?CUSTOMER_NAME=<?=$CUSTOMER_NAME?>&customer_id=<?=$_REQUEST["CUSTOMER_ID"]?>';"><?=$_lang["common_new"]?></a>
	<div class="business_search" style="float:right;margin:6px 5px 0 0;"></div>
</div>
<div class="business_list_wrap"></div>
<div class="Div_Customer_Dialog">
    <iframe style="width:100%;border:none;height:100%;" frameborder="0" id="Div_Customer_Dialog"></iframe>
</div>
<? showUserGeneralDiv()?>
<input type="hidden" id="type" value="all">
</body>
</html>
<script type="text/javascript">
$(".time_picker").datepicker();
$("select").selectpicker();
$('input').iCheck({
    checkboxClass : 'icheckbox_square-blue',
    radioClass : 'iradio_square-blue'
});

function LoadWindow(id,name,form,dialog_div,isRequire)
{
  var URL="/general/crm/linkman/customer_select/index.php?id="+id+"&name="+name+"&form="+form+"&dialog_div="+dialog_div+"&isRequire="+isRequire;
  $("#Div_Customer_Dialog").attr("src",URL);
  $(".Div_Customer_Dialog").dialog("open");

}
var confirm_notify;
var manUids = "<?=$manUids?>";
$(function(){

	$(".Div_Customer_Dialog").dialog({
	    autoOpen: false,
	    width: 600,
	    modal: true,
	    height:470,
	    dialogClass:"lazy_dialog",  //此行必须有
	    resizable:false
	});
	
	$(".business_search").LazySearch({
		tip : "<?=$_lang['customer_man_check_chance']?>",
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {    
//                $('.lazy_filter_ul').find('li').removeClass('current');
//                $('.lazy_filter_ul').find('li[data_key="all"]').addClass('current');
                initFilter();
				$(".business_list_wrap").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						where_query:"",
						business_type:'all'
					},
					page:{
						currentPage:0
					}
				});
			},
			items : [{
				key : "OPER_NAME",
				title : "<?=$_lang['customer_man_business_have']?>",
			},{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang['customer_customername_include']?>",
			}]
		},
		onClearButtonClick:function(){
			$(".business_list_wrap").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
					where_query:"",
					business_type:'all'
				},
				page:{
					currentPage:0
				}
			});
		},
		advancedSearch : {
			onSearch : function(a,b) {
//                $('.lazy_filter_ul').find('li').removeClass('current');
//                $('.lazy_filter_ul').find('li[data_key="all"]').addClass('current');
                initFilter();
				$.ajax({
					url: 'operation_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form1').serialize(),
					success:function(data){
						$(".business_list_wrap").LazyTable("reload",{
							param:{
								where_query:data,
								search_field:"",
								search_str:"",
								business_type:'all'
							},
							page:{
								currentPage:0
							}
						});
					}
				});
			},
			items : "operation_search.php",
		},
	});

	var user_id="<?=$_SESSION['LOGIN_USER_ID']?>";
	$(".business_list_wrap").height($(window).height()-80).niceScroll();
	$(".business_list_wrap").LazyTable({
		dataSource : "operation_do.php",
		param : {
			op : "getList",
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				if (user_id=='admin') {
					return true;
				}else{
					return false;
				}
			}	
		}, {
			key : "OPER_START",
			title : "<?=$_lang['customer_man_business_level']?>",
			template:function(data){
				var start_img = "";
				for(j=1;j<=data.OPER_START;j++) {
					start_img += "<img src=/images/star_full.png align='absmiddle'>";
				}
				if(data.OPER_START.length>1) {
					start_img += "<img src=/images/star_half_full.png align='absmiddle'>";
				}
				return start_img;
			}
		}, {
			key : "OPER_NAME",
			width:180,
			title : "<?=$_lang['customer_man_business']?>",
		}, {
			key : "OPER_MONEY",
			title : "<?=$_lang['customer_man_business_money']?>"
		}, {
			key : "MANAGE_USER_NAME",
			title : "<?=$_lang["customer_query_cus_man"]?>"
		}, {
			key : "CUSTOMER_NAME",
			width:180,
			title : "<?=$_lang["customer_cus_name"]?>"
		}, {
			key : "OPER_STATUS_NAME",
			title : "<?=$_lang["customer_oper_status"]?>"
		}, {
			key : "CREATOR_NAME",
			title : "<?=$_lang["customer_crm_cont_creat"]?>"
		}, {
			key : "CREATE_TIME",
			title : "<?=$_lang["customer_man_create_time"]?>"
		}, {
			key : "OPER_DATE",
			title : "<?=$_lang["customer_operation_date"]?>"
		}],
		page : {
			itemsPerPage :10
		},
		batchButtons : [{
			title : "<?=$_lang["common_del_many"]?>",
			func : function(data) {
				var i,operids = '';
				for( i = 0; i< data.length; i++) {
						operids += data[i].OPER_ID + ',';
				}
				operids = operids.substr( 0,(operids.length-1) );
				if(operids=='') {
					if (confirm_notify) {
						confirm_notify.pnotify_remove();
					}
					confirm_notify = $.pnotify({
				        text: "<?=$_lang["customer_choose_option_first"]?>",
				        type : "info",
				        animate_speed:"fast",
				        history:false,
				        delay:"1500"
				    }).click(function(){
				    	confirm_notify.pnotify_remove();
				    });
					return false;
				} else {
					bootbox.confirm("<?php echo $_lang['customer_sure_want_del']?>",function(result){
						if (result) {
							$.ajax({
								type:'POST',
								data:'op=delete_all&operids='+operids+'&tablename=OPERATION',
								url:'/general/crm/customer/operation_do.php',
								success:function(data)
								{
									if(data == '1') {
										$(".business_list_wrap").LazyTable("reload",{
											param:{
												business_type:$("#type").val(),
												search_field:"",
												search_str:"",
											}
										});

										if (confirm_notify2) {
											confirm_notify2.pnotify_remove();
										}
										confirm_notify2 = $.pnotify({
									        text: "<?=$_lang["customer_delete_success"]?>",
									        type : "success",
									    }).click(function(){
									    	confirm_notify2.pnotify_remove();
									    });
									} else {
										if (confirm_notify3) {
											confirm_notify3.pnotify_remove();
										}
										confirm_notify3 = $.pnotify({
									        text: data,
									        type : "error"
									    }).click(function(){
									    	confirm_notify3.pnotify_remove();
									    });
									}
								}
							});
						}
					});
				}
			}
		}],
		buttons : {
			buttonInfor : {
				"detail" : {
					title : "<?=$_lang["common_detail"]?>",
					isDefault:true,
					func : function(data) {
						var url	= "/general/crm/customer/oper_detail.php?OPER_ID="+data.OPER_ID;
						location = url;
					}
				},
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
						var url	= "/general/crm/customer/oper_edit.php?OPER_ID="+data.OPER_ID;
						location = url;
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						var msg	= '<?=$_lang["common_del_alert"]?>';
						bootbox.confirm(msg,function(result){
							if (result) {
								$.ajax({
									url:"/general/crm/customer/operation_do.php?op=delete&OPER_ID="+data.OPER_ID,
									success:function(result){
										if(result == "success") {
                                            //==========清空其他查询条件==========================//
                                            $('.business_search').find(':text').val('');
                                            $('.business_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
                                            //==================================================//
											$(".business_list_wrap").LazyTable("reload",{
												param:{
													business_type:$("#type").val(),
													search_field:"",
													search_str:"",
												}
											});
										} else {
											$.pnotify({
										        text: "error!!!",
										        type : "error"
										    })
										}
									}
								});
							}
						});
					}
				}
			},
			filter:function(data){
				var filterArr = [];
				if (user_id==data.SERVICE_USER || user_id==data.MANAGE_USER || user_id==data.CREATOR || manUids.indexOf(data.MANAGE_USER)>0) {
					filterArr = ["edit"];
				}
				if(user_id == 'admin'){
					filterArr.push('delete');
				}
				filterArr.push('detail');
				return filterArr;
			}
		},
		sort : {
			items : [{
				key : "OPER_START",
				title : "<?=$_lang['customer_man_business_level']?>",
			}, {
				key : "OPER_NAME",
				title : "<?=$_lang['customer_man_business']?>",
			}, {
				key : "OPER_MONEY",
				title : "<?=$_lang['customer_man_business_money']?>"
			}, {
				key : "OPER_DATE",
				title : "<?=$_lang["customer_operation_date"]?>"
			}, {
				key : "OPER_STATUS",
				title : "<?=$_lang["customer_oper_status"]?>"
			}, {
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_query_cus_man"]?>"
			}],
			onItemClick : function(key, sortType) {
				$(".business_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortType
					}
				},true);
			}
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });
		 	$(".customer_list_wrap").niceScroll().resize();
		}
	});

	$(".business_list_wrap").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".business_list_wrap").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});

	$(".business_list_wrap").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
            if ($(".business_list_wrap").find(".lazy_table_checkbox").filter(function() {
                return $(this).prop("checked") == false;
            }).length == 0) {
                $(".business_list_wrap").find(".lazy_table_checkall").prop("checked", true);
            }
        } else {
            $(".business_list_wrap").find(".lazy_table_checkall").prop("checked", false);
        }

        $(":checkbox").iCheck('update'); 
	});

	


	$(".business_filter").LazyFilter({
		onClick : function(data) {
            //==========清空其他查询条件==========================//
            $('.business_search').find(':text').val('');
            $('.business_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
            //==================================================//
			$("#type").val(data);
			$(".business_list_wrap").LazyTable("reload", {
				param:{
					business_type : data,
					search_field:"",
					search_str:""
				},
				page : {
					currentPage : 0
				}
			});
		},
		common : {
			dataSource : [{
				key:"all",
				isDefault:true,
				title:"<?=$_lang['customer_man_business_all']?>"
			},{
				key:"my",
				title:"<?=$_lang['customer_man_business_my']?>"
			},{
				key:"other_business",
				title:"<?=$_lang['customer_man_business_other']?>"
			}],
			template : "{title}"
		},
		more : {
			header : "<?=$_lang['customer_man_business_more']?>",
			dataSource:[/*{key:"create",title:"<?=$_lang['common_created_login_user']?>"},*/
					    {key:"thismonth",title:"<?=$_lang['common_create_this_m']?>"},
					    {key:"monthend",title:"<?=$_lang['common_end_this_m']?>"},
					    {key:"startrank",title:"<?=$_lang['common_rank_top_ten']?>"}]
		}
	});
});
function initFilter(){
    $(".business_filter").html('')
    $(".business_filter").LazyFilter({
		onClick : function(data) {
            //==========清空其他查询条件==========================//
            $('.business_search').find(':text').val('');
            $('.business_search').find('a').find('i').removeClass('active').removeClass('fa-times-circle').addClass('fa-search');
            //==================================================//
			$("#type").val(data);
			$(".business_list_wrap").LazyTable("reload", {
				param:{
					business_type : data,
					search_field:"",
					search_str:""
				},
				page : {
					currentPage : 0
				}
			});
		},
		common : {
			dataSource : [{
				key:"all",
				isDefault:true,
				title:"<?=$_lang['customer_man_business_all']?>"
			},{
				key:"my",
				title:"<?=$_lang['customer_man_business_my']?>"
			},{
				key:"other_business",
				title:"<?=$_lang['customer_man_business_other']?>"
			}],
			template : "{title}"
		},
		more : {
			header : "<?=$_lang['customer_man_business_more']?>",
			dataSource:[

			<?
				$customer = new customer();
				$shaixuan=$customer->getShaixuan();
				foreach ($shaixuan as $key=>$value) {
					echo "{key:"."\"".$value['OPTION_PARAM']."\",title:"."\"".$_lang[$value['OPTION_NAME']]."\"},";
				}
			?>

			]
		}

	});
}
</script>
