<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      联系记录详情页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/record_detail.php
 * @version       20
 * @author        Qu|www.weaver.com.cn
 * @date          2013-01-25
 */
include_once("inc/auth.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("inc/function_attach.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer,info");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('502,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}

$customer	   = new customer();
$info		   = $customer->get_relation_record('RE_ID','DESC',$customer_id,$where_str,$_REQUEST["RE_ID"]);
$customer_info = $customer->get_customer_info($info[1][CUSTOMER_ID]);

if(count($customer_info)==0) {
	Message( "",$_lang["common_read_pur_explain"]);
	exit ();
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<SCRIPT type="text/javascript" src="/inc/common.js"></SCRIPT>
<script type="text/javascript" src="/inc/attachgeneral.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<SCRIPT type="text/javascript" src="/inc/prototype.js"></SCRIPT>
<script>
String.prototype.commafy = function(){ 
	if (this == "") return ""; 
	var _n = this.match(/(-?\d+)(\.\d*)?/); 	
	var length = _n[1].length; 
	var i = length % 3 
	var str1 = _n[1].substring(0,i) 
	var str2 = _n[1].substring(i,length) ;	
	var result = str1 + str2.replace(/(\d{3})/g, ",$1") + // integer. 
	_n[2].replace(/(\d{3})/g, "$1,").replace(/(.*),$/, "$1"); // decimal. 	
	result = result.replace(/^,(.*)/, "$1") 	
	return result; 
}; 

jQuery(document).ready(function() {		
	jQuery(":button").LazyBeautifyButton();
});
</script>
</head>
<body leftmargin="0">
<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr class="newwindowhead">
    <td>
		<b><?=$_lang["customer_detail_relation_record"]?></b>
    </td>
  </tr>
</table>
<table width="98%" border="0" cellpadding="0" cellspacing="0" align="center">
	<tr height="10">
		<td width="10" class="tablecornertopleft10"></td>
		<td class="tablecornertopcenter10"></td>
		<td width="10" class="tablecornertoprightt10"></td>
	</tr>
	<tr>
		<td width="10" class="tablecornermiddleleft"></td>
		<td class="tablecornermiddlecenter" valign="top">
<table border="0" cellspacing="1" width="100%" cellpadding="3" class="pubtable">
	<tr>
		<td  class="table-column-one"><?=$_lang["customer_relation_record_title"]?>：</td>
		<td  class="Tablecol1"><?=$info[1][RE_TITLE]?></td>
	</tr>
	<tr>
		<td  class="table-column-one" width="20%"><?=$_lang["customer_linkman_bel_to"]?>：</td>
		<td  class="Tablecol1" width="40%"><?=$customer_info["CUSTOMER_NAME"]?></td>
		<td  class="table-column-one" width="20%"><?=$_lang["customer_crm_cont_creat"]?>：</td>
		<td  class="Tablecol1" width="40%"><?=getUserNameNew($info[1][CREATEOR])?></td>
	</tr>
	<tr>
		<td  class="table-column-one"><?=$_lang["customer_contact_info"]?>：</td>
		<td  class="Tablecol1"><?=$customer->get_linkmanname($info[1][LINKMAN_ID])?></td>
		<td  class="table-column-one"><?=$_lang["customer_relation_type"]?>：</td>
		<td  class="Tablecol1"><?=get_info('28',$info[1][RE_TYPE],1)?></td>
	</tr>
	<tr>
		<td  class="table-column-one"><?=$_lang["customer_relation_date"]?>：</td>
		<td  class="Tablecol1"><?=$info[1][RE_DATE1]." ".$info[1][RE_TIME1]."--".$info[1][RE_DATE2]." ".$info[1][RE_TIME2]?></td>
	</tr>
	<tr>
		<td  class="table-column-one"><?=$_lang["customer_query_contact_rec"]?>：</td>
		<td  class="Tablecol1"><?=$info[1][RE_RECORD]?></td>
	</tr>
	<tr>
		<td  class="table-column-one"><?=$_lang["common_attachment"]?>：</td>
		<td  class="Tablecol1" colspan="3">
			<table>
				<tr>
					<td>
						<?
						if($info[1][ATTACHMENT_NAME]=="") {
							echo $_lang["info_rss_notify_nothing"];
						} else {
							echo showAttachBrowse($info[1][ATTACHMENT_ID],$info[1][ATTACHMENT_NAME],1,0,0);
						}
						?>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</td>
<td width="10" class="tablecornermiddleright" ></td>
</tr>
<tr height="10">
	<td width="10" class="tablecornerbottomleft"></td>
	<td class="tablecornerbottomcenter"></td>
	<td width="10" class="tablecornerbottomright" ></td>
</tr>
	</table></td>
</tr>
</table>
	<? showAttachGeneralDiv()?>
</body>
</html>
