<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      客户的搜索页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/search.php
 * @version       13
 * @author        Qu|www.weaver.com.cn
 * @date          2012-03-05
 */
include_once("inc/auth.php");
include_once("api/field_set.class.php");
include_once("general/system/combox/packaging.php");
includelangpak("customer");

$OtherFieldObj = new PageFactory();
$OtherFieldArray = $OtherFieldObj->CreatePage('CUSTOMER',$CUSTOMER_ID,'CUSTOMER_ID','form1','search');
?>
<form id="form1" name="form1">
<table width="100%" border="0" cellpadding="3" cellspacing="1">
  <tr>
    <td class="title"><?=$_lang["customer_query_cus_man"]?></td>
    <td>
	   <input type="text" id="MANAGE_NAME" name="MANAGE_NAME" class="textreadonly" size="20" maxlength="20" readonly value="">
			<input type="hidden" name="MANAGE_USER" id="MANAGE_USER" value="">
			<input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="LoadWindowUserSingle('MANAGE_USER','MANAGE_NAME','form1')" >
      <input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-default" onClick="clear_input('MANAGE_USER','MANAGE_NAME','form1')" >
		</td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_cus_name"]?></td>
    <td>
        <input type="text" name="CUSTOMER_NAME" class="text" size="20" maxlength="20">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_query_cus_type"]?></td>
    <td>
		<select name="CUSTOMER_TYPE" class="select" width="150px">
			<option value='0' ><?=$_lang["customer_cus_belong"]?></option>
			<?=show_info(4)?>
		</select>
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_phone"]?></td>
    <td>
        <input type="text" name="TEL_NO" size="20" maxlength="20" check="/\D-\D*/" >&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_fax"]?></td>
    <td>
        <input type="text" name="FAX_NO"  size="20" maxlength="20" check="/\D-\D*/">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_website"]?></td>
    <td>
        <input type="text" name="CUSTOMER_WWW" size="20" maxlength="20" check="/w[3].*.*/">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["customer_linkman_emaill"]?></td>
    <td>
        <input type="text" name="EMAIL" size="20" maxlength="20" check="/@×.×/" >&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_address"]?></td>
    <td>
        <input type="text" name="CUSTOMER_ADD" size="20" maxlength="20">&nbsp;
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["common_zipcode"]?></td>
    <td>
        <input type="text" name="POSTALCODE" size="20" maxlength="20">&nbsp;
    </td>
   </tr>  
	<tr>
		<td colspan='2'>
			<?=$OtherFieldArray['Page']?>
		</td>
	</tr>
  </table>
</form>
<script type="text/javascript">
$(function() {
	$(".library_date,.customDate").datepicker();
	$('select').selectpicker({
		width:"150px",
		height:"28px",
	});
	$(".title").css({
		"width":"100px",
		"padding-right":"20px",
		"text-align":"right"
	});	
});
function clear_input(id,name,form){
  $("#"+id).val("");
  $("#"+name).val("");
}
</script>