<?
/**
 * Systemname:       E-Office
 * Filename:         general/crm
 * Function:         客户管理系统
 * Encoding:         utf8
 * Author:           www.weaver.com.cn
 * Date:             2008-5-26
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
include_once("inc/auth.php"); 
include_once("api/customer.class.php");
$customerObj = new customer();
includelangpak("customer");
$CUSTOMER_NAME = $_REQUEST["CUSTOMER_NAME"];
$input_customer_name	= $CUSTOMER_NAME;
?>
<table >
	<tr>
		<td align="center" style="font:bold;"><?=$_lang["customer_search_resoult"]?></td>
		<td align="right" style="font-size:12px;"><span style="color:#0000FF;cursor:hand" onClick="closediv();"><?=$_lang["common_close"]?></span></td>
	</tr>
<?
$count	= 0;
$list = $customerObj->getData('customer','*',"CUSTOMER_NAME LIKE '%".$CUSTOMER_NAME."%'");
foreach($list as $row)
{
	unset($id);
	$count++;
	$customer_id	= $row["CUSTOMER_ID"];
	$customer_name	= $row["CUSTOMER_NAME"];
	$manage_user	= $row["MANAGE_USER"];
	$purview		= $row["PURVIEW"];
	$purview_dept	= $row["PURVIEW_DEPT"];
	$purview_role	= $row["PURVIEW_ROLE"];
	$purview_user	= $row["PURVIEW_USER"];

	if($input_customer_name == $customer_name){
		$id		= "xx";
	}

	switch($purview){
		//默认
		case '1':
			$purview_ses	= default_validate();
			break;
		//公开
		case '2':
			$purview_ses	= "<a href=\"#\" id=\"".$id."\" onclick=\"customer_detail('".$customer_id."');\">".$customer_name."</a>";
			break;
		case '3':
			$dept_validate	= dept_validate();	//部门验证
			$role_validate	= role_validate();	//角色验证
			$user_validate	= user_validate();	//人员验证

			if(($dept_validate || $role_validate || $user_validate) === false){
				$purview_ses	= default_validate();
			}else{
				$purview_ses	= "<a href=\"#\" id=\"".$id."\" onclick=\"customer_detail('".$customer_id."');\">".$customer_name."</a>";
			}
			break;
	}

	if($_SESSION['LOGIN_USER_ID'] == $manage_user || $manage_user == ""){
		$purview_ses = "<a href=\"#\" id=\"".$id."\" onclick=\"customer_detail('".$customer_id."');\">".$customer_name."</a>";
	}

	$show	= $purview_ses;
?>
	<tr>
		<td colspan="2" title='<?=$customer_name?>'><?=$show?></td>
	</tr>
<?
}
echo '<center>';
if($count == 0)
{
	echo "<tr><td>";
	echo "(".$_lang["customer_search_nothing"].")";
	echo "</td></tr>";
	exit;
}
echo '</center>';
?>
</table>
</body>
</html>
<?
function default_validate()
{
	$customerObj = new customer();
	global $connection, $customer_id, $customer_name, $manage_user,$id,$input_customer_name;
	//先读客户经理角色级别
	$row2 = $customerObj->getDataOne('user_priv as up, user as u','up.*',"up.USER_PRIV=u.USER_PRIV and u.USER_ID='".$manage_user."'");
	if($row2){
		$priv_no	= $row2["PRIV_NO"];
	}
	
	//再读登陆者的角色级别
	$row3 = $customerObj->getDataOne('user_priv as up, user as u','up.*',"up.USER_PRIV=u.USER_PRIV and u.USER_ID='".$_SESSION['LOGIN_USER_ID']."'");
	if($row3){
		$login_priv_no	= $row3["PRIV_NO"];
	}

	if($login_priv_no < $priv_no){
		$purview_ses	= "<a href=\"#\" id=\"".$id."\" onclick=\"customer_detail('".$customer_id."');\">".$customer_name."</a>";
	}else{
		if($input_customer_name == $customer_name)
			$purview_ses	= "<span style=\"color:#FF0000;\">".$customer_name."</span>";
		else
			$purview_ses	= "<span style=\"color:#999999;\">".$customer_name."</span>";
	}
	return $purview_ses;
}

//部门验证
function dept_validate()
{
	global $connection, $purview_dept;
	$customerObj = new customer();
	if($purview_dept == 'ALL_DEPT')
		return true;

	$row2 = $customerObj->getDataOne('department as d, user as u','d.*',"u.DEPT_ID=d.DEPT_ID and u.USER_ID='".$_SESSION['LOGIN_USER_ID']."'");
	if($row2){
		$dept_id	= $row2["DEPT_ID"];
	}

	if(array_search($dept_id, explode(",", $purview_dept)) !== false){
		return true;
	}else{
		return false;
	}
}

//角色验证
function role_validate()
{
	global $connection, $purview_role;
	$customerObj = new customer();
	$row2 = $customerObj->getDataOne('user_priv as up, user as u','up.*',"up.USER_PRIV=u.USER_PRIV and u.USER_ID='".$_SESSION['LOGIN_USER_ID']."'");	
	if($row2){
		$login_priv_no	= $row2["USER_PRIV"];
	}
	
	if(array_search($login_priv_no, explode(",", $purview_role)) !== false){
		return true;
	}else{
		return false;
	}
}

//人员验证
function user_validate()
{
	global $connection, $purview_user;
	
	if(array_search($_SESSION['LOGIN_USER_ID'], explode(",", $purview_user)) !== false){
		return true;
	}else{
		return false;
	}
}
?>