<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      合同管理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/show_conract.php
 * @version       17
 * @author        Qu|www.weaver.com.cn
 * @date          2013-02-17
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
includelangpak("customer");

$customer  = new customer();
$resultStr = "";
$count	= 0;

//快速筛选参数
$quickSortParam = $_REQUEST['quickSortParam'];

//拼音检索参数
$pinYinSearchParam = $_REQUEST['pinYinSearchParam'];
//分页参数_偏移量
$offset = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows   = $_REQUEST['paginationRows'];
//排序参数
$sortParamRequest = $_REQUEST['sortParam'];
$sortParamSplit   = explode("*", $sortParamRequest);

$customers = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);



$where_str   = array();
$searchArray = array();
if (trim($_REQUEST["CONTRACT_NAME"]) != "") {
	$where_str['CONTRACT_NAME'] = dhtmlspecialchars($_REQUEST["CONTRACT_NAME"]);
	array_push($searchArray, array(
			"field" => "CONTRACT_NAME",
			"title" => $_lang["customer_contract_name"],
			"text"  => dhtmlspecialchars($_REQUEST["CONTRACT_NAME"]),
			"op"    => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["CONTRACT_NO"]) != "") {
	$where_str['CONTRACT_NO'] = dhtmlspecialchars($_REQUEST["CONTRACT_NO"]);
	array_push($searchArray, array(
			"field" => "CONTRACT_NO",
			"title" => $_lang["customer_contract_no"],
			"text"  => dhtmlspecialchars($_REQUEST["CONTRACT_NO"]),
			"op"    => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["CUSTOMER_ID"]) != "") {
	$where_str['CUSTOMER_ID'] = $_REQUEST["CUSTOMER_ID"];
	array_push($searchArray, array(
			"field" => "CUSTOMER_ID",
			"title" => $_lang["customer_linkman_bel_to"],
			"text"  => $customers["CUSTOMER_NAME"],
			"value" => $_REQUEST["CUSTOMER_ID"],
			"op"	=> $_lang["customer_field_equal"]
	));
}
if (trim($_REQUEST["CONTACT_DATE"]) != "") {
	$where_str['CONTACT_DATE'] = $_REQUEST["CONTACT_DATE"];
	array_push($searchArray, array(
			"field" => "CONTACT_DATE",
			"title" => $_lang["customer_crm_contract_worktime"],
			"text"  => $_REQUEST["CONTACT_DATE"],
			"op"	=> $_lang["customer_field_larger"]
	));
}
if (trim($_REQUEST["CONTACT_DATE2"]) != "") {
	$where_str['CONTACT_DATE2'] = $_REQUEST["CONTACT_DATE2"];
	array_push($searchArray, array(
			"field" => "CONTACT_DATE2",
			"title" => $_lang["customer_crm_contract_worktime"],
			"text"  => $_REQUEST["CONTACT_DATE2"],
			"op"	=> $_lang["customer_field_smaller"]
	));
}
if (trim($_REQUEST["SIGNER_NAME"]) != "") {
	$where_str['SIGNER_NAME'] = dhtmlspecialchars($_REQUEST["SIGNER_NAME"]);
	array_push($searchArray, array(
			"field" => "SIGNER_NAME",
			"title" => $_lang["customer_crm_signer"],
			"text"  => dhtmlspecialchars($_REQUEST["SIGNER_NAME"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["CON_CSIGN"]) != "") {
	$where_str['CON_CSIGN'] = dhtmlspecialchars($_REQUEST["CON_CSIGN"]);
	array_push($searchArray, array(
			"field" => "CON_CSIGN",
			"title" => $_lang["customer_crm_signer"],
			"text"  => dhtmlspecialchars($_REQUEST["CON_CSIGN"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["CONTACT_DATE3"]) != "") {
	$where_str['CONTACT_DATE3'] = $_REQUEST["CONTACT_DATE3"];
	array_push($searchArray, array(
			"field" => "CONTACT_DATE3",
			"title" => $_lang["customer_crm_sign_date"],
			"text"  => $_REQUEST["CONTACT_DATE3"],
			"op"	=> $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["CONTACT_DATE4"]) != "") {
	$where_str['CONTACT_DATE4'] = $_REQUEST["CONTACT_DATE4"];
	array_push($searchArray, array(
			"field" => "CONTACT_DATE4",
			"title" => $_lang["customer_crm_sign_cusdate"],
			"text"  => $_REQUEST["CONTACT_DATE4"],
			"op"	=> $_lang["customer_field_smaller"]
	));
}

if (count($searchArray) != 0&&$_REQUEST["op"]=="search") {
	AddRecentSearchParam($searchArray,"business_6",$_SESSION["LOGIN_USER_ID"]);
}

if($_REQUEST["CUSTOMER_ID"] == "") {
	$info = $customer->get_contract_info($sortParamSplit[0],$sortParamSplit[1],$where_str,'','',$offset,$rows,$quickSortParam,$pinYinSearchParam);
} else {
	$info = $customer->get_contract_info($sortParamSplit[0],$sortParamSplit[1],$where_str,'',$_REQUEST["CUSTOMER_ID"],$offset,$rows,$quickSortParam,$pinYinSearchParam);
}

if($info[1][CON_ID] != "") {
	for($i=0;$i<count($info);$i++) {
		$count++;
		$customers = $customer->get_customer_info($info[$count][CUST_ID]);
		if($count==1) {
		    $resultStr .= "<table class='pubtable' border='0' width='100%' cellspacing='0' cellpadding='0'>";
		}
		
		$resultStr .= "<tr><td>";
		if(($info[$count][CREATEOR] == $LOGIN_USER_ID || $LOGIN_USER_ID == $customers["MANAGE_USER"]) && $_REQUEST["back"] != true) {		
			$resultStr .= "<input type='checkbox' name='con_id' id='con_id[]' class='checkbox' value=".$info[$count][CON_ID]."/>";
		}

		$CON_DATE   = $info[$count][CON_DATE2]!="0000-00-00"?$info[$count][CON_DATE2]:"";
		$resultStr .= "</td><td>".$info[$count][CON_NO]."</td>
		<td ><a href='#' onclick=\"contract_detail('".$info[$count][CON_ID]."');\">".substrGB($info[$count][CON_NAME],30,'...')."</a></td><td>".preg_replace('/(?<=[0-9])(?=(?:[0-9]{3})+(?![0-9]))/',',',$info[$count][CON_COUNT])."</td>
		<td >".$CON_DATE."</td>
		<td ><a href='#' onclick=\"customer_detail('".$info[$count][CUST_ID]."');\">".$customers[CUSTOMER_NAME]."</a></td><td>";

		if($info[$count][CREATEOR] == $LOGIN_USER_ID || $LOGIN_USER_ID == $customers["MANAGE_USER"]) {
			$resultStr .="<a href='#' onclick=\"edit_contract('".$info[$count][CON_ID]."');\">".$_lang["common_edit"]."</a>&nbsp;&nbsp;
			 <a href='#' onclick=\"javascript:delete_contract('".$info[$count][CON_ID]."');\">".$_lang["common_del"]."</a>";
		}

		$resultStr .= "</td></tr>";
	}
}

if($count == 0) {
} else {	
	$resultStr .= "<thead><tr><td width='3%'></td>
	<td width='10%' field='CON_NO'>".$_lang["customer_contract_no"]."</td>
	<td field='CON_NAME'>".$_lang["customer_contract_name"]."</td>
	<td width='15%'>".$_lang["customer_contract_amount"]."</td>
	<td width='15%'>".$_lang["customer_contract_end_date"]."</td>
	<td width='25%'>".$_lang["customer_cus_name"]."</td>
	<td width='10%'>".$_lang["common_operate"]."</td></tr></thead></table>";
}
$resultArray = array("htmlStr" => $resultStr, "pagingParam" => $info[1]["COUNT"],"searchParam" => $searchArray);
echo json_encode($resultArray);
?>