<?php
/**
 * @copyright (C) 2001 - 2016 Weaver Co.Ltd
 * @package       eoffice 9.0
 * @function      字段设置
 * @encoding      $_lang['encoding']
 * @name          index.php
 * @version       6
 * @author        qishaobo|www.weaver.com.cn
 * @date          2016-09-06
*/

include_once("inc/auth.php");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer");
if (ini_get('magic_quotes_gpc')) {
	function stripslashesRecursive(array $array){
		foreach ($array as $k => $v) {
			if (is_string($v)){
				$array[$k] = stripslashes($v);
			} else if (is_array($v)){
				$array[$k] = stripslashesRecursive($v);
			}
		}
		return $array;
	}
	$_GET = stripslashesRecursive($_GET);
	$_POST = stripslashesRecursive($_POST);
	$_REQUEST = stripslashesRecursive($_REQUEST);
}

$op = $_REQUEST['op'];
$customerObj = new customer();

switch ($op) {
	case 'saveFields':
		$data = array(
				'PURVIEW_FIELDS'=> $_POST['fields'],
				'PURVIEW_DEPT'	=> $_POST['dept_id'],
				'PURVIEW_ROLE'	=> $_POST['role_id'],
				'PURVIEW_USER'	=> $_POST['user_id'],
				'PURVIEW_TYPE'	=> 1,
			);

		$result = $customerObj->saveFields($data);

		echo $result ? 1 : 0;
		break;
	default :
		break;
}

function get_fields_list() {
	$fields = array(
			'CUSTOMER_NAME'		=> '客户名称',
			'TEL_NO'			=> '公司电话',
			'FAX_NO'			=> '传真号码',
			'CUSTOMER_WWW'		=> '公司网址',
			'EMAIL'				=> '电子邮箱',
			'CUSTOMER_ADD'		=> '公司地址',
			'POSTALCODE'		=> '邮政编码',
			'MANAGE_USER'		=> '客户经理',
			'SERVICE_USER'		=> '客服经理',
			'CUSTOMER_NUMBER'	=> '客户编号',
			'CUSTOMER_STATE'	=> '客户类型',
			'CUSTOMER_STATUS'	=> '客户来源',
			'CUSTOMER_TYPE'		=> '客户状态',
			'SCALE'				=> '公司规模',
			'AREA'				=> '所在地区',
			'PURVIEW_DEPT'		=> '部门查看权限',
			'PURVIEW_ROLE'		=> '角色查看权限',
			'PURVIEW_USER'		=> '用户查看权限',
			'BIRTHDAY_REMIND'	=> '生日提醒',
			'LE_PERSON'			=> '企业法人',
			'CUSTOMER_INDUSTRY'	=> '所在行业',
			'CUSTOMER_PROFIT'	=> '年销售额',
			'CUSTOMER_ATTRIBUTE'=> '客户属性',
			'PERSON_INFO'		=> '企业介绍',
		);

	$customerObj = new customer();
	$customFields = $customerObj->getCustomFields();

	if (!empty($customFields)) {
		foreach ($customFields as $k => $v) {
			$k = 'CUSTOMER_SET_'.$k;
			$fields[$k] = $v;
		}
	}

	return $fields;
}

function getFieldsById($id) {
	$customerObj = new customer();
	$fields = $customerObj->getFieldsById($id);

	if (empty($fields)) {
		$fieldsEdit = array(
				'permissionFields' 	=> array(),
				'dept_id'			=> '',
				'dept_name'			=> '',
				'role_id'			=> '',
				'role_name'			=> '',
				'user_id'			=> '',
				'user_name'			=> '',
			);
	} else {

		//查询部门
		$dept_name = '';
		if (!empty($fields['PURVIEW_DEPT'])) {
			$dept_array	= array_filter(explode(',', $fields['PURVIEW_DEPT']));
			foreach ($dept_array as $dept) {
				if ($row = $customerObj->getDataOne('department', 'DEPT_NAME', "DEPT_ID=".$dept)) {
					$dept_name .= $row['DEPT_NAME'].",";
				}
			}
		}

		//查询角色
		$role_name = '';
		if (!empty($fields['PURVIEW_ROLE'])) {
			$role_array	= array_filter(explode(',', $fields['PURVIEW_ROLE']));
			foreach ($role_array as $role) {
				if($row = $customerObj->getDataOne('user_priv','PRIV_NAME',"USER_PRIV=".$role)){
					$role_name.= $row['PRIV_NAME'].",";
				}
			}
		}

		//查询人员
		$user_name = '';
		if (!empty($fields['PURVIEW_USER'])) {
			$user_array	= array_filter(explode(',', $fields['PURVIEW_USER']));
			foreach ($user_array as $user) {
				if($row = $customerObj->getDataOne('user', 'USER_NAME', "USER_ID='".$user."'")){
					$user_name.= $row['USER_NAME'].",";
				}
			}
		}

		$fieldsEdit = array(
				'permission_fields' => array_filter(explode(',', $fields['PURVIEW_FIELDS'])),
				'dept_id'			=> $fields['PURVIEW_DEPT'],
				'dept_name'			=> $dept_name,
				'role_id'			=> $fields['PURVIEW_ROLE'],
				'role_name'			=> $role_name,
				'user_id'			=> $fields['PURVIEW_USER'],
				'user_name'			=> $user_name,
			);
	}

	return $fieldsEdit;
}