<?
/**
 * @copyright (C) 2001 - 2016 Weaver Co.Ltd
 * @package       eoffice 9.0
 * @function      字段设置
 * @encoding      $_lang['encoding']
 * @name          index.php
 * @version       6
 * @author        qishaobo|www.weaver.com.cn
 * @date          2016-09-06
*/

include_once ("inc/auth.php");
include_once ("inc/utility_all.php");
include_once("do.php");
includelangpak ("system");
includelangpak("customer");

$fields = get_fields_list();
$fieldsEdit = getFieldsById(1);

$PAGE_TITLE	= $_lang["customer_field_set"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<SCRIPT language=javascript src="/inc/common.js"></SCRIPT>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />

<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link href="/newplugins/font-awesome/css/font-awesome.min.css" rel="stylesheet"/>

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" href="/newplugins/css/jquery.lazyplugins.css" />

<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
<style type="text/css">
	.main_wrap {min-width: 900px;}
	.main_wrap .title{font-size: 14px;color: #555;width: 90%; margin: 10px auto 10px;}
	.fields,.permissions {width: 90%; margin: 0 auto;}
	.permissions {margin-top: 50px;}
	.permissions .permission label {display: inline-block;width: 40px;height: 60px;line-height: 60px;}
	.permissions .permission textarea {width: 600px;height: 68px;overflow: auto;margin-right: 15px;padding: 5px;}
	.field {display:inline-block;margin-right: 10px;line-height: 38px;width: 110px;}
</style>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-file-text"></i>
			<span class="tip"><?=$_lang["customer_field_set"]?></span>
		</span>
		<input type="button" id='submit' class="btn btn-primary" value="<?=$_lang['common_submit'];?>" />
	</div>
	<div class="main_wrap">
		<h3 class="title">
			<i class="fa fa-pencil-square-o"></i>
			<?=$_lang["customer_field_set_dis"]?>
		</h3>
		<form action="do.php?op=save" method="post" name="form1" id="form1">
			<div class="fields">
				<?php foreach($fields as $field => $fieldName) { ?>
				<span class="field">
					<input type="checkbox" class="checkbox" name='fields[]' <?if(!empty($fieldsEdit['permission_fields']) &&in_array($field, $fieldsEdit['permission_fields'])){?>checked="checked"<?}?>  value="<?=$field?>" />
					<label for="checkbox1"><?=$fieldName;?></label>
				</span>
				<?php } ?>
			</div>
			<div class="permissions">
				<div class="permission dept">
					<label><?=$_lang["common_dept"]?></label>
					<input type="hidden" name="DEPT_ID" id="DEPT_ID" value="<?=$fieldsEdit['dept_id']?>">
					<textarea id="DEPT_NAME" wrap="yes" readonly><?=$fieldsEdit['dept_name']?></textarea>
					<button type="button" onClick="LoadWindowDept('DEPT_ID','DEPT_NAME','form1');" class="btn btn-primary"><?=$_lang["common_add"]?></button>&nbsp;&nbsp;
					<button type="button" onClick="clear_permission('DEPT');" class="btn btn-danger"><?=$_lang["common_empty"]?></button>
				</div>
				<br>
				<div class="permission role">
					<label><?=$_lang["common_role"]?></label>
					<input type="hidden" name="ROLE_ID" id="ROLE_ID" value="<?=$fieldsEdit['role_id']?>">
					<textarea id="ROLE_NAME" wrap="yes" readonly><?=$fieldsEdit['role_name']?></textarea>
					<button type="button" onClick="LoadCompatWindowPriv(event,'ROLE_ID','ROLE_NAME','form1');" class="btn btn-primary"><?=$_lang["common_add"]?></button>&nbsp;&nbsp;
					<button type="button" onClick="clear_permission('ROLE');" class="btn btn-danger"><?=$_lang["common_empty"]?></button>
				</div>
				<br>
				<div class="permission user">
					<label><?=$_lang["common_user"]?></label>
					<input type="hidden" name="USER_ID" id="USER_ID" value="<?=$fieldsEdit['user_id']?>">
					<textarea id="USER_NAME" wrap="yes" readonly><?=$fieldsEdit['user_name']?></textarea>
					<button type="button" onClick="LoadWindowUser('USER_ID','USER_NAME','form1');" class="btn btn-primary"><?=$_lang["common_add"]?></button>&nbsp;&nbsp;
					<button type="button" onClick="clear_permission('USER');" class="btn btn-danger"><?=$_lang["common_empty"]?></button>
				</div>
			</div>
		</form>
	</div>
</body>
<script>
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;


	$('.checkbox').iCheck({
		checkboxClass : 'icheckbox_square-blue'
	});

	$('#submit').click(function() {
		var fields = '';

		$(".checkbox").each(function(){
		    if (this.checked) {
		    	fields += $(this).val()+',';
		    }
		});

		if (!fields) {
			$.pnotify({
		        text: "<?=$_lang["customer_field_not_empty"]?>",
		        type : "info"
		    });
		    return ;
		}

		var dept_id = $("#DEPT_ID").val();
		var role_id = $("#ROLE_ID").val();
		var user_id = $("#USER_ID").val();

		if (!dept_id && !role_id && !user_id) {
			$.pnotify({
		        text: "<?=$_lang["customer_add_dept_role_user"]?>",
		        type : "info"
		    });
		    return ;
		}

		$.ajax({
			url: 'do.php?op=saveFields',
			type: 'POST',
			data: {
				fields: fields,
				dept_id: dept_id,
				role_id: role_id,
				user_id: user_id,
			},
			success:function(data){
				if (data == 1) {
					$.pnotify({
				        text: "<?=$_lang["customer_man_save_success"]?>",
				        type : "success"
				    });
				} else {
					$.pnotify({
				        text: "<?=$_lang["customer_save_fail"]?>",
				        type : "error"
				    });
				}
			    return ;
			}
		});
	})

	function clear_permission(opt) {
		$("#"+opt+'_ID').val('');
		$("#"+opt+'_NAME').val('');
	}
</script>
</html>