<?php
/**
*@Systemname:       E-Office
*@Filename:         general/crm/fun.php
*@Function:         客户管理系统
*@Encoding:         utf8
*@Author:           www.weaver.com.cn
*@Date:             2008-5-26
*@File Version:     2.0
*@Eoffice Version:  7.8
*/

// 默认验证
function default_validate()
{
	global $connection, $customer_id, $customer_name, $manage_user;
	//先读客户经理角色级别
	$query2	= "select up.* from user_priv as up, user as u where up.USER_PRIV=u.USER_PRIV and u.USER_ID='".SecurityFilter($manage_user)."'";
	$cursor2= exequery($connection, $query2);
	if($row2= mysql_fetch_array($cursor2)){
		$priv_no	= $row2["PRIV_NO"];
	}
	
	//再读登陆者的角色级别
	$query3	= "select up.* from user_priv as up, user as u where up.USER_PRIV=u.USER_PRIV and u.USER_ID='".$_SESSION['LOGIN_USER_ID']."'";
	$cursor3= exequery($connection, $query3);
	if($row3= mysql_fetch_array($cursor3)){
		$login_priv_no	= $row3["PRIV_NO"];
	}

	if($login_priv_no < $priv_no){
		$purview_ses	= "<a href=\"#\" onclick=\"customer_detail('".SecurityFilter($customer_id)."');\">".SecurityFilter($customer_name)."</a>";
	}else{
		$purview_ses	= false;
	}

	return $purview_ses;
}

//部门验证
function dept_validate()
{
	global $connection, $purview_dept;

	if($purview_dept == 'ALL_DEPT')
		return true;
	
	$query2	= "select d.* from department as d, user as u where u.DEPT_ID=d.DEPT_ID and u.USER_ID='".$_SESSION['LOGIN_USER_ID']."'";
	$cursor2= exequery($connection, $query2);
	if($row2= mysql_fetch_array($cursor2)){
		$dept_id	= $row2["DEPT_ID"];
	}

	if(array_search($dept_id, explode(",", $purview_dept)) !== false){
		return true;
	}else{
		return false;
	}
}

//角色验证
function role_validate()
{
	global $connection, $purview_role;

	$query2	= "select up.* from user_priv as up, user as u where up.USER_PRIV=u.USER_PRIV and u.USER_ID='".$_SESSION['LOGIN_USER_ID']."'";
	$cursor2= exequery($connection, $query2);
	if($row2= mysql_fetch_array($cursor2)){
		$login_priv_no	= $row2["USER_PRIV"];
	}
	
	if(array_search($login_priv_no, explode(",", $purview_role)) !== false){
		return true;
	}else{
		return false;
	}
}

//人员验证
function user_validate()
{
	global $connection, $purview_user;
	
	if(array_search($_SESSION['LOGIN_USER_ID'], explode(",", $purview_user)) !== false){
		return true;
	}else{
		return false;
	}
}

//获取查询客户信息的sql语句
function get_customer_sql_string ($flag = 1, $order, $sens ,$where_str = '')
{	
	if($flag==1)
		$sql = get_customer_manage_str();
	else if($flag==2)
		$sql = get_customer_all_str();
	else if($flag==0)
		$sql = get_customer_view_str();
	else if($flag==3)
		$sql = get_customer_admin();
	
	$sql .= $where_str ;	
	switch( $order )
	{
		case 'customer_name':
			$sql	.= " order by c.CUSTOMER_NAME";
			break;
		case 'tel_no':
			$sql	.= " order by c.TEL_NO";
			break;
		default:
			$sql	.= " order by c.CUSTOMER_ID";
			break;
	}

	$sql	.= $sens ?' ASC':' DESC';	
	return $sql;
}

//查询客户的sql语句
function get_customer_all_str(){

	$sql = " SELECT c.CUSTOMER_ID, c.CUSTOMER_NAME, c.TEL_NO, c.FAX_NO, c.EMAIL, c.CUSTOMER_TYPE,c.MANAGE_USER,c.PURVIEW,u.USER_NAME
			 FROM customer as c 
			 LEFT JOIN user as u ON u.USER_ID = c.MANAGE_USER ";			
	return $sql;
}

//客户信息管理，查询sql语句
function get_customer_manage_str()
{
	
	$sql = "
			SELECT c.CUSTOMER_ID, c.CUSTOMER_NAME, c.TEL_NO, c.FAX_NO, c.EMAIL, c.CUSTOMER_TYPE,c.MANAGE_USER,c.PURVIEW, u.USER_NAME, u.DEPT_ID, u.USER_ACCOUNTS 
			 FROM customer as c 
			 LEFT JOIN user as u ON u.USER_ID = c.MANAGE_USER WHERE c.MANAGE_USER = '".$_SESSION['LOGIN_USER_ID']. "'";			
	return $sql;
}

//获取下属的用户账户

function get_underling_accounts( $login_priv ){
	global $connection;
	
	switch( $login_priv['post_priv'] ){
		case '0':
			$sql = "SELECT USER_ACCOUNTS 
					FROM USER u 
					LEFT JOIN user_priv up ON up.USER_PRIV = u.USER_PRIV 
					WHERE up.PRIV_NO > '". SecurityFilter($login_priv['priv_no']) . "'  AND DEPT_ID = '".SecurityFilter($login_priv['priv_dept'])."'";
			break;
		case '1':
			$sql = "SELECT USER_ACCOUNTS 
					FROM USER u 
					LEFT JOIN user_priv up ON up.USER_PRIV = u.USER_PRIV
					WHERE up.PRIV_NO > '". SecurityFilter($login_priv['priv_no']) . "'";
			break;
		case '2':
			$sql = "SELECT USER_ACCOUNTS 
					FROM USER u 
					LEFT JOIN user_priv up ON up.USER_PRIV = u.USER_PRIV
					WHERE up.PRIV_NO > '". SecurityFilter($login_priv['priv_no']) . "' AND INSTR('".SecurityFilter($login_priv['post_dept'])."',DEPT_ID)>0 ";
			break;
	}	
	
	$cursor = exequery($connection, $sql);
	while($row= mysql_fetch_array($cursor)){
		$accounts[] = $row["USER_ACCOUNTS"];
	}	
	if(empty($accounts))
		$accounts = array($login_priv['priv_user']);
	else
		$accounts = array_filter($accounts);
	return $accounts;
}

//客户信息查询，查询sql语句
function get_customer_view_str()
{
	$purview_where = get_purview_where();

	$sql = "
			SELECT c.CUSTOMER_ID, c.CUSTOMER_NAME, c.TEL_NO, c.FAX_NO, c.EMAIL, c.CUSTOMER_TYPE,c.MANAGE_USER,c.PURVIEW,u.USER_NAME, u.DEPT_ID, u.USER_ACCOUNTS 
			FROM customer as c 
			LEFT JOIN user as u ON(u.USER_ID = c.MANAGE_USER) 
			LEFT JOIN user_priv as up ON(up.USER_PRIV = u.USER_PRIV) 
			     WHERE $purview_where";	
	return $sql;
}

//超级管理员，获取客户信息表中所有的数据
function get_customer_admin(){

	$sql = "
			SELECT c.CUSTOMER_ID, c.CUSTOMER_NAME, c.TEL_NO, c.FAX_NO, c.EMAIL, c.CUSTOMER_TYPE,c.MANAGE_USER,c.PURVIEW,u.USER_NAME, u.DEPT_ID, u.USER_ACCOUNTS 
			FROM customer as c 
			LEFT JOIN user as u ON(u.USER_ID = c.MANAGE_USER) 
			LEFT JOIN user_priv as up ON(up.USER_PRIV = u.USER_PRIV)
			" ;
	return $sql;
}


//获取联系人的查询语句
function get_linkman_sql_string( $flag , $order, $sens, $where_str = '' )
{
	if( $flag ) 
		$sql = get_linkman_str_all();
	else
		$sql = get_linkman_str_with_preview();	
	
	$sql .= $where_str;
	switch( $order ){
		case 'customer_name':
			$sql	.= " order by c.CUSTOMER_NAME";
			break;
		case 'tel_no_work':
			$sql	.= " order by l.TEL_NO_WORK";
			break;
		case 'linkman_name':
			$sql	.= " order by l.LINKMAN_NAME";
			break;
		case 'email':
			$sql	.= " order by l.EMAIL";
			break;
		case 'sex':
			$sql	.= " order by l.SEX";
			break;
		case 'birthday':
			$sql	.= " order by l.BIRTHDAY";
			break;
		case 'mobile':
			$sql	.= " order by l.MOBILE";
			break;
		default:
			$sql	.= " order by l.LINKMAN_ID";
			break;
	}
	$sql .= $sens?' ASC':' DESC';	
	return $sql;
}

//获取下级帐户名字符串
function get_accounts_str( $login_priv ){	
	$accounts_array = get_underling_accounts($login_priv);
	foreach($accounts_array as $acc){
		$accounts_str .= "'" . $acc . "',";
	}
	if($accounts_str == "") {
		global $connection;
		$query = "SELECT * FROM user WHERE USER_ID='".$_SESSION['LOGIN_USER_ID']."'";
		$rs    = exequery($connection,$query);
		$row   = mysql_fetch_array($rs);
		$accounts_str = "'".$row["USER_ACCOUNTS"]."',";
	}
	$accounts_str = substr( $accounts_str, 0, -1 );
	return $accounts_str;
}

//交往记录查询语句
function get_contact_sql_string( $order=true, $sens=true ,$where_str='' )
{	
	$purview_where = get_purview_where();

	$sql = "
			SELECT ct.*, c.CUSTOMER_ID, c.CUSTOMER_NAME, c.MANAGE_USER,c.PURVIEW, l.LINKMAN_NAME, u.USER_NAME,u.DEPT_ID, u.USER_ACCOUNTS, up.USER_PRIV 
			FROM contact as ct
			LEFT JOIN customer as c ON ct.CUSTOMER_ID = c.CUSTOMER_ID
			LEFT JOIN linkman as l ON ct.LINKMAN_ID = l.LINKMAN_ID 
			LEFT JOIN user as u ON(u.USER_ID = c.MANAGE_USER) 
			LEFT JOIN user_priv as up ON(up.USER_PRIV = u.USER_PRIV) 
			    WHERE $purview_where";
	$sql = $sql . $where_str;
	switch( $order )
	{
		case 'contact_content':
			$sql	.= " order by ct.CONTACT_CONTENT";
			break;
		case 'contact_date':
			$sql	.= " order by ct.CONTACT_DATE";
			break;
		case 'customer_name':
			$sql	.= " order by c.CUSTOMER_NAME";
			break;
		case 'linkman_name':
			$sql	.= " order by ct.LINKMAN_NAME";
			break;
		default:
			$sql	.= " order by ct.CONTACT_ID";
			break;
	}
	$sens = $sens?' DESC':' ASC';
	$sql = $sql.$sens;
	return $sql;
}


//销售记录查询语句

function get_sale_sql_string( $order=true, $sens=true ,$where_str='' ){
	
	$purview_where = get_purview_where();
	$sql = "
			SELECT s.*, p.PRODUCT_ID, p.PRODUCT_NAME, c.CUSTOMER_ID, c.CUSTOMER_NAME, c.MANAGE_USER,c.PURVIEW, u.USER_NAME,u.DEPT_ID, u.USER_ACCOUNTS, up.USER_PRIV 
			FROM sale_history as s
			LEFT JOIN customer as c ON s.CUSTOMER_ID = c.CUSTOMER_ID
			LEFT JOIN product as p ON s.PRODUCT_ID = p.PRODUCT_ID 
			LEFT JOIN user as u ON(u.USER_ID = c.MANAGE_USER) 
			LEFT JOIN user_priv as up ON(up.USER_PRIV = u.USER_PRIV) 
			WHERE $purview_where";
	$sql = $sql . $where_str;
	
	switch( $order ){
		case 'customer_name':
			$sql	.= " order by c.CUSTOMER_NAME";
			break;
		case 'product_name':
			$sql	.= " order by p.PRODUCT_NAME";
			break;
		case 'date':
			$sql	.= " order by s.DATE";
			break;
		case 'amt':
			$sql	.= " order by s.AMT";
			break;
		case 'price':
			$sql	.= " order by LENGTH(s.PRICE)";
			break;
		case 'discount':
			$sql	.= " order by s.DISCOUNT";
			break;
		case 'salesman':
			$sql	.= " order by s.SALESMAN";
			break;
		default:
			$sql	.= " order by s.HISTORY_ID";
			break;
	}	
	$sql	.= empty($sens) ?' ASC ':' DESC ';	
	return $sql;
}

//该查询一般用于根据客户id号查询该客户下所属的联系人，因为有客户id，所以不需要再做权限判断

function get_linkman_str_all()
{
	$sql_string = "SELECT l.*, c.CUSTOMER_NAME FROM linkman as l LEFT JOIN customer as c ON l.CUSTOMER_ID = c.CUSTOMER_ID where 1 " ;	
	return $sql_string;
}

//根据当前登录的用户权限查询相应的联系人，需要根据当前登录用户的客户经理判断，查找该客户经理所属的联系人

function get_linkman_str_with_preview()
{
	$purview_where = get_purview_where();

	$sql_string	= "
					SELECT l.*, c.MANAGE_USER, c.CUSTOMER_NAME, u.USER_NAME
					FROM linkman as l 
					LEFT JOIN customer as c ON l.CUSTOMER_ID = c.CUSTOMER_ID
					INNER JOIN user as u ON u.USER_ID = c.MANAGE_USER 
					INNER JOIN user_priv as up ON up.USER_PRIV = u.USER_PRIV 
							WHERE $purview_where";	
	return $sql_string;
}

//获取登录用户的权限信息

function get_login_priv()
{
	global $connection;

	//再读登陆者的角色级别
	$sql	= "
			   SELECT up.USER_PRIV, up.PRIV_NO, u.DEPT_ID, u.USER_ID, u.USER_ACCOUNTS, u.POST_PRIV, u.POST_DEPT FROM user_priv as up 
			     LEFT JOIN user as u ON(u.USER_PRIV = up.USER_PRIV) 
				     WHERE  u.USER_ID='".$_SESSION['LOGIN_USER_ID']."'";	
	$cursor= exequery( $connection, $sql );
	if($row= mysql_fetch_array($cursor)) {	
		$login_priv['priv_no']	    = $row["PRIV_NO"];
		$login_priv['priv_dept']    = $row["DEPT_ID"];
		$login_priv['priv_user']	= $row["USER_ID"];
		$login_priv['post_priv']    = $row['POST_PRIV'];
		$login_priv['post_dept']    = $row['POST_DEPT'];
		$login_priv['user_priv']    = $row['USER_PRIV'];
	}
	return $login_priv;
}

//客户信息管理页面的list页面的

function get_c_info( $customer_type ,$_lang )
{
	switch( $customer_type )
	{
		case '1':
			$c_title	= $_lang["customer_query_formal"];
			$c_img		= "<img src='/theme/".$_SESSION['LOGIN_THEME']."/images/icon/1-formal.gif' border='0'>";
			break;
		case '2':
			$c_title	= $_lang["customer_query_important"];
			$c_img		= "<img src='/theme/".$_SESSION['LOGIN_THEME']."/images/icon/2-emphasis.gif' border='0'>";
			break;
		case '3':
			$c_title	= $_lang["customer_query_hidden"];
			$c_img		= "<img src='/theme/".$_SESSION['LOGIN_THEME']."/images/icon/3-latent.gif' border='0'>";
			break;
		case '4':
			$c_title	= $_lang["customer_query_ineffective"];
			$c_img		= "<img src='/theme/".$_SESSION['LOGIN_THEME']."/images/icon/4-useless.gif' border='0'>";
			break;
		default:
			$c_title	= $_lang["customer_query_no_state"];
			$c_img		= "";
			break;
	}
	$c_info['title'] = $c_title;
	$c_info['img'] = $c_img;
	return $c_info;
}

// 客户名称 列的 <a> 标签字符串

function get_purview_ses( $purview ,$customer_id, $customer_name, $manage_user )
{	
	switch($purview){
		//默认
		case '1':
			$purview_ses	= default_validate();
			break;
		//公开
		case '2':
			$purview_ses	= "<a href=\"#\" onclick=\"customer_detail('".$customer_id."');\">".$customer_name."</a>";
			break;
		case '3':
			$dept_validate	= dept_validate();	//部门验证
			$role_validate	= role_validate();	//角色验证
			$user_validate	= user_validate();	//人员验证

			if(($dept_validate || $role_validate || $user_validate) === false){
				$purview_ses	= default_validate();
			}else{
				$purview_ses	= "<a href=\"#\" onclick=\"customer_detail('".$customer_id."');\">".$customer_name."</a>";
			}
			break;
	}
	if ($manage_user == $_SESSION['LOGIN_USER_ID'] || $manage_user == ""){
		$purview_ses	= "<a href=\"#\" onclick=\"customer_detail('".$customer_id."');\">".$customer_name."</a>";
	}
	if( empty($purview_ses) )
		return false;	
	return $purview_ses;
}

//客户转移
function get_customer_move_str($user_id,$where_str='')
{
	$purview_where = get_purview_where();
	$sql = "
			SELECT c.CUSTOMER_ID, c.CUSTOMER_NAME, c.TEL_NO, c.FAX_NO, c.EMAIL, c.CUSTOMER_TYPE,c.MANAGE_USER,c.PURVIEW,u.USER_NAME, u.DEPT_ID, u.USER_ACCOUNTS 
			    FROM customer as c 
			LEFT JOIN user as u ON(u.USER_ID = c.MANAGE_USER) 
			LEFT JOIN user_priv as up ON(up.USER_PRIV = u.USER_PRIV) 
			    WHERE 1=1 
				   AND($purview_where) 
			";	
	$sql .= $where_str ;
	return $sql;
}
//获取下级权限条件sql
function get_purview_where(){
	include_once("api/customer.class.php");
	$customer = new customer();
	return $customer->get_purview_where();
}
?>