<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      联系人的数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/crm/linkman/dis_linkman.php
 * @version       20
 * @author        Qu|www.weaver.com.cn
 * @date          2013-02-17
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
includelangpak("customer");

$customer  = new customer();
$resultStr = "";
$count	   = 0;

//快速筛选参数
$quickSortParam = $_REQUEST['quickSortParam'];
//拼音检索参数
$pinYinSearchParam = $_REQUEST['pinYinSearchParam'];
//分页参数_偏移量
$offset = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows   = $_REQUEST['paginationRows'];
//排序参数
$sortParamRequest = $_REQUEST['sortParam'];
$sortParamSplit   = explode("*", $sortParamRequest);

//我的查询的条件的添加
$customers = $customer->get_customer_info($_REQUEST["CUSTOMER_ID"]);
$where_str = array();
$searchArray = array();
if (trim($_REQUEST["CUSTOMER_ID"]) != "") {
	$where_str['CUSTOMER_ID'] = $_REQUEST["CUSTOMER_ID"];
	array_push($searchArray, array(
			"field" => "CUSTOMER_ID",
			"title" => $_lang["customer_linkman_bel_to"],
			"text" => $customers["CUSTOMER_NAME"],
			"value"=>$_REQUEST["CUSTOMER_ID"],
			"op" => $_lang["customer_field_equal"]
	));
}

if(trim($_REQUEST["LINKMAN_NAME"]) != "") {
	$where_str['LINKMAN_NAME'] = dhtmlspecialchars($_REQUEST["LINKMAN_NAME"]);
	array_push($searchArray, array(
			"field" => "LINKMAN_NAME",
			"title" => $_lang["customer_link_man_name"],
			"text" => dhtmlspecialchars($_REQUEST["LINKMAN_NAME"]),
			"op" => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["POST_PRIV"]) != "") {
	$where_str['POST_PRIV'] = dhtmlspecialchars($_REQUEST["POST_PRIV"]);
	array_push($searchArray, array(
			"field" => "POST_PRIV",
			"title" => $_lang["customer_link_man_work"],
			"text" => dhtmlspecialchars($_REQUEST["POST_PRIV"]),
			"op" => $_lang["customer_field_contain"]
	));
}
if (trim($_REQUEST["HOBBY"]) != "") {
	$where_str['HOBBY'] = dhtmlspecialchars($_REQUEST["HOBBY"]);
	array_push($searchArray, array(
			"field" => "HOBBY",
			"title" => $_lang["customer_link_man_love"],
			"text" => dhtmlspecialchars($_REQUEST["HOBBY"]),
			"op" => $_lang["customer_field_contain"]
	));
}
if (trim($_REQUEST["TEL_NO_WORK"]) != "") {
	$where_str['TEL_NO_WORK'] = dhtmlspecialchars($_REQUEST["TEL_NO_WORK"]);
	array_push($searchArray, array(
			"field" => "TEL_NO_WORK",
			"title" => $_lang["customer_linkman_wor_pho"],
			"text" => dhtmlspecialchars($_REQUEST["TEL_NO_WORK"]),
			"op" => $_lang["customer_field_contain"]
	));
}
if (trim($_REQUEST["TEL_NO_HOME"]) != "") {
	$where_str['TEL_NO_HOME'] = dhtmlspecialchars($_REQUEST["TEL_NO_HOME"]);
	array_push($searchArray, array(
			"field" => "TEL_NO_HOME",
			"title" => $_lang["customer_link_man_pho"],
			"text" => dhtmlspecialchars($_REQUEST["TEL_NO_HOME"]),
			"op" => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["MOBILE"]) != "") {
	$where_str['MOBILE'] = dhtmlspecialchars($_REQUEST["MOBILE"]);
	array_push($searchArray, array(
			"field" => "MOBILE",
			"title" => $_lang["customer_linkman_tel"],
			"text" => dhtmlspecialchars($_REQUEST["MOBILE"]),
			"op" => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["EMAIL"]) != "") {
	$where_str['EMAIL'] = dhtmlspecialchars($_REQUEST["EMAIL"]);
	array_push($searchArray, array(
			"field" => "EMAIL",
			"title" => $_lang["customer_linkman_emaill"],
			"text" => dhtmlspecialchars($_REQUEST["EMAIL"]),
			"op" => $_lang["customer_field_contain"]
	));
}

$SearchOtherField  = $_REQUEST['SearchOther'];

if($SearchOtherField=="")
{
	$OtherFieldObj    = new PageFactory();
	$SearchOtherField = $OtherFieldObj->getSetFieldSql('LINKMAN');
}
else
{
	$SearchOtherField = urldecode($SearchOtherField);
	$SearchOtherField = str_replace('\\','',$SearchOtherField);
}

if (trim($SearchOtherField) != "") {
	$where_str['OTHER_FIELD'] = $SearchOtherField;
	$link_field = $OtherFieldObj->getSetFieldValue('LINKMAN');
	foreach($link_field as $key=>$value) {
		foreach($value as $field=>$title) {
			if($field!="F_TYPE") {
				array_push($searchArray, array(
						"field" => $title,
						"title" => $field,
						"text" => dhtmlspecialchars($_REQUEST[$title]),
						"op" => $_lang["customer_field_contain"]
				));
			}
		}
	}
}

if (count($searchArray) != 0&&$_REQUEST["op"]=="search") {
	AddRecentSearchParam($searchArray, "business_2", $_SESSION["LOGIN_USER_ID"]);
}

if($_REQUEST["CUSTOMER_ID"] == "") {
	$info = $customer->get_linkman_sql_string(0,$sortParamSplit[0],$sortParamSplit[1],$where_str,$customer_id,$offset,$rows,$pinYinSearchParam,$quickSortParam);
} else {
	$where_str["CUSTOMER_ID"] = $_REQUEST["CUSTOMER_ID"];
	$info = $customer->get_linkman_sql_string(0,$sortParamSplit[0],$sortParamSplit[1],$where_str,$_REQUEST["CUSTOMER_ID"],$offset,$rows,$pinYinSearchParam,$quickSortParam);
}

if($info[1][CUSTOMER_ID] != "") {
for($i=0;$i<count($info);$i++) {
	$count++;
	if($count==1) {
		$resultStr .= "<table class='pubtable' border='0' width='100%' cellspacing='0' cellpadding='0'>";
	}

	$customer_name = $info[$count][CUSTOMER_NAME];
	$purview_ses   = "<a href=\"#\" onclick=\"customer_detail('".$info[$count][CUSTOMER_ID]."');\">".substrGB($info[$count][CUSTOMER_NAME],30,'...')."</a>";

		$resultStr .= "<tr><td>";
		//判断是否具有单选框权限
		if(($LOGIN_USER_ID == $info[$count][CREATEOR] || $LOGIN_USER_ID == $info[$count][MANAGE_USER]) && $_REQUEST["back"] != true) {
			$resultStr .= "<input type='checkbox' name='linkman_id' id='linkman_id[]' class='checkbox' value='".$info[$count][LINKMAN_ID]."'/>";
		}
		$resultStr .= "</td><td title='".$info[$count][LINKMAN_NAME]."'><a href='#' onClick=\"linkman_detail('".$info[$count][LINKMAN_ID]."')\";>".substrGB($info[$count][LINKMAN_NAME],30,'...')."</a></td>
		<td title='".$info[$count][CUSTOMER_NAME]."'>".$purview_ses."</td>
		<td title='".$info[$count][EMAIL]."'><a href='#' onClick=\"window.open(encodeURI('/general/webmail/index.php?go=new&receiver=".$info[$count][EMAIL]."&from=other'))\">".substrGB($info[$count][EMAIL],15,'...')."</a></td>
		<td title='".$info[$count][TEL_NO_WORK]."'>".substrGB($info[$count][TEL_NO_WORK],15,'...')."</td>
		<td title='".trim($info[$count][MOBILE])."'>";	
		if(ifSendMbSms())
		{				
			$resultStr .= "<a id='mb_send' href='/general/crm/linkman/send_mbsms.php?MOBILE_NO=".str_replace(" ","",trim($info[$count][MOBILE]))."' onClick=\"return hs.htmlExpand(this,{ objectType: 'iframe',width: 500,height:300,captionText:'<span  style=\'color:#1d93d3;font-weight:bold;\' >&nbsp;".$_lang['customer_mobile_sendwin']."</span>',captionOverlay: { position: 'toppanel'}} )\">".substrGB(str_replace(" ","",trim($info[$count][MOBILE])),15,'...')."</a>";
		}
		else
		{
			$resultStr .= "<a id='mb_send'>".substrGB(str_replace(" ","",trim($info[$count][MOBILE])),15,'...')."</a>";	
		}
		$resultStr .= "</td><td>";
		if($LOGIN_USER_ID == $info[$count][MANAGE_USER] || $LOGIN_USER_ID == $info[$count][CREATEOR])
		{

			$resultStr .= "<a href=\"javascript:edt('".$info[$count][LINKMAN_ID]."','".$info[$count][CUSTOMER_ID]."');\">".$_lang["common_edit"]."</a>
			<a href=\"javascript:del('".$info[$count][LINKMAN_ID]."');\">".$_lang["common_del"]."</a>
			</td>";
		}
	$resultStr .= "</tr>";
	}
}	
	if($count == 0)
	{
	}
	else
    {		
		$resultStr .= "<thead class='TableHeader'>";
		$resultStr .= "<td width='3%'></td>";
		$resultStr .= "<td width='15%' field='LINKMAN_NAME' >".$_lang["common_name"]."</td>
		<td width='15%' field='CUSTOMER_ID'>".$_lang["customer_linkman_bel_to"]."</td>
		<td width='15%' field='EMAIL' >".$_lang["customer_linkman_email"]."</td>
		<td width='15%' field='TEL_NO_WORK' >".$_lang["common_phone"]."</td>
		<td width='15%'>".$_lang["customer_linkman_tel"]."</td>
		<td width='10%'>".$_lang["common_operate"]."</td>
		</thead></table>";   	     	
	}
	$resultArray = array("htmlStr" => $resultStr, "pagingParam" => $info[1]["COUNT"],"searchParam" => $searchArray);
	echo json_encode($resultArray);
?>