<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      联系人列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/linkman/index.php
 * @version       16
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-12
 */
include_once("inc/conn.php");
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("inc/check_type.php");
include_once("api/field_set.class.php");
include_once("inc/utility_all.php");
include_once("inc/utility_sms2.php");
include_once("inc/mobile_sms.inc.php");
includelangpak("customer");
includelangpak("email");
$customer = $customerObj = new customer();
$manUids = $customer->get_userid_str();
$op = $_REQUEST['op'];
$LOGIN_USER_ID = $_SESSION['LOGIN_USER_ID'];

switch ($op) {
	case 'getLinkmanList':
		$list 		= $customerObj->getList($customerObj->getLinkmanSql($_REQUEST));
		$totalCount = $customerObj->getNum($customerObj->getLinkmanSql($_REQUEST,2));
		foreach ($list as $k=>$row) {
			if ($row["BIRTHDAY"]=="0000-00-00"){
				$list[$k]["BIRTHDAY"]="";
			}else{
				$list[$k]["BIRTHDAY_THIS_MONTH"] = date("m",strtotime($row["BIRTHDAY"])) == date("m",time())?1:0;
			}

		}

		echo json_encode(array(
			"totalCount" => $totalCount,
			"list" => $list
		));
		break;
	case 'delete':
		if($_REQUEST['linkman_id'])
		{
			if(!is_numeric($_REQUEST['linkman_id'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}
		$ROW    = $customerObj->getDataOne('linkman','*',"LINKMAN_ID = ".$_REQUEST["linkman_id"]);
		$info   = $customer->getCustomerMgr($ROW["CUSTOMER_ID"]);
		if($_SESSION['LOGIN_USER_ID']!='admin') {
			Message("",$_lang["customer_no_this_purview"]);
			exit;
		}

		$customer->del_data('LINKMAN', $_REQUEST['linkman_id']);

		echo "success";
		break;
	case 'delete_all':
		$linkman_ids  = $_REQUEST['linkmanids'];
		$linkman_id_arr = explode( ',',$linkman_ids );

		$error_info = array();
		$i = 0;
		foreach($linkman_id_arr as $id){
			$error_info[$i]['linkman_id'] = $id ;
			$i++;
		}

		//获取错误信息
		$j = 0;
		if($_SESSION['LOGIN_USER_ID']!='admin') {
			Message("",$_lang["customer_no_this_purview"]);
			exit;
		}
		foreach($error_info as $info)
		{
			$customer->del_data("LINKMAN", $info['linkman_id']);
			unset ( $error_info[$j] );
			$j++;
		}

		sort($error_info);
		//如果所勾选的客户下面没有关联信息
		if( !empty($error_info) )
			echo json_encode($error_info);
		else
			echo "1";
		break;
	case 'update_linkman':
		if($_REQUEST['linkman_id'])
		{
			if(!is_numeric($_REQUEST['linkman_id'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}
		if($BIRTHDAY!=""&&$BIRTHDAY!="0000-00-00")
		{
		  $TIME_OK=is_date($BIRTHDAY);

		  if(!$TIME_OK)
		  {
			  $_REQUEST["BIRTHDAY"] = "";
		  }
		}

		if($ATTACHMENT_NAME!="" && $OP =="")
		{
		    $_REQUEST["ATTACHMENT_ID"] =upload($ATTACHMENT,$ATTACHMENT_NAME);
		    $ATTACHMENT_NAME=$ATTACHMENT_NAME;
		}

		if ($_REQUEST['customer_id'] != NULL) {
			$c_id	= $_REQUEST['customer_id'];
		} else {
			$c_id	= $_REQUEST['customer_id3'];
		}

		//对联系人中的手机号码的空格的过滤
		if($_REQUEST["MOBILE"] != "") {
		 $_REQUEST["MOBILE"] = preg_replace('/\s/','',$_REQUEST["MOBILE"]);
		}

		if (isset($_REQUEST["PRIMARY_LINKMAN"]) && $_REQUEST["PRIMARY_LINKMAN"] == 1) {
			$customer->updateData('linkman', array('PRIMARY_LINKMAN' => 0), "CUSTOMER_ID=".$_REQUEST["CUSTOMER_ID"]);
		}

		$pyLinkman = convertPy($inarr["LINKMAN_NAME"]);
		$linkman_data = array(
			'CUSTOMER_ID'			=>	$_REQUEST["CUSTOMER_ID"],
		    'LINKMAN_NAME'			=>	dhtmlspecialchars($_REQUEST["LINKMAN_NAME"]),
			'SEX'					=>	$_REQUEST["SEX"],
			'BIRTHDAY'				=>	$_REQUEST["BIRTHDAY"],
			'POST_PRIV'				=>	dhtmlspecialchars($_REQUEST["POST_PRIV"]),
			'LINK_DEPT'				=>	dhtmlspecialchars($_REQUEST["DEPT"]),
			'HOBBY'					=>	dhtmlspecialchars($_REQUEST["HOBBY"]),
			'ADD_HOME'				=>	$_REQUEST["ADD_HOME"],
			'POSTALCODE_HOME'		=>	dhtmlspecialchars($_REQUEST["POSTALCODE_HOME"]),
			'TEL_NO_WORK'			=>	dhtmlspecialchars($_REQUEST["TEL_NO_WORK"]),
			'TEL_NO_HOME'			=>	dhtmlspecialchars($_REQUEST["TEL_NO_HOME"]),
			'FAX_NO'				=>	dhtmlspecialchars($_REQUEST["FAX"]),
			'MOBILE'				=>	dhtmlspecialchars($_REQUEST["MOBILE"]),
			'EMAIL'					=>	dhtmlspecialchars($_REQUEST["EMAIL"]),
			'OICQ'					=>	dhtmlspecialchars($_REQUEST["OICQ"]),
			'ICQ'					=>	dhtmlspecialchars($_REQUEST["ICQ"]),
			'MEMO'					=>	$_REQUEST["MEMO"],
			'ATTACHMENT_ID'			=>	$_REQUEST["ATTACHMENT_ID"],
			'ATTACHMENT_NAME'		=>	$_REQUEST["ATTACHMENT_NAME"],
			'PRIMARY_LINKMAN'		=>	isset($_REQUEST["PRIMARY_LINKMAN"]) ? $_REQUEST["PRIMARY_LINKMAN"] : 0,
			'LINKMAN_NAME_PY'		=>	$pyLinkman[0],
			'LINKMAN_NAME_ZM'		=>	$pyLinkman[1]
		);

		$customer->updateData('linkman', $linkman_data, "linkman_id=".$_REQUEST['linkman_id']);

		//自定义字段的保存
		$factory = new PageFactory();
		$factory->saveFieldValuse('LINKMAN',$_REQUEST['linkman_id'],'LINKMAN_ID');

		if($_REQUEST['edit_types'] == 'edit_types'){
			header('location: /general/crm/linkman/query/list.php?cur_page='.$_REQUEST['cur_page'].'&CUSTOMER_ID='.$_REQUEST["CUSTOMER_ID"]);
		}

		if($_REQUEST['r_b'] == 1){
			//header("location: edit.php?customer_id=".$_REQUEST['customer_id']."&linkman_id=".$_REQUEST['linkman_id']);
			header("location: index.php");
		}

		if($_REQUEST['r_b'] == 'attach'){
			header('location: attach.php?customer_id='.$_REQUEST['customer_id3'].'&cur_page='.$_REQUEST['cur_page'].'&sens='.$_REQUEST['sens'].'&order='.$_REQUEST['order'].'');
		}
		if($_REQUEST["back"] == true) {
			header("location:/general/crm/linkman/link_list.php?CUSTOMER_ID=".$_REQUEST["CUSTOMER_ID"]);
		}
		break;
	case 'add_linkman':
		ob_start();

		$_REQUEST["MEMO"] = $_REQUEST["MEMO"];

		if($ATTACHMENT_NAME!="")
		{
		    $ATTACHMENT_ID=upload($ATTACHMENT,$ATTACHMENT_NAME);
		    $ATTACHMENT_NAME=$ATTACHMENT_NAME;
		}
		if($BIRTHDAY != ""&&$BIRTHDAY!="0000-00-00")
		{
		  $TIME_OK=is_date($BIRTHDAY);
		  if(!$TIME_OK)
		  {
			  $BIRTHDAY = "";
		  }
		}

		$pyLinkman = convertPy($LINKMAN_NAME);

		$linkman_data = array(
			'CUSTOMER_ID'		=> $CUSTOMER_ID,
			'LINKMAN_NAME'		=> dhtmlspecialchars($LINKMAN_NAME),
			'CREATEOR'			=> $LOGIN_USER_ID,
			'SEX'			 	=> $SEX,
			'BIRTHDAY'			=> $BIRTHDAY,
			'POST_PRIV'			=> dhtmlspecialchars($POST_PRIV),
			'LINK_DEPT'			=> dhtmlspecialchars($DEPT),
			'HOBBY'			 	=> dhtmlspecialchars($HOBBY),
			'ADD_HOME'			=> dhtmlspecialchars($ADD_HOME),
			'POSTALCODE_HOME'	=> dhtmlspecialchars($POSTALCODE_HOME),
			'TEL_NO_WORK'		=> dhtmlspecialchars($TEL_NO_WORK),
			'TEL_NO_HOME'		=> dhtmlspecialchars($TEL_NO_HOME),
			'FAX_NO'			=> dhtmlspecialchars($FAX),
			'MOBILE'			=> htmlspecialchars(preg_replace('/\s/', '', $MOBILE)),
			'EMAIL'			 	=> dhtmlspecialchars($EMAIL),
			'OICQ'			 	=> dhtmlspecialchars($OICQ),
			'ICQ'			 	=> dhtmlspecialchars($ICQ),
			'MEMO'			 	=> $MEMO,
			'ATTACHMENT_ID'		=> $ATTACHMENT_ID,
			'ATTACHMENT_NAME'	=> $ATTACHMENT_NAME,
			'LINKMAN_NAME_PY'	=> $pyLinkman[0],
			'LINKMAN_NAME_ZM' 	=> $pyLinkman[1],
			'PRIMARY_LINKMAN' 	=> $PRIMARY_LINKMAN,
		);

		if (isset($PRIMARY_LINKMAN) && $PRIMARY_LINKMAN == 1) {
			$customer->updateData('linkman', array('PRIMARY_LINKMAN' => 0), "CUSTOMER_ID=".$CUSTOMER_ID);
		}

		$linkman_id = $customer->addData('linkman', $linkman_data);
		$factory    = new PageFactory();
		$factory->saveFieldValuse('linkman', $linkman_id, 'LINKMAN_ID');
		header("location: index.php");
		break;
	case 'search_where':
		if($_REQUEST['CUSTOMER_ID'])
		{
			if(!is_numeric($_REQUEST['CUSTOMER_ID'])){
			    Message('',$_lang["common_param_error"],'failed');
			    exit;
			}
		}
		$sql="";
		if (trim($_REQUEST["CUSTOMER_ID"]) != "") {
			$sql .= " AND l.CUSTOMER_ID=".$_REQUEST["CUSTOMER_ID"];
		}

		if(trim($_REQUEST["LINKMAN_NAME"]) != "") {
			$sql .= " AND l.LINKMAN_NAME LIKE '%".dhtmlspecialchars($_REQUEST["LINKMAN_NAME"])."%'";
		}

		if (trim($_REQUEST["POST_PRIV"]) != "") {
			$sql .= " AND l.POST_PRIV LIKE '%".dhtmlspecialchars($_REQUEST["POST_PRIV"])."%'";
		}
		if (trim($_REQUEST["HOBBY"]) != "") {
			$sql .= " AND l.HOBBY LIKE '%".dhtmlspecialchars($_REQUEST["HOBBY"])."%'";
		}
		if (trim($_REQUEST["TEL_NO_WORK"]) != "") {
			$sql .= " AND l.TEL_NO_WORK LIKE '%".dhtmlspecialchars($_REQUEST["TEL_NO_WORK"])."%'";
		}
		if (trim($_REQUEST["TEL_NO_HOME"]) != "") {
			$sql .= " AND l.TEL_NO_HOME LIKE '%".dhtmlspecialchars($_REQUEST["TEL_NO_HOME"])."%'";
		}

		if (trim($_REQUEST["MOBILE"]) != "") {
			$sql .= " AND l.MOBILE LIKE '%".dhtmlspecialchars($_REQUEST["MOBILE"])."%'";
		}

		if (trim($_REQUEST["EMAIL"]) != "") {
			$sql .= " AND l.EMAIL LIKE '%".dhtmlspecialchars($_REQUEST["EMAIL"])."%'";
		}

		$SearchOtherField  = $_REQUEST['SearchOther'];

		if($SearchOtherField=="")
		{
			$OtherFieldObj    = new PageFactory();
			$SearchOtherField = $OtherFieldObj->getSetFieldSql('LINKMAN');
		}
		else
		{
			$SearchOtherField = urldecode($SearchOtherField);
			$SearchOtherField = str_replace('\\','',$SearchOtherField);
		}

		if (trim($SearchOtherField) != "") {
			$sql .= " ".$SearchOtherField;
		}

		echo $sql;
		break;
	case 'send_sms':
		 $nSms 	= new MobileSms();
		 $row   = $customerObj->getDataOne('user','*',"USER_ID='".$LOGIN_USER_ID."'");
		 if($row) {
			$PHONE_NO = $row["MOBIL_NO"];
		 }

		 if($PHONE_NO=="") {
			$PHONE_NO = "13123456789";
		 }

		if($_REQUEST["MOBILE_NO"]!="")
		{
		  $ifSend = $nSms->Send($PHONE_NO,$_REQUEST["MOBILE_NO"],$_REQUEST["CONTENT"],$LOGIN_USER_ID,"");
		  if ($ifSend) {
			  $cnts++;
		  }
		}

		echo $cnts;
		break;
	default:
		# code...
		break;
}
?>
