<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.x
 * @function      业务机会列表页
 * @encoding      $_lang['encoding']
 * @name          general/crm/customer/operation.php
 * @version       18
 * @author        Qu|www.weaver.com.cn
 * @date          2013-02-17
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer,other");

$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('514,'))){
	 echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	 Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	 exit;
}
$customer = new customer();
$manUids = $customer->get_userid_str();

if(isset($_COOKIE['merge_customer_num'])&&$_COOKIE['merge_customer_num']>0){
	$res = $customer->customerMergeCheck();
	if($res == 1){
		header("Location:index.php");
	}
}

$PAGE_TITLE = $_lang["customer_merge"];
include_once("inc/page_header.inc.php");
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<body>
<div class="contact_list_main_wrap">
	<div class="lazy_header">
		<span class="customer_shaixuan"></span>
		<input type="button" <?if(!isset($_COOKIE['merge_customer_num'])||$_COOKIE['merge_customer_num']<1){?>style="display:none;"<?}?> class="btn btn-primary customer-merge" value="<?=$_lang['customer_merge'];?>(<?=$_COOKIE['merge_customer_num']?>)" onclick="location='merge.php'" />
		<div class="customer_search" style="float:right;margin:6px 5px 0 0;"></div>
	</div>
	<div class="customer_list_wrap"></div>
	<input type="hidden" name="search_field" id="search_field">
    <input type="hidden" name="search_str" id="search_str">
    <input type="hidden" name="quick_sort" id="quick_sort">
    <input type="hidden" name="where_query" id="where_query">
</div>
<? showUserGeneralDiv()?>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript">
$(".customer_list_wrap").height($(window).height()-80).niceScroll();
var manUids = "<?=$manUids?>";
$(function(){
	$('input').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	    radioClass : 'iradio_square-blue'
	});
	var user_id="<?=$_SESSION['LOGIN_USER_ID']?>";
	$(".customer_list_wrap").LazyTable({
		dataSource : "do.php",
		param : {
			op : "getCustomerList",
		},
		column : [{
			key : "checkall",
			showCheckAll:function(data){
				return true;
			}
		}, {
			key : "CUSTOMER_NAME",
			title : "<?=$_lang["customer_cus_name"]?>",
			width:120,
		}, {
			key : "MANAGE_USER_NAME",
			title : "<?=$_lang["customer_query_cus_man"]?>",
		}, {
			key : "CREATE_TIME",
			title : "<?=$_lang['common_create_time']?>"
		}, {
			key : "TEL_NO",
			title : "<?=$_lang["customer_TEL_NO"]?>",
			width:120,
		}, {
			key : "FAX_NO",
			title : "<?=$_lang["customer_FAX_NO"]?>",
			width:120,
		}, {
			key : "proName",
			title : "<?=$_lang["customer_cus_province"]?>",
		}, {
			key : "cityName",
			title : "<?=$_lang["customer_cus_city"]?>",
		}],
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang['customer_crm_cus_chose']?>",
			func : function(data) {
				var customer_ids = '';
				var i = 0;
				for(x in data){
					i++;
					customer_ids += data[x].CUSTOMER_ID+',';
				}

				if(i == 0) {
					$.pnotify({
				        text: "<?=$_lang["customer_merge_choose"]?>",
				        type : "info"
				    });
					return false;
				} else {
					$.ajax({
						url: 'do.php',
						type: 'POST',
						data: {
							customer_ids: customer_ids,
							customer_num:i,
							op:"saveMerge"
						},
						success:function(result){
							var data = $.parseJSON(result);
							if(data['total']){
								var prompt = "<?=$_lang['customer_merge']?>("+data['total']+")";
								$(".customer-merge").val(prompt).show();
							}
							if(data['prompt'] == 2) {
								$.pnotify({
							        text: "<?=$_lang["customer_have_choose"]?>",
							        type : "info"
							    });
							}else if(data['prompt'] == 3){
								$.pnotify({
							        text: "<?=$_lang["customer_part_choose"]?>",
							        type : "info"
							    });
							}else if(data['prompt'] == 6){
								$.pnotify({
							        text: "<?=$_lang["customer_merge_more"]?>",
							        type : "info"
							    });
							}
						}
					});


				}
			}
		}],
		buttons : {
			buttonInfor : {
				"detail":{
					title:"<?=$_lang["common_detail"]?>",
					isDefault:true,
					func:function(data){
						var url	= "/general/crm/customer/customer.php?from=no_purview&CUSTOMER_ID="+data.CUSTOMER_ID;
						window.open(url,"","height=650,width=1000,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=30,left=30,resizable=yes");
					}
				},
			},
			filter:function(data){
				var filterArr = ["detail"];
				return filterArr;
			}
		},
		sort : {
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang["customer_cus_name"]?>",
			}, {
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_query_cus_man"]?>",
			}, {
				key : "CUSTOMER_TYPE",
				title : "<?=$_lang["customer_query_cus_type"]?>"
			}, {
				key : "CREATE_TIME",
				title : "<?=$_lang['common_create_time']?>"
			}],
			onItemClick : function(key, sortType) {
				$(".customer_list_wrap").LazyTable("reload",{
					param:{
						sortField:key,
						sortType:sortType,
					}
				},true);
			}
		},
		onAfterLoad:function(){
			 $(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			 $(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });

            $(".customer_list_wrap").niceScroll().resize();
		}
	});

	$(".customer_search").LazySearch({
		tip : "<?=$_lang['customer_checks']?>",
		fieldSearch : {
			onItemClick : function(data, value) {
				$("#search_field").val(data.key);
				$("#search_str").val(value);
				lazy_reload();
			},
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang['customer_customername_include']?>",
			},{
				key : "TEL_NO",
				title : "<?=$_lang["customer_customertel_include"]?>"
			},{
				key : "CUSTOMER_ADD",
				title : "<?=$_lang["customer_customeraddr_include"]?>"
			},{
				key : "MANAGE_USER",
				title : "<?=$_lang["customer_customerman_include"]?>"
			},{
				key : "SERVICE_USER",
				title : "<?=$_lang["customer_service_include"]?>"
			}],
		},
		onClearButtonClick:function(){
			$("#search_field").val("");
			$("#search_str").val("");
			$("#where_query").val("");
			$("#quick_sort").val("");
            lazy_reload();
		},
		advancedSearch : {
			onSearch : function(a,b) {
				$.ajax({
					url: '/general/crm/customer/crm_move/index_do.php?op=search_where',
					type: 'POST',
					data: $(b).find('#form3').serialize(),
					success:function(data){
						$("#where_query").val(data);
						$("#search_field").val('');
						$("#search_str").val('');
						$("#quick_sort").val('');
						lazy_reload();
					}
				});
			},
			items : "/general/crm/customer/index_search.php",
		},
	});

	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	function lazy_reload(){
		var search_field = $("#search_field").val();
		var search_str 	 = $("#search_str").val();
		var where_query  = $("#where_query").val();
		var quick_sort 	 = $("#quick_sort").val();
		$(".customer_list_wrap").LazyTable("reload",{
			param:{
				search_field:search_field,
				search_str:search_str,
				where_query:where_query,
				quick_sort:quick_sort,
			},
			page:{
				currentPage:0
			}
		});
	}
});
</script>