<?
/**
 * @copyright (C) 2010 - 2015 Weaver Co.Ltd
 * @package       eoffice 9.x
 * @function      
 * @encoding      $_lang['encoding']
 * @name          
 * @version       1.0
 * @author        qishaobo
 * @date          2015-07-10
 */
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
includelangpak("customer");
$PAGE_TITLE = $_lang["customer_check_application"];
include_once 'inc/page_header.inc.php';
?>
<link type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<body>
<div style="width:100%">
    <div id="examineHead" class="right_main_wrap">
        <div class="lazy_header">
            <div class="filter_wrap" style="height:0px;"></div>
            <div class="search_wrap" style="float:right;margin:6px 5px 0 0;"></div>
        </div>
        <div id="checkApplication" style="width:100%"></div>
    </div>
    <div id="checkInforSpan"></div>
</div>
<input type="hidden" class="quick_sort" value="1" />
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>		
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script language="javascript">
var apply_status = new Array();
apply_status[1] = "<?=$_lang["customer_application_wait"]?>";
apply_status[2] = "<?=$_lang["customer_application_pass"]?>";
apply_status[3] = "<?=$_lang["customer_application_not_pass"]?>";

var apply_perm = new Array();
apply_perm[1] = "<?=$_lang["customer_application_share"]?>";
apply_perm[2] = "<?=$_lang["customer_service_manage"]?>";
apply_perm[3] = "<?=$_lang["customer_query_cus_man"]?>";

$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;	
	$("#checkApplication").height($(window).height()-80).niceScroll();
	$("#checkApplication").LazyTable({
		dataSource : "index_do.php",
		param : {
			op : "getApplicationList",
		},
		column : [{
			key : "checkall"
		}, {
			key : "CUSTOMER_NAME",
			title : "<?=$_lang["customer_cus_name"]?>",
			template:function(data){
				if(data.CUSTOMER_NAME){
					return '<div style="width:350px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;">'+data.CUSTOMER_NAME+'</div>'
				}else{
					return '<div style="color:red;"><?=$_lang["customer_have_del"]?></div>'
				}			
			},
		}, {
			key : "MANAGE_USER_NAME",
			title : "<?=$_lang["customer_query_cus_man"]?>",
		}, {
			key : "APPLY_USER",
			title : "<?=$_lang["customer_apply_user"]?>",
		}, {
			key : "CREATE_TIME",
			title : "<?=$_lang['customer_apply_time']?>"
		}, {
			title : "<?=$_lang['customer_application_permissions']?>",
			template:function(data){
				return "<span>"+apply_perm[data.PERMISSION]+"</span>"
			}
		}, {
			title : "<?=$_lang['customer_application_status']?>",
			template:function(data){
				return "<span>"+apply_status[data.STATUS]+"</span>"
			}
		}],
		buttons : {
			buttonInfor : {
				"examine" : {
					title : "<?=$_lang["customer_check_app"]?>",
					func : function(data) {
						$("#examineHead").hide();
						$.ajax({
							type:"POST",
							async:false,
							dataType:"html",
							data:"op=examine&cap_id="+data.CAP_ID,
							url:"examine.php"
						}).done(function(result){
							$("#checkInforSpan").html(result).show();
						});	
					},
					isDefault:true
				},
				"read" : {
					title : "<?=$_lang["customer_browse"]?>",
					func : function(data) {
						$("#examineHead").hide();
						$.ajax({
							type:"POST",
							async:false,
							dataType:"html",
							data:"op=read&cap_id="+data.CAP_ID,
							url:"examine.php"
						}).done(function(result){
							$("#checkInforSpan").html(result).show();
						});	
					}
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						var ids = data.CAP_ID;
						bootbox.confirm("<?=$_lang["common_del_alert"]?>",function(result){
							if (result) {
								$.ajax({
									url: '/general/crm/permission/permission/index_do.php',
									type: 'POST',
									data: {
										select_customer: ids,
										op:"delApplication"
									},
									success:function(res){
										if (res == 1) {
											$.pnotify({
										        text: "<?=$_lang["customer_delete_success"]?>",
										        type : "success"
										    });
									    	$("#checkApplication").LazyTable("reload",{
												page:{
													currentPage:0
												},
												param:{
													quick_sort : $(".quick_sort").val(),
												}
											});
										}else if (res == 0) {
											$.pnotify({
										        text: "<?=$_lang["customer_delete_fail"]?>",
										        type : "error"
										    });
										}
									}
								});
							}
						});
					}
				}
			},
			filter : function(data) {
				var buttonFilterStr = new Array();
				if(data.STATUS=="1"&&data.CUSTOMER_NAME){
					buttonFilterStr.push("examine");
				}else if(data.STATUS=="2" || data.STATUS=="3"){
					if(data.CUSTOMER_NAME){
						buttonFilterStr.push("read");	
					}
					buttonFilterStr.push("delete");	
				}
				return buttonFilterStr;
			}
		},	
		page : {
			itemsPerPage : 15
		},
		batchButtons : [{
			title : "<?=$_lang['customer_batch_check']?>",
			func : function(data) {
				var i,ids = '';
				var empty = 0;
				for( i = 0; i< data.length; i++) {
					if(data[i].CUSTOMER_NAME){
						ids += data[i].CAP_ID + ',';
					}else{
						empty++;
					}
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids=='') {
					$.pnotify({
				        text: "<?=$_lang['customer_man_atlist_one']?>",
				        type : "info"
				    });
					return false;
				} else {
					$.ajax({
						url: '/general/crm/permission/verify/index_do.php',
						type: 'POST',
						data: {
							cap_ids: ids,
							op:"batchCheck"
						},
						success:function(res){
							if (res == 1) {
								if(empty > 0){
									$.pnotify({
								        text: "<?=$_lang["customer_some_empty"]?>",
								        type : "info"
								    });
								}else{
									$.pnotify({
								        text: "<?=$_lang["customer_check_success"]?>",
								        type : "success"
								    });									
								}

						    	$("#checkApplication").LazyTable("reload",{
									page:{
										currentPage:0
									},
									param:{
										quick_sort : $(".quick_sort").val(),
									}
								});
							}else if (res == 0) {
								$.pnotify({
							        text: "<?=$_lang["customer_check_fail"]?>",
							        type : "error"
							    });
							}						
						}
					});
				}
			}
		},{
			title : "<?=$_lang['customer_all_delete']?>",
			func : function(data) {
				var i,ids = '';
				for( i = 0; i< data.length; i++) {
						ids += data[i].CAP_ID + ',';
				}
				ids = ids.substr( 0,(ids.length-1) );
				if(ids=='') {
					$.pnotify({
				        text: "<?=$_lang['customer_man_atlist_one']?>",
				        type : "info"
				    });
					return false;
				} else {
					bootbox.confirm("<?=$_lang["common_del_alert"]?>",function(result){
						if (result) {
							$.ajax({
								url: '/general/crm/permission/permission/index_do.php',
								type: 'POST',
								data: {
									select_customer: ids,
									op:"delApplication"
								},
								success:function(res){
									if (res == 1) {
										$.pnotify({
									        text: "<?=$_lang["customer_delete_success"]?>",
									        type : "info"
									    });
								    	$("#checkApplication").LazyTable("reload",{
											page:{
												currentPage:0
											},
											param:{
												quick_sort : $(".quick_sort").val(),
											}
										});
									}else if (res == 0) {
										$.pnotify({
									        text: "<?=$_lang["customer_delete_fail"]?>",
									        type : "success"
									    });
									}
								}
							});
						}
					});
				}
			}
		}],
		onAfterLoad:function(data){
			$(':checkbox.lazy_table_checkbox').iCheck({
                checkboxClass : 'icheckbox_square-grey',
                radioClass : 'iradio_square-grey'
            });

			$(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });
			$("#checkApplication").niceScroll().resize(); 
			var quick_sort = $(".quick_sort").val();
			if(quick_sort == 1){
				$("#checkApplication .batch_button:first").show();
			}else{
				$("#checkApplication .batch_button:first").hide();
			}
		}
	});	


	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			$(".quick_sort").val(data);
			$("#checkApplication").LazyTable("reload", {
				param : {
					quick_sort : data
				}
			});
		},
		common : {
			dataSource : [{
				key:"1",
				isDefault:true,
				title:"<?=$_lang['customer_application_wait']?>"
			},{
				key:"2",
				title:"<?=$_lang['customer_application_pass']?>"
			},{
				key:"3",
				title:"<?=$_lang['customer_application_not_pass']?>"
			},{
				key:"0",
				title:"<?=$_lang['customer_all_all']?>"
			}],
			template : "{title}"
		}
	});	

	$(".search_wrap").LazySearch({
		tip : '<?=$_lang["customer_checks"]?>',
		height:27,
		fieldSearch : {
			onItemClick : function(data, value) {
				$("#checkApplication").LazyTable("reload",{
					param:{
						search_field:data.key,
						search_str:value,
						quick_sort : $(".quick_sort").val()
					},
					page:{
						currentPage:0
					}
				});
			},
			items : [{
				key : "CUSTOMER_NAME",
				title : "<?=$_lang['customer_customername_include']?>",
			}]
		},
		onClearButtonClick:function(){
			$(".checkApplication").LazyTable("reload",{
				param:{
					search_field:"",
					search_str:"",
				},
				page:{
						currentPage:0
					}
			});
		}
	});

});	
</script>