<?
/**
* @copyright (C) 2010 - 2015 Weaver Co.Ltd
* @package:      eoffice9.0
* @encoding:     utf8
* @function:     日志导出
* @name:         /general/diary/export.php
* @version:      9.0
* @author:       lxl www.weaver.com.cn
* @date:         2015-05-07
* @modify        qishaobo
*/

include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/meet_vehicle.php");
include_once("api/diary.class.php");
include_once("api/attention.class.php");
include_once("general/diary/new/diarydate.php");
include_once ("inc/meet_vehicle.php");
includelangpak("calendar");

$Diary     = new diary();
$SearchStr = array();
$userid = isset($_POST['userid'])?$_POST['userid']:$_REQUEST["userid"];
$defaultUserId = $_REQUEST["defaultUserId"];
$attApi = new attention();
if ($userid==$_SESSION["LOGIN_USER_ID"]) {
	if ($defaultUserId) {
		$userid = $defaultUserId;	
		$username = getUserNameNew($defaultUserId);
	} else {
		$userid = "";	
		$username = "";
	}
} else {
	if ($_REQUEST["userid"]=="") {
		$userid = $defaultUserId;	
		$username = getUserNameNew($defaultUserId);
	} else {
		$userid = $_REQUEST["userid"];	
		$username = getUserNameNew($_REQUEST["userid"]);
	}
}

$SearchStr["USER_ID"] = $userid;
if($_REQUEST["searchWord"]){
	$SearchStr["CONTENT"] = $_REQUEST["searchWord"];	
}
$quickParam = $_REQUEST["quickParam"];
$offset   = $_REQUEST["curPage"]?$_REQUEST["curPage"]:0;
$rows     = $_REQUEST["rows"]?$_REQUEST["rows"]:10;
$DoStrartDate = "";
$DoEndDate    = "";
$nextEnd = 0;
$ExpoldBeginDate =  "";
$ExpoldEndDate =  "";
//判断是否还有数据
$checkHaveData = "";
switch($quickParam){
	case "lastWeek":
		$DoStrartDate    = date('Y-m-d',strtotime('-1 monday',strtotime('last week')));
		$DoEndDate  = date('Y-m-d',strtotime('-1 sunday'));
		$SearchStr["end"] = $DoEndDate;	
		$SearchStr["begin"] = $DoStrartDate;	
		$ExpoldBeginDate =  $DoStrartDate;
		$ExpoldEndDate =  $DoEndDate;		
	break;	
	case "twoWeek":
		$SearchStr["end"] = date("Y-m-d",time());
		$SearchStr["begin"] = date('Y-m-d',strtotime('-1 week last monday'));	
		$DoStrartDate = $SearchStr["begin"];
		$DoEndDate    = $SearchStr["end"];
		$ExpoldBeginDate =  $DoStrartDate;
		$ExpoldEndDate =  $DoEndDate;		
	break;	
	case "thisWeek":
		$DoStrartDate = date('Y-m-d',strtotime('0 week last monday'));
		$DoEndDate    = date("Y-m-d",time());
		$SearchStr["end"] = $DoEndDate;	
		$SearchStr["begin"] = $DoStrartDate;	
		$ExpoldBeginDate =  $DoStrartDate;
		$ExpoldEndDate =  $DoEndDate;		
	break;	
	case "lastMonth":
		$DoEndDate    = date('Y-m-t', strtotime('-1 month'));
		if($offset==0){
			$SearchStr["end"] = date('Y-m-t', strtotime('-1 month'));
			$SearchStr["begin"] = date("Y-m-d",strtotime("$DoEndDate -9 day"));	
		}else{
			$nextEnd = ($offset/10)*$rows;
			$SearchStr["end"] = date("Y-m-d",strtotime("$DoEndDate -$nextEnd day"));
			$endData = $SearchStr["end"];
			$SearchStr["begin"] = date("Y-m-d",strtotime("$endData -9 day"));
		}
		$lastDate = date('Y-m-01', strtotime('-1 month'));
		if($SearchStr["begin"]<$lastDate){
			$SearchStr["begin"] = $lastDate;
			$checkHaveData = "noData";
		}
		$DoStrartDate = $SearchStr["begin"];	
		$DoEndDate    = $SearchStr["end"];
		$ExpoldBeginDate =  $lastDate;
		$ExpoldEndDate =  $DoEndDate;		
	break;	
	case "twoMonth":
		$DoEndDate    = date("Y-m-d",time());
		if($offset==0){
			$SearchStr["end"] = date("Y-m-d",time());	
			$SearchStr["begin"] = date("Y-m-d",strtotime("$DoEndDate -9 day"));	
		}else{
			$nextEnd = ($offset/10)*$rows;
			$SearchStr["end"] = date("Y-m-d",strtotime("$DoEndDate -$nextEnd day"));
			$endData = $SearchStr["end"];
			$SearchStr["begin"] = date("Y-m-d",strtotime("$endData -9 day"));
		}
		$lastDate = date('Y-m-01', strtotime('-1 month'));
		if($SearchStr["begin"]<$lastDate){
			$SearchStr["begin"] = $lastDate;
			$checkHaveData = "noData";
		}
		$DoStrartDate = $SearchStr["begin"];	
		$DoEndDate    = $SearchStr["end"];
		$ExpoldBeginDate =  $lastDate;
		$ExpoldEndDate =  $DoEndDate;	
	break;	
	case "thisMonth":
		$DoEndDate    = date("Y-m-d",time());
		if($offset==0){
			$SearchStr["end"] = date("Y-m-d",time());	
			$SearchStr["begin"] = date("Y-m-d",strtotime("$DoEndDate -9 day"));	
		}else{
			$nextEnd = ($offset/10)*$rows;
			$SearchStr["end"] = date("Y-m-d",strtotime("$DoEndDate -$nextEnd day"));
			$endData = $SearchStr["end"];
			$SearchStr["begin"] = date("Y-m-d",strtotime("$endData -9 day"));
		}
		$lastDate = date('Y-m-01', strtotime('this month'));
		if($SearchStr["begin"]<$lastDate){
			$SearchStr["begin"] = $lastDate;
			$checkHaveData = "noData";
		}
		$DoStrartDate = $SearchStr["begin"];	
		$DoEndDate    = $SearchStr["end"];
		$ExpoldBeginDate =  $lastDate;
		$ExpoldEndDate =  $DoEndDate;	
	break;	
	case "allShow":
		$DoEndDate    = date("Y-m-d",time());
		if($offset==0){
			$SearchStr["end"] = date("Y-m-d",time());	
			$SearchStr["begin"] = date("Y-m-d",strtotime("$DoEndDate -9 day"));	
		}else{
			$nextEnd = ($offset/10)*$rows;
			$SearchStr["end"] = date("Y-m-d",strtotime("$DoEndDate -$nextEnd day"));
			$endData = $SearchStr["end"];
			$SearchStr["begin"] = date("Y-m-d",strtotime("$endData -9 day"));
		}
		$DoStrartDate = $SearchStr["begin"];	
		$DoEndDate    = $SearchStr["end"];
		$ExpoldBeginDate =  "1970-01-01";
		$ExpoldEndDate =  $DoEndDate;	
	break;
}

if($_REQUEST["searchHighBegDate"]!="" || $_REQUEST["searchHighEndDate"]!=""){
	if($_REQUEST["searchHighBegDate"]=="" && $_REQUEST["searchHighEndDate"]!=""){
		echo "begDateNull";	
		exit;
	}else{
		$serchBegDate = $_REQUEST["searchHighBegDate"];
		$serchEndDate = $_REQUEST["searchHighEndDate"];
		if($serchEndDate==""){
			$serchEndDate = date("Y-m-d",time());	
		}
		$searchCutday = (strtotime($serchEndDate)-strtotime($serchBegDate))/3600/24;  
		if($searchCutday>10){
			if($offset==0){
				$SearchStr["end"] = $serchEndDate;	
				$SearchStr["begin"] = date("Y-m-d",strtotime("$serchEndDate -9 day"));	
			}else{
				$nextEnd = ($offset/10)*$rows;
				$SearchStr["end"] = date("Y-m-d",strtotime("$DoEndDate -$nextEnd day"));
				$endData = $SearchStr["end"];
				$SearchStr["begin"] = date("Y-m-d",strtotime("$endData -9 day"));
			}	
		}else{
			$SearchStr["end"] = $serchEndDate;	
			$SearchStr["begin"] = $serchBegDate;		
		}
		$lastDate = $serchBegDate;
		if($SearchStr["begin"]<=$lastDate){
			$SearchStr["begin"] = $lastDate;
			$checkHaveData = "noData";
		}
		$DoStrartDate = $SearchStr["begin"];	
		$DoEndDate    = $SearchStr["end"];
		$ExpoldBeginDate =  $lastDate;
		$ExpoldEndDate =  $DoEndDate;	
	}
}

$offset = 0;
$rows 	= 0;


//内容查询
$searchDiff = "";
if($_REQUEST["searchWord"]){
	$SearchStr["begin"] = "1970-01-01";
	$SearchStr["end"] = date("Y-m-d",time());	
	$searchDiff = "wordSearch";
	$offset   = $_REQUEST["curPage"]?$_REQUEST["curPage"]:0;
	$rows     = $_REQUEST["rows"]?$_REQUEST["rows"]:10;
	
	$ExpoldBeginDate =  "1970-01-01";
	$ExpoldEndDate =  date("Y-m-d",time());	
}
//判断是否是微博主页
if ($quickParam=="allShow") {
	$SearchStr["end"] = "";	
	$SearchStr["begin"] = "";
}else if($quickParam=="lastMonth"){
	$SearchStr["end"]   = date('Y-m-t', strtotime('-1 month'));
	$SearchStr["begin"] = date('Y-m-01', strtotime('-1 month'));					
}else if($quickParam=="twoMonth"){
	$SearchStr["end"]   = date("Y-m-d",time());
	$SearchStr["begin"] = date('Y-m-01', strtotime('-1 month'));					
}else if($quickParam=="thisMonth"){
	$SearchStr["end"]   = date("Y-m-d",time());
		$SearchStr["begin"] = date('Y-m-01', strtotime('this month'));				
}else if($quickParam=="lastWeek"){
	$SearchStr["begin"]    = date('Y-m-d',strtotime('-1 monday',strtotime('last week')));
	$SearchStr["end"]  = date('Y-m-d',strtotime('-1 sunday'));	
	$checkHaveData = '';				
}else if($quickParam=="twoWeek"){
		$checkHaveData = '';				
}else if($quickParam=="thisWeek"){
		$checkHaveData = '';				
}
if(isset($_REQUEST["formAjax"])&&$_REQUEST["formAjax"]==1){
	$SearchStr["begin"] = $_REQUEST["searchHighBegDate"];
	$SearchStr["end"] = $_REQUEST["searchHighEndDate"];
}

$sorDiff = false;
if ($userid!="") {
	if(isset($_REQUEST["formAjax"])&&$_REQUEST["formAjax"]==1){
		$defaultData = $Diary->diary_getDataListNew("DIA_DATE","DESC",$offset,$rows,$quickParam,$SearchStr);
	}else{
		$defaultData = $Diary->diary_getDataListNew("DIA_ID","DESC",$offset,$rows,$quickParam,$SearchStr);
	}
} else {
	$sorDiff = true;
	//我的下属
	$curUserPriv = $Diary->Login_User_Priv($_SESSION["LOGIN_USER_ID"]);
	$underUserStr = $Diary->Get_Accounts_Str($curUserPriv,$_SESSION["LOGIN_USER_ID"]);
	//我关注的人
	//$attApi = new attention();
	$myAttionInfor = $attApi->atten_MyAttionUserId($_SESSION["LOGIN_USER_ID"]);
	$allUserId = $underUserStr.$myAttionInfor;
	$SearchStr["allUserId"] = $allUserId;

	$defaultData = $Diary->diary_getDataListNew("DIA_DATE","DESC",$offset,$rows,$quickParam,$SearchStr);

}
unset($defaultData['resultCount']);
//-- 名称 --
$EXCEL_NAME  = $_lang["calendar_diary_weibo"];
$EXCEL_NAME  = iconv("utf-8","gbk",$EXCEL_NAME);

$LETTER_STR  = "\\,/,:,*,?,\",<,>,|";
$MY_ARRAY    = explode(",",$LETTER_STR);
$ARRAY_COUNT = sizeof($MY_ARRAY);
if($MY_ARRAY[$ARRAY_COUNT-1]=="")
	$ARRAY_COUNT--;
for($I=0;$I<$ARRAY_COUNT;$I++)
	$EXCEL_NAME = str_replace($MY_ARRAY[$I],"",$EXCEL_NAME);
//-- 标题 --
$EXCEL_OUT = "\r\n<html xmlns:o=\"urn:schemas-microsoft-com:office:office\"\r\nxmlns:x=\"urn:schemas-microsoft-com:office:excel\"\r\nxmlns=\"http://www.w3.org/TR/REC-html40\">\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=gb2312\">\r\n";

$EXCEL_OUT .= "\r\n<table width=\"100%\" style=\"border-collapse:collapse;font-size:12px;\" border=\"1\" cellspacing=\"0\" cellpadding=\"3\" bordercolor='#000000'>\r\n";
$EXCEL_OUT .="<tr style=\"BACKGROUND: #31309c; color: #FFFFFF; font-weight: bold;\">";
$EXCEL_OUT .="<td nowrap>".iconv("utf-8","gbk",$_lang["calendar_user_name"])."</td>";
$EXCEL_OUT .="<td nowrap>".iconv("utf-8","gbk",$_lang["calendar_diary_send"])."</td>";
$EXCEL_OUT .="<td nowrap>".iconv("utf-8","gbk",$_lang["calendar_diary_content"])."</td>";
$EXCEL_OUT .="</tr>";

foreach ($defaultData as $row) {
	if(!empty($row["CONTENT"])){
		$user_name = $Diary->getUserById($row["USER_ID"]);
		$EXCEL_OUT .="<tr>";
		$EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",$user_name)."</td>";
		$EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",html_entity_decode($row["DIA_DATE"],ENT_QUOTES,"UTF-8"))."</td>";
		$EXCEL_OUT .= "<td nowrap style='vnd.ms-excel.numberformat:@'>".iconv("utf-8","gbk",strip_tags(htmlspecialchars_decode($row["CONTENT"])))."</td>";
		$EXCEL_OUT.="</tr>";		
	}
}
$EXCEL_OUT.="</table>";

ob_start();
Header("Cache-control: private");
Header("Content-type: application/vnd.ms-excel");
Header("Accept-Ranges: bytes");
Header("Accept-Length: ".strlen($EXCEL_OUT));
Header("Content-Disposition: attachment; filename= $EXCEL_NAME.xls");
ob_end_clean();
echo $EXCEL_OUT;