<?php
include_once 'inc/conn.php';
require_once "api/dingtalk.class.php";

$dingtalk = new dingtalk();
$config = $dingtalk->getConfig();
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
        <title>钉钉办公</title>
        <script type="text/javascript" src="https://g.alicdn.com/ilw/ding/0.9.2/scripts/dingtalk.js"></script>
    </head>

    <body>

    </body>
    <script>
        dd.config({
            agentId: '<?= $config["agentId"] ?>', // 必填，微应用ID
            corpId: '<?= $config["corpId"] ?>', //必填，企业ID
            timeStamp: <?= $config["timeStamp"] ?>, // 必填，生成签名的时间戳
            nonceStr: '<?= $config["nonceStr"] ?>', // 必填，生成签名的随机串
            signature: '<?= $config["signature"] ?>', // 必填，签名
            jsApiList: [
                'runtime.permission.requestAuthCode',
                'device.notification.alert',
                'device.notification.confirm',
                'biz.contact.choose',
                'device.notification.prompt',
                'biz.ding.post'
            ] // 必填，需要使用的jsapi列表
        });


        dd.ready(function () {

            dd.runtime.permission.requestAuthCode({
                corpId: "<?= $config["corpId"] ?>",
                onSuccess: function (result) {
                    location.href = window.location.protocol + "//" + window.location.host + "/general/dingtalk/dingtalk.php?code=" + result.code;
                },
                onFail: function (err) {
                 
                }

            });

        });

    </script>
</html>