<?php
include_once 'inc/auth.php';
include_once ("inc/utility_all.php");

if (!isThisPri($_SESSION['LOGIN_FUNC_STR'], isMenuPri('201,56,'))) {
    echo "<body class='bodycolor'><title>" . $_lang["other_dir_limit"] . "</title><body bgcolor='#264989'>";
    Message($_lang["other_menu_warning"], $_lang["other_app_auth"]);
    exit;
}

$PAGE_TITLE = '表单设计器';
$version = getVersion();
include_once 'inc/page_header.inc.php';
?>

		<!-- 字体图标库 -->
		<link href="/newplugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

		<!-- 下拉框美化 -->
		<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

		<!-- 复选框美化 -->
		<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

		<!-- 消息提醒 -->
		<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

		<!-- jQuery UI 库 -->
		<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css" />

		<!-- 颜色选择 -->
		<link rel="stylesheet" href="/newplugins/colorpicker/css/evol.colorpicker.css" />

		<!-- bootstrap库 -->
		<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

		<!--9.0公共组件-->
		<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

		<!-- 9.0全局样式 -->
		<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

		<!-- 表单设计器样式 -->
		<link rel="stylesheet" type="text/css" href="style.css">

	<body>

		<!-- <div class="preview-tip">
			<a href="#" class="cancel">取消预览</a>
			<a href="#" class="use">使用此模板</a>
		</div> -->
		<input id="form-id" type="hidden" value="<?php echo $_REQUEST['FORM_ID'] ?>" />
		<input id="type" type="hidden" value="<?php echo $_REQUEST['type'] ?>" />
		<div class="lazy-form-builder">

		<!-- 页面头 -->
		<div class="header">
			<div>
				<input type="text" class="form-name" placeholder="输入表单名称" />
			</div>
			<select data-width="150px" data-container="body" class="version-list">
				<option> 请选择版本 </option>
			</select>
		</div>
		<!-- End 页面头-->

		<!-- 工具栏 -->
		<div class="toolbar-container toolbar">
			<div class="toolbar-item-container">
				<div class="toolbar-item-list">
					<div class="toolbar-item trigger-global" toolbar="table">
						<div class="toolbar-name-container">
							<i class="fa fa-table toolbar-icon"></i>
							<span class="toolbar-name">表格</span>
						</div>
					</div>
					<div class="toolbar-item" toolbar="image">
						<div class="toolbar-name-container">
							<i class="fa fa-image toolbar-icon"></i>
							<span class="toolbar-name">图片</span>
						</div>
					</div>
					<div class="toolbar-item" toolbar="scrawl">
						<div class="toolbar-name-container">
							<i class="fa fa-paint-brush toolbar-icon"></i>
							<span class="toolbar-name">涂鸦</span>
						</div>
					</div>
					<div class="toolbar-item" toolbar="line">
						<div class="toolbar-name-container">
							<i class="fa fa-minus toolbar-icon"></i>
							<span class="toolbar-name">分隔线</span>
						</div>
					</div>
				</div>
				<div class="toolbar-item-title">
					插入
				</div>
			</div>
			<div class="toolbar-item-container">
				<div class="toolbar-item-list">
					<div class="toolbar-item disabled" command="undo">
						<div class="toolbar-name-container">
							<i class="fa fa-mail-reply toolbar-icon"></i>
							<span class="toolbar-name">后退</span>
						</div>
					</div>
					<div class="toolbar-item disabled" command="redo">
						<div class="toolbar-name-container">
							<i class="fa fa-mail-forward toolbar-icon"></i>
							<span class="toolbar-name">前进</span>
						</div>
					</div>
				</div>
				<div class="toolbar-item-title">
					记录
				</div>
			</div>
			<div class="toolbar-item-container">
				<div class="toolbar-item-list">
					<div class="toolbar-item trigger-global" toolbar="layout">
						<div class="toolbar-name-container">
							<i class="fa fa-indent toolbar-icon"></i>
							<span class="toolbar-name">版式</span>
						</div>
						<span class="toolbar-arrow"> <i class="fa fa-sort-desc"></i> </span>
					</div>
					<div class="toolbar-item" toolbar="template">
						<div class="toolbar-name-container">
							<i class="fa fa-file-text toolbar-icon"></i>
							<span class="toolbar-name">模板</span>
						</div>
					</div>
					<div class="toolbar-item" toolbar="style">
						<div class="toolbar-name-container">
							<i class="fa fa-adjust toolbar-icon"></i>
							<span class="toolbar-name">样式</span>
						</div>
					</div>

				</div>
				<div class="toolbar-item-title">
					样式
				</div>
			</div>
			<div class="toolbar-item-container">
				<div class="toolbar-item-list">
					<div class="toolbar-item" command="source">
						<div class="toolbar-name-container">
							<i class="fa fa-code toolbar-icon"></i>
							<span class="toolbar-name">源代码</span>
						</div>
					</div>
					<div class="toolbar-item" toolbar="export">
						<div class="toolbar-name-container">
							<i class="fa fa-external-link toolbar-icon"></i>
							<span class="toolbar-name">导出</span>
						</div>
					</div>

				</div>
				<div class="toolbar-item-title">
					其他
				</div>
			</div>
			<div class="toolbar-item-container">
				<div class="toolbar-item-list">
				<?php
if ($_REQUEST['type'] != "warehouse") {
?>
					<div class="toolbar-item" toolbar="preview">
						<div class="toolbar-name-container">
							<i class="fa fa-eye toolbar-icon"></i>
							<span class="toolbar-name">预览</span>
						</div>
					</div>

					<div class="toolbar-item trigger-global" toolbar="validate">
						<div class="toolbar-name-container">
							<i class="fa fa-check toolbar-icon"></i>
							<span class="toolbar-name">检查</span>
						</div>
					</div>

					<?php
}
?>
					<div class="toolbar-item trigger-global" toolbar="save">
						<div class="toolbar-name-container">
							<i class="fa fa-save toolbar-icon"></i>
							<span class="toolbar-name">保存</span>
						</div>
					</div>
				</div>
				<div class="toolbar-item-title">
					保存
				</div>
			</div>
		</div>
		<!-- End 工具栏-->

		<!-- 控件列表 -->
		<div class="widget-list-wrap popup">
			<div class="title">控件列表
				<a href="javascript:void(0);" title="隐藏控件列表" class="hide-widget-list">
					<i class="fa fa-chevron-left"></i>
				</a>
			</div>
			<div class="content-wrap"></div>
		</div>
		<!-- End 控件列表 -->

		<!-- 显示控件列表 -->
		<a href="javascript:void(0);" title="显示控件列表" class="show-widget-list">
			<i class="fa fa-chevron-right"></i>
		</a>

		<!-- 编辑器 -->
		<script id="editor" class="editor" type="text/plain"></script>
		<!-- End 编辑器 -->

		<!-- 插入表格 -->
		<div class="insert-table-wrap popup highlight global-close">
				<table cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td class="title">0列 x 0行</td>
					</tr>
					<tr>
						<td style="padding:5px;" class="table-main-tip">
						<div class="unhighlight-wrap">
							<div class="highlight-wrap"></div>
						</div></td>
					</tr>
				</table>
		</div>

		<!--插入分隔线-->
		<div class="line-list-wrap popup highlight global-close">
			<table width="100%">
				<tr>
					<td valign="middle">
					<hr style="height:1px;border:none;border-top:1px dashed #0066CC;"/>
					</td>
				</tr>
				<tr>
					<td valign="middle">
					<hr style="height:1px;border:none;border-top:1px solid #555555;"/>
					</td>
				</tr>
				<tr>
					<td valign="middle">
					<hr style="height:3px;border:none;border-top:3px double red;"/>
					</td>
				</tr>
				<tr>
					<td valign="middle">
					<hr style="height:5px;border:none;border-top:5px ridge green;"/>
					</td>
				</tr>
				<tr>
					<td valign="middle">
					<hr style="height:10px;border:none;border-top:10px groove skyblue;"/>
					</td>
				</tr>
			</table>
		</div>

		<!-- 分隔线样式 -->
		<div class="line-property-dialog-wrap" title="分隔线属性">
			<ul>
				<li>
					<span class="title">样式</span>
					<select class="hr-style" data-width="180">
						<option value="dashed" data-content="<hr style='height:1px;border:none;border-top:1px dashed #000;'/>"></option>
						<option value="solid" data-content="<hr style='height:1px;border:none;border-top:1px solid #000;'/>"></option>
						<option value="double" data-content="<hr style='height:1px;border:none;border-top:3px double #000;'/>"></option>
					</select>
				</li>
				<li>
					<span class="title">颜色</span>
					<input type="text" class="hr-color" />
				</li>
				<li>
					<span class="title">高度</span>
					<input type="text" class="hr-height" />&nbsp;(px)
				</li>
			</ul>
		</div>

			<!--控件快捷属性框-->
			<div class="shortcut-property global-close">
				<div class="title">名称快捷编辑</div>
				<div class="content-wrap">
					<span class="set-widget-title">控件名称</span>
					<select class="widget-name-list" data-none-results-text="未找到控件包含" data-live-search="true" style="display:none;"></select>
					<input type="text" class="widget-name" value="">
					<a href="javascript:void(0);" class="show-property op-btn" title="编辑属性">
						<i class="fa fa-pencil"></i>
					</a>
					<a href="javascript:void(0);" class="remove-widget op-btn" title="移除控件">
						<i class="fa fa-trash-o"></i>
					</a>
					<a href="javascript:void(0);" class="copy-widget op-btn" title="复制控件">
						<i class="fa fa-copy"></i>
					</a>
					<a href="javascript:void(0);" class="cut-widget op-btn" title="剪切控件">
						<i class="fa fa-cut"></i>
					</a>
				</div>
			</div>

			<!--属性列表-->
			<div class="property-dialog-wrap" title="控件属性"></div>

			<!--集合编辑器-->
			<div class="items-editor-dialog" title="集合编辑器">
				<ul class="items-list-wrap"></ul>
			</div>

			<!--SQL语句编辑器-->
			<div class="sql-editor-dialog" title="SQL语句编辑器">
				<textarea class="sql-content"></textarea>
			</div>

			<!--计算公式编辑器-->
			<div class="formula-editor-dialog" title="计算公式编辑器">
				<div>
					<select class="calculate-widget-list"></select>

					<div class="operator-wrap" style="float:right;">
						<span class="pull-left">插入运算符</span>
						<span class="operator">+</span>
						<span class="operator">-</span>
						<span class="operator">*</span>
						<span class="operator">/</span>
						<span class="operator">(</span>
						<span class="operator">)</span>
					</div>
				</div>
				<script id="formula-editor-content" class="formula-editor-content" type="text/plain"></script>
				<ul>
					<li>
						说明:
					</li>
					<li>
						1、插入需要参加计算的控件,添加合适的运算符
					</li>
					<li>
						2、支持运算符 + - * / ( )
					</li>
					<li>
						3、示例：控件1+控件2*(控件3-控件4)*控件5*控件4
					</li>
				</ul>
			</div>

			<!--明细字段计算公式编辑器-->
			<div class="detail-formula-editor-dialog" title="明细字段计算公式编辑器">
				<div>
					<select class="calculate-widget-list"></select>

					<div class="operator-wrap" style="float:right;">
						<span class="pull-left">插入运算符</span>
						<span class="operator">+</span>
						<span class="operator">-</span>
						<span class="operator">*</span>
						<span class="operator">/</span>
					</div>
				</div>
				<script id="detail-formula-editor-content" class="detail-formula-editor-content" type="text/plain"></script>
				<ul>
					<li style="height: 30px;line-height: 30px;">
						<span style="width: 100px;float: left;">保留小数点位数</span>
						<input type="text" class="detail-formula-editor-content-result-decimal" />
					</li>
					<li style="height: 30px;line-height: 30px;">
						<span style="width: 100px;float: left;">四舍五入</span>
						<input type="checkbox" class="detail-formula-editor-content-result-roundoff" />
					</li>
				</ul>
				<ul>
					<li>
						说明:
					</li>
					<li>
						1、插入需要参加计算的明细字段序号(需要用[]包裹序号),添加合适的运算符
					</li>
					<li>
						2、支持运算符 + - * /
					</li>
					<li>
						3、支持和常数的运算
					</li>
					<li>
						4、示例：[1]+[2]*4  说明：1、2为明细字段序号 4为常数
					</li>
				</ul>
			</div>

			<!--明细字段编辑器-->
			<div class="detail-char-dialog" title="明细字段编辑器">
				<div class="item-list-wrap">
					<div class="title">明细项</div>
					<ul class="content-wrap"></ul>
					<div class="empty-tip">
						点击添加新项按钮添加新的明细项
					</div>
				</div>
				<div class="property-list-wrap">
					<div class="title">属性</div>
					<ul class="content-wrap">
						<li class="property-list">
									<span class="property-title">明细项目名称</span>
									<input type="text" class="item-name" />
								</li>
								<li class="property-list ">
									<span class="property-title">控件类型</span>
									<select class="item-type">
										<option value="1">单行输入框</option>
										<option value="2">多行输入框</option>
										<option value="3">下拉菜单</option>
										<option value="4">日期控件</option>
									</select>
								</li>
								<li class="property-list select-items-wrap">
									<span class="property-title">下拉项</span>
									<span class="property-sub-title">(集合)</span>
										<input class='btn btn-browse btn-items-editor' type='button' value='...'/>
								</li>
								<li class="property-list">
									<span class="property-title">宽度</span>
									<input type="text" class="item-width" />
								</li>
								<li class="property-list">
									<span class="property-title">高度</span>
									<input type="text" class="item-height" />
								</li>
								<li class="property-list">
									<span class="property-title">计算公式</span>
									<span class="property-sub-title">(计算公式编辑器)</span>
									<input class='btn btn-browse btn-open-formula-editor' type='button' value='...'/>
								</li>
								<li class="property-list">
									<span class="property-title">合计</span>
									<input type="checkbox" class="item-total" />
								</li>
								<li class="property-list total-result-format-wrap">
									<span class="property-title">保留小数点位数</span>
									<input type="text" class="item-decimal" />
								</li>
								<li class="property-list total-result-format-wrap">
									<span class="property-title">四舍五入</span>
									<input type="checkbox" class="item-roundoff" />
								</li>
					</ul>
					<div class="empty-tip">
						请选择左边的明细项
					</div>
				</div>
			</div>

			<!--动态联动选择框-->
			<div class="dynamic-list-dialog">
				<ul class="dynamic-list"></ul>
			</div>

			<!--版式-->
			<div class="layout-mode-wrap popup highlight global-close">
				<ul>
					<li class="list" mode="a4">
						<span>A4</span>
						<i class="fa fa-check"></i>
					</li>
					<li class="list current" mode="full">
						<span>全屏</span>
						<i class="fa fa-check"></i>
					</li>
				</ul>
			</div>

			<!--模板-->
			<div class="template-list-wrap list-wrap popup">
				<a href="javascript:void(0)" title="去云平台挑选模板" data-placement="left" class="tip-control op-button cloud">
					<i class="fa fa-cloud"></i>
				</a>

				<a href="javascript:void(0)" title="添加新模板" id="add-template" data-placement="left" class="tip-control op-button add">
					<i class="fa fa-plus"></i>
				</a>
				<div class="title">表单模板
					<a href="javascript:void(0);" class="close-list-wrap">
						<i class="fa fa-times"></i>
					</a>
				</div>
				<div class="content-wrap"></div>
			</div>

			<!--云平台模板-->
			<div class="cloud-template-list-wrap cloud-list-wrap list-wrap popup">
				<img src="/images/form/loading.gif" class="loading" style="position:absolute;width:100px;top:50%;left:50%;margin:-50px;" />
				<div class="title">云平台表单
					<a href="javascript:void(0);" class="close-list-wrap">
						<i class="fa fa-times"></i>
					</a>
				</div>

				<div class="content-wrap" style="position:relative;">
					<div class="tag-item-wrap"></div>
					<div class="bar-wrap" style="height:40px;background:#E1E1E1;line-height:40px;">
						<a class="tag-trigger">
							<i style="line-height:40px;" class="fa fa-bars"></i>
						</a>
						<div class="search-wrap" style="margin-left:10px;background:#fff;height:30px;float:left;line-height:30px;margin-top:5px;">
							<input class="search-input" style="height:30px;vertical-align: baseline;background:none;border:none;width:300px;float:left;" type="text" placeholder="查询表单"/>
							<a class="search-button" style="color:#515151;font-size:14px;height:30px;width:30px;float:left;cursor:pointer;text-align:center;">
								<i class="fa fa-search"></i>
							</a>
						</div>


					</div>
					<div class="content-list-wrap"></div>
				</div>
			</div>

			<!--样式-->
			<div class="style-list-wrap list-wrap popup">
				<a href="javascript:void(0)" title="去云平台挑选样式" data-placement="left" class="tip-control op-button cloud">
					<i class="fa fa-cloud"></i>
				</a>
				<a href="javascript:void(0)" title="添加新样式" id="add-style" data-placement="left" class="tip-control op-button add">
					<i class="fa fa-plus"></i>
				</a>
				<div class="title">表单样式
					<a href="javascript:void(0);" class="close-list-wrap">
						<i class="fa fa-times"></i>
					</a>
				</div>
				<div class="content-wrap"></div>
			</div>

			<!--云平台样式-->
			<div class="cloud-style-list-wrap cloud-list-wrap list-wrap popup">
				<img src="/images/form/loading.gif" class="loading" style="position:absolute;width:100px;top:50%;left:50%;margin:-50px;" />
				<div class="title">云平台样式
					<a href="javascript:void(0);" class="close-list-wrap">
						<i class="fa fa-times"></i>
					</a>
				</div>
				<div class="content-wrap">
					<iframe src=""></iframe>
				</div>
			</div>

			<!--检查结果-->
			<div class="error-list-wrap list-wrap popup global-close">
				<div class="title">检查结果
					<a href="javascript:void(0);" class="close-list-wrap">
						<i class="fa fa-times"></i>
					</a>
				</div>
				<ul class="content-wrap"></ul>
			</div>

			<!--ID更改说明-->
			<div class="change-id-dialog" title="更改控件ID说明">
				<input type="text" class="id-value"/>
				<div>
					<ul>
						<li class="title">
							关于更改ID的重要说明
						</li>
						<li>
							1、更改ID之后可能导致流程无法运行
						</li>
						<li>
							2、更改ID之后可能导致数据无法和流程对应，导致数据无法显示
						</li>
						<li>
							3、可联系客服协助修改
						</li>
					</ul>
				</div>
			</div>

			<!--保存-->
			<div class="save-dialog-wrap popup highlight global-close">
				<ul>
					<li class="list save-to-template">
						保存到我的模版
					</li>
				</ul>
			</div>

			<!-- 上传模板、样式提示 -->
			<ul class="upload-queue" id="upload-queue"></ul>
		</div>
	</body>
</html>

<!-- jQuery库 -->
		<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
		<script type="text/javascript" src="form_builder.js?<?=$version?>"></script>

		<!-- ueditor -->
		<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
		<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.js"></script>
		<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-cn/zh-cn.js"></script>

		<!-- 下拉框美化 -->
		<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>

		<!-- 滚动条美化 -->
		<script src="/newplugins/js/jquery.nicescroll.js"></script>

		<!-- 滚动条美化 -->
		<script src="sql-parser.js"></script>

		<!-- 复选框美化 -->
		<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>

		<!-- 消息提醒 -->
		<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>

		<!-- jQuery UI 库 -->
		<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

		<!-- 颜色选择 -->
		<script type="text/javascript" src="/newplugins/colorpicker/js/evol.colorpicker.js"></script>

		<!-- bootstrap库 -->
		<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

		<!--简易弹出框-->
		<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

		<!-- 复制 -->
		<!-- <script type="text/javascript" src="/newplugins/zeroclipboard-2.1.6/dist/ZeroClipboard.min.js"></script> -->
		<script type="text/javascript" src="/newplugins/js/ueditor/third-party/zeroclipboard/ZeroClipboard.min.js"></script>

		<!-- 上传 -->
		<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
		<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>

		<!--9.0公共组件-->
		<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>

<script>

$(function(){


	lazyFormBuilder.init();
});

</script>
