<?php
/**
 *@systemname:       E-Office
 *@filename:         general/hrms/manage/export_do.php
 *@function:         档案管理--导出功能
 *
*/
include_once("inc/auth.php");
include_once("inc/function_usergeneral.php");
include_once("inc/utility_all.php");
include_once("inc/dept_user_hr_list/getUserStatus.php");
include_once("inc/function_picture.php");
include_once("general/system/combox/packaging.php");
include_once("api/db.class.php");
include_once("api/field_set.class.php");
include_once("api/dept.class.php");
includelangpak("hr");

$OtherFieldObj = new PageFactory();
$dept          = new department();

$deptId = $_REQUEST['deptId'];
$filterData = $_REQUEST['filterData'];
$searchParam = $_REQUEST['searchParam'];
$searchKey = $_REQUEST['searchKey'];
$searchValue = $_REQUEST['searchValue'];

$query = "SELECT * FROM hrms WHERE 1 AND DELETE_FLAG=0";

if($deptId) {
	$childDept = $dept->getDeptById(array("parentId"=>$deptId));
	if(count($childDept) > 0) {
		foreach($childDept as $key=>$value) {
			$childDeptIds .= $value["DEPT_ID"].",";
		}
		$deptIds = $childDeptIds.$deptId;
		$query .= " AND DEPT_ID IN('".str_replace(",","','",$deptIds)."')";
	}else {
		$query .= " AND DEPT_ID ='".$deptId."'";
	}
}

if($filterData) 
{
	switch($filterData)
	{
		case "thismonth":
			$query .= " AND DATE_FORMAT(LABOR_END_TIME,'%Y-%m')=DATE_FORMAT(CURDATE(),'%Y-%m')";
			break;
		case "nextmonth":
			$query .= " AND DATE_FORMAT(LABOR_END_TIME,'%Y-%m')=DATE_FORMAT(DATE_ADD(CURDATE(), INTERVAL 1 MONTH),'%Y-%m')";
			break;
		case "onduty":
			$query .= " AND STATUS = '1'";//AND (SELECT * FROM user WHERE 1 AND DEPT_ID>0)
			break;
		case "offduty":
			$query .= " AND STATUS = '2'";//AND (SELECT * FROM user WHERE 1 AND DEPT_ID<=0)
			break;
		case "monththis":
			$query .= " AND DATE_FORMAT(BIRTHDAY,'%m')=DATE_FORMAT(CURDATE(),'%m')";
			break;
		case "monthnext":
			$query .= " AND DATE_FORMAT(BIRTHDAY,'%m') =  DATE_FORMAT(DATE_ADD(CURDATE(), INTERVAL 1 MONTH),'%m')";
			break;
		case "weekthis":
			$thisMonday = date("m-d",mktime(0, 0 , 0,date("m"),date("d")-date("w")+1,date("Y")));
			$thisSunday = date("m-d",mktime(23,59,59,date("m"),date("d")-date("w")+7,date("Y")));

			$query .= " AND DATE_FORMAT(BIRTHDAY,'%m-%d')>='".$thisMonday."' AND DATE_FORMAT(BIRTHDAY,'%m-%d')<='".$thisSunday."'";
			break;
		case "weeknext":
			$nextMonday = date("m-d",mktime(0, 0 , 0,date("m"),date("d")-date("w")+8,date("Y")));
			$nextSunday = date("m-d",mktime(23,59,59,date("m"),date("d")-date("w")+14,date("Y")));

			$query .= " AND DATE_FORMAT(BIRTHDAY,'%m-%d')>='".$nextMonday."' AND DATE_FORMAT(BIRTHDAY,'%m-%d')<='".$nextSunday."'";
			break;
	}	
}

if($searchParam) {
	$query .= " ".stripslashes($searchParam);
}

if($searchKey) 
{
	$query .= $searchKey == "TRUE_NAME" ? " AND TRUE_NAME " : " AND NO";
	$query .= " LIKE '%".trim(SecurityFilter($searchValue))."%'";
}

$resultHrms = exequery($connection, $query);

$hrData = array();
while($rows = mysql_fetch_array($resultHrms)) {
	$hrData[] = $rows;
}

//获取自定义字段数据
$sql = "SELECT F_ID,F_NAME,F_DEFAULT FROM field_set WHERE F_TABLE='hrms'";

$resultField = exequery($connection, $sql);

$fieldData = array();
while($rows = mysql_fetch_array($resultField)) {
	$fieldData[] = $rows;
}

foreach ($fieldData as $key => $value) {
	$fieldData[$key]['F_ID'] = 'HRMS_SET_'.$value['F_ID'];
}

//excel表头
$header = $_lang["hr_system_set_number"].",".$_lang["hr_file_name"].",".$_lang["hr_duty_work_state"].",".$_lang['hr_add_sex'].",".$_lang['hr_add_dept'].",".$_lang['hr_NATION'].",".$_lang['hr_CARD_NO'].",".$_lang['hr_POST'].",".$_lang["hr_political"].",".$_lang["hr_title"].",".$_lang['hr_NATIVE_PLACE'].",".$_lang["hr_birthday"].",".$_lang["hr_marry_status"].",".$_lang["hr_join_work_time"].",".$_lang["hr_join_this_unit_time"].",".$_lang["hr_labor_effective_time"].",".$_lang['hr_HOME_ADDR'].",".$_lang['hr_HOME_TEL'].",".$_lang['hr_EMAIL'].",".$_lang["hr_qualifications"].",".$_lang["hr_major"].",".$_lang["hr_graduated_from_school"].",".$_lang["hr_trainning_info"].",".$_lang["hr_education_background"].",".$_lang['hr_REWARD'].",".$_lang['hr_WORK'].",".$_lang['hr_SOCIATY'].",".$_lang["hr_imp_note"].",".$_lang["hr_duty_leave_other"];

foreach($fieldData as $key => $value) {
	$header .= ','.$value['F_NAME'];
}

$header .= "\n";

//找到hrms表相关字段对应的文字数组
$politicSql = "SELECT CP_ID,CP_NAME FROM combobox_parent WHERE CP_TABLE LIKE 'hrms%'";
$politicResult = exequery($connection, $politicSql);
$politicId = array();
while($rows = mysql_fetch_array($politicResult)) {
	$politicId[] = $rows;
}

$hrmsField = array();
foreach ($politicId as $key => $value) {
	$ccSql = "SELECT * FROM combocox_child WHERE CC_PARENT_ID='".SecurityFilter($value[0])."'";
	$ccResult = exequery($connection, $ccSql);

	$ccArray = array();
	while($rows = mysql_fetch_array($ccResult)) {
		$ccArray[] = $rows;
	}

	$hrmsField[$value[1]] = $ccArray;
}

//将字段值替换为相应文字
foreach ($hrData as $key => $value) {
	//状态
	$hrData[$key]['STATUS'] = $value['STATUS'] == '1' ? $_lang['hr_in_job'] : $_lang["hr_not_in_work"];

	//性别
	$hrData[$key]["SEX"] = $value["SEX"] == 0 && $value["SEX"] != '' ? $_lang["hr_address_select_man"] : ($value["SEX"] == 1 ? $_lang["hr_address_select_woman"] : "");

	//政治面貌
	foreach ($hrmsField['system_combox_political'] as $k => $v) {
		if($v['CC_VALUE'] == $value['POLITICS']) {
			$hrData[$key]['POLITICS'] = $v['CC_NAME'];
		}
	}

	//婚姻状况
	foreach ($hrmsField['system_combox_marray'] as $k => $v) {
		if($v['CC_VALUE'] == $value['MARRY']) {
			$hrData[$key]['MARRY'] = $v['CC_NAME'];
		}
	}

	//学历
	foreach ($hrmsField['system_combox_education'] as $k => $v) {
		if($v['CC_VALUE'] == $value['EDUCATION']) {
			$hrData[$key]['EDUCATION'] = $v['CC_NAME'];
		}
	}
}

//表格内容
$contents = "";
foreach ($hrData as $key => $value) {
    $content = "";

    $content .= "\"\t".$value['NO']."\",";			//编号
    $content .= $value['TRUE_NAME'].',';			//档案姓名
    $content .= $value['STATUS'].',';				//状态
    $content .= $value['SEX'].',';					//性别
    $content .= $value['DEPARTMENT'].',';			//部门
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['NATION']).',';              //民族
    $content .= "\"\t".$value['CARD_NO']."\",";     //身份证号码
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['POST']).',';                    //岗位
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['POLITICS']).',';                //政治面貌
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['CERTIFICATE']).',';         //职称
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['NATIVE_PLACE']).',';            //籍贯
    $content .=	$value['BIRTHDAY'].',';                //出生年月
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['MARRY']).',';               //婚姻状况
    $content .= $value['WORK_DATE'].',';           //参加工作时间
    $content .= $value['JOIN_DATE'].',';           //加入本单位时间
    $content .=	$value['LABOR_START_TIME'].'~';
    $content .= $value['LABOR_END_TIME'].',';      //劳务合同有效期
    $content .= $value['HOME_ADDR'].',';           //家庭住址
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['HOME_TEL']).',';                //家庭电话
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['EMAIL']).',';               //电子邮件
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['EDUCATION']).',';           //学历
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['SPECIALITY']).',';          //专业
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['SCHOOL']).',';              //毕业院校
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['TRAIN']).',';               //培训情况
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['EDU']).',';                 //教育背景
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['REWARD']).',';              //奖惩情况
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['WORK']).',';                    //工作简历
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['SOCIATY']).',';             //社会关系
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['RESUME']).',';              //备注
    $content .= preg_replace("/[^\x{4e00}-\x{9fa5}]/iu",'',$value['OTHERS']);              //其它

	//加上自定义字段
	foreach ($fieldData as $k => $v) {
		$content .= ','.$value[$v['F_ID']];
	}

	$content = str_replace("\r\n", "", $content);

	$contents .= $content."\n";
}

$tableContent = $header.$contents;
//echo $tableContent;
$filename 	  = $_lang['hr_field_archive'].".csv";
if(!strpos($_SERVER["HTTP_USER_AGENT"],'Safari'))
{
	$filename 	  = iconv("utf-8","gbk",$filename);
}
$tableContent = iconv("utf-8","gbk",$tableContent);
header("Pragma: public");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Cache-Control: private",false);
header("Content-Type: application/octet-stream");
header("Content-Disposition: attachment; filename=".$filename."");
header("Expires: 0");
echo $tableContent;


