<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      导出的处理页
 * @encoding      $_lang['encoding']
 * @name          general/imp_exp/export_do.php
 * @version       3
 * @author        Qu|www.weaver.com.cn
 * @date          2013-04-15
 */
//加载语言
include_once("inc/auth.php");
include_once("inc/address/add_function.php");
include_once("api/customer.class.php");
includelangpak("hr,system");
includelangpak("user,customer,asset");

$TableName = $_REQUEST['table_name'];

function format($STR)
{
   $STR = str_replace("\"","",$STR);
   if(strpos($STR,","))
   {
	  $STR="\"".$STR."\"";
   }
   $STR = iconv('utf-8','gbk',$STR);
   return $STR;
}

switch($TableName)
{
	case "address":
		$GROUP_ID = $_REQUEST['group_id'];
		if($LOGIN_USER_ID=="")
		   exit;
		if($GROUP_ID!='')
		{
			$GROUP_NAME = getGroupNameByAddId($GROUP_ID,'');
		}
		else
		{
			$GROUP_NAME = $_lang['hr_system_list'];
		}

		//获取数据库字段
		$query = "SELECT ITEM_ID,ITEM_NAME,ITEM_SYS FROM add_item
					  WHERE ITEM_NAME!='' ORDER BY ITEM_ORDER
			     ";
		$res = exequery($connection,$query);
		while($ROW = mysql_fetch_array($res))
		{
			$ITEM_NAME = $ROW['ITEM_NAME'];
			$ITEM_SYS  = $ROW['ITEM_SYS'];

			if($ITEM_SYS==1)
			{
				$HEAD_TITLE.= format($_lang[$ITEM_NAME]).",";
			}
			else
			{
				$HEAD_TITLE.= format($ITEM_NAME).",";
			}
		}
		$HEAD_TITLE = substr($HEAD_TITLE,0,-1)."\n";
		break;
	case "hrms":
		//系统字段
		$querys = "SHOW COLUMNS FROM hrms";
		$ress   = exequery($connection,$querys);
		while($ROW = mysql_fetch_array($ress))
		{
			$FieldName = $ROW[0];
			if(strstr($FieldName,'HRMS_SET_'))
			{
				$FieldSetId = substr($FieldName,9);
				$query = "SELECT F_NAME FROM field_set
						      WHERE F_ID='".SecurityFilter($FieldSetId)."'
						 ";
				$res = exequery($connection,$query);
				if($ROWF = mysql_fetch_array($res))
				{
					$FieldSetName = $ROWF['F_NAME'];
				}
			}

			if($_lang['hr_'.$ROW[0]]!=""||$FieldSetName!="")
			{
				$ITEM_NAME = $_lang['hr_'.$FieldName]?$_lang['hr_'.$FieldName]:$FieldSetName;
				$i++;
				$HEAD_TITLE.= format($ITEM_NAME).",";
			}
		}
		$HEAD_TITLE = substr($HEAD_TITLE,0,-1)."\n";
		$GROUP_NAME = $_lang['hr_import_temp'];
	break;
	case "department" :
		$sql = "SELECT * FROM department ORDER BY DEPT_ID";
		$rs  = exequery($connection,$sql);
		$HEAD_TITLE = $_lang["hr_duty_work_dept"]."ID,".$_lang['hr_DEPARTMENT']."
		";
		$HEAD_TITLE = iconv("utf-8","gb2312",$HEAD_TITLE);
		while($rows = mysql_fetch_array($rs))
		{
			$deptArray[] = $rows;
		}

		for($i=0;$i<count($deptArray);$i++)
		{
			$HEAD_TITLE .= format($deptArray[$i]["DEPT_ID"]).",";
			$HEAD_TITLE .= format($deptArray[$i]["DEPT_NAME"])."
			";
		}
		$GROUP_NAME = $_lang['hr_export_department_info'];
	break;
	case "dutytype":
		$sql = "SELECT * FROM attend_config ORDER BY DUTY_ID";
		$rs  = exequery($connection,$sql);
		$HEAD_TITLE = $_lang["hr_userduty"]."ID,".$_lang["hr_user_dutytype"]."
		";
		$HEAD_TITLE = iconv("utf-8","gb2312",$HEAD_TITLE);
		while($rows = mysql_fetch_array($rs))
		{
			$dutyArray[] = $rows;
		}
		for($i=0;$i<count($dutyArray);$i++)
		{
			$HEAD_TITLE .= format($dutyArray[$i]["DUTY_ID"]).",";
			$HEAD_TITLE .= format($dutyArray[$i]["DUTY_NAME"])."
			";
		}
		$GROUP_NAME = $_lang["hr_export_userduty"];
	break;
	case "userpriv" :
		$sql = "SELECT USER_PRIV,PRIV_NAME FROM user_priv ORDER BY USER_PRIV";
		$rs  = exequery($connection,$sql);
		$HEAD_TITLE = $_lang["user_priv"]."ID,".$_lang['user_priv_name']."
		";
		$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);
		while($rows = mysql_fetch_array($rs)) {
			$userprivArray[] = $rows;
		}

		for($i=0;$i<count($userprivArray);$i++) {
			$HEAD_TITLE .= format($userprivArray[$i]["USER_PRIV"]).",";
			$HEAD_TITLE .= format($userprivArray[$i]["PRIV_NAME"])."
			";
		}
		$GROUP_NAME = $_lang['hr_export_userpriv_info'];
	break;
	//用户导出
	case "user":
		$querys = "show columns from user
				  ";
		$ress = exequery($connection,$querys);
		while($ROW = mysql_fetch_array($ress))
		{
			$FieldName = $ROW[0];
			if($FieldName == 'POSITION' || $FieldName == 'USER_NAME_ZM' || $FieldName == 'USER_NAME_PY' ||
			 $FieldName == 'AVATAR_TYPE' || $FieldName == 'USER_SUB_PRIV' || $FieldName == 'TEMPLATE' || $FieldName == 'POST_PRIV' || $FieldName == 'POST_DEPT' || $FieldName == 'MSN' || $FieldName == 'NICK_NAME' || $FieldName == 'AVATAR' || $FieldName == 'CALL_SOUND' || $FieldName == 'BBS_SIGNATURE' || $FieldName == 'BBS_COUNTER' || $FieldName == 'LAST_VISIT_TIME' || $FieldName == 'SMS_ON' || $FieldName == 'MENU_TYPE' || $FieldName == 'MENU_HIDE' || $FieldName == 'UIN' || $FieldName == 'PIC_ID' || $FieldName == 'AUTHORIZE' || $FieldName == 'CANBROADCAST' || $FieldName == 'DISABLED' || $FieldName == 'MOBILE_SP' || $FieldName == 'MOBILE_PS1' || $FieldName == 'MOBILE_PS2' || $FieldName == 'LAST_PASS_TIME' || $FieldName == 'THEME' || $FieldName == 'SHORTCUT' || $FieldName == 'PANEL' || $FieldName == 'SMS_TIME' || $FieldName == 'SMS_LOGIN' || $FieldName == 'NOTES' || $FieldName == 'WAP_ALLOW' || $FieldName == 'LOGIN_USBKEY' || $FieldName =='USBKEY_PIN'||$FieldName=='ICQ_NO'||$FieldName=='IS_DYNAMI_CODE'||$FieldName=='SN_NUM' || $FieldName == 'THEME_IMG' || $FieldName == 'IS_AUTOHRMS' || $FieldName == 'SIGNATURE_PICTURE_TYPE'|| $FieldName == 'DEPT_ID_BACKUPS') {
				continue;
			}

			if($FieldName!="USER_ID")
			{
				//利用公共文件来做导入和导出,需要新建关于user信息的lang目录下的文件(USER表相关信息过多！)
				if($_lang['USER_'.$ROW[0]]!="")  //||$FieldSetName!=""
				{
					if($FieldName == 'USER_PRIV')
					{
						$ITEM_NAME = $_lang['USER_'.$FieldName]?$_lang['USER_'.$FieldName].'ID':$FieldSetName;
					}
					else
					{
						$ITEM_NAME = $_lang['USER_'.$FieldName]?$_lang['USER_'.$FieldName]:$FieldSetName;
					}
					$i++;
					$HEAD_TITLE.= format($ITEM_NAME).",";
				} else {
					$ITEM_NAME = $ROW[0];
					$i++;
					$HEAD_TITLE.= format($ITEM_NAME).",";
				}
			}

			if($FieldName = "SEX")
			{
				continue;
			}
		}
		$HEAD_TITLE  = substr($HEAD_TITLE,0,-1)."\n";
		$GROUP_NAME  = $_lang["hr_user_export"];
	break;
	//联系人导入模板
	case "linkman":
		$HEAD_TITLE = $_lang["customer_customer_id"].",".$_lang["customer_link_man_name"].",".$_lang["customer_link_man_sex"]
		.",".$_lang["common_birthday"].",".$_lang["customer_linkman_posision"].",".$_lang["customer_link_man_love"]
		.",".$_lang["customer_home_addr"].",".$_lang["customer_basic_postcode"].",".$_lang["customer_linkman_comtel"].",".$_lang["customer_link_man_pho"].",".$_lang["customer_linkman_tel"].",".$_lang["customer_basic_email"].",".$_lang["customer_note"]."\n";

		$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);

		$HEAD_TITLE .= format($_lang["customer_example_customer_id"]).",";
		$HEAD_TITLE .= format($_lang["customer_example_name"]).",";
		$HEAD_TITLE .= format($_lang["customer_cus_man"]).",";
		$HEAD_TITLE .= format($_lang["customer_example_birthday"]).",";
		$HEAD_TITLE .= format($_lang["customer_example_position"]).",";
		$HEAD_TITLE .= format($_lang["customer_example_hobby"]).",";
		$HEAD_TITLE .= format($_lang["customer_example_addr"]).",";
		$HEAD_TITLE .= format($_lang["customer_example_postcode"]).",";
		$HEAD_TITLE .= format("021-58888888").",";
		$HEAD_TITLE .= format("021-56668888").",";
		$HEAD_TITLE .= format("13123456789").",";
		$HEAD_TITLE .= format("zhangdafu@163.com").",";
		$HEAD_TITLE .= format($_lang["customer_example_noteinfo"])."\n";
		$GROUP_NAME = $_lang["hr_linkman_temp"];

	break;
	//客户的ID和客户Name的导出
	case "customer":
		$customer = new customer();
		$info     = $customer->get_customer_sql_string(0,"CUSTOMER_ID","DESC",'all','',0,1);
		$userDefinedFieldNameStr = $customer->getUserDefinedFieldName('customer');

		$HEAD_TITLE = $_lang["customer_CUSTOMER_NAME"].",".$_lang["customer_TEL_NO"].",".$_lang["customer_FAX_NO"]
		.",".$_lang["customer_CUSTOMER_WWW"].",".$_lang["customer_EMAIL"].",".$_lang["customer_CUSTOMER_ADD"]
		.",".$_lang["customer_POSTALCODE"].",".$_lang["customer_CUSTOMER_NUMBER"].",".$_lang["customer_LE_PERSON"].$userDefinedFieldNameStr."\n";
		$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);

		$HEAD_TITLE .= format($_lang["customer_example_cust_name"]).",";
		$HEAD_TITLE .= format("021-52556487").",";
		$HEAD_TITLE .= format("021-50887465").",";
		$HEAD_TITLE .= format("www.example.com").",";
		$HEAD_TITLE .= format("admin@exaple.com").",";
		$HEAD_TITLE .= format($_lang["customer_example_addr"]).",";
		$HEAD_TITLE .= format($_lang["customer_example_postcode"]).",";
		$HEAD_TITLE .= format("KB2012").",";
		$HEAD_TITLE .= format($_lang["customer_example_name"]);

		$GROUP_NAME = $_lang['user_customer_info'];
		break;
		//联系人有权限看到的客户的ID的导出
	case "customer_id":
		$customer = new customer();
		$info     = $customer->get_customer_sql_string(0,"CUSTOMER_ID","DESC",'');
		$HEAD_TITLE = $_lang["customer_customer_id"].",".$_lang["customer_cus_name"]."\n";
		$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);
		$count = 0;
		for($i=0;$i<count($info);$i++) {
			$count++;
			$HEAD_TITLE .= format($info[$count][CUSTOMER_ID]).",";
			$HEAD_TITLE .= format($info[$count][CUSTOMER_NAME])."\n";
		}
		$GROUP_NAME = $_lang["customer_info"];
		break;
	case "officeitem":
		$HEAD_TITLE = $_lang["asset_office_supplies_name"].",".$_lang["asset_specifications"].","
		.$_lang["asset_unit"].",".$_lang["asset_respective_categorie"].",".$_lang["asset_edit_id"]."\n";
		$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);
		$HEAD_TITLE .= format("app1").",";
		$HEAD_TITLE .= format("100*20*90").",";
		$HEAD_TITLE .= format("kg").",";
		$HEAD_TITLE .= format("1").",";
		$HEAD_TITLE .= format("20130423");

		$GROUP_NAME = $_lang["asset_office_supplies"];
		break;
	case "officeitem_sort":
		$query = "SELECT * FROM officeitem_sort";
		$res   = exequery($connection,$query);
		$HEAD_TITLE = $_lang["asset_type"]."ID,".$_lang["asset_type_name"]."\n";
		$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);
		while($row = mysql_fetch_array($res)) {
			$HEAD_TITLE .= format($row["SORT_ID"]).",";
			$HEAD_TITLE .= format($row["SORT"])."\n";
		}
		$GROUP_NAME = $_lang["asset_type"];
		break;
	case "book_info":
		$HEAD_TITLE  = $_lang["asset_due_dept"].",".$_lang["asset_book_type"].",".$_lang["asset_book_name"].",".$_lang["asset_book_author"].
		",".$_lang["asset_press"].",".$_lang["asset_idbn_number"].",".$_lang["asset_storage_sites"].",".$_lang["asset_number"].",".$_lang["asset_prices"]."\n";
		$HEAD_TITLE  = iconv("utf-8","gbk",$HEAD_TITLE);
		$HEAD_TITLE .= format("1").",";
		$HEAD_TITLE .= format("1").",";
		$HEAD_TITLE .= format("BookName").",";
		$HEAD_TITLE .= format("Author").",";
		$HEAD_TITLE .= format("Publisher").",";
		$HEAD_TITLE .= format("20130308").",";
		$HEAD_TITLE .= format("Store").",";
		$HEAD_TITLE .= format("5").",";
		$HEAD_TITLE .= format("55");
		$GROUP_NAME  = $_lang["asset_book"];
		break;
	case "cp_cptl_info":
		$customer = new customer();
		$userDefinedFieldNameStr = $customer->getUserDefinedFieldName('cp_cptl_info');
		$HEAD_TITLE  = $_lang["asset_CPTL_NO"].",".$_lang["asset_CPTL_NAME"].",".$_lang["asset_DEPT_ID"].",".$_lang["asset_CPTL_VAL"].",".$_lang["asset_CPTL_BAL"].",".$_lang["asset_DPCT_YY"].",".$_lang["asset_CPTL_KIND"].",".$_lang["asset_PRCS_ID"].",".$_lang["asset_SUM_DPCT"].",".$_lang["asset_FINISH_FLAG"].",".$_lang["asset_FROM_YYMM"].",".$_lang["asset_KEEPER"].",".$_lang["asset_REMARK"].$userDefinedFieldNameStr."\n";
		$HEAD_TITLE  = iconv("utf-8","gbk",$HEAD_TITLE);
		$HEAD_TITLE .= format("No").",";
		$HEAD_TITLE .= format("名称").",";
		$HEAD_TITLE .= format("1").",";
		$HEAD_TITLE .= format("5000").",";
		$HEAD_TITLE .= format("残值/残值率").",";
		$HEAD_TITLE .= format("2").",";
		$HEAD_TITLE .= format("资产").",";
		$HEAD_TITLE .= format("购入不需安装的固定资产").",";
		$HEAD_TITLE .= format("0.00").",";
		$HEAD_TITLE .= format("未提足").",";
		$HEAD_TITLE .= format("2016-03-28").",";
		$HEAD_TITLE .= format("李忠平").",";
		$HEAD_TITLE .= format("备注").",";
		$GROUP_NAME  = $_lang["asset_cptl_name"];
		break;
	case "book_sort":
		$query = "SELECT * FROM book_type";
		$res   = exequery($connection,$query);
		$HEAD_TITLE = $_lang["asset_book_type"]."ID,".$_lang["asset_type_name"]."\n";
		$HEAD_TITLE = iconv("utf-8","gbk",$HEAD_TITLE);
		while($row = mysql_fetch_array($res)) {
			$HEAD_TITLE .= format($row["TYPE_ID"]).",";
			$HEAD_TITLE .= format($row["TYPE_NAME"])."\n";
		}
		$GROUP_NAME = $_lang["asset_book_type"];
		break;
}

$GROUP_NAME = iconv('utf-8','gbk',$GROUP_NAME);
ob_end_clean();
Header("Cache-control: private");
Header("Content-type: application/octet-stream");
Header("Content-Disposition: attachment; filename=".$GROUP_NAME.".csv");
echo $HEAD_TITLE;
?>