<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      导入导出首页页
 * @encoding      $_lang['encoding']
 * @name          general/imp_exp/index.php
 * @version       4
 * @author        Qu|www.weaver.com.cn
 * @date          2011-12-07
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("hr");

$TableName = $_REQUEST['table_name'];

switch($TableName) {
	case"customer":
		$url = "/general/crm/customer/index.php";
		break;
	case"linkman":
		$url = "/general/crm/linkman/index.php";
		break;
	case"hrms":
		$url = "/general/hrms/manage/hr_list.php";
		break;
	case"user":
		$url = "/general/system/user/index.php";
		break;
	case"officeitem_appellation":
		$url = "/general/officeitem/appellation/index.php";
		break;
	case"book_info":
		$url = "/general/book/manage/index.php";
		break;
	case "cp_cptl_info":
		$url = "/general/asset/manage/new/index.php";
		break;
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["file_read_file_view"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/inc/ext/ext-all.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style>
.x-toolbar > table {
      float:right;
  }

.a-upload {
	padding: 4px 10px 7px 10px;
	position: relative;
	cursor: pointer;
	background: #558ED5;
	overflow: hidden;
	font-size: 12px;
	color: white;
}
 
.a-upload  input {
	position: absolute;
	right: 0;
	top: 0;
	opacity: 0;
	filter: alpha(opacity=0);
	cursor: pointer;
}
 
.a-upload:hover {
	background: #104E8B;
	color: white;
}
</style>
</head>
<body>
<div id="winError">
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang['hr_import_data']?></span>
		</span>		
		<button type="button" class="btn btn-primary" id="submit"><?=$_lang["common_submit"]?></button>
		<button type="button" class="btn btn-default" id="back"><?=$_lang["common_back"]?></button>
	</div>
	<div class="importDiv">
		<form name="form1" id="form1" method="post" action="/general/imp_exp/import.php" enctype="multipart/form-data" >	
		<table width='100%' cellspacing="1" cellpadding="3" class='form_table'>
		<?if($TableName=='hrms') {?>
			<tr>
				<td class='title' width='20%'><?=$_lang['hr_import_block']?></td>
				<td><?=$_lang['hr_field_archive']?></td>
			</tr>
			<tr>
				<td class='title'><?=$_lang["hr_import_replace_option"]?></td>
				<td>
					<input type='checkbox' name='copy_name' class='checkbox' value='1'>
				</td>
			</tr>
			<tr>
				<td class='title'>
					 <?=$_lang["hr_address_point_csv_file"]?>
				</td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;"><?=$_lang['hr_file_upload']?>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ol>
						<li><a href="export_do.php?table_name=hrms"> <?=$_lang["hr_export_template"]?></a></li>
						<li><a href="export_do.php?table_name=department"> <?=$_lang["hr_export_department"]?></a></li>
					</ol>
				</td>
			</tr>
			<tr>
				<td colspan='2'><div class="alert alert-info"><?=$_lang["hr_export_department_tips"]?></div></td>
			</tr>
			<input type="hidden" name="TableName" value="hrms">			
		<?} elseif($TableName=='user') {?>
			<tr>
				<td class='title'><?=$_lang['hr_import_block']?></td>
				<td><?=$_lang["hr_user_management"]?></td>
			</tr>
			<tr>
				<td class='title'>
					 <?=$_lang["hr_address_point_csv_file"]?>
				</td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;"><?=$_lang['hr_file_upload']?>					
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ol>
						<li><a href="export_do.php?table_name=user"> <?=$_lang["hr_export_template"]?></a></li>
						<li><a href="export_do.php?table_name=department"> <?=$_lang["hr_export_department"]?></a></li>
						<li><a href="export_do.php?table_name=userpriv"> <?=$_lang["hr_export_userpriv"]?></a></li>
						<li><a href="export_do.php?table_name=dutytype"> <?=$_lang["hr_export_userduty"]?></a></li>
					</ol>
				</td>
			</tr>
			<tr>
				<td colspan='2'><div class="alert alert-info"><?=$_lang["hr_export_tips"]?></div></td>
			</tr>	
			<input type="hidden" name="TableName" value="user">				
		<?
		} elseif($TableName=='address') {
		?>
			<tr>
				<td class='title' width='20%'><?=$_lang['hr_import_block']?></td>
				<td><?=$_lang["hr_address_import"]?></td>
			</tr>
			<tr>
				<td class='title'>
					 <?=$_lang["hr_address_point_csv_file"]?>
				</td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;" ><?=$_lang['hr_file_upload']?>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ol>
						<li><a href="export_do.php?table_name=address"><?=$_lang["hr_address_export_temp"]?></a></li>
					</ol>
				</td>	
			</tr>
			<tr>
				<td colspan='2'> 
					<div class='alert alert-info'><?=$_lang["hr_import_customer_info"]?></div>
				</td>
			</tr>
			<input type="hidden" name="TableName" value="address">
		<?
		} else if($TableName == 'officeitem_appellation') {
		?>
			<tr>
				<td class="title"><?=$_lang["hr_import_block"]?></td>
				<td><?=$_lang["hr_officeitem_import"]?></td>
			</tr>
			<tr>
				<td class='title'><?=$_lang["hr_address_point_csv_file"]?></td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;"><?=$_lang['hr_file_upload']?>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ol>
						<li><a href="export_do.php?table_name=officeitem"><?=$_lang["hr_officeitem_export_temp"]?></a></li>							
						<li><a href="export_do.php?table_name=officeitem_sort"><?=$_lang["hr_officeitem_sort"]?></a></li>
					</ol>
				</td>
			</tr>
			<tr>
				<td colspan='2'>
					<div class='alert alert-info'>
						<?=$_lang["hr_import_officeitem_info"]?><?=$_lang["hr_officeitem_sort_info"]?><?=$_lang["hr_officeitem_sunum_length"]?>
					</div>
				</td>
			</tr>
			<input type="hidden" name="TableName" value="officeitem_appellation">
		<?
		} else if($TableName == 'book_info') {
		?>
			<tr>
				<td class="title"><?=$_lang["hr_import_block"]?></td>
				<td><?=$_lang["hr_bookinfo_import"]?></td>
			</tr>
			<tr>
				<td class="title"><?=$_lang["hr_address_point_csv_file"]?></td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;"><?=$_lang['hr_file_upload']?>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ol>
						<li><a href="export_do.php?table_name=book_info"><?=$_lang["hr_bookinfo_export_temp"]?></a></li>
						<li><a href="export_do.php?table_name=department"><?=$_lang["hr_export_department_info"]?></a></li>
						<li><a href="export_do.php?table_name=book_sort"><?=$_lang["hr_booksort_info"]?></a></li>
					</ol>
				</td>
			</tr>
			<tr>
				<td colspan='2'>
						<div class='alert alert-info'><?=$_lang["hr_book_import_tips"]?><?=$_lang["hr_book_import_note"]?></div>
				</td>
			</tr>
			<input type="hidden" name="TableName" value="book_info">
		<?
		}elseif($TableName == 'cp_cptl_info') {
		?>
			<tr>
				<td class='title' width='20%'><?=$_lang['hr_import_block']?></td>
				<td><?=$_lang['hr_asset_import']?></td>
			</tr>
			<!-- <tr>
				<td class='title'><?//=$_lang["hr_import_asset_info"]?></td>
				<td>
					<input type='checkbox' name='copy_name' class='checkbox' value='1'>
				</td>
			</tr> -->
			<tr>
				<td class='title'>
					 <?=$_lang["hr_address_point_csv_file"]?>
				</td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;"><?=$_lang['hr_file_upload']?>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ol>
						<li><a href="export_do.php?table_name=cp_cptl_info"> <?=$_lang["hr_export_template"]?></a></li>
						<li><a href="export_do.php?table_name=department"> <?=$_lang["hr_export_department"]?></a></li>
					</ol>
				</td>
			</tr>
			<tr>
				<td colspan='2'><div class="alert alert-info"><?=$_lang["hr_asset_import_info"]?></div></td>
			</tr>
			<input type="hidden" name="TableName" value="cp_cptl_info">
		<?
		}
		?>
			</table>
		</form>
	</div>
</div> 
<form name="log_xls" method="post" action="import_do.php">
	<input type="hidden"  name="table_data" id="table_data" value="">
	<input type="hidden" name="excal_title" id="excal_title" value="<?=$_lang["hr_data_exp_log"]?>">
</form>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="type/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script>
$(function() {
    $.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;
	$.pnotify.defaults.addclass = "stack-topright";
	$.pnotify.defaults.animate_speed = 'fast';
	$.pnotify.defaults.type = "error";

	$("select").selectpicker();
	$("#back").click(function() {
		window.location = "<?=$url?>";
	});

	$("#submit").click(function() {
		var filename = $("input[name='CSV_FILE']").val();
		if(filename.substring(filename.length-3,filename.length) != "csv")
		{
			$.pnotify({
				text:"<?=$_lang["hr_must_csv"]?>",
				type:"error"
			});
			return false;
		}
		else
		{
			document.form1.submit();
		}
	});

	$("input[type='file']").change(function() {
		$("#ATTACHMENT_path").val($(this).val());
	});

	$('input').iCheck({
		checkboxClass : 'icheckbox_square-blue'
	});
});

function getLogData() {
	var dataValues = document.getElementById('winError').innerHTML;
	document.getElementById('table_data').value = dataValues;
	log_xls.submit();
}

function checkSubmitFrom() {
	var iframe = document.getElementById("iframe_name").contentWindow;
	var form   = iframe.document.getElementsByTagName('FORM');
	
	if(form[0].name == "form_csv") {
		if(iframe_name.form_csv.CSV_FILE.value=='') {
			Ext.MessageBox.alert('<?=$_lang['hr_alert']?>','<?=$_lang['hr_choose_csv']?>');
			return false;
		} else {	
			var file_str = iframe_name.form_csv.CSV_FILE.value;
			var exec = /\.[^\.]+$/.exec(file_str) ;
			if(exec!='.csv') {
				Ext.MessageBox.alert('<?=$_lang['hr_alert']?>','<?=$_lang['hr_not_csv']?>');
				return false;
			}
		}

		submit_type = "date_csv";
		iframe_name.form_csv.submit();
	} else {
		iframe_name.ImportDoByAjax();
	}
}

$(function() {
	setTimeout(function(){
		$(".x-toolbar").addClass("lazy_sub_header");
		$("button").addClass("btn btn-primary");
	});
	
});
</script>
<?
//} elseif($TableName=='linkman') {
		?>
			<!--<tr>
				<td class='title'><?=$_lang['hr_import_block']?></td>
				<td>
					<select class='select' name="TableName">
						<option value='linkman'><?=$_lang["hr_linkman_import"]?></option>
					</select>
				</td>
			</tr>
			<tr>
				<td class='title'>
					 <?=$_lang["hr_address_point_csv_file"]?>
				</td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;" ><?=$_lang['hr_choose_csv']?>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ul>
						<li><a href="export_do.php?table_name=linkman"> <?=$_lang["hr_export_template"]?></a></li>
						<li><a href="export_do.php?table_name=customer_id"> <?=$_lang["hr_customer_id"]?></a></li>
					</ul>
				</td>
			</tr>
			<tr>
				<td colspan='2'>
					<div class='alert alert-info'><?=$_lang["hr_import_linkman_info"]?>&nbsp;&nbsp;<?=$_lang["hr_linkman_customer_id"]?></div>
				</td>
			</tr>-->
		<?
		//} elseif($TableName=='customer') {
		?>
			<!--<tr>
				<td class='title'><?=$_lang['hr_import_block']?></td>
				<td>
					<select class='select' name="TableName">
						<option value='customer'><?=$_lang["hr_customer_import"]?></option>
					</select>
				</td>
			</tr>
			<tr>
				<td class='title'>
					 <?=$_lang["hr_address_point_csv_file"]?>
				</td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" style="width:220px;" readonly/>
						<span class="a-upload">
							<input type="file" name="CSV_FILE" style="width:220px;"><?=$_lang['hr_choose_csv']?>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class='title'></td>
				<td>
					<ul>
						<li><a href="export_do.php?table_name=customer"> <?=$_lang["hr_customer_import_temp"]?></a></li>
					</ul>
				</td>
			</tr>	
			<tr>
				<td colspan='2'>
					<div class='alert alert-info'><?=$_lang["hr_import_customer_info"]?></div>
				</td>
			</tr>-->