<?php
/**
 *@Copyright (C) 2015 - 2015 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/income_expend/include/config/config.php
 *@function:         收支管理配置文件
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:           lizhijun
 *@date:             2015-04-22
 *@file Version:     1.0
 *@eoffice Version:  9.0
*/
return array(
    //路由配置
    'route' => array(
        'c' => array(
            1   => 'IncomeExpendRecord',        //收支记录，统计代理类
            2   => 'IncomeExpendPlan',          //收支方案代理类
            3   => 'IncomeExpendPlanType',      //方案类型代理类
            4   => 'SelectPlan',                //方案选择器代理类
        ),
        'm' => array(
            1   => 'init',                      //初始化
            2   => 'lists',                     //列表
            3   => 'add',                       //新增
            4   => 'delete',                    //删除
            5   => 'edit',                      //编辑
            6   => 'start',                     //启动
            7   => 'initRecord',                //初始化收支记录页面
            8   => 'initStat',                  //初始化收支统计页面
            9   => 'detail',                    //详情
            10  => 'addDo',                     //新增处理方法
            11  => 'uploadDo',                  //上传处理方法
            12  => 'ajaxLists',                 //ajax列表方法
            13  => 'end',                       //结束
            14  => 'recover',                   //恢复
            15  => 'destory',                   //销毁
            16  => 'deleteAttachment',          //删除附件
            17  => 'editDo',                    //编辑处理方法
            18  => 'planList',                  //方案列表
            19  => 'oneRecordList',             //具体一个方案对应的记录列表
            20  => 'allRecordList',             //所有记录列表
            21  => 'planInfo',                  //方案信息
            22  => 'oneRecordListSize',         //统计一个方案的记录个数
            23  => 'ajaxStat',                  //ajax统计方法
            24  => 'oneDayStat',                //按一天统计
            25  => 'diffStat',                  //分别统计
            26  => 'export',                    //导出
            27  => 'exportOneDay',              //导出一天的数据
            28  => 'recordDetail',              //收支记录明细
            29  => 'addOtherRecord',            //添加数据外发过来的数据
            30  => 'planRecycle'
        ),
    ),
    'flow'      => array(
        'PLAN_ID'       => 'PLAN_ID',
        'INCOME'        => 'INCOME',
        'EXPEND'        => 'EXPEND',
        'RECORD_DESC'   => 'RECORD_DESC',  
    ),
);
