<?php include_once('inc/page_header.inc.php');?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/plan.css" rel="stylesheet" />
<link type="text/css" href="<?=CSS_PATH?>/planRecord.css" rel="stylesheet" />
<body style="overflow: hidden;">
    <div class="payment-frame-left">
        <div class="lazy_header">
            <span class="lazy-list-title" style="max-width:150px">
                <i class="fa fa-list-title"></i>
                <span class="tip"><?=$_lang["incomeexpend_payment_plan_lists"]?>(<span class="total">0</span>)</span>
            </span>
            <div class="plan_search">
                <div class="search-input"><input type="text" value="" id="keyword" placeholder=""></div>
                <div class="search-button" id="plan_search"><i class="fa fa-search"></i></div>
            </div>
        </div>
        <div class="lazy_sub_header" style="padding-left:5px;">
            <div class="left-filter">
                <select id="plan_type">
                    <option value="all"><?=$_lang["incomeexpend_all_type"]?></option>
                    <option value="0"><?=$_lang["incomeexpend_no_category_plan"]?></option>
                    <?php if($planTypeLists){
                        foreach($planTypeLists as $key => $value){
                    ?>
                    <option value="<?=$value['TYPE_ID']?>"><?=$value['TYPE_NAME']?></option>
                    <?php }}?>
                </select>
                <select id="plan_filter">
                    <option value="all"><?=$_lang["incomeexpend_all"]?></option>
                    <option value="last7d"><?=$_lang["incomeexpend_last7d"]?></option>
                    <option value="last1m"><?=$_lang["incomeexpend_last1m"]?></option>
                    <option value="last3m"><?=$_lang["incomeexpend_last3m"]?></option>
                    <option value="starting"><?=$_lang["incomeexpend_running"]?></option>
                    <option value="end"><?=$_lang["incomeexpend_end"]?></option>
                </select>
            </div>
        </div>
        <div class="outsidediv" style="overflow-y: auto;float:left;"> 
            <div class="plan-list-wrap"></div>
        </div>
    </div>
    <div class="payment-frame-right" style="overflow: hidden;">
        <div class="lazy_header">
            <div id="arrow" class="arrow lazy_toggle" title="<?=$_lang["incomeexpend_close_payment_plan"]?>">
                <div class="icon_wrap">
                    <i class="fa fa-angle-left"></i>
                </div>
            </div>
            <span class="lazy-list-title" style="line-height:40px;">
                <span class="tip">&nbsp;<?=$_lang["incomeexpend_record"]?></span>
            </span>
            <div class="header-buttons">
                <button class="btn btn-primary chart-button" type="button"><?=$_lang["incomeexpend_chart_show"]?></button>
                <button class="btn btn-primary list-button" type="button"><?=$_lang["incomeexpend_list_show"]?></button>
            </div>
        </div>
         <div class="search_by_tiem" style="position: relative;">
            <button class="btn btn-primary" id="search_list" style="float:right;margin-right:40px;margin-top:5px;" type="button"><?=$_lang["common_search"]?></button>
            <div class="end-date"><?=$_lang["incomeexpend_end"]?>：<input id="end_datepicker"  type="text"></div>
            <div class="begin-date"><?=$_lang["incomeexpend_start"]?>：<input id="begin_datepicker" type="text"></div>
        </div>
        <div class="paymentLists" style="overflow-y: auto;float:left;width:100%;">
            <div class="paymentLists-body" style="width:100%;">
                <div class="all" style="width:100%;">
                    <div class="load-more all-load"><?=$_lang["incomeexpend_load_more"]?></div>
                </div>
                <div class="one" style="display: none;">
                    <div class="payment-list-view" style="position: relative;">
                        <div class="total-switch-down"><i class="fa fa-angle-down fa-2x" style="line-height:13px;"></i></div>
                        <div class="payment-total"  style="position: relative;">
                        </div>
                        <div class="payment-record-list">
                        </div>
                    </div>
                    <div class="chart-type-buttons" style="display:none;">
                        <div class="chart-type-button bar active"><i class="fa fa-bar-chart"></i>&nbsp;<?=$_lang["incomeexpend_histogram"]?></div>
                        <div class="chart-type-button line"><i class="fa fa-line-chart"></i>&nbsp;<?=$_lang["incomeexpend_graph"]?></div>
                    </div>
                    <div class="payment-chart-view"  style="width:100%;float:left;overflow-y:auto;height:500px;">
                        <div id="chartContainer" chart-type="1" style="width:100%;height:400px;float:left;"></div>
                    </div>
                </div>
            </div>
        </div>
        <input type="hidden" id="planId" value="">
        <input type="hidden" id="planName" value="">
        <input type="hidden" id="currentPage" value="0">
    </div>
    <div id="paymentDetail">
        <div class="header"><div class="left"></div><div class="right"><i class="fa fa-times fa-lg"></i></div></div>
        <div class="center"></div>
        <div class="bottom"></div>
    </div>
</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>  
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts.js"></script>
<script type="text/javascript" src="<?=JS_PATH?>common.js"></script>
<script>
$(function(){
    $('.payment-frame-right').width(windowWidth - 331).height(windowHeight);
    $('.payment-frame-left').height(windowHeight);
    $('.outsidediv').height(windowHeight - 75).niceScroll();
    $('.paymentLists').height(windowHeight - 50).niceScroll();
    switchTypeLists();
    $('#plan_type').selectpicker({'width':'150px','height':'35px'});
    $('#plan_filter').selectpicker({'width':'120px','height':'35px'});
    $("#begin_datepicker").datepicker();
    $('#end_datepicker').datepicker();
    $('.left-filter').find('.btn').css({'border':'0px'});
    $('.plan-list-wrap').on({
        mouseenter:function(){
            if(!$(this).hasClass('active')){
                $(this).css({'background':'#E3F2FF'});
                $(this).find('.plan-name a').css('color','#3BA7F6');
                $(this).find('.other').css('color','#3BA7F6');
            }
            $(this).find('.expense-reveue').hide();
            $(this).find('.expense-reveue-active').show();
        },
        mouseleave:function(){
            if(!$(this).hasClass('active')){
                $(this).css({'background':'#fff'});
                if($(this).find('.plan-name').attr('plan-state') == 2){
                    $(this).find('.plan-name a').css('color','#333');
                    $(this).find('.plan-name.active a').css('color','#D9534F');
                }else{
                    $(this).find('.plan-name a').css('color','#333');
                }
                $(this).find('.other').css('color','gray');
            }
            $(this).find('.expense-reveue').show();
            $(this).find('.expense-reveue-active').hide();
        },
        click:function(){
            $('.payment-plan-item').css({'background':''}).removeClass('active');
            $('.payment-plan-item').find('.plan-name a').css('color','#333');
            $('.payment-plan-item').find('.plan-name.active[plan-state=2] a').css('color','#D9534F');
            $('.payment-plan-item').find('.plan-name[plan-state=1] a').css('color','#333');
            $('.payment-plan-item').find('.other').css('color','gray');
            $(this).find('.expense-reveue').show();
            $(this).find('.expense-reveue-active').hide();
            $(this).find('.plan-name a').css('color','#fff');
            $(this).find('.other').css('color','#fff');
            $(this).addClass('active').css({'background':'#9BD1FF'});
            var planId = $(this).attr('plan-id');
            var planName = $(this).attr('plan-name');
            $('.search_by_tiem').slideUp();
            $('#planId').val(planId);
            $('#planName').val(planName);
            planInfo(planId);
            $('.chart-button').show();
            $('.header-buttons').show();
            $('.list-button').hide();
            $('.payment-record-list').show();
            $('.payment-chart-view').hide();
            $('.chart-type-buttons').hide();
            $('.chart-type-button').removeClass('active');
            $('.chart-type-button.bar').addClass('active');
            $('#chartContainer').attr('chart-type',1);
            oneRecordList({'page':0,'planId':planId},'html');
            $('.paymentLists-body .all').slideUp('hide');
        }
    },'.payment-plan-item');
	
    $('body').on({
        mouseenter:function(){
            $(this).css({'background':'#D4D4D4'});
        },
        mouseleave:function(){
            $(this).css({'background':'#eaeaea'});
        }
    },'.load-more');
    $('.payment-list-view').on({
        mouseenter:function(){
            $(this).css({'background':'#30B5FF'});
        },
        mouseleave:function(){
            $(this).css({'background':'#BEBEBE'});
        }
    },'.total-switch-up,.total-switch-down');
    $('.payment-list-view').on({
        click:function(){
            $('.payment-total').slideUp('hide');
            $(this).hide();
            $('.total-switch-down').show(500);
        }
    },'.total-switch-up');
    $('.payment-list-view').on({
        click:function(){
            $('.payment-total').slideDown('show');
             $(this).hide();
            $('.total-switch-up').show(500);
           // $('.paymentLists').height(windowHeight - 40).niceScroll();
        }
    },'.total-switch-down');
    ajaxPlanList({'page':0},'html');
    allRecordList({'page':0},'html');
    $('.plan-list-wrap').on({
        click:function(){
            var page        = parseInt($(this).attr('page')) + 1;
            var plan_type   = $('#plan_type').val();
            var plan_filter = $('#plan_filter').val();
            var keyword     = $('#keyword').val();
            ajaxPlanList({'page':page,'FILTER':plan_filter,'PLAN_TYPE':plan_type,'keyword':keyword},'append');
        }
    },'.load-more.plan-load');
    $('.paymentLists-body .all').on({
        click:function(){
            var page        = parseInt($(this).attr('page')) + 1;
            var beginTime   = $("#begin_datepicker").val();
            var endTime     = $("#end_datepicker").val();
            allRecordList({'page':page,'beginTime':beginTime,'endTime':endTime},'append');
        }
    },'.load-more.all-record-load');
    $('.payment-record-list').on({
        click:function(){
            var page        = parseInt($(this).attr('page')) + 1;
            var planId      = $(this).attr('plan-id');
            oneRecordList({'page':page,'planId':planId},'append');
        }
    },'.load-more.one-record-load')
    $('.plan_search').mouseenter(function(){
        $(this).find('#keyword').attr('placeholder','<?=$_lang["incomeexpend_enter_plan_name"]?>');
        $(this).css({'border-color':'#F5B446'});
    }).mouseleave(function(){
         $(this).find('#keyword').attr('placeholder','');
        $(this).css({'border-color':'transparent'});
    });
    $('#plan_search').click(function(){
        var keyword     = $('#keyword').val();
        //$('#plan_type').selectpicker('val','all');
        //$('#plan_filter').selectpicker('val','all');
        ajaxPlanList({'page':0,'FILTER':'all','PLAN_TYPE':'all','keyword':keyword},'html');
        $('#keyword').val(keyword);
    });
    $('#keyword').keydown(function(event){
        if (event.keyCode == "13") {
            $('#plan_search').click();
        }
    });
    $('#plan_type').change(function(){
        var plan_type   = $('#plan_type').val();
        var plan_filter = $('#plan_filter').val();
        $('#keyword').val('');
        ajaxPlanList({'page':0,'FILTER':plan_filter,'PLAN_TYPE':plan_type,'keyword':''},'html');
    });
    $('#plan_filter').change(function(){
        var plan_type   = $('#plan_type').val();
        var plan_filter = $('#plan_filter').val();
        $('#keyword').val('');
        ajaxPlanList({'page':0,'FILTER':plan_filter,'PLAN_TYPE':plan_type,'keyword':''},'html');
    });
 $('.paymentLists-body').on({
        mouseenter:function(){
            $(this).css({'background':'#EAEAEA'});
            $(this).children('.operation').show();
        },
        mouseleave:function(){
            $(this).css({'background':''});
            $(this).children('.operation').hide();
        }
    },'.attach-item');
    $('.paymentLists-body').on({
        mouseenter:function(){
            $(this).addClass('active');
        },
        mouseleave:function(){
            $(this).removeClass('active');
        }
    },'table .expend_detail,table .income_detail');
    paymentRecordChart();
    $('#paymentDetail').on({
        mouseenter:function(){
            $(this).css({'background':'#E3F5FF'})
        },
        mouseleave:function(){
            $(this).css({'background':''})
        }
    },'table tr');
    $('#paymentDetail').on({
        click:function(){
            $('#paymentDetail').hide(300);
        }
    },'.header .right');
    $('#search_list').click(function(){
        var beginTime   = $("#begin_datepicker").val();
        var endTime     = $("#end_datepicker").val();
        allRecordList({'page':0,'beginTime':beginTime,'endTime':endTime},'html');
    });
	allRecordEdit()
});
function switchTypeLists(){
    $('#arrow').click(function(){
        if($('.payment-frame-left').css('display') == 'block'){
            $('.payment-frame-left').hide();
            $(this).children('.icon_wrap').html('<i class="fa fa-angle-right"></i>');
            $('.payment-frame-right').width(windowWidth);
        }else{
            $('.payment-frame-left').show();
            $(this).children('.icon_wrap').html('<i class="fa fa-angle-left"></i>');
            $('.payment-frame-right').width(windowWidth - 331);
        }
    });
    $(window).resize(function(){
        var windowWidth     = $(window).width();
        var windowHeight    = $(window).height();
        $('.payment-frame-right').width(windowWidth - 331).height(windowHeight);
        $('.payment-frame-left').height(windowHeight);
        $('.outsidediv').height(windowHeight - 90).niceScroll();
    });
}
function ajaxPlanList(data,type){
    $('.load-more.plan-load').remove();
    if(type == 'html'){
        $('.plan-list-wrap').html('<div class="loading plan-load"><?=$_lang["incomeexpend_loading"]?></div>');
    }else{
        $('.plan-list-wrap').append('<div class="loading plan-load"><?=$_lang["incomeexpend_loading"]?></div>');
    }
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=18',
        data:data,
        type:'post'
    }).done(function(result){
        if(result){
            var parseResult = $.parseJSON(result);
            if(parseResult.list){
                var html = '';
                var size = parseResult.list.length;
                $.each(parseResult.list,function(k,v){
                    var color = '';
                    var time  = '<a title="<?=$_lang["incomeexpend_start_time"]?>">'+v.START_TIME+'</a>';
                    if(v.PLAN_STATE == 2){
                        color = 'color:#D9534F';
                        time  = '<a title="<?=$_lang["incomeexpend_end_time"]?>">'+v.END_TIME+'</a>';
                    }
                    html += '<div class="payment-plan-item" plan-id="'+v.PLAN_ID+'" plan-name="'+v.PLAN_ALL_NAME+'">\
                                <table>\
                                    <tr><td class="plan-name active" width="60%" plan-state="'+v.PLAN_STATE+'"><a class="plan-detail" style="'+color+'" plan-id="'+v.PLAN_ID+'" title="'+v.PLAN_ALL_NAME+'">'+v.PLAN_NAME+'</a></td><td width="28%" class="plan-name"><a title="启动时间">'+time+'</a></td><td width="12%"><div class="expense-reveue"><span style="color:#32A8FF">'+v.RECORDS+'</span></div></td></tr>\
                                </table><div class="expense-reveue-active"><div class="expense-reveue-right" title="<?=$_lang["incomeexpend_record_size"]?>">'+v.RECORDS+'</div></div>\
                            </div>';
                });
                if(size == 15){
                    html += '<div class="load-more plan-load" page="'+data.page+'"><?=$_lang["incomeexpend_load_more"]?></div>';
                }
                if(type == 'html'){
                    $('.plan-list-wrap').html(html);
                    $('.payment-frame-left .total').text(parseResult.totalCount);
                }else{
                    $('.loading.plan-load').remove();
                    $('.plan-list-wrap').append(html);
                }
            }else{
                if(type == 'html'){
                    $('.payment-frame-left .total').text(0);
                    $('.plan-list-wrap').html('<div class="no-data"><?=$_lang["incomeexpend_no_data"]?></div>');
                }else{
                    $('.loading.plan-load').remove();
                    $('.plan-list-wrap').append('<div class="no-data"><?=$_lang["incomeexpend_no_more_data"]?></div>');
                }
            }
            $('.outsidediv').height(windowHeight - 75);
        }
    });
}
function allRecordList(data,type){
    $('.load-more.all-record-load').remove();
    if(type == 'html'){
        $('.paymentLists-body .all').html('<div class="loading all-record-load"><?=$_lang["incomeexpend_loading"]?></div>');
    }else{
        $('.paymentLists-body .all').append('<div class="loading all-record-load"><?=$_lang["incomeexpend_loading"]?></div>');
    }
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=20',
        data:data,
        type:'post'
    }).done(function(result){
        if(result){
            var parseResult = $.parseJSON(result);
            var html = '';
            var size = parseResult.length;
            if(size == 0){
                if(type == 'html'){
                    $('.paymentLists-body .all').html('<div class="no-data"><?=$_lang["incomeexpend_no_data"]?></div>');
                }else{
                    $('.loading.all-record-load').remove();
                    $('.paymentLists-body .all').append('<div class="no-data"><?=$_lang["incomeexpend_no_more_data"]?></div>');
                }
                return;
            }
			var loginUserId = '<?=$loginUserId?>';
			var recordIds   = [];
            $.each(parseResult,function(k,v){
                var attachHtml = '';
                if(v.ATTACHMENT_ID != '' && v.ATTACHMENT_ID != null){
                    var attachIdArray   = v.ATTACHMENT_ID.split(',');
                    var attachNameArray = v.ATTACHMENT_NAME.split('*');
                    var attachLen       = attachNameArray.length -1;
                    for(var i=0;i<attachLen;i++){
                        attachHtml += '<div class="attach-item" style="float:left;position:relative;margin-bottom:5px;color:#428BCA;margin-right:10px;cursor:pointer;height:25px;line-height:25px;padding-left:10px;padding-right:50px;">\
                                            <div style="float:left">'+attachNameArray[i]+'</div>\
                                            <div class="operation" style="position:absolute;right:5px;z-index:100;display:none;">\
                                                <a style="float:left;cursor:pointer;text-align:center;margin-left:5px;" href="/inc/attach.php?ATTACHMENT_ID='+(parseInt(attachIdArray[i]*3)+parseInt(2))+"&ATTACHMENT_NAME="+encodeURI(attachNameArray[i])+'"><i class="fa fa-download"></i></a>';
						if(v.RUN_ID == 0 && v.CREATOR == loginUserId) {
							var recordId = v.RECORD_ID;
							var attachId = attachIdArray[i];
							var attachName = attachNameArray[i];
							attachHtml += '<a style="float:left;cursor:pointer;text-align:center;margin-left:5px;color:#D9534F;display:none;" class="del-attach" href="javascript:void(0);" onclick="delAttachment(this,\''+recordId+'\',\''+attachId+'\',\''+attachName+'\',\'ALL\')"><i class="fa fa-times fa-lg"></i></a>';
						}
                        attachHtml +=   '</div></div>';
                    }
                }
				var uploadfiy = '';
				if(v.RUN_ID == 0 && v.CREATOR == loginUserId) {
					recordIds.push(v.RECORD_ID);
					uploadfiy = '<div class="edit-upload" record-id="'+v.RECORD_ID+'"><input type="file" id="all_file_elem_'+v.RECORD_ID+'" name="all_file_elem_'+v.RECORD_ID+'">\
                            <input id="ALL_ATTACHMENT_ID_'+v.RECORD_ID+'" type="hidden" name="ALL_ATTACHMENT_ID_'+v.RECORD_ID+'" value="'+v.ATTACHMENT_ID+'">\
                            <input id="ALL_ATTACHMENT_NAME_'+v.RECORD_ID+'" type="hidden" name="ALL_ATTACHMENT_NAME_'+v.RECORD_ID+'" value="'+v.ATTACHMENT_NAME+'"></div>';
				}
                var expendDetailHtml ='',incomeDetailHtml='';
                if(v.INCOME_DETAIL != ''){
                    incomeDetailHtml = '<div class="income_detail" title="<?=$_lang["incomeexpend_income_detail"]?>" onclick="javascript:paymentDetail(\''+v.INCOME_DETAIL+'\',\'income\',event)"><i class="fa fa-table"></i></div>';
                }
                if(v.EXPEND_DETAIL != ''){
                    expendDetailHtml = '<div class="expend_detail" title="<?=$_lang["incomeexpend_expend_detail"]?>" onclick="javascript:paymentDetail(\''+v.EXPEND_DETAIL+'\',\'expend\',event)"><i class="fa fa-table"></i></div>';
                }
				var operation_div = '';
				var operation_div1 = '';
				var record_desc = '';
				var expense = '';
				var revenue = '';
				if(v.RUN_ID == 0 && v.CREATOR == loginUserId) {
					operation_div = '<div class="right-operation view-div"><div class="menu edit">编辑</div><div record-id="'+v.RECORD_ID+'" class="menu delete">删除</div></div>';
					operation_div1 = '<div class="right-operation edit-div"><div class="menu cancel">取消</div><div record-id="'+v.RECORD_ID+'" class="menu submit">提交</div></div>';
					record_desc = '<textarea class="edit-input" rows="3" cols="80"id="all_record_desc_'+v.RECORD_ID+'">'+v.RECORD_DESC+'</textarea>';
					expense= '<input type="text" class="edit-input" id="all_expense_'+v.RECORD_ID+'" value="'+v.EXPENSE1+'">';
					revenue= '<input type="text" class="edit-input" id="all_revenue_'+v.RECORD_ID+'" value="'+v.REVENUE1+'">';
				}
				var record_desc_content = v.RECORD_DESC;
				record_desc_content = record_desc_content.replace(/[\n|\r]/g,"<br>");
                html +='<div class="record-item"><div class="line"></div>\
                        <div class="left">\
                            <div class="line-top">\
                                <div class="line-top-center '+v.TIME_TIP+'"></div>\
                            </div>\
                            <div class="record-date '+v.TIME_TIP+'">'+v.CREATE_TIME+'</div>\
                        </div>\
                        <div class="right">\
                            <div class="record-right-item">\
                            <div class="header"><div class="header-left">'+v.PLAN_NAME+'</div><div class="header-right"><div class="header-right-item top"><?=$_lang["incomeexpend_creator"]?>&nbsp;:&nbsp;'+v.USER_NAME+'</div><div class="header-right-item bottom"><?=$_lang["incomeexpend_import_time"]?>&nbsp;:&nbsp;'+v.CREATE_TIME+'</div></div></div>\
							<div class="table">'+operation_div+operation_div1+'\
                            <table>\
                                <tr><td class="title" style="border-left:0px;"><?=$_lang["incomeexpend_expense_budget"]?></td><td style="color:#333;font-family:Cambria;width:35%;">￥&nbsp;'+v.EXPENSE_BUDGET+'</td><td class="title"><?=$_lang["incomeexpend_revenue_budget"]?></td><td style="color:#333;font-family:Cambria;width:35%;">￥&nbsp;'+v.REVENUE_BUDGET+'</td></tr>\
                                <tr><td class="title" style="border-left:0px;"><?=$_lang["incomeexpend_out_now"]?></td><td style="color:#333;font-family:Cambria;position:relative;"><span class="view">￥&nbsp;'+v.EXPENSE+'</span>'+expense+expendDetailHtml+'</td><td class="title"><?=$_lang["incomeexpend_in_now"]?></td><td style="color:#333;font-family:Cambria;position:relative;"><span class="view">￥&nbsp;'+v.REVENUE+'</span>'+revenue+incomeDetailHtml+'</td></tr>\
                                <tr><td class="title" style="border-left:0px;"><?=$_lang["incomeexpend_total_expense"]?></td><td style="color:#333;font-family:Cambria">￥&nbsp;'+v.REAL_EXPENSE+'</td><td class="title"><?=$_lang["incomeexpend_total_revenue"]?></td><td style="color:#333;font-family:Cambria">￥&nbsp;'+v.REAL_REVENUE+'</td></tr>\
                                <tr><td class="title" style="border-left:0px;"><?=$_lang["incomeexpend_about_attach"]?></td><td  colspan="3"><div id="attachList_'+v.RECORD_ID+'" style="margin-top:2px;">'+attachHtml+uploadfiy+'</div></td></tr>\
                                <tr class="high">\
                                    <td class="title" valign="top" style="border-left:0px;"><?=$_lang["incomeexpend_remark"]?></td>\
                                    <td colspan="3">\
                                        <div style="text-indent:0px;margin-left:5px;"><span class="view">'+record_desc_content+'</span>'+record_desc+'</div>\
                                    </td>\
                                </tr>\
                            </table></div>\
                            </div>\
                        </div>\
                    </div>';
            });
            if(size == 8){
                html += '<div class="load-more all-record-load" page="'+data.page+'"><?=$_lang["incomeexpend_load_more"]?></div>';
            }
            if(type == 'html'){
                $('.paymentLists-body .all').html(html);
            }else{
                $('.loading.all-record-load').remove();
                $('.paymentLists-body .all').append(html);
            }
        }else{
            if(type == 'html'){
                $('.paymentLists-body .all').html('<div class="no-data"><?=$_lang["incomeexpend_no_data"]?></div>');
            }else{
                $('.loading.all-record-load').remove();
                $('.paymentLists-body .all').append('<div class="no-data"><?=$_lang["incomeexpend_no_more_data"]?></div>');
            }
        }
		for(var i=0;i<recordIds.length;i++){
			$('#all_file_elem_' + recordIds[i]).Upload({
				uploadType:'OTHER',
				onUploadSuccess:function(attachmentID,attachementName){	
					var recordId = $(this).parents('.edit-upload').attr('record-id');
					$("#ALL_ATTACHMENT_ID_"+ recordId).val($("#ALL_ATTACHMENT_ID_"+ recordId).val()+attachmentID+","); 
					$("#ALL_ATTACHMENT_NAME_"+ recordId).val($("#ALL_ATTACHMENT_NAME_"+ recordId).val()+attachementName+"*");   
				},  
				//所有附件上传完成,触发form提交   
				onQueueComplete:function(){
				   recordSubmit($(this).parents('.record-right-item').find('.submit'));
				}
			});
		}
        $('.paymentLists').height(windowHeight - 90);
    });
}
function delAttachment(obj,recordId,attachId,attachName,type)
{
	bootbox.confirm("确定要删除该附件吗", function(result) {
		if(result) {
			$.ajax({
				url:'/<?=MODULE_PATH?>index.php?c=1&m=16',
				data:{
					'recordId':recordId,
					'attachmentId':attachId,
					'attachmentName':attachName
				}
			}).done(function(result){
				if(result){
					var parseResult = $.parseJSON(result);
					$(obj).parents('.attach-item').remove();
					$('#'+type+'_ATTACHMENT_ID_'+recordId).val(parseResult.attachment_id);
					$('#'+type+'_ATTACHMENT_NAME_'+recordId).val(parseResult.attachment_name);
				}
			});
		}
	});
}
function recordSubmit(obj){
	var record_id	= obj.attr('record-id');
	var one = obj.attr('one');
	if(one == 1) {
		var expense		= $('#one_expense_'+record_id).val();
		var revenue		= $('#one_revenue_'+record_id).val();
		var record_desc = $('#one_record_desc_'+record_id).val();
		var attachment_id = $('#ONE_ATTACHMENT_ID_'+record_id).val();
		var attachment_name = $('#ONE_ATTACHMENT_NAME_'+record_id).val();
	} else {
		var expense		= $('#all_expense_'+record_id).val();
		var revenue		= $('#all_revenue_'+record_id).val();
		var record_desc = $('#all_record_desc_'+record_id).val();
		var attachment_id = $('#ALL_ATTACHMENT_ID_'+record_id).val();
		var attachment_name = $('#ALL_ATTACHMENT_NAME_'+record_id).val();
	}
	if(expense < 0 || revenue < 0) {
		$.pnotify({text: '<?=$_lang["incomeexpend_not_minus"]?>', type: "error"});
		return ;
	}
	$.ajax({
		url:'/<?=MODULE_PATH?>index.php?c=1&m=17',
		data:{
			'recordId':record_id,
			'expense':expense,
			'revenue':revenue,
			'recordDesc':record_desc,
			attachment_id:attachment_id,
			attachment_name:attachment_name
		}
	}).done(function(result){
		if(result == 1) {
			if(one == 1) {
				var planId = $('#planId').val();
				planInfo(planId);
				oneRecordList({'page':0,'planId':planId},'html');
			} else {
				allRecordList({'page':0},'html');
			}
		} else {
			$.pnotify({text: '<?=$_lang["incomeexpend_edit_failure"]?>', type: "error"});
		}
	});
}
function allRecordEdit()
{
	$('.paymentLists-body .all,.paymentLists-body .one').on({
		mouseenter:function(){
			if($(this).find('.edit-div').css('display') == 'block') {
				return false;
			}
			$(this).find('.view-div').show().animate({'right':'-10px'},300);
		},
		mouseleave:function(){
			$(this).find('.view-div').animate({'right':'-90px'}).hide(100);
		}
	},'.record-item .table');
	$('.paymentLists-body .all,.paymentLists-body .one').on({
		click:function(){
			$(this).parent().animate({'right':'-90px'}).hide();
			$(this).parent().parent().find('.del-attach').show();
			$(this).parent().parent().find('.edit-upload').show();
			$(this).parent().parent().children('.edit-div').show().animate({'right':'-10px'});
			$(this).parent().parent().find('.header').addClass('editcss');
			$(this).parent().parent().find('table').addClass('editcss');
			$(this).parent().parent().find('table td').addClass('editcss');
			$(this).parent().parent().find('.view').hide();
			$(this).parent().parent().find('.edit-input').show();
		}
	},'.record-item .view-div .edit');
	$('.paymentLists-body .all,.paymentLists-body .one').on({
		click:function(){
			$(this).parent().animate({'right':'-90px'}).hide();
			$(this).parent().parent().find('.del-attach').hide();
			$(this).parent().parent().find('.edit-upload').hide();
			$(this).parent().parent().find('.view').show();
			$(this).parent().parent().find('.header').removeClass('editcss');
			$(this).parent().parent().find('table').removeClass('editcss');
			$(this).parent().parent().find('table td').removeClass('editcss');
			$(this).parent().parent().find('.edit-input').hide();
		}
	},'.record-item .edit-div .cancel');
	$('.paymentLists-body .all,.paymentLists-body .one').on({
		click:function(){
			var record_id	= $(this).attr('record-id');
			if($(this).attr('one') == 1){
				if ($("#one_file_elem_"+record_id).Upload("getUploadCount") > 0){   
					$("#one_file_elem_"+record_id).uploadify("upload", "*");
				}else{  
					recordSubmit($(this));
				}
			} else {
				if ($("#all_file_elem_"+record_id).Upload("getUploadCount") > 0){   
					$("#all_file_elem_"+record_id).uploadify("upload", "*");
				}else{  
					recordSubmit($(this));
				}
			}
		}
	},'.record-item .edit-div .submit');
	$('.paymentLists-body .all,.paymentLists-body .one').on({
		click:function(){
			var record_id	= $(this).attr('record-id');
			var one = $(this).attr('one');
			bootbox.confirm("<?=$_lang["incomeexpend_confirm_del_record"]?>", function(result) {
				if(result) {
					$.ajax({
						url:'/<?=MODULE_PATH?>index.php?c=1&m=4',
						data:{
							'recordId':record_id,
						}
					}).done(function(result){
						if(result == 1) {
							if(one == 1) {
								var planId = $('#planId').val();
								planInfo(planId);
								oneRecordList({'page':0,'planId':planId},'html');
							} else {
								allRecordList({'page':0},'html');
							}
						} else {
							$.pnotify({text: '<?=$_lang["incomeexpend_del_failure"]?>', type: "error"});
						}
					});
				}
			});
		}
	},'.record-item .view-div .delete');
}
function paymentDetail(detailInfo,type,event){
    var event = event || window.event;
	var left = event.clientX;
 	var top = event.clientY;
	if((document.body.offsetWidth - left) < 600){
		left =(document.body.offsetWidth-610)+'px';
	}
	var scrolltop='';
	//支持各种浏览器
	if (document.compatMode == "BackCompat") {
    	scrolltop = document.body.scrollTop;
    }
	else { //document.compatMode == "CSS1Compat" 
    	scrolltop = document.documentElement.scrollTop == 0 ? document.body.scrollTop : document.documentElement.scrollTop;
	}

	if(scrolltop>0){
		if((document.body.offsetHeight - top) < 430){
			top =((scrolltop+document.body.offsetHeight)-440)+'px';
		}else{
			top = (scrolltop+top)+'px';
		}
	}else if((document.body.offsetHeight - top) < 430){
		top =(document.body.offsetHeight-440)+'px';
	}
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=28',
        data:{
            detailInfo:detailInfo
        }
    }).done(function(result){
        var parseResult = $.parseJSON(result);
        if(type == 'expend'){
            $('#paymentDetail .header .left').text('<?=$_lang["incomeexpend_expend_detail"]?>');
            var html = '<table><tr class="title"><td width="10%"><?=$_lang["incomeexpend_xh"]?></td><td width="60%"><?=$_lang["incomeexpend_expend_sy"]?></td><td width="30%"><?=$_lang["incomeexpend_expense_money"]?></td></tr>';
        }else{
            $('#paymentDetail .header .left').text('<?=$_lang["incomeexpend_income_detail"]?>');
            var html = '<table><tr class="title"><td width="10%"><?=$_lang["incomeexpend_xh"]?></td><td width="60%"><?=$_lang["incomeexpend_income_sy"]?></td><td width="30%"><?=$_lang["incomeexpend_revenue_money"]?></td></tr>';
        }
        $.each(parseResult,function(k,v){
            html += '<table><tr class="other"><td width="10%">'+(k+1)+'</td><td width="60%">'+v[0]+'</td><td width="30%">￥&nbsp;'+v[1]+'</td></tr>';
        });
        html    += '</table>';
        $('#paymentDetail .center').html(html);
        $('#paymentDetail').css({'left':left,'top':top}).show(200);
    });
}
function oneRecordList(data,type){
    $('.load-more.one-record-load').remove();
    if(type == 'html'){
        $('.payment-record-list').html('<div class="loading one-record-load"><?=$_lang["incomeexpend_loading"]?></div>');
    }else{
        $('.payment-record-list').append('<div class="loading one-record-load"><?=$_lang["incomeexpend_loading"]?></div>');
    }
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=19',
        data:data
    }).done(function(result){
        if(result != 'false'){
            var parseResult = $.parseJSON(result);
            var html = '';
            var size = parseResult.length;
            if(size == 0){
                if(type == 'html'){
                    $('.payment-record-list').html('<div class="no-data"><?=$_lang["incomeexpend_no_data"]?></div>');
                    $('.paymentLists-body .one').slideDown('show');
                }else{
                    $('.loading.one-record-load').remove();
                    $('.payment-record-list').append('<div class="no-data"><?=$_lang["incomeexpend_no_more_data"]?></div>');
                }
                return false;
            }
			var loginUserId = '<?=$loginUserId?>';
			var recordIds   = [];
            $(parseResult).each(function(k,v){
                var attachHtml = '';
                if(v.ATTACHMENT_ID != '' && v.ATTACHMENT_ID != null){
                    var attachIdArray   = v.ATTACHMENT_ID.split(',');
                    var attachNameArray = v.ATTACHMENT_NAME.split('*');
                    var attachLen       = attachNameArray.length -1;
                    for(var i=0;i<attachLen;i++){
                        attachHtml += '<div class="attach-item" style="float:left;position:relative;padding-right:50px;margin-bottom:5px;color:#428BCA;margin-right:10px;cursor:pointer;height:25px;line-height:25px;padding-left:10px;">\
                                            <div style="float:left">'+attachNameArray[i]+'</div>\
                                            <div class="operation" style="position:absolute;z-index:100;right:5px;display:none;">\
                                                <a style="float:left;cursor:pointer;text-align:center;margin-left:5px;" href="/inc/attach.php?ATTACHMENT_ID='+(parseInt(attachIdArray[i]*3)+parseInt(2))+"&ATTACHMENT_NAME="+encodeURI(attachNameArray[i])+'"><i class="fa fa-download"></i></a>';
						if(v.RUN_ID == 0 && v.CREATOR == loginUserId) {
							var recordId = v.RECORD_ID;
							var attachId = attachIdArray[i];
							var attachName = attachNameArray[i];
							attachHtml += '<a style="float:left;cursor:pointer;text-align:center;margin-left:5px;color:#D9534F;display:none;" class="del-attach"  href="javascript:void(0);" onclick="delAttachment(this,\''+recordId+'\',\''+attachId+'\',\''+attachName+'\',\'ONE\')"><i class="fa fa-times fa-lg"></i></a>';
						}
                        attachHtml +=   '</div></div>';
                    }
                }
				var uploadfiy = '';
				if(v.RUN_ID == 0 && v.CREATOR == loginUserId) {
					recordIds.push(v.RECORD_ID);
					uploadfiy = '<div class="edit-upload" record-id="'+v.RECORD_ID+'"><input type="file" id="one_file_elem_'+v.RECORD_ID+'" name="one_file_elem_'+v.RECORD_ID+'">\
                            <input id="ONE_ATTACHMENT_ID_'+v.RECORD_ID+'" type="hidden" name="ONE_ATTACHMENT_ID_'+v.RECORD_ID+'" value="'+v.ATTACHMENT_ID+'">\
                            <input id="ONE_ATTACHMENT_NAME_'+v.RECORD_ID+'" type="hidden" name="ONE_ATTACHMENT_NAME_'+v.RECORD_ID+'" value="'+v.ATTACHMENT_NAME+'"></div>';
				}
                var expendDetailHtml ='',incomeDetailHtml='';
                if(v.INCOME_DETAIL != ''){
                    incomeDetailHtml = '<div class="income_detail" title="<?=$_lang["incomeexpend_income_detail"]?>" onclick="javascript:paymentDetail(\''+v.INCOME_DETAIL+'\',\'income\',event)"><i class="fa fa-table"></i></div>';
                }
                if(v.EXPEND_DETAIL != ''){
                    expendDetailHtml = '<div class="expend_detail" title="<?=$_lang["incomeexpend_expend_detail"]?>"  onclick="javascript:paymentDetail(\''+v.EXPEND_DETAIL+'\',\'expend\',event)"><i class="fa fa-table"></i></div>';
                }
				var operation_div = '';
				var operation_div1 = '';
				var record_desc = '';
				var expense = '';
				var revenue = '';
				if(v.RUN_ID == 0  && v.CREATOR == loginUserId) {
					operation_div = '<div class="right-operation view-div"><div class="menu edit">编辑</div><div record-id="'+v.RECORD_ID+'" one="1" class="menu delete">删除</div></div>';
					operation_div1 = '<div class="right-operation edit-div"><div class="menu cancel">取消</div><div record-id="'+v.RECORD_ID+'" one="1" class="menu submit">提交</div></div>';
					record_desc = '<textarea class="edit-input" rows="3" cols="80"id="one_record_desc_'+v.RECORD_ID+'">'+v.RECORD_DESC+'</textarea>';
					expense= '<input type="text" class="edit-input" id="one_expense_'+v.RECORD_ID+'" value="'+v.EXPENSE1+'">';
					revenue= '<input type="text" class="edit-input" id="one_revenue_'+v.RECORD_ID+'" value="'+v.REVENUE1+'">';
				}
				var record_desc_content = v.RECORD_DESC;
				record_desc_content = record_desc_content.replace(/[\n|\r]/g,"<br>");
                html += '<div class="record-item"><div class="line"></div>\
                            <div class="left">\
                                <div class="line-top">\
                                    <div class="line-top-center '+v.TIME_TIP+'"></div>\
                                </div>\
                                <div class="record-date '+v.TIME_TIP+'">'+v.CREATE_TIME+'</div>\
                            </div>\
                            <div class="right">\
                            <div class="record-right-item">\
                            <div class="header"><div class="header-left" style="font-size:12px;line-height:60px;"><?=$_lang["incomeexpend_creator"]?>&nbsp;:&nbsp;'+v.USER_NAME+'</div><div class="header-right" style="line-height:60px;font-size:12px;"><?=$_lang["incomeexpend_import_time"]?>&nbsp;:&nbsp;'+v.CREATE_TIME+'</div></div>\
								<div class="table">'+operation_div+operation_div1+'\
                                <table>\
                                    <tr><td class="title" style="border-left:0px;"><?=$_lang["incomeexpend_expense"]?></td><td style="color:#333;font-family:Cambria;width:35%;position:relative;"><span class="view">￥&nbsp;'+v.EXPENSE+'</span>'+expense+expendDetailHtml+'</td><td class="title"><?=$_lang["incomeexpend_revenue"]?></td><td style="color:#333;font-family:Cambria;width:35%;position:relative;"><span class="view">￥&nbsp;'+v.REVENUE+'</span>'+revenue+incomeDetailHtml+'</td></tr>\
                                    <tr><td class="title" style="border-left:0px;"><?=$_lang["incomeexpend_about_attach"]?></td><td  colspan="3"><div id="attachList_"'+v.RECORD_ID+' style="margin-top:2px;">'+attachHtml+uploadfiy+'</div></td></tr>\
                                    <tr class="high">\
                                        <td class="title" valign="top" style="border-left:0px;"><?=$_lang["incomeexpend_remark"]?></td>\
                                        <td colspan="3">\
                                            <div style="text-indent:0px;margin-left:5px;"><span class="view">'+record_desc_content+'</span>'+record_desc+'</div>\
                                        </td>\
                                    </tr>\
                                </table></div></div>\
                            </div>\
                        </div>';
            });
            if(size == 8){
                html += '<div class="load-more one-record-load" page="'+data.page+'" plan-id="'+data.planId+'"><?=$_lang["incomeexpend_load_more"]?></div>';
            }
            if(type == 'html'){
                $('.payment-record-list').html(html);
                $('.paymentLists-body .one').slideDown('show');
            }else{
                $('.loading.one-record-load').remove();
                $('.payment-record-list').append(html);
            }
             
        }else{
            if(type == 'html'){
                $('.payment-record-list').html('<div class="no-data"><?=$_lang["incomeexpend_no_data"]?></div>');
                $('.paymentLists-body .one').slideDown('show');
            }else{
                $('.payment-record-list').append('<div class="no-data"><?=$_lang["incomeexpend_no_more_data"]?></div>');
            }
        }
		for(var i=0;i<recordIds.length;i++){
			$('#one_file_elem_' + recordIds[i]).Upload({
				uploadType:'OTHER',
				onUploadSuccess:function(attachmentID,attachementName){	
					var recordId = $(this).parents('.edit-upload').attr('record-id');
					$("#ONE_ATTACHMENT_ID_"+ recordId).val($("#ONE_ATTACHMENT_ID_"+ recordId).val()+attachmentID+","); 
					$("#ONE_ATTACHMENT_NAME_"+ recordId).val($("#ONE_ATTACHMENT_NAME_"+ recordId).val()+attachementName+"*");   
				},  
				//所有附件上传完成,触发form提交   
				onQueueComplete:function(){
				   recordSubmit($(this).parents('.record-right-item').find('.submit'));
				}
			});
		}
        $('.paymentLists').height(windowHeight - 50);
    });
}
function planInfo(planId){
    $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=21',
        data:{
            planId:planId
        }
    }).done(function(result){
        if(result){
            var parseResult = $.parseJSON(result);
            var info1 ='',info2='';
            if(parseResult.CYCLE_OVER == 1){
                info1 = '<div class="payment-alert">\
                            <i class="fa fa-exclamation-triangle"></i>\
                            <span class="info"><?=$_lang["incomeexpend_run_over_plan_cycle"]?></span>\
                        </div>';
            }
            if(parseResult.BUDGET_OVER == 1){
                info2 = '<div class="payment-alert">\
                            <i class="fa fa-exclamation-triangle"></i>\
                            <span class="info"><?=$_lang["incomeexpend_plan_over_expense_budget"]?></span>\
                        </div>';
            }
            var html = '<table>\
                            <tr><td colspan="2" style="color:#31849B;" width="35%;">'+parseResult.PLAN_NAME+'</td><td colspan="4" width="65%">'+info1+info2+'</td></tr>\
                            <tr><td class="title"><?=$_lang["incomeexpend_already_in"]?></td><td class="datacss" style="color:#339966;" width="20%">￥&nbsp;'+parseResult.REAL_REVENUE+'</td><td class="title"><?=$_lang["incomeexpend_already_out"]?></td><td class="datacss" style="color:#953735;"  width="20%">￥&nbsp;'+parseResult.REAL_EXPENSE+'</td><td class="title"><?=$_lang["incomeexpend_in_out"]?></td><td class="datacss" style="color:#C00000;"  width="15%">￥&nbsp;'+parseResult.REAL_PROFIT+'</td></tr>\
                            <tr><td class="title"><?=$_lang["incomeexpend_revenue_budget"]?></td><td class="datacss" style="color:#333;">￥&nbsp;'+parseResult.REVENUE_BUDGET+'</td><td class="title" ><?=$_lang["incomeexpend_expense_budget"]?></td><td class="datacss" style="color:#333">￥&nbsp;'+parseResult.EXPENSE_BUDGET+'</td><td class="title"><?=$_lang["incomeexpend_budget_inout"]?></td><td class="datacss" style="color:#333">￥&nbsp;'+parseResult.PLAN_PROFIT+'</td></tr>\
                            <tr><td class="title"><?=$_lang["incomeexpend_plan_cycle"]?></td><td >'+parseResult.PLAN_CYCLE+'</td><td class="title"><?=$_lang["incomeexpend_start_time"]?></td><td style="font-size:0.9em;">'+parseResult.START_TIME+'</td><td class="title"><?=$_lang["incomeexpend_end_time"]?></td><td>'+parseResult.END_TIME+'</td></tr>\
                            <tr><td class="title"><?=$_lang["incomeexpend_creator"]?></td><td>'+parseResult.USER_NAME+'</td><td class="title"><?=$_lang["incomeexpend_create_time"]?></td><td style="font-size:0.9em;">'+parseResult.CREATE_TIME+'</td></tr>\
                            <tr>\
                                <td class="title" valign="top"><?=$_lang["incomeexpend_plan_desc"]?></td>\
                                <td colspan="5">\
                                    <div class="plan-desc"><div style="text-indent:0px;margin-left:5px;">'+parseResult.PLAN_DESCRIPTION+'</div>\
                                    </div>\
                                </td>\
                            </tr>\
                        </table>';
            $('.payment-total').html(html);
            $('.payment-total').append('<div class="total-switch-up"><i class="fa fa-angle-up fa-2x" style="line-height:13px;"></i></div>');
        }
    });
}
function paymentRecordChart(){
    $('.chart-button').click(function(){
        $('.payment-record-list').hide();
        $('.chart-button').hide();
        $('.list-button').show();
        var planId = $('#planId').val();
        $('.chart-page').remove();
        ajaxChartRecords({'page':0,'planId':planId,'chart':'chart'});
        $('.payment-chart-view').show();
        $('.chart-type-buttons').show();
    });
    $('.list-button').click(function(){
        $('.payment-chart-view').hide();
        $('.chart-type-buttons').hide();
        $('.payment-record-list').show();
        $('.chart-button').show();
        $('.list-button').hide();
    });
    $('.payment-chart-view').on({
        mouseenter:function(){
            $(this).css({'background':'#3BA7F6','color':'#fff'});
        },
        mouseleave:function(){
            $(this).css({'background':'','color':'#3BA7F6'});
        }
    },'.prv_chart.active,.next_chart.active');
    $('.payment-chart-view').on({
        click:function(){
            var page = $(this).attr('page');
            var planId = $('#planId').val();
            $('.chart-page').remove();
            ajaxChartRecords({'page':page,'planId':planId,'chart':'chart'});
        }
    },'.prv_chart.active');
    $('.payment-chart-view').on({
        click:function(){
            var page = parseInt($(this).attr('page'));
            var planId = $('#planId').val();
            $('.chart-page').remove();
            ajaxChartRecords({'page':page,'planId':planId,'chart':'chart'});
        }
    },'.next_chart.active');
    $('.chart-type-button.line').click(function(){
        $('.chart-type-button.bar').removeClass('active');
        $(this).addClass('active');
        $('#chartContainer').attr('chart-type',2);
        var page = parseInt($('#currentPage').val());
        var planId = $('#planId').val();
        $('.chart-page').remove();
        ajaxChartRecords({'page':page,'planId':planId,'chart':'chart'});
    });
    $('.chart-type-button.bar').click(function(){
        $('.chart-type-button.line').removeClass('active');
        $(this).addClass('active');
        $('#chartContainer').attr('chart-type',1);
        var page = parseInt($('#currentPage').val());
        var planId = $('#planId').val();
        $('.chart-page').remove();
        ajaxChartRecords({'page':page,'planId':planId,'chart':'chart'});
    });
}
function ajaxChartRecords(data){
     $.ajax({
        url:'/<?=MODULE_PATH?>index.php?c=1&m=19',
        data:data
    }).done(function(result){
        if(result != 'false'){
            var parseResult = $.parseJSON(result);
            var categoriesHtml  = new Array();
            var seriesData1     = new Array();
            var seriesData2     = new Array();
            var size = parseResult.length;
            if(size == 0){
                $('.payment-chart-view #chartContainer').html('<div class="no-data"><?=$_lang["incomeexpend_no_data"]?></div>');
                var pageChart = '<div class="chart-page" >';
                $('#currentPage').val(data.page);
                if(data.page > 0){
                    var prvPage = parseInt(data.page) -1;
                    var cl      = 'active';
                }else{
                    var prvPage = 0;
                    var cl      = 'default';
                }
                pageChart += '<div class="prv_chart '+cl+'" page="'+prvPage+'"><i class="fa fa-angle-double-left"></i>&nbsp;<?=$_lang["incomeexpend_prv_nsurance"]?></div>';
                var nextPage = parseInt(data.page);
                pageChart += '<div class="next_chart default" page="'+nextPage+'"><?=$_lang["incomeexpend_next_nsurance"]?>&nbsp;<i class="fa fa-angle-double-right"></i></div>';
                pageChart += '</div>';
                $('.payment-chart-view').append(pageChart);
                return false;
            }
            $(parseResult).each(function(k,v){
                categoriesHtml.push(v.CREATE_TIME);
                seriesData1.push(parseInt(v.REVENUE));
                seriesData2.push(parseInt(v.EXPENSE));
            });
            var chartType = $('#chartContainer').attr('chart-type');
            if(chartType == 1){
                barChart(categoriesHtml,seriesData1,seriesData2);
            }else{
                lineChart(categoriesHtml,seriesData1,seriesData2);
            }
            var pageChart = '<div class="chart-page" >';
            $('#currentPage').val(data.page);
            if(data.page > 0){
                var prvPage = parseInt(data.page) -1;
                var cl = 'active';
            }else{
                var prvPage = 0;
                var cl = 'default';
            }
            pageChart += '<div class="prv_chart '+cl+'" page="'+prvPage+'"><i class="fa fa-angle-double-left"></i>&nbsp;<?=$_lang["incomeexpend_prv_nsurance"]?></div>';
            
            if(size == 8){
                var nextPage = parseInt(data.page) + 1;
                var cl = 'active';
            }else{
                var cl = 'default';
                var nextPage = parseInt(data.page);
            }
            pageChart += '<div class="next_chart '+cl+'" page="'+nextPage+'"><?=$_lang["incomeexpend_next_nsurance"]?>&nbsp;<i class="fa fa-angle-double-right"></i></div>';
            pageChart += '</div>';
            $('.payment-chart-view').append(pageChart);
        }
    });
}
function barChart(categoriesHtml,seriesData1,seriesData2){
    $('#chartContainer').highcharts({
        chart: {
            type: 'column'
        },
        title: {
            text: ''
        },
        subtitle: {
            text:''
        },
        xAxis: {
            categories: categoriesHtml
        },
        credits: {
            enabled:false
        },
        exporting: {
            enabled:false
        },
        yAxis: {
            min: 0,
            title: {
                text: '<?=$_lang["incomeexpend_util_yuan"]?>'
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
            pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                '<td style="padding:0"><b>{point.y:.1f} <?=$_lang["incomeexpend_yuan"]?></b></td></tr>',
            footerFormat: '</table>',
            shared: true,
            useHTML: true
        },
        plotOptions: {
            column: {
                pointPadding: 0.1,
                borderWidth: 0
            }
        },
        series: [{
            name: '<?=$_lang["incomeexpend_revenue"]?>',
            data: seriesData1
        }, {
            name: '<?=$_lang["incomeexpend_expense"]?>',
            data: seriesData2
        }]
    });
}
function lineChart(categoriesHtml,seriesData1,seriesData2){
     $('#chartContainer').highcharts({
        title: {
            text: '',
            x: -20 
        },
        subtitle: {
            text: '',
            x: -20
        },
        credits: {
            enabled:false
        },
        exporting: {
            enabled:false
        },
        xAxis: {
            categories: categoriesHtml
        },
        yAxis: {
            title: {
                text: '<?=$_lang["incomeexpend_util_yuan"]?>'
            },
            plotLines: [{
                value: 0,
                width: 1,
                color: '#808080'
            }]
        },
        tooltip: {
            valueSuffix: '<?=$_lang["incomeexpend_yuan"]?>'
        },
        legend: {
            layout: 'vertical',
            align: 'right',
            verticalAlign: 'middle',
            borderWidth: 0
        },
        series: [{
            name: '<?=$_lang["incomeexpend_revenue"]?>',
            data: seriesData1
        }, {
            name: '<?=$_lang["incomeexpend_expense"]?>',
            data: seriesData2
        }]
    });
}
</script>
