<?php
include 'inc/auth.php';
include_once("api/dept.class.php");
$department               = new department();
$LOGIN_USER_ID            = $_SESSION['LOGIN_USER_ID'];
$op                       = $_REQUEST['op'];
$param                    = $_REQUEST["param"];
$param["LOGIN_USER_ID"]   = $LOGIN_USER_ID;
$param["LOGIN_POST_PRIV"] = $_SESSION["LOGIN_POST_PRIV"];

function GetCompanyName() {

    global $connection;
    //获取公司名称
    $getCompanyNameQuery = "SELECT UNIT_NAME FROM `unit`";
    $getCompanyNameResult = exequery($connection, $getCompanyNameQuery);
    if ($getCompanyNameRow = mysql_fetch_array($getCompanyNameResult)) {
        $companyName = $getCompanyNameRow["UNIT_NAME"];
    }
    return $companyName;
}

switch ($op) {

    //组织查询页面，获取部门列表，一次性加载所有数据
    case 'getAllDeptListForDeptInfo' :
        $deptParentID = $_REQUEST['id'] ? $_REQUEST['id'] : 0;
        $query = "
                SELECT d1.`DEPT_NAME` DEPT_PARENT_NAME,
                GROUP_CONCAT(u.USER_NAME) DIRECTOR_USER_NAME,
                d.*
                FROM department d
                LEFT JOIN department_director dd ON d.`DEPT_ID` = dd.`DEPT_ID`
                LEFT JOIN department d1 ON d1.`DEPT_ID` = d.`DEPT_PARENT`
                LEFT JOIN USER u ON u.USER_ID = dd.DIRECTOR_USER_ID
                WHERE d.DEPT_PARENT = '" . SecurityFilter($deptParentID) . "'
                GROUP BY d.`DEPT_ID`
                ";
        $query .= "
                ORDER BY DEPT_NO ASC
                ";

        if (!$_REQUEST['id'] || $_REQUEST['id'] == 0) {
            $deptListStr = '{ id:"", name:"' . GetCompanyName() . '", open:true},';
        }

        $result = exequery($connection, $query);
        while ($row = mysql_fetch_array($result)) {
            $DEPT_NAME          = $row['DEPT_NAME'];
            $TEL_NO             = $row["TEL_NO"];
            $FAX_NO             = $row["FAX_NO"];
            $DEPT_NO            = $row["DEPT_NO"];
            $DEPT_PARENT_NAME   = $row["DEPT_PARENT_NAME"];
            $DIRECTOR_USER_NAME = $row["DIRECTOR_USER_NAME"];
            $isParent = IsHasSubDept($row['DEPT_ID']) ? "true" : "false";
            $deptListStr .= "{
                                id:'" . $row['DEPT_ID'] . "',
                                name:'" . $DEPT_NAME . "',
                                open:true,
                                isParent:" . $isParent . ",
                                TEL_NO:'".$TEL_NO."',
                                FAX_NO:'".$FAX_NO."',
                                DEPT_NO:'".$DEPT_NO."',
                                DEPT_PARENT_NAME:'".$DEPT_PARENT_NAME."',
                                DIRECTOR_USER_NAME:'".$DIRECTOR_USER_NAME."'
                            },";

        }
        $deptListStr = substr($deptListStr, 0, -1);
        echo '[' . $deptListStr . ']';
        break;
    //组织查询页面，查询
    case 'searchForDeptInfo' :
        if (!get_magic_quotes_gpc()) {
            $searchKey = addslashes($_REQUEST['lazySearch']);
        } else {
            $searchKey = $_REQUEST['lazySearch'];
        }
        //部门
        $deptList = array();
        $getDeptQuery = "
                        SELECT d1.`DEPT_NAME` DEPT_PARENT_NAME,
                        GROUP_CONCAT(u.USER_NAME) DIRECTOR_USER_NAME,
                        d.DEPT_ID id,d.DEPT_NAME name,
                        d.*
                        FROM department d
                        LEFT JOIN department_director dd ON d.`DEPT_ID` = dd.`DEPT_ID`
                        LEFT JOIN department d1 ON d1.`DEPT_ID` = d.`DEPT_PARENT`
                        LEFT JOIN USER u ON u.USER_ID = dd.DIRECTOR_USER_ID
                        WHERE d.DEPT_NAME LIKE '%" . SecurityFilter($searchKey) . "%'
                        OR d.DEPT_NAME_PY LIKE '%" . SecurityFilter($searchKey) . "%'
                        OR d.DEPT_NAME_ZM LIKE '%" . SecurityFilter($searchKey) . "%'
                        GROUP BY d.`DEPT_ID`
                        LIMIT 0,10
                        ";
        $getDeptResult = exequery($connection, $getDeptQuery);
        while ($getDeptRow = mysql_fetch_assoc($getDeptResult)) {
            array_push($deptList, $getDeptRow);
        }
        echo json_encode($deptList);
        break;
    default :
        break;
}

function IsHasSubDept($deptID) {
    global $connection;

    $query = "SELECT COUNT(*) AS CNT FROM department
              WHERE DEPT_PARENT = " . SecurityFilter($deptID);
    $result = exequery($connection, $query);
    if ($row = mysql_fetch_array($result)) {
        return $row["CNT"] > 0;
    } else {
        return false;
    }
}
?>
