<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/info/user/birthday.php
 *@function:         本月生日员工
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-29
 *@file Version:     7.0
 *@eoffice Version:  8.0
*/
include_once("inc/auth.php");
includelangpak("hr");
include_once("inc/conn.php");
include_once("inc/ip.php");
include_once("inc/utility_all.php");
include_once("inc/function_usergeneral.php");

$PAGE_TITLE = $_lang["hr_this_month_birthday"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script language=javascript src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--jQuery UI-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">

<!--zTree 树形菜单-->
<link rel="stylesheet" type="text/css" href="/inc/jquery/ztree/zTreeStyle/zTreeStyle.css">

<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />

<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">

<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />

<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--jQuery类库-->
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<!--语言包-->
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>

<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<!--zTree 树形菜单-->
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>

<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>

<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>

<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
jQuery(document).ready(function(){
	$(".birthday_list").LazyTable({
		column:[
			{
				key:"ONLINE_STATUS",
				title:'<?=$_lang["hr_online"]?>',
				template:function(data){
					if(data.ONLINE_STATUS==1){
						return '<i class="fa fa-desktop"></i>'
					}else{
						return '';
					}	
				}
			},
			{
				key:"DEPT_NAME",
				title:'<?=$_lang["common_dept"]?>',
				width:50
			},
			{
				key:"PRIV_NAME",
				title:'<?=$_lang["common_role"]?>',
				width:60
			},
			{
				key:"USER_NAME_NEW",
				title:'<?=$_lang["common_name"]?>'
			},
			{
				key:"USER_ACCOUNTS",
				title:'<?=$_lang["common_accounts_n"]?>',
				width:50
			},
			{
				key:"SEX",
				title:'<?=$_lang["common_sex"]?>',
				width:30
			},
			{
				key:"BIRTHDAY",
				title:'<?=$_lang["hr_add_birthday"]?>',
				width:80
			},
			{
				key:"MOBIL_NO",
				title:'<?=$_lang["common_mobilephone"]?>',
				template:function(data){
					if(data.MOBIL_NO!=''){
					<?
							if(ifSendMbSms()){	
					?>
					return '<a href="javascript:void(0)" onclick="openphonedialog(\''+data.USER_ID+'\',\''+data.USER_NAME+'\')"><div class="ellipsis_field" style="width:80px">'+data.MOBIL_NO+'</div></a>'
					<?
						}else{
					?>
					return '<div class="ellipsis_field" style="width:80px">'+data.MOBIL_NO+'</div>';
					<?
						}
					?>
					}
				}
			},
			{
				key:"EMAIL",
				title:'<?=$_lang["common_email"]?>',
				template:function(data){
					if(data.EMAIL!=''){
						return '<a href="mailto:'+data.EMAIL+'>"><div class="ellipsis_field" style="width:180px" title="'+data.EMAIL+'">'+data.EMAIL+'</div></a>';
					}else{
						return '';
					}
				}
			}
		],
		dataSource:"do.php",
		param:{op:"getbirthdaylist"}
	});

	$(".user_toggle").LazyToggle({
			autoHide : false,
			showTip : "<?=$_lang['hr_menu_show']?>",
			hideTip : "<?=$_lang['hr_menu_hide']?>",
			onAfterShow : function() {
				$('.style_list_wrap',parent.document).css('display','');
				$('.content',parent.document).css('margin-left','200px');
			},
			onAfterHide : function() {
				$('.style_list_wrap',parent.document).css('display','none');
				$('.content',parent.document).css('margin-left','0');
			}
	});

	$(".phoneDialog").dialog({
	    autoOpen: false,
	    width: 700,
	    modal: true,
	    height:600,
	    dialogClass:"lazy_dialog", //此行必须有
	    buttons:[
	    	{
	    		text:"<?=$_lang['common_close']?>",
	    		'class':'btn btn-default',
	    		click:function(){
	    			$(".phoneDialog").dialog('close');
	    		}
	    	}
	    ]
	});
});
function openphonedialog(userid,username){
	$('#phoneifr').attr('src','/general/mobile_sms?TO_ID='+userid+',&TO_NAME='+username+',&type=highslide');
	$('.phoneDialog').dialog('open');
}
</script>
</head>
<body>
	<div class="lazy_header">
		<div class=""></div>
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang['hr_this_month_birthday']?></span>
		</span>
		<button class="btn btn-default" type="button" onclick="javascript:location='user_all.php'"><?=$_lang["common_back"]?></button>
	</div>
	<div class="birthday_list"></div>
	<div class="phoneDialog">
        <iframe id='phoneifr' style="width:100%;border:none;height:100%;" src="" ></iframe>
    </div>
<? showUserGeneralDiv()?>
</body>
</html>