<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/info/user/search_schedule.php
 *@function:         考勤设置里的人员查询结果
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-02
 *@file Version:     2.0
 *@eoffice Version:  8.0
*/

include_once("inc/auth.php");
includelangpak("hr");
include_once("inc/utility_all.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["hr_people_search_result"]?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--jQuery UI-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<!--zTree 树形菜单-->
<link rel="stylesheet" type="text/css" href="/inc/jquery/ztree/zTreeStyle/zTreeStyle.css">
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--语言包-->
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--zTree 树形菜单-->
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
$(function() {
	$(".user_list").LazyTable({
		column:[
			{
				key:'USER_ONLINE',
				title:'<?=$_lang["hr_online"]?>',
				template:function(data){
					if(data.USER_ONLINE==1){
						return '<i class="fa fa-desktop"></i>';
					}else{
						return '';
					}
				}
			},
			{
				key:'DEPT_NAME',
				title:'<?=$_lang["common_dept"]?>',
				width:80
			},
			{
				key:'PRIV_NAME',
				title:'<?=$_lang["common_role"]?>',
				width:80
			},
			{
				key:'USER_NAME',
				title:'<?=$_lang["common_name"]?>',
				template:function(data){
					if(data.USER_NAME!=''){
						return '<div title="'+data.USER_NAME+'" class="ellipsis_field" style="width:60px"><a href="user.php?USER_ID='+data.USER_ID+'&from=search" target="_blank">'+data.USER_NAME+'</div>';
					}else{
						return '';
					}
				}
			},
			{
				key:'SEX',
				title:'<?=$_lang["common_sex"]?>'
			},
			{
				key:'TEL_NO_DEPT',
				title:'<?=$_lang["hr_address_office_phone"]?>',
				width:80
			},
			{
				key:'MOBIL_NO',
				title:'<?=$_lang["common_mobilephone"]?>',
                template:function(data){
                <?
					if(ifSendMbSms()){	
				?>
					return '<div title="'+data.MOBIL_NO+'" class="ellipsis_field" style="width:80px"><a href="javascript:void(0)" onclick=\'opensmsdialog("'+data.USER_ID+'","'+data.USER_NAME+'")\'>'+data.MOBIL_NO+'</a></div>';
				<?
				}
				else{
				?>
					return "<div title='"+data.MOBIL_NO+"'' class='ellipsis_field' style='width:80px'>"+data.MOBIL_NO+"</div>";
				<?
				}
				?>
                }
			},
			{
				key:'EMAIL',
				title:'<?=$_lang["common_email"]?>',
				template:function(data){
					if(data.EMAIL!=''){
						return "<div title='"+data.EMAIL+"'' class='ellipsis_field' style='width:80px'><a href='mailto:"+data.EMAIL+"'>"+data.EMAIL+"</a</div>";
					}
				}
			}
		],
		sort:{
			items : [
			{
				key : "DEPT_NAME",
				title : "<?php echo $_lang['common_dept']; ?>"
			}, 
			{
				key : "PRIV_NAME",
				title : "<?php echo $_lang['common_role']; ?>"
			}, 
			{
				key : "USER_NAME",
				title : "<?php echo $_lang['common_name']; ?>",
			},
			 {
				key : "SEX",
				title : "<?php echo $_lang['common_sex']; ?>",
			}
			],
			onItemClick : function(key, sortType) {
				jQuery(".user_list").LazyTable("reload", {
					param : {
						sortField : key,
						sortType : sortType,
						duty_type:"<?=$duty_type?>",
						op:"getUserList"
					}
				});
			}
		},
		dataSource:"search_schedule_do.php",
		param:{op:"getUserList",duty_type:"<?=$duty_type?>"}
	});

	$(".dialogObj").dialog({
		autoOpen:false,
		height:500,
		width:600,
		modal:true,
		dialogClass:"lazy_dialog",
		buttons:[{
			text:"<?=$_lang["common_close"]?>",
			class:"btn btn-danger",
			click:function()
			{
				$(this).dialog("close");
			}
		}]
	});
});
function opensmsdialog(userid,username){
	$("#iframeObj").attr('src','/general/mobile_sms?TO_ID='+userid+',&TO_NAME='+encodeURI(username));
	$(".dialogObj").dialog('open');
}
</script>
</head>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip">
				<?=$_lang['hr_user_info']?>
			</span>
		</span>
	</div>
	<div class="user_list"></div>
	<div class="dialogObj">
		<iframe id="iframeObj" style="border:0px;width:100%;height:100%;"></iframe>
	</div>
</body>
</html>