<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/info/user/user.php
 *@function:         员工信息详细页
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-29
 *@file Version:     9.0
 *@eoffice Version:  8.0
*/
include_once("inc/auth.php");
includelangpak("hr,person,system");
include_once("inc/utility_all.php");
include_once("api/user.class.php");
$user = new user;
//获取上级信息
$superiorArray    = $user->getSuperiorArrayByUserId($USER_ID);
if($superiorArray["id"] && $superiorArray["name"]) {
	$userSuperiorName = implode(",", $superiorArray["name"]);
}
//获取下级信息
$subordinateArray    = $user->getSubordinateArrayByUserId($USER_ID);
if($subordinateArray["id"] && $subordinateArray["name"]) {
	$userSubordinateName = implode(",", $subordinateArray["name"]);
}

//角色通信过滤
$roleFilterArray = array();
if(checkRoleModule()){
	include_once("api/rolerule.class.php");
	$rolerule = new rolerule;
	$opt = array('type'=>'3');
	$roleFilterArray = $rolerule->getRoleFilterArr($opt);
	$roleFilter = implode(',', $roleFilterArray);
}

$PAGE_TITLE = $_lang["hr_employe_info"];
include_once 'inc/page_header.inc.php';
?>

<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--jQuery UI-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">

<!--zTree 树形菜单-->
<link rel="stylesheet" type="text/css" href="/inc/jquery/ztree/zTreeStyle/zTreeStyle.css">

<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">

<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">

<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">

<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">

<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />

<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--语言包-->
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>

<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<!--zTree 树形菜单-->
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>

<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>

<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>

<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript">
$(function() {
	$(".outsidediv").height($(window).height()-41).niceScroll();
});
</script>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip">
				<?=$_lang['hr_employe_info']?>
			</span>
		</span>
		<?
		if($from == "top"||$from=="search")
		{
		?>
			<button class="btn btn-default" type="button" onClick="window.close();"><?=$_lang["common_close"]?></button>
		<?
		}
		?>
	</div>
	<div class="outsidediv" style="overflow-y:auto;overflow-x:hidden;">
<?
$from = $_REQUEST['from'];
$connection=OpenConnection();
$query = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($USER_ID)."'";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
{
	$USER_NAME    = $ROW["USER_NAME"];
	$SEX          = $ROW["SEX"];
    $JOB_NUMBER       = $ROW["JOB_NUMBER"];
	$BIRTHDAY     = $ROW["BIRTHDAY"];
	$BIRTHDAY     = strtok($BIRTHDAY," ");	
	$TEL_NO_DEPT  = $ROW["TEL_NO_DEPT"];
	$FAX_NO_DEPT  = $ROW["FAX_NO_DEPT"];	
	$ADD_HOME     = $ROW["ADD_HOME"];
	$POST_NO_HOME = $ROW["POST_NO_HOME"];
	$TEL_NO_HOME  = $ROW["TEL_NO_HOME"];	
	$MOBIL_NO     = $ROW["MOBIL_NO"];
	$BP_NO        = $ROW["BP_NO"];
	$EMAIL        = $ROW["EMAIL"];
	$OICQ_NO      = $ROW["OICQ_NO"];
	$ICQ_NO       = $ROW["ICQ_NO"];
	$MSN          = $ROW["MSN"];
	$USER_PRIV    = $ROW["USER_PRIV"];
}
?>
<div class="form_header"><?=$_lang['person_person_massage']?></div>
<table border="0" width="100%" cellpadding="3" cellspacing="0" class="form_table">
	<tr>
		<td nowrap class="title"><?=$_lang["person_person_user_name"]?></td>
		<td>
			<?=$USER_NAME?>
		</td>
	</tr>
    <tr>
        <td nowrap class="title"><?=$_lang["common_jobnumber"]?></td>
        <td>
            <?=$JOB_NUMBER?>
        </td>
    </tr>
	<tr>
		<td nowrap class="title"> <?=$_lang["common_sex"]?></td>
		<td>
			<?
			if($SEX==0)
				echo $_lang["hr_address_select_man"];
			else
				echo $_lang["hr_address_select_woman"];
			?>
		</td>
	</tr>
	
	<tr>
		<td class="title"><?=$_lang["common_mobilephone"]?></td>
		<td>
			<?
				if(ifSendMbSms() && !in_array($USER_PRIV, $roleFilterArray)){
					if($_REQUEST['type']=="highslide")
					{
			?>
						<a href="#" onclick='window.open("/general/mobile_sms?TO_ID=<?=$USER_ID?>,&TO_NAME=<?=urlencode($USER_NAME)?>,&f=topline","","width=750,height=500,status=yes,toolbar=no,menubar=no,location=no,left=220,bottom=250")'><?=$MOBIL_NO?></a>
			<?
					}
					else
					{
			?>
						<a target="_parent" href="/general/mobile_sms?TO_ID=<?=$USER_ID?>,&TO_NAME=<?=urlencode($USER_NAME)?>,&type=highslide" onclick="return hs.htmlExpand( this, {objectType: 'iframe',width:'590',height:'535',align:'center',captionText:'<img src=\'<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/general/icon_hr.gif\' align=\'absbottom\'><span id=\'smsdiaglog\' style=\'color:#1d93d3;font-weight:bold;\' >&nbsp;<?=$_lang["hr_write_movebile"]?></span>',captionOverlay: { position: 'toppanel'}} )"><?=$MOBIL_NO?></a>
			<?
					}
				}
				else
				{
					echo $MOBIL_NO;
				}
			?>
		</td>
	</tr>

	<tr>
		<!-- <td nowrap class="title"> <?=$_lang["person_person_mobile_old"]?></td> -->
		<!-- 原来的寻呼机，改成现在的微信 -->
		<td nowrap class="title"><?=$_lang["person_person_index_weixin"]?></td>
		<td>
			<?=$BP_NO?>
		</td>
	</tr>

	<tr>
		<td class="title"><?=$_lang["hr_email"]?></td>
		<td nowrap="nowrap">
			<a href="mailto:<?=$EMAIL?>">
			<?
				if($_REQUEST['type']=="highslide")
				{
			?>
				<div class="ellipsis_field" title="<?=$EMAIL?>" style="width:200px"><?=$EMAIL?></div>
			<?
				}
				else
				{
			?>
					<?=$EMAIL?>
			<?
				}
			?>
			</a>
		</td>
	</tr>

	<tr>
		<td nowrap class="title">QQ</td>
		<td>
			<?=$OICQ_NO?>
		</td>
	</tr>

	<tr>
		<td nowrap class="title"><?=$_lang["person_person_index_weibo"]?></td>
		<td>
			<?=$ICQ_NO?>
		</td>
	</tr>
	<tr>
		<td nowrap class="title"> <?=$_lang["common_msn"]?></td>
		<td>
			<?=$MSN?>
		</td>
	</tr>
	<tr>
		<td class="title" ><?=$_lang["hr_birthday"]?></td>
		<td><?=$BIRTHDAY?></td>
	</tr>
	<!--上级-->
	<tr>
		<td nowrap class="title"><?=$_lang["system_user_superior"]?></td>
		<td nowrap>
			<?=$userSuperiorName?>
		</td>
	</tr>
	<!--下级-->
	<tr>
		<td nowrap class="title"><?=$_lang["system_user_subordinate"]?></td>
		<td nowrap>
			<?=$userSubordinateName?>
		</td>
	</tr>
</table>
<div class="form_header"><?=$_lang['person_person_link_office']?></div>
<table border="0" width="100%" cellpadding="3" cellspacing="0" class="form_table">
	<tr>
		<td class="title"> <?=$_lang["hr_address_office_phone"]?></td>
		<td><?=$TEL_NO_DEPT?></td>
	</tr>
	<tr>
		<td class="title"> <?=$_lang["hr_address_company_fax"]?></td>
		<td><?=$FAX_NO_DEPT?></td>
	</tr>
</table>
<div class="form_header"><?=$_lang['person_person_link_home']?></div>
<table border="0" width="100%" cellpadding="3" cellspacing="0" class="form_table">
	<tr>
		<td class="title" ><?=$_lang["hr_address_home_address"]?></td>
		<td><?=$ADD_HOME?></td>
	</tr>	
	<tr>
		<td class="title"><?=$_lang["hr_address_home_zipcode"]?></td>
		<td><?=$POST_NO_HOME?></td>
	</tr>	
	<tr>
		<td class="title"><?=$_lang["hr_home_phone"]?></td>
		<td><?=$TEL_NO_HOME?></td>
	</tr>	
</table>
</div>
</body>
</html>