<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice9.0
* @function      组织查询--员工信息--左边树，部门带人员，展示离职人员
* @encoding      $_lang['encoding']
* @name          /general/info/user/user_list.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dp
* @date          2015-01-12
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("hr");

$PAGE_TITLE = $_lang[""];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script Language="javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script language="javascript">
$(function() {

	//部门树
	var setting = {
		view: {
			showLine:false,
			showIcon:false,
			selectedMulti:false,
			dblClickExpand:false,
			addDiyDom:addDiyDom
		},

		async: {
			enable:true,
			url:'user_list_do.php',
			autoParam:['id'],
			otherParam: {
				type : "getDeptList",
				showUser : "showUser",
				showLeaveOfficeUser : "showLeaveOfficeUser"
			}
		},
		callback: {
			onClick:function(event, treeId, treeNode) {
				var nodeType = treeNode.nodeType;
				// 离职人员
				if(nodeType == "LeaveUser") {
					$("#user_info",parent.document.body).attr("src","/general/info/user/user.php?USER_ID="+treeNode.id+"&DEPT_ID=0");
				} else if(nodeType == "user") {
					// 正常用户
					$("#user_info",parent.document.body).attr("src","/general/info/user/user.php?USER_ID="+treeNode.id);
				} else if(nodeType == "folder") {
					// 部门
					$("#user_info",parent.document.body).attr("src","/general/info/user/user_all.php?DEPT_ID="+treeNode.id);
				} else if(nodeType == "rootFolder") {
					// 根节点，即在职人员
					$("#user_info",parent.document.body).attr("src","/general/info/user/user_all.php");
				}
				var zTree = $.fn.zTree.getZTreeObj("deptTree");
				zTree.expandNode(treeNode,"","","",true);
			},
			//滚动条
			onExpand:function() {
				$(".outsidediv").getNiceScroll().resize();
		    },
			onAsyncSuccess:zTreeOnAsyncSuccess
		}
	}

	function zTreeOnAsyncSuccess(event, treeId, treeNode, msg) {
	    //初始化的时候选中第一个节点
	    if (treeNode === undefined) {
	        zTree_Menu = $.fn.zTree.getZTreeObj("deptTree");
	        zTree_Menu.selectNode(zTree_Menu.getNodes()[0]);
	    }
	}

	function addDiyDom(treeId, treeNode) {
	    var spaceWidth = 10;
	    var switchObj = $("#" + treeNode.tId + "_switch"), icoObj = $("#" + treeNode.tId + "_ico");
	    switchObj.remove();

		if(treeNode.tId != "deptTree_1") {
			icoObj.before(switchObj);
			var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
		}
	    switchObj.before(spaceStr);
	}

	var treeObj = $("#deptTree");
	$.fn.zTree.init(treeObj, setting);
	$(".outsidediv").height($(parent.window).height()-40).niceScroll();
});
</script>
</head>
<body style="overflow:hidden;width:300px;">
<div class="lazy_header">
	 <span class="lazy-list-title">
		<i class="fa fa-list-title"></i>
	<span class="tip"><?=$_lang["hr_person_list"]?></span>
	</span>
</div>
<div class="outsidediv" style="overflow:hidden;">
	<div id="deptTree" class="ztree" style=""></div>
</div>
</body>
</html>
