<?
/**
 *@Copyright (C) 2010 - 2014 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/inspection/index.php
 *@function:         信息审核
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@date:             2014-01-10
 *@modify:			 dingp
 *@file Version:     1.0
 *@eoffice Version:  9.0
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("info,notify");
include_once('inc/utility.php');
if(!I($_REQUEST['func_id'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
$PAGE_TITLE = $_lang["info_inspection_info"];
include_once("inc/page_header.inc.php");
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
$(function() {
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	//新闻审核
	window.newsTable = $("#inspectlist").LazyTable({
		dataSource : "/general/inspection/index_do.php",
		param : {
			type:"newslist"
		},
		column:[{key:"checkall"},
				{key:"SUBJECT",title:"<?=$_lang["info_news_title"]?>"},
				{key:"NEWS_TYPE_NAME",title:"<?=$_lang["info_news_sort"]?>"},
				{key:"CREATEOR",title:"<?=$_lang["info_rss_news_rele_user"]?>"},
				{key:"NEWS_TIME",title:"<?=$_lang["info_rss_news_rele_time"]?>"}],
		buttons:{
			buttonInfor:{
				"detail":{
					title:"<?=$_lang["info_inspection"]?>",
					isDefault:true,
					func:function(data) {	
						//window.open("view.php?type=news&ID="+data.NEWS_ID);
						showView('news',data.NEWS_ID);
					}
				},
				"approve":{
					title:"<?=$_lang["info_approval"]?>",
					func:function(data) {					
						bootbox.confirm("<?=$_lang["notify_confirm_operation"]?>",function(result) {
							if(result) {
								inspectOpt("news","approve",data.NEWS_ID,"");
							}
						});
					}
				},
				"reject":{
					title:"<?=$_lang["info_refusal"]?>",
					func:function(data) {
						bootbox.confirm("<?=$_lang["notify_confirm_operation"]?>",function(result) {
							if(result) {
								inspectOpt("news","refuse",data.NEWS_ID,"");
							}
						})
					}
				}
			}
		},
		batchButtons : [{
			title : "<?=$_lang["notify_batch_approval"]?>",
			func : function(data) {
				var objIds = "";
				$.each(data,function(key,val) {
					objIds += val.NEWS_ID+",";
				});
				if(objIds != "")
				{
					bootbox.confirm("<?=$_lang["notify_confirm_batch_approval"]?>",function(result) {
						if(result) {
							objIds = objIds.substring(0,objIds.length-1);

							inspectOpt("news","approve",objIds,"1");
						}
					});
				}
				else 
				{
					$.pnotify({
						text:"<?=$_lang["notify_select_oper_item"]?>",
						type:"error"
					});
				}
			}
		},{
		   title:"<?=$_lang["notify_batch_refusal"]?>",
		   func:function(data){
			   var objIds = "";
			   $.each(data,function(key,val) {
				   objIds += val.NEWS_ID+",";
			   });
			   if(objIds != "")
			   {	
				   bootbox.confirm("<?=$_lang["notify_confirm_batch_refusal"]?>",function(result) {
					   if(result) {						  
						   objIds = objIds.substring(0,objIds.length-1);
						   inspectOpt("news","refuse",objIds,"1"); 
					   }
				   });
			   }
			   else 
			   {
					$.pnotify({
						text:"<?=$_lang["notify_select_oper_item"]?>",
						type:"error"
					});
			   }
		   }}],
			onAfterLoad:function(){
				$(':checkbox.lazy_table_checkbox').iCheck({
					checkboxClass : 'icheckbox_square-grey'
				});
					
				$(':checkbox.lazy_table_checkall').iCheck({
					checkboxClass : 'icheckbox_square-blue'
				});	
			}
	});

	$(".inspectlist").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".inspectlist").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});

	$(".inspectlist").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
			if ($(".inspectlist").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$(".inspectlist").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$(".inspectlist").find(".lazy_table_checkall").prop("checked", false);
		}

		$(":checkbox").iCheck('update'); 
	});

	$(".tablefilter").LazyFilter({
		common:{
		//more:{
			//header:"更多筛选"
			template : "{title}",				
			dataSource : [{key:"news",title:"<?=$_lang["info_inspection_news"]?>",isDefault:true},
						  {key:"notify",title:"<?=$_lang["info_inspection_notice"]?>"}]											
		},
		onClick : function(data) {		
			//单击回调函数 data为定义的筛选数据结构
			if(data == "notify") {
				$("#inspectlist").css("display","none");
				notifyShow();
			} else if (data == "news") {
				$("#notifyinspectlist").css("display","none");
				$("#inspectlist").css("display","block");
			}
		}
	});	

	window.dialogObj = $(".approveView").dialog({
		autoOpen:false,
		height:$(window).height()-10,
		width:$(window).width()-10,
		modal:true,
		dialogClass:"lazy_dialog"
	});
});
</script>
</head>
<body>
<div class="tablelist" id="tablelist">
	<div class="lazy_header">
		<div class="tablefilter" id="tablefilter"></div>
	</div>	
	<div class="inspectinfo" id="inspectinfo">
		<div id="inspectlist" class="inspectlist"></div>
		<div id="notifyinspectlist" class="notifyinspectlist" style="display:none;"></div>
	</div>
</div>
<div class="approveView" style="display:none;">
	<iframe class="approveFrame" style="width:100%;height:100%;border:0px"></iframe>
</div>
</body>
</html>
<script>
function showView(type,objId)
{
	$(".approveFrame").attr("src","/general/inspection/view.php?type="+type+"&ID="+objId);
	$(".approveView").dialog("open");
}
//公告审核
function notifyShow() {
	$("#notifyinspectlist").css("display","block");
	window.notifyTable = $("#notifyinspectlist").LazyTable({	
		dataSource : "/general/inspection/index_do.php",
		param : {
			type:"notifylist"
		},
		column:[{key:"checkall"},
				{key:"SUBJECT",title:"<?=$_lang["info_notify_title"]?>"},
				{key:"USER_NAME",title:"<?=$_lang["info_rss_news_rele_user"]?>"},
				{key:"BEGIN_DATE",title:"<?=$_lang["info_vote_start_time"]?>"},
				{key:"END_DATE",title:"<?=$_lang["info_vote_end_time"]?>"},
				{key:"SEND_TIME",title:"<?=$_lang["info_rss_news_rele_time"]?>"}],
		buttons:{
			buttonInfor:{
				"detail":{
					title:"<?=$_lang["info_inspection"]?>",
					isDefault:true,
					func:function(data) {	
						//window.open("view.php?type=notify&ID="+data.NOTIFY_ID);
						showView('notify',data.NOTIFY_ID);
					}
				},
				"approve":{
					title:"<?=$_lang["info_approval"]?>",
					func:function(data) {					
						bootbox.confirm("<?=$_lang["notify_confirm_operation"]?>",function(result) {
							if(result) {
								inspectOpt("notify","approve",data.NOTIFY_ID,"");
							}
						});
					}
				},
				"reject":{
					title:"<?=$_lang["info_refusal"]?>",
					func:function(data) {
						bootbox.confirm("<?=$_lang["notify_confirm_operation"]?>",function(result) {
							if(result) {
								inspectOpt("notify","refuse",data.NOTIFY_ID,"");
							}
						});
					}
				}
			}
		},
		batchButtons : [{title : "<?=$_lang["notify_batch_approval"]?>",
						func : function(data) 
						{
							if(data == "") 
							{
								$.pnotify({
									text:"<?=$_lang["notify_select_oper_item"]?>",
									type:"error"
								});
								return false;
							}
							else 
							{
								bootbox.confirm("<?=$_lang["notify_confirm_batch_approval"]?>",function(result) {
									if(result) {
										var notifyIds = "";
										$.each(data,function(key,value) {
											notifyIds += value["NOTIFY_ID"]+",";
										});
										notifyIds = notifyIds.substring(0,notifyIds.length-1);
										inspectOpt("notify","approve",notifyIds,"1");
									}
								});								
							}
						}},
						{title:"<?=$_lang["notify_batch_refusal"]?>",
					    func:function(data)
						{
							if(data == "") 
							{
								$.pnotify({
									text:"<?=$_lang["notify_select_oper_item"]?>",
									type:"error"
								});
								return false;
							}
							else 
							{
								bootbox.confirm("<?=$_lang["notify_confirm_batch_refusal"]?>",function(result) {
									if(result)
									{
										var notifyIds = "";
										$.each(data,function(key,value) {
											notifyIds += value["NOTIFY_ID"]+",";
										});
										notifyIds = notifyIds.substring(0,notifyIds.length-1);
										inspectOpt("notify","refuse",notifyIds,"1");
									}
								});
							}
						}}],
		onAfterLoad:function(){
			$(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});
				
			$(':checkbox.lazy_table_checkall').iCheck({
                checkboxClass : 'icheckbox_square-blue',
                radioClass : 'iradio_square-blue'
            });	
		}
	});	

	$(".notifyinspectlist").on('ifChanged', '.lazy_table_checkall', function(event){
		$(".notifyinspectlist").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});

	$(".notifyinspectlist").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
			if ($(".notifyinspectlist").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$(".notifyinspectlist").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$(".notifyinspectlist").find(".lazy_table_checkall").prop("checked", false);
		}

		$(":checkbox").iCheck('update'); 
	});
}

function inspectOpt(type,optType,objId,batch) {
	var url = "/general/inspection/index_do.php";
	if(type == "news") {
        var data = {type:optType,NEWS_ID:objId,BATCH:batch};
	} else if(type == "notify") {
        var data = {type:optType,NOTIFY_ID:objId,BATCH:batch};
	}
	$.ajax({
		type:"POST",
		url:url,
		data:data,
		success:function(resp) {
			if(resp) {
				$.pnotify({
					text:"<?=$_lang["info_vote_opt_success"]?>",
					type:"success"
				});
				if(type == "news") {
					$("#inspectlist").LazyTable("reload");
				} else if (type == "notify") {
					$("#notifyinspectlist").LazyTable("reload");
				}
			}
		}
	});
}
</script>
