<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      头像设置首页
 * @encoding      $_lang['encoding']
 * @name          general/ipanel/shortcut/avator.php
 * @version       7
 * @author        sun|www.weaver.com.cn
 * @date          2011-09-29
 */
error_reporting (E_ALL ^ E_NOTICE);
include_once("inc/auth.php");
include_once("api/user.class.php");
includelangpak("system");
//session_start(); //Do not remove this
//only assign a new timestamp if the session variable is empty
//好像系统中这段可以不用，改成获取用户表的头像图片类型字段值
/*if (!isset($_SESSION['random_key']) || strlen($_SESSION['random_key'])==0){
    echo "no session";
	$_SESSION['random_key'] = strtotime(date('Y-m-d H:i:s')); //assign the timestamp to the session variable
	$_SESSION['user_file_ext']= "";
}*/
$users = new user();
$cur_u = $users->getUserInfo($_SESSION["LOGIN_USER_ID"]);
$avatar_type = $cur_u[0]["AVATAR_TYPE"];
if(!$avatar_type)
	$avatar_type = ".png"; //默认值为png

#########################################################################################################
# CONSTANTS																								#
# You can alter the options below																		#
#########################################################################################################
$upload_dir = $ATTACH_PATH."personal/".$_SESSION["LOGIN_USER_ID"]; 				// The directory for the images to be saved in
$upload_path = $upload_dir."/";				// The path to where the image will be saved
$upload_path_url = str_replace($ATTACH_PATH,$rooturl."attachment/",$upload_path);
$large_image_prefix = $_SESSION["LOGIN_USER_ID"]; 			// The prefix name to large image
$thumb_image_prefix = "avatar_";			// The prefix name to the thumb image
$large_image_name = $large_image_prefix;     // New name of the large image (append the timestamp to the filename)
$thumb_image_name = $thumb_image_prefix."120";     // New name of the thumbnail image (append the timestamp to the filename)
$max_file = "5"; 							// Maximum file size in MB
$max_width = "500";
$max_height = "400";							// Max width allowed for the large image
$thumb_width = "120";						// Width of thumbnail image
$thumb_height = "120";						// Height of thumbnail image
// Only one of these image types should be allowed for upload
$allowed_image_types = array('image/pjpeg'=>"jpg",'image/jpeg'=>"jpg",'image/jpg'=>"jpg",'image/png'=>"png",'image/x-png'=>"png",'image/gif'=>"gif");
$allowed_image_ext = array_unique($allowed_image_types); // do not change this
$image_ext = "";	// initialise variable, do not change this.
foreach ($allowed_image_ext as $mime_type => $ext) {
    $image_ext.= strtoupper($ext)." ";
}


##########################################################################################################
# IMAGE FUNCTIONS																						 #
# You do not need to alter these functions																 #
##########################################################################################################
function resizeImage($image,$width,$height,$scale) {
	list($imagewidth, $imageheight, $imageType) = getimagesize($image);
	$imageType = image_type_to_mime_type($imageType);
	$newImageWidth = ceil($width * $scale);
	$newImageHeight = ceil($height * $scale);
	$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);
	switch($imageType) {
		case "image/gif":
			$source=imagecreatefromgif($image);
			break;
	    case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
			$source=imagecreatefromjpeg($image);
			break;
	    case "image/png":
		case "image/x-png":
			$source=imagecreatefrompng($image);
			break;
  	}
	imagecopyresampled($newImage,$source,0,0,0,0,$newImageWidth,$newImageHeight,$width,$height);

	switch($imageType) {
		case "image/gif":
	  		imagegif($newImage,$image);
			break;
      	case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
	  		imagejpeg($newImage,$image,90);
			break;
		case "image/png":
		case "image/x-png":
			imagepng($newImage,$image);
			break;
    }

	chmod($image, 0777);
	return $image;
}
//You do not need to alter these functions
function resizeThumbnailImage($thumb_image_name, $image, $width, $height, $start_width, $start_height, $scale){
	list($imagewidth, $imageheight, $imageType) = getimagesize($image);
	$imageType = image_type_to_mime_type($imageType);

	$newImageWidth = ceil($width * $scale);
	$newImageHeight = ceil($height * $scale);
	$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);
	switch($imageType) {
		case "image/gif":
			$source=imagecreatefromgif($image);
			break;
	    case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
			$source=imagecreatefromjpeg($image);
			break;
	    case "image/png":
		case "image/x-png":
			$source=imagecreatefrompng($image);
			break;
  	}
	imagecopyresampled($newImage,$source,0,0,$start_width,$start_height,$newImageWidth,$newImageHeight,$width,$height);
	switch($imageType) {
		case "image/gif":
	  		imagegif($newImage,$thumb_image_name);
			break;
      	case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
	  		imagejpeg($newImage,$thumb_image_name,90);
			break;
		case "image/png":
		case "image/x-png":
			imagepng($newImage,$thumb_image_name);
			break;
    }
	chmod($thumb_image_name, 0777);
	return $thumb_image_name;
}
//You do not need to alter these functions
function getHeight($image) {
	$size = getimagesize($image);
	$height = $size[1];
	return $height;
}
//You do not need to alter these functions
function getWidth($image) {
	$size = getimagesize($image);
	$width = $size[0];
	return $width;
}

//Image Locations
$large_image_location = $upload_path.$large_image_name.$avatar_type;
$thumb_image_location = $upload_path.$thumb_image_name.$avatar_type;
//Create the upload directory with the right permissions if it doesn't exist
if(!is_dir($upload_dir)){
	mkdir($upload_dir, 0777);
	chmod($upload_dir, 0777);
}

if (isset($_POST["upload"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
	$userfile_size = $_FILES['image']['size'];
	$userfile_type = $_FILES['image']['type'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = strtolower(substr($filename, strrpos($filename, '.') + 1));
	//Only process if the file is a JPG, PNG or GIF and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

		foreach ($allowed_image_types as $mime_type => $ext) {
			//loop through the specified image types and if they match the extension then break out
			//everything is ok so go and check file size
			if($file_ext==$ext && $userfile_type==$mime_type){
				$error = "";
				break;
			}else{
				$error = "只有 <strong>".$image_ext."</strong> 后缀的图片才能上传！<br />";
			}
		}
		//check if the file size is above the allowed limit
		if ($userfile_size > ($max_file*1048576)) {
			$error.= "Images must be under ".$max_file."MB in size";
		}

	}else{
		$error= "Select an image for upload";
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){
		if (isset($_FILES['image']['name'])){
			//this file could now has an unknown file extension (we hope it's one of the ones set above!)
			$large_image_location = $large_image_location;

			$thumb_image_location = $thumb_image_location;
			//put the file ext in the session so we know what file to look for once its uploaded
			//可以考虑改成保存到数据库中用户的一个字段，这样可以支持多种图片类型
			//$_SESSION['user_file_ext']=".".$file_ext;
			$sql = "UPDATE user SET AVATAR_TYPE = '.".SecurityFilter($file_ext)."'
					WHERE USER_ID = '".SecurityFilter($_SESSION["LOGIN_USER_ID"])."'";
			$rs  = exequery($connection,$sql);
			$large_image_location = str_replace($avatar_type,".".$file_ext,$large_image_location);
			//新的头像类型
			$avatar_type = ".".$file_ext;
			move_uploaded_file($userfile_tmp, $large_image_location);
			chmod($large_image_location, 0777);
			$width = getWidth($large_image_location);
			$height = getHeight($large_image_location);
			//Scale the image if it is greater than the width set above
			if ($width > $max_width){
				$scale = $max_width/$width;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}else if($height > $max_height){
				$scale = $max_height/$height;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}else{
				$scale = 1;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}
			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
		//Refresh the page to show the new uploaded image
		//header("location:".$_SERVER["PHP_SELF"]);
	//	exit();
	}
}
//Check to see if any images with the same name already exist
if (file_exists($large_image_location)){
	if(file_exists($thumb_image_location)){
		$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name.$avatar_type."\" alt=\"Thumbnail Image\"/>";
	}else{
		$thumb_photo_exists = "";
	}
   	$large_photo_exists = "<img src=\"".$upload_path.$large_image_name.$avatar_type."\" alt=\"Large Image\"/>";
	//echo "large_photo_exists=$large_photo_exists";
} else {
   	$large_photo_exists = "";
	$thumb_photo_exists = "";
}
if (isset($_POST["upload_thumbnail"]) && strlen($large_photo_exists)>0) {
	//Get the new coordinates to crop the image.
	$x1 = $_POST["x1"];
	$y1 = $_POST["y1"];
	$x2 = $_POST["x2"];
	$y2 = $_POST["y2"];
	$w = $_POST["w"];
	$h = $_POST["h"];
	//Scale the image to the thumb_width set above
	$scale = $thumb_width/$w;
	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	$urlcropped =  str_replace($ATTACH_PATH,$rooturl."attachment/",$cropped);
	//生成个80px的图片,用于系统生成短信头像的地方
	$small_thumb_image_location = $upload_path."avatar_120".$avatar_type;
	$small_scale                = 120/$w;
	$smallcropped = resizeThumbnailImage($small_thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$small_scale);
	//生成个80px的图片,用于系统生成短信头像的地方
	$small_thumb_image_location = $upload_path."avatar_80".$avatar_type;
	$small_scale                = 80/$w;
	$smallcropped = resizeThumbnailImage($small_thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$small_scale);
	//生成个40px的图片,用于系统生成短信头像的地方
	$small_thumb_image_location = $upload_path."avatar_40".$avatar_type;
	$small_scale                = 40/$w;
	$smallcropped = resizeThumbnailImage($small_thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$small_scale);
	//生成个35px的图片,用于系统生成短信头像的地方
	$broad_thumb_image_location = $upload_path."avatar_35".$avatar_type;
	$small_scale                = 35/$w;
	$smallcropped = resizeThumbnailImage($broad_thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$small_scale);
	//Reload the page again to view the thumbnail
	//header("location:".$_SERVER["PHP_SELF"]);
	?>
	<script type="text/javascript">
		window.parent.$(".edit_login_user_image").dialog("close");
		window.parent.$("#login_user_image").attr("src","<?=$urlcropped?>?"+ Math.random());
    </script>

    <?
	exit();
}


if ($_GET['a']=="delete" && strlen($_GET['t'])>0){
//get the file locations
	$large_image_location = $upload_path.$large_image_prefix.$_GET['t'];
	$thumb_image_location = $upload_path.$thumb_image_name.$_GET['t'];
	$small_thumb_image_location = $upload_path."avatar_40".$_GET['t'];
	$small_35_thumb_image_location = $upload_path."avatar_35".$_GET['t'];
	if (file_exists($large_image_location)) {
		unlink($large_image_location);
	}
	if (file_exists($thumb_image_location)) {
		unlink($thumb_image_location);
	}
	if (file_exists($small_thumb_image_location)) {
		unlink($small_thumb_image_location);
	}
	//原来都是40×40，后来也增加了35的
	if (file_exists($small_35_thumb_image_location)) {
		unlink($small_35_thumb_image_location);
	}
	header("location:".$_SERVER["PHP_SELF"]);
	exit();
}
$PAGE_TITLE = $_lang[""];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/css/main.css" type="text/css">
<link rel="stylesheet" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css" type="text/css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.imgareaselect.min.js"></script>
<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<title><?=$_lang["system_avatar_set"]?></title>
<style type="text/css">
	.a-upload {
        padding: 4px 10px 7px 10px;
        position: relative;
        cursor: pointer;
        background: #71C671;
        overflow: hidden;
        font-size: 12px;
        color: white;
        overflow:hidden;

    }

    .a-upload  input {
        position: absolute;
        right: 0;
        top: 0;
        opacity: 0;
        filter: alpha(opacity=0);
        cursor: pointer;
        left:-135px;
        z-index:9;
    }

    .a-upload:hover {
        background: green;
        color: white;
    }
</style>
<script type="text/javascript">
	function edit_close(){
		window.parent.$(".edit_login_user_image").dialog("close");
	}
</script>
<?php
//如果图片存在拖放缩略图所需要的js
if(strlen($large_photo_exists)>0){
	$current_large_image_width = getWidth($large_image_location);
	$current_large_image_height = getHeight($large_image_location);?>
<script type="text/javascript">
function preview(img, selection) {
	var scaleX = <?php echo $thumb_width;?> / selection.width;
	var scaleY = <?php echo $thumb_height;?> / selection.height;
	$("#previewimg",window.document).attr("src","<?=$upload_path_url.$large_image_name.$avatar_type;?>?<?=rand();?>")
	$("#previewimg",window.document).css({
		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px',
		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px',
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px'
	});

	$('#x1',window.document).val(selection.x1);
	$('#y1',window.document).val(selection.y1);
	$('#x2',window.document).val(selection.x2);
	$('#y2',window.document).val(selection.y2);
	$('#w',window.document).val(selection.width);
	$('#h',window.document).val(selection.height);
}
$(window).load(function () {
	$('#thumbnail').imgAreaSelect({ aspectRatio: '1:<?php echo $thumb_height/$thumb_width;?>', onSelectChange: preview });
});

</script>
<?php
}
//缩略图已经保存后,显示删除按钮,没有缩略图的情况下,显示上传附件按钮之类
?>
<body>
	<div class="lazy_header" style="width:660px;">
		<span class="lazy-page-title">
			<i class="fa fa-camera"></i><span class="tip"><?=$_lang["system_avatar_set"]?></span>
			<span style="height:39px;line-height:39px;vertical-align:middle;float:right;padding-right:10px;cursor:pointer" onClick="edit_close()" title="<?=$_lang["common_close"]?>"><i class="fa fa-times text-danger"></i></span>
		</span>
	</div>
	<div style="width:660px;text-align:center;margin-top:2px;" class="image_jcrop_div">
		<table width="660" height="410" cellpadding="0" cellspacing="0">
    		<tr style="padding-bottom:10px">
                <td width="520" height="410">
				 	<?if (strlen($error)>0) {?>
                		<strong style="color:red"><?=$_lang["common_waring"]?>：</strong><?=$error?>
					<?}else{
						if (strlen($large_photo_exists)<=0) {?>
                		<span style="font-size:19px;">暂无图片</span>
                	<?}else{?>
                   <img src="<?=$upload_path_url.$large_image_name.$avatar_type;?>?<?=rand();?>" onload="AutoResizeImage(0,400,this)" style="margin-right: 10px;" id="thumbnail" alt="<?=$_lang["system_avatar_pic"]?>" />
				   <?}}?>
                </td>
                <td width="1">
                </td>
                <td valign="top" width="139" style="padding-top:3px;background:#f2f2f2">
	                <table border="0" width="100%" height="400">
	                	<tr>
	                		<td align="center" valign="top">
	                			<div style="border:2px #fff solid; position:relative; overflow:hidden; width:<?php echo $thumb_width;?>px; height:<?php echo $thumb_height;?>px;">
			                    <?
								if(@file_exists($upload_path.$thumb_image_name.$avatar_type))
			                    	$previewsrc = $upload_path_url.$thumb_image_name.$avatar_type;
								else if(@file_exists($upload_path.$large_image_name.$avatar_type))
									$previewsrc = $upload_path_url.$large_image_name.$avatar_type;
								else
									$previewsrc = "/attachment/personal/noimage_80.png";
								?>
			                    	<img src="<?=$previewsrc?>?<?=rand();?>" style="position: relative;" alt="<?=$_lang["system_avatar_preview"]?>" id="previewimg" />
			                    </div>

			                    <br style="clear:both;"/>
	                		</td>
	                	</tr>
	                	<tr>
	                		<td align="center" height="10%">
	                			<a class="btn btn-primary" id="save_thumb" style="width:120px"><?=$_lang["common_save"]?></a>
	                		</td>
	                	</tr>
	                	<tr>
	                		<td align="center" height="10%">
                				<form name="photo" id="photo" enctype="multipart/form-data" action="<?php echo $_SERVER["PHP_SELF"];?>" method="post" style="vertical-align:bottom; margin:0px; padding:0px;">
									<input type="hidden" name="upload" value="upload" id="upload" />

									<!-- <input type="text" id="file_path" style="border:1px solid gray;height:28px;" size="20" readonly/> -->
						            <div class="a-upload" style="width:120px;">
						                <input type="file" name="image" id="image" size="50">上传图片
						            </div>
							    </form>
	                		</td>
	                	</tr>
	                </table>
                    <form name="form_thumbnail" id="form_thumbnail" action="<?php echo $_SERVER["PHP_SELF"];?>" method="post">
                    	<input type="hidden" name="x1" value="" id="x1" style="width:80px;text-align:center"/>
                    	<input type="hidden" name="y1" value="" id="y1" style="width:80px;text-align:center"/>
                    	<input type="hidden" name="x2" value="" id="x2" style="width:80px;text-align:center" />
                    	<input type="hidden" name="y2" value="" id="y2" style="width:80px;text-align:center"/>
                    	<input type="hidden" name="w" value="" id="w" style="width:80px;text-align:center"/>
                    	<input type="hidden" name="h" value="" id="h" style="width:80px;text-align:center"/>
                    <br />
                    <input type="hidden" name="upload_thumbnail" value="<?=$_lang["common_save"]?>" id="upload_thumbnail" />
                    </form>
                </td>
            </tr>
	    </table>
    </div>
</body>
</html>
<script type="text/javascript">
function AutoResizeImage(maxWidth,maxHeight,objImg){
	var img = new Image();
	img.src = objImg.src;
	var hRatio;
	var wRatio;
	var Ratio = 1;
	var w = img.width;
	var h = img.height;
	wRatio = maxWidth / w;
	hRatio = maxHeight / h;
	if (maxWidth ==0 && maxHeight==0){
	Ratio = 1;
	}else if (maxWidth==0){//
	if (hRatio<1) Ratio = hRatio;
	}else if (maxHeight==0){
	if (wRatio<1) Ratio = wRatio;
	}else if (wRatio<1 || hRatio<1){
	Ratio = (wRatio<=hRatio?wRatio:hRatio);
	}
	if (Ratio<1){
	w = w * Ratio;
	h = h * Ratio;
	}
	objImg.height = h;
	objImg.width = w;
}

$(document).ready(function () {

	$("#image").change(function(){
        $("#file_path").val($("#image").val());
        var attach = $("#image").attr("value")
		if(!attach)
		{
			if (check_notify) {
				check_notify.pnotify_removed();
			}
			check_notify = $.pnotify({
				text:"<?=$_lang["system_sign_select_img"]?>！",
				type:"info",
				speed:"fast",
				history:false,
				delay:"1500"
			}).click(function(event) {
				check_notify.pnotify_removed();
			});
			return false;
		}else{
			$("#photo").submit();
		}
    });

	var check_notify;

	$('#save_thumb').click(function() {
		var x1 = $('#x1').val();
		var y1 = $('#y1').val();
		var x2 = $('#x2').val();
		var y2 = $('#y2').val();
		var w = $('#w').val();
		var h = $('#h').val();

		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){
			if (check_notify) {
				check_notify.pnotify_removed();
			}
			check_notify = $.pnotify({
				text:"<?=$_lang["system_sign_select_img"]?>！",
				type:"info",
				speed:"fast",
				history:false,
				delay:"1500"
			}).click(function(event) {
				check_notify.pnotify_removed();
			});
			return false;
		}else{
			$('#form_thumbnail').submit()
			return true;
		}
	});
	$('#upload').click(function() {
		var attach = $("#image").attr("value")
		if(!attach)
		{
			if (check_notify) {
				check_notify.pnotify_removed();
			}
			check_notify = $.pnotify({
				text:"<?=$_lang["system_sign_select_img"]?>！",
				type:"info",
				speed:"fast",
				history:false,
				delay:"1500"
			}).click(function(event) {
				check_notify.pnotify_removed();
			});
			return false;
		}else{
			return true;
		}
	});
	$('#submitFormButton').click(function(){
		var attach = $("#image").attr("value")
		if(!attach)
		{
			if (check_notify) {
				check_notify.pnotify_removed();
			}
			check_notify = $.pnotify({
				text:"<?=$_lang["system_sign_select_img"]?>！",
				type:"info",
				speed:"fast",
				history:false,
				delay:"1500"
			}).click(function(event) {
				check_notify.pnotify_removed();
			});
			return false;
		}else{
			$("#photo").submit()
		}
	});
	$('#resetbutton').click(function(){
		location = '<?=$_SERVER["PHP_SELF"]?>?a=delete&t=<?=$avatar_type?>'
	})

});
</script>