<?php   
define('LOGIN_PATH',    'general/login/');
define('PROXY_PATH',    LOGIN_PATH .'proxy/');
define('VIEW_PATH',     LOGIN_PATH .'view/');

$_SESSION['LOGIN_LANG'] = $_GET['lang'];//获取传递过来的语言
if(!@include_once('inc/conn.php')){
    trigger_error('error', E_USER_ERROR);
}
if(!@include_once('inc/utility_all.php')){
    trigger_error('error', E_USER_ERROR);
}
Init::getInstance()->start();
class Init{
   
    private static $_instance;//保存类实例的静态对象变量
    /**
     * 构造方法私有化
     */
    private function __construct(){
        
    }
    /**
     * 创建__clone方法防止对象被复制克隆
     */
    private function __clone(){
        trigger_error('Clone is not allow!',E_USER_ERROR);
    }
    /**
     * 单例方法,用于访问实例的公共的静态方法
     */
    public static function getInstance(){
        if(!(self::$_instance instanceof self)){
            self::$_instance = new self;
        }
        return self::$_instance;
    }
    public function start(){
        $className      = request_var('c','Login');
        $methodName     = request_var('a','init');
        include(PROXY_PATH . $className . '.proxy.php');
        $_className     = $className.'Proxy';
        $classObj       = new $_className();
        $classObj->$methodName();
    }
}

