<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的申请
* @encoding      $_lang['encoding']
* @name          general/meetings/room/indexdo.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php");
includelangpak("meetings");
includelangpak("other.lang.php");
include_once("inc/utility_all.php");
include_once ("inc/meet_vehicle.php");
include_once("api/meeting.class.php");
include_once("inc/combox_cache.php");
$type = $_REQUEST["type"];
$meeting  = new meeting();
switch($type){
	case "myapply_list":
		//$sortname = $_REQUEST["sortField"];
		$sortname = "";
		//处理排序字段
		switch($_REQUEST["sortField"]){
			case "begin_time":
				$sortname = "A_BEGIN_TIME";
			break;
			case "end_time":
				$sortname = "A_END_TIME";
			break;
			case "stateText":
				$sortname = "A_STATE";
			break;
			default :
				$sortname = $_REQUEST["sortField"];
		}
		$sorttype = $_REQUEST["sortType"];
		$offset   = $_REQUEST["currentPage"];
		$rows     = $_REQUEST["itemsPerPage"];
		$quickParam = $_REQUEST["quickParam"];
		$offset   = $offset*$rows;
		$where_str    = array();
		if($_REQUEST["meet_name"]){
			$where_str["m_subject"] = $_REQUEST["meet_name"];
		}
		if($_REQUEST["searchData"]){
			if($_REQUEST["searchData"]["meetID"]!="all"){
				$where_str["m_room"] = $_REQUEST["searchData"]["meetID"];
			}
			if($_REQUEST["searchData"]["meetCate"]!="all"){
				$where_str["m_type"] = $_REQUEST["searchData"]["meetCate"];
			}
			if($_REQUEST["searchData"]["meetState"]!="all"){
				$where_str["m_state"] = $_REQUEST["searchData"]["meetState"];
			}
			if($_REQUEST["searchData"]["meetjoin"]!=""){
				$where_str["join_person"] = $_REQUEST["searchData"]["meetjoin"];
			}
			if($_REQUEST["searchData"]["meetBegDate"]!=""){
				$where_str["begin_date"] = $_REQUEST["searchData"]["meetBegDate"];
			}
			if($_REQUEST["searchData"]["meetEndDate"]!=""){
				$where_str["end_date"] = $_REQUEST["searchData"]["meetEndDate"];
			}
		}
		$infor = $meeting->myapply_show($sortname,$sorttype,$offset,$rows,$quickParam,$_SESSION["LOGIN_USER_ID"],$where_str);
		$infor_count = count($infor);
		$list_infor = array();
		$list_infor["totalCount"] = $infor["resultCount"];
		$list_infor["list"] = array();
		for($i=0;$i<$infor_count;$i++){
			if($infor[$i]["apply_id"]){
				$list_infor["list"][$i] = $infor[$i];
				$stateShow = "";
				if($infor[$i]['check_time']==""){
					$stateShow = $_lang["meetings_myapply_waitcheck"];
				}
				if($infor[$i]['check_time']!="" && $infor[$i]['state']==1){
					$stateShow = $_lang["meetings_myapply_checkeing"];
				}
				if($infor[$i]['state']=="2"){
					$stateShow = $_lang["meetings_myapply_pass"];
				}
				if($infor[$i]['state']=="3"){
					$stateShow = $_lang["meetings_myapply_not_pass"];
				}
				if($infor[$i]['state']=="4"){
					$stateShow = $_lang["meetings_myapply_proceed"];
				}
				if($infor[$i]['state']=="5"){
					$stateShow = $_lang["meetings_myapply_checkend"];
				}
				$list_infor["list"][$i]["stateText"] = $stateShow;
			}
		}
		echo json_encode($list_infor);
	break;
	case "quickSearch":
		//列表上方快速筛选
		$searchArray = array(
			array(
				"key" => "all",
				"title" => $_lang["meetings_all"],
				"isDefault" => true
			),array(
				"key" => "state_wait",
				"title" => $_lang["meetings_myapply_waitcheck"],
				"isDefault" => false
			),array(
				"key" => "state_waiting",
				"title" => $_lang["meetings_myapply_checkeing"],
				"isDefault" => false
			),array(
				"key" => "state_pass",
				"title" => $_lang["meetings_myapply_pass"],
				"isDefault" => false
			),array(
				"key" => "state_start",
				"title" => $_lang["meetings_myapply_proceed"],
				"isDefault" => false
			),array(
				"key" => "my_join",
				"title" => $_lang["meeting_my_join"],
				"isDefault" => false
			)
		);
		echo json_encode($searchArray);
	break;
	case "meetStart":
		$meeting->edit_info('remind_begin',$_REQUEST);
		echo "success";
	break;
	case "meetEnd":
		$meeting->edit_info('remind_end',$_REQUEST);
		$meeting->creat_info('meeting_recorde',$_REQUEST);
		echo "success";
	break;
	case "record_list":
		//记录列表
		$applyId = $_REQUEST["applyId"];
		$sortname = "C_ID";
		$sorttype = "DESC";
		$offset   = $_REQUEST["currentPage"];
		$rows     = $_REQUEST["itemsPerPage"];
		$offset   = $offset*$rows;
		$infor = $meeting->meeting_record($sortname,$sorttype,$offset,$rows,$applyId);
		$list_infor = array();
		$list_infor["totalCount"] = $infor["resultCount"];
		$list_infor["list"] = array();
		$infor_count = count($infor);
		for($i=0;$i<$infor_count;$i++){
			if($infor[$i]["C_ID"]){
				$list_infor["list"][$i] = $infor[$i];
				$list_infor["list"][$i]["personNames"] = getUserNameNew($infor[$i]["C_PERSON"]);
				$list_infor["list"][$i]['ATTACHMENT'] = '';
				if($infor[$i]["ATTACHMENT_ID"]) {
					$list_infor["list"][$i]['ATTACHMENT'] = getAttachment($infor[$i]['ATTACHMENT_ID'], $infor[$i]['ATTACHMENT_NAME'], $infor[$i]['C_ID'], 'other', 'meeting_recorde');
				}
			}
		}
		echo json_encode($list_infor);
	break;
	case "creat_record":
		//新建记录
		$dataInfor = array();
		$dataInfor["C_A_ID"] = $_REQUEST["applyid"];
		$dataInfor["C_PERSON"] = $_SESSION["LOGIN_USER_ID"];
		$dataInfor["C_TIME"] = date("Y-m-d H:i:s",time());
		$dataInfor["C_CONTENT"] = $_REQUEST["recordContent"];
		$dataInfor['ATTACHMENT_ID'] = $_REQUEST["attachmentIDStr"];
		$dataInfor['ATTACHMENT_NAME'] = $_REQUEST["attachmentNameStr"];
		$insertid = $meeting->meetings_CreateData($dataInfor,"meeting_recorde");
		echo $insertid;
	break;
	case "applyDelete":
		$dataStrId = $_REQUEST["StrId"];
		$idArray = explode(",",$dataStrId);
		$idcount = count($idArray);
		for($i=0;$i<$idcount;$i++){
			if($idArray[$i]){
				$check = $meeting->myapply_detail($idArray[$i]);
				if($check['check_time']!="" && $check['state']==1)
				{
					echo "fail";
					exit;
				}
				else{
					if($check['false_delete']=='2' || $check['check_time']=='')
					{
						$meeting->delete_meeting('meeting_apply',$idArray[$i]);
						$meeting->delete_meeting('meeting_recorde',$idArray[$i]);
					}
					else
					{
						$meeting->edit_info("my_false_delete",$idArray[$i]);
					}
				}
			}
		}
		echo "success";
	break;
    case "applyCancel":
        $dataStrId = $_REQUEST["StrId"];
        $meeting->delete_meeting('meeting_apply',$dataStrId);
        $meeting->delete_meeting('meeting_recorde',$dataStrId);
        echo "success";
        break;
	case "searchSelectRoom":
		$newResult = array();
		$sql = " ORDER BY R_ID DESC";
		$newResult[0]["key"] = "all";
		$newResult[0]["title"] = $_lang["meetings_all"];
		$dataInfor = $meeting->meetingsSearchManyData("meeting_rooms",$sql);
		$dataCount = count($dataInfor);
		for($i=0;$i<$dataCount;$i++){
			if($dataInfor[$i]["R_ID"]){
				$newResult[$i+1]["key"] = $dataInfor[$i]["R_ID"];
				$newResult[$i+1]["title"] = $dataInfor[$i]["R_NAME"];
			}
		}
		echo json_encode($newResult);
	break;
	case "searchSelectType":
		$newResult = array();
		$newResult[0]["key"] = "all";
		$newResult[0]["title"] = $_lang["meetings_all"];
		$comcache   = new combox_cache();
		$combo_date = $comcache->startCache();
		$date_type   = $combo_date[11];
		$num        = count($date_type);
		for($I=1;$I<=$num;$I++)
		{
			$newResult[$I]["key"] = $date_type[$I]['VALUE'];
			$newResult[$I]["title"] = $date_type[$I]['NAME'];
		}
		echo json_encode($newResult);
	break;
}
?>