<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      申请详情页面
* @encoding      $_lang['encoding']
* @name          general/meetings/myapply/show.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
includelangpak("meetings");
include_once("inc/utility_all.php");
include_once ("inc/meet_vehicle.php");
include_once("general/system/combox/packaging.php");
include_once("api/meeting.class.php");
$diff = $_REQUEST['diff'];
$meeting   = new meeting();
//$info = $meeting->myapply_detail($_REQUEST['apply_id']);
$dataInfor   = $meeting->myapply_detail($_REQUEST['apply_id']);
$meeting->edit_info('check',$_REQUEST['apply_id']);
$CheckLimit = $meeting->MeetLimitsPower($_REQUEST['apply_id'],'read');
if($CheckLimit==false)
{
	Message("",$_lang["meetings_check_limit"]);
	exit;
}
$PAGE_TITLE = $_lang["meetings_myapply"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css" type="text/css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" rel="stylesheet" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/general/meetings/css/mettings.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript"	src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/general/meetings/meeting.js"></script>

<body>
<div id="btnCheck" class="lazy_header">
    <span class="lazy-page-title">
        <i class="fa fa-page-title"></i>
        <span class="tip"><?=$_lang["meetings_apply_deatil"]?></span>
    </span>
</div>
<table border="0" width="100%" cellspacing="1" cellpadding="5" class="form_table">
    <tr>
        <td class="title"><?=$_lang["meetings_begin_time"]?></td>
        <td>
            <?
                echo $dataInfor['begin_time'];
            ?>
        </td>
        <td class="title"><?=$_lang["meetings_end_time"]?></td>
        <td>
            <?=$dataInfor['end_time']?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_sunject"]?></td>
        <td>
            <?=$dataInfor['subject']?>
        </td>
        <td class="title"><?=$_lang["meetings_apply_person"]?></td>
        <td>
            <?=$meeting->person_name($dataInfor['apply_person'])?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_room"]?></td>
        <td colspan="3">
            <?
                $room = $meeting->rooms_show($dataInfor['room_id']);
                echo $room['r_name'];
            ?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_join_person"]?></td>
        <td colspan="3">
            <?=$meeting->person_name($dataInfor['join_person'])?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_other_join"]?></td>
        <td colspan="3">
            <?=$dataInfor['other']?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_type"]?></td>
        <td>
            <? echo get_info(11,$dataInfor['type'],1);?>
        </td>
        <td class="title"><?=$_lang["meetings_state"]?></td>
        <td>
            <?
                if($dataInfor['state']==1)
                {
                    if($diff=='examine')
                    {
                        if($dataInfor['check_time']=="")
                        {
                            echo $_lang["meetings_myapply_checking"];   
                        }
                        else
                        {
                            echo $_lang["meetings_myapply_check"];      
                        }
                    }
                    else
                    {
                        if($dataInfor['check_time']=="")
                        {
                            echo $_lang["meetings_myapply_checking"];   
                        }
                        else
                        {
                            echo $_lang["meetings_myapply_check"];      
                        }   
                    }
                }
                else if($dataInfor['state']==2)
                {
                    echo $_lang["meetings_myapply_pass"];
                }
                else if($dataInfor['state']==3)
                {
                    echo $_lang["meetings_myapply_refuse"]; 
                }
                else if($dataInfor['state']==4)
                {
                    echo $_lang["meetings_myapply_proceed"];
                }
                else if($dataInfor['state']==5)
                {
                    echo $_lang["meetings_myapply_end"];
                }               
            ?>
        </td>        
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_remark"]?></td>
        <td colspan="3">
            <?=$dataInfor['remark']?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_remark"]?></td>
        <td colspan="3">
            <?=$dataInfor['A_BEGIN_ADVISE']?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_attachment"]?></td>
        <td colspan="3">
            <?
                if($dataInfor['ATTACHMENT_ID']!='')
                {
                    echo getAttachment($dataInfor['ATTACHMENT_ID'],$dataInfor['ATTACHMENT_NAME'],$_REQUEST['apply_id'],'other');    
                }
                else
                {
                    echo $_lang["meetings_no_attachment"];  
                }
            ?>
        </td>
    </tr>
    <tr>
        <td class="title"><?=$_lang["meetings_check_advice"]?></td>
        <td colspan="3">
            <?=$dataInfor['apply_advise']?>
        </td>
    </tr>       
</table>
</body>
</html>
