<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的会议--会议室管理
* @encoding      $_lang['encoding']
* @name          general/meetings/room/index.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
includelangpak("meetings");
include_once("inc/utility_all.php");
include_once("api/meeting.class.php");
$PAGE_TITLE = $_lang["meetings_room_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/meetings/css/mettings.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<body>
<input type="hidden" id="chooseCateid" name="chooseCateid">
<div id="Message"></div>
<div class="left_list_wrap">
    <div class="lazy_header">
        <span class="lazy-list-title">
            <i class="fa fa-list-title"></i>
            <span class="tip"><?=$_lang["meeting_room_list"]?></span>
        </span>
        <button id="creatNewRoom" type="button" class="btn btn-primary"><?=$_lang["meeting_create"]?></button>
        <div class="left_search" style="float:right; margin-right:5px;"></div>
    </div>
    <div id="left_list"></div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <span class="lazy-page-title">
            <i class="fa fa-page-title"></i>
            <span class="tip"><?=$_lang["meetings_room_create"]?></span>
        </span>
        <button type="button" id="meetBtnSumbit" class="btn btn-primary"><?=$_lang["meeting_submit"]?></button>
    </div>
    <div id="right_table"></div>
</div>    
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/meetings/meeting.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$(function() {
	var leftlist = $("#left_list").LazyList({
		buttons : {
			  buttonInfor : {
				  "delete" : {
					 title : '<?=$_lang["meeting_delete"]?>',
					func : function(data) {
						bootbox.confirm('<?=$_lang["meeting_sure_delete"]?>', function(result) {
							if(result){
								var data_id = data.r_id;
								$.ajax({
									type: "post", 
									url : "/general/meetings/room/do.php", 
									data:"diff=delete&check=single&dataid="+data_id
								}).done(function(result){
									$("#left_list").LazyList("reload");		
								});				
							}	
						});	
					}
				  }
			  },
			  filter : function(data) {
				  return ["delete"];
			  }
		},
		itemListTemplate : '<div id="{r_id}" style="width:280px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;" title="{r_name}">{r_name}</div>',
		dataSource : "indexdo.php",
		param : {
			type : "room_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			meetingRoomEdit(data.r_id);
			$(".lazy_search").find(":input").css("width","108px");
		},
		onInit:function(){
			var chooseId = $("#m_id").val();
			if (chooseId!="") {
				$(this).find("#"+chooseId).click();
			}
			$("#left_list").getNiceScroll().resize(); 
		}
	});
	
	$(".left_search").LazySearch({
		tip : '<?=$_lang["meeting_search_room"]?>',
		url : "indexdo.php",
		param : {
			type : "autoSearch1"
		},
		width : 130,
		autoSearch : {
			template : "{typeName}",
			onItemClick : function(data) {
				meetingRoomEdit(data.key);
				$(".lazy_search").find(":input").css("width","108px");
			}
		},
		onClearButtonClick:function()
		{
			//查询清除回调函数
		}
	});
	
	//新建会议室
	$("#creatNewRoom").on("click",function(){
		//销毁附件上传
		$('#file_elem').uploadify('destroy');	
		$.ajax({
			type:"POST",
			async:false,
			dataType:"html",
			data:"dataid=",
			url:"edit.php"
		}).done(function(result){
			$(".right_main_wrap .tip").html('<?=$_lang["meetings_room_create"]?>');
			$("#right_table").html(result);
			$("#checknum").hide();
			initAttach();
			$(".lazy_search").find(":input").css("width","108px");
		});	
	});
	//按钮提交
	$("#meetBtnSumbit").click(function(){
		if($("#m_name").val()==""){
			$("#Message").LazyMessage("open",'<?=$_lang["meeting_write_name"]?>',"warning");	
			return false;
		}
		if($("#m_id").val()=="" && $("#checknum").is(":hidden")==false){
			$("#Message").LazyMessage("open",'<?=$_lang["meeting_room_not_repeat"]?>',"warning");	
			return false;
		}
		if ($("#file_elem").Upload("getUploadCount") > 0) {
	        $("#file_elem").uploadify("upload", "*");
	    }else{
	        $('#form1').ajaxSubmit(function(data){
				if(data){
					$("#Message").LazyMessage("open",'<?=$_lang["meeting_submit_success"]?>',"success");
					if ($("#m_id").val()!="") {
						$("#left_list").LazyList("reload");		
					} else{
						$("#left_list").LazyList("reload");
						$("#creatNewRoom").click();
					}
				}else{
					alert("error!");	
				}
			});		
	    } 
	});	
	
	$("#Message").LazyMessage({
		ofTarget : "#right_table"	
	});
	$("#left_list").height($(window).height()-40);
	$("#left_list").niceScroll(); 	
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	
	$(".switch").LazyToggle({
		showTip : '<?=$_lang["meeting_show_room"]?>',
		hideTip : '<?=$_lang["meeting_hide_room"]?>',
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
		}
	});
	
	//初始化新建页面
	$.ajax({
		type:"POST",
		async:false,
		dataType:"html",
		data:"dataid=",
		url:"edit.php"
	}).done(function(result){
		$("#right_table").html(result);
		initAttach();
		//$('#file_elem').uploadify('destroy');
	});
	$(".lazy_search").find(":input").css("width","108px");
});	
//编辑会议室
function meetingRoomEdit(dataid){
	//alert($(".uploadify").length);
	if($(".uploadify").length>0){
		//销毁附件上传	
		$('#file_elem').uploadify('destroy');
	}
	$(".right_main_wrap .tip").html('<?=$_lang["meetings_room_edit"]?>');
	$.ajax({
		type:"POST",
		async:false,
		dataType:"html",
		data:"dataid="+dataid,
		url:"edit.php"
	}).done(function(result){
		$("#right_table").html(result);
		//alert($("#file_elem").length);
		initAttach();
	});	
}
function initAttach(){
	//上传附件	
    $("#file_elem").Upload({
        uploadType:'OTHER',
        showToolTip:true,
        onUploadSuccess:function(attachmentID,attachementName){
            $("#attachmentIDStr").val($("#attachmentIDStr").val()+attachmentID+",");
            $("#attachmentNameStr").val($("#attachmentNameStr").val()+attachementName+"*");
        },
        onQueueComplete:function(){
           $('#form1').ajaxSubmit(function(data){
                if(data){
                    $("#Message").LazyMessage("open",'<?=$_lang["meeting_submit_success"]?>',"success");
                    $("#left_list").LazyList("reload");
                    if ($("#m_id").val()!="") {
                        $("#left_list").LazyList("reload");     
                    } else{
                        $("#left_list").LazyList("reload");
                        $("#creatNewRoom").click();
                    }
                }else{
                    alert("error!");    
                }
            });     
        }
    });
}
</script>