<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/news/manage/query/news_search.php
 *@function:         新闻查询
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-01-11
 *@file Version:     22.0
 *@eoffice Version:  8.0
*/
include_once("inc/auth.php");
includelangpak("info");
include_once("inc/conn.php");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
include_once("inc/function_picture.php");

if($_REQUEST["cur_page"] == "")
	$cur_page	= 0;
else
	$cur_page	= $_REQUEST["cur_page"];

if($LOGIN_USER_ID=="admin")
{
	$search_buttons = "{type:'search',url:'/general/news/manage/query/news_search_window.php',width:410,height:270,caption:'".$_lang['info_news_search']."'}";
}
else
{
	$search_buttons = "{type:'search',url:'/general/news/manage/query/news_search_window.php',width:370,height:210,caption:'".$_lang['info_news_search']."'}";
}
$PAGE_TITLE = $_lang["info_news_search"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/prototype.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script src="/inc/plugins/jquery.lazypagination.js" type="text/javascript"></script>
<script src="/inc/plugins/jquery.lazyquicksort.js" type="text/javascript"></script>
<script src="/inc/plugins/jquery.lazypinyinsearch.js" type="text/javascript"></script>
<script src="/inc/plugins/jquery.lazybeautifytable.js" type="text/javascript"></script>
<script type="text/javascript" src="/inc/calendar/calendar.js"></script>
<SCRIPT type="text/javascript" src="/inc/common.js"></SCRIPT>
<script language="javascript" >
var myLazyGrid;
jQuery(document).ready(function() {
	myLazyGrid=jQuery("#myTable").LazyGrid({	
		/*
		 * 快速筛选参数
		 */
		quicksort : {
			mainID : "inforcenter_1",//快速筛选ID
			defaultValue : "all",
			width:150
		},
		/*
		 * 分页参数
		 */
		pagination : {	
			pageIndex : <?=$cur_page?>, //当前页索引，默认为0
			pageCount : 5//每页条数，默认为12
		},
		defaultSortField : "PUTIP",
		defaultSortOrder : "DESC",
		buttons:[<?=$search_buttons?>
				,{
					type:"checkall",
					name:"box"
				},
				{
					text:"<?=$_lang["common_del_many"]?>",
					callback:delete_select,
					param : getselect
				}],
		url : '/general/news/manage/query/news_search_do.php', //数据处理页面
		theme:'<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/',
		callback:{
			complete : LazyGridCallback
		}
	});
	jQuery("body").LazyBeautifyForm();

});
function LazyGridCallback()
{
	jQuery(":checkbox").LazyBeautifyCheckBox();
	jQuery(":button").LazyBeautifyButton();
	jQuery(".ShowState td").css({'padding-left':'0px'});
}
//------删除按钮
function delete_select(delete_str)
{
	if(delete_str=="")
	{
		alert('<?=$_lang["info_rss_del_alert"]?>');
		return;
	}
	msg = '<?=$_lang["common_del_alert"]?>';
	if(window.confirm(msg))
	{
		jQuery.ajax({
					url:"/general/news/manage/query/do.php?id_str="+delete_str+"&operate=delete&NEWS_ID=<?=$_REQUEST['NEWS_ID']?>&search=<?=$_REQUEST['search']?>"
					}).done(function(result)
					{
						if(result=="success")
						{
							myLazyGrid.Reload();
						}
						else
						{
							alert("Error");
						}
						}).fail(function()
						{
							alert("Error");
						})
	}
}
//------全选
function getselect()
{
	var idarr=new Array();
	jQuery(":checkbox[name='box']").each(function(){
		  if(jQuery(this).attr("checked"))
		  {
			  idarr.push(jQuery(this).attr("value"));}
		  })
	return idarr.join();
}
//------打开新闻
function open_news(NEWS_ID)
{
	URL    = "/general/news/show/read_news.php?NEWS_ID="+NEWS_ID;
	myleft = (screen.availWidth-500)/2;
	window.open(URL,"read_news","height=500,width=650,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=150,left="+myleft+",resizable=yes");
}
//------删除新闻
function delete_news(NEWS_ID)
{
	msg = '<?=$_lang["common_del_alert"]?>';
	if(window.confirm(msg))
	{
		jQuery.ajax({
					url:"/general/news/manage/query/search_del.php?NEWS_ID="+NEWS_ID+"&search=<?=$_REQUEST['search']?>"
					}).done(function(result)
					{
						if(result=="success")
						{
							myLazyGrid.Reload();
						}
						else
						{
							alert("Error");
						}
						}).fail(function()
						{
							alert("Error");
						})
	}
}
//修改新闻
function modify_news(NEWS_ID,NEWS_TYPE_ID,NEWS_TYPE_NAME,SEARCH)
{
	URL = "search_modify.php?NEWS_ID="+NEWS_ID+"&NEWS_TYPE_ID="+NEWS_TYPE_ID+"&NEWS_TYPE_NAME="+NEWS_TYPE_NAME+"&search="+SEARCH;
	myleft   = (screen.availWidth-500)/2;
	window.open(URL,"modify_news","height=555,width=750,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=100,left="+myleft+",resizable=yes");
}
//------管理评论
function re_news(NEWS_ID)
{
	URL    = "/general/news/show/re_news.php?NEWS_ID="+NEWS_ID+"&MANAGE=1";
	myleft = (screen.availWidth-500)/2;
	window.open(URL,"read_news","height=500,width=650,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=100,left="+myleft+",resizable=yes");
}
//------新闻置顶
function up_news(NEWS_ID,SEARCH)
{
	jQuery.ajax({
					url:"/general/news/manage/query/do.php?NEWS_ID="+NEWS_ID+"&operate=update&search="+SEARCH
					}).done(function(result)
					{
						if(result=="success")
						{
							myLazyGrid.Reload();
						}
						else
						{
							alert("Error");
						}
						}).fail(function()
						{
							alert("Error");
						})
}
//------取消新闻置顶
function cancelup_news(NEWS_ID,SEARCH)
{
	jQuery.ajax({
					url:"/general/news/manage/query/do.php?NEWS_ID="+NEWS_ID+"&operate=remove&search="+SEARCH
					}).done(function(result)
					{
						if(result=="success")
						{
							myLazyGrid.Reload();
						}
						else
						{
							alert("Error");
						}
						}).fail(function()
						{
							alert("Error");
						})
}
//------查看新闻图片
function show_big(obj,ATTACHMENT_ID,ATTACHMENT_NAME)
{
	var objdiv           = document.getElementById(obj);
	objdiv.style.display = "";
	objdiv.style.posLeft = event.clientX+document.body.scrollLeft;
	objdiv.style.posTop  = event.clientY+document.body.scrollTop-20;
	objdiv.innerHTML     = "<DIV id='picload'><img src='<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/loading.gif'><?$_lang['common_data_getting']?></DIV>";
	url                  = "/general/news/manage/showpic.php";
	par                  =  "ATTACHMENT_ID="+ATTACHMENT_ID+"&ATTACHMENT_NAME="+ATTACHMENT_NAME;
	loadingImg(obj,url,par);
}
//------加载图片
function loadingImg(divid,url,par){
	var objDivID = document.getElementById(divid);
	var saveGimg = {
		onCreate: function(){
			Element.show('picload');
		},
		onComplete: function() {
			if(Ajax.activeRequestCount == 0){
				Element.hide('picload');
			}
		}
	};
	Ajax.Responders.register(saveGimg);	
	queryString = par;
	new Ajax.Request
	(
		url,
		{
			method: "post",	
			onSuccess : function(resp)
						{
							objDivID.innerHTML = resp.responseText;
						},
			onFailure : function()
						{
							alert(url);
						},
			parameters : queryString
		}
	);

}
//------隐藏div
function hiddenDiv(obj){
	var objdiv           = document.getElementById(obj);
	objdiv.style.display = 'none';

}
</script>
</head>
<body topmargin="0" leftmargin="0" rightmargin="0">
<table border="0" width="100%" cellspacing="0"  cellpadding="0" >
	<tr class="pagehead1">
		<td>
			<span class="page-title"><?=$_lang["info_news_search"]?></span>
		</td>
		<td align="right">
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<? pageHeadItem("info","1","1","1","1")?>
					</td>
					<td>
						<input type="button" onClick="location = '/general/news/manage/index.php';" value="<?=$_lang["common_back"]?>" img="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr class="pagehead2">
		<td colspan="2"><div class='bg-split'></div></td>
	</tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
		<div id="myTable" style="margin-top: 0px;">
		</div>
		</td>
	</tr>
</table>
</body>
</html>
