<?php
/**
*新闻数据处理
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/news.class.php");
include_once ("inc/function_usergeneral.php");
includelangpak("info,news");
$news = new news();
$type = $_REQUEST["type"]!=""?$_REQUEST["type"]:"list";
//安全检测,过滤newsID类型
if($type == "list") 
{
    $newstype       = request_var('NEWS_TYPE','');
    $sortField      = request_var('sortField','NEWS_ID');
    $sortType       = request_var('sortType','DESC');
    $newsTime       = request_var('NEWS_TIME','');
    $newsSubject    = request_var('SUBJECT','');
    $newsFilter     = request_var('FILTER','all');
    $newsUser       = request_var('USER_ID','');
    //分页
    $limitRows      = request_var("itemsPerPage");
    $limitOffset    = request_var("currentPage") * $limitRows;
	$newsType       =  request_var('newstype','');
	//处理查询条件
	if($_REQUEST["searchArr"]) 
	{
		if(trim($_REQUEST["searchArr"]["SUBJECT"])!="") 
		{	
			$newsSubject = $_REQUEST["searchArr"]["SUBJECT"];
		}
		if(trim($_REQUEST["searchArr"]["SEND_TIME"]) != "")
		{
			$newsTime = $_REQUEST["searchArr"]["SEND_TIME"];
		}
		if(trim($_REQUEST["searchArr"]["NEWS_TYPE_ID"]) != "")
		{
			$newstype = $_REQUEST["searchArr"]["NEWS_TYPE_ID"];
		}
		if(trim($_REQUEST["searchArr"]["NEWS_PUBLIC"]) != "")
		{
			$newsPublic = $_REQUEST["searchArr"]["NEWS_PUBLIC"];
		}
		if(trim($_REQUEST["PROVIDERS"]) != "")
		{
			$providerUser = str_replace(",","','",substr($_REQUEST["PROVIDERS"],0,-1));
		}
	}
    if(isset($_REQUEST["newstype"]) && !empty($_REQUEST["newstype"])) {
        $newstype = $_REQUEST["newstype"];
    }
    $searchArray = array("provider"=>$_SESSION["LOGIN_USER_ID"],"key_name"=>$newsSubject,"NEWS_TIME"=>$newsTime,"news_type"=>$newstype,"FILTER"=>$newsFilter,"USERID"=>$providerUser,"PUBLIC"=>$newsPublic);
    $totalCount = $news->getNewCounts($searchArray);
    if($totalCount > 0){
        $newsListInfo = $news->getNewLists($searchArray,array("orderby"=>$sortField,"ordertype"=>$sortType,"limit"=>$limitRows,"start"=>$limitOffset));
        $newsTypeInfo = $news->GetNewsTypeInfor();	

        $newLists = array();
        foreach($newsListInfo as $key=>$value) {
            $temp                   = array();
            $newsComment            = $news->getNewsCommentCount($value["NEWS_ID"]);
            $temp["NEWS_NUM"]       = $newsComment;
         	$temp["CONTENT"]       	= $value["CONTENT"];
            $temp["CLICK_COUNT"]    = $value["CLICK_COUNT"]>0?$value["CLICK_COUNT"]:"0";
            $temp["NEWS_TYPE"]      = $value["NEWS_TYPE_ID"]!="0"?$newsTypeInfo[$value["NEWS_TYPE_ID"]]:$_lang["news_no_category_news"];
            $temp['PUBLIC']         = $value['PUBLIC'];
            $temp["PUBLIC_FLAG"]    = $value["PUBLIC"] == 1?$_lang["news_published"]:($value["PUBLIC"] == 2?$_lang["news_reviewing"]:$_lang["news_draft"]);
            $temp["NEWS_TIME"]      = $value["NEWS_TIME"] != ''?date("Y-m-d",strtotime($value["NEWS_TIME"])):"";
            if($value["news_reader"] != ""){
                $readersArray = explode(",",substr($value["news_reader"],0,-1));
                $temp["READ_FLAG"] =  in_array($_SESSION["LOGIN_USER_ID"],$readersArray) == false && $value["PUBLIC"] == 1?1:0;

            }else{
                $temp["READ_FLAG"] = $value["PUBLIC"] == 1 ?1:0;
            }
            $temp['PUTIP']      = $value['PUTIP'];
            $temp['SUBJECT']    = $value["SUBJECT"];
            $temp['NEWS_ID']    = $value["NEWS_ID"];
            $temp['PROVIDER_NAME']  = $value['PROVIDER_NAME'];
            $temp['PROVIDER']   = $value['PROVIDER'];
            $newLists[] = $temp;
        }

    }
	echo json_encode(array('totalCount' => $totalCount,'list' => $newLists));
} 
else if($type == "typelist") 
{
    $newTypeList = $news->getAllNewType();
    $counts      = $news->getAllTypeCount($_SESSION["LOGIN_USER_ID"]);
    foreach($newTypeList as $key => $value){
        if($counts[$value['NEWS_TYPE_ID']]){
            $newTypeList[$key]['COUNT'] = $counts[$value['NEWS_TYPE_ID']];
        }else{
            $newTypeList[$key]['COUNT'] = 0;
        }
    }
    if($counts['0']){
        array_push($newTypeList,array("NEWS_TYPE_ID"=>"0","NEWS_TYPE_NAME"=>$_lang["news_no_category_news"],"COUNT"=>$counts['0']));
    }else{
        array_push($newTypeList,array("NEWS_TYPE_ID"=>"0","NEWS_TYPE_NAME"=>$_lang["news_no_category_news"],"COUNT"=>0));
    }
	echo json_encode($newTypeList);
}
else if ($type == "putip" || $type == "unputip") 
{
    $newsId = intval(request_var("NEWS_ID"));
	$news->PutipNews($newsId,$type);
	echo "1";
} 
else if ($type == "delete") 
{
    $batch = request_var("BATCH");
    if($batch == '1'){
        $newsId = request_var("NEWS_ID");
    }else{
        $newsId = intval(request_var("NEWS_ID"));
    }
	$news->DelNews($newsId,$batch);
	echo "1";
}
else if ($type == "edit")
{
    $newsId = intval(request_var("NEWS_ID"));
	$newsInfo = $news->GetSingalNewsDetail($newsId);
	echo json_encode($newsInfo);
}
else if ($type == "getback")
{
    $newsId = intval(request_var("NEWS_ID"));
	$news->GetbackNews($newsId);
	echo "1";
}
else if ($type == "top") 
{
    $newsId = intval(request_var("NEWS_ID"));
    $endDate = request_var("END_TIME");
    $no_select = request_var("NO_SELECT");
    $news->TopNews($newsId,$endDate,$no_select);
    echo "1";
}
?>