<?php
/**
 * Systemname:       E-Office
 * Filename:         general/officeitem/joinstoreroom/index_do.php
 * Function:         办公资产--入库管理数据处理
 * Encoding:         $_lang['encoding']
 * Date:             2013-03-18
 * File Version:     1.0
 * Eoffice Version:  8.x
 * Author:           Lj 
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
includelangpak("asset");
//安全性判断
include_once('inc/utility.php');
if(!I($_REQUEST['APPELLATION_ID'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}

if($_REQUEST["STOREROOM_ID"])
{
	if(!is_numeric($_REQUEST['STOREROOM_ID'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}
}

$OtherFieldObj = new PageFactory();
$type = $_REQUEST["type"];
if($type == "itemlist") {
	$sql   = "SELECT * FROM officeitem_sort ORDER BY MARK ASC";
	$rs    = exequery($connection,$sql);
	$itemSortArr   = array();
	$itemSortIdArr = array();
	while($ROW = mysql_fetch_array($rs))
	{
		array_push($itemSortArr,$ROW);
		array_push($itemSortIdArr,$ROW["SORT_ID"]);
	}

	$query = "SELECT * FROM officeitem_appellation";
	$res   = exequery($connection,$query);
	$itemArr = array();
	while($row = mysql_fetch_array($res)) {
		array_push($itemArr,$row);
	}
	if(count($itemArr) > 0)
	{
		foreach($itemArr as $key => $value)
		{
			$keys = array_search(trim($value["SORT_ID"]),$itemSortIdArr);
			if($keys>=0)
			{
				count($itemSortArr[$keys]["lazySubItems"]) == 0?$itemSortArr[$keys]["lazySubItems"][0]=$value:array_push($itemSortArr[$keys]["lazySubItems"],$value);
			}
		}
		
		foreach($itemSortArr as $k=>$v)
		{
			if(array_key_exists('lazySubItems',$v))
			{
				$itemSortArr[$k]["COUNT"] = count($itemSortArr[$k]["lazySubItems"]);
			}
			else
			{
				unset($itemSortArr[$k]);
			}
		}
	}
	echo json_encode($itemSortArr);
} else if ($type == "tablelist") {
	$itemsPerPage = $_REQUEST["itemsPerPage"];
	$startRow     = $_REQUEST["currentPage"]*$itemsPerPage;

	$query = "SELECT oa.*,oj.*,u.USER_NAME AS UNAME,os.SORT AS OSORT FROM officeitem_appellation oa,officeitem_joinstoreroom oj,user u,officeitem_sort os 
			      WHERE 1 
				  AND oa.APPELLATION_ID=oj.APPELLATION_ID 
				  AND oj.OPERATOR=u.USER_ID 
				  AND oa.SORT_ID=os.SORT_ID";

	$query .= SecurityFilter($_REQUEST["APPELLATION_ID"]) != "" ?" AND oa.APPELLATION_ID='".SecurityFilter($_REQUEST["APPELLATION_ID"])."'":"";

	$query .= SecurityFilter($_REQUEST["searchQuery"]) != "" ?" ".stripslashes($_REQUEST["searchQuery"]):"";
	$query .= SecurityFilter($_REQUEST["fieldValue"]) != "" || SecurityFilter($_REQUEST["lazySearch"]) != ""?" AND oa.APPELLATION LIKE '%".SecurityFilter($_REQUEST["fieldValue"])."%'":"";
	$rs = exequery($connection,$query);
	$totalCount = mysql_num_rows($rs);
	if($startRow>=$totalCount)
	{
		$startRow = max(0,$startRow-$itemsPerPage);
	}
	if($itemsPerPage != "") {
		$query .= " LIMIT ".$startRow.",".$itemsPerPage;
	}
	$res   = exequery($connection,$query);
	$tableInfo = array();
	while($row = mysql_fetch_array($res)) {
		array_push($tableInfo,$row);
	}

	foreach($tableInfo as $key=>$value) {
		$tableInfo[$key]["JOIN_APPELLATION"]      = $value["APPELLATION"];
		$tableInfo[$key]["JOIN_DATE"]             = date("Y-m-d",strtotime($tableInfo[$key]["JOIN_DATE"]));
		$tableInfo[$key]["JOIN_APPELLATION_SORT"] = $tableInfo[$key]["OSORT"];
		$tableInfo[$key]["CAUTION_AMOUNT_TOP"]    = $value["CAUTION_AMOUNT_TOP"] != 0 ?$value["CAUTION_AMOUNT_TOP"]:"";
		$tableInfo[$key]["CAUTION_AMOUNT"]        = $value["CAUTION_AMOUNT"] != 0?$value["CAUTION_AMOUNT"]:"";
		$tableInfo[$key]["OPERATOR"]              = $tableInfo[$key]["UNAME"];
		$tableInfo[$key]["CAUTION"]               = $value["CAUTION"] == 1?"已启用":"未启用";
	}

	echo json_encode(array("totalCount"=>$totalCount,"list"=>$tableInfo));
}
else if ($type == "getItemNum")
{
	$date	= date("Ymd");
	$sql	= "SELECT MAX(STOREROOM_ID) FROM officeitem_joinstoreroom";
	$cursor	= exequery($connection, $sql);
	if($row = mysql_fetch_row($cursor)) {
		$storeroomId	= $row[0] + 1;
	}
	$query = "SELECT * FROM officeitem_sort WHERE 1 AND SORT_ID='".SecurityFilter($_REQUEST["SORT_ID"])."'";
	$res   = exequery($connection,$query);
	if($row = mysql_fetch_array($res))
	{
		$sortNum = $row["SORT_NUMBER"] != ""?$row["SORT_NUMBER"]:"";
	}
	$itemNum = $sortNum.$date.$storeroomId;
	$sqls = "SELECT * FROM officeitem_take WHERE 1 AND TAKE_BILL='".SecurityFilter($itemNum)."'";
	$rss  = exequery($connection,$sqls);
	$rows = mysql_fetch_array($rss);
	
	$querys = "SELECT MAX(TAKE_BILL) AS MBILL FROM officeitem_take";
	$ress   = exequery($connection,$querys);
	if($ROW = mysql_fetch_array($ress))
	{
		$MBILL = $ROW["MBILL"];
	}
	$itemNum = !$rows?$itemNum:($MBILL+1);
	echo $itemNum;
}
else if ($type == "getItemNums")
{
	$date	= date("Ymd");
	$sql	= "SELECT MAX(STOREROOM_ID) FROM officeitem_joinstoreroom";
	$cursor	= exequery($connection, $sql);
	if($row = mysql_fetch_row($cursor)) {
		$storeroomId = $row[0] + 1;
	}
	$query = "SELECT * FROM officeitem_sort WHERE 1 AND SORT_ID='".SecurityFilter($_REQUEST["SORT_ID"])."'";
	$res   = exequery($connection,$query);
	if($row = mysql_fetch_array($res))
	{
		$sortNum = $row["SORT_NUMBER"] != ""?$row["SORT_NUMBER"]:"";
	}
	$sqls = "SELECT * FROM officeitem_appellation WHERE 1 AND APPELLATION_ID='".SecurityFilter($_REQUEST["APPELLATION_ID"])."'";
	$rss  = exequery($connection,$sqls);
	if($rows = mysql_fetch_array($rss))
	{
		$appellationNum = $rows["APPELLATION_NUMBER"];
	}

	$itemNum = $sortNum.$appellationNum.$date.($storeroomId);
	echo $itemNum;
}
else if ($type == "delItem")
{
	$sql = "SELECT oj.JOIN_AMOUNT,oj.APPELLATION_ID AS OAID,oa.* FROM officeitem_joinstoreroom oj,officeitem_appellation oa WHERE 1 AND oj.APPELLATION_ID=oa.APPELLATION_ID AND STOREROOM_ID='".SecurityFilter($_REQUEST["STOREROOM_ID"])."'";
	$res = exequery($connection,$sql);
	if($row = mysql_fetch_array($res))
	{
		$joinAmount	   = $row["JOIN_AMOUNT"];	
		$appellationId = $row["OAID"];
		$stockpile     = $row["STOCKPILE"];
		$stockpileNew  = $stockpile-$joinAmount;
		$sqls = "UPDATE officeitem_appellation SET STOCKPILE='".SecurityFilter($stockpileNew)."' WHERE 1 AND APPELLATION_ID='".SecurityFilter($appellationId)."'";
		exequery($connection,$sqls);
	}
	$query = "DELETE FROM officeitem_joinstoreroom WHERE 1 AND STOREROOM_ID='".SecurityFilter($_REQUEST["STOREROOM_ID"])."'";
	exequery($connection,$query);
	echo "success";
}
else if ($type == "detailItem")
{
	$sql = "SELECT oa.SPEC,oj.*,os.*,u.USER_NAME FROM officeitem_joinstoreroom oj,officeitem_appellation oa,officeitem_sort os,user u WHERE 1 AND oj.APPELLATION_ID=oa.APPELLATION_ID AND oa.SORT_ID=os.SORT_ID AND oj.OPERATOR=u.USER_ID AND STOREROOM_ID='".SecurityFilter($_REQUEST["STOREROOM_ID"])."'";
	$res = exequery($connection,$sql);
	if($row = mysql_fetch_array($res))
	{
		$returnInfo = $row;
	}
	$returnInfo["CUSTOM_FIELD"] =  $OtherFieldObj->CreatePage('officeitem_joinstoreroom',SecurityFilter($_REQUEST["STOREROOM_ID"]),'STOREROOM_ID','','view');
	echo json_encode($returnInfo);
}
else if ($type == "searchItem")
{
	$query = "SELECT * FROM officeitem_appellation WHERE 1";
	$query .= SecurityFilter($_REQUEST["lazySearch"]) != ""?" AND APPELLATION LIKE '%".SecurityFilter($_REQUEST["lazySearch"])."%'":"";
	$res   = exequery($connection,$query);
	$appellationInfo = array();
	while($row = mysql_fetch_array($res))
	{
		array_push($appellationInfo,$row);
	}
	echo json_encode($appellationInfo);
}
else if ($type == "getSearch")
{
	$sql = "";
	if($_REQUEST["APPELLATION"] != "")
	{
		$sql .= " AND oj.JOIN_APPELLATION LIKE '%".SecurityFilter($_REQUEST["APPELLATION"])."%'";
	}

	if($_REQUEST["JOIN_DATE"]!=''){
		if(strpos($_REQUEST["JOIN_DATE"],'--')){
			$array=explode('--', $_REQUEST["JOIN_DATE"]);
			$sql .= " AND oj.JOIN_DATE >= '".SecurityFilter(trim($array[0]))." 00:00:00'";
			$sql .= " AND oj.JOIN_DATE <= '".SecurityFilter(trim($array[1]))." 23:59:59'";
		}else{
			$sql .= " AND oj.JOIN_DATE >= '".SecurityFilter(trim($_REQUEST["JOIN_DATE"]))." 00:00:00'";
			$sql .= " AND oj.JOIN_DATE <= '".SecurityFilter(trim($_REQUEST["JOIN_DATE"]))." 23:59:59'";
		}
	}

	if($_REQUEST["BILL"] != "")
	{
		$sql .= " AND oj.BILL LIKE '%".SecurityFilter($_REQUEST["BILL"])."%'";
	}
	if($_REQUEST["PRICE"] != "")
	{
		$sql .= " AND oj.PRICE <= '".SecurityFilter($_REQUEST["PRICE"])."'";
	}
	$OtherField = $OtherFieldObj->getSetFieldSql('officeitem_joinstoreroom','oj.');
	$OtherField_str = SecurityFilter($_REQUEST["OtherField_str"]);
	$OtherField_str = stripslashes($OtherField_str);
	$sql .=  $OtherField!=""?$OtherField:$OtherField_str;
	echo $sql;
}
?>