<?
/**
 * @copyright (C) 2010 - 2011 Weaver Co.Ltd
 * @package       eoffice8.0
 * @function      流程列表主页面处理页
 * @encoding      $_lang['encoding']
 * @name          general/workflow/do.php
 * @version       1
 * @author        www.weaver.com.cn
 * @modify        dingp
 * @date          2013-11-25
 */
include_once ("inc/auth.php");
include_once ("api/workflow.list.class.php");
include_once ("inc/function_flow.php");
include_once ("inc/function_usergeneral.php");
include_once ("inc/utility_all.php");
include_once ("inc/coop_func/fun_coop.php");
includelangpak("flow");
$op = $_REQUEST["op"];
//file_put_contents("D://11111.txt", json_encode($_REQUEST));
//高级查询参数
$advancedSearchParam = "";
//流程分类匹配
if($_REQUEST["flowType"])
{
	$advancedSearchParam .= " AND fs.TITLE like '%".$_REQUEST["flowType"]."%'";
}
//流程分类等于
$advancedSearchParam .= $_REQUEST["FLOW_SORT"]?" AND ft.FLOW_SORT = '" . $_REQUEST["FLOW_SORT"] . "' ":"";

//流程名称
if($_REQUEST["flowName"])
{
	$advancedSearchParam .= " AND ft.FLOW_NAME like '%".$_REQUEST["flowName"]."%'";
}
//流程ID条件
if($_REQUEST["FLOW_ID"]) {
	$advancedSearchParam .= " AND ft.FLOW_ID = '" .$_REQUEST["FLOW_ID"]. "' ";
}
//流程状态
if ($_REQUEST["FLOW_STATUS"] == "0") {
	$advancedSearchParam .= " AND fr.CURRENT_STEP <> 0 ";
} else if ($_REQUEST["FLOW_STATUS"] == "1") {
	$advancedSearchParam .= " AND fr.CURRENT_STEP = 0  ";
}
//标题
if($_REQUEST["RUN_NAME"])
{
	$advancedSearchParam .= " AND fr.RUN_NAME like '%".$_REQUEST["RUN_NAME"]."%'";
}
//流水号
if($_REQUEST["FLOW_DESCP"])
{
	$advancedSearchParam .= " AND fr.RUN_SEQ like '%".$_REQUEST["FLOW_DESCP"]."%'";
}
//紧急程度
if($_REQUEST["INSTANCY_TYPE"] != "" && $_REQUEST["INSTANCY_TYPE"] != "ALL")
{
	$advancedSearchParam .= " AND fr.INSTANCY_TYPE = '".$_REQUEST["INSTANCY_TYPE"]."' ";
}
//流程标识
if($_REQUEST["flowFlag"])
{
	$flowFlag = $_REQUEST["flowFlag"];
	if($flowFlag == "unRead")
	{
		$advancedSearchParam .= " AND frp.PRCS_TIME IS NULL ";
	}
	else if($flowFlag == "read")
	{
		$advancedSearchParam .= " AND frp.PRCS_TIME IS NOT NULL ";
	}
}
//创建人
if($_REQUEST["flow_creator_id"])
{
	$flow_creator_id = $_REQUEST["flow_creator_id"];
	$flow_creator_id = trim($flow_creator_id,",");
	$flow_creator_id = "'".str_replace(",","','",$flow_creator_id)."'";
	$advancedSearchParam .= " AND fr.CREATOR in( ".$flow_creator_id.") ";
}
//创建人部门
if($_REQUEST["createDept"])
{
	$createDept = $_REQUEST["createDept"];
	$createDept = trim($createDept,",");
	$createDept = "'".str_replace(",","','",$createDept)."'";
	$advancedSearchParam .= " AND us.DEPT_ID in( ".$createDept.") ";
}
//到达日期
if($_REQUEST["arriveDate"])
{
	//暂时去掉了
	$advancedSearchParam .= "";
}
//接收日期
if($_REQUEST["acceptDate"])
{
	$acceptDate = $_REQUEST["acceptDate"];
	if(strlen($acceptDate) > 10)
	{
		//范围型条件
		$acceptDateArr = explode("~", $acceptDate);
		$advancedSearchParam .= " AND (frp.PRCS_FLAG = '2' AND unix_timestamp( frp.PRCS_TIME ) between unix_timestamp( '".trim($acceptDateArr[0])." 00:00:00') and unix_timestamp('".trim($acceptDateArr[1])." 23:59:59') ) ";
	}
	else
	{
		$advancedSearchParam .= " AND (frp.PRCS_FLAG = '2' AND unix_timestamp( frp.PRCS_TIME ) between unix_timestamp( '".$acceptDate."') and unix_timestamp(DATE_ADD('".$acceptDate."',INTERVAL 1 DAY))-1 ) ";
	}
}
//创建日期
if($_REQUEST["createDate"])
{
	//$advancedSearchParam .= " AND fr.CREATE_TIME like '%".$_REQUEST["createDate"]."%' ";
	$createDate = $_REQUEST["createDate"];
	if(strlen($createDate) > 10)
	{
		//范围型条件
		$createDateArr = explode("~", $createDate);
		$advancedSearchParam .= " AND ( unix_timestamp( fr.CREATE_TIME ) between unix_timestamp( '".trim($createDateArr[0])." 00:00:00') and unix_timestamp('".trim($createDateArr[1])." 23:59:59') ) ";
	}
	else
	{
		$advancedSearchParam .= " AND ( unix_timestamp( fr.CREATE_TIME ) between unix_timestamp( '".$createDate."') and unix_timestamp(DATE_ADD('".$createDate."',INTERVAL 1 DAY))-1 ) ";
	}
}
//催办时间
if($_REQUEST["limitDate"])
{
	//未做
	$advancedSearchParam .= "";
}
//公共附件名称
if($_REQUEST["ATTACHMENT_NAME"])
{
	$advancedSearchParam .= " AND fr.ATTACHMENT_NAME like '%".$_REQUEST["ATTACHMENT_NAME"]."%'";
}
//流程开始时间起始条件
if ($_REQUEST["PRCS_DATE1"] != '') {
	$advancedSearchParam .= " AND fr.CREATE_TIME >= '" . $_REQUEST["PRCS_DATE1"] . "' ";
}
//流程开始时间结束条件
if ($_REQUEST["PRCS_DATE2"] != '') {
	$time_stamp = strtotime ( $_REQUEST["PRCS_DATE2"] );
	$start_time_end = date ( "Y-m-d", mktime ( 0, 0, 0, date ( "m", $time_stamp ), date ( "d", $time_stamp ) + 1, date ( "Y", $time_stamp ) ) );
	$advancedSearchParam .= " AND fr.CREATE_TIME < '" . $start_time_end . "' ";
}
//流程结束时间起始条件
if ($_REQUEST["RUN_END_DATE1"] != '') {
	$advancedSearchParam .= " AND fr.CURRENT_STEP = 0 AND fr.TRANSACT_TIME >= '" . $_REQUEST["RUN_END_DATE1"] . "' ";
}
//流程结束时间结束条件
if ($_REQUEST["RUN_END_DATE2"] != '') {
	$time_stamp_end = strtotime ( $_REQUEST["RUN_END_DATE2"] );
	$start_time_end = date ( "Y-m-d", mktime ( 0, 0, 0, date ( "m", $time_stamp_end ), date ( "d", $time_stamp_end ) + 1, date ( "Y", $time_stamp_end ) ) );
	$advancedSearchParam .= " AND fr.CURRENT_STEP = 0 AND fr.TRANSACT_TIME < '" . $start_time_end . "' ";
}
//把表单值的条件做成sql中的条件
$form_field_search = "";
$WHERE_STR = "";
//如果有表单字段，则进行字段过滤,原来是通过创建临时表，再一条一条过滤，现在改成根据表单号确定那个表，再根据字段名和字段值来作为查询条件
for($I = 1; $I <= $ITEM_ID_MAX; $I ++) {
	$STR = "DATA_" . $I;
	$FIELDVALUE = $$STR;
	if($FIELDVALUE)
		$condition_form .= "&$STR=" . $$STR;
	
	if ($FIELDVALUE && $FIELDVALUE != "SELECT_ALL_VALUE") {
		$form_field_search = "form_field";
		$STR = "RELATION_" . $I;
		$RELATION = $$STR;
		$relation_str .= "&$STR=" . $$STR;
		if ($FIELDVALUE == "CHECKBOX_ON")
			$FIELDVALUE = "on";
		else if ($FIELDVALUE == "CHECKBOX_OFF")
			$FIELDVALUE = "";
		$isn = is_numeric ( $FIELDVALUE );
		$relation_array = array (7, 8, 9 );
		$t_itemid = $I;
		$t_itemdata = '';
		//生成查询条件
		switch ($RELATION) {
			case 1 :
				$WHERE_STR .= "DATA_$I = '".$FIELDVALUE."'" ;
				break;
			case 2 :
				$WHERE_STR .= "DATA_$I > ".floatval($FIELDVALUE);
				break;
			case 3 :
				$WHERE_STR .= "DATA_$I < ".floatval($FIELDVALUE) ;
				break;
			case 4 :
				$WHERE_STR .= "DATA_$I >= ".floatval($FIELDVALUE) ;
				break;
			case 5 :
				$WHERE_STR .= "DATA_$I <= ".floatval($FIELDVALUE);
				break;
			case 6 :
				$WHERE_STR .= "DATA_$I != '".$FIELDVALUE."'";
				break;
			case 7 :
				$WHERE_STR .= "DATA_$I like '".$FIELDVALUE."%'";
				break;
			case 8 :
				$WHERE_STR .= "DATA_$I like '%".$FIELDVALUE."%'";
				break;
			case 9 :
				$WHERE_STR .= "DATA_$I like '%".$FIELDVALUE."'";
				break;
		}
		$WHERE_STR .= " AND "; 
	}
}
if($WHERE_STR)
{
	$WHERE_STR = "AND ( " . rtrim ( $WHERE_STR, "AND " ) . ")";
	$advancedSearchParam .= $WHERE_STR;
}
$customParam .= $advancedSearchParam;
//if (strstr($_SERVER["HTTP_USER_AGENT"], "MSIE")) {
//	$customParam = iconv("GB2312","UTF-8",$customParam);
//}
switch ($op) {
	case 'table' :
		//echo json_encode(array("count"=>"","list"=>array()));exit();
		//选中左侧列表里的未读之后，table里要带上未读参数
		if($listClickType == "unRead")
			$customParam .= " AND frp.PRCS_TIME IS NULL ";
		$flow_id  = "2005";
		$listType = $_REQUEST["listType"];
		$readType = $_REQUEST["readType"];
		$fieldSearchVal = $_REQUEST["fieldSearchVal"];
		//$customParam .= "";
		switch ($readType){
			//分类筛选&字段查询参数
			//全部
			case 'all' :
				$customParam .= "";
			break;
			//未读类别
			case 'unRead' :
				$customParam .= " AND frp.PRCS_TIME IS NULL ";
			break;
			//催办
			case 'limit' :
				$customParam .= " AND( LIMIT_DATE IS NOT NULL AND LIMIT_DATE != '0000-00-00 00:00:00')";
			break;
			//我主办
			case 'meHost' :
				$customParam .= " AND frp.OP_FLAG = 1 AND frp.USER_ID ='".$LOGIN_USER_ID."'";
			break;
			//我经办
			case 'meHandle' :
				$customParam .= " AND frp.OP_FLAG != 1 AND frp.USER_ID ='".$LOGIN_USER_ID."'";
			break;
			//我创建的
			case 'meCreat' :
				$customParam .= " AND fr.CREATOR ='".$LOGIN_USER_ID."'";
			break;
			//关注-未做功能
			case 'follow' :
				$customParam .= " ";
			break;
			//执行中
			case 'running' :
				$customParam .= " AND fr.CURRENT_STEP != 0 ";
			break;
			//已结束
			case 'finished' :
				$customParam .= " AND fr.CURRENT_STEP = 0 ";
			break;
			//流水号包含
			case 'flowSeq' :
				$customParam .= " AND fr.RUN_SEQ LIKE '%".$fieldSearchVal."%' ";
			break;
			//流程标题包含
			case 'flowTitle' :
				$customParam .= " AND fr.RUN_NAME LIKE '%".$fieldSearchVal."%' ";
			break;
			//快速筛选参数
			case "today": 
				$customParam .= " AND DATE_FORMAT(fr.CREATE_TIME,'%Y-%m-%d')=CURDATE()";
			break;
			case "nearlyThreeDays": 
				$customParam .= " AND date(fr.CREATE_TIME) between DATE_SUB(CURDATE(), INTERVAL 2 DAY) AND  CURDATE()";
			break;
			case "nearlyOneWeek": 
				$customParam .= " AND date(fr.CREATE_TIME) between DATE_SUB(CURDATE(), INTERVAL 6 DAY) AND  CURDATE()";
			break;
			case "nearlyOneMonth": 
				$customParam .= " AND date(fr.CREATE_TIME) between DATE_SUB(CURDATE(), INTERVAL 29 DAY) AND  CURDATE()";
			break;
			case "normal": 
				$customParam .= " AND fr.INSTANCY_TYPE = 0";
			break;
			case "important": 
				$customParam .= " AND fr.INSTANCY_TYPE = 1";
			break;
			case "urgency":
				$customParam .= " AND fr.INSTANCY_TYPE = 2";
			break;
			case "urgencyNearlyOneHour": 
				$customParam .= " AND LIMIT_DATE between NOW() AND DATE_ADD(NOW(), INTERVAL 60 MINUTE) ";
			break;
			case "urgencyNearlyThreeHour": 
				$customParam .= " AND LIMIT_DATE between NOW() AND DATE_ADD(NOW(), INTERVAL 3 HOUR) ";
			break;
			case "urgencyToday": 
				$customParam .= " AND date(LIMIT_DATE) = CURDATE()";
			break;
			case "urgencyNearlyThreeDay": 
				$customParam .= " AND UNIX_TIMESTAMP(LIMIT_DATE) between UNIX_TIMESTAMP(CURDATE()) AND UNIX_TIMESTAMP(DATE_ADD(CURDATE(), INTERVAL 4 DAY))-1";
			break;
			case "urgencyNearlyOneWeek": 
				$customParam .= " AND UNIX_TIMESTAMP(LIMIT_DATE) between UNIX_TIMESTAMP(CURDATE()) AND UNIX_TIMESTAMP(DATE_ADD(CURDATE(), INTERVAL 8 DAY))-1";
			break;
			case "urgencyNearlyOneMonth": 
				$customParam .= " AND UNIX_TIMESTAMP(LIMIT_DATE) between UNIX_TIMESTAMP(CURDATE()) AND UNIX_TIMESTAMP(DATE_ADD(CURDATE(), INTERVAL 31 DAY))-1";
			break;
			case "nearlyThreeMonth":
				$customParam .= " AND date(fr.CREATE_TIME) between DATE_SUB(CURDATE(), INTERVAL 89 DAY) AND  CURDATE()";
			break;
			case "doing": 
				$customParam .= " AND CURRENT_STEP != 0";
			break;
			case "haveFinish":
				$customParam .= " AND CURRENT_STEP = 0";
			break;
			case "noRead": 
				$customParam .= " AND ( PRCS_FLAG = 1 OR frp.PRCS_TIME IS NULL ) ";
			break;
			case "haveRead": 
				$customParam .= " AND (
											 (OP_FLAG != 1 AND PRCS_FLAG != 1 AND SAVEFORM_TIME IS NULL AND frp.PRCS_TIME IS NOT NULL)
											 OR 
											 (OP_FLAG = 1 AND PRCS_FLAG = 2) 
											)";
			break;
			case "haveManage": 
				$customParam .= " AND (OP_FLAG != 1 AND SAVEFORM_TIME IS NOT NULL AND frp.PRCS_TIME IS NOT NULL)";
			break;
			case "haveSubmit":
				$customParam .= " AND ((PRCS_FLAG = 3 OR PRCS_FLAG = 4) AND OP_FLAG = 1) ";
			break;
			default :
				$customParam .= "";
			break;
		}

		//分页参数_偏移量
		$offset   = $_REQUEST["currentPage"];
		//分页参数_最大数目
		$rows     = $_REQUEST["itemsPerPage"];
		//排序参数
		$sortField = $_REQUEST["sortField"];
		$sortType  = $_REQUEST["sortType"];
		//快速筛选(更多筛选)参数--合并到$customParam里
		$quickSortParam = "";
		//拼音检索参数
		$pinYinSearchParam = "";
		$type   = array("TYPE"=>$listType,"CONSTAINLIST"=>"1");
		$search = array("USER_ID"=>$LOGIN_USER_ID,"FLOW_ID"=>$flow_id,"QUICKSORTPARAM"=>$quickSortParam,"CUSTOMPARAM"=>$customParam,"FORM_FIELD"=>$form_field_search);
		$page   = array("PAGINATIONOFFSET"=>$offset,"PAGINATIONROWS"=>$rows,"SORTFIELD"=>$sortField,"SORTTYPE"=>$sortType);
		$other  = array("");
		$list = new listItem($type, $search, $page, $other);
		$workflowList = $list -> getList();
//echo "<pre>";
//print_r($workflowList["list"]);

		if($workflowList["list"])
		{
			//格式化一下
			foreach($workflowList["list"] as $key => $val){
				$val["RUN_SEQ"]       = html_entity_decode($val["RUN_SEQ"],ENT_QUOTES,"UTF-8");
				$val["INSTANCY_TYPE"] = getInstancyName($val["INSTANCY_TYPE"]);
				$CREATOR              = $val["CREATOR"];
				$val["LIMIT_IMAGE"]   = get_limit_img($val["LIMIT_DATE"],$val["FLOW_ID"],$val["RUN_ID"],$val["PRCS_ID"],"GET_DATEINTERVAL");
				if($val["BY_AGENT_ID"])
					$val["BY_AGENT_NAME"] = getUserNameNew($val["BY_AGENT_ID"]);
				//这里直接返回用户名字符串。
				//$val["NOT_DEAL"]      = rtrim(getUsernameStr($val['NOT_DEAL']),",");
				$val["haveDelStr"]   = 0;
				$val["haveStopStr"]  = 0;
				$val["haveBackStr"]  = 0;
				$val["haveLimitStr"] = 0;
				if($listType == "to_do_list")
				{
					$val["LIMIT_IMAGE"]   = get_limit_img($val["LIMIT_DATE"],$val["FLOW_ID"],$val["RUN_ID"],$val["PRCS_ID"],"GET_DATEINTERVAL");
					if($val["FLOW_TYPE"] == "1")
					{
						$PRCS_NAME = $_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"]."：". $val["SELF_PRCS_NAME"];
					}
					else
					{
						$PRCS_NAME=$_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"];
					}
					if(($val["FLOW_PRCS"] == 1&&$val["CREATOR_ID"]== $LOGIN_USER_ID&&$val["PRCS_ID"]==1) || $LOGIN_USER_ID=="admin")
					{
						$val["haveDelStr"] = 1;
					}
					if($val["FLOW_TYPE"]=="2"&&$val["OP_FLAG"] == 1)
					{
						$val["haveStopStr"] = 1;
					}
				}
				else if($listType == "finished_list")
				{
					$val["LIMIT_IMAGE"]   = get_limit_img($val["LIMIT_DATE"],$val["FLOW_ID"],$val["RUN_ID"],$val["PRCS_ID"],"GET_DATEINTERVAL");
					if($val["FLOW_TYPE"] == "1")
					{
						$PRCS_NAME = $_lang["flow_no."].$val["M_PRCS_ID"].$_lang["flow_steps"]."：".$val["PRCS_NAME"];
					}
					else
					{
						$PRCS_NAME=$_lang["flow_no."].$val["M_PRCS_ID"].$_lang["flow_steps"];
					}
					if ($val["PRCS_FLAG"]=="3" && $val["OP_FLAG"] == 1)
					{
						$val["haveBackStr"] = 1;
					}
					if(($val["CURRENT_STEP"] ==1&&$val["CREATOR"] == $LOGIN_USER_ID) || $LOGIN_USER_ID=="admin")
					{
						$val["haveDelStr"] = 1;
					}
					if($val["FLOW_TYPE"]=="2")
					{
						$val["haveStopStr"] = 1;
					}
					//根据self_prcs_id_op_flag计算能否催办
					$self_prcs_id_op_flag_arr = explode(",",$val["self_prcs_id_op_flag"]);
					$max_self_prcs_id = 0;
					foreach($self_prcs_id_op_flag_arr as $key1=>$value)
					{
						$self_prcs_id_arr = explode("-",$value);
						$self_prcs_id = $self_prcs_id_arr[0];
						$self_op_flag = $self_prcs_id_arr[1];
						if($self_op_flag == 1)
						{
							if($max_self_prcs_id < $self_prcs_id)
								$max_self_prcs_id = $self_prcs_id;
						}
					}
					if($max_self_prcs_id && $val["M_PRCS_ID"]-$max_self_prcs_id == 1)
					{
						$val["haveLimitStr"] = 1;
					}
				}
				else if($listType == "passed_list")
				{
					$PRCS_NAME = $_lang["flow_flow_have_finished"];
					if($LOGIN_USER_ID=="admin")
					{
						$val["haveDelStr"] = 1;
					}
				}
				else if($listType == "my_request")
				{
					if($val["FLOW_TYPE"] == "1")
					{
						$PRCS_NAME = $_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"]."：".$val["PRCS_NAME"];
					}
					else
					{
						$PRCS_NAME=$_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"];
					}
					if($val["CURRENT_STEP"] == 0)
					{
						$PRCS_NAME = $_lang["flow_flow_have_finished"];
					}
					if($val["canDeal"])
					{
						$val["haveDealStr"] = 1;
					}
				}
				else if($listType == "flow_query")
				{
					if($val["FLOW_TYPE"] == "1")
					{
						$PRCS_NAME = $_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"]."：".$val["PRCS_NAME"];
					}
					else
					{
						$PRCS_NAME=$_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"];
					}
//					if($val["CURRENT_STEP"] == 0)
//					{
//						$PRCS_NAME = $_lang["flow_flow_have_finished"];
//					}
					if($val["canDeal"])
					{
						$val["haveDealStr"] = 1;
						if($val["FLOW_TYPE"] == "1")
						{
							$PRCS_NAME = $_lang["flow_no."].$val["MAX_PRCS_ID"].$_lang["flow_steps"]."：".$val["DEAL_PRCS_NAME"];
						}
					}
					if($val["canRoll"])
					{
						$val["haveBackStr"] = 1;
					}
					if($LOGIN_USER_ID == "admin"||find_id($val["MANAGE_USER"],$LOGIN_USER_ID))
					{
						$val["haveDelStr"] = 1;
					}
				}
				else if($listType == "flow_manage")
				{
					if($val["FLOW_TYPE"] == "1")
					{
						$PRCS_NAME = $_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"]."：".$val["PRCS_NAME"];
					}
					else
					{
						$PRCS_NAME=$_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"];
					}
					if($val["END_WORKFLOW"])
					{
						$val["haveEndStr"] = 1;
					}
					if($val["FLOW_TYPE"] == "2")
					{
						$val["haveStopStr"] = 1;
					}
					$val["haveLimitStr"] = 1;
					//处理未办理人员
					$HAVE_DEAL = $val["HAVE_DEAL"];
					$ALL_DEAL  = $val["ALL_DEAL"].",";
					$HAVE_DEAL_ARR = explode(",",$HAVE_DEAL);
					foreach($HAVE_DEAL_ARR as $key2=>$val2)
					{
						if($val2)
							$ALL_DEAL = str_replace($val2.",","",$ALL_DEAL);
					}
					$val["NOT_DEAL"] = trim($ALL_DEAL,",");
				}
				else if($listType == "overtime")
				{
					if($val["FLOW_TYPE"] == "1")
					{
						$PRCS_NAME = $_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"]."：".$val["PRCS_NAME"];
					}
					else
					{
						$PRCS_NAME=$_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"];
					}
					//步骤状态
					$OP_FLAG       = $val["OP_FLAG"];
					$DELIVER_TIME  = $val["DELIVER_TIME"];
					$PRCS_TIME     = $val["PRCS_TIME"];
					$SAVEFORM_TIME = $val["SAVEFORM_TIME"];
					$LIMIT_DATE    = $val["LIMIT_DATE"];
					$PRCS_FLAG     = $val["PRCS_FLAG"];
					//主办人OR经办人
					$op_flag_str   = "";
					$prcs_type_str = "";
					if($OP_FLAG == 1)
					{
						$op_flag_str = $_lang["flow_maindealperson"];
						switch ($PRCS_FLAG) {
							case '1':
								$prcs_type_str = $_lang["flow_neverview"];
								break;
							case '2':
								$prcs_type_str = $_lang["flow_haveviewed"];
								break;
							case '3':
							case '4':
								$prcs_type_str = $_lang["flow_havesubmit"];
								break;
							default:
								break;
						}
					}
					else
					{
						$op_flag_str = $_lang["flow_passdealperson"];
						switch ($PRCS_FLAG) {
							case '1':
								$prcs_type_str = $_lang["flow_neverview"];
								break;
							case '2':
							case '3':
							case '4':
								if($PRCS_TIME==""){
									$prcs_type_str = $_lang["flow_neverview"];
								}else{
									if($SAVEFORM_TIME==""){
										$prcs_type_str = $_lang["flow_haveviewed"];
									}else{
										$prcs_type_str = $_lang["flow_havedealed"];
									}
								}
								break;
							default:
								break;
						}
					}
					//超时时间的计算
					$timeUsed = 0; 
					if($OP_FLAG == 1){
						if($DELIVER_TIME&&$PRCS_TIME)
						{
							$timeUsed = strtotime($DELIVER_TIME)-strtotime($LIMIT_DATE);
						}
						else if(!$DELIVER_TIME&&$PRCS_TIME)
						{
							$timeUsed = time()-strtotime($LIMIT_DATE);
						}
						else
						{
							$timeUsed = time()-strtotime($LIMIT_DATE);
						}
					}
					else
					{
						if($SAVEFORM_TIME&&$PRCS_TIME)
						{
							$timeUsed = strtotime($SAVEFORM_TIME)-strtotime($LIMIT_DATE);
						}
						else if(!$SAVEFORM_TIME&&$PRCS_TIME)
						{
							$timeUsed = time()-strtotime($LIMIT_DATE);
						}
						else
						{
							$timeUsed = time()-strtotime($LIMIT_DATE);
						}
					}
					$DAY  = floor($timeUsed/86400);
					$HOUR = floor(($timeUsed%86400)/3600);
					$MIN  = floor(($timeUsed%3600)/60);
					$SEC  = floor($timeUsed%60);
					$TIME_STR = "";
					if($timeUsed)
					{
						if($DAY>0)
							$TIME_STR.=$DAY.$_lang["common_day"];
						if($HOUR>0)
							$TIME_STR.=$HOUR.$_lang["common_hour"];
						if($MIN>0)
							$TIME_STR.=$MIN.$_lang["common_miniter"];
						if($SEC>0)
							$TIME_STR.=$SEC.$_lang["common_second"];
					}
					$val["MANAGE_USER"] = $op_flag_str."：".getUserNameNew($val['USER_ID']);
					$val["STEP_TYPE"]   = $prcs_type_str;
					$val["TIME_USED"]   = $TIME_STR;
				}
				$val["PRCS_NAME"]     = $PRCS_NAME;
				$listNewArr[$key]     = $val;
			}
		}
		else
		{
			$listNewArr = array();
		}


		$workflowList["list"] = $listNewArr;
		echo json_encode($workflowList);
		break;	
	default :
		break;
}
?>