<?
/**
* @copyright (C) 2011 - 2012 Weaver Co.Ltd
* @package:      eoffice8.3
* @encoding:     utf8
* @function:     日志首页
* @name:         general/diary/index.php
* @version:      21.0
* @date:         2013-01-23
* @author:       liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/meet_vehicle.php");
include_once("api/diary.class.php");
include_once("api/attention.class.php");
include_once("api/user.class.php");
include_once("general/diary/new/diarydate.php");
include_once("api/performance.class.php");
includelangpak("calendar");

$performance = new performance($_SESSION["LOGIN_USER_ID"]);

//获取人员ID
$searchUserId = trim($_REQUEST["searchUserId"]);
//获取当前人员有考核权限的人员
$rowArr = $performance->getPerformer('beExamined', $_SESSION["LOGIN_USER_ID"]);	
if(!in_array($searchUserId, $rowArr)) {
	exit;
}

$PAGE_TITLE = $_lang["calendar_log_title"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/calendar9/css/public.css">
<link rel="stylesheet" href="new/ShowDiary.css" type="text/css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<style type="text/css">
#deptTree{
	width: 299px;
	overflow-y: auto;
	overflow-x: hidden;
}
.fa-2x{
	font-size: 1.5em;
	}
</style>

<body style="overflow:hidden;">
<input type="hidden" id="myAttStr" name="myAttStr" value="<?=$myAttStr?>">
<input type="hidden" id="underUserStr" name="underUserStr" value="<?=$underUserStr?>">
<input type="hidden" id="myAttToStr" name="myAttToStr" value="<?=$myAttToStr?>">

<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <div class="filter_wrap" style="height:0px;"></div>
    
        <div class="search_wrap" style="height:29px; margin-right:10px;"></div>

    </div>
    <div id="right_table" style="width:100%;overflow-x: hidden;">
        <div id="lisSpan" style="width:100%; margin-bottom: 10px;padding: 10px;padding-top: 0px;">

        </div>
        <div id="showMoreSpan" style="width:100%;margin-bottom:30px;">
        	<button type="button" class="btn btn-primary btn-lg btn-block" style="letter-spacing:5px;word-spacing:10px;" onclick="showMoreData()"><?=$_lang["calendar_load_more_data"]?></button>
        </div>
    </div>
</div> 

<input type="hidden" id="chooseDataId" name="chooseDataId" value="<?=$_SESSION["LOGIN_USER_ID"]?>">
<input type="hidden" id="defaultUserId" name="defaultUserId" value="<?=$searchUserId?>">
<input type="hidden" id="newAddAtt" name="newAddAtt" >
<input type="hidden" id="newCancelAtt" name="newCancelAtt" >
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>

<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script language="javascript">
var createEditor = "";
var liststart = 0;
var listrows = 10;
var leftlist = "";
var recordlist = "";
$(document).ready(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;
	$.pnotify.defaults.addclass = "stack-topleft";
	$.pnotify.defaults.animate_speed = 'fast';
	$.pnotify.defaults.type = "error";

	//$("#chooseDataId").val(<?=$searchUserId?>);

	//默认数据加载
	initDiaryData();

	$("#deptTree").height($(window).height()-40);
	$("#deptTree").niceScroll();
	$("#left_list").height($(window).height()-40);
	$("#left_list").niceScroll();
	$("#left_record").height($(window).height()-40);
	$("#left_record").niceScroll();

	$(window).resize(function() {
		//$("#deptTree").height($(window).height()-40);
		$("#left_list").height($(window).height()-40);
		//$("#left_record").height($(window).height()-40);
		$("#right_table").height($(window).height()-40).css("overflow-y","auto");
	});
	
	$("#right_table").height($(window).height()-40).css("overflow-y","auto");
	$("#right_table").niceScroll();
		

	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			//更改显示开始数
			liststart = 0;
			var userid = $("#chooseDataId").val();
			
			if(data=="allShow"){
				initDiaryData();
				//$("#editorSpan").show();	
			}
		},
		common : {
			template : "{title}",
			dataSource : [{
				key : "allShow",
				title : '<?=$_lang["calendar_level_all"]?>',
				isDefault : true
			}]
		}
	});	
	/*
	 * 高级查询
	 */
	$(".search_wrap").LazySearch({
		/*width :150,
		height : 29,
		mode : "full",*/
		tip : '<?=$_lang["calendar_search_have"]?>',
		url : "myapplydo.php",
		param : {
			type : "autoTaskSearch"
		},
		fieldSearch : {
			onItemClick : function(data,value) {
				//alert("内容查询");
				//更改显示开始数
				liststart = 0;
				//liststart += 10;
				var userid = "<?=$searchUserId?>";
				$("#editorSpan").hide();
				//$("#searchWord").val(value);
				$.ajax({
					type:"POST",
					dataType:"html",
					data:"curPage="+liststart+"&rows="+listrows+"&userid="+userid+"&searchWord="+value,
					url:"/general/diary/ajaxlist.php"	
				}).done(function(result){
					$("#lisSpan").html(result);
				});					
						
			},
			items : [{
				key : "CONTENT",
				title : '<?=$_lang["calendar_blog_have"]?>'
			}]
		},
		advancedSearch : {
			onSearch : function(data) {
				console.log(data);
				liststart = 0;
				var userid = "<?=$searchUserId?>";
				if ((data.BegDate=="" && data.EndDate=="") || data.BegDate=="") {
					$.pnotify({
						text: '<?=$_lang["calendar_start_not_empty"]?>',
						type : "error"
					});	
				} else{
					var myDate = new Date();
					var curDate = myDate.getFullYear()+"-"+(myDate.getMonth()+1)+"-"+myDate.getDate();
					var endDate = "";
					var begDate = "";
					if (data.EndDate=="") {
						endDate = curDate;
					}else{
						endDate = data.EndDate;
					}
					var sDate = new Date(data.BegDate.replace(/\-/g, "\/"));
    				var eDate = new Date(endDate.replace(/\-/g, "\/"));
    				var cDate = new Date(curDate.replace(/\-/g, "\/"));
    				if(eDate>cDate){
    					$.pnotify({
							text: '<?=$_lang["calendar_end_big_start_not"]?>',
							type : "error"
						});
						return;	
    				}
					if (sDate>eDate) {
						$.pnotify({
							text: '<?=$_lang["calendar_start_big_end_not"]?>',
							type : "error"
						});	
						return;
					}
					var formAjax = 0;
					if(data.BegDate!=''&&data.EndDate!=''){
						formAjax = 1;
					}					
					$.ajax({
						type:"POST",
						dataType:"html",
						data:"curPage="+liststart+"&rows="+listrows+"&userid="+userid+"&searchHighBegDate="+data.BegDate+"&searchHighEndDate="+data.EndDate+"&formAjax="+formAjax,
						url:"/general/diary/ajaxlist.php"	
					}).done(function(result){
						//$("#lisSpan").html(result);
						if(result=="begDateNull"){
							$.pnotify({
								text: '<?=$_lang["calendar_start_not_empty"]?>',
								type : "error"
							});	
						}else{
							$("#editorSpan").hide();	
							$("#lisSpan").html(result);	
							var btn =  moreAndNodataShow('btn');
							$("#showMoreSpan").html(btn);		
						}
					});	
				};
				
			},
			items : [{
				key : "BegDate",
				title : '<?=$_lang["calendar_cl_begin_date"]?>',
				type : "text"
			}, {
				key : "EndDate",
				title : '<?=$_lang["calendar_cl_end_date"]?>',
				type : "text"
			}]
		},
		onClearButtonClick:function()
		{
			initDiaryData();
		}
	});
	//查询时间框设置
	$("input[key='BegDate']").datepicker({dateFormat: "yy-mm-dd"});
	$("input[key='EndDate']").datepicker({dateFormat: "yy-mm-dd"});
	
});


function removeHoverDom(treeId, treeNode) {
	$("#diyBtn_"+treeNode.id).unbind().remove();
	$("#diyBtn_space_" +treeNode.id).unbind().remove();
};


function showMoreData(){
	liststart += 10;
	var userid = $("#chooseDataId").val();
	var defaultUserId = $("#defaultUserId").val();
	var quickParam = $("#quickParam").val();	
	var searchWord = $("#searchWord").val();
	var searchBegDate = $("#searchBegDate").val();
	var searchEndDate = $("#searchEndDate").val();
	//alert($("#checkHaveData").length);
	if($("#checkHaveData").length>0){
		var showRmind = moreAndNodataShow("remind");
		$("#showMoreSpan").html(showRmind);		
	}else{
		var formAjax = 0;
		if(searchBegDate!=''&&searchEndDate!=''){
			formAjax = 1;
		}
		var data = "curPage="+liststart+"&rows="+listrows+"&userid="+userid+"&defaultUserId="+defaultUserId+"&quickParam="+quickParam+"&searchWord="+searchWord+"&searchHighBegDate="+searchBegDate+"&searchHighEndDate="+searchEndDate+"&formAjax="+formAjax;
		//alert(data);
		$.ajax({
			type:"POST",
			dataType:"html",
			data:data,
			url:"/general/diary/ajaxlist.php"	
		}).done(function(result){
			$("#lisSpan").append(result);
			var showRmind = moreAndNodataShow("btn");
			$("#showMoreSpan").html(showRmind);		
		});		
	}
	$("#right_table").getNiceScroll().resize();
}
function initDiaryData(){
	var userid = $("#chooseDataId").val();
	var defaultUserId = $("#defaultUserId").val();
	var quickParam = "allShow";	
	var searchWord = "";
	$.ajax({
		type:"POST",
		dataType:"html",
		data:"curPage=0&rows=10&userid="+userid+"&defaultUserId="+defaultUserId+"&quickParam="+quickParam+"&searchWord="+searchWord+"&checkDiff=init",
		url:"/general/diary/ajaxlist.php"	
	}).done(function(result){
		$("#lisSpan").html(result);
		$("#right_table").getNiceScroll().resize();
		var btn =  moreAndNodataShow('btn');
		$("#showMoreSpan").html(btn);			
	});					

}
//加载和无数据
function moreAndNodataShow(diff){
	var remindStr = "";
	if(diff=="btn"){
		remindStr = '<button type="button" class="btn btn-primary btn-lg btn-block" style="letter-spacing:5px;word-spacing:10px;" onclick="showMoreData()"><?=$_lang["calendar_load_more_data"]?></button>';	
	}else if(diff=="remind"){
		remindStr = '<div class="alert alert-info" style="text-align:center;letter-spacing:5px;word-spacing:10px;"><?=$_lang["calendar_not_more_data"]?></div>';	
	}
	return remindStr;	
}
</script>