<?
/**
*数据处理页面
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("api/performance.class.php");

$performance    = new performance($_SESSION["LOGIN_USER_ID"]);
$performTplInfo = $performance->GetPerformanceTpl($_REQUEST["tempPlan"]);

$_REQUEST["tempName"] = trim(addslashes($_REQUEST["tempName"]));
$_REQUEST['tempPoints'] = (int)$_REQUEST['tempPoints'];

if($_REQUEST['tempId'])
{
	if(!is_numeric($_REQUEST['tempId'])){
	    Message('',$_lang["common_param_error"],'failed');
	    exit;
	}	
}

if($_REQUEST["tempPoints"]) {
	if(!is_numeric($_REQUEST['tempPoints'])){
	    Message('',$_lang["common_param_error"],'failed');  //返回一个错误提醒,但这里并没有输出
	    exit;
	}
}

if($performTplInfo[0]["PERFORMANCE_ID"] != 1) {
	$tempDate = date("Y-m",strtotime($performTplInfo[0]["PERFORM_TIME_START"]));
} else {
	$tempYear  = date("m",time()) == 1?date("Y",time())-1:date("Y",time());
	if($performTplInfo[0]["PERFORM_START_MONTH"] == 1) {
		
		$tempMonth = date("m",time()) == 1?12:date("m",time())-1;
	} else {
		$tempMonth = date("m",time());
	}
}

$tempDate = $tempYear."-".$tempMonth;

//为了正确显示'\',使用stripslashes函数
$optionInfo = stripslashes(substr($_REQUEST["tempOption"], 0, -3));
$weightInfo = stripslashes(substr($_REQUEST["tempWeight"], 0, -3));
$optionNote = stripslashes(substr($_REQUEST["optionNote"], 0, -3));
$pointsNote = stripslashes(substr($_REQUEST["pointsNote"], 0, -3));

$optionInfos = explode("(`)",$optionInfo);
$weightInfos = explode("(`)",$weightInfo);
//$pointsInfos = explode(",",$pointsInfo);
$optionNotes = explode("(`)",$optionNote);
$pointsNotes = explode("(`)",$pointsNote);

//echo $_REQUEST["tempOption"]; exit;

if($_REQUEST["type"] != 'delete') {
	if(array_sum($weightInfos) != 100) {
 		Message('',$_lang["common_param_error"],'failed');
 		exit;
	}
}

foreach($optionInfos as $key => $value) {
   $tempContent[$key] = array("optionInfo"=>urlencode($optionInfos[$key]),
							  "weightInfo"=>urlencode($weightInfos[$key]),
							  //"pointsInfo"=>urlencode($pointsInfos[$key]),
							  "optionNote"=>urlencode($optionNotes[$key]),
							  "pointsNote"=>urlencode($pointsNotes[$key]));
}
//print_r(json_encode($tempContent)); exit;

$tempContentJson = json_encode($tempContent);

$tempApprover = $_REQUEST["tempApprover"] != ","?$_REQUEST["tempApprover"]:"";

switch($_REQUEST["type"]) 
{
	case "new":
		$tempInfo = array(
			"TEMP_NAME"=>$_REQUEST["tempName"],			//模板名称
			"TPL_ID"=>$_REQUEST["tempPlan"],			//考核方案ID
			"TEMP_POINTS"=>$_REQUEST["tempPoints"],		//模板总分
			"TEMP_CONTENT"=>$tempContentJson,			//模板内容
			"TEMP_APPROVER"=>$_REQUEST["tempApprover"],	//适用对象ID
			"TEMP_NOTE"=>$_REQUEST["tempNote"],			//模板说明
			"TEMP_MONTH"=>$tempDate						//创建日期
		);

		$result = $performance->personalPerformanceData($tempInfo,"add")?"addsuccess":"addfailed";
		echo $result;
		break;
	case "update":
		$tempInfo = array(
			"TEMP_ID"=>$_REQUEST["tempId"],
			"TEMP_NAME"=>$_REQUEST["tempName"],
			"TPL_ID"=>$_REQUEST["tempPlan"],
			"TEMP_POINTS"=>$_REQUEST["tempPoints"],
			"TEMP_CONTENT"=>$tempContentJson,
			"TEMP_APPROVER"=>$_REQUEST["tempApprover"],
			"TEMP_NOTE"=>$_REQUEST["tempNote"],
			"PERFORM_MONTH"=>$tempDate
		);
//print_r($tempInfo); exit;
		$result = $performance->personalPerformanceData($tempInfo,"update") == "success"?"updatesuccess":"updatefailed";
		echo $result;
		break;
	case "delete":
		$tempInfo = array("TEMP_ID"=>$_REQUEST["tempId"]);
		$result = $performance->personalPerformanceData($tempInfo,"delete") == "success"?"deletesuccess":"deletefailed";
		echo $result;
		break;
}
?>