	<?php
	/**
	*考核统计数据处理页面
	*
	*/
	include_once("inc/auth.php");
	include_once("inc/utility_all.php");
	include_once("api/performance.class.php");
	include_once("api/dept.class.php");
	include_once("api/user.class.php");
	includelangpak("performance,other");

	$type = $_REQUEST["type"];
	$performance = new performance($_SESSION["LOGIN_USER_ID"]);
	$user        = new user($_SESSION["LOGIN_USER_ID"]);
	switch($type) {
		case "search":
			$searchInfo = SecurityFilter($_REQUEST["lazySearch"]);
			$query = "SELECT * FROM user WHERE 1 AND DEPT_ID>0 
												 AND (USER_ACCOUNTS LIKE '%".$searchInfo."%' OR 
													  USER_NAME LIKE '%".$searchInfo."%' OR 
													  USER_NAME_PY LIKE '%".$searchInfo."%' OR 
													  USER_NAME_ZM LIKE '%".$searchInfo."%') ORDER BY DEPT_ID";
			$res = exequery($connection,$query);
			$userInfo = array();
			while($row = mysql_fetch_array($res)) 
			{
				$users = array("userNAME"=>$row["USER_NAME"],"USER_ID"=>$row["USER_ID"]);
				array_push($userInfo,$users);
			}
			echo json_encode($userInfo);
			break;
		case "list":
			$circle = $_REQUEST["CIRCLE"];	
			$searchInfo["YEAR"] = $_REQUEST["SELECT_YEAR"] != ""?$_REQUEST["SELECT_YEAR"]:date("Y",time());

			//根据方案类型得出circles数组
			switch($circle) 
			{
				case "months":
					$searchInfo["PERFORM_TPL"] = '1';				
					$circles = array();
					
					for($i=1;$i<13;$i++) 
					{
						if($i<10) 
						{
							$i = "0".$i;
						}
						array_push($circles,$searchInfo["YEAR"].$i.'M');
					}
					break;
				case "seasons":
					$searchInfo["PERFORM_TPL"] = '2';
					$circles = array($searchInfo["YEAR"]."01S",$searchInfo["YEAR"]."02S",$searchInfo["YEAR"]."03S",$searchInfo["YEAR"]."04S");
					break;
				case "halfyears":
					$searchInfo["PERFORM_TPL"] = '3';
					$circles = array($searchInfo["YEAR"]."01H",$searchInfo["YEAR"]."02H");
					break;
				case "fullyears":
					$searchInfo["PERFORM_TPL"] = '4';
					$circles = array($searchInfo["YEAR"]."01Y");
					break;
			}
			// $str = implode($circles, ',');
			// file_put_contents("d://11.txt", $str);

			//显示数量
			$CLICK_COUNT = $_REQUEST["CLICK_COUNT"] != 0 ?$_REQUEST["CLICK_COUNT"]:"";

			//如果没传入部门ID searchInfo里面的考核人数据为空
			if($_REQUEST["DEPT_ID"] == "") 
			{
				$searchInfo["PERFORM_USER"] = "";		           
			}
			else
			{
				//如果传入部门ID  查出该部门下面的人员数组,获得用户ID字符串
				$infor["Search"]            = "Dept";
				$infor["DeptId"]            = $_REQUEST["DEPT_ID"];		
				$userArr                    = $user->GetAllDeptUser($infor);
				$performUser = array();
				if(count($userArr) > 0) 
				{
					foreach($userArr as $key=>$value) 
					{
						array_push($performUser,$value["USER_ID"]);
					}
					$performUsers = implode($performUser,",");
					$searchInfo["PERFORM_USER"] = substr($performUsers,0,-1);
				}
			}

			//获取当前系统下所有有效用户
			$searchUser  = array("USER_NAME"=>"","DEPT_ID"=>$_REQUEST["DEPT_ID"],"ROWSTART"=>$CLICK_COUNT,"USER_ID"=>$_REQUEST["USER_ID"]);
			$userInfo    = $user->getAllUser($searchUser);

			if($userInfo["Count"] > 0)
			{
				foreach($userInfo as $key=>$value)
				{
					$userIds .= $value["USER_ID"].",";
				}
				$searchInfo["PERFORM_USER"] = str_replace(",","','",substr($userIds,0,-2));
				//获取用户不同考核方案的数据  已验证有数据
				$performInfo = $performance->getUserPerformByTpl($searchInfo);				
				$allUserPerform = array();	

				//二维数组  每个用户ID是一组数据,每组数据加入每个月/季和平均分字段			
				foreach($userInfo as $key=>$value) 
				{
					if($value["USER_ID"]) 
					{
						foreach($circles as $keys=>$vals) 
						{
							$allUserPerform[$value["USER_ID"]][$vals] = "";
						}
						$allUserPerform[$value["USER_ID"]]["AVG"] = "0";
					}
				}
			}

			// echo "<pre>";
			// print_r($allUserPerform);
			// echo "</pre>";exit;

			//为每个员工每月/季分数字段赋值,算出总分
			$userPerform = array();
			if(count($performInfo) > 0) 
			{	
				foreach($performInfo as $key => $value) 
				{
					if(count($value) > 0 && $value[0]["PERFORM_USER"] != "") 
					{
						$userCount = "";
						foreach($value as $keys => $values) 
						{
							if(in_array($values["PERFORM_MONTH"],$circles)) 
							{
								if($values["PERFORM_STATUS"] == 0) 
								{
									$userPerform[$key][$values["PERFORM_MONTH"]] = $_lang["performance_no_checked"];
								}
								else
								{
									$userPerform[$key][$values["PERFORM_MONTH"]] = $values["PERFROM_POINT"] != 0?$values["PERFROM_POINT"]:$values["PERFORM_COUNT"];
									$userCount += $values["PERFROM_POINT"]!=0?$values["PERFROM_POINT"]:$values["PERFORM_COUNT"];
								}
							}			
						}	
						$userPerform[$key]["SUBCOUNT"] = $userCount;

					}
				}
				// echo "<pre>";
				// print_r($userPerform);
				// echo "</pre>";exit;

				//算出平均分,没打分的月分赋值为空
				foreach($userPerform as $key => $value) 
				{
					$countMonth = count($value) > 0?count($value)-1:"";
					$avgCount   = $countMonth!=""?$value["SUBCOUNT"]/$countMonth:"";
					$diffMonth = array_diff($circles,array_keys($value));
					if(count($diffMonth) > 0) 
					{
						foreach($diffMonth as $k => $v) 
						{
							$userPerform[$key][$v] = "";
						}
					}
					$userPerform[$key]["AVG"] = $avgCount != "" ? $avgCount : "0";
				}
				$newUserPerform = $searchInfo["PERFORM_USER"] == ""?$userPerform + $allUserPerform:$userPerform;
				$usersPerform   = array();

				foreach($newUserPerform as $key => $value) 
				{
					ksort($value);
					$usersPerform[$key] = $value;
				}
				$usersPerform = array_merge($allUserPerform,$usersPerform);
			}
			else 
			{
				if(count($allUserPerform) > 0)
				{
					$usersPerform = $allUserPerform;
				}
			}

			if(count($usersPerform) > 0)
			{
				foreach($usersPerform as $key=>$value) 
				{
					$userInfo = getUserInfo($key,"2");
					$usersPerform[$key]["USER_NAME"] = $userInfo[0]["USER_NAME"];
					$usersPerform[$key]["DEPT_NAME"] = substrGB(getDeptName($userInfo[0]["DEPT_ID"]),10,'...');
					$usersPerform[$key]["FULL_DEPT_NAME"] = getDeptName($userInfo[0]["DEPT_ID"]);
				}
				echo json_encode($usersPerform);
			}
			else 
			{
				echo json_encode(array());
			}
			
			break;
		case "getDeptList":
			$department = new department();
			$searchInfo["parentId"] = $_REQUEST["id"]!=""?$_REQUEST["id"]:"";
			$deptList   = $department -> getDeptById($searchInfo);
			$deptListStr= "";
			if($deptList) 
			{
				for ($i=0;$i<count($deptList);$i++) 
				{	
					$isParent = $department->checkIsParentDept($deptList[$i]['DEPT_ID']);
					$deptListStr .= "{id:'".$deptList[$i]['DEPT_ID']."',name:'".$deptList[$i]['DEPT_NAME']."',pId:'".$deptList[$i]['DEPT_PARENT']."',isParent:".$isParent."},";
				}
			}
			
			$deptListStr = substr($deptListStr,0,-1);
			/*$returnStr   = $_REQUEST["id"] == "" ?"[{id:'',name:'全部部门',pId:'0',isParent:0},".$deptListStr."]":"[".$deptListStr."]";*/
			$returnStr = "[".$deptListStr."]";
			
			echo $returnStr;
			break;
	}
	?>