<?php
    include 'inc/auth.php';
    include_once ("inc/utility_all.php");
    include_once("api/user.class.php");
	include 'api/portal.class.php';
    include_once("inc/function_usergeneral.php");
    $version = getVersion();
    $portalId   = request_var('portal_id');
	if($portalId == ''){
        echo '门户ID为空';exit;
    }
	$portal		= new Portal;
	$portalInfor = $portal -> GetPortalInfor($portalId);
	if($portalInfor){
		$portalName = $portalInfor['PORTAL_NAME'];	
	}else{
		echo '暂无该门户';exit;
	}
    
?>
<!DOCTYPE html>
<html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?= $portalName ?></title>
    <link rel="stylesheet" id="theme-url" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
    <link rel="stylesheet" href="/newplugins/font-awesome/css/font-awesome.min.css" />
    <link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css" />
    <link rel="stylesheet" href="/general/portal/eoffice-portal-index9.css" /><!--包含index9，portal --css-->
    <link rel="stylesheet" href="/newplugins/css/style.css" />
    <link rel="stylesheet" href="/public/css/index/eoffice-all.css" ><!--包含fullcalendar.css，jquery.pnotify.default.css，jqueryui.bannerize.css-->
    <link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/square/_all.css">
    <script src="/inc/jquery/jquery.js"></script>
    <script type="text/javascript" src="/lang/<?= $_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
    <script src="/newplugins/js/lazyload-min.js"></script>  
    <script src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>    
    <script src="/public/js/index/eoffice-all.js"></script> <!--包含index9.js，jqueryui.bannerize.js，icheck.min.js,icon_config.js-->
    <script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
    <script src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script> 
    <script src="/newplugins/js/jquery.nicescroll.js"></script>
    <script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.min.js"></script>
	<script type="text/javascript" src="/newplugins/jquery.jrumble.1.3/jquery.jrumble.1.3.min.js"></script>
    <script type="text/javascript" src="/general/portal/portal.js?<?=$version?>"></script>
    <script>
    $(function(){
        lazyPortal.mode = "view";
        lazyPortal.operation.init();
        //编辑门户权限的时候 会出发此操作
        lazyPortal.operation.getLayoutInfor(<?=$portalId?>, '<?=$portalName?>');
    })
	function loadJsScript(){
            var option = {
                1:'/inc/jquery/zTree/jquery.ztree.all-3.5.min.js',
                2:'/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js',
                3:'/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js',
                4:'/newplugins/js/jquery.lazyplugins.js',
                5:'/inc/usergeneral.js',
                6:'/inc/common.js',
                7:'/newplugins/js/jQuery-ui-Slider-Pips/dist/jquery-ui-slider-pips.min.js',
                8:'/newplugins/js/bootstrap.bootbox.js',
                9:'/inc/jquery/uploadify/sms_upload.js',
                10:'/newplugins/introjs/intro.js'
            };
            $.each(option,function(k,v){
                $.ajax({
                    url:v,
                    dataType:'script',
                    cache:true,
                    success:function(){}
                });
            });
            LazyLoad.css([ '/newplugins/introjs/introjs.css',
                            '/inc/jquery/zTree/zTreeStyle/zTreeStyle.css',
                            '/newplugins/css/jquery.lazyplugins.css',
                            '/newplugins/js/bootstrap-select/bootstrap-select.min.css',
                            '/public/css/index/eoffice-later-all.css',//包含jquery-ui-slider-pips.css，bootstrap-select.min.cssjquery.focusbox.css
                            '/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css',
                            '/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css',
                        ], function (arg) {},'');
	}
    //打开流程
    function openProcessPage(opFlag, runId, flowId, prcsId, flowPrcs, flowType) {
        var url = "/general/workflow/input_form/?OP_FLAG=" + opFlag + "&RUN_ID=" + runId + "&FLOW_ID=" + flowId + "&PRCS_ID=" + prcsId + "&FLOW_PRCS=" + flowPrcs + "&FLOW_TYPE=" + flowType;
        var wWidth = screen.width;
        var wHeight = screen.height;
        window.open(url, "_blank", "height=" + wHeight + ",width=" + wWidth + ",scrollbars=no,status=no,toolbar=no,menubar=no,location=no,resizable=yes,titlebar=no");
    }
    function smsOpenWorkflow(url,runId)
        {
            var sHeight = screen.height;
            var sWidth  = screen.width;
            var winName = window.open(url,"workflow_"+runId,"fullscreen=0,height="+sHeight+",width="+sWidth+",left=0,top=0,scrollbars=no,status=no,toolbar=no,menubar=no,location=no,resizable=yes,titlebar=no");winName.focus()
        }

    function open_sms(typeurl, smsid) {
        var flag = true;
        if (typeurl.substr(typeurl.indexOf('?') + 1, 10) == "CONTENT_ID") {
            var content_id = typeurl.substring(typeurl.indexOf('=') + 1);
            jQuery.ajax({
                url: "/general/file_folder/file_new/check_exist.php",
                async: false,
                data: {
                    contentID: content_id
                }
            }).done(function(result) {
                flag = result == 0 ? false : true;
                if (!flag) {
                    alert("<?= $_lang["index_check_file_not_exsit"] ?>");
                }
            });
        }
        if (flag) {
            window.open(typeurl + "&SMS_ID=" + smsid, '', 'top=0, left=0, toolbar=yes, menubar=yes, scrollbars=yes, resizable=yes,location=yes, status=1');
        }
    }
    </script>
    </head>
    <body>
        <div class="portal">
            <div class="layout-wrap" style="margin-top:10px;"></div>
        </div>
        <div id="divusergeneral" style="background:#fff;"></div>
    </body>
</html>