<?php
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      项目类别处理
* @encoding      $_lang['encoding']
* @name          general/project/moduleset/category
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
include_once("inc/utility_all.php");
include_once("api/project.class.php");
include_once("general/project/function/function_all.php");

$checkArr[] = $_REQUEST['dataid'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

$type = $_REQUEST["type"];
$projectapi = new Projects();
switch($type){
	case "cate_list":
		$sortname = "TYPE_ORDER";
		$sorttype = "ASC";
		$quickSortParam = array();
		$where_str = array();
		$infor = $projectapi->pro_ListCategoryData($sortname,$sorttype,"","",$quickSortParam,$where_str);
		unset($infor["resultCount"]);
		echo json_encode($infor);
	break;
	case 'autoSearch1' :
		$dataInfor = array();
		$searchParam = $_REQUEST["lazySearch"];
		$sortname = "TYPE_ORDER";
		$sorttype = "ASC";
		$quickSortParam = array();
		$where_str = array();
		$where_str["TYPE_NAME"] = $searchParam;
		$infor = $projectapi->pro_ListCategoryData($sortname,$sorttype,"","",$quickSortParam,$where_str);
		$infor_count = count($infor);
		for($i=0;$i<$infor_count;$i++){
			if($infor[$i]["TYPE_ID"]){
				$dataInfor[$i]["key"] = $infor[$i]["TYPE_ID"];	
				$dataInfor[$i]["typeName"] = $infor[$i]["TYPE_NAME"];	
			}	
		}
		echo json_encode($dataInfor);
	break;
	case "getview":
		$dataid = $_REQUEST["dataid"];
		$dataInfor   = $projectapi->pro_SearchSingleData("project_type",$dataid);
		$dataInfor["creatName"] = getUserNameNew($dataInfor["TYPE_CREATER"]);
		echo json_encode($dataInfor);
	break;
	case "edit":
		$dataInfor = array();
		$type_id                      = $_REQUEST["ca_id"];
		$dataInfor["TYPE_NAME"]       = $_REQUEST["ca_name"];
		$dataInfor["TYPE_ORDER"]      = $_REQUEST["ca_order"];
		$dataInfor["TYPE_CREATER"]    = $_REQUEST["ca_creater"];
		$dataInfor["TYPE_CREAT_TIME"] = $_REQUEST["ca_creattime"];
		$dataInfor["TYPE_EXPLAIN"]    = $_REQUEST["ca_explain"];
		$dataInfor["TYPE_REMARK"]     = $_REQUEST["ca_remark"];
		$projectapi->pro_EditData($dataInfor,"project_type",$type_id);
		echo $type_id;
	break;
	case "new":
		$dataInfor = array();
		$dataInfor["TYPE_NAME"]       = $_REQUEST["ca_name"];
		$dataInfor["TYPE_ORDER"]      = $_REQUEST["ca_order"];
		$dataInfor["TYPE_CREATER"]    = $_REQUEST["ca_creater"];
		$dataInfor["TYPE_CREAT_TIME"] = $_REQUEST["ca_creattime"];
		$dataInfor["TYPE_EXPLAIN"]    = $_REQUEST["ca_explain"];
		$dataInfor["TYPE_REMARK"]     = $_REQUEST["ca_remark"];
		$insertid = $projectapi->pro_CreateData($dataInfor,"project_type");
		echo $insertid;
	break;
	case "getOrder":
		$showorder = proFun_GetMaxOrderNum("project_type");
		$showorder = $showorder+1;
		echo $showorder;
	break;
	case "delete":
		$dataid = $_REQUEST["dataid"];
		//项目字段数据查询
		$check1_sql = " AND FIELD_PROJECT='".$dataid."' AND  FIELD_DELETE = 0 ";
		$check1 = $projectapi->pro_SearchAllData("project_fieldset",$check1_sql,$dataid);
		if(count($check1)>0){
			echo "fieldSet";	
			exit;
		}
		//项目管理数据查询
		$check2_sql = " AND MANAGER_TYPE='".$dataid."'";
		$check2 = $projectapi->pro_SearchAllData("project_manager",$check2_sql,$dataid);
		if(count($check2)>0){
			echo "manager";	
			exit;
		}
		//项目模板数据查询
		$check3_sql = " AND TEMPLATE_TYPE='".$dataid."'";
		$check3 = $projectapi->pro_SearchAllData("project_template",$check3_sql,$dataid);
		if(count($check3)>0){
			echo "template";	
			exit;
		}
		$projectapi->pro_DeleteData($dataid,"project_type");
		echo "success";
	break;
}
?>
