<?php
/**
 *@Copyright (C) 2015 - 2015 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/income_expend/proxy/IncomeExpendPlan.proxy.php
 *@function:         收支方案管理代理类
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:           lizhijun
 *@date:             2015-04-22
 *@file Version:     1.0
 *@eoffice Version:  9.0
*/
class PropertyManageProxy {
    private $_funcId;
    private $_userId;
    private $_privId;
    private $_deptId;
    private $_IncomeExpend;
    public function __construct($funcId,$userId,$privId,$deptId) {
        $this->_funcId = $funcId;
        $this->_userId = $userId;
        $this->_privId = $privId;
        $this->_deptId = $deptId;
        $this->_PropertyExtend = new PropertyExtend();
    }
   
    public function lists(){
        $class = $this->_PropertyExtend->CategoryLists();

        foreach ($class as $k=>$v) {
            $child = $this->_PropertyExtend->FindChildren($v['CLASS_ID']);
            $class[$k]['child'] = $child;
        }

        $result = $this->_PropertyExtend->CategoryLists();
        include(VIEW_PATH . '3/manage.view.php');
    }

    public function myProperty(){
         $class = $this->_PropertyExtend->CategoryLists();

        foreach ($class as $k=>$v) {
            $child = $this->_PropertyExtend->FindChildren($v['CLASS_ID']);
            $class[$k]['child'] = $child;
        }

        $result = $this->_PropertyExtend->CategoryLists();
        include(VIEW_PATH . '2/search.view.php');
    }
    public function ajaxLists(){
        $user =  $this->_userId; 
        $data['perPage']  =  request_var('itemsPerPage','');  
        $data['offset']   =  request_var('currentPage',''); 
        $data['search_field'] = request_var('search_field','');
        $data['search_str'] = request_var('search_str','');
        $where_sql= request_var('where_sql','');
        $data['where_sql'] = stripslashes($where_sql);

        $data['CLASS_ID'] =   request_var('CLASS_ID','');
        $data['STATUS'] = request_var('STATUS','');
        $data['user'] = $user;
        echo json_encode($this->_PropertyExtend->propertyLists($data));
    }

    public function myLists(){
        $user =  $this->_userId; 
        $perPage  =  request_var('itemsPerPage','');  
        $offset   =  request_var('currentPage',''); 
        $search_field = request_var('search_field','');
        $search_str = request_var('search_str','');   
        echo json_encode($this->_PropertyExtend->myLists($user,$search_field,$search_str,$perPage,$offset));
    }

    public function info(){
        $id = request_var('PROPERTY_ID');
        $result = $this->_PropertyExtend->info($id);
        $class = $this->_PropertyExtend->CategoryLists();
        $file = $this->_PropertyExtend->GetAttach($id);

        foreach ($class as $k=>$v) {
            $child = $this->_PropertyExtend->FindChildren($v['CLASS_ID']);
            $class[$k]['child'] = $child;
        }
        include(VIEW_PATH . '3/info.view.php');
    }
    public function newcreate(){
        $Date =  $this->_PropertyExtend->maxDate();
        $maxDate =  $Date['PROPERTY_ID'];
        $predate = substr($maxDate,0,8);
        $last = substr($maxDate,8);
        $now = date("Ymd",time());
        if ($now > $predate) {
           $i = 0;
           $i++;
           $id = $now . str_pad($i, 3, '0', STR_PAD_LEFT);
        }else{
            $last++;
            $id = $predate . str_pad($last, 3, '0', STR_PAD_LEFT);
        }
        $result = $this->_PropertyExtend->info($id);
        $class = $this->_PropertyExtend->CategoryLists();
        $file = $this->_PropertyExtend->GetAttach($id);
        $time = date('Y-m-d',time());
        foreach ($class as $k=>$v) {
            $child = $this->_PropertyExtend->FindChildren($v['CLASS_ID']);
            $class[$k]['child'] = $child;
        }
        include(VIEW_PATH . '3/new.view.php');
    }
    public function newPost(){
        $data['PROPERTY_ID']            = request_var('PROPERTY_ID');
        $data['CLASS_ID']               = request_var('CLASS_ID','');
        $data['MODEL_NUMBER']           = request_var('MODEL_NUMBER');
        $data['USE_YEAR']               = request_var('USE_YEAR','');
        $data['USAGE_ID']               = request_var('USAGE_ID','');
        $data['BUY_DATE']               = request_var('BUY_DATE','');
        $data['FINANCE_NUMBER']         = request_var('FINANCE_NUMBER');
        $data['PROPERTY_NAME']          = request_var('PROPERTY_NAME');
        $data['PRODUCT_NAME']           = request_var('PRODUCT_NAME','');
        $data['PROPERTY_PRICE']         = request_var('PROPERTY_PRICE','');
        $data['STATUS']                 = request_var('STATUS','');
        $data['Remark']                 = request_var('Remark','');
        $dataSub['ATTACHMENT_ID']       = request_var('ATTACHMENT_ID');
        $dataSub['ATTACHMENT_NAME']     = request_var('ATTACHMENT_NAME');
        $dataSub['PID']         = $data['PROPERTY_ID'];
        $id = $this->_PropertyExtend->addProperty($data,$dataSub);
        echo json_encode($id);
    }

    public function viewManage(){
        $id = request_var('PROPERTY_ID');  
        $result = $this->_PropertyExtend->info($id);
        $class = $this->_PropertyExtend->CategoryLists();
        foreach ($class as $k=>$v) {
            $child = $this->_PropertyExtend->FindChildren($v['CLASS_ID']);
            $class[$k]['child'] = $child;
        }
        include(VIEW_PATH . '3/viewManage.view.php');
    }

    public function post(){
       
        $data['PROPERTY_ID']            = request_var('PROPERTY_ID');
        $data['CLASS_ID']               = request_var('CLASS_ID','');
        $data['MODEL_NUMBER']           = request_var('MODEL_NUMBER');
        $data['USE_YEAR']               = request_var('USE_YEAR','');
        $data['USAGE_ID']               = request_var('USAGE_ID','');
        $data['BUY_DATE']               = request_var('BUY_DATE','');
        $data['FINANCE_NUMBER']         = request_var('FINANCE_NUMBER');
        $data['PROPERTY_NAME']          = request_var('PROPERTY_NAME');
        $data['PRODUCT_NAME']           = request_var('PRODUCT_NAME','');
        $data['PROPERTY_PRICE']         = request_var('PROPERTY_PRICE','');
        $data['STATUS']                 = request_var('STATUS','');
        $data['Remark']                 = request_var('Remark','');
        $dataSub['ATTACHMENT_ID']       = request_var('ATTACHMENT_ID');
        $dataSub['ATTACHMENT_NAME']     = request_var('ATTACHMENT_NAME'); 
        $dataSub['PID'] =  $data['PROPERTY_ID'] ;
        $result = $this->_PropertyExtend->updateProperty($data,$dataSub);
        echo json_encode($result);
       

          
     

      
    }

    public function deleteList(){
        $id = request_var('PROPERTY_ID');  
        $result = $this->_PropertyExtend->deleteList($id);
        echo $result;
    }

    public function delattach(){
        $PID         = request_var('PID');
        $delAttachId    = request_var('delAttachId');
        $delAttachName  = request_var('delAttachName');
        $attach_id       = request_var('attach_id');
        $attach_name     = request_var('attach_name');
        $attachmentPath  = ATTACH_PATH . $delAttachId.'/'.iconv('UTF-8', 'GBK', $delAttachName);
        if(file_exists($attachmentPath)){
            if(unlink($attachmentPath)){
                $result     = $this->_PropertyExtend->deleteAttachment($PID,$attach_id,$attach_name);
            }
        }else{
            $result     = $this->_PropertyExtend->deleteAttachment($PID,$attach_id,$attach_name);
        }
        echo "$result";
    }

    public function printView(){
        $id = request_var('PROPERTY_ID');  
        $result = $this->_PropertyExtend->info($id);
        $file = $this->_PropertyExtend->GetAttach($id);
        $property_logs =$this->_PropertyExtend->GetLogs($id);
        include(VIEW_PATH . '3/print.view.php');
    }


    public function export(){
    $user =  $this->_userId; 
    $data['search_field'] = request_var('search_field','');
    $data['search_str'] = request_var('search_str','');
    $data['CLASS_ID'] =   request_var('CLASS_ID','');
    $data['STATUS'] = request_var('STATUS','');
    $data['user'] = $user;
    $filename = request_var('filename');
    $where_sql= request_var('where_sql','');
   
    $data['where_sql'] = stripslashes($where_sql);
    $str = "<table border='1px' width='100%' cellpadding='5'>";
    $str .= "<tr >";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".资产分类."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".名称."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".部门."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".当前使用人."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".财务编号."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".资产编号."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".状态."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".规格型号."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".厂家."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".使用年限."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".金额."</b></td>";
    $str .= "<td bgcolor='#99FFFF' nowarp><b>".采购日期."</b></td>";
       
    $str .="</tr>";
    $result = $this->_PropertyExtend->propertyLists($data);
  
    foreach ($result['list'] as $k => $v) {
        $str .= "<tr><td align='left'>".$v['CLASS_NAME'] ."</td>";
        $str .= "<td align='left'>".$v['PROPERTY_NAME']."</td>";
        $str .= "<td align='left'>".$v['DEPT_NAME']."</td>";
        $str .= "<td align='left'>".$v['USER_NAME']."</td>";
        $str .= "<td align='left'>".$v['FINANCE_NUMBER']."</td>";
        $str .= "<td align='left'>".$v['PROPERTY_ID']."</td>";
        $str .= "<td align='left'>".$v['STATUS']."</td>";
        $str .= "<td align='left'>".$v['MODEL_NUMBER'] ."</td>";
        $str .= "<td align='left'>".$v['PRODUCT_NAME']."</td>";
        $str .= "<td align='left'>".$v['USE_YEAR']."</td>";
        $str .= "<td align='left'>".$v['PROPERTY_PRICE']."</td>";
        $str .= "<td align='left'>".$v['BUY_DATE']."</td></tr>";
    }
  
    $str .="</table>";

    $str = iconv("utf-8","gbk",$str);
    $filename = $filename.".xls";
    ob_end_clean();
    Header("Cache-control: private");
    Header("Content-type: application/vnd.ms-excel");
    Header("Accept-Ranges: bytes");
    Header("Accept-Length: ".strlen($str));
    Header("Content-Disposition: attachment; filename=$filename");
    echo  $str;



    }

    public function high_search(){

        $class = $this->_PropertyExtend->CategoryLists();
        foreach ($class as $k=>$v) {
            $child = $this->_PropertyExtend->FindChildren($v['CLASS_ID']);
            $class[$k]['child'] = $child;
        }
        include(VIEW_PATH . '2/high_search.view.php');
    }

    public function return_sql(){
        $CLASS_ID         = request_var('CLASS_ID','');
        $DEPT_NAME         = request_var('DEPT_NAME','');
        $FINANCE_NUMBER         = request_var('FINANCE_NUMBER','');
        $PROPERTY_ID         = request_var('PROPERTY_ID','');
        $PROPERTY_NAME         = request_var('PROPERTY_NAME','');
        $USER_NAME         = request_var('USER_NAME','');
        $STATUS         = request_var('STATUS','');
        $query = "";
        if (!empty($CLASS_ID)) {
           $query .=  " AND m.CLASS_ID = $CLASS_ID";
        }

        if (!empty($DEPT_NAME)) {
            $dept_arr = explode(",",$DEPT_NAME);
            $deptCount = sizeof($dept_arr);
            $deptStr = ' (';
            foreach ($dept_arr as $k => $v) {
                if ($k == $deptCount - 1) {
                    $deptStr .= "'" . $v . "')";
                } else {
                    $deptStr .= "'" . $v . "',";
                }
            }
            $query .=  " AND u.DEPT_ID IN $deptStr";
                   
        }

        if (!empty($FINANCE_NUMBER)) {
            $query .=  " AND m.FINANCE_NUMBER LIKE'%".$FINANCE_NUMBER."%'";
        }

        if (!empty($PROPERTY_ID)) {
            $query .=  " AND m.PROPERTY_ID LIKE'%".$PROPERTY_ID."%'";
        }

        if (!empty($PROPERTY_NAME)) {
            $query .=  " AND m.PROPERTY_NAME LIKE'%".$PROPERTY_NAME."%'";

        }

        if (!empty($USER_NAME)) {
            $arr = explode(",",$USER_NAME);
            $userCount = sizeof($arr);
            $userStr = ' (';
            foreach ($arr as $k => $v) {
                if ($k == $userCount - 1) {
                    $userStr .= "'" . $v . "')";
                } else {
                    $userStr .= "'" . $v . "',";
                }
            }
            $query .=  " AND m.USAGE_ID IN $userStr";
        }

         if (!empty($STATUS)) {
           $query .=  " AND m.STATUS = '$STATUS'";
        }

       echo  $query;
    }





}
