<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      供应商管理页
 * @encoding      $_lang['encoding']
 * @name          general/provider/manage/index.php
 * @version       14
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-12
 */
include_once("inc/auth.php"); 
include_once("api/customer.class.php");
include_once('api/commerce.class.php');
include_once("inc/check_type.php");
include_once("inc/utility_all.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer");

$customerObj = new customer();

$op=$_REQUEST['op'];

switch ($op) {
	case 'getProviderList':
		$list 		= $customerObj->getList($customerObj->getProviderSql($_REQUEST));
		$totalCount = $customerObj->getNum($customerObj->getProviderSql($_REQUEST,2));	
		foreach ($list as $k=>$row) {
			$list[$k]["PROVIDER_CREATE_USER_NAME"]=showUserGeneral($row['PROVIDER_CREATE_USER']);
		}
		echo json_encode(array(
			"totalCount" => $totalCount,
			"list" => $list
		));
		break;
	case 'delete_all':
		$provider_ids    = $_REQUEST['providerids'];
		$provider_id_arr = explode( ',', $provider_ids );

		$error_info = array();
		$i = 0;

		//依次查找要删除的客户 关联联系人，联系记录，销售记录.
		foreach($provider_id_arr as $id){
			$error_info[$i]['id'] = $id ;	
			$i++;
		}

		//获取错误信息
		$j = 0;
		$flag=0;
		foreach($error_info as $info)
		{	
			$num = $customerObj->getDataNum('product',"PROVIDER_ID='".$info['id']."'");
			$row = $customerObj->getDataOne('provider','*',"PROVIDER_ID='".$info['id']."'");

			if($row) {
				if($LOGIN_USER_ID != $row["PROVIDER_CREATE_USER"] || $num!=0) {
					Message("",$_lang["customer_no_this_purview"].$_lang["customer_provider_not_del"]);
					exit;
				}
			}

			$customerObj->del_data("PROVIDER", $info['id']);
			unset ( $error_info[$j] );
			$j++;
		}

		sort($error_info); 
		//如果所勾选的客户下面没有关联信息
		if( !empty($error_info) )
			echo json_encode($error_info);
		else
			echo "1";
		break;
	case 'delete':
		if($_REQUEST['PROVIDER_ID'])
		{
			if(!is_numeric($_REQUEST['PROVIDER_ID'])){
				Message('',$_lang["common_param_error"],'failed');
				exit;
			}
		}

		$num = $customerObj->getDataNum('product',"PROVIDER_ID='".$_REQUEST["PROVIDER_ID"]."'");
		$row = $customerObj->getDataOne('provider','*',"PROVIDER_ID='".$_REQUEST["PROVIDER_ID"]."'");
		if($row) {
			if($LOGIN_USER_ID != $row["PROVIDER_CREATE_USER"] || $num!=0) {
				echo "fail";
			}else{
				$customerObj->del_data("PROVIDER",$PROVIDER_ID);
				echo "success";
			}
		}
		break;
	case 'update':
		$customerObj->saveProvider($_REQUEST,$provider_id);

		if($_REQUEST['edt_r'] == 'index_r')
			header("location: index.php");
		else
			header("location: list.php?PROVIDER_NAME=".$_REQUEST['list_PROVIDER_NAME']."&TEL_NO=".$_REQUEST['list_TEL_NO']."&FAX_NO=".$_REQUEST['list_FAX_NO']."&PROVIDER_WWW=".$_REQUEST['list_PROVIDER_WWW']."&EMAIL=".$_REQUEST['list_EMAIL']."&PROVIDER_ADD=".$_REQUEST['list_PROVIDER_ADD']."&POSTALCODE=".$_REQUEST['list_POSTALCODE']."&MEMO=".$_REQUEST['list_MEMO']."&BANK=".$_REQUEST['list_BANK']."&ACCOUNT=".$_REQUEST['list_ACCOUNT']."&PAGE_START=".$_REQUEST['list_PAGE_START']."");
		break;
	case 'add':
		$inarr = array(dhtmlspecialchars($PROVIDER_NAME),dhtmlspecialchars($TEL_NO),dhtmlspecialchars($FAX_NO),dhtmlspecialchars($PROVIDER_WWW),dhtmlspecialchars($EMAIL),dhtmlspecialchars($PROVIDER_ADD),dhtmlspecialchars($POSTALCODE),dhtmlspecialchars($BANK),
				dhtmlspecialchars($ACCOUNT),$MEMO,$_SESSION['LOGIN_USER_ID']);

		$customerObj->saveData(PROVIDER, $inarr);
		header("location: index.php?isSuccess=1");
		break;
	case 'search_where':
		$where_str = array();
		$query="";

		if (trim($_REQUEST["PROVIDER_NAME"]) != "") {
			$where_str['PROVIDER_NAME'] = dhtmlspecialchars($_REQUEST["PROVIDER_NAME"]);
		}

		if (trim($_REQUEST["TEL_NO"]) != "") {
			$where_str['TEL_NO'] = dhtmlspecialchars($_REQUEST["TEL_NO"]);
		}

		if (trim($_REQUEST["FAX_NO"]) != "") {
			$where_str['FAX_NO'] = dhtmlspecialchars($_REQUEST["FAX_NO"]);
		}

		if (trim($_REQUEST["PROVIDER_WWW"]) != "") {
			$where_str['PROVIDER_WWW'] = dhtmlspecialchars($_REQUEST["PROVIDER_WWW"]);
		}

		if (trim($_REQUEST["EMAIL"]) != "") {
			$where_str['EMAIL'] = dhtmlspecialchars($_REQUEST["EMAIL"]);
		}

		if (trim($_REQUEST["PROVIDER_ADD"]) != "") {
			$where_str['PROVIDER_ADD'] = dhtmlspecialchars($_REQUEST["PROVIDER_ADD"]);
		}

		if (trim($_REQUEST["POSTALCODE"]) != "") {
			$where_str['POSTALCODE'] = dhtmlspecialchars($_REQUEST["POSTALCODE"]);
		}

		if (trim($_REQUEST["MEMO"]) != "") {
			$where_str['MEMO'] = $_REQUEST["MEMO"];
		}

		if (trim($_REQUEST["BANK"]) != "") {
			$where_str['BANK'] = dhtmlspecialchars($_REQUEST["BANK"]);
		}

		if (trim($_REQUEST["ACCOUNT"]) != "") {
			$where_str['ACCOUNT'] = dhtmlspecialchars($_REQUEST["ACCOUNT"]);
		}

		if($where_str!="") {
			foreach($where_str as $key=>$value) {
				if($key == "PROVIDER_NAME") {
					$query .= " AND PROVIDER_NAME LIKE '%".$value."%'";
				}
				elseif($key == "TEL_NO") {
					$query .= " AND TEL_NO LIKE '%".$value."%'";
				}
				elseif($key == "FAX_NO") {
					$query .= " AND FAX_NO LIKE '%".$value."%'";
				}
				elseif($key == "PROVIDER_WWW") {
					$query .= " AND PROVIDER_WWW LIKE '%".$value."%'";
				}
				elseif($key == "EMAIL") {
					$query .= " AND EMAIL LIKE '%".$value."%'";
				}
				elseif($key == "PROVIDER_ADD") {
					$query .= " AND PROVIDER_ADD LIKE '%".$value."%'";
				}
				elseif($key == "POSTALCODE") {
					$query .= " AND POSTALCODE LIKE '%".$value."%'";
				}
				elseif($key == "MEMO") {
					$query .= " AND MEMO LIKE '%".$value."%'";
				}
				elseif($key == "BANK") {
					$query .= " AND BANK LIKE '%".$value."%'";
				}
				elseif($key == "ACCOUNT") {
					$query .= " AND ACCOUNT LIKE '%".$value."%'";
				}
			}
		}

		echo $query;
		break;
	default:
		# code...
		break;
}

?>