<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      供应商数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/provider/manage/show_provider.php
 * @version       11
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-13
 */
include_once("inc/auth.php"); 
include_once("api/customer.class.php");
include_once("inc/utility_all.php");
includelangpak("customer");

$customer  = new customer();
$resultStr = "";

//分页参数_偏移量
$offset = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows   = $_REQUEST['paginationRows'];
//排序参数
$sortParamRequest = $_REQUEST['sortParam'];
$sortParamSplit   = explode("*", $sortParamRequest);

$where_str = array();
$searchArray = array();

if (trim($_REQUEST["PROVIDER_NAME"]) != "") {
	$where_str['PROVIDER_NAME'] = dhtmlspecialchars($_REQUEST["PROVIDER_NAME"]);
	array_push($searchArray, array(
			"field" => "PROVIDER_NAME",
			"title" => $_lang["customer_pro_supplier_name"],
			"text"  => dhtmlspecialchars($_REQUEST["PROVIDER_NAME"]),
			"op"    => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["TEL_NO"]) != "") {
	$where_str['TEL_NO'] = dhtmlspecialchars($_REQUEST["TEL_NO"]);
	array_push($searchArray, array(
			"field" => "TEL_NO",
			"title" => $_lang["customer_TEL_NO"],
			"text"  => dhtmlspecialchars($_REQUEST["TEL_NO"]),
			"op"    => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["FAX_NO"]) != "") {
	$where_str['FAX_NO'] = dhtmlspecialchars($_REQUEST["FAX_NO"]);
	array_push($searchArray, array(
			"field" => "FAX_NO",
			"title" => $_lang["customer_FAX_NO"],
			"text"  => dhtmlspecialchars($_REQUEST["FAX_NO"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["PROVIDER_WWW"]) != "") {
	$where_str['PROVIDER_WWW'] = dhtmlspecialchars($_REQUEST["PROVIDER_WWW"]);
	array_push($searchArray, array(
			"field" => "PROVIDER_WWW",
			"title" => $_lang["customer_CUSTOMER_WWW"],
			"text"  => dhtmlspecialchars($_REQUEST["PROVIDER_WWW"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["EMAIL"]) != "") {
	$where_str['EMAIL'] = dhtmlspecialchars($_REQUEST["EMAIL"]);
	array_push($searchArray, array(
			"field" => "EMAIL",
			"title" => $_lang["customer_EMAIL"],
			"text"  => dhtmlspecialchars($_REQUEST["EMAIL"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["PROVIDER_ADD"]) != "") {
	$where_str['PROVIDER_ADD'] = dhtmlspecialchars($_REQUEST["PROVIDER_ADD"]);
	array_push($searchArray, array(
			"field" => "PROVIDER_ADD",
			"title" => $_lang["customer_CUSTOMER_ADD"],
			"text"  => dhtmlspecialchars($_REQUEST["PROVIDER_ADD"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["POSTALCODE"]) != "") {
	$where_str['POSTALCODE'] = dhtmlspecialchars($_REQUEST["POSTALCODE"]);
	array_push($searchArray, array(
			"field" => "POSTALCODE",
			"title" => $_lang["customer_POSTALCODE"],
			"text"  => dhtmlspecialchars($_REQUEST["POSTALCODE"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["MEMO"]) != "") {
	$where_str['MEMO'] = $_REQUEST["MEMO"];
	array_push($searchArray, array(
			"field" => "MEMO",
			"title" => $_lang["customer_cus_remarks"],
			"text"  => $_REQUEST["MEMO"],
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["BANK"]) != "") {
	$where_str['BANK'] = dhtmlspecialchars($_REQUEST["BANK"]);
	array_push($searchArray, array(
			"field" => "BANK",
			"title" => $_lang["customer_sup_bank_name"],
			"text"  => dhtmlspecialchars($_REQUEST["BANK"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["ACCOUNT"]) != "") {
	$where_str['ACCOUNT'] = dhtmlspecialchars($_REQUEST["ACCOUNT"]);
	array_push($searchArray, array(
			"field" => "ACCOUNT",
			"title" => $_lang["common_accounts"],
			"text"  => dhtmlspecialchars($_REQUEST["ACCOUNT"]),
			"op"	=> $_lang["customer_field_contain"]
	));
}

$p_info = $customer->get_provider_info($sortParamSplit[0],$sortParamSplit[1],$where_str,'',$offset,$rows);
//记录排序的状态

$count  = 0;
if($p_info[1][PROVIDER_ID] != '') {
	for($i=0;$i<count($p_info);$i++) {
		$count++;
		if($count==1)
		{
			$resultStr .= "<table class='pubtable' border='0' width='100%' cellspacing='0' cellpadding='0'>";
		}

		if ($p_info[1][PROVIDER_CREATE_USER] != "") 
		{
			$rowcu = $customer->getDataOne('user','USER_NAME',"USER_ID='".$p_info[$count][PROVIDER_CREATE_USER]."'");
			$create_name = $rowcu['USER_NAME'];
		}
		else
		{
			$create_name = "";
		}

		$rowpv = $customerObj->getDataNum('product',"PROVIDER_ID='".$p_info[$count][PROVIDER_ID]."'");
		$rowpo = $customerObj->getDataNum('officeitem_joinstoreroom',"PROVIDER_ID='".$p_info[$count][PROVIDER_ID]."'");

		$resultStr .= "<tr><td title=''>";
		if($p_info[$count][PROVIDER_CREATE_USER] == $LOGIN_USER_ID && !(($rowpv+$rowpo)>0)) {
			$resultStr .= "<input type='checkbox' id='provider_id[]' name='provider_id' value=".$p_info[$count][PROVIDER_ID]."/>";
		}
		$resultStr .= "
			</td><td title=".$p_info[$count][PROVIDER_NAME]."><a href='#' onclick=\"product_detail('".$p_info[$count][PROVIDER_ID]."');\">".substrGB($p_info[$count][PROVIDER_NAME],30,'...')."</a></td><td title='".$p_info[$count][TEL_NO]."'>".substrGB($p_info[$count][TEL_NO],30,'...')."</td>
			<td title='".$p_info[$count][PROVIDER_WWW]."'>".substrGB($p_info[$count][PROVIDER_WWW],30,'...')."</td>
			<td title='".$p_info[$count][EMAIL]."'>".substrGB($p_info[$count][EMAIL],30,'...')."</td>
			<td>".getUserNameNew($p_info[$count][PROVIDER_CREATE_USER])."</td>
			<td>";

			if($p_info[$count][PROVIDER_CREATE_USER] == $LOGIN_USER_ID)
			{			
				$resultStr .= "<a href='#' onclick=\"edt('".$p_info[$count][PROVIDER_ID]."');\">".$_lang["common_edit"]."</a>";
					
				if (!(($rowpv+$rowpo)>0)){				
					$resultStr .= "&nbsp;&nbsp;<a href='#' onclick=\"del('".$p_info[$count][PROVIDER_ID]."');\">".$_lang["common_del"]."</a>";
				}
			}	
			$resultStr .= "</td></tr>";
	}
}

if($count == 0) {
} else {
	$resultStr .= "<thead>
		<td width='3%'></td>
		<td width='15%' field='PROVIDER_NAME'>".$_lang["customer_pro_supplier_name"]."</td>
		<td width='15%' field='TEL_NO'>".$_lang["common_phone"]."</td>
		<td width='18%' field='PROVIDER_WWW'>".$_lang["common_website"]."</td>
		<td width='18%' field='EMAIL'>".$_lang["common_email"]."</td>
		<td width='10%'>".$_lang["customer_crm_cont_creat"]."</td>
		<td width='8%'>".$_lang["common_operate"]."</td>
	</thead><tbody>
</tbody></table>";
}

$resultArray = array("htmlStr" => $resultStr, "pagingParam" => $p_info[1]["COUNT"],"searchParam" => $searchArray);
echo json_encode($resultArray);
?>