<?
include_once 'inc/auth.php';
include_once 'api/report.class.php';

$checkArr[] = $_REQUEST['dataSourceID'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

function __autoload($className) {
	require_once 'general/report/inc/' . $className . '.class.php';
}

$loginUserID = $_SESSION['LOGIN_USER_ID'];

$report = new Report;

$op = $_REQUEST['op'];

switch ($op) {
	case 'getModuleInfor' :
		$moduleName = $_REQUEST['moduleName'];
		$param = $_REQUEST['param'];

		$paramInfor = array();
		if ($param) {
			$paramInfor["workflowID"] = $param;
		}

		$reprotDataSourceTypeInfor = new $moduleName;
		$groupByList = $reprotDataSourceTypeInfor -> getGroupByList($paramInfor);
		$dataAnalysisList = $reprotDataSourceTypeInfor -> getDataAnalysisList($paramInfor);

		echo json_encode(array(
			"groupByList" => $groupByList,
			"dataAnalysisList" => $dataAnalysisList
		));
		break;

	case 'getTag' :
		echo json_encode($report -> getTagList());
		break;
	case 'new' :
		$dataSourceID = $_REQUEST['dataSourceID'];

		$dataSourceInfor = $_REQUEST['dataSourceInfor'];

		if ($dataSourceInfor['DATASOURCE_PARAM']) {
			$dataSourceInfor['DATASOURCE_PARAM'] = json_encode($dataSourceInfor['DATASOURCE_PARAM']);
		}

		if ($dataSourceInfor['DATASOURCE_DATA_ANALYSIS']) {
			$dataSourceInfor['DATASOURCE_DATA_ANALYSIS'] = implode($dataSourceInfor['DATASOURCE_DATA_ANALYSIS'], ",");
		}

		if ($dataSourceInfor['DATASOURCE_TAG']) {
			$dataSourceInfor['DATASOURCE_TAG'] = implode($dataSourceInfor['DATASOURCE_TAG'], ",");
		}

		if ($dataSourceID) {
			echo $report -> updateDataSource($dataSourceInfor, $dataSourceID);
		} else {

			$dataSourceInfor['DATASOURCE_CREATE_USER_ID'] = $loginUserID;
			$dataSourceInfor['DATASOURCE_CREATE_DATE_TIME'] = date("Y-m-d H:i:s");

			echo $report -> newDataSource($dataSourceInfor);
		}

		break;

	case 'delete' :
		$dataSourceID = $_REQUEST['dataSourceID'];

		echo $report -> deleteDataSource($dataSourceID);
		break;

	case 'checkUsedReport' :
		$dataSourceID = $_REQUEST['dataSourceID'];

		//获取使用此数据源的报表
		$reportList = $report -> getReportList("", "", "", "", array( array(
				"AND",
				"CHART_DATASOURCE_ID",
				"=",
				$dataSourceID
			)), false);
		echo count($reportList);
		break;

	case 'getList' :
		if (!get_magic_quotes_gpc()) {
			$search = addslashes($_REQUEST['lazySearch']);
		} else {
			$search = $_REQUEST['lazySearch'];
		}

		$where = array();

		if ($search) {
			array_push($where, array(
				"AND",
				"DATASOURCE_TITLE",
				"LIKE",
				"'%" . $search . "%'"
			));
		}
		echo json_encode($report -> getDataSourceList($where));

		break;
	default :
		break;
}
?>