<?php
include_once 'inc/auth.php';
include_once('inc/utility_all.php');
includelangpak('report');

$PAGE_TITLE	= $_lang["system_report"];
include_once 'inc/page_header.inc.php';
?>
		<link rel="stylesheet" id="theme-url" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
		<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
		<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
		<style>
			.datasource-list-wrap{
				width:300px;
				float:left;
				border-right:1px solid #D9D9D9;
			}
			.datasource-list{
				overflow-y:auto;
				overflow-x:hidden;
			}

			.datasource-form-wrap {
				margin-left:300px;
			}

			.datasource-form-wrap input[type='text']{
				width:218px;
			}

			.datasource-search{
				float:right;
				margin-top:6px;
				margin-right:3px;
			}



		</style>
	</head>
	<body>
		<div class="datasource-list-wrap">
			<div class="lazy_header">
				<span class="lazy-list-title">
					<i class="fa fa-list-title"></i>
					<span class="tip"><?=$_lang['report_source'];?></span>
				</span>

				<input type="button" value="<?=$_lang['report_new'];?>" class="btn btn-primary new"/>
				<div class="datasource-search"></div>
			</div>
			<div class="datasource-list"></div>
		</div>
		<div class="datasource-form-wrap">
			<div class="lazy_header">
				<div class="toggle-list"></div>
				<span class="lazy-page-title">
					<i class="fa fa-page-title"></i>
					<span class="tip"><?=$_lang['report_new_source'];?></span>
				</span>
				<input type="button" value="<?=$_lang['report_submit'];?>" class="btn btn-primary save" />
			</div>
			<table class="form_table">
				<tr>
					<td class="title"><?=$_lang['report_title'];?></td>
					<td>
						<input type="text" class="require datasource-title">
					</td>
				</tr>
				<tr>
					<td class="title"><?=$_lang['report_tag'];?></td>
					<td>
						<select multiple class="datasource-tag"></select>
					</td>
				</tr>
				<tr>
					<td class="title"><?=$_lang['report_type'];?></td>
					<td>
						<select class="datasource-type">
							<option value="workflow"><?=$_lang['report_workflow'];?></option>
							<option value="archive"><?=$_lang['report_personal_records'];?></option>
							<option value="customer"><?=$_lang['report_customer'];?></option>
							<option value="contract"><?=$_lang['report_contract'];?></option>
							<option value="business"><?=$_lang['report_business'];?></option>
							<option value="custom"><?=$_lang['report_custom'];?></option>
						</select>
					</td>
				</tr>
				<tr class="url-wrap hide">
					<td class="title">URL</td>
					<td>
						<input type="text" class="require datasource-url">
					</td>
				</tr>
				<tr class="workflow-name-wrap">
					<td class="title"><?=$_lang['report_workflow_name'];?></td>
					<td>
						<form name="formbaseinfo" id="formbaseinfo">
							<input type="hidden" name="FLOW_TEMPLATE_ID" class="flow-id" id="FLOW_TEMPLATE_ID">
							<input type="text" readonly="readonly" name="FLOW_TEMPLATE_NAME" id="FLOW_TEMPLATE_NAME" class="require workflow-name "/>
							<input type="button" class="btn btn-primary choose-workflow" value="<?=$_lang['report_select'];?>"/>
						</form>
					</td>
				</tr>
				<tr class="groupby-list-wrap">
					<td class="title"><?=$_lang['report_custom']?></td>
					<td>
						<select data-none-selected-text ="<?=$_lang['report_select_custom']?>" class="groupby-list"></select>
					</td>
				</tr>
				<tr class="data-analysis-list-wrap">
					<td class="title"><?=$_lang['report_data_analysis']?></td>
					<td>
						<select data-none-selected-text ="<?=$_lang['report_select_data_analysis']?>" multiple class="data-analysis-list"></select>
					</td>
				</tr>
				<tr class="tip-infor-wrap" style="display:none;">
					<td class="title"></td>
					<td>
						<ul style="margin-top:20px;">
							<li>
								<i class="fa fa-square fa-fw" style="color: #f9e8da;"></i> <?=$_lang['report_edit_source_note']?>
							</li>
							<li>
								<i class="fa fa-square fa-fw" style="color: #f9e8da;"></i> <?=$_lang['report_modify_new_source']?>
							</li>
						</ul>
					</td>
				</tr>
			</table>
		</div>
		<div id="test-dialog"></div>
	</body>
</html>

<script src="/inc/jquery/jquery.js"></script>
<script src="/lang/<?=$_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script src="/newplugins/js/jquery.lazyplugins.js"></script>
<script src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>

<script>

	function getFlowData(){
		getReportInfor("workflow",$("#FLOW_TEMPLATE_ID").val());
	}
	function getReportInfor(moduleName, param, groupByValue, dataAnalysisValue){
			$.ajax({
				url:"do.php",
				data:{
					op:"getModuleInfor",
					moduleName : moduleName,
					param:param
				}
			}).done(function(result){

				if(result){
					var parsedData = $.parseJSON(result);


					//分组依据
					var groupByHtml = [];
					$.each(parsedData.groupByList, function(index,value){
						var subText = "";
						if(moduleName == "workflow"){
						 	subText = index.indexOf("DATA_")==-1?"<?=$_lang['report_sys_field']?>":"<?=$_lang['report_form_field']?>";
						}

						groupByHtml.push('<option data-subtext="'+subText+'" value="'+index+'">'+value.title+'</option>');
					});

					$("select.groupby-list").html(groupByHtml.join(''));

					if(groupByValue){
						$("select.groupby-list").val(groupByValue);
					}
					$("select.groupby-list").selectpicker("refresh");

					//数据分析
					var dataAnalysisHtml = [];
					$.each(parsedData.dataAnalysisList, function(index,value){
						var subText = "";
						if(moduleName == "workflow"){
						 	subText = index.indexOf("DATA_")==-1?"<?=$_lang['report_sys_field']?>":"<?=$_lang['report_form_field']?>";
						}
						dataAnalysisHtml.push('<option data-subtext="'+subText+'" value="'+index+'">'+value.title+'</option>');
					});

					$("select.data-analysis-list").html(dataAnalysisHtml.join(''));

					if(dataAnalysisValue){
						$("select.data-analysis-list").val(dataAnalysisValue.split(','));
					}

					$("select.data-analysis-list").selectpicker("refresh");

				}
			});
		}

	$(function() {

		$("#test-dialog").dialog({
			autoOpen:false
		})

		$.pnotify.defaults.styling = "bootstrap3";
	    $.pnotify.defaults.closer = false;
	    $.pnotify.defaults.sticker = false;
	    $.pnotify.defaults.history = false;
	    $.pnotify.defaults.delay = 1000;
	    $.pnotify.defaults.addclass = "stack-topleft";
	    $.pnotify.defaults.animate_speed = 'fast';
	    $.pnotify.defaults.type = "error";

		$(".datasource-list").height($(window).height()-40).niceScroll();

		$(".datasource-search").LazySearch({
			tip:"<?=$_lang['report_query_source']?>",
			width:140,
			url:"do.php",
			autoSearch : {
                template : "{DATASOURCE_TITLE}",
                onItemClick : function(data) {
					selectDataSource(data);
                 }
            },
			param:{
				op:"getList"
			}
		});


		$(".choose-workflow").click(function(event){
			LoadWindowWorkflow("FLOW_TEMPLATE_ID","FLOW_TEMPLATE_NAME", event,"getFlowData");
		});

		$("select[class!='datasource-tag']").selectpicker();

		$.ajax({
			url:"do.php",
			data:{
				op:"getTag"
			}
		}).done(function(result){
			if(result){
				var parsedData = $.parseJSON(result);

				var tagHtml = [];
				$.each(parsedData,function(index,value){
					tagHtml.push('<option value="'+index+'">'+value.TAG_TITLE+'</option>');
				});

				$("select.datasource-tag").html(tagHtml.join('')).selectpicker({
					noneSelectedText:"<?=$_lang['report_select_tag']?>"
				});
			}
		});

		function resetForm(){
			$(".datasource-form-wrap .tip").html("<?=$_lang['report_new_source']?>");
			$(".datasource-title").val("");
			$(".datasource-tag").val("").selectpicker("refresh");
			$(".datasource-type").val("workflow").prop("disabled",false).selectpicker("refresh");
			$(".flow-id").val("");

			$(".workflow-name-wrap").removeClass("hide");
			$(".workflow-name").val("");
			$("select.groupby-list").html('').selectpicker("refresh");
			$("select.data-analysis-list").html('').selectpicker("refresh");
			$(".choose-workflow").prop("disabled",false);
			$(".save").removeData("dataSourceID");

			$(".tip-infor-wrap").hide();
			$(".url-wrap").addClass('hide');
			$(".groupby-list-wrap").removeClass('hide');
			$(".data-analysis-list-wrap").removeClass('hide');
		}

		function selectDataSource(data){
			$(".datasource-form-wrap .tip").html("<?=$_lang['report_edit_source']?>");
				$(".datasource-title").val(data.DATASOURCE_TITLE);

				if(data.DATASOURCE_TAG) {
					$("select.datasource-tag").val(data.DATASOURCE_TAG.split(',')).selectpicker("refresh");

				}else{
					$("select.datasource-tag").val("").selectpicker("refresh");
				}

				$(".save").data("dataSourceID",data.DATASOURCE_ID);

				$("select.datasource-type").val(data.DATASOURCE_TYPE).prop("disabled",true).selectpicker("refresh");

				var param = "";


				$(".url-wrap,.workflow-name-wrap,.groupby-list-wrap,.data-analysis-list-wrap").addClass("hide");

				var parsedParam = data.DATASOURCE_PARAM?$.parseJSON(data.DATASOURCE_PARAM):{};

				if(data.DATASOURCE_TYPE == "custom"){
					$(".url-wrap").removeClass("hide");
					$(".datasource-url").val(parsedParam.url);
				}else{

					$(".url-wrap").addClass("hide");

					if(data.DATASOURCE_TYPE == "workflow"){

						param = parsedParam.workflowID;

						$(".workflow-name").val(data.FLOW_NAME);
						$(".flow-id").val(param);

						$(".choose-workflow").prop("disabled",true);


						$(".workflow-name-wrap").removeClass("hide");
						$("select.groupby-list,select.data-analysis-list").html('').selectpicker("refresh");

					}

					$(".groupby-list-wrap,.data-analysis-list-wrap").removeClass("hide");
					getReportInfor(data.DATASOURCE_TYPE, param, data.DATASOURCE_GROUPBY, data.DATASOURCE_DATA_ANALYSIS);
				}

					$(".tip-infor-wrap").show();
		}




		$(".datasource-type").change(function(){
			var moduleName = $(this).val();

			$(".url-wrap,.workflow-name-wrap,.groupby-list-wrap,.data-analysis-list-wrap").addClass("hide");

			if(moduleName == "custom"){
				$(".url-wrap").removeClass("hide");
			}else{

				$(".url-wrap").addClass("hide");

				if(moduleName == "workflow"){
					$(".workflow-name-wrap").removeClass("hide");
					$(".workflow-name").val("");
					$("select.groupby-list,select.data-analysis-list").html('').selectpicker("refresh");
				}else{
					getReportInfor(moduleName, "");
				}

				$(".groupby-list-wrap,.data-analysis-list-wrap").removeClass("hide");
			}
		});

		$(".toggle-list").LazyToggle({
			onAfterShow : function() {
				$(".datasource-list-wrap").show();
				$(".datasource-form-wrap").css("margin-left","300px");
			},
			onAfterHide : function() {
				$(".datasource-list-wrap").hide();
				$(".datasource-form-wrap").css("margin-left","0");
			}
		});

		$(".new").click(function(){
			resetForm();
		});

		$(".datasource-list").LazyList({
			dataSource:"do.php",
			param:{
				op:"getList"
			},
			buttons:{
				buttonInfor:{
					"delete":{
						title:"<?=$_lang['report_delete']?>",
						func:function(data){

							//检查是否有使用此数据源的报表
							$.ajax({
								url:"do.php",
								data:{
									op:"checkUsedReport",
									dataSourceID:data.DATASOURCE_ID
								}
							}).done(function(result){

								var msg = "<?=$_lang['report_delete_source?']?>";
								if(result > 0){
									msg = "<span style='color:red;'>有" + result + "<?=$_lang['report_delete_and_error?']?></span>"
								}

								bootbox.confirm(msg, function(result) {
							      if(result){

							          $.ajax({
							          	url:"do.php",
							          	data:{
							          		op:"delete",
							          		dataSourceID:data.DATASOURCE_ID
							          	}
							          }).done(function(result){

							          	if(result){
							          		$.pnotify({
												text:"<?=$_lang['report_do_success']?>",
												type:"success"
											});

											$(".datasource-list").LazyList("reload");
											resetForm();
							          	}else{
							          		$.pnotify("<?=$_lang['report_do_failure']?>");
							          	}
							          });
							      }
							    });
							});

						}
					}
				}
			},
			itemTitleTemplate:"{title}",
			itemListTemplate:"{DATASOURCE_TITLE}",
			onItemClick : function(ui, data, event) {
				selectDataSource(data);
			}
		});


		$(".save").click(function(){

			//数据源标题
			var dataSourceTitle = $.trim($(".datasource-title").val());

			if(dataSourceTitle == ""){
				$.pnotify("<?=$_lang['report_input_title_please']?>");
				return false;
			}

			//标签
			var tag  = $(".datasource-tag").val() ? $(".datasource-tag").val() : "";

			//数据源类型
			var dataSourceType = $(".datasource-type").val();

			//分组依据
			var groupBy = $(".groupby-list").val();

			//分组数据
			var dataAnalysis = $(".data-analysis-list").val() ? $(".data-analysis-list").val() : "";


			//流程ID
			var workflowID = $(".flow-id").val();

			//url
			var url = $.trim($(".datasource-url").val());

			var param = {};

			if(dataSourceType == "custom"){
				if(url == "") {
					$.pnotify("<?=$_lang['report_input_url']?>");
					return false;
				} else {
					$.extend(param,{url:url});
				}
			}

			if(dataSourceType == "workflow"){
				if(workflowID==""){
					$.pnotify("<?=$_lang['report_select_workflow']?>");
					return false;
				} else{
					$.extend(param,{workflowID:workflowID});
				}

			}

			var dataSourceID = $(this).data("dataSourceID") ? $(this).data("dataSourceID") : "";

			$.ajax({
				url:"do.php",
				data:{
					op:"new",
					dataSourceID:dataSourceID,
					dataSourceInfor:{
						DATASOURCE_TITLE:dataSourceTitle,
						DATASOURCE_TAG : tag,
						DATASOURCE_TYPE:dataSourceType,
						DATASOURCE_GROUPBY:groupBy,
						DATASOURCE_DATA_ANALYSIS:dataAnalysis,
						DATASOURCE_PARAM:param
					}
				}
			}).done(function(result){
				if(result){
					$.pnotify({
						text:"<?=$_lang['report_do_success']?>",
						type:"success"
					});

					$(".datasource-list").LazyList("reload");

					if(!dataSourceID){
						resetForm();
					}

				}else{
					$.pnotify("<?=$_lang['report_do_failure']?>");
				}
			});

		});
	});
</script>
