<?php
include_once 'inc/auth.php';
include_once 'api/report.class.php';

function __autoload($className) {
	if ($className != 'custom') {
		require_once 'general/report/inc/' . $className . '.class.php';
	}
}

$op = $_REQUEST['op'];
$view = isset($_REQUEST['view']) ? $_REQUEST['view'] : 'list';
$isCount = isset($_REQUEST['isCount']) ? $_REQUEST['isCount'] : false;

$report = new Report;

$loginUserID = $_SESSION['LOGIN_USER_ID'];
$loginPrivID = $_SESSION['LOGIN_USER_PRIV'];
$loginDeptID = $_SESSION['LOGIN_DEPT_ID'];
switch ($op) {
	case 'getList' :
		$where = array();
		if ($_REQUEST['lazySearch']) {
			array_push($where, array("AND CHART_TITLE LIKE '%" . $_REQUEST['lazySearch'] . "%'"));
		}

		if (count($where) > 0) {
			$viewMode = "table";
		} else {
			$viewMode = "list";
		}
		
		if($isCount && $view = 'table'){
			$viewMode = $view;
		}
		$reportList = $report -> getReportList($loginUserID, $loginPrivID, $loginDeptID, $_REQUEST["sortField"] ? $_REQUEST["sortField"] : "CHART_CREATE_TIME", $_REQUEST["sortType"] ? $_REQUEST["sortType"] : "DESC", $_REQUEST["currentPage"], $_REQUEST["itemsPerPage"], $where, $isCount, $viewMode);
		
		echo json_encode($reportList);

		break;
	case 'getListForTable':
		
		break;
	default :
		break;
}
?>