<?php
include_once 'inc/auth.php';
include_once('inc/utility_all.php');
includelangpak('report');

$PAGE_TITLE	= $_lang["system_report"];
include_once 'inc/page_header.inc.php';
?>
		<link rel="stylesheet" id="theme-url" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
		<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>
		<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
		<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
		<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
		<style>
			.report-list-wrap{
				width:300px;
				float:left;
				border-right:1px solid #D9D9D9;
			}
			.report-list,.report-infor-wrap{
				overflow-y:auto;
				overflow-x:hidden;
			}

			.report-form-wrap {
				margin-left:300px;
			}

			.report-form-wrap input[type='text']{
				width:218px;
			}

			.report-search{
				float:right;
				margin-top:6px;
				margin-right:3px;
			}

			.chart-type-preview-wrap{
				height: 60px;
				line-height: 60px;
			}

			.chart-infor-wrap{
				display: none;
			}

			.chart-type-preview-wrap a{
				float:left;
				display: block;
				padding:0 20px;
			}

			.chart-type-preview-wrap a.active{
				color: #000000;
			}


			textarea{
				width:300px;
				height: 80px;
			}

			.close-dialog{
				line-height: 40px;
				margin-right: 10px;
				cursor: pointer;
			}

			i:hover{
				color:#3498DB;
			}

		</style>
	</head>
	<body>
		<div class="report-list-wrap">
			<div class="lazy_header">
				<span class="lazy-list-title">
					<i class="fa fa-list-title"></i>
					<span class="tip"><?=$_lang['report_report']?></span>
				</span>

				<div class="report-search"></div>
			</div>
			<div class="report-list"></div>
		</div>
		<div class="report-form-wrap">
			<div class="lazy_header">
				<div class="toggle-list"></div>
				<input type="button" value="<?=$_lang['report_save_excel']?>" class="btn btn-primary save-excel" />
			</div>

			<div class="alert alert-info empty-tip" style="width:80%;margin:25px auto;"><?=$_lang['report_select_left_source']?></div>

			<div class="chart-infor-wrap">

				<div class="chart-wrap"></div>
				<div class="excel-title" style="display:none;text-align:center;height:30px;line-height:30px;font-size:16px;color:#333;"></div>
				<div class="excel-wrap" style="display:none;"></div>
					<div class="chart-form">
						<table class="form_table">
							<tr>
								<td class="title"><?=$_lang['report_source'];?></td>
								<td>
									<span class="chart-datasource-title"></span>
								</td>
							</tr>
						</table>
					</div>
			</div>
		</div>
		<input type="hidden" id="chart_id" />
		<input type="hidden" id="dateType" />
		<input type="hidden" id="time_year" />
		<input type="hidden" id="time_month" />
	</body>
</html>

<script src="/inc/jquery/jquery.js"></script>
<script src="/lang/<?=$_SESSION['LOGIN_LANG'] ?>/javascript.lang.js"></script>
<script src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts.src.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts-more.js"></script>
<script type="text/javascript" src="/general/report/inc/jquery.lazyreport.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script>
// alert(Highcharts.Chart.prototype.exportChart);
	$(function() {
		$.pnotify.defaults.styling = "bootstrap3";
		$.pnotify.defaults.closer  = false;
		$.pnotify.defaults.sticker = false;
		$.pnotify.defaults.history = false;
		$.pnotify.defaults.delay   = 1000;

		$('.save-excel').click(function(){
			var reportID = $("#chart_id").val();

			if (reportID) {
				//时间筛选
				var dateType = $('.report-type-filter li.current').attr("mode");
				var time_year	= $('.year-select').val();
				var time_month	= $('.month-select').val();

				if((dateType=='day')&&(typeof time_year!='undefined')&&(typeof time_month!='undefined')){
					var dateValue = time_year+'-'+time_month;
				}else if((dateType!='year')&&typeof time_year!='undefined'){
					var dateValue = time_year;
				}else{
					var dateValue = '';
				}

				location.href='export.php?reportID='+reportID+'&dateType='+dateType+'&dateValue='+dateValue;	
			} else {
				$.pnotify({
					type : "error",
					text : "<?=$_lang['report_select_output']?>"
				});			
			}
		})

		$(".set-data-filter").click(function() {
			$(".filter-data-dialog").dialog("open");
		});

		$(".report-list,.report-infor-wrap").height($(window).height() - 40).niceScroll();

		$(".report-search").LazySearch({
			tip : "<?=$_lang['report_query_report']?>",
			width : 150,
			param : {
				op : "getList"
			},
			autoSearch : {
				template : "{CHART_TITLE}",
				onItemClick : function(data) {
					selectReport(data);
				}
			}
		});

		$(".report-list").LazyList({
			dataSource : "do.php",
			param : {
				op : "getList"
			},
			itemTitleTemplate : "{title}",
			itemListTemplate : "{CHART_TITLE}",
			onItemClick : function(ui, data, event) {
				$("#chart_id").val(data.CHART_ID);
				selectReport(data);
			},
			onInit : function() {
				if ($(".report-list .item_list_wrap li").length == 0) {
					$(".empty-tip").addClass("alert-danger").html("<?=$_lang['report_create_first'];?>");
				}
			}
		});

		function selectReport(data){
			$(".empty-tip").hide();
			$(".chart-infor-wrap").show();

			var urlArr = [];
			var urlArrs = data['CHART_SEARCH'].split("&");
			for(var x in urlArrs) {
				var urlList = x.split("=");
				urlArr[urlList[0]]=urlList[1];
			}

			$(".chart-wrap").LazyReport({
				reportID:data.CHART_ID,
				time_filter:urlArr['time_filter'],
				time_year:urlArr['time_year'],
				time_month:urlArr['time_month'],
				onCreate:function(dataSourceInfor){
					if(typeof dataSourceInfor != 'undefined'){
						$(".chart-datasource-title").html(dataSourceInfor.DATASOURCE_TITLE);
					}
				}
			});
			$(".chart-wrap").LazyReport("createChart");

		}

		$(".toggle-list").LazyToggle({
			onAfterShow : function() {
				$(".report-list-wrap").show();
				$(".report-form-wrap").css("margin-left", "300px");
				$(".chart-wrap").LazyReport("reflowChart");
			},
			onAfterHide : function() {
				$(".report-list-wrap").hide();
				$(".report-form-wrap").css("margin-left", "0");
				$(".chart-wrap").LazyReport("reflowChart");
			}
		});
	});
</script>
