<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/salary/manage/sal_fow/add.php
 *@function:         新建工资上报流程-保存
 *@encoding:         $_lang['encoding']
 *@author:           sun|www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-01-19
 *@file Version:     4.0
 *@eoffice Version:  8.0
*/
include_once("inc/auth.php");
includelangpak("hr");
include_once("inc/check_type.php");
include_once("inc/utility_all.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
</head>
<body style="background:'transparent'">
<?php
function Button_Back1(){
	global $_lang;
	?>
	<div class="lazy_header">
		<div class="button">
			<buttton type="button" class="btn btn-default" onclick="window.location='index.php';"><?=$_lang["common_back"]?></button>
		</div>
	</div>
<?php
}

$CUR_DATE=date("Y-m-d",time());
//----------- 合法性校验 ---------
if($BEGIN_DATE != "")
{
	$TIME_OK = is_date($BEGIN_DATE);
	if(!$TIME_OK)
	{
		Button_Back1();
		Message($_lang["common_waring"],$_lang["hr_report_startdate_format_error"]);		
		exit;
	}
}

if($END_DATE!="")
{
	$TIME_OK=is_date($END_DATE);
	if(!$TIME_OK)
	{		
		Button_Back1();
		Message($_lang["common_waring"],$_lang["hr_report_enddate_format_error"]);
		exit;
	}
}
if(compare_date($BEGIN_DATE,$CUR_DATE)<0)
{
	Button_Back1();
	Message($_lang["common_waring"],$_lang["hr_report_start_date_error"]);
	exit;
}
if(compare_date($BEGIN_DATE,$END_DATE)==1)
{	
	Button_Back1();
	Message($_lang["common_waring"],$_lang["hr_report_start_before_end_error"]);
	exit;
}
$CONTENT = SecurityFilter($CONTENT);
$BEGIN_DATE = SecurityFilter($BEGIN_DATE);
$END_DATE = SecurityFilter($END_DATE);
$CONTENT1=$CONTENT;
$SEND_TIME=date("Y-m-d H:i:s",time());
$query = "INSERT INTO sal_flow(BEGIN_DATE,END_DATE,CONTENT,SEND_TIME) VALUES ('$BEGIN_DATE','$END_DATE','$CONTENT','$SEND_TIME')";
exequery($connection,$query);

//------- 短信提醒 --------
if($SMS_REMIND=="on")
{
	$SMS_CONTENT=$_lang["hr_report_salary"]."！\n".$_lang["hr_info_exta_explain"]."：".csubstr($CONTENT1,0,100);
	if(compare_date($BEGIN_DATE,$CUR_DATE)!=0)
	$SEND_TIME = $BEGIN_DATE;
	$query     = "SELECT * FROM user,user_priv  
					  WHERE user.USER_PRIV=user_priv.USER_PRIV 
					  AND FUNC_ID_STR like '%,19,%' AND user.DEPT_ID > 0 ";
	$cursor=exequery($connection,$query);
	while($ROW=mysql_fetch_array($cursor))
	{
		$USER_ID=$ROW["USER_ID"];
		$query1="INSERT  INTO sms(FROM_ID,TO_ID,SMS_TYPE,CONTENT,SEND_TIME,REMIND_FLAG) VALUES ('$LOGIN_USER_ID','$USER_ID','4','$SMS_CONTENT','$SEND_TIME','1')";
		exequery($connection,$query1);
	}
}
?>
<script>
	setTimeout("locationhref()",0);
	function locationhref(){
		window.location.href="index.php";
	} 
</script>
</body>
</html>