<?php
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/salary/manage/sal_flow/report.php
 *@function:         新建工资上报流程-报表
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-29
 *@file Version:     4.0
 *@eoffice Version:  8.0
*/

include_once("inc/auth.php");
includelangpak("hr");
include_once("inc/utility_all.php");

//安全性判断
if(!is_numeric($_REQUEST['FLOW_ID'])){
	Message('',$_lang["common_param_error"],'failed');
	exit;
}
$_REQUEST['FLOW_ID'] = SecurityFilter($_REQUEST['FLOW_ID']);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["hr_info_report_forms"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$(function(){
	$(".reportDetail").height($(window).height()-40);
	$(".reportDetail").niceScroll({cursorwidth:"10px"});
});
</script>
</head>
<body style="overflow:hidden;">
<?
$query = "SELECT count(*) from SAL_ITEM";
$ITEM_COUNT=0;
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
	$ITEM_COUNT=$ROW[0];
if($ITEM_COUNT==0)
{
	Message($_lang["common_prompt"],$_lang["hr_info_set_no_path"]);
	Button_back();
	exit;
}
?>
<div class="lazy_header">
	<span class="lazy-page-title">
		<i class="fa fa-page-title"></i>
		<span class="tip"><?=$_lang["hr_info_report_forms"]?></span>
	</span>
	<button type="button" class="btn btn-primary" onClick="location='create_excel.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>'">
	<?=$_lang["hr_info_forms_export"]?>
	</button>
</div>
<div class="reportDetail">
		<table border="0" width="100%" cellspacing="0" cellpadding="5" class="table">
			<thead>
				<tr style="background-color:E6E6E6;">
					<td nowrap align="center"><?=$_lang["common_dept"]?></td>
					<td align="center" nowrap><?=$_lang["common_name"]?></td>
					<td align="center" nowrap><?=$_lang["hr_info_work_position"]?></td>
					<?
					$query = "SELECT * FROM sal_item";
					$cursor= exequery($connection,$query);
					while($ROW=mysql_fetch_array($cursor))
					{
						$ITEM_NAME=$ROW["ITEM_NAME"];

					?>
							<td align="center" nowrap><?=$ITEM_NAME?></td>
					<?
					}
					?>
					<td align="center" nowrap><?=$_lang["hr_info_work_total"]?></td>
				</tr>
			</thead>
		<?
		$query = "SELECT * FROM user,user_priv,department WHERE department.DEPT_ID=user.DEPT_ID AND user.USER_PRIV=user_priv.USER_PRIV ORDER BY DEPT_NO,PRIV_NO,USER_NAME";
		$cursor= exequery($connection,$query);
		$USER_COUNT=0;
		$LINE_COUNT=0;
		$TOTAL_U_STR = "";
		while($ROW=mysql_fetch_array($cursor))
		{
			$USER_COUNT++;
			$LINE_COUNT++;
			
			$USER_ID=$ROW["USER_ID"];
			$USER_NAME=$ROW["USER_NAME"];
			$DEPT_ID=$ROW["DEPT_ID"];
			$USER_PRIV=$ROW["USER_PRIV"];
			
			$query1="select * from DEPARTMENT where DEPT_ID=$DEPT_ID";
			$cursor1= exequery($connection,$query1);
			if($ROW=mysql_fetch_array($cursor1))
				$DEPT_NAME=$ROW["DEPT_NAME"];
			if($DEPT_ID==0)
				$DEPT_NAME=$_lang["hr_info_work_notin"];
			
			$query1 = "SELECT * from USER_PRIV where USER_PRIV='$USER_PRIV'";
			$cursor1= exequery($connection,$query1);
			if($ROW=mysql_fetch_array($cursor1))
				$USER_PRIV=$ROW["PRIV_NAME"];
		?>

			<tr class="<?=$TableLine?>">
				<td nowrap align="center"><?=$DEPT_NAME?></td>
				<td nowrap align="center"><?=$USER_NAME?></td>
				<td nowrap align="center"><?=$USER_PRIV?></td>
		<?
			$query1="SELECT * FROM sal_data WHERE FLOW_ID=$FLOW_ID and USER_ID='$USER_ID'";
			$cursor1= exequery($connection,$query1);
			$totalPnStr = "";
			if($ROW=mysql_fetch_array($cursor1))
			{
				for($I=1;$I<=$ITEM_COUNT;$I++)
				{
					$STR="S".$I;
					$$STR=format_money($ROW["$STR"]);
					$totalPnStr += $$STR;
				}
				$totalPnStr = format_money($totalPnStr);
			}
			else
			{
				for($I=1;$I<=$ITEM_COUNT;$I++)
				{
					$STR="S".$I;
					$$STR="";
				}
			}
			$TOTAL_U_STR += $totalPnStr;
			for($I=1;$I<=$ITEM_COUNT;$I++)
			{
				$STR="S".$I;
				$STR_COUNT=$STR."_COUNT";
				$$STR_COUNT+=$$STR;
				
				if($$STR=="")
					$$STR="&nbsp;";
		?>
				<td nowrap align="right"><?=$$STR?></td>
		<?
			}
		?>
				<td nowrap align="right"><?=$totalPnStr?></td>
			</tr>
		<?
		 }

		if($USER_COUNT==0)
		{
		?>
			<div align="center"><?=$_lang["hr_info_set_user_null"]?></div><br>
		<?
		}
		else
		{
		?>
			<tr bgcolor="#EEEEEE">
			<td nowrap align="center" colspan="3"><?=$_lang["hr_info_work_total"]?></td>
			<?
			$TOTAL_U_STR = format_money($TOTAL_U_STR);   
			for($I=1;$I<=$ITEM_COUNT;$I++)
			{
				$STR="S".$I;
				$STR_COUNT=$STR."_COUNT";
				$DATA=format_money($$STR_COUNT);
				if($DATA=="")
				$DATA="&nbsp;";
			?> 
				<td nowrap align="right"><?=$DATA?></td>
			<?
			}
			?>
				<td nowrap align="right"><span style="color:red"><?=$TOTAL_U_STR?></span></td>
			</tr>
		<?
		}
		?>
		</table>
	</div>
</body>
</html>