<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/salary/submit/import_excel.php
 *@function:         导入工资报表
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-29
 *@file Version:     5.0
 *@eoffice Version:  8.0
*/

include_once("inc/auth.php");
includelangpak("hr");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["hr_import_salary_report"]?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<style>
	.a-upload {
	    padding: 4px 10px 7px 10px;
	    position: relative;
	    cursor: pointer;
	    background: #558ED5;
	    overflow: hidden;
	    font-size: 12px;
	    color: white;
	}
	 
	.a-upload  input {
	    position: absolute;
	    right: 0;
	    top: 0;
	    opacity: 0;
	    filter: alpha(opacity=0);
	    cursor: pointer;
	}
	 
	.a-upload:hover {
	    background: #104E8B;
	    color: white;
	}
</style>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
$(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	$("#report_csv_file").change(function(){
        $("#ATTACHMENT_path").val($(this).val());
    });
});
</script>
</head>
<body>
	<div id="message"></div>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["hr_import_salary_report"]?></span>
		</span>
		<button type="button" class="btn btn-primary" onClick="import_csv()"><?=$_lang["hr_address_group_export"]?></button>		
		<button type="button" class="btn btn-default" onClick="javascript:history.back();">
			<?=$_lang["common_back"]?>
		</button>
	</div>
	<form name="form1" id="form1" action="process_csv.php" method="post" enctype="multipart/form-data">
		<input type="hidden" name="FLOW_ID" id="FLOW_ID" value="<?=$FLOW_ID?>" >
		<table border="0" cellspacing="1" width="100%"  cellpadding="5" class="form_table">
			<tr>
				<td class="title">
					<?=$_lang["hr_choose_salary_report_csv"]?>
				</td>
				<td>
					<div>
						<input type="text" id="ATTACHMENT_path" class="" size="25" readonly/>
						<span class="a-upload">
							<input type="file" name="report_csv_file" id="report_csv_file" size="30"/>请选择文件
			      		</span>
			      	</div>
				</td>
			</tr>
		</table>
	</form>
</body>
</html>
<script language="javascript">
function import_csv()
{
	if(!document.getElementById("report_csv_file").value)
	{
		$.pnotify({
			text:"<?=$_lang["hr_choose_salary_report_csv"]?>",
			type:"error"
		});
		return false;
	}

	var file_name = document.getElementById("report_csv_file").value;
	if(file_name)
	{
		var file_end = file_name.substr(file_name.lastIndexOf('.')+1);;
	}

	if(file_end != "csv")
	{
		$.pnotify({
			text:"<?=$_lang["hr_not_csv"]?>",
			type:"error"
		});
		return false;
	}
	document.getElementById("form1").submit();
}
</script>
