<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      供应商管理页
 * @encoding      $_lang['encoding']
 * @name          general/provider/manage/index.php
 * @version       14
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-12
 */
include_once 'inc/conn.php';
include_once("inc/utility_all.php");
include_once("inc/check_type.php");
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer");

$customerObj = new customer();

$op=$_REQUEST['op'];

$LOGIN_USER_ID=$_SESSION['LOGIN_USER_ID'];

switch ($op) {
	case 'getProductList':
		$list 		= $customerObj->getList($customerObj->getProductSql($_REQUEST));
		$totalCount = $customerObj->getNum($customerObj->getProductSql($_REQUEST,2));	
		foreach ($list as $k=>$row) {
			$list[$k]["PRODUCT_CREATE_USER_NAME"]=showUserGeneral($row['PRODUCT_CREATE_USER']);
		}

		echo json_encode(array(
			"totalCount" => $totalCount,
			"list" => $list
		));
		break;
	case 'delete_all':
		$product_ids    = $_REQUEST['productids'];
		$product_id_arr = explode( ',', $product_ids);

		$error_info = array();
		$i = 0;

		//依次查找要删除的客户 关联联系人，联系记录，销售记录.
		foreach($product_id_arr as $id){
			$error_info[$i]['id'] = $id ;	
			$i++;
		}

		//获取错误信息
		$j = 0;
		foreach($error_info as $info)
		{	
			$CNT = $customerObj->getDataNum('sale_history',"PRODUCT_ID='".$info['id']."'");
			$row = $customerObj->getDataOne('product','*',"PRODUCT_ID='".$info['id']."'");
			if($row) {
				$create = $row["PRODUCT_CREATE_USER"];
			}		
			if($LOGIN_USER_ID != $create || $CNT!=0) {
				 Message("",$_lang["customer_man_no_power"]);
				 exit;
			}
			$customerObj->del_data("PRODUCT", $info['id']);
			unset ( $error_info[$j] );
			$j++;
		}

		sort($error_info); 
		//如果所勾选的客户下面没有关联信息
		if( !empty($error_info) )
			echo json_encode($error_info);
		else
			echo "1";
		break;
	case 'delete':
		$product_id = (int)$_REQUEST['product_id'];
		$CNT = $customerObj->getDataNum('sale_history',"PRODUCT_ID='".$product_id."'");
		$row = $customerObj->getDataOne('product','*',"PRODUCT_ID='".$product_id."'");
		if($row) {
			$create = $row["PRODUCT_CREATE_USER"];
		}
		if($LOGIN_USER_ID != $create || $CNT!=0) {
			echo "fail";
			exit;
		}

		$customerObj->del_data("PRODUCT",$product_id);
		//删除对应的销售记录
		echo "success";
		break;
	case 'update':
	case 'edit':
		$PRODUCT_ID = (int)$_REQUEST['PRODUCT_ID'];
		$_REQUEST['STANDARD_PRICE'] = sprintf("%01.2f",$_REQUEST['STANDARD_PRICE']);
		$_REQUEST['COST_PRICE']     = sprintf("%01.2f",$_REQUEST['COST_PRICE']);

		$customerObj->saveProduct($_REQUEST,$PRODUCT_ID);
		$factory = new PageFactory();
		$factory->saveFieldValuse('PRODUCT',$PRODUCT_ID,'PRODUCT_ID');
		if($op=='update'){
			if($_REQUEST['list_type'] == 'list'){
				header("location: list.php?".$QUERY_LIST);
			}else{
				header("location: index.php?isSuccess=1");		
			}
		}else if($op=='edit'){
			if($_REQUEST['list_type'] == 'list'){
				header("location: list.php?".$QUERY_LIST . "&sens=".$_REQUEST['sens']."&order=".$_REQUEST['order']."&cur_page=".$_REQUEST['cur_page']."");
			}else{
				header("location: index.php?cur_page=".$_REQUEST['cur_page']."&sens=".$_REQUEST['sens']."&order=".$_REQUEST['order']."");
			}
		}
		exit;
	case 'add':
		$STANDARD_PRICE = sprintf("%01.2f",$STANDARD_PRICE);
		$COST_PRICE     = sprintf("%01.2f",$COST_PRICE);

		if($ATTACHMENT_NAME!="")
		{
		    $ATTACHMENT_ID=upload($ATTACHMENT,$ATTACHMENT_NAME);
		    $ATTACHMENT_NAME=$ATTACHMENT_NAME;
		}

		$inarr = array(dhtmlspecialchars($PRODUCT_NAME),$PRODUCT_TYPE,dhtmlspecialchars($MEASURE_UNIT),dhtmlspecialchars($COST_PRICE),dhtmlspecialchars($STANDARD_PRICE),$PROVIDER_ID,$PRODUCT_DESC,$_SESSION['LOGIN_USER_ID']);
		$customerObj->saveData("PRODUCT", $inarr);

		$product_id = $customerObj->get_max_product_id();
		$factory    = new PageFactory();
		$factory->saveFieldValuse('PRODUCT',$product_id["mp_id"],'PRODUCT_ID');

		header("location: index.php?isSuccess=1");
		break;
	case 'search_where':
		$where_str   = array();
		$query="";

		if (trim($_REQUEST["PROVIDER_ID"]) != "") {
			$where_str['PROVIDER_ID'] = $_REQUEST["PROVIDER_ID"];
		}

		if (trim($_REQUEST["PRODUCT_NAME"]) != "") {
			$where_str['PRODUCT_NAME'] = dhtmlspecialchars($_REQUEST["PRODUCT_NAME"]);
		}

		if (trim($_REQUEST["PRODUCT_TYPE"]) != "") {
			$where_str['PRODUCT_TYPE'] = $_REQUEST["PRODUCT_TYPE"];
		}
		if (trim($_REQUEST["MEASURE_UNIT"]) != "") {
			$where_str['MEASURE_UNIT'] = dhtmlspecialchars($_REQUEST["MEASURE_UNIT"]);
		}
		if (trim($_REQUEST["COST_PRICE"]) != "") {
			$where_str['COST_PRICE'] = dhtmlspecialchars($_REQUEST["COST_PRICE"]);
		}

		if (trim($_REQUEST["STANDARD_PRICE"]) != "") {
			$where_str['STANDARD_PRICE'] = dhtmlspecialchars($_REQUEST["STANDARD_PRICE"]);
		}

		if (trim($_REQUEST["PRODUCT_DESC"]) != "") {
			$where_str['PRODUCT_DESC'] = $_REQUEST["PRODUCT_DESC"];
		}

		$SearchOtherField  = $_REQUEST['SearchOther'];
		if($SearchOtherField=="")
		{
			$OtherFieldObj    = new PageFactory();
			$SearchOtherField = $OtherFieldObj->getSetFieldSql('PRODUCT');
		}
		else
		{
			$SearchOtherField = urldecode($SearchOtherField);
			$SearchOtherField = str_replace('\\','',$SearchOtherField);
		}

		if (trim($SearchOtherField) != "") {
			$where_str['OTHER_FIELD'] = $SearchOtherField;
		}

		if($where_str) {
			foreach($where_str as $key=>$value) {
				if($key == "PROVIDER_ID") {
					$query .= " AND pt.PROVIDER_ID='".$value."'";
				}
				elseif($key == "PRODUCT_NAME") {
					$query .= " AND pt.PRODUCT_NAME LIKE '%".$value."%'";
				}
				elseif($key == "PRODUCT_TYPE") {
					$query .= " AND pt.PRODUCT_TYPE LIKE '%".$value."%'";
				}
				elseif($key == "MEASURE_UNIT") {
					$query .= " AND pt.MEASURE_UNIT LIKE '%".$value."%'";
				}
				elseif($key == "COST_PRICE") {
					if(is_numeric($value)) {
						$query .= " AND pt.COST_PRICE<=".$value;
					} else {
						$query .= " AND pt.COST_PRICE LIKE '%".$value."%'";
					}
				}
				elseif($key == "STANDARD_PRICE") {
					if(is_numeric($value)) {
						$query .= " AND pt.STANDARD_PRICE<=".$value;
					} else {
						$query .= " AND pt.STANDARD_PRICE LIKE '%".$value."%'";
					}
				}
				elseif($key == "PRODUCT_DESC") {
					$query .= " AND pt.PRODUCT_DESC LIKE '%".$value."%'";
				}
				elseif($key == "OTHER_FIELD") {
					$query .= " ".$value;
				}
			}
		}

		echo $query;
		break;
	default:
		break;
}