<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      产品数据处理页
 * @encoding      $_lang['encoding']
 * @name          general/sale/product/manage/show_product.php
 * @version       15
 * @author        Qu|www.weaver.com.cn
 * @date          2012-02-14
 */
include_once 'inc/conn.php';
include_once("inc/utility_all.php");
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
includelangpak("customer");

$customer = new customer();
//分页参数_偏移量
$offset = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows   = $_REQUEST['paginationRows'];
//排序参数
$sortParamRequest = $_REQUEST['sortParam'];
$sortParamSplit   = explode("*", $sortParamRequest);

$where_str   = array();
$searchArray = array();

if (trim($_REQUEST["PROVIDER_ID"]) != "") {
	$where_str['PROVIDER_ID'] = $_REQUEST["PROVIDER_ID"];
	array_push($searchArray, array(
			"field" => "PROVIDER_ID",
			"title" => $_lang["customer_pro_supplier_name"],
			"text"  => $customer->getProviderName($_REQUEST["PROVIDER_ID"]),
			"value" => $_REQUEST["PROVIDER_ID"],
			"op"    => $_lang["customer_field_equal"]
	));
}

if (trim($_REQUEST["PRODUCT_NAME"]) != "") {
	$where_str['PRODUCT_NAME'] = dhtmlspecialchars($_REQUEST["PRODUCT_NAME"]);
	array_push($searchArray, array(
			"field" => "PRODUCT_NAME",
			"title" => $_lang["customer_product_name"],
			"text"  => dhtmlspecialchars($_REQUEST["PRODUCT_NAME"]),
			"op"    => $_lang["customer_field_contain"]
	));
}

if (trim($_REQUEST["PRODUCT_TYPE"]) != "") {
	$where_str['PRODUCT_TYPE'] = $_REQUEST["PRODUCT_TYPE"];
	array_push($searchArray, array(
			"field" => "PRODUCT_TYPE",
			"title" => $_lang["customer_product_model"],
			"text"  => $_REQUEST["PRODUCT_TYPE"],
			"op"	=> $_lang["customer_field_contain"]
	));
}
if (trim($_REQUEST["MEASURE_UNIT"]) != "") {
	$where_str['MEASURE_UNIT'] = dhtmlspecialchars($_REQUEST["MEASURE_UNIT"]);
	array_push($searchArray, array(
			"field" => "MEASURE_UNIT",
			"title" => $_lang["customer_pro_unit_math"],
			"text"  => dhtmlspecialchars($_REQUEST["MEASURE_UNIT"]),
			"op"	=> $_lang["customer_field_smaller"]
	));
}
if (trim($_REQUEST["COST_PRICE"]) != "") {
	$where_str['COST_PRICE'] = dhtmlspecialchars($_REQUEST["COST_PRICE"]);
	array_push($searchArray, array(
			"field" => "COST_PRICE",
			"title" => $_lang["customer_product_basic_pr"],
			"text"  => dhtmlspecialchars($_REQUEST["COST_PRICE"]),
			"op"	=> $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["STANDARD_PRICE"]) != "") {
	$where_str['STANDARD_PRICE'] = dhtmlspecialchars($_REQUEST["STANDARD_PRICE"]);
	array_push($searchArray, array(
			"field" => "STANDARD_PRICE",
			"title" => $_lang["customer_product_sale_pr"],
			"text"  => dhtmlspecialchars($_REQUEST["STANDARD_PRICE"]),
			"op"	=> $_lang["customer_field_smaller"]
	));
}

if (trim($_REQUEST["PRODUCT_DESC"]) != "") {
	$where_str['PRODUCT_DESC'] = $_REQUEST["PRODUCT_DESC"];
	array_push($searchArray, array(
			"field" => "PRODUCT_DESC",
			"title" => $_lang["customer_pro_describe"],
			"text"  => $_REQUEST["PRODUCT_DESC"],
			"op"	=> $_lang["customer_field_contain"]
	));
}

$SearchOtherField  = $_REQUEST['SearchOther'];
if($SearchOtherField=="")
{
	$OtherFieldObj    = new PageFactory();
	$SearchOtherField = $OtherFieldObj->getSetFieldSql('PRODUCT');
}
else
{
	$SearchOtherField = urldecode($SearchOtherField);
	$SearchOtherField = str_replace('\\','',$SearchOtherField);
}

if (trim($SearchOtherField) != "") {
	$where_str['OTHER_FIELD'] = $SearchOtherField;
	$product_field = $OtherFieldObj->getSetFieldValue('PRODUCT');
	foreach($product_field as $key=>$value) {
		foreach($value as $field=>$title) {
			if($field!="F_TYPE") {
				array_push($searchArray, array(
					"field" => $title,
					"title" => $field,
					"text"  => dhtmlspecialchars($_REQUEST[$title]),
					"op"    => $_lang["customer_field_contain"]
				));
			}
		}
	}
}

$info   = $customer->get_product_info($sortParamSplit[0],$sortParamSplit[1],$where_str,$offset,$rows);
$count  = 0;
	if($info[1][PRODUCT_ID]) {
		for($i=0;$i<count($info);$i++)
		{
			$count++;
			$sql_count = "SELECT count(*) AS cnt FROM sale_history
							  WHERE PRODUCT_ID = '".SecurityFilter($info[$count][PRODUCT_ID])."'";
			$show_delete  = true;
			$cursor_count =  exequery($connection, $sql_count);
			while($item   = mysql_fetch_assoc($cursor_count)){
				if($item['cnt'])
					$show_delete = false;
			}
			if($count==1)
			{
				$resultStr .= "<table class='pubtable' border='0' width='100%' cellspacing='0' cellpadding='0'>";
			}
			$resultStr .="<tr><td>";
			if($info[$count][PRODUCT_CREATE_USER] == $LOGIN_USER_ID && $show_delete):
				$resultStr .= "<input type='checkbox' id='product_id[]' name='product_id' class='checkbox' value='".$info[$count][PRODUCT_ID]."'/>";
			endif;
			$resultStr .= "<td title=".$info[$count][PRODUCT_NAME]."><a href='#' onclick=\"product_detail('".$info[$count][PRODUCT_ID]."');\">".substrGB($info[$count][PRODUCT_NAME],30,'...')."</a></td>"."
			<td title=".$info[$count][PRODUCT_TYPE].">".substrGB($info[$count][PRODUCT_TYPE],30,'...')."</td><td title=".$info[$count][COST_PRICE].">".substrGB($info[$count][COST_PRICE],30,'...');
			$resultStr .= "</td><td title=".$info[$count][STANDARD_PRICE].">".substrGB($info[$count][STANDARD_PRICE],30,'...')."</td><td><a href='#' onclick=\"provider_detail('".$info[$count][PROVIDER_ID]."');\">".substrGB($info[$count][PROVIDER_NAME],30,'...')." </a></td>
			<td>".getUserNameNew($info[$count][PRODUCT_CREATE_USER])."</td><td>";
			if($info[$count][PRODUCT_CREATE_USER] == $LOGIN_USER_ID)
			{
				$resultStr .= "<a href=\"#\" onclick=\"edt('".$info[$count][PRODUCT_ID]."','".$info[$count][PROVIDER_ID]."')\">".$_lang["common_edit"]."</a>";
				if($show_delete) {
					$resultStr .= "&nbsp;&nbsp;<a href=\"#\" onclick=\"del('".$info[$count][PRODUCT_ID]."')\">".$_lang["common_del"]."</a>";
				}
			}
			$resultStr .= "</td></tr>";
	}
}	
	
if($count==0)
{
}
else
{
	$resultStr .= "<thead><td width='3%'></td><td width='17%' field='PRODUCT_NAME'>".$_lang["customer_product_name"]."</td>
	<td width='10%' field='PRODUCT_TYPE'>".$_lang["customer_product_model"]."</td>
	<td width='10%' field='COST_PRICE'>".$_lang["customer_product_basic_pr"]."</td>
	<td width='10%' field='STANDARD_PRICE'>".$_lang["customer_product_sale_pr"]."</td>
	<td width='15%' field='PROVIDER_ID'>".$_lang["customer_product_supplier"]."</td>
	<td width='10%'>".$_lang["customer_crm_cont_creat"]."</td>
	<td width='8%'>".$_lang["common_operate"]."</td></thead><tbody></tbody></table>";
}

$resultArray = array("htmlStr" => $resultStr, "pagingParam" => $info[1]["COUNT"],"searchParam" => $searchArray);
echo json_encode($resultArray);
?>
