<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      供应商管理页
 * @encoding      $_lang['encoding']
 * @name          general/provider/manage/index.php
 * @version       14
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-12
 */
include_once 'inc/conn.php';
include_once("inc/utility_all.php");
include_once("inc/check_type.php");
include_once("inc/auth.php");
include_once("api/customer.class.php");
include_once("api/field_set.class.php");
include_once("inc/function_usergeneral.php");
includelangpak("customer");

$customerObj = new customer();
$manUids = $customerObj->get_userid_str();
$op=$_REQUEST['op'];

switch ($op) {
	case 'getSaleList':
		$list 		= $customerObj->getList($customerObj->getSaleSql($_REQUEST));
		$totalCount = $customerObj->getNum($customerObj->getSaleSql($_REQUEST,2));	
		foreach ($list as $k=>$row) {
			if ($row["CUSTOMER_NAME"] != ""){
				$list[$k]["SALE_HISTORY_CREATE_USER_NAME"] = showUserGeneral($row["SALE_HISTORY_CREATE_USER"]);
			}else{
				$list[$k]["SALE_HISTORY_CREATE_USER_NAME"] = "";
			}

			if($row['DATE'] == '0000-00-00')
				$list[$k]['DATE']= '';
		}
		echo json_encode(array(
			"totalCount" => $totalCount,
			"list" => $list
		));
		break;
	case 'delete_all':
		$history_ids    = $_REQUEST['historyids'];
		$history_id_arr = explode( ',', $history_ids );

		$error_info = array();
		$i = 0;

		//依次查找要删除的客户 关联联系人，联系记录，销售记录.
		foreach($history_id_arr as $id){
			$error_info[$i]['id'] = $id ;	
			$i++;
		}

		//获取错误信息
		$j = 0;
		foreach($error_info as $info)
		{
			$row = $customerObj->getDataOne('sale_history','*',"HISTORY_ID='".$info['id']."'");
			if($row) {
				$hasPurview = $customerObj->hasPurview($row["CUSTOMER_ID"]);
				if($hasPurview = 0 &&  $LOGIN_USER_ID!=$row["SALE_HISTORY_CREATE_USER"]) {
					echo $_lang["customer_no_this_purview"];
					exit;
				}
			}

			$customerObj->del_data("SALE_HISTORY", $info['id']);
			unset ( $error_info[$j] );
			$j++;
		}

		sort($error_info); 
		//如果所勾选的客户下面没有关联信息
		if( !empty($error_info) )
			echo json_encode($error_info);
		else
			echo "1";
		break;
	case 'delete':
		if($_REQUEST['history_id'])
		{
			if(!is_numeric($_REQUEST['history_id'])){
				Message('',$_lang["common_param_error"],'failed');
				exit;
			}
		}
		$row = $customerObj->getDataOne('sale_history','*',"HISTORY_ID='".$_REQUEST['history_id']."'");
		if($row) {
			$hasPurview = $customerObj->hasPurview($row["CUSTOMER_ID"]);
			if($hasPurview = 0 && $LOGIN_USER_ID!=$row["SALE_HISTORY_CREATE_USER"]) {
				echo $_lang["customer_no_this_purview"];
				exit;
			}
		}

		$customerObj->del_data("SALE_HISTORY",$_REQUEST['history_id']);

		echo "success";
		break;
	case 'update':
		if($_REQUEST["DATE"]!=""&&$_REQUEST["DATE"]!="0000-00-00")
		{
		    $TIME_OK = is_date($_REQUEST["DATE"]);

		    if(!$TIME_OK)
		    {
				$_REQUEST["DATE"] = "";
		   }
		}

		$_REQUEST["PRICE"] = sprintf("%01.2f",$_REQUEST["PRICE"]);
		$_REQUEST["AMT"]   = sprintf("%01.2f",$_REQUEST["AMT"]);
		$_REQUEST["DISCOUNT"] = sprintf("%01.2f",$_REQUEST["DISCOUNT"]);
		if(!is_numeric($_REQUEST["AMT"])) {
			$_REQUEST["AMT"] = 0;
		}
		if(!is_numeric($_REQUEST["PRICE"])) {
			$_REQUEST["PRICE"] = 0;
		}
		if(!is_numeric($_REQUEST["DISCOUNT"])) {
			$_REQUEST["DISCOUNT"] = 0;
		}

		$customerObj->saveeditdata("SALE_HISTORY",$_REQUEST,$HISTORY_ID);

		if($_REQUEST['edt_r'] == 'index_r')
		{
			header("location:index.php?isSuccess=1");
		} else if($_REQUEST['edt_r'] == 'list_r') {
			header("location: list.php?cur_page=".$_REQUEST['cur_page']."&sens=".$_REQUEST['sens']."&order=".$_REQUEST['order']."&CUSTOMER_NAME=".$_REQUEST['list_CUSTOMER_NAME']."&PRODUCT_ID=".$_REQUEST['list_PRODUCT_ID']."&DATE=".$_REQUEST['list_DATE']."&DATE2=".$_REQUEST['list_DATE2']."&AMT=".$_REQUEST['list_AMT']."&AMT2=".$_REQUEST['list_AMT2']."&PRICE=".$_REQUEST['list_PRICE']."&PRICE2=".$_REQUEST['list_PRICE2']."&DISCOUNT=".$_REQUEST['list_DISCOUNT']."&DISCOUNT2=".$_REQUEST['list_DISCOUNT2']."&SALESMAN=".$_REQUEST['list_SALESMAN']."&MEMO=".$_REQUEST['list_MEMO']."");
		}
		break;
	case 'add':
		if($DATE!=""&&$DATE!="0000-00-00")
		{
		  $TIME_OK = is_date($DATE);
		  if(!$TIME_OK)
		  { 
			$DATE = "";
		  }
		}
		$PRICE	  = sprintf("%01.2f",$PRICE);
		$AMT	  = sprintf("%01.2f",$AMT);
		$DISCOUNT = sprintf("%01.2f",$DISCOUNT);

		if(!is_numeric($AMT)) {
			$AMT = 0;
		}

		if(!is_numeric($PRICE)) {
			$PRICE = 0;
		}

		if(!is_numeric($DISCOUNT)) {
			$DISCOUNT = 0;
		}

		$inarr = array($CUSTOMER_ID,$PRODUCT_ID,$DATE,dhtmlspecialchars($AMT),dhtmlspecialchars($PRICE),$DISCOUNT,dhtmlspecialchars($SALESMAN),$MEMO,$_SESSION['LOGIN_USER_ID']);
		$customerObj->saveData("SALE_HISTORY", $inarr);

		header("location: index.php?isSuccess=1");
		break;

	case 'search_where':
		$where_str = array();
		$sql="";

		if (trim($_REQUEST["CUSTOMER_ID"]) != "") {
			$where_str['CUSTOMER_ID'] = $_REQUEST["CUSTOMER_ID"];
		}

		if (trim($_REQUEST["PRODUCT_ID"]) != "") {
			$where_str['PRODUCT_ID'] = $_REQUEST["PRODUCT_ID"];
		}

		if (trim($_REQUEST["DATE"]) != "") {
			$where_str['DATE'] = $_REQUEST["DATE"];
		}

		if( trim($_REQUEST["DATE2"]) != "") {
			$where_str['DATE2'] = $_REQUEST["DATE2"];
		}

		if (trim($_REQUEST["AMT"]) != "") {
			$where_str['AMT'] = dhtmlspecialchars($_REQUEST["AMT"]);
		}

		if( trim($_REQUEST["AMT2"]) != "") {
			$where_str['AMT2'] = dhtmlspecialchars($_REQUEST["AMT2"]);
		}

		if (trim($_REQUEST["PRICE"]) != "") {
			$where_str['PRICE'] = dhtmlspecialchars($_REQUEST["PRICE"]);
		}

		if(trim($_REQUEST["PRICE2"]) != "") {
			$where_str['PRICE2'] = dhtmlspecialchars($_REQUEST["PRICE2"]);
		}

		if (trim($_REQUEST["DISCOUNT"]) != "") {
			$where_str['DISCOUNT'] = dhtmlspecialchars($_REQUEST["DISCOUNT"]);
		}

		if(trim($_REQUEST["DISCOUNT2"]) != "") {
			$where_str['DISCOUNT2'] = dhtmlspecialchars($_REQUEST["DISCOUNT2"]);
		}

		if (trim($_REQUEST["SALESMAN"]) != "") {
			$where_str['SALESMAN'] = dhtmlspecialchars($_REQUEST["SALESMAN"]);
		}

		if (trim($_REQUEST["MEMO"]) != "") {
			$where_str['MEMO'] = $_REQUEST["MEMO"];
		}

		if($where_str) {
			foreach($where_str as $key=>$value) {
				if($key == "CUSTOMER_ID") {
					$sql .= " AND s.CUSTOMER_ID=".$value;
				}
				elseif($key == "PRODUCT_ID") {
					$sql .= " AND s.PRODUCT_ID=".$value;
				}
				elseif($key == "DATE") {
					$sql .= " AND s.DATE>='".$value."'";
				}
				elseif($key == "DATE2") {
					$sql .= " AND s.DATE<='".$value."'";
				}
				elseif($key == "AMT") {
					if(is_numeric($value)) {
						$sql .= " AND s.AMT>=".$value;
					} else {
						$sql .= " AND s.AMT LIKE '%".$value."%'";
					}
				}
				elseif($key == "AMT2") {
					if(is_numeric($value)) {
						$sql .= " AND s.AMT<=".$value;
					} else {
						$sql .= " OR s.AMT LIKE '%".$value."%'";
					}
				}

				elseif($key == "PRICE") {
					if(is_numeric($value)) {
						$sql .= " AND s.PRICE>=".$value;
					} else {
						$sql .= " AND s.PRICE LIKE '%".$value."%'";
					}
				}
				elseif($key == "PRICE2") {
					if(is_numeric($value)) {
						$sql .= " AND s.PRICE<=".$value;
					} else {
						$sql .= " OR s.PRICE LIKE '%".$value."%'";
					}
				}
				elseif($key == "DISCOUNT") {
					if(is_numeric($value)) {
						$sql .= " AND s.DISCOUNT>=".$value;
					} else {
						$sql .= " AND s.DISCOUNT LIKE '%".$value."%'";
					}
				}
				elseif($key == "DISCOUNT2") {
					if(is_numeric($value)) {
						$sql .= " AND s.DISCOUNT<=".$value;
					} else {
						$sql .= " OR s.DISCOUNT LIKE '%".$value."%'";
					}
				}
				elseif($key == "SALESMAN") {
					$sql .= " AND s.SALESMAN LIKE '%".$value."%'";
				}
				elseif($key == "MEMO") {
					$sql .= " AND s.MEMO LIKE '%".$value."%'";
				}
			}
		}

		echo $sql;
		break;
	default:
		# code...
		break;
}

?>