<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      短信列表
 * @encoding      $_lang['encoding']
 * @name          general/sms/new/smslist.php
 * @version       3
 * @author        sun|www.weaver.com.cn
 * @date          2011-09-27
 */

include_once("inc/auth.php"); 
include_once("inc/function_attach.php");
include_once("inc/utility_all.php");
includelangpak("other");
includelangpak("sms");
$borowserType = getBrowserType();
$PAGE_TITLE = '';
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<?php if($borowserType != 'IE8' && $borowserType != 'IE7' && $borowserType != 'IE6'){?>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<?php }?>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet"/>
<style type="text/css">
	.bubble {
		margin:0px auto;
		width:97%;
	    margin-bottom:28px;
	    padding-left:0px;
	    left: 1px;
	    position:relative;
	    color:#333333;
	    padding-top:3px;
	    font-size:12px;
	    
	}
	 
	.triangle {
	    position:absolute;
	    top:50%;
	    margin-top:7px;
	    left:-6px;
	    display:block;
	    width:0;
	    height:0;
	    overflow:hidden;
	    line-height:0;
	    font-size:0;
	    border-bottom:6px solid transparent;
	    border-top:6px solid transparent;
	    border-left:none;
	    border-right:6px solid #E3E3E3;
	}
	 
	.bubble .article {
	    float:left;
	    display:inline-block;
	    *display:inline; zoom:1;
	    padding:3px 5px;
	    border:1px solid #E3E3E3;
	    background:#E3E3E3;
	    border-radius:5px;
	    background-color: #E3E3E3;
	    behavior: url("/general/crm/customer/new/record/PIE.htc");
	}
</style>
<script>
function loadSmsList(){
	//alert(1);
	var url = "/general/sms/new/sms_do.php";
	var objTO_ID = window.parent.$("#TO_ID").val();
	$.ajax({
		url: url,
		type: 'POST',
		data: {
			op:"get_sms_list",
			TO_ID: objTO_ID,
			max_smsid:$("#max_smsid").val()
		},
		success:function(data){
			getSmsListData(data);
		}
	});
	
}

function getSmsListData(data){
		var rData = $.parseJSON(data);
		var result=rData.result;
		var max_smsid =rData.max_smsid;
		if (result!="0") {
			var tabHtml = [];
			var TO_NAME,FROM_NAME;
			for (var i = result.length-1; i>=0; i--) {
				tabHtml.push('<div style="width:100%;padding-top:2px;padding-bottom:2px;">');
				tabHtml.push('	<table width="100%">');
				tabHtml.push('		<tr>');
				tabHtml.push('			<td width="40" height="40" valign="top" style="padding-left:3px;padding-top:3px;">');
				tabHtml.push('				<img src="'+result[i].FROM_ID_IMAGE+'"/>');
				tabHtml.push('			</td>');
				tabHtml.push('			<td rowspan="2" valign="top" width="100%">');

				if (result[i].FROM_ID=="<?=$_SESSION['LOGIN_USER_ID']?>") {
					FROM_NAME = "<?=$_lang['sms_me']?>";
				}else{
					FROM_NAME = result[i].FROM_NAME;
				}

				if (result[i].TO_ID=="<?=$_SESSION['LOGIN_USER_ID']?>") {
					TO_NAME = "<?=$_lang['sms_me']?>";
				}else{
					TO_NAME = result[i].TO_NAME;
				}

				tabHtml.push('<div style="font-size:12px;padding-left:8px;"><span style="color:green;margin-right:10px;">'+FROM_NAME+' 至 '+TO_NAME+'</span></div>');

				if (result[i].SMS_TYPE>0 && result[i].TYPE_URL) {
					if (result[i].TYPE_URL.substr(result[i].TYPE_URL.indexOf("?"))) {
						tabHtml.push('<div class="bubble"><span class="triangle"></span><div class="article">'+result[i].CONTENT+'&nbsp;&nbsp;&nbsp;&nbsp;<a style="cursor:pointer;color:#436EEE;" target="_blank" onclick="open_sms_a(this)" class="sms_a" id="'+result[i].TYPE_URL+','+result[i].SMS_ID+','+result[i].TABLE_NAME+','+result[i].TABLE_ID+'">'+result[i].TYPE_TEXT+'</a></div></div>');
					}else{
						tabHtml.push('<div class="bubble"><span class="triangle"></span><div class="article">'+result[i].CONTENT+'&nbsp;&nbsp;&nbsp;&nbsp;<a style="cursor:pointer;color:#436EEE;" target="_blank" href="'+result[i].TYPE_URL+'">'+result[i].TYPE_TEXT+'</a></div></div>');
					}
				}else{
					tabHtml.push('<div class="bubble"><span class="triangle"></span><div class="article">'+result[i].CONTENT+'</div></div>');
				}

				if (result[i].ATTACHMENT) {
					for (var j = result[i].ATTACHMENT.length - 1; j >= 0; j--) {
						tabHtml.push('<div title="<?=$_lang["sms_click_and_download"]?>" style="color:#1E90FF;padding-left:8px;padding-top:3px;font-size:12px;cursor:pointer;font-style:italic;" onclick="'+result[i].ATTACHMENT[j].down_url+'"><i class="fa fa-paperclip"></i>&nbsp;'+result[i].ATTACHMENT[j].attachment_name+'&nbsp;('+result[i].ATTACHMENT[j].doc_size+')&nbsp;</div>');
					}
				}
				tabHtml.push('				<div style="margin-top:3px;padding-left:8px;"><span style="color:#9C9C9C;font-size:12px;">'+result[i].SMS_TYPE_NAME+'</span><span style="color:#9C9C9C;font-size:12px;">&nbsp;&nbsp;&nbsp;'+result[i].SEND_TIME+'</span></div>');
				tabHtml.push('			</td>');
				tabHtml.push('		</tr>');
				
				tabHtml.push('	</table>');
				tabHtml.push('</div>');
			};


			$("#dividsmslist").append(tabHtml.join(""));
			scroll_bottom();
			$("html").niceScroll();
		}
		
		$("#max_smsid").val(max_smsid);
}

function scroll_bottom(){
	var c = window.document.body.scrollHeight;
	window.scroll(0,c);
}

function show_button(obj){
	$(obj).find('.cancel_remind').css('display', '');
}

function hidden_button(obj){
	$(obj).find('.cancel_remind').css('display', 'none');
}
function cancel_remind(obj,smsid){
	url = "/general/sms/new/cannelremind.php";
	queryString = "f=cannelremind&smsid="+smsid;
	$.ajax({
		url: url,
		type: 'POST',
		data: queryString,
		success:function(data){
			$(obj).closest('table').closest('div').remove();
		}
	});
}

function open_sms_a(obj){
	var param = $(obj).attr("id");
	var arr = param.split(",");
	typeurl = arr[0];
	smsid = arr[1];
	tablename = arr[2];
	tableid = arr[3];

	var flag = true;
	if(typeurl.substr(typeurl.indexOf('?')+1,10) == "CONTENT_ID")
	{
		var content_id = typeurl.substring(typeurl.indexOf('=')+1);
		jQuery.ajax({
			url : "/general/file_folder/file_new/check_exist.php",
			async : false,
			data : {
				contentID : content_id
			}
		}).done(function(result){
			flag = result ==0 ? false :true;
			if(!flag)
			{
				bootbox.alert("<?=$_lang["sms_check_file_not_exsit"]?>");
			}
		});
	}
	if(flag)
	{
		window.open(typeurl+"&SMS_ID="+smsid+"&TABLE_NAME="+tablename+"&TABLE_ID="+tableid,'', 'top=0, left=0, toolbar=yes, menubar=yes, scrollbars=yes, resizable=yes,location=yes, status=1');
	}
}

var id;
function stop_interval(){
	window.clearInterval(id);
}

function start_interval(){
	window.clearInterval(id);
	$.ajax({
		url: '/general/sms/new/sms_do.php?op=getRemindFrenquency',
		type: 'POST',
		success:function(data){
            id = setInterval('loadSmsList()',data);
		}
	});
	// id = setInterval('loadSmsList()',5000);
}

$(function(){
	loadSmsList();
});
</script>

</head>
<body>
    <div id="dividsmslist" style="width:99%;"></div>
    <input type="hidden" id="max_smsid" value="0" name="max_smsid">
</body>    
</html>


