<?php
/**
 * @Copyright (C) 2010 - 2011 Weaver Co.Ltd
 * @systemname:       E-Office
 * @filename:         general/sms/new/submit.php
 * @function:         短信发送
 * @encoding:         $_lang['encoding']
 * @author:           www.weaver.com.cn
 * @modify:			 dingp
 * @date:             2012-12-10
 * @file Version:     8.0
 * @eoffice Version:  8.3
 */
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/php.php");
include_once("inc/reg_func.php");
include_once("inc/mobile_sms.inc.php");
include_once("api/email.class.php");
includelangpak("sms");

$smstel_select = $_REQUEST["MOBILE_SMS_REMIND"];
$email_select = $_REQUEST["EMAIL_REMIND"];

$remindFlag = true;
$send_success = $_lang['sms_have_sent'];
if ($_REQUEST['cal_begin_date']) {
    $send_success = $_lang['sms_save_sent'];
    $send_time = $_REQUEST['cal_begin_date'];
    $send_date = $send_time;
    $remindFlag = false;
}
//--------- 上传附件 ----------
$ATTACHMENT_ID = $ATTACHMENT_ID_OLD;
$ATTACHMENT_NAME = $ATTACHMENT_NAME_OLD;
$ATTACHMENT_ID.= $_REQUEST["attachmentIDStr"];
$ATTACHMENT_NAME.= $_REQUEST["attachmentNameStr"];
//replace old attachment_id
if ($ATTACHMENT_EDITED == '1') {
    global $ATTACH_PATH;
    $tmp_dir = $ATTACH_PATH . 'TMPDIR';
    $res = scandir($tmp_dir);
    if (count($res) > 2) {
        for ($i = 2; $i != count($res); $i++) {
            $attid = $res[$i];
            $attdir = $tmp_dir . '/' . $attid;
            $files = scandir($attdir);
            if (count($files) <= 2)
                break;
            $attname = $files[2];
            $newid = createFileDir();
            $dstdir = $ATTACH_PATH . $newid;
            mkdir($dstdir, 0700);
            $ATTACHMENT_ID = preg_replace("/$attid/", $newid, $ATTACHMENT_ID);
            $src = $attdir . '/' . $attname;
            $dst = $dstdir . '/' . $attname;
            copy($src, $dst);
        }
    }
}
$send_date = $send_date ? $send_date : date('Y-m-d H:i:s');
$toar = explode(",", $TO_ID);

$uids = str_replace(',', '|', trim($TO_ID, ','));

$nowTime = date("Y-m-d H:i:s", time());
//发送时间比当前时间 超前 定时发送 不推送
if ($send_date > $nowTime) {
    //不推送
    $qyWechat = 0;
    $wechat = 0;
    $dtCode = 0;
} else {
    $qyWechat = checkQyWeixinModule();
    $wechat = checkWeixinModule();
    $dingtalk = checkDingTalkModule(true);

}

if ($qyWechat) {
    //sendQYMp($qyWechat, $uids, $CONTENT);
    sendQYMpNews($qyWechat, $uids, $CONTENT);
}


while (list($key, $var) = each($toar)) {

    if ($var != "") {
        $sql = "
			INSERT INTO sms
			(FROM_ID,TO_ID,SMS_TYPE,CONTENT,SEND_TIME,REMIND_FLAG,ATTACHMENT_ID,ATTACHMENT_NAME)
			VALUES
			('" . SecurityFilter($_SESSION['LOGIN_USER_ID']) . "','" . SecurityFilter($var) . "',0,'" . SecurityFilter($CONTENT) . "','" . SecurityFilter($send_date) . "',1,'" . SecurityFilter($ATTACHMENT_ID) . "','" . SecurityFilter($ATTACHMENT_NAME) . "')";
        exequery($connection, $sql);

        if ($wechat) {
            sendMp($wechat, $var, $CONTENT, array('fromID' => $_SESSION['LOGIN_USER_ID']));
        }
         if ($dingtalk) {
                sendDingTalk($dingtalk, $var, $CONTENT, array('fromID' => $_SESSION['LOGIN_USER_ID']));
            }

    }
}
$content = $_lang['other_sms_new_message'];
sendMobileSms($TO_ID, $content);
include_once("general/workwechat/proxy/WorkWechat.proxy.php");
$wechat = new WorkWechatProxy();
$wechatData = $wechat->wechatData();
        if (!empty($wechatData) && $wechatData['is_push'] == 1) {
            $toidstr_qy = str_replace(",", "|", $TO_ID);
            sendWorkWechatSms($toidstr_qy, $CONTENT);
         }

//手机短信,在mobile_sms_inc.php中判断

if (ifSendMbSms() && $remindFlag) {
    if ($MOBILE_SMS_REMIND == "1") {
        $SendContent = $CONTENT . "--" . $LOGIN_USER_NAME;
        $newSms = new MobileSms();
        $newSms->SelfSendMore($TO_ID, $SendContent);
    }
}

//发送邮件

if ($EMAIL_REMIND == '1' && $remindFlag) {
    $email = new email();
    $USER_ID = explode(',', $TO_ID, -1);

    for ($i = 0; $i < count($USER_ID); $i++) {
        $email->sendEmail($LOGIN_USER_ID, $USER_ID[$i], $USER_ID[$i], $_lang["sms_message_email_remind"], $CONTENT, date("Y-m-d H:i:s", time()), '', '');
    }
}

oa_version("SMS", 500);
$type = $_REQUEST['type'];
$hid_sms_id = $_REQUEST['hid_sms_id'];
$href = "index.php?type={$type}&hid_sms_id={$hid_sms_id}&send_success={$send_success}";
?>
<script>
    window.location.href = '<?= $href; ?>';
</script>
