<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/access_control/edit.php
 * Function:         IP访问规则编辑
 * Encoding:         $_lang['encoding']
 * Author:           samuel
 * Date:             2011-9-20
 * File Version:     1.0
 * Eoffice Version:  8.0
*/

//加载语言
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("system");

$PAGE_TITLE = $_lang["system_control_rule_ip"];
include_once 'inc/page_header.inc.php';

if($_REQUEST['RULE_ID'])
{
  if(!is_numeric($_REQUEST['RULE_ID'])){
      Message('',$_lang["common_param_error"],'failed');
      exit;
  }
}
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="jquery.ipaddress.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<SCRIPT language=javascript src="/inc/common.js"></SCRIPT>

<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>

<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css"/>

<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">

<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />

<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">

<link href="/newplugins/font-awesome/css/font-awesome.min.css" rel="stylesheet"/>

<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<link rel="stylesheet" href="/newplugins/css/jquery.lazyplugins.css" />

<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>

<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script src="jquery.caret.js" type="text/javascript"></script>
<script src="jquery.ipaddress.js" type="text/javascript"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
<style type="text/css">
  .form_table{
    font-size: 12px;
  }

  .ip_octet{
    width:40px;
  }
</style>
<script Language="JavaScript">
var check_notify;
$(function(){
    $('.ip').ipaddress();

    $('#DEPT_ALL').iCheck({
      checkboxClass : 'icheckbox_square-blue'
    }).on('ifChanged', function(){
      if($(this).prop("checked")){
        $("#tr_select").hide();
      }else{
        $("#tr_select").show();
      }
    });
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;
	$.pnotify.defaults.addclass = "stack-topleft";
	$.pnotify.defaults.animate_speed = 'fast';
	$.pnotify.defaults.type = "error";
});
function CheckForm()
{
   if(document.form1.BEGIN_IP.value=="")
   {
      if (check_notify) {
        check_notify.pnotify_remove();
      }

      check_notify = $.pnotify({
         text:"<?=$_lang["system_control_ip_null"]?>",
         type:"error",
         animate_speed:"fast",
         delay:"2000",
         history:false
      });
     return (false);
   }
   if(document.form1.END_IP.value=="")
   {
      if (check_notify) {
        check_notify.pnotify_remove();
      }

      check_notify = $.pnotify({
         text:"<?=$_lang["system_control_ip_end"]?>",
         type:"error",
         animate_speed:"fast",
         delay:"2000",
         history:false
      });
     return (false);
   }
   	   if(parseInt(document.form1.BEGIN_IP.value.replace(/\./g, ""))>parseInt(document.form1.END_IP.value.replace(/\./g, "")))
       {
        if (check_notify) {
        check_notify.pnotify_remove();
      }

      check_notify = $.pnotify({
         text:"<?=$_lang["system_control_s_b_e"]?>",
         type:"error",
         animate_speed:"fast",
         delay:"2000",
         history:false
      });
	     return (false);
       }
   if(document.form1.TYPE.value=="")
   {
       if (check_notify) {
        check_notify.pnotify_remove();
      }

      check_notify = $.pnotify({
         text:"<?=$_lang["system_control_type_nu"]?>",
         type:"error",
         animate_speed:"fast",
         delay:"2000",
         history:false
      });
     return (false);
   }
   if(document.form1.DEPT_ALL.checked=="" && document.form1.SELECT_DEPT.value=="" && document.form1.SELECT_PRIV.value=="" && document.form1.SELECT_USER.value=="")
   {
      if (check_notify) {
        check_notify.pnotify_remove();
      }

      check_notify = $.pnotify({
         text:"<?=$_lang["system_control_ip_choose"]?>",
         type:"error",
         animate_speed:"fast",
         delay:"2000",
         history:false
      });
     return (false);
   }
   $('#form1').ajaxSubmit({
		success : function(returnData){
			if(returnData == "success") {
				window.location.href="index.php";
			} else if (returnData == "error"){
				$.pnotify('<?=$_lang ["system_control_ip_have"]?>');
			}
		}
	});
}
function setAllDept(sid){
	var state = document.getElementById('DEPT_ALL').checked
	var show = document.getElementById('tr_select');
	if(state==true){
		show.style.display='none';
	}else{
		show.style.display='';
	}
}
</script>
<?
 $query = "SELECT * from IP_RULE where RULE_ID=".SecurityFilter($RULE_ID);
 $connection=OpenConnection();
 $cursor= exequery($connection,$query);
 if($ROW=mysql_fetch_array($cursor))
 {
    $RULE_COUNT++;
    $RULE_ID=$ROW["RULE_ID"];
    $BEGIN_IP=$ROW["BEGIN_IP"];
    $END_IP=$ROW["END_IP"];
    $TYPE=$ROW["TYPE"];
    $SELECT_DEPT=$ROW["DEPT_ID"];
    $SELECT_PRIV=$ROW["PRIV_ID"];
    $SELECT_USER=$ROW["USER_ID"];
	if($SELECT_DEPT == '' && $SELECT_PRIV == '' && $SELECT_USER == ''){
		$DEPT_ALL = 'DEPT_ALL';
	}else{
		$DEPT_ALL = '';
	}
    if($TYPE==0)
       $TYPE_DESC=$_lang["system_control_lo_rule"];
    elseif($TYPE==1)
       $TYPE_DESC=$_lang["system_control_wo_rule"];
}
?>
<body>
<form action="update.php"  method="post" name="form1" id="form1" onsubmit="return CheckForm();">
<div class="lazy_header">
 <a style="color:white" class="btn btn-primary" onclick="CheckForm();"><?=$_lang["common_submit"]?></a>
 <a style="color:white" class="btn btn-default" onclick="location='index.php';"><?=$_lang["common_back"]?></a>
</div>
<table border="0" cellspacing="1" width="100%" class="form_table" cellpadding="0" >

   <tr>
    <td width="10%" class="title"><?=$_lang["system_control_start_ip"]?></td>
    <td>
        <input type="text" name="BEGIN_IP" class="ip" value="<?=$BEGIN_IP?>"/>
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["system_control_end_ip"]?></td>
    <td>
        <input type="text" name="END_IP" class="ip" value="<?=$END_IP?>"/>
    </td>
   </tr>
   <tr>
    <td class="title"><?=$_lang["system_control_ru_type"]?></td>
    <td>
        <select name="TYPE" data-height="30px" data-width="170px">
           <option value="0" <?if($TYPE==0) echo "selected";?>><?=$_lang["system_control_lo_rule"]?></option>
           <option value="1" <?if($TYPE==1) echo "selected";?>><?=$_lang["system_control_wo_rule"]?></option>
        </select>
    </td>
   </tr>
	<tr>
		<td nowrap class="title"> <?=$_lang["info_ip_to_where"]?></td>
		<td nowrap>
			<?=$_lang["system_ip_all_dept"]?>&nbsp;
			<input type="checkbox"  name="DEPT_ALL" id="DEPT_ALL" value="DEPT_ALL"
			<?
			if ($DEPT_ALL == 'DEPT_ALL') {
				echo "checked";
			}
			?>>
		</td>
	</tr>
	<tr id="tr_select"
		<?
		if ($DEPT_ALL == 'DEPT_ALL') {
			echo "style='display:none'";
		}
		?>>
		<td nowrap colspan="2">
		 <?
			createPurSelect ( 'SELECT', 'form1', $RULE_ID, 'RULE_ID', 'ip_rule' )?>
		</td>
	</tr>
	<input type="hidden" value="<?=$RULE_ID?>" name="RULE_ID"/>
</table>
  </form>
</body>
</html>
<script>
  $("select").selectpicker();
  $('input').iCheck({
    checkboxClass : 'icheckbox_square-blue',
    radioClass : 'iradio_square-blue'
});
</script>