<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/system/attendance/vacation/index.php
 *@function:         考勤设置-设置假期
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-05-02
 *@file Version:     9.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
include_once("api/attend.class.php");
includelangpak("hr");
$type = "only";
$attendObj = new attend();
$PAGE_TITLE = $_lang[""];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--jQuery UI-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<!--图标-->
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<!--bootstrap-->
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<!--select美化-->
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<!--9.0公共插件-->
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<!--9.0公共样式-->
<link type="text/css" href="/newplugins/css/style.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<!--jQuery类库-->
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<!--语言包-->
<script type="text/javascript" src="/lang/cn/javascript.lang.js"></script>
<!--jQuery UI-->
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<!--9.0公共插件-->
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<!--滚动条美化-->
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script language="javascript">
jQuery(document).ready(function(){
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 500;
	$(".vacation_list").LazyTable({
		column:[
			{
				key:'ID',
				title:'<?=$_lang["hr_attend_vacation_num"]?>'
			},
			{
				key:'VACATION_NAME',
				title:'<?=$_lang["hr_attend_vacation_name"]?>',
				template:function(data){
					return "<div class='ellipsis_field' title="+data.VACATION_NAME+" style='width:500px'><a href='javaScript:newVacation("+data.ID+ ","+data.vacationContent+")'>"+data.VACATION_NAME+"</a>";
				}
			}
		],
		buttons:{
			buttonInfor:{
					"edit":{title:"<?=$_lang['common_edit']?>",func:function(data){
						var ScreenWidth = screen.availWidth - 323;
						var col_width = Math.floor(ScreenWidth/4);
						url = 'new_edit.php?col_width='+col_width+"&page_id="+data.ID+"&year="+data.vacationContent;
						window.location = url;
					}},
					"delete":{title:"<?=$_lang['common_del']?>",func:function(data){
						bootbox.confirm('<?=$_lang["hr_delete_confirm"]?>',function(result){
							if(result){
								$.ajax({
									type:'get',
									url:'do.php?op=delete&page_id='+data.ID,
									success:function(data){
										if(data==1){
											$.pnotify({
										        text: "<?=$_lang['hr_vacation_delete_success']?>",
										        type : "success"
										    });
										    $(".vacation_list").LazyTable('reload',{op:"getScheduleList"});
										}else{
											$.pnotify({
										        text: "<?=$_lang['hr_delete_vacation_false']?>",
										        type : "error"
										    });
										}
									}
								});
							}
						});
					}
				}
			}
		},
		dataSource:"do.php",
		param:{op:"getVacationList"}
	});
});

function newVacation(page_id,vacation_year){
	var ScreenWidth = screen.availWidth - 500;
	var col_width = Math.floor(ScreenWidth/4);
	url = 'new_edit.php?col_width='+col_width+"&page_id="+page_id+"&year="+vacation_year;
	window.location = url;
}

function delVacation(page_id){
	var ScreenWidth = screen.availWidth - 212;
	var col_width = Math.floor(ScreenWidth/4);
	var msg = "<?=$_lang['hr_delete_confirm']?>";
	if(window.confirm(msg)){
		window.location='do.php?op=delete&page_id='+page_id;
	}
}
</script>
<body>
	<div class="lazy_header">
		<span class="lazy-page-title">
			<i class="fa fa-page-title"></i>
			<span class="tip"><?=$_lang["hr_duty_vacation_edit"]?></span>
		</span>
		<button class="btn btn-primary" type="button" onClick="newVacation('','')"><?=$_lang["hr_duty_new_vacation"]?></button>
	</div>
	<div class="vacation_list"></div>
</body>
</html>