<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/system/cooperation/index.php
 *@function:         协作管理
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2012-01-16
 *@file Version:     12.0
 *@eoffice Version:  8.0
*/
//加载语言
include_once("inc/auth.php");
includelangpak("cowork");
includelangpak("info");
include_once("inc/function_page_01.php");
include_once("inc/utility_all.php");
include_once("api/system_Workflow.class.php");
if($_REQUEST['cur_page']==''){
	$cur_page=0;
}else{
	$cur_page=$_REQUEST['cur_page']-1;
}
$PAGE_TITLE = $_lang["cowork_manage_coop"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script language="javascript">
$(document).ready(function(){
	$(".myCoopMainDiv").height($(window).height()-40).niceScroll();
	$("#table").LazyTable({
		column : [{
				key : "checkall",
				showCheckAll : function(data){
					return true;
				}
			}, {
				key : "COOP_NAME",
				title : "<?=$_lang['cowork_sort_name']?>",
				template : function(data) {
					return "<div style=\"float:left;max-width: 300px; text-overflow: ellipsis; white-space: nowrap; overflow: hidden;\" title=\"{COOP_NAME}\">{COOP_NAME}</div>";
				}
			}, {
				key : "SORT_MEMBER",
				title : "<?=$_lang['cowork_sort_member']?>",
				template : function(data) {
					var template = "";
					if(data.MEMBER_DEPT=="ALL_DEPT"){
						template += "<?=$_lang["cowork_all_dept"]?>";
					}
					else
					{
						if(data.MEMBER_USER != "")
						{
							template += "<u style='cursor:hand' title='"+data.MEMBER_USER+"'><?=$_lang["common_user"]?></u> ";
						}
						if(data.MEMBER_PRIV != "")
						{
							template += "<u style='cursor:hand' title='"+data.MEMBER_PRIV+"'><?=$_lang["common_role"]?></u> ";
						}
						if(data.MEMBER_DEPT != "")
						{
							template += "<u style='cursor:hand' title='"+data.MEMBER_DEPT+"'><?=$_lang["common_dept"]?></u>";
						}
					}
					return template;
				}
			}, {
				key : "COOP_TIME",
				title : "<?=$_lang['cowork_sort_create_time']?>"
			}, {
				key : "CREATER",
				title : "<?=$_lang['cowork_creater']?>"
			}],
		dataSource : "/general/system/cooperation/do.php",
		param : {
			f : "getTable",
			op : "table",
			listType : "coop_sort",
			sortField : "cs.COOP_ORDER",
			sortType : "asc"
		},
		buttons : {
			buttonInfor : {
				"edit" : {
					title : "<?=$_lang['common_edit']?>",
					func : function(data) {
						new_edit(data.COOP_ID);
					},
					isDefault:true
				},
				"delete" : {
					title : "<?=$_lang['common_del']?>",
					func : function(data) {
						delCoopSort(data.COOP_ID,data.CNT);
					}
				}
			},
			filter : false
		},
		batchButtons : {
			"delete" : {
				title : "<?=$_lang['common_del_many']?>",
				func:function(data){
					var send_str = "";
					var coop_cnt = 0;
					var number   = data.length;
					for(var i=0;i<number;i++){
						if(data[i].COOP_ID){
							send_str+= data[i].COOP_ID+',';
						}
						if(data[i].CNT){
							coop_cnt+= parseInt(data[i].CNT);
						}
					}
					delCoopSort(send_str,coop_cnt);
				}
			}
		},
		sort : {
			items : [{
				key : "cs.COOP_NAME",
				title : "<?=$_lang['cowork_sort_name']?>"
			},{
				key : "cs.COOP_TIME",
				title : "<?=$_lang['cowork_sort_create_time']?>"
			}],
			onItemClick : function(key, sortType) {
				$("#table").LazyTable("reload", {
					param : {
						sortField : key,
						sortType : sortType
					}
				},true);
			}
		},
		page : {
			//每页数量
			itemsPerPage : 10,
			//当前页
			currentPage : "<?=$cur_page?>",
			//分页中间页码数量
			numDisplayEntries : 4,
			callback : function(page) {
				$("#table").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		onAfterLoad:function(){
			$("select").selectpicker();
			$(':checkbox.lazy_table_checkbox').iCheck({
				checkboxClass : 'icheckbox_square-grey',
				radioClass : 'iradio_square-grey'
			});
			 $(':checkbox.lazy_table_checkall').iCheck({
				checkboxClass : 'icheckbox_square-blue',
				radioClass : 'iradio_square-blue'
			});
			$(".myCoopMainDiv").niceScroll().resize();
		}
	});
	$("#table").on('ifChanged', '.lazy_table_checkall', function(event){
		$("#table").find(".lazy_table_checkbox,.lazy_table_checkall").prop("checked", $(this).prop("checked")).iCheck('update'); 
	});

	$("#table").on('ifChanged','.lazy_table_checkbox', function(event){
		if ($(this).prop("checked")) {
			if ($("#table").find(".lazy_table_checkbox").filter(function() {
				return $(this).prop("checked") == false;
			}).length == 0) {
				$("#table").find(".lazy_table_checkall").prop("checked", true);
			}
		} else {
			$("#table").find(".lazy_table_checkall").prop("checked", false);
		}
		$(":checkbox").iCheck('update'); 
	});
});
function delCoopSort(send_str,cnt){
	var confirmStr = "<?=$_lang["common_del_alert"]?>";
	if(send_str==''){
		bootbox.alert("<?=$_lang['cowork_rss_del_alert']?>");
		return false;
	}
	if(cnt)
	{
		confirmStr = "<?=$_lang["cowork_delete_sort_have_cnt"]?>";
	}
	bootbox.confirm(confirmStr, function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"do.php",
				data:"send_str="+send_str+"&f=delete_sort",
				success: function(result){
					$("#table").LazyTable("reload");
				}
			});
		}
	});
}
function new_edit(COOP_ID)
{
	window.location = "new_edit.php?coop_id="+COOP_ID+"&cur_page="+$("#table").LazyTable("getCurrentPage");
}
</script>
<body>
<div class="lazy_header">
	<button type="button" id="savebutton" style="float:right;" onClick="location='order_cooperation.php';" class="btn btn-success" title="<?=$_lang["common_sort"]?>"><?=$_lang["common_sort"]?>
	</button>
	<button type="button" style="float:right;" onClick="location='new_edit.php';" class="btn btn-primary" title="<?=$_lang["common_new"]?>"><?=$_lang["common_new"]?>
	</button>
</div>
<div class="myCoopMainDiv" style="overflow-x:hidden;overflow-y:auto;">
	<div id="table" style=""></div>
</div>
<div id="show_reset" style="display:none;position:absolute;width:280;height:auto;padding:3px;background-color: #FFFFFF;border: 1px solid #848484;z-index:10;" >
</div>
</body>
</html>