<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/database
 * Function:         系统设置

 * Encoding:         $_lang['encoding']
 * Author:           www.weaver.com.cn
 * Date:             2008-6-16
 * File Version:     1.0
 * Eoffice Version:  6.0
*/

//加载语言
include_once("inc/auth.php");
includelangpak("system");
ob_implicit_flush();
echo str_repeat(' ', 512); // flush the cache of ie
function split_sql_file($sql, $delimiter = ';')
{
        $sql               = trim($sql);
        $char              = '';
        $last_char         = '';
        $ret               = array();
        $string_start      = '';
        $in_string         = FALSE;
        $escaped_backslash = FALSE;

        for ($i = 0; $i < strlen($sql); ++$i) {
            $char = $sql[$i];

            // if delimiter found, add the parsed part to the returned array
            if ($char == $delimiter && !$in_string) {
                $ret[]     = substr($sql, 0, $i);
                $sql       = substr($sql, $i + 1);
                $i         = 0;
                $last_char = '';
            }

            if ($in_string) {
                // We are in a string, first check for escaped backslashes
                if ($char == '\\') {
                    if ($last_char != '\\') {
                        $escaped_backslash = FALSE;
                    } else {
                        $escaped_backslash = !$escaped_backslash;
                    }
                }
                // then check for not escaped end of strings except for
                // backquotes than cannot be escaped
                if (($char == $string_start)
                    && ($char == '`' || !(($last_char == '\\') && !$escaped_backslash))) {
                    $in_string    = FALSE;
                    $string_start = '';
                }
            } else {
                // we are not in a string, check for start of strings
                if (($char == '"') || ($char == '\'') || ($char == '`')) {
                    $in_string    = TRUE;
                    $string_start = $char;
                }
            }
            $last_char = $char;
        } // end for

        // add any rest to the returned array
        if (!empty($sql)) {
            $ret[] = $sql;
        }
        return $ret;
} // end of the 'split_sql_file()' function
?>

<html>
<head>
<title><?=$_lang["system_db_import_up"]?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
</head>

<body class="bodycolor">
<table border="0" width="100%" cellspacing="0" cellpadding="3">
  <tr>
    <td class="pagehead1"><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/general/icon_system.gif" align="absmiddle"> <?=$_lang["system_db_import_up"]?>
    </td>
  </tr>
 <tr>
    <td class="pagehead2">
		<a class="button" href="#" onclick="history.back();">
			<span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif" border="0" align="absmiddle"> <?=$_lang['common_back']?></span>
		</a>
    </td>
  </tr>
</table>
<br>
<?
$tables = @fread($fp = fopen($sql_file, 'r'), filesize($sql_file));
@fclose($fp);

if (!$tables)
{
  Message("",$_lang["system_db_sql_waring"]);
  exit;
}

$querys = split_sql_file($tables);

$connection=OpenConnection();
$ERROR_COUNT=0;
foreach ( $querys as $query )
{

	preg_match('/CREATE TABLE `([a-z0-9_]+)`/i', $query, $tmp);

	$tableName = $tmp[1];

	if(exequery($connection,$query))
	{

	   if($tableName)
	      Message("",$_lang["system_db_create_ok"]);

	} 
	else
	{
	   Message($_lang["system_db_port_waring"],$_lang["system_db_war_reason"] . mysql_error()."<br><br>".$_lang["system_db_war_sentence"].$query);
	   $ERROR_COUNT++;
	   //Button_Back();
	   //exit;
	}
}

$STR=$_lang["system_db_port_ok"] ;

if($ERROR_COUNT>0)
   $STR.="<br>".$_lang["system_db_all_total"].$ERROR_COUNT.$_lang["system_db_war_times"];
else
   $STR.="<br>".$_lang["system_db_all_ok"];
Message("",$STR);
?>
