<?php
/**
*@Copyright (C) 2014 - 2015 Weaver Co.Ltd
*@systemname:       E-Office
*@filename:         general/system/emobile/index.php
*@function:         E-mobile参数配置
*@encoding:         $_lang['encoding']
*@author:           www.weaver.com.cn|lizhijun
*@modify:			 lizhijun
*@date:             2015-01-17
*@file Version:     1
*@eoffice Version:  9.0
*/
include_once("inc/auth.php");
includelangpak("system");
includelangpak("attend");
include_once ("inc/utility.php");//引入公共函数文件。
include_once ("inc/utility_all.php");//引入公共函数文件。
$method = request_var('m','setParam');
$Emobile = new Emobile();
$Emobile->$method($_lang);
class Emobile{
    public function __construct() {
        ;
    }
    /**
     * 设置emobile配置参数页面
     */
    public function setParam($_lang){
        global $connection,$_lang;
        $sql = 'SELECT * FROM sys_para';
        $rs = exequery($connection, $sql);
        $mobile_push_url = '';
        $mobile_push_key = '';
        $mobile_push_button = 0;
        $mobile_sign_start = 1;
        $mobile_sign_radius = 0;
        while($row = mysql_fetch_array($rs)){
            if($row['PARA_NAME'] == 'MOBILE_PUSH_URL'){
                $mobile_push_url = $row['PARA_VALUE'];
            }else if($row['PARA_NAME'] == 'MOBILE_PUSH_KEY'){
                $mobile_push_key = $row['PARA_VALUE'];
            }else if($row['PARA_NAME'] == 'MOBILE_PUSH_BUTTON'){
                $mobile_push_button = intval($row['PARA_VALUE']);
            }else if($row['PARA_NAME'] == 'MOBILE_SIGN_START'){
                $mobile_sign_start = intval($row['PARA_VALUE']);
            }else if($row['PARA_NAME'] == 'MOBILE_SIGN_RADIUS'){
                $mobile_sign_radius  = intval($row['PARA_VALUE']) - 300;
            }
        }
        $query = 'SELECT * FROM attend_no_pointer';
        $rs1 = exequery($connection, $query);
        $row1 = mysql_fetch_array($rs1);
        if($row1['all_member'] != 1){
            $deptName = $row1["dept_id"] != "all" && $row1["dept_id"] !=""?getDeptStr($row1["dept_id"]):"";
            $privName = $row1["priv_id"] != "all" && $row1["priv_id"] !=""?getPrivStr($row1["priv_id"]):"";
            $userName = $row1["user_id"] != "all" && $row1["user_id"] !=""?getUsernameStr($row1["user_id"]):"";
        }else{
            $deptName = '';
            $privName = '';
            $userName = '';
        }
        $PAGE_TITLE = $_lang["system_sms_set_note"];
        include('general/system/emobile/view/set_param.view.php');
    }
    /**
     * 保存消息推送配置参数
     * @global type $connection
     */
    public function saveParam(){
        global $connection;
        $mobile_push_button = request_var('mobile_push_button',0);
        $mobile_push_url    = trim(request_var('mobile_push_url'));
        $mobile_push_key    = trim(request_var('mobile_push_key'));
        $query1 = 'UPDATE sys_para SET PARA_VALUE = \''.SecurityFilter($mobile_push_button).'\' WHERE PARA_NAME=\'MOBILE_PUSH_BUTTON\'';
        $query2 = 'UPDATE sys_para SET PARA_VALUE = \''.SecurityFilter($mobile_push_url).'\' WHERE PARA_NAME=\'MOBILE_PUSH_URL\'';
        $query3 = 'UPDATE sys_para SET PARA_VALUE = \''.SecurityFilter($mobile_push_key).'\' WHERE PARA_NAME=\'MOBILE_PUSH_KEY\'';
        exequery($connection,$query1);
        exequery($connection,$query2);
        echo exequery($connection,$query3);
    }
    /**
     * 保存移动考勤配置参数
     * @global type $connection
     */
    public function saveSignParam(){
        global $connection;
        $mobile_sign_start  = request_var('mobile_sign_start',0);
        $mobile_sign_radius = request_var('mobile_sign_radius',0);
        $mobile_sign_radius = $mobile_sign_radius + 300;
        $query1 = 'UPDATE sys_para SET PARA_VALUE = \''.SecurityFilter($mobile_sign_start).'\' WHERE PARA_NAME=\'MOBILE_SIGN_START\'';
        $query2 = 'UPDATE sys_para SET PARA_VALUE = \''.SecurityFilter($mobile_sign_radius).'\' WHERE PARA_NAME=\'MOBILE_SIGN_RADIUS\'';
        exequery($connection,$query1);
        echo exequery($connection,$query2);
    }
    /**
     * 添加,修改考勤点
     * @global type $connection
     */
    public function addAttendPoint($_lang){
        global $connection;
        $point_name     = request_var('point_name','');
        $point_addr     = trim(request_var('point_addr',''));
        $point_latlng   = trim(request_var('point_latlng',''));
        $all_member     = request_var('all_member',0);
        if($all_member == 0){
            $dept_id    = request_var('SELECT_DEPT',0);
            $priv_id    = request_var('SELECT_PRIV',0);
            $user_id    = request_var('SELECT_USER',0);
        }else{
            $dept_id    = 'all';
            $priv_id    = 'all';
            $user_id    = 'all';
        }
        $pointId = request_var('point_id',0);
        if(!is_numeric($pointId)){
            Message('',$_lang["common_param_error"],'failed');
            exit;
        }
        if($pointId != 0){
            $query = "UPDATE attend_points SET point_name='".SecurityFilter($point_name)."',point_addr='".SecurityFilter($point_addr)."',point_latlng='".SecurityFilter($point_latlng)."'"
                    . ",all_member=".SecurityFilter($all_member).",user_id='".SecurityFilter($user_id)."',dept_id='".SecurityFilter($dept_id)."',priv_id='".SecurityFilter($priv_id)."' WHERE point_id=".SecurityFilter($pointId);
            echo exequery($connection,$query);
        }else{
            $create_time    = time();
            $query = "INSERT INTO attend_points(`point_name`,`point_addr`,`point_latlng`,`all_member`,`user_id`,`dept_id`,`priv_id`,`create_time`) "
                    . "VALUES('".SecurityFilter($point_name)."','".SecurityFilter($point_addr)."','".SecurityFilter($point_latlng)."',".SecurityFilter($all_member).",'".SecurityFilter($user_id)."','".SecurityFilter($dept_id)."','".SecurityFilter($priv_id)."',".SecurityFilter($create_time).")";
            echo exequery($connection,$query);
        }
    }
    /**
     *  保存非定点考勤成员
     */
    public function saveNoPointerMember(){
        global $connection;
        $all_member     = intval(request_var('all_member1',0));
        if($all_member == 0){
            $dept_id    = request_var('SELECT_DEPT1',0);
            $priv_id    = request_var('SELECT_PRIV1',0);
            $user_id    = request_var('SELECT_USER1',0);
        }else{
            $dept_id    = 'all';
            $priv_id    = 'all';
            $user_id    = 'all';
        }
        $query = 'SELECT * FROM attend_no_pointer';
        $rs = exequery($connection, $query);
        $row = mysql_fetch_array($rs);
        if($row){
            $query = "UPDATE attend_no_pointer SET all_member=".SecurityFilter($all_member).",user_id='".SecurityFilter($user_id)."',dept_id='".SecurityFilter($dept_id)."',priv_id='".SecurityFilter($priv_id)."'";
            echo exequery($connection,$query);
        }else{
            $query = "INSERT INTO attend_no_pointer(`all_member`,`user_id`,`dept_id`,`priv_id`) VALUES(".SecurityFilter($all_member).",'".SecurityFilter($user_id)."','".SecurityFilter($dept_id)."','".SecurityFilter($priv_id)."')";
            echo exequery($connection,$query);
        }
    }
    /**
     * 获取考勤点列表
     * @global type $connection
     */
    public function attendPointLists(){
        global $connection;
        $currentPage = request_var('currentPage');
        $itemsPerPage = request_var('itemsPerPage');
        $start = $currentPage * $itemsPerPage;
        $totalCount    = $this->getPageCount();
        $query = "SELECT * FROM attend_points ORDER BY create_time DESC LIMIT ".SecurityFilter($start).",".SecurityFilter($itemsPerPage);
        $rs = exequery($connection, $query);
        $list = array();
        while($row = mysql_fetch_array($rs)){
            array_push($list, $row);
        }
        if(empty($list)){
            if($totalCount > 0){
                $start = ($currentPage-1) * $itemsPerPage;
                $query = "SELECT * FROM attend_points ORDER BY create_time DESC LIMIT ".SecurityFilter($start).",".SecurityFilter($itemsPerPage)."";
                $rs = exequery($connection, $query);
                $list = array();
                while($row = mysql_fetch_array($rs)){
                    array_push($list, $row);
                }
            }
            echo json_encode(array("totalCount" => $totalCount,'list'=>$list));
            exit;
        }
        echo json_encode(array("totalCount" => $totalCount,'list'=>$list));
    }
    private function getPageCount(){
        global $connection;
        $query = "SELECT count(*) as count FROM attend_points";
        $rs = exequery($connection, $query);
        $row = mysql_fetch_array($rs);
        return $row['count'];
    }
    /**
     * 编辑考勤点页面
     * @global type $connection
     * @param type $_lang
     */
    public function editAttendPoint($_lang){
        global $connection,$_lang;
        $pointId = request_var('point_id',0);
        if(!is_numeric($pointId)){
            Message('',$_lang["common_param_error"],'failed');
            exit;
        }
        if($pointId == 0){
            echo $_lang["attend_attend_point_not_exist"];exit;
        }
        $query = "SELECT * FROM attend_points WHERE point_id=".SecurityFilter($pointId);
        $rs = exequery($connection, $query);
        $pointInfo = mysql_fetch_array($rs,MYSQLI_ASSOC);
        if($pointInfo != 1){
            $pointInfo["deptName"] = $pointInfo["dept_id"] != "all" && $pointInfo["dept_id"] !=""?getDeptStr($pointInfo["dept_id"]):"";
            $pointInfo["privName"] = $pointInfo["priv_id"] != "all" && $pointInfo["priv_id"] !=""?getPrivStr($pointInfo["priv_id"]):"";
            $pointInfo["userName"] = $pointInfo["user_id"] != "all" && $pointInfo["user_id"] !=""?getUsernameStr($pointInfo["user_id"]):"";
        }else{
            $pointInfo["deptName"] = '';
            $pointInfo["privName"] = '';
            $pointInfo["userName"] = '';
        }
        include('general/system/emobile/view/attend_point_edit.view.php');
    }
    /**
     * 删除考勤点
     * @global type $connection
     */
    public function deletePoint($_lang){
        global $connection;
        $pointId = request_var('point_id',0);
        if(!is_numeric($pointId)){
            Message('',$_lang["common_param_error"],'failed');
            exit;
        }
        if($pointId == 0){
            echo 0;exit;
        }
        $query = 'DELETE FROM attend_points WHERE point_id='.SecurityFilter($pointId);
        echo exequery($connection, $query);
    }
}
