<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      系统日志管理的查询结果页
 * @encoding      $_lang['encoding']
 * @name          general/system/log/search.
 * @version       8
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-16
*/
//加载语言
include_once("inc/auth.php");
include_once("ikernel/utility.php");
include_once("inc/ip.php");
include_once("inc/function_page_01.php");
includelangpak("system");
includelangpak("flow");
$PAGE_TITLE = $_lang["system_log_log_search"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script>
$(function() {
	$(".pubtable").LazyBeautifyTable({
	});
	$("html").niceScroll();
});
function backToLogManage() {
	window.location.href = "/general/system/log/manage.php";
}
</script>
<body>
<div class="lazy_header">
  <input type="button" class="btn btn-default" value="<?=$_lang["common_back"]?>" onClick="backToLogManage()" />
</div>
<?
  //----------- 合法性校验 ---------
  if($BEGIN_DATE!="")
  {
    $TIME_OK = is_date_time($BEGIN_DATE);

    if(!$TIME_OK)
    {
		Message($_lang["common_waring"],$_lang["system_log_date_waring"]);
		exit;
    }
  }

  if($END_DATE!="")
  {
    $TIME_OK = is_date_time($END_DATE);

    if(!$TIME_OK)
    {
		Message($_lang["common_waring"],$_lang["system_log_date_waring"]);
		exit;
    }
  }
?>
<table border="0" width="100%" cellspacing="0" cellpadding="0" >
  <tr>
    <td><?=$_lang["system_log_search_exp"]?>
    </td>
  </tr>
</table>
<?
 //===== 显示日志 =====
$connection=OpenConnection();
$sys_log_arr = array(0,1,2,3,4,5,6,7,8,9,10,11,12);
$sys_broadcast_arr = array(13);
$log_type = array(
		"1"  => $_lang["system_log_login_log"],
		"2"  => $_lang["system_log_login_pas_w"],
		"3"  => $_lang["system_log_add_dept"],
		"4"  => $_lang["system_log_edit_dept"],
		"5"  => $_lang["system_log_del_dept"],
		"6"  => $_lang["system_log_add_user"],
		"7"  => $_lang["system_log_edit_user"],
		"8"  => $_lang["system_log_del_user"],
		"9"  => $_lang["system_log_illgra_ip"],
		"10" => $_lang["system_log_war_user"],
		"11" => $_lang["system_log_admin_clear"],
		"12" => $_lang["system_log_emobile"],
		"13" => $_lang["system_delete_flow"],
	);

if (in_array($TYPE,$sys_log_arr))
{
	$query = "SELECT sl.*,u.USER_NAME from SYS_LOG as sl
				LEFT JOIN user as u ON sl.USER_ID = u.USER_ID ";

	if($BEGIN_DATE=="")
		$query .= "where sl.TIME<='".SecurityFilter($END_DATE)."'";
	elseif($END_DATE=="")
		$query .= "where sl.TIME>='".SecurityFilter($BEGIN_DATE)."'";
	else
		$query .= "where sl.TIME>='".SecurityFilter($BEGIN_DATE)."' and sl.TIME<='$END_DATE'";

	if ($TYPE != "0")
	{
		$query .= " and sl.TYPE='".SecurityFilter($TYPE)."'";
		$TYPE1 = $TYPE;
	} else {
		$TYPE1 = 0;
	}

	if($IP!="")
	{
	 	$query .= " and sl.IP='".SecurityFilter($IP)."'";
	 	$IPS    = '&IP='.SecurityFilter($IP);
	}

	if ($TO_ID != "")
	{
	 	$TO_ID1 = '&TO_ID='.SecurityFilter($TO_ID);
	 	$TO_ID  = "'".str_replace(",","','",substr(SecurityFilter($TO_ID),0,-1))."'";
	 	$query .= " AND sl.USER_ID IN(".SecurityFilter($TO_ID).") ";
	}

	$query .= " ORDER BY sl.TIME DESC";

	$query  = page($query,50);
	$cursor = exequery($connection,$query);
	$LOG_COUNT=0;

	while ($ROW=mysql_fetch_array($cursor))
	{
		$LOG_COUNT++;

		$LOG_ID=$ROW["LOG_ID"];
		$IP=$ROW["IP"];
		$TYPE=$ROW["TYPE"];
		$ipfrom = iconv("gb2312","utf-8",str_replace("-"," ",convertip($IP)));
		if($ipfrom=='  LAN'){
			$ipfrom = $_lang['system_log_ip_lan'];
		}

		if($LOG_COUNT==1)
		{
		?>

		   <table border="0" cellspacing="0" width="100%" cellpadding="0" class="pubtable">
			   <thead>
					<tr style="background-color:#E6E6E6">
					  <td nowrap align="center"><?=$_lang["common_name"]?></td>
					  <td nowrap align="center"><?=$_lang["common_time"]?> </td>
					  <td nowrap align="center"><?=$_lang["system_log_address_ip"]?></td>
					  <td nowrap align="center"><?=$_lang['system_log_ip_area']?></td>
					  <td nowrap align="center"><?=$_lang["system_log_type"]?></td>
					  <td nowrap align="center"><?=$_lang["system_log_remarks"]?></td>
					  <td nowrap align="center"><?=$_lang["common_operate"]?></td>
					  </tr>
			   </thead>
			   <tbody>
		<?
		}
		?>
		<tr>
		 <td nowrap align="center"><?=$ROW["USER_NAME"]?></td>
		 <td nowrap align="center"><?=$ROW["TIME"]?></td>
		 <td nowrap align="center"><?=$IP?></td>
		 <td nowrap align="center"><?=$ipfrom?></td>
		 <td nowrap align="center"><?=$log_type[$TYPE]?></td>
		 <td nowrap align="center"><?=$ROW["REMARK"]?></td>
		 <td nowrap align="center">
			 <a href="javascript:delete_log(<?=$LOG_ID?>);"><?=$_lang["common_del"]?></a>
		 </td>
		</tr>
		<?
	}
}

if (in_array($TYPE,$sys_broadcast_arr))
{
	$query = "SELECT sb.*,u.USER_NAME from sys_broadcast as sb
				LEFT JOIN user as u ON sb.LOG_USER_ID = u.USER_ID ";

	if($BEGIN_DATE=="")
		$query .= "where sb.LOG_DATE_TIME<='".SecurityFilter($END_DATE)."'";
	elseif($END_DATE=="")
		$query .= "where sb.LOG_DATE_TIME>='".SecurityFilter($BEGIN_DATE)."'";
	else
		$query .= "where sb.LOG_DATE_TIME>='".SecurityFilter($BEGIN_DATE)."' and sb.LOG_DATE_TIME<='".SecurityFilter($END_DATE)."'";

	$query .= " and sb.LOG_SOURCE_TABLE = 'flow_run' AND LOG_OPREATION_TYPE = 'delete'";
	$TYPE1 = $TYPE;


	if ($TO_ID != "")
	{
	 	$TO_ID1 = '&TO_ID='.SecurityFilter($TO_ID);
	 	$TO_ID  = "'".str_replace(",","','",substr(SecurityFilter($TO_ID),0,-1))."'";
	 	$query .= " AND sb.LOG_USER_ID IN(".SecurityFilter($TO_ID).") ";
	}

	$query .= " ORDER BY sb.LOG_ID DESC";

	$query  = page($query,50);
	$cursor = exequery($connection,$query);
	$LOG_COUNT=0;
	while ($ROW=mysql_fetch_array($cursor))
	{
		$content = "";
		$LOG_COUNT++;
		// $content = $_lang["system_delete_flow"].$ROW["LOG_SOURCE_KEY_FIELD"].':'.$ROW["LOG_SOURCE_KEY_VALUE"];
		if($ROW["LOG_REMARK"]) {
			$LOG_REMARK = json_decode($ROW["LOG_REMARK"],true);
			$content = $_lang["flow_flow_desp"]."：".$LOG_REMARK["RUN_NAME"];
		}
		if($LOG_COUNT==1)
		{
		?>

		   <table border="0" cellspacing="0" width="100%" cellpadding="0" class="pubtable">
			   <thead>
					<tr style="background-color:#E6E6E6">
					  <td nowrap align="center"><?=$_lang["common_name"]?></td>
					  <td nowrap align="center"><?=$_lang["common_time"]?> </td>
					  <td nowrap align="center"><?=$_lang["system_log_type"]?></td>
					  <td nowrap align="center"><?=$_lang["system_log_remarks"]?></td>
					  <!-- <td nowrap align="center"><?=$_lang["common_operate"]?></td> -->
					  </tr>
			   </thead>
			   <tbody>
		<?
		}
		?>
		<tr>
		 <td nowrap align="center"><?=$ROW["USER_NAME"]?></td>
		 <td nowrap align="center"><?=$ROW["LOG_DATE_TIME"]?></td>
		 <td nowrap align="center"><?=$log_type[$TYPE]?></td>
		 <td nowrap align="center"><?=$content?></td>
<!-- 		 <td nowrap align="center">
			 <a href="javascript:delete_log(<?=$LOG_ID?>);"><?=$_lang["common_del"]?></a>
</td> -->
		</tr>
		<?
	}
}

if($LOG_COUNT>0) {
?>
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td nowrap="nowrap" align="right">
			<? disp('BEGIN_DATE='.$BEGIN_DATE.'&END_DATE='.$END_DATE.'&TYPE='.$TYPE1.$IPS.$TO_ID1);?>
			</td>
		</tr>
	</table>
 <?
 }

 if($LOG_COUNT==0)
 {
    Message("",$_lang["system_log_search_noth"]);
    exit;
 }
 else
 {
 ?>
	 </tbody>
	   </table>
 <?
 }
 ?>
</body>
</html>
<script language="javascript">
function delete_log(LOG_ID)
{
	bootbox.confirm("<?=$_lang["system_log_delete_single"]?>", function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"delete.php",
				data:"LOG_ID=" + LOG_ID,
				success: function(resultData){
					if(resultData == "success") {
						window.location='search.php?BEGIN_DATE=<?=$BEGIN_DATE?>&END_DATE=<?=$END_DATE?>&TYPE=<?=$TYPE1?><?=$IPS.$TO_ID1?>&cur_page=<?=$cur_page?>';
					} else {
						$.pnotify({
							text : "<?=$_lang['system_log_admin_del']?>",
							type : "error",
							delay : 1000,
							addclass: "stack-topleft",
							styling : "bootstrap3",
							history : false,
							sticker : false,
							closer : false
						});
					}
				}
			});
		}
	});
}
</script>
