<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/log/summary.php
 * Function:         日志状态
 * Encoding:         $_lang['encoding']
 * Author:           samuel
 * Date:             2011-9-15
 * File Version:     1.0
 * Eoffice Version:  8.0
*/

//加载语言
include_once("inc/auth.php");
include_once("ikernel/utility.php");
include_once("inc/php.php");
include_once("inc/reg_func.php");
include_once("inc/ip.php");
includelangpak("system");

$type = "only";
oa_version("SYS_LOG",1000);
$PAGE_TITLE = $_lang["system_log_summary"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<link rel="stylesheet" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script>
$(function() {
	$(".pubtable").LazyBeautifyTable({
	});
	$(".summaryMain").height("100%").niceScroll();
});
</script>
<body class="summaryMain">
<?
//---------总统计天数----------
$query = "SELECT * from SYS_LOG order by TIME desc";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
   $END_DAYS=$ROW["TIME"];

$query = "SELECT * from SYS_LOG order by TIME asc";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
   $START_DAYS=$ROW["TIME"];

$TOTAL_DAYS=round((strtotime($END_DAYS)-strtotime($START_DAYS))/24/3600)+1;

//---------总访问量----------
$query = "SELECT count(*) from SYS_LOG";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
   $TOTAL_COUNT=$ROW[0];

//---------今年访问量----------
$query = "SELECT count(*) from SYS_LOG where TIME>='".date("Y",time())."-01-01 00:00:00' and TIME<='".date("Y",time())."-12-31 23:59:59'";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
   $YEAR_COUNT=$ROW[0];

//---------本月访问量----------
$query = "SELECT count(*) from SYS_LOG where TIME>='".date("Y-m",time())."-01 00:00:00' and TIME<='".date("Y-m",time())."-".date("t",time())." 23:59:59'";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
   $MONTH_COUNT=$ROW[0];

//---------今日访问量----------
$query = "SELECT count(*) from SYS_LOG where TIME>='".date("Y-m-d",time())." 00:00:00' and TIME<='".date("Y-m-d",time())." 23:59:59'";
$cursor= exequery($connection,$query);
if($ROW=mysql_fetch_array($cursor))
   $TODAY_COUNT=$ROW[0];

$AVERAGE_COUNT=round($TOTAL_COUNT/$TOTAL_DAYS)
?>
  <table border="0" width="100%" cellpadding="0" cellspacing="0" class="pubtable">
  <thead>
    <tr style="background-color:#ececec;">
    <td colspan="2" style="padding-left:10px;"><?=$_lang["system_log_summary"]?></td>
    </tr>
  </thead>
    <tbody>
    <tr height="20">
      <td nowrap width="120" style="padding-left:10px;"><?=$_lang["system_log_date_total"]?>：</td>
      <td align="left">&nbsp;
        <?=$TOTAL_DAYS?>
      </td>
    </tr>
    <tr height="20">
      <td nowrap width="120" style="padding-left:10px;"><?=$_lang["system_log_visit_total"]?>：</td>
      <td align="left">&nbsp;
        <?=$TOTAL_COUNT?>
      </td>
    </tr>
    <tr height="20">
      <td nowrap width="120" style="padding-left:10px;"><?=$_lang["system_log_visit_year"]?>：</td>
      <td align="left">&nbsp;
        <?=$YEAR_COUNT?>
      </td>
    </tr>
    <tr height="20">
      <td nowrap width="120" style="padding-left:10px;"><?=$_lang["system_log_visit_moon"]?>：</td>
      <td align="left">&nbsp;
        <?=$MONTH_COUNT?>
      </td>
    </tr>
    <tr height="20">
      <td nowrap width="120" style="padding-left:10px;"><?=$_lang["system_log_visit_tody"]?>：</td>
      <td align="left">&nbsp;
        <?=$TODAY_COUNT?>
      </td>
    </tr>
    <tr height="20">
      <td nowrap width="120" style="padding-left:10px;"><?=$_lang["system_log_per_date"]?>：</td>
      <td align="left">&nbsp;
        <?=$AVERAGE_COUNT?>
      </td>
    </tr>
    </tbody>
</table>
  <br>
<table border="0" cellspacing="0" width="100%"  cellpadding="0" class="pubtable">
  <thead>
    <tr style="background-color:#ececec;">
    <td colspan="6" style="padding-left:10px;"><?=$_lang["system_log_last_ten"]?></td>
    </tr>
  </thead>
  <tbody>
<?
 $query = "SELECT * from SYS_LOG order by TIME desc";
 $cursor= exequery($connection,$query);
 $LOG_COUNT=0;

 while($ROW=mysql_fetch_array($cursor))
 {
    $LOG_COUNT++;

    if($LOG_COUNT>10)
       break;
    $LOG_ID=$ROW["LOG_ID"];
    $USER_ID=$ROW["USER_ID"];
    $TIME=$ROW["TIME"];
    $IP=$ROW["IP"];
    $TYPE=$ROW["TYPE"];
    $REMARK=$ROW["REMARK"];

    $USER_ID=str_replace("\\","\\\\",$USER_ID);
    $USER_ID=str_replace("'","\'",$USER_ID);

    $USER_NAME="";
    $query1 = "SELECT * from USER where USER_ID='$USER_ID'";
    $cursor1= exequery($connection,$query1);
    if($ROW1=mysql_fetch_array($cursor1))
       $USER_NAME=$ROW1["USER_NAME"];

    switch($TYPE)
    {
     case "1":
         $TYPE_DESC=$_lang["system_log_login_log"];
         break;
     case "2":
         $TYPE_DESC=$_lang["system_log_login_pas_w"];
         break;
     case "3":
         $TYPE_DESC=$_lang["system_log_add_dept"];
         break;
     case "4":
         $TYPE_DESC=$_lang["system_log_edit_dept"];
         break;
     case "5":
         $TYPE_DESC=$_lang["system_log_del_dept"];
         break;
     case "6":
         $TYPE_DESC=$_lang["system_log_add_user"];
         break;
     case "7":
         $TYPE_DESC=$_lang["system_log_edit_user"];
         break;
     case "8":
         $TYPE_DESC=$_lang["system_log_del_user"];
         break;
     case "9":
         $TYPE_DESC=$_lang["system_log_illgra_ip"];
         break;
     case "10":
         $TYPE_DESC=$_lang["system_log_war_user"];
         break;
     case "11":
         $TYPE_DESC=$_lang["system_log_admin_clear"];
         break;
   case "12":
         $TYPE_DESC=$_lang["system_log_emobile"];
         break;    
    }
  $ipfrom = iconv("gb2312","utf-8",str_replace("-"," ",convertip($IP)));
  if($ipfrom=='  LAN'){
    $ipfrom = $_lang['system_log_ip_lan'];
  } 
?>
    <tr>
      <td nowrap style="padding-left:10px;"><?=$USER_NAME?></td>
      <td nowrap ><?=$TIME?></td>
      <td nowrap ><?=$IP?></td>
    <td nowrap ><?=$ipfrom?></td>
      <td nowrap ><?=$TYPE_DESC?></td>
      <td nowrap ><?=$REMARK?></td>
    </tr>
<?
}
?>
</tbody>
</table>
</body>
</html>
