<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      性能安全设置页
 * @encoding      $_lang['encoding']
 * @name          general/sysytem/securery/set_unify.php
 * @version       10
 * @author        Qu|www.weaver.com.cn
 * @date          2012-01-11
 */
//加载语言变量
include_once("inc/auth.php");
include_once("inc/utility_all.php");
includelangpak("system");

$type='only';
$PAGE_TITLE = $_lang[""];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<SCRIPT type="text/javascript" src="/inc/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="/inc/follow.js"></SCRIPT>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<link rel="stylesheet" href="/newplugins/bootstrap/css/bootstrap.min.css" />
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">

<script type="text/javascript">
$(function(){

	$.pnotify.defaults.styling = "bootstrap3";
    $.pnotify.defaults.closer = false;
    $.pnotify.defaults.sticker = false;
    $.pnotify.defaults.history = false;
    $.pnotify.defaults.delay = 1000;
    $.pnotify.defaults.addclass = "stack-topleft";
    $.pnotify.defaults.animate_speed = 'fast';
});

function loadingData(field_name,field_value,f){
	$.ajax({
		url:"do.php",
		data:{
			"field_name":field_name,
			"field_value":field_value,
			"f":f
		}
	}).done(function(result){
		if(result) {

			var remind_way = window.parent.parent.$("#remind_way_sms").val();
			if (remind_way!=0 || remind_way!="0") {
				window.parent.parent.remind_frenquency = field_value*1000;
				window.parent.parent.start_num_interval();
			}
			
			$.pnotify({
				text : '<?=$_lang["common_editsuccess"]?>',
				type:'success',
			});
		} else {
			$.pnotify({
				text : '<?=$_lang["common_editfailed"]?>',
				type:'error',
			});
		}
	});

}
function setValue(this_id,value){
	if(value==''){
		var get_value = document.getElementById(this_id).value;
		if(this_id == 'FLOW_FREQUENCY'){
			if(get_value<60){
				$.pnotify({
					text : '<?=$_lang["system_limit_time_60"]?>',
					type:'error',
				});
				return false;
			}
		}else{
			if(this_id == 'SMS_FREQUENCY'){
				if(get_value<30){
					$.pnotify({
						text : '<?=$_lang["system_limit_time_30"]?>',
						type:'error',
					});
					return false;
				}
			}else{
				if(get_value<30){
					$.pnotify({
						text : '<?=$_lang["system_limit_time_30"]?>',
						type:'error',
					});
					return false;
				}
			}
		}
		if(!isInteger(get_value)){
			$.pnotify({
				text : '<?=$_lang["system_string_number_only"]?>',
				type:'error',
			});
			return false;
		}
		loadingData(this_id,get_value,'update');
	}else{
		 msg="<?=$_lang["system_sure_to_return"]?>";
		 bootbox.confirm(msg, function(result) {
	      if(result){
	          var obj = document.getElementById(this_id);
				obj.value = value;	
				loadingData(this_id,value,'update');
	      }
	    });
	}

}
</script>
<body>
<table border="0" cellspacing="0" width="100%" class="form_table" cellpadding="0">
	<tbody>
	<tr>
      <td class="title" nowrap><?=$_lang["system_sms_out_per"]?></td>
      <td><input type="text" name="SMS_FREQUENCY" id="SMS_FREQUENCY" size="10" value="<?=getFieldPara('SMS_FREQUENCY')/1000?>"><?=$_lang["system_out_per_second"]?> <?=$_lang["system_limit_time_30"]?></td>
	  <td>
		<button style="color:white;" class="btn btn-primary" onClick="setValue('SMS_FREQUENCY','');" ><?=$_lang["common_save"]?></button>
		<button style="color:white;" class="btn btn-danger" onClick="setValue('SMS_FREQUENCY','300');"><?=$_lang["system_return_initial_set"]?></button>
	</td>
  </tr>
  <!--修改td7737-->
   <tr>
      <td class="title" nowrap><?=$_lang["system_save_frequency"]?></td>
      <td><input type="text" name="FLOW_FREQUENCY" id="FLOW_FREQUENCY" size="10"  value="<?=getFieldPara('FLOW_FREQUENCY')/1000?>"><?=$_lang["system_out_per_second"]?> <?=$_lang["system_limit_time_60"]?></td>
	  <td>
		<button style="color:white;" class="btn btn-primary" onClick="setValue('FLOW_FREQUENCY','');"><?=$_lang["common_save"]?></button>
		<button style="color:white;" class="btn btn-danger" onClick="setValue('FLOW_FREQUENCY','3000');"><?=$_lang["system_return_initial_set"]?></button>
	  </td>
  </tr>
  </tbody>
</table>
</body>
</html>