<?
/**
*@Systemname:       E-Office
*@Filename:         general/system/user/user_status.php
*@Function:         用户状态
*@Encoding:         $_lang['encoding']
*@Author:           www.weaver.com.cn
*@Date:             2012-12-05
*@File Version:     8.0
*@Eoffice Version:  8.3
*/
include_once("inc/auth.php");
includelangpak("info");
includelangpak("user,system");

$query      = "SELECT STATUS_ID,STATUS_NAME FROM USER_STATUS ORDER BY STATUS_ID ASC";
$rs         = exequery($connection,$query);
$count      = 0;
$PAGE_TITLE = $_lang["info_rss_news_type_manage"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<link rel="stylesheet" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css"/>

<script type="text/javascript">
$(document).ready(function(){
	$(":button").LazyBeautifyForm();
	$("#pubtable1").LazyBeautifyTable();
	
	//新建用户状态
	$("#addStatus").click(function(){
		window.location = "user_status_add.php";
		return false;
	});
	
	//编辑用户状态
	$(".editStatus").click(function(){
		var statusID = $(this).parents("tr:first").attr("statusID");
		var url = "edit_user_status.php?STATUS_ID="+statusID;
		window.location = url;
		return false;
	});
	
	//删除用户状态
	$(".deleteStatus").click(function(){
		var statusID = $(this).parents("tr:first").attr("statusID");
		var statusName = $(this).parents("tr:first").attr("statusName");

		var msg = '<?=$_lang["common_del_alert"]?>'+statusName;
		bootbox.confirm(msg,function(result){
			if (result) {
				$.ajax({
					type:"post",
					url:"del_user_status.php",
					data:"STATUS_ID="+statusID,
					success: function(result){
						if(result == "success") {
							$.pnotify({
								text : "<?=$_lang['common_deletesuccess']?>",
								type : "success",
								delay : 1000,
								addclass: "stack-topleft",
								styling : "bootstrap3",
								history : false,
								sticker : false,
								closer : false,
								after_close: function(pnotify, timer_hide) {
									window.location.reload();
								}
							});
						} else if (result == "error1") {
							$.pnotify({
								text : "<?=$_lang['system_del_status_tip']?>",
								type : "error",
								delay : 1000,
								addclass: "stack-topleft",
								styling : "bootstrap3",
								history : false,
								sticker : false,
								closer : false,
								after_close: function(pnotify, timer_hide) {
									//window.parent.msgDialog.dialog("close");
								}
							});
						} else if (result == "error2") {
							$.pnotify({
								text : "<?=$_lang['common_deletefailed']?>",
								type : "error",
								delay : 1000,
								addclass: "stack-topleft",
								styling : "bootstrap3",
								history : false,
								sticker : false,
								closer : false,
								after_close: function(pnotify, timer_hide) {
									//window.parent.msgDialog.dialog("close");
								}
							});
						}
					}
				});
			};
		});
	});
});
</script>
<body>
<div class="lazy_header">
	<a type="button" class="btn btn-primary" id="addStatus"><?=$_lang["common_new"]?></a>
</div>
<table  border="0" width="100%" cellspacing="0" cellpadding="0" id="pubtable1" >
	<thead>
	<tr>			
		<td width="20%" nowrap="nowrap" align="center" >
			<?=$_lang["user_status_order"]?>
		</td>
		<td nowrap="nowrap" align="center" >
			<?=$_lang["user_user_status_type"]?>
		</td>
		<td  width="20%"nowrap="nowrap" align="left">
			&nbsp;&nbsp;<?=$_lang["common_operate"]?>
		</td>
	</tr>
	</thead>
	<tbody>
	<? 
	while($rows = mysql_fetch_array($rs)) { 
		$i++;
		$STATUS_ID   = $rows["STATUS_ID"] ;
		$STATUS_NAME = $rows["STATUS_NAME"] ;

		if($STATUS_NAME == "system_dimission") {
			$STATUS_NAME = $_lang["system_user_dimission"];
		}
		$sql = "SELECT STATUS_ID FROM USER_STATUS WHERE STATUS_ID = '".SecurityFilter($STATUS_ID)."'" ;
		$SearchRs  = exequery($connection,$sql);
		
		while($rows = mysql_fetch_array($SearchRs))
			$Has_STATUS_NAME = $rows["STATUS_ID"] ;
			$count++;
	?>
		<tr align="center" statusID='<?=$STATUS_ID?>' statusName='<?=$STATUS_NAME?>' >
		<td>
			<?=$STATUS_ID?>
		</td>
		<td>
			<?=$STATUS_NAME?>
		</td>
		<td align="left">
		<? if($STATUS_ID!=2){?>
			&nbsp;&nbsp;<a href="#" class="editStatus"><?=$_lang["common_edit"]?></a>&nbsp; 
		<? }else{
			echo "&nbsp;&nbsp;".$_lang["common_edit"]."&nbsp;";
		}?>
		<? if($STATUS_ID !=1 && $STATUS_ID !=2){?>
			     <a href='javascript:void(0)' class="deleteStatus"><?=$_lang["common_del"]?></a>
		<? }else{
				echo $_lang["common_del"];
			}?>
		</td>
	</tr>
	<? 
	} 
	if($count=='') { 
		Message("",$_lang["user_no_status"]);
	}
	?>
	</tbody>
</table>

</body>
</html>