<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/workflow/flow_type/flowlist.php
 * Function:         定义流步骤中的新建节点
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2012-10-31
 * File Version:     11.0
 * Eoffice Version:  8.3
*/
include_once("inc/auth.php");
includelangpak("flow,common");
include_once("inc/utility_all.php");
include_once("api/system_Workflow.class.php");
include_once("api/fixedworkflow.class.php");
$version = getVersion();
$workFlowDefine = new workFlowDefine;
if($FLOWSETID!="")
	$TITLE = $_lang["flow_editflowstep"]."-".$_lang["flow_basicproperty"];
else
	$TITLE = $_lang["flow_newflowstep"];
$workFlowInstance = new fixedWorkflow($FLOW_ID);
$isDataSendout = isDataSendout();
if($FLOWSETID!="")
{
	$workFlowDefine->PROCESS_ID = $FLOWSETID;
	$process_info = $workFlowDefine->getProcessInfo();
	if($process_info)
	{
		$PRCS_ID        = $process_info["PRCS_ID"];
		$flowForward    = $process_info["PRCS_FORWARD"];
		$canEndWorkflow = $process_info["END_WORKFLOW"];
		$nodeProperty   = $process_info["NODE_PROPERTY"];
		$flowOutmail    = $process_info["FLOW_OUTMAIL"];
		$flowCopy       = $process_info["FLOW_COPY"];
		$pressAddHour   = $process_info["PRESS_ADD_HOUR"];
        $flowOutsendType= $process_info["FLOW_OUTSEND_TYPE"];
	}
}
else
{
	$query   = "SELECT max(PRCS_ID) from FLOW_PROCESS WHERE FLOW_ID=".SecurityFilter($FLOW_ID)."";
	$cursor  = exequery($connection,$query);
	if($ROW  = mysql_fetch_array($cursor))
		$PRCS_ID = $ROW[0]+1;
    $flowOutsendType = 1;
}
if($pressAddHour) {
	$flowPressTimeSetDay  = intval(floor($pressAddHour/24));
	$flowPressTimeSetHour = $pressAddHour%24;
	if($flowPressTimeSetDay == 0)
		$flowPressTimeSetDay = "";
	if($flowPressTimeSetHour == 0)
		$flowPressTimeSetHour = "";
}
$outsend_url = $workFlowInstance->getOutSend($PRCS_ID);
$PAGE_TITLE = $TITLE;
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<link rel="stylesheet" type="text/css" href="/general/system/workflow/data_send/datasend.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script src="/inc/common.js"></script>
<script src="/inc/follow.js?<?=$version?>"></script>
<style>
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
.sendouturl{
    display: none;
}
</style>
<script language=javascript>
$(function(){
	$(window.parent.document).find("#ui-tabs-1 .iframeprocesspath").height($(parent.window).height()-35);
	$(".myFlowProcessMainDiv").height($(window).height()-35).niceScroll();
	UE.getEditor('PRCS_DESCRIPT', {
		initialFrameWidth:"100%",
		toolbars: [[
			'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
			'fontsize','fontfamily', '|','scrawl','|',
			'justifyleft', 'justifycenter', 'justifyright'
		]],
		zIndex:1
	});
	checkValue.call($("#PRCS_ID"));
	checkValue.call($("#PRCS_NAME"));
});
//window.resizeTo(550,500);
function check_form()
{
	if(document.form1.PRCS_NAME.value == "")
	{
		bootbox.alert("<?=$_lang["flow_cautionstepname"]?>");
		return false;
	}
	var flowPressTimeSetDay  = $("#flow-press-time-set-day").val();
	var flowPressTimeSetHour = $("#flow-press-time-set-hour").val();
	if(flowPressTimeSetDay) {
		if(!isUnsignedInteger(flowPressTimeSetDay) || flowPressTimeSetDay > 365) {
			$.pnotify({
				text : Flowlang.flowInputRightPressTime,
				type : "error",
				delay : 100,
				addclass: "stack-topleft",
				styling : "bootstrap3",
				history : false,
				sticker : false,
				closer : false
			});
			return false;
		}
	}
	if(flowPressTimeSetHour) {
		if(!isUnsignedInteger(flowPressTimeSetHour) || flowPressTimeSetHour > 24) {
			$.pnotify({
				text : Flowlang.flowInputRightPressTime,
				type : "error",
				delay : 100,
				addclass: "stack-topleft",
				styling : "bootstrap3",
				history : false,
				sticker : false,
				closer : false
			});
			return false;
		}
	}
	return true;
}

function submitForm()
{
	if (check_form())
	{
		//form1.submit();
		$('#form1').ajaxSubmit(function() {
			$.pnotify({
				text : "<?=$_lang['common_save_successed']?>",
				type : "success",
				delay : 100,
				addclass: "stack-topleft",
				history : false,
				sticker : false,
				closer : false,
				after_close: function(pnotify, timer_hide) {
					if("<?=$FLOWSETID?>" == "")
						backToProcessSet('<?=$FLOW_ID?>');
					else
						location.reload();
				}
			});
		});
	}
}
</script>
<body onLoad="document.form1.PRCS_NAME.focus();">
<form action="<? if($FLOWSETID!="") echo "update"; else echo "insert";?>.php" method="post" name="form1" id="form1">
<div class="lazy_sub_header">
	<?
	if($FLOWSETID!="")
	{
	?>
		<div style="float:left;line-height:35px;margin-left:10px;">
			<?=$_lang["flow_choosenode"]?>
		</div>
		<div style="float:left;margin-left:10px;margin-top:3px;">
			<select name="selectProcess" id="selectProcess" onChange="selectProcessId('tagContent1','<?=$FLOW_ID?>','<?=$_REQUEST['uback']?>')">
				<?
				$workFlowDefine->FLOW_ID = $_REQUEST['FLOW_ID'];
				$flow_process_info = $workFlowDefine->getFlowProcessInfo("PRCS_ID");
				while(list($key,$val) = each($flow_process_info)){
					$strSelected = "";
					if ($val['ID'] == $_REQUEST['FLOWSETID']){
						$strSelected = "selected";
					}
					?>
					<option value="<?=$val['ID']?>" <?=$strSelected?>><?=mb_strcut($val['PRCS_ID'].".".$val['PRCS_NAME'],0,30,"utf-8");if(strlen($val['PRCS_ID'].".".$val['PRCS_NAME'])>30)echo "...";?></option>
				<?
				}
				?>
			</select>
		</div>
	<?
	}
	?>
	<button type="button" style="float:right;" onClick="backToProcessSet('<?=$FLOW_ID?>');" class="btn btn-default" title="<?=$_lang["common_back"]?>"><?=$_lang["common_back"]?>
	</button>
	<button type="button" id="savebutton" style="float:right;" onClick="submitForm();" class="btn btn-primary" title="<?=$_lang["common_save"]?>"><?=$_lang["common_save"]?>
	</button>
</div>
<div class="myFlowProcessMainDiv" style="overflow:hidden;">
<table border="0" width="100%" cellpadding="0" cellspacing="0" class="form_table">
	<tr>
		<td nowrap class="title"><?=$_lang["common_order"]?></td>
		<td>
		<input type="text" name="PRCS_ID" id="PRCS_ID" style="width:300px;" maxlength="10" class="require" value="<?=$PRCS_ID?>">&nbsp;<?=$_lang["flow_first_node_num_rule"]?>
		</td>
	</tr>
	<tr>
		<td nowrap class="title"><?=$_lang["flow_stepname"]?></td>
		<td>
		<input type="text" name="PRCS_NAME" id="PRCS_NAME" style="width:300px;" maxlength="100" class="require" value="<?=$process_info["PRCS_NAME"]?>">
		<input type="hidden" name="uback" id="uback" value="<?=$_REQUEST['uback']?>">
		</td>
	</tr>
	<tr>
		<td nowrap class="title"><?=$_lang["flow_runstepnum"]?></td>
		<td>
		<input type="text" name="PRCS_TO" id="PRCS_TO" style="width:300px;" class="BigInput" value="<?=$process_info["PRCS_TO"]?>"><br>
		<?=$_lang["flow_tip_runstepnum"]?></td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title">
			<?=$_lang["flow_endworkflow_this_step"]?>
		</td>
		<td>
		<input <?php if($canEndWorkflow == 1) echo "checked=\"checked\"";?> type="radio" name="canEndWorkflow" class="radio" value="1" id="106"><label for="106">&nbsp;<?=$_lang["flow_can"]?>&nbsp;&nbsp;</label><input type="radio" <?php if($canEndWorkflow == ""||$canEndWorkflow =="0") echo "checked=\"checked\"";?> name="canEndWorkflow" class="radio" value="0" id="107" ><label for="107">&nbsp;<?=$_lang["flow_can_not"]?></label>
		</td>
	</tr>
	<tr>
		<td nowrap class="title"><?=$_lang["flow_processtype"]?></td>
		<td>
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
                <input type="hidden" id="checkprcs_optype" name="checkprcs_optype" value="<?=$process_info["PRCS_OPTYPE"]?>">
				<input name="PRCS_OPTYPE" type="radio" class="radio" value="0" <? if ($process_info["PRCS_OPTYPE"] == 0 || !$process_info["PRCS_OPTYPE"]) echo "checked"?> id="label00"/> <label for="label00"><?=$_lang["flow_processtypefirst"]?></label>
				</td>
			</tr>
			<tr>
				<td>
				<input name="PRCS_OPTYPE" type="radio" class="radio" value="1" <? if ($process_info["PRCS_OPTYPE"] == 1) echo "checked"?> id="label01"/> <label for="label01"><?=$_lang["flow_processtypesecond"]?></label>
				</td>
			</tr>
			<tr>
				<td>
				<input name="PRCS_OPTYPE" type="radio" class="radio" value="2"  <? if ($process_info["PRCS_OPTYPE"] == 2) echo "checked"?> id="label02"/> <label for="label02"><?=$_lang["flow_processtypethird"]?></label>
				</td>
			</tr>
			<tr>
				<td>
					<input name="PRCS_OPTYPE" type="radio" class="radio" value="3"  <? if ($process_info["PRCS_OPTYPE"] == 3) echo "checked"?> id="label03"/> <label for="label03"><?=$_lang["flow_processtypefourth"]?></label>
				</td>
			</tr>
		</table>
	</td>
	</tr>
	<tr>
		<td class="title">
			<?=$_lang["flow_flow_forward"]?>
		</td>
		<td>
			<input type="radio" <? if($flowForward == 0) echo "checked=\"checked\"";?> name="flowForward" class="radio" value="0" id="103" ><label for="103">&nbsp;<?=$_lang["flow_can_not_forward"]?>&nbsp;&nbsp;</label><input type="radio" name="flowForward" class="radio" <? if($flowForward == 1) echo "checked=\"checked\"";?> value="1" id="104" ><label for="104">&nbsp;<?=$_lang["flow_hoster_can_forward"]?>&nbsp;&nbsp;</label><input type="radio" name="flowForward" class="radio" <? if($flowForward == 2) echo "checked=\"checked\"";?> value="2" id="105"><label for="105">&nbsp;<?=$_lang["flow_all_person_can_forward"]?></label>
		</td>
	</tr>
	<tr>
		<td class="title">
			<?=$_lang["flow_out_mail"]?>
		</td>
		<td>
			<input type="radio" <? if($flowOutmail == 0) echo "checked=\"checked\"";?> name="flowOutMail" class="radio" value="0" id="110" ><label for="110">&nbsp;<?=$_lang["flow_can_not_out_mail"]?>&nbsp;&nbsp;</label><input type="radio" name="flowOutMail" class="radio" <? if($flowOutmail == 1) echo "checked=\"checked\"";?> value="1" id="111" ><label for="111">&nbsp;<?=$_lang["flow_hoster_can_out_mail"]?>&nbsp;&nbsp;</label><input type="radio" name="flowOutMail" class="radio" <? if($flowOutmail == 2) echo "checked=\"checked\"";?> value="2" id="112"><label for="112">&nbsp;<?=$_lang["flow_all_person_can_out_mail"]?></label>
		</td>
	</tr>
	<!-- <tr>
		<td class="title">
			<?=$_lang["flow_copy"]?>
		</td>
		<td>
			<input type="radio" <? if($flowCopy == 0) echo "checked=\"checked\"";?> name="flowCopy" class="radio" value="0" id="120" ><label for="120">&nbsp;<?=$_lang["flow_can_not_copy"]?>&nbsp;&nbsp;</label><input type="radio" name="flowCopy" class="radio" <? if($flowCopy == 1) echo "checked=\"checked\"";?> value="1" id="121" ><label for="121">&nbsp;<?=$_lang["flow_hoster_can_copy"]?>&nbsp;&nbsp;</label><input type="radio" name="flowCopy" class="radio" <? if($flowCopy == 2) echo "checked=\"checked\"";?> value="2" id="122"><label for="122">&nbsp;<?=$_lang["flow_all_person_can_copy"]?></label>
		</td>
	</tr> -->
	<tr>
		<td nowrap class="title">
			<?=$_lang["flow_countersign"]?>
		</td>
		<td>
			<div style="margin-left:1px;"><input name="PRCS_CONCOURSE" type="checkbox" class="checkbox" value="1" <? if ($process_info["PRCS_CONCOURSE"] == 1){ echo "checked";}?> style="display:"  id="labelpc"> <label for="labelpc"><?=$_lang["flow_tip_countersign"]?></label></div>
		</td>
	</tr>
	<tr>
		<td nowrap class="title">
			<?=$_lang["flow_presstime"]?>
		</td>
		<td>
			<?=$_lang["flow_press_time_set_explain_first"]?> <input type="text" value="<?=$flowPressTimeSetDay?>" id="flow-press-time-set-day" name="flow-press-time-set-day" style="width:73px;" class="flow-press-time-set"> <?=$_lang["common_day"]?> <input type="text" value="<?=$flowPressTimeSetHour?>" style="width:74px;" id="flow-press-time-set-hour" name="flow-press-time-set-hour" class="flow-press-time-set"> <?=$_lang["common_hour"]?>
			<div style="margin-top:5px;margin-bottom:5px;">
				<button type="button" style="" onClick="unifyPressTime();" class="btn btn-primary" title="<?=$_lang["flow_press_time_unify_set"]?>"><?=$_lang["flow_press_time_unify_set"]?>
				</button> (<?=$_lang["flow_press_time_unify_set_explain"]?>)
			</div>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" class="title">
			<?=$_lang["flow_node_descript"]?>
		</td>
		<td>
			<!--<textarea name="PRCS_DESCRIPT" id="PRCS_DESCRIPT" cols="67" style="width:500px;" rows="4" class="textarea" ><?=$process_info["PRCS_DESCRIPT"]?></textarea>-->
			<div style="width:500px;float:left;">
				<script id="PRCS_DESCRIPT" type="text/plain" name="PRCS_DESCRIPT" style=""><?=$process_info["PRCS_DESCRIPT"]?></script>
			</div>
		</td>
	</tr>
	<tr>
		<td class="title">
			<?=$_lang["flow_data_sendout_url"]?>
		</td>
		<td>
			<?
			if($isDataSendout == "1")
			{
			?>
            <input type="radio" <?php if($flowOutsendType == 1){?>checked<?php }?> name="outsend_type" class="radio" value="1"><label for="120">&nbsp;<?=$_lang["flow_url_out_send"]?>&nbsp;&nbsp;</label>
            <input type="radio" <?php if($flowOutsendType == 2){?>checked<?php }?> name="outsend_type" class="radio" value="2"><label for="120">&nbsp;<?=$_lang["flow_inner_sys_send"]?>&nbsp;&nbsp;</label>
            <input type="radio" <?php if($flowOutsendType == 3){?>checked<?php }?> name="outsend_type" class="radio" value="3"><label for="120">&nbsp;<?=$_lang["flow_out_database_send"]?>&nbsp;&nbsp;</label>
			<?
			}
			else
			{
			?>
				<input type="text" value="<?=$_lang["flow_development_private"]?>" disabled="disabled;" style="width:500px;">
				<input type="hidden" value="" style="width:100%;" id="flow_outsend" name="flow_outsend">
			<?
			}
			?>
		</td>
	</tr>
    <!--外发类别start-->
    <tr class="sendouturl" id="sendouturl1">
        <td class="title"><?=$_lang["flow_out_send_url"]?></td>
        <td><input type="text" value="<?php if($flowOutsendType == 1){ echo $outsend_url; }?>" style="width:500px;" id="flow_outsend" name="flow_outsend"></td>
    </tr>
    <tr  class="sendouturl" id="sendouturl2">
        <td class="title"><?=$_lang["flow_inner_sys_send"]?></td>
        <td>
            <button type="button"class="btn btn-primary" id='innerOutSendBtn'><?=$_lang["flow_set"]?></button>
            <input type="hidden" value="<?php if($flowOutsendType == 2){ echo $outsend_url; }?>" style="width:100%;" id="flow_outsend1" name="flow_outsend1">
        </td>
    </tr>
    <tr  class="sendouturl" id="sendouturl3">
        <td class="title"><?=$_lang["flow_out_database_send"]?></td>
        <td>
            <button type="button"class="btn btn-primary" id='outerOutSendBtn'><?=$_lang["flow_set"]?></button>
            <input type="hidden" value="<?php if($flowOutsendType == 3){ echo $outsend_url; }?>" style="width:100%;" id="flow_outsend2" name="flow_outsend2">
        </td>
    </tr>
    <!--外发类别end-->
    <input type='hidden' value="<?=$FLOW_ID?>" name="FLOW_ID" id="FLOW_ID">
    <input type='hidden' value="<?=$FLOWSETID?>" name="FLOWSETID" id="FLOWSETID">
    <input type='hidden' value="<?=$flowOutsendType?>"  id="outsend_type">
    <input type='hidden' value="<?=$outsend_url?>" id="flow_outsend_url">
</table>
</div>
</form>
<!--<?=$_lang["flow_inner_sys_send"]?><?=$_lang["flow_set"]?>框-->
<div id='innerDataSend' class="data-send">
    <div class="lazy_header">
        <span class="tip"><?=$_lang["flow_inner_sys_send"]?><?=$_lang["flow_set"]?></span>
    </div>
    <div class="lazy_sub_header">
        <div class="left"><?=$_lang["flow_form_fields"]?><i class="fa fa-sort-asc fa-lg"></i></div>
        <div class="right"><select id="module"></select><i class="fa fa-sort-asc fa-lg"></i></div>
    </div>
    <div class="box-content">
        <div class="box-content-top">
            <div class="top-left"></div>
            <div class="top-right">
            </div>
        </div>
        <div class="box-content-middle">
            <div class="select select-left"><i class="fa fa-angle-double-down fa-lg"></i></div>
            <div class="select select-left1"><i class="fa fa-angle-double-up fa-lg"></i></div>
            <div class="select select-right"><i class="fa fa-angle-double-down fa-lg"></i></div>
            <div class="select select-right1"><i class="fa fa-angle-double-up fa-lg"></i></div>
        </div>
        <div class="box-content-bottom">
            <div class="bottom-left"></div>
            <div class="bottom-right"></div>
        </div>
    </div>
    <input type="hidden" id="innerSendUrl" value="">
</div>
<!--<?=$_lang["flow_out_database_send"]?><?=$_lang["flow_set"]?>框-->
<div id='outerDataSend' class="data-send">
    <div class="lazy_header">
        <span class="tip"><?=$_lang["flow_out_database_send"]?><?=$_lang["flow_set"]?></span>
    </div>
    <div class="lazy_sub_header">
        <div class="line"></div>
        <table class="top-table">
            <tr height="40px">
                <td width="80px" align="right"><?=$_lang["flow_host_url"]?>&nbsp;</td><td width="120px"><input type="text" id="db_host" value="" style="width:120px;"></td>
                <td width="80px" align="right"><?=$_lang["flow_port"]?>&nbsp;</td><td><input type="text" id="db_port" value="" style="width:120px;"></td>
                <td width="80px" align="right"><?=$_lang["flow_db_type"]?>&nbsp;</td><td><select id="db_type"><option value="Mysql">MySql</option></select></td>
            </tr>
            <tr height="30px">
                <td width="80px" align="right"><?=$_lang["flow_username"]?>&nbsp;</td><td><input type="text" id="db_user" value="" style="width:120px;"></td>
                <td width="80px" align="right"><?=$_lang["flow_password"]?>&nbsp;</td><td><input type="text" id="db_pass" value="" style="width:120px;"></td>
                <td width="80px" align="right"><?=$_lang["flow_dbname"]?>&nbsp;</td><td><input type="text" id="db_name" value="" style="width:120px;"></td>
            </tr>
            <tr height="35px">
                <td colspan="2"><button type="button"class="btn btn-primary" style="float:left;margin-left:80px;" id='linkDbBtn'><?=$_lang["flow_link_database"]?></button></td>
                <td colspan="4" id='db_result_info' style="color:green;"></td>
            </tr>
            <tr height="43px" style="background:#f1f1f1;">
                <td colspan="4" style="text-indent: 100px;"><?=$_lang["flow_form_fields"]?></td>
                <td colspan="2" ><select id="table_name" data-container="body" style="margin-left:100px;"><option value="mysql"><?=$_lang["flow_get_data_tables"]?></option></select></td>
            </tr>
        </table>
    </div>
    <div class="box-content">
        <div class="box-content-top">
            <div class="top-left"></div>
            <div class="top-right">
            </div>
        </div>
        <div class="box-content-middle">
            <div class="select select-left"><i class="fa fa-angle-double-down fa-lg"></i></div>
            <div class="select select-left1"><i class="fa fa-angle-double-up fa-lg"></i></div>
            <div class="select select-right"><i class="fa fa-angle-double-down fa-lg"></i></div>
            <div class="select select-right1"><i class="fa fa-angle-double-up fa-lg"></i></div>
        </div>
        <div class="box-content-bottom">
            <div class="bottom-left"></div>
            <div class="bottom-right"></div>
        </div>
    </div>
    <input type="hidden" id="outerSendUrl" value="">
</div>
</body>
</html>
<script type="text/javascript" src="/general/system/workflow/data_send/datasend.js"></script>
<script>
$(function() {
	$('input').iCheck({
		checkboxClass : 'icheckbox_square-blue',
		radioClass : 'iradio_square-blue'
	});
	$("input[id='label03']").on('ifChanged', function(event){
//		if($(event.target).attr("checked") == "checked")
//			$('#labelpc').iCheck('disable');
//		else
//			$('#labelpc').iCheck('enable');
	});
	$("#labelpc").on('ifChanged', function(event){
//		if($(event.target).attr("checked") == "checked")
//			$('#label03').iCheck('disable');
//		else
//			$('#label03').iCheck('enable');
	});
	$("select").selectpicker({
		height:30,
		width:150,
        size:15
	});
	$(".flow-press-time-set").on({
		keyup : function(event) {
			var pressTimeValue = $(this).val();
			if(pressTimeValue) {
				if ($(this).attr("id") == "flow-press-time-set-day") {
					if(isUnsignedInteger(pressTimeValue) && pressTimeValue <= 365) {
					} else {
						$.pnotify({
							text : Flowlang.flowInputRightPressTime,
							type : "error",
							delay : 100,
							addclass: "stack-topleft",
							styling : "bootstrap3",
							history : false,
							sticker : false,
							closer : false
						});
					}
				} else if ($(this).attr("id") == "flow-press-time-set-hour") {
					if(isUnsignedInteger(pressTimeValue) && pressTimeValue <= 24) {
					} else {
						$.pnotify({
							text : Flowlang.flowInputRightPressTime,
							type : "error",
							delay : 100,
							addclass: "stack-topleft",
							styling : "bootstrap3",
							history : false,
							sticker : false,
							closer : false
						});
					}
				}
			}
		}
	});
    selectSendoutType(<?=$flowOutsendType?>);
    $("input[name='outsend_type']").on('ifChanged', function(event){
        var flowOutsendType = $(this).val();
        selectSendoutType(flowOutsendType);
    });
});
//选择外发类型
function selectSendoutType(flowOutsendType){
    var id = 'sendouturl' + flowOutsendType;
    $('.sendouturl').hide();
    $('#'+id).show();
}
</script>