<?
/**
* @ Copyright (C) 2000 - 2010 Weaver Co.Ltd
* @ Package       eoffice7.6
* @ Function      定义流步骤中的流程图
* @ Encoding      $_lang['encoding']
* @ Name          general/system/workflow/flow_type/flow_process/imgedit.php
* @ Version       2.0
* @ Author        sun|www.weaver.com.cn
* @ Modify        liuqingyu
* @ Date          2011-5-12
*/
include_once("inc/auth.php");
includelangpak("flow");
include_once('inc/img_flow.inc.php');
include_once('inc/img_patten.inc.php');
include_once("api/system_Workflow.class.php");
include_once("inc/utility_all.php");
$workFlowDefine = new workFlowDefine;
$workFlowDefine->FLOW_ID = $FLOW_ID;
$flow_info         = $workFlowDefine->getFlowInfo();//查询流程属性
$flow_process_info = $workFlowDefine->getFlowProcessInfo("ID");//查询流程节点
$fc = 0;
while(list($key,$val) = each($flow_process_info)){
	$export[$val['PRCS_ID']] = $val['PRCS_TO'];
	$fc++;
}
reset($flow_process_info);
if ($fc > 0){
$NowImg    = new ImgFlow();
$ImgPatten = new FormatEx();
$export    = $ImgPatten->MakeupEx($export);
$export    = $ImgPatten->ReplaceFlag($export);
$screenxy  = $ImgPatten->CountSize($export);
$run       = $ImgPatten->ArrayToRun($export);                 //转为绘制图形的数组

$width     = $screenxy['x']-49;
$height    = $screenxy['y'];

//算最大出路
foreach($export as $exportkey=>$exportval)
{
	$maxOut[] = count(explode(",",trim($exportval,","))); 
}
$maxOutCount = max($maxOut);
//算最大进路
$maxIn =array();
foreach($run as $key=>$val)
{
	$maxIn = array_merge($maxIn,$val);
}
$maxInCount = max(array_count_values($maxIn));
$flowimg = new ImgFlow();
//如果某个节点的出路大于8，或者某个节点的流入数大于8，把流程图的节点图变宽120，节点与节点之间的间距，重新设置
//如果某个节点的出路大于12，或者某个节点的流入数大于12，把流程图的节点图变宽160，节点与节点之间的间距，重新设置
if(($maxOutCount>8&&$maxOutCount<=12)||($maxInCount>8&&$maxInCount<=12))
{
	$NowImg->layer_w = 120;//层宽
	$NowImg->be      = "230";//块间距
}
if(($maxOutCount>12&&$maxOutCount<=16)||($maxInCount>12&&$maxInCount<=16))
{
	$NowImg->layer_w = 160;//层宽
	$NowImg->be      = "230";//块间距
}
if($maxOutCount>16||$maxInCount>16)
{
	$NowImg->layer_w = 200;//层宽
	$NowImg->be      = "230";//块间距
}
$NowImg->DefinePic('jpeg',$width,$height);
$w = $NowImg->layer_w;
$h = $NowImg->layer_h;
$NowImg->DefineExport($export);
$NowImg->DestroyImg();
$coordinate = $NowImg->coordinate;
}
if ($screenxy['x'] < 600)
{
	$screenxy['x'] = 600;
}
if(!$screenxy['y'])
{
	$screenxy['y'] = 200;
}
$PAGE_TITLE = $_lang["flow_flowstepgraphic"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION ['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript" src="/inc/follow.js"></script>
<script language="javascript" src="/inc/common.js"></script>
<script language="JavaScript" >
$(function() {
	$(".pubtable").LazyBeautifyTable();
	var width=$(window).width();
	$(".flowImgOutDiv").width(width);
	var height = $(window).height();
	$(".imgEditMainDiv").height(height-35).niceScroll();
});
function deleteFlowNode(FLOW_ID,NODE_ID){
	bootbox.confirm("<?=$_lang["flow_confirmtodeletethisstep"]?>", function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"redel.php",
				data:"FLOW_ID="+FLOW_ID,
				success: function(result){
					//alert(result);
					//$("#table").LazyTable("reload");
					if(result == "1")
						bootbox.alert('<?=$_lang["flow_cautionflowcanotdelete"]?>');
					else
					{
						//window.location.href = "delete.php?FLOW_ID="+FLOW_ID+"&ID="+NODE_ID+"&uback=img";
						$.ajax({
							type:"post",
							url:"delete.php",
							data:"FLOW_ID="+FLOW_ID+"&FLOWSETID="+NODE_ID+"&uback=img",
							success: function(result){
								if(result == "success")
									window.location.reload();
							}
						});
					}
				}
			});
		}
	});
}
<!--
function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);
//-->

//window.resizeTo(<?=$screenxy['x']?>,<?=$screenxy['y']+200?>);
function showHideImgList(){
	
}
</script>
<style type="text/css">
.pubtable td:first-child {
	padding-left:10px;
}
body{
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	overflow-y:hidden;
}
td {
	font-size: 12px;
	border: 0px;
}
.win {
	filter:BlendTrans(duration=1) DropShadow(Color=#cccccc, OffX=3, OffY=3) alpha(opacity=90)
}
a:visited {
    color: #428bca;
    text-decoration: none
}
</style>
<body>
<div class="lazy_sub_header">
	<button type="button" style="float:right;" id="savebutton" onClick="location='processmain.php?FLOW_ID=<?=$FLOW_ID?>&uback=img&tagContent=tagContent1'" class="btn btn-primary" title="<?=$_lang["flow_newnode"]?>"><?=$_lang["flow_newnode"]?>
	</button>
</div>
<?
while(list($key,$val) = each($flow_process_info))
{
	$flow_process_info_new[$val['PRCS_ID']] = $val;
}
reset($flow_process_info);
if($flow_process_info_new){
	ksort($flow_process_info_new);
}
if ($fc > 0){
$flowinfo = $coordinate;
$PRCS_COUNT=0;
while(list($key,$val) = each($flow_process_info_new))
{
    $PRCS_COUNT++;
	$flowinfo[$PRCS_COUNT]['prcsname'] = $val['PRCS_NAME'];
    $flowinfo[$PRCS_COUNT]['id']       = $val["ID"];
    $flowinfo[$PRCS_COUNT]['prcsid']   = $val["PRCS_ID"];
}
reset($flow_process_info_new);
?>

<?
while (list($key,$flowdetail) = each($flowinfo)){
	$k++;
	$str_js .= <<<JS
		  window.mm_menu_$k = new Menu("root",90,24,"宋体, SimSun, NSimSun",12,"#999999","#000000","#E2E4E3","#f6f6f6","absmiddle","middle",6,1,1000,-5,7,true,false,true,0,true,true);
		  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_nodeinfomation]&nbsp;&nbsp;","location='processmain.php?FLOW_ID=$_REQUEST[FLOW_ID]&FLOWSETID=$flowdetail[id]&uback=img&tagContent=tagContent1'");
		  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_dealperson]&nbsp;&nbsp;","location='processmain.php?FLOW_ID=$_REQUEST[FLOW_ID]&FLOWSETID=$flowdetail[id]&uback=img&tagContent=tagContent2'");
		  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_charcontrol]&nbsp;&nbsp;","location='processmain.php?FLOW_ID=$_REQUEST[FLOW_ID]&FLOWSETID=$flowdetail[id]&uback=img&tagContent=tagContent3'");
		  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_pathset]&nbsp;&nbsp;","location='processmain.php?FLOW_ID=$_REQUEST[FLOW_ID]&FLOWSETID=$flowdetail[id]&uback=img&tagContent=tagContent4'");
		  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_outcondition]&nbsp;&nbsp;","location='processmain.php?FLOW_ID=$_REQUEST[FLOW_ID]&FLOWSETID=$flowdetail[id]&uback=img&tagContent=tagContent5'");
		  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_sub_workflow]&nbsp;&nbsp;","location='processmain.php?FLOW_ID=$_REQUEST[FLOW_ID]&FLOWSETID=$flowdetail[id]&uback=img&tagContent=tagContent6'");
		  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_copy_people]&nbsp;&nbsp;","location='processmain.php?FLOW_ID=$_REQUEST[FLOW_ID]&FLOWSETID=$flowdetail[id]&uback=img&tagContent=tagContent7'");
JS;
	if ($flow_info['FLOW_READ_ONLY'] != 1){
		$str_js .= <<<JS
			  mm_menu_$k.addMenuItem("&nbsp;&nbsp;$_lang[flow_deletenode]&nbsp;&nbsp;","deleteFlowNode('<?=$FLOW_ID?>','$flowdetail[id]')");
JS;
	}
$str_js .= <<<JS
		  mm_menu_$k.hideOnMouseOut=true;
		  mm_menu_$k.bgColor='#00ccff';
JS;
}

$str_js .= "mm_menu_$k.writeMenus();";
?>
<script>
function mmLoadMenus() {
<?=$str_js?>
}
function ShowHideObj(id,mml){
	
	var idObj = document.getElementById(id);
	if(idObj.style.display == "none"){
		idObj.style.display = "";
	}
	else{
		idObj.style.display = "none";
	}

}
</script>
<div class="imgEditMainDiv" style="overflow:hidden;">
<div id="flowimgdiv">
<script src="/inc/mm_menu.js"></script>
<script>mmLoadMenus();</script>
<table width="100%"  border="0" cellspacing="0" cellpadding="0" >
	<tr>
		<td>
			<div class="flowImgOutDiv" style="border:0px red solid;float:left;width:200px;overflow-x:auto;-ms-overflow-style: -ms-autohiding-scrollbar">
			<div id="parentLayer" style="position:relative; width:1px; height:1px; z-index:0" >
			<?
			reset($flowinfo);
			unset($k);
			while (list($key,$flowdetail) = each($flowinfo))
			{

				$k++;
				$x = $flowdetail['TL']['0'];
				$y = $flowdetail['TL']['1'];
				$prcsname = $flowdetail['prcsname'];
				$prcsid   = $flowdetail['prcsid']
			?>
			<div id="<?='layer'.$k?>" style="position:absolute; left:<?=$x?>px; top:<?=$y?>px; width:<?=$w?>px; height:<?=$h?>px; z-index:0; background-color: #E2E4E3; layer-background-color: #E2E4E3; border: 1px none #000000;" >
				<table width="100%" height="<?=$h?>" border="1" cellpadding="2" cellspacing="1" bordercolor="#666666" onmouseover="MM_showMenu(window.mm_menu_<?=$k?>,<?=($x+70)?>,<?=($y+100)?>,null,'edit');" 
									  onmouseout="MM_startTimeout();" shape=RECT alt="" 
									  coords=32,74,135,95 
									  style="cursor:hand;">
					<tr align="center">
						<td height="20" bgcolor="#0099CC"><span style="color:#FFFFFF;font-weight:bolder ">
						<?=$_lang["common_order"]?>:<?=$prcsid?></span>
						</td>
					</tr>
					<tr>
						<td align="center"  valign="middle" style="word-break : break-all; " title="<?=$prcsname?>"><span class="style1"><?=mb_strcut($prcsname,0,33,"utf-8")?><? if(strlen($prcsname)>33)echo "...";?></span></td>
					</tr>
				</table>
			</div>
			<?
			}
			?>
			</div>
			<div>
				<img src='imgflow.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>'>
			</div>
			</div>
		</td>
	</tr>
</table>
</div>
<div id="flowlistdiv">
<?
//-------列出所有流程步骤-------
$PRCS_COUNT=0;
while(list($key,$val) = each($flow_process_info_new))
{
	$PRCS_COUNT++;
	$val["PRCS_NAME"] = str_replace("<","&lt",$val["PRCS_NAME"]);
	$val["PRCS_NAME"] = str_replace(">","&gt",$val["PRCS_NAME"]);
	//$val["PRCS_NAME"]=stripslashes($val["PRCS_NAME"]);
	if($PRCS_COUNT==1)
	{
	?>
	<table border="0" cellspacing="1" cellpadding="0" class="pubtable">
		<thead>
		<tr>
			<td nowrap="nowrap"><?=$_lang["common_order"]?></td>
			<td nowrap="nowrap"><?=$_lang["flow_name"]?></td>
			<td nowrap="nowrap"><?=$_lang["flow_editstepref"]?></td>
			<td nowrap="nowrap" width="75"><?=$_lang["flow_deletestep"]?></td>
		</tr>
		</thead>
	<?
	}
?>
	<tr class="">
		<td><?=$val["PRCS_ID"]?></td>
		<td style="word-break : break-all;"><?=$val["PRCS_NAME"]?></td>
		<td nowrap>&nbsp;
			<a href="processmain.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$val["ID"]?>&tagContent=tagContent1"><?=$_lang["flow_nodeinfomation"]?></a>&nbsp;&nbsp;
			<a href="processmain.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$val["ID"]?>&tagContent=tagContent2"><?=$_lang["flow_dealperson"]?></a>&nbsp;&nbsp;
			<a href="processmain.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$val["ID"]?>&tagContent=tagContent3"><?=$_lang["flow_charcontrol"]?></a>&nbsp;&nbsp;
			<a href="processmain.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$val["ID"]?>&tagContent=tagContent4"><?=$_lang["flow_pathset"]?></a>&nbsp;&nbsp;
			<a href="processmain.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$val["ID"]?>&tagContent=tagContent5"><?=$_lang["flow_outcondition"]?></a>&nbsp;&nbsp;
			<a href="processmain.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$val["ID"]?>&tagContent=tagContent6"><?=$_lang["flow_sub_workflow"]?></a>&nbsp;&nbsp;
			<a href="processmain.php?FLOW_ID=<?=$FLOW_ID?>&FLOWSETID=<?=$val["ID"]?>&tagContent=tagContent7"><?=$_lang["flow_copy_people"]?></a>&nbsp;&nbsp;
		</td>
		<td nowrap>
		<?
		if($flow_info['FLOW_READ_ONLY']!=1)
		{
		?>
			<a href="javascript:void(0)" onclick="deleteFlowNode('<?=$FLOW_ID?>','<?=$val["ID"]?>')"><?=$_lang["flow_deletenode"]?></a>
		<?
		}
		?>
		</td>
	</tr>
<?
}
?>
</table>
<br>
 <i class="fa fa-square fa-fw" style="color: #f9e8da;"></i> <?=$_lang["flow_process_set_tips1"]?>
<br><br>
 <i class="fa fa-square fa-fw" style="color: #e9eede;"></i> <?=$_lang["flow_process_set_tips2"]?>
<br><br>
 <i class="fa fa-square fa-fw" style="color: #f9e8da;"></i> <?=$_lang["flow_process_set_tips3"]?>
<br><br>
</div>
<?
}
else{
	message('',$_lang["flow_form_messflowstepnotdefine"]);
}
?>
</div>
</body>
</html>