<?
/**
 * Systemname:       E-Office
 * Filename:         general/system/workflow/flow_type/flowmain.php
 * Function:         定义流程框架的首页顶端
 * Encoding:         $_lang['encoding']
 * Author:           dingp|www.weaver.com.cn
 * Date:             2011-06-13
 * File Version:     2.0
 * Eoffice Version:  7.8
*/
include_once("inc/auth.php");
includelangpak("flow");
includelangpak("system");
includelangpak("file");
include_once("api/system_Workflow.class.php");
$workFlowDefine = new workFlowDefine;
if ($_REQUEST['FLOW_ID'] != ""){
	$workFlowDefine->FLOW_ID = $FLOW_ID;
	$flow_info = $workFlowDefine->getFlowInfo();
	$flow_name = $flow_info['FLOW_NAME'];
	$flow_type = $flow_info['FLOW_TYPE'];
}
else{
	$flow_name = $_lang["flow_newflow"] ;
}
$PAGE_TITLE = $_lang["flow_flowset"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazyfavoritebar.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script src="/inc/ajax_about.js"></script>
<style type="text/css">
.tagContent div {
	height: 100%;
}
.file-path-wrap {
	height: 38px;line-height: 38px;font-size: 14px;
}
.file-path-wrap a{
	color:#000000;
}
.flowSetFontIcon.hover {
	border:1px red solid;
}
</style>
<body style="overflow:hidden;">
<div class="lazy_header" style="height:60px;">
	<span class="flowSetFontIcon" style="display:block;float:left;width:36px;height:36px;background:#999;margin:12px;border-radius:4px;text-align:center;">
		<i class="fa fa-cog fa-inverse" style="font-size:24px;line-height:37px;" title="<?=$_lang['common_back']?>"></i>
	</span>
	<div>
		<div class="file-path-wrap"><?=$_lang["flow_flowset"] ?> - <?=$flow_name?><? if ($flow_type==2) echo "(".$_lang["flow_freeflow"].")"?></div>
		<ul class="nav nav-tabs lazy-tabs-simple" style="position:relative;">
			<li class="active"><a id="tagContent1" href="#" src="/general/system/workflow/flow_type/edit.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>" data-toggle="tab"><?=$_lang["flow_basicinfomation"]?></a></li>
			<?
			if($_REQUEST['FLOW_ID'] != "")
			{
				if($flow_type != "2")
				{
			?>
				<li><a id="tagContent2" href="#" src="/general/system/workflow/flow_type/flow_process/imgedit.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>" data-toggle="tab"><?=$_lang["flow_nodesest"]?></a></li>
				<?
				}
				?>
				<li><a id="tagContent3" href="#" src="/general/system/workflow/flow_type/set_manage.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>" data-toggle="tab"><?=$_lang["flow_superviseperson"]?></a></li>
				<!--<li><a id="tagContent4" href="#" src="/general/system/workflow/flow_type/flow_report.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>" data-toggle="tab"><?=$_lang["flow_statementsset"]?></a></li>-->
				<li><a id="tagContent5" href="#" src="/general/system/workflow/flow_type/flow_others.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>" data-toggle="tab"><?=$_lang["flow_otherset"]?></a></li>
			<?
			}
			?>
		</ul>
	</div>
</div>
<div class="tab-content">
	<div class="tab-pane active">
		<iframe style="width:100%;" frameborder="0" src="/general/system/workflow/flow_type/edit.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>"></iframe>
	</div>
</div>
<script type="text/javascript">
$(function(){
	$('iframe').height($(window).height()-60);
	$(".lazy-tabs-simple>li a").on('shown.bs.tab', function (e) {
		var src = $(this).attr("src");
		$('iframe').attr("src",src);
	});
	$(".flowSetFontIcon").on({
		mouseenter: function() {
			$(this).find("i").attr("class","fa fa-arrow-left fa-inverse");
		},
		mouseleave: function() {
			$(this).find("i").attr("class","fa fa-cog fa-inverse");
		},
		click: function(event) {
			window.location.href = "/general/system/workflow/flow_type/index.php";
			return false;
		}
	});
});

function switchTag(tagContent,obj)
{
	for(var i=1; i<document.getElementById("tags").getElementsByTagName("li").length; i++){
		document.getElementById("tags").getElementsByTagName("li")[i].className="normalTag";
	}
	obj.parentNode.className="selectedTag";
	
	for(var j=0; j<document.getElementById("tagContent").getElementsByTagName("div").length; j++)
	{
		document.getElementById("tagContent").getElementsByTagName("div")[j].style.display="none";
	}
	document.getElementById(tagContent).style.display="block";
	var curObject = document.getElementById(tagContent);
	createHtmlForTagdiv(tagContent,curObject);
	
}
function switchFile(tagContent){
	switch (tagContent){
		case "tagContent1":
			break;
		case "tagContent2":
			break;
		default:
	}
}
function flow_point(flow_id,flow_count)
{
	if(flow_count != 0)
	{
		if(confirm("<?=$_lang["flow_edit_flow_tips"]?>"))
		{
			window.location = "/general/system/workflow/flow_type/flowmain.php?FLOW_ID="+flow_id
		}
		else
		{
			return;
		}
	}
	else
	{
		window.location = "/general/system/workflow/flow_type/flowmain.php?FLOW_ID="+flow_id
	}
}
</script>
</body>
</html>