<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      定义流程index
* @encoding      $_lang['encoding']
* @name          general/system/workflow/flow_type/index.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2013-12-25
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/function_usergeneral.php");
includelangpak("flow");
$cur_time = date("Y-m-d H:i:s",time());
$PAGE_TITLE = $_lang[""];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script language="javascript" src="/inc/usergeneral.js"></script>
<script language="javascript" src="/inc/common.js"></script>
<script language="javascript" src="/inc/calendar/time.js"></script>
<script language="javascript" src="/inc/follow.js"></script>
<style>
.folder_list_wrap {
	float: left;
	border-right: 1px solid #D9D9D9;
}



.folder_list_wrap .list_search {
	float: right;
	margin-top: 5px;
}
.folder_list_wrap .count_infor {
	float: left;
	line-height: 40px;
	padding-left: 3px;
}
.lazy_header {
	height: 40px;
	background: #F7F7F7;
	border-bottom: 1px solid #D9D9D9;
}


.lazy_list_wrap li.list .flow_name {
	float: left;
	width: 220px;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
	cursor: pointer;
}

.lazy_list_wrap li.list .flow_infor {
	float: right;
	padding-right: 8px;
}

.lazy_list_wrap li.list .unread_flow_count {
	color: #F79646;
}

.lazy_list_wrap li.list .unread_flow_count.hover {
	background: #fac090;
	width: 33px;
	cursor: pointer;
	color: #002b51;
}

.lazy_list_wrap li.list .total_flow_count {
	color: #9BBB59;
}

.lazy_list_wrap li.list span {
	height: 19px;
	line-height: 19px;
	text-align: center;
	float: left;
	margin-top: 6px;
}

.lazy_list_wrap li.list .total_flow_count.hover {
	background: #ebf1de;
	margin-left: 10px;
	color: #002b51;
	cursor: pointer;
	width: 33px;
}
</style>
<script type="text/javascript">
function edit_flow(flow_id,flow_count)
{
	if(flow_count >0)
	{
		bootbox.confirm("<?=$_lang['flow_edit_flow_tips']?>", function(result) {
			if(result){
				window.location = "/general/system/workflow/flow_type/flowmain.php?FLOW_ID="+flow_id;
			}
		});
	}
	else
	{
		window.location = "/general/system/workflow/flow_type/flowmain.php?FLOW_ID="+flow_id;
	}
}
function delete_form(FLOW_ID,SORT_ID,RUN_ALL_FLOW)
{
	if(RUN_ALL_FLOW >0)
	{
		bootbox.alert('<?=$_lang["flow_form_confirm_delall"]?>');
	}
	else
	{
		bootbox.confirm("<?=$_lang['flow_form_confirm_delflow']?>", function(result) {
			if(result){
				$.ajax({
					url : "delete.php",
					data : "FLOW_ID="+FLOW_ID+"&SORT_ID"+SORT_ID+"&type=fromAjax"
				}).done(function(result) {
					if (result) {
						$("#table").LazyTable("reload");
					} else {
						alert("error");
					}
				}).fail(function() {
					alert("ajax error");
				});
			}
		});
	}
}
function manualReloadLazyFilter(SORT_ID){
	var lazyFilterParamStr = {
		op : "tablefilter"
	};
	if(SORT_ID) {
		lazyFilterParamStr.SORT_ID = SORT_ID;
	}
	$(".lazy_filter_ul").remove();
	$(".filter_wrap").LazyFilter({
		common : {
			dataSource : "index_do.php",
			param : lazyFilterParamStr,
			template : "{title}({count})"
		}
	});
}
$(function() {
	//点全部，重置
	$(".tip").on("click",function (){
		$("#list").LazyList("reload");
		$("#table").LazyTable("reload");
		manualReloadLazyFilter();
		$(".search_wrap").LazySearch("resetAdvancedSearch");
		$(".search_wrap").LazySearch("resetAutoSearch");
		$(".list_search").LazySearch("resetAutoSearch");
	});
	$("#list").LazyList({
		itemListTemplate : function(data) {
			//return "{TITLE}({ALL})";
			return '<div class="flow_infor"><span class="total_flow_count" title="<?=$_lang["common_show_allinfo"]?>">{ALL}</span></div><div class="flow_name" title="{TITLE}">{TITLE}</div>';
		},
		dataSource : "index_do.php",
		param : {
			op : "list",
			listType : "define_flow"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data, event) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			$("#table").LazyTable("reload", {
				param : {
					flowSort : data.ID
				}
			});
			manualReloadLazyFilter(data.ID);
			$(".search_wrap").LazySearch("resetAdvancedSearch");
			$(".search_wrap").LazySearch("resetAutoSearch");
			$(".list_search").LazySearch("resetAutoSearch");
		},
		onInit : function (){
			$(".outsidediv").niceScroll();
		},
		dataKey : "ID"
	});
	//list查询
	$(".list_search").LazySearch({
		tip : Flowlang.searchFlow,
		url : "index_do.php",
		param : {
			op : "list",
			listType : "define_flow"
		},
		autoSearch : {
			template : "{TITLE}",
			onItemClick : function(data) {
				$("#list").LazyList("select",data.ID,true);
				$("#table").LazyTable("reload", {
					param : {
						flowSort : data.ID
					},
					page:{
						currentPage:0
					}
				});
				manualReloadLazyFilter(data.ID);
				$(".search_wrap").LazySearch("resetAdvancedSearch");
				$(".search_wrap").LazySearch("resetAutoSearch");
			}
		},
		onClearButtonClick:function(){
			$("#list").LazyList("reload");
			$("#table").LazyTable("reload");
			manualReloadLazyFilter();
			$(".search_wrap").LazySearch("resetAdvancedSearch");
			$(".search_wrap").LazySearch("resetAutoSearch");
		}
	});
	$("#table").LazyTable({
		buttons : {
			buttonInfor : {
				"edit" : {
					title : "<?=$_lang["common_edit"]?>",
					func : function(data) {
						edit_flow(data.FLOW_ID,data.RUN_CNT);
					},
					isDefault:true
				},
				"delete" : {
					title : "<?=$_lang["common_del"]?>",
					func : function(data) {
						delete_form(data.FLOW_ID,data.ID,data.ALL_CNT);
					}
				}
			},
			filter : function(data) {
				var buttonFilterStr = new Array();
				buttonFilterStr.push("edit");
				var canNotDeleteArr = new Array("2001","2002","2003","2004","2005","3000");
				if(jQuery.inArray( data.FLOW_ID, canNotDeleteArr ) == -1)
				{
					buttonFilterStr.push("delete");
				}
				return buttonFilterStr;
			}
		},
		column : [{
				key : "FLOW_NOORDER",
				title : "<?=$_lang["common_order"]?>",
				sort : true
			}, {
				key : "FLOW_NAME",
				title : "<?=$_lang["flow_flowname"]?>",
				sort : true,
				template : function(data) {
					var template = "<div style=\"float:left;width: 500px; text-overflow: ellipsis; white-space: nowrap; overflow: hidden;";
					// 停用
					if(data.IS_USING == 0) {
						template += "text-decoration:line-through;";
					}
					template += "\" title=\"{FLOW_NAME}\">";
					if(data.RUN_CNT > 0)
						template += "<span style=\"color:red;\">{FLOW_NAME}</span>";
					else
						template += "{FLOW_NAME}";
					template += "</div>";
					return template;
				}
			}, {
				key : "FORM_NAME",
				title : "<?=$_lang["flow_form_name"]?>",
				autoHide : true,
				template : function(data) {
					return "<div style=\"float:left;width: 200px; text-overflow: ellipsis; white-space: nowrap; overflow: hidden;\" title=\"{FORM_NAME}\">{FORM_NAME}</div>";
				}
			}, {
				key : "FLOW_TYPE",
				title : "<?=$_lang["flow_flowruntype"]?>",
				template : function(data){
					if(data.FLOW_TYPE == 1)
						var template = "<?=$_lang['flow_fix']?>";
					else
						var template = "<font color=red><?=$_lang['flow_free']?></font>";
					return template;
				},
				autoHide : true
			}],
		dataSource : "index_do.php",
		param : {
			op : "table",
			listType : "<?=$listType?>",
			sortField : "ft.FLOW_NOORDER",
			sortType : "ASC"
		},
		sort : {
			items : [{
				key : "ft.FLOW_NOORDER",
				title : "<?=$_lang["common_order"]?>",
				isDefault : true,
				type : "ASC"
			},{
				key : "ft.FLOW_ID",
				title : "<?=$_lang["flow_create_time"]?>"
			},{
				key : "convert(ft.FLOW_NAME using gb2312)",
				title : "<?=$_lang["flow_flowname"]?>",
			}],
			onItemClick : function(key, sortType) {
				$("#table").LazyTable("reload", {
					param : {
						sortField : key,
						sortType : sortType
					}
				},true);
			}
		},
		page : {
			//每页数量
			itemsPerPage : 15,
			//当前页
			currentPage : 0,
			//分页中间页码数量
			numDisplayEntries : 4,
			callback : function(page) {
				$("#table").LazyTable("reload", {
					page : {
						currentPage : page
					}
				});
			}
		},
		onAfterLoad : function (){
			$(".document_list_wrap,.outsidediv").getNiceScroll().resize();
		}
	});
	$(".search_wrap").LazySearch({
		tip : Flowlang.searchFlow,
		url : "index_do.php",
		param : {
			op : "list",
			listType : "<?=$listType?>"
		},
		fieldSearch : {
			onItemClick : function(data,value) {
				$("#table").LazyTable("reload", {
					param : {
						readType : data.key,
						fieldSearchVal : value
					},
					page:{
						currentPage:0
					}
				});
				$(".filter_wrap").LazyFilter("select","all");
			},
			items : [{
				key : "flowName",
				title : "<?=$_lang["flow_flowname"].$_lang["flow_include"]?>"
			}, {
				key : "flowTitle",
				title : Flowlang.flowFormNameInclude
			}]
		},
		onClearButtonClick:function(){
			$("#table").LazyTable("reload");
		}
	});
	$(".filter_wrap").LazyFilter({
		onClick : function(data) {
			var flowSort = "";
			if($("#list").LazyList("getSelectedItems").length != 0)
				flowSort = $("#list").LazyList("getSelectedItems")[0].ID;
			$("#table").LazyTable("reload", {
				param : {
					readType : data,
					flowSort : flowSort
				},
				page:{
					currentPage:0
				}
			});
			$(".search_wrap").LazySearch("resetAdvancedSearch");
			$(".search_wrap").LazySearch("resetAutoSearch");
		},
		common : {
			template : "{title}({count})",
			dataSource : "index_do.php",
			param : {
				op : "tablefilter"
			}
		}
	});
	$("#newFlowButs").click(function (){
		location = "/general/system/workflow/flow_type/flowmain.php?FLOW_ID=";
	});
	$(".switch").LazyToggle({
		showTip : Flowlang.showFlowType,
		hideTip : Flowlang.hideFlowType,
		autoHide : true,
		onAfterShow : function() {
			$(".document_list_wrap,.outsidediv").height(height-40).niceScroll();
			//$(".document_list_wrap.outsidediv").getNiceScroll().resize();
			$(".folder_list_wrap").show();
			$(".document_list_main_wrap").css("margin-left", $(".folder_list_wrap").width()+1+"px").find(".document_list_wrap").LazyTable("hideFields");
		},
		onAfterHide : function() {
			$(".document_list_wrap,.outsidediv").height(height-40).niceScroll();
			//$(".document_list_wrap.outsidediv").getNiceScroll().resize();
			$(".folder_list_wrap").hide();
			$(".document_list_main_wrap").css("margin-left", "0px").find(".document_list_wrap").LazyTable("showFields");
		}
	});
	var height=$(window).height();
	$(".document_list_wrap,.outsidediv").height(height-40).niceScroll();
})
</script>
<body>
<div class="folder_list_wrap" style="float:left;">
	<!--类别上面的头部div-->
	<div class="lazy_header">
		<span class="lazy-list-title">
			<i class="fa fa-list-title"></i>
			<span class="tip" style="cursor:pointer;"><?=$_lang["common_show_allinfo"]?></span>
		</span>
		<!--查询div-->
		<div class="list_search"></div>
	</div>
	<!--类别div外面加一层，为了出现滚动条-->
	<div class="outsidediv" style="overflow-y:auto;overflow-x:hidden;">
		<!--类别内容div-->
		<div id="list" style=""></div>
	</div>
</div>
<div class="document_list_main_wrap" style="">
	<!--列表上面的头部div-->
	<div class="lazy_header">
		<button type="button" style="float:right;" id="newFlowButs" class="btn btn-success" title="<?=$_lang["flow_newflow"]?>"><?=$_lang["flow_newflow"]?>
		</button>
		<!--收缩展开div-->
		<div class="switch"></div>
		<!--筛选div-->
		<div class="filter_wrap" style="height:0px;"></div>
		<!--查询div-->
		<div class="search_wrap" style="float:right;margin-top:6px;margin-right:10px;"></div>
	</div>
	<!--列表主体div-->
	<div class="document_list_wrap" id="table" style="overflow-y:auto;overflow-x:hidden;"></div>
</div>
<? showUserGeneralDiv();?>
<div id="limit_info" style="position:absolute; display:none; width:300px;"></div>
</body>
</html>
