<?
/**
 *@systemname:       E-Office
 *@filename:         general/task/mytask/index.php
 *@function:         任务管理
 *@encoding:         $_lang['encoding']
 *@file Version:     1.0
 *@eoffice Version:  9.0
 *@author:           qishaobo|www.weaver.com.cn
 *@modify            qishaobo
 *@date:             2015-03-05
*/
	include_once("inc/auth.php"); 
	include_once("inc/utility_all.php");
	include_once("inc/common.inc");
	include_once("api/field_set.class.php");
	include_once("inc/function_page_01.php");
	include_once("api/task.class.php");
	includelangpak("task");
	include_once("../public/helper.php");	
	$taskObj 	= new task();
	$tasks   	= $taskObj->getTasksIndex();
	$tags   	= $taskObj->getTags();
	$PAGE_TITLE = $_lang["task_manage"];
	include_once 'inc/page_header.inc.php';	
?>
	<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
	<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
	<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
	<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">	
	<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css">
	<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
	<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css" />
	<link rel="stylesheet" type="text/css" href="/general/calendar9/css/jquery.bigautocomplete.css">	
	<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />	
	<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
	<link rel="stylesheet" type="text/css" href="../public/css/base.css">
	<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
	<script>window.onerror=function(){return true;}</script>
	<body style="overflow:hidden;" onload="loadChart('','')">
		<div id="message"></div>
		<div class="leftlist" id="leftlist">
			<div class="outsidediv">
				<div class="lazy_header ">
					<span class="lazy-list-title check-task">
						<span class="task-type-list">
							<span class="task-check-list">
								<input type="checkbox" class="task-check-all">
							</span>
							<span class="show-all">
								<i class="fa fa-angle-down"></i>
								<i class="fa fa-angle-right"></i>
							</span>
							<ul class="task-type">
								<li data="all"><?=$_lang['task_all']?></li>
								<li data="delay"><?=$_lang['task_delay']?></li>
								<li data="today"><?=$_lang['task_today']?></li>
								<li data="tomorrow"><?=$_lang['task_tomorrow']?></li>
								<li data="will"><?=$_lang['task_will']?></li>
								<li data="no_tag"><?=$_lang['task_no_tag']?></li>
							</ul>
						</span>
					</span>
					<span class="task-filter">
						<span  class="batch-operation fa-opt">
							<span class="task-batch">
								<?=$_lang['task_batch']?>
								<i class="fa fa-caret-down"></i>
								<i class="fa fa-caret-right"></i>
							</span>
							<ul class="batch-opt">
								<li data="1"><?=$_lang['task_batch_complate']?></li>
								<li data="3"><?=$_lang['task_batch_del']?></li>
							</ul>
			            </span> 
						<span class="filter fa-opt">
							<span class="filter-title">
								<?=$_lang['task_filter']?>
								<i class="fa fa-caret-down"></i>
								<i class="fa fa-caret-right"></i>
							</span>
							<span class="filter-con" style="display:none;">
								<label><?=$_lang['task_classes']?></label>
								<span class="con task-classes">
									<span class="single active new-data" data="1"><?=$_lang['task_join']?></span>
									<span class="single" data="2"><?=$_lang['task_attention']?></span>
									<span class="single" data="3"><?=$_lang['task_share']?></span>
								</span>
								<label><?=$_lang['task_status']?></label>
								<span class="con task-status">
									<span class="single" data="0"><?=$_lang['task_all']?></span>
									<span class="single active" data="1"><?=$_lang['task_doing']?></span>
									<span class="single" data="2"><?=$_lang['task_done']?></span>
								</span>
								<label><?=$_lang['task_tag']?></label>
								<span class="con task-tags" style="max-height:200px;border:1px solid #FFF;width:99%;overflow-y:auto;">
									<?if(!empty($tags)){?>
									<?foreach($tags as $v){?>
										<span data="<?=$v['TAG_ID']?>"><?=$v['TAG_NAME']?></span>
									<?}?>
									<?}else{?>
										<p><?=$_lang['task_no_tags']?></p>
									<?}?>
								</span>
								<span class="bottons">
									<span class="cancel-task"><?=$_lang['task_cancel']?></span>
									<span class="sure-task"><?=$_lang['task_sure']?></span>
								</span>
							</span>
						</span>
						<span class="add-task"><?=$_lang['task_create']?></span>
		            </span>	            
				</div>
				<div id="tasklist-left" class="tasklist-left">
					<?
						include_once("./task_list_date.php"); 
					?>			
				</div>		
			</div>
		</div>
		<div class="infolist" id="infolist" style="margin-left:601px;min-width:470px;">
			<div id="task-statistic">
				<div class="lazy_header">
					<div class="arrow" id="arrow"></div>
					<span class="lazy-page-title">
						<i class="fa fa-bar-chart"></i>
						<span class="tip"><?=$_lang['task_statistics']?></span>
					</span>
				</div>
				<div class="task-statistic">
					<div id="container" style="width:470px;height:470px;"></div>
				</div>
			</div>
			<div id="task-form" style="display:none;"></div>	
		</div>
	</body>
</html>

<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="../public/js/jquery.bigautocomplete.js"></script>
<script type="text/javascript" src="../public/js/autosize-1.18.18/jquery.autosize.min.js"></script>
<script type="text/javascript" src="/general/calendar9/js/allfunction.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>

<script>
$(function() {

	$('.check-task input,.task-check-single').iCheck({
	    checkboxClass : 'icheckbox_square-blue',
	});

	$(".filter .task-tags").niceScroll();	

	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer  = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay   = 1000;

	//批量操作
	$('.filter').mouseenter(function(){
		$(".filter-con").slideDown();
		$(".filter .task-tags").css({'border-width':'1px'})
	}).mouseleave(function(){
		$(".filter-con").hide();
		$(".filter .task-tags").css({'border-width':'0'})
	})

	$('.con span').click(function(){
		if($(this).hasClass("active")){
			$(this).removeClass("active");
		}else{
			if($(this).hasClass("single")){
				$(this).siblings(".active").removeClass("active");
				if($(this).hasClass('new-data')){
					$(this).removeClass('new-data');
				}else if($(this).siblings('.single').hasClass('new-data')){
					$(this).siblings('.single').removeClass('new-data')
				}
			}
			$(this).addClass("active");
		}
	})

	//查询筛选
	$('.sure-task').click(function(){
		if($('.task-classes span').hasClass("new-data")){
			var type = 0;
		}else{
			var type = $('.task-classes span').hasClass("active")?$('.task-classes .active').attr("data"):1;
		}
		var status = $('.task-status span').hasClass("active")?$('.task-status .active').attr("data"):1;
		var tags = '';
		if(status==1){
			$('.task-type-list').show();
		}else{
			$('.task-type-list').hide();
		}
		$(".task-tags span").each(function(){
			if($(this).hasClass("active")){
				tags += $(this).attr("data")+',';
			}
		});		

		var data = "type="+type+"&status="+status+"&tags="+tags;
		$.ajax({
			type:"POST",
			data:"opt=getTask&"+data,
			url:"/general/task/mytask/do.php"
		}).done(function(result){
			$("#tasklist-left").html(result);
			$('.task-check-single').iCheck({
			    checkboxClass : 'icheckbox_square-blue'
			});
			$(".filter-con").hide();
		});	
	})
	//取消筛选
	$('.cancel-task').click(function(){
		$('.con span').removeClass('active');
	})

	$(".tasklist-left").height($(window).height()-40).niceScroll();	

	//查看更多
	$(".tasklist-left").on({
		click:function(){
			var data = $('#search-form').serialize();
			var page  = parseInt($(this).attr("page"));
			var date   = $(this).parents(".task-list").attr("date");
			var num = $(this).parents("ul").find("li").length-1;
			var pageNum = 5;
			if(num<5) page--;
				date  = date?date:'';
			var $this = $(this);

			if($('.task-classes span').hasClass("new-data")){
				var type = 0;
			}else{
				var type = $('.task-classes span').hasClass("active")?$('.task-classes .active').attr("data"):1;
			}
			var status = $('.task-status span').hasClass("active")?$('.task-status .active').attr("data"):1;
			var tags = '';
			$(".task-tags span").each(function(){
				if($(this).hasClass("active")){
					tags += $(this).attr("data")+',';
				}
			});	
			var data = "type="+type+"&status="+status+"&tags="+tags+"&"+data;
		    $.ajax({
		        url:"/general/task/mytask/do.php",
		        type:"POST",
		        data:"opt=taskMore&page="+page+"&date="+date+"&"+data
		    }).done(function(result){
		        if(result){
		        	var task = $.parseJSON(result);
		        	var str      =  '';
			    	for(x in task['con']){
			    		var v = task['con'][x];
			    		if(typeof(v['TASK_NAME'])!="undefined"){
			    			str += getListTastk(v,'getMore');		    			
			    		}
			    	}
			    	if(num<5){
						$this.siblings('li').remove();
			    	}
					$this.before(str);
					$(".tasklist-left").height($(window).height()-40).niceScroll();
					$(".tasklist-left").getNiceScroll().resize();		
		        	if(task['num']>0){
		        		$this.attr("page",page+1);
		        	}else{
		        		$this.hide();
		        	}	
		        	$('.task-check-single').iCheck({
	    				checkboxClass : 'icheckbox_square-blue'
					});		
		        }
		    });	
		}
	},'.more')

	//新建任务
	$("#tasklist-left").on({
		click:function(){
			var faDownObj = $(this).siblings('.hide-show').children('.fa-chevron-down');
			if(faDownObj.is(":visible")){
				faDownObj.click();
			}
			$(this).parents("h3").siblings("ul").children('.no-task-remark').remove();
			var hasNew  = $(".tasklist-left .task-list li").hasClass("new");
			if(!hasNew){
				$(this).parents("h3").siblings("ul").prepend('<li class="new"><input type="text" class="new-task" id="new-task" /></li>');
			}
			$("#new-task").focus();	
		}
	},".create");

	//新建任务
	$("#tasklist-left").on({
		click:function(){
			var hasNew  = $(".tasklist-left .task-list li").hasClass("new");
			if(!hasNew){
				$(this).parents("ul").prepend('<li class="new"><input type="text" class="new-task" id="new-task" /></li>');
			}
			$("#new-task").focus();	
			$(this).remove();
			return false;
		}
	},".no-task-remark");

	//新建任务
	$(".tasklist-left").on({
		blur:function(){
			createNewTask($(this))
		},
		keypress:function(event){
            if(event.keyCode == "13"){
               	createNewTask($(this),'enter');
            }
		}
	},"#new-task");	

	$(".add-task").click(function(){
		$.ajax({
			type:"POST",
			data:"opt=addTask",
			url:"/general/task/mytask/do.php"
		}).done(function(result){
			$("#task-statistic").hide();
			$("#task-form").html(result).show();
		});			
	})

	//编辑任务
	$("#tasklist-left").on({
		click:function(){
			var hasRemark = $(this).hasClass('no-task-remark');
			if(!hasRemark){
				var data = $(this).attr("data");
				if (data != "new") {
					$("#tasklist-left li").removeClass("click");
					$(this).addClass("click");
					if(typeof(data) != "undefined"){
						$.ajax({
							type:"POST",
							data:"opt=edit&task_id="+data,
							url:"/general/task/mytask/do.php"
						}).done(function(result){
							$("#task-statistic").hide();
							$("#task-form").html(result).show();
						});	
				}
				}
				
			}			
		},
		mouseenter:function(){
			var checkObj = $(this).find('.task-check');
			if(!checkObj.is(":visible")){
				$(this).find('.task-star').hide();
				checkObj.show();
			}
		},
		mouseleave:function(){
			if($(this).find('.task-check-single').attr("checked") != "checked"){
				$(this).find('.task-check').hide();
				$(this).find('.task-star').show();
			}
		}
	},"li");

	//标记任务
	function markTask($this,data,prompt,notRemove,son){
		var tid  = $this.parents("li").attr("data");
		$.ajax({
			type:"POST",
			data:data+"&task_id="+tid,
			url:"/general/task/mytask/do.php"
		}).done(function(result){
			if(son==1){
				var pObj = $this.parents("li");
				if(pObj.children(".task-name").hasClass("done")){
					pObj.children(".task-name").removeClass('done');
					$this.hide();
					$this.siblings(".complate").show();
				}else{
					pObj.children(".task-name").addClass('done');
					$this.hide();
					$this.siblings(".dis-complate").show();
					
				}
			}else{
				if(notRemove==1){
					$this.parents("li").children(".done").removeClass('done');
					$this.siblings(".complate").show();
					$this.hide();
				}else{
					updateTaskNum($this,-1);
					$this.parents("li").remove();
				}				
			}
			$.pnotify({text:prompt,type:"success"});
			
		});	
	}
	//标记完成
	$("#tasklist-left").on({
		click:function(){
			markTask($(this),"opt=taskComplate&done=2",'<?=$_lang["task_mark_success"]?>');
			return false;
		}
	},".complate");

	$("#task-form").on({
		click:function(){
			markTask($(this),"opt=taskComplate&done=2",'<?=$_lang["task_mark_success"]?>',0,1);
			return false;
		}
	},".complate");

	//标记未完成
	$("#tasklist-left").on({
		click:function(){
			if($(this).hasClass('has-done')){
				markTask($(this),"opt=taskComplate&done=1",'<?=$_lang["task_mark_success"]?>');
			}else{
				markTask($(this),"opt=taskComplate&done=1",'<?=$_lang["task_mark_success"]?>',1);
			}
			return false;
		}
	},".dis-complate");

	$("#task-form").on({
		click:function(){
			markTask($(this),"opt=taskComplate&done=1",'<?=$_lang["task_mark_success"]?>',0,1);
			return false;
		}
	},".dis-complate");

	//标记删除
	$("#tasklist-left,#task-form").on({
		click:function(){
			var $this = $(this);
			bootbox.confirm("<?=$_lang['task_sure_del']?>", function(result) {
			  	if(result){
					markTask($this,"opt=taskDel",'<?=$_lang["task_del_success"]?>');	
			  	}
			});
			return false;
		}
	},".del-task");


	//添加取消关注
	$("#tasklist-left,#task-form").on({
		click:function(){
			var tid = $(this).parents("li").attr("data");
			var $this = $(this);
			var opt = '',prompt = '',optClass = '';
			if($(this).hasClass('attention')){
				opt      = 'opt=taskAttention';
				prompt   = '<?=$_lang["task_attention_success"]?>';
				optClass =	'.dis-attention';
			}else{
				opt      = 'opt=taskDelAttention';
				prompt   = '<?=$_lang["task_cancel_success"]?>';
				optClass =	'.attention';
			}
			var data = opt+"&task_id="+tid;
			$.ajax({
				type:"POST",
				data:data,
				url:"/general/task/mytask/do.php"
			}).done(function(result){
				$.pnotify({text:prompt,type:"success"});
				$this.hide();
				$this.siblings(optClass).show();		
			});	
			return false;
		}
	},".attention,.dis-attention");	


	//隐藏展示任务列表
	$("#tasklist-left").on({
		click:function(){
			$(this).parents("h3").siblings("ul").slideToggle();
			$(this).siblings(".fa").show();
			$(this).hide();					
		}
	},".hide-show .fa");
	
	//提交任务编辑内容
	$("#task-form").on({
		click:function(){
			if ($("#file_elem").Upload("getUploadCount") > 0) {
				$("#file_elem").uploadify("upload", "*");
			}else{
				var data = $("#form1").serialize();
				data = data+"&opt=editInfo";
				$.ajax({
					type:"POST",
					data:data,
					url:"/general/task/mytask/do.php"
				}).done(function(result){
					$.pnotify({text:'<?=$_lang["task_add_success"]?>',type:"success"});
					var oldName = $(".task-name").attr("data");
					var newName = $(".task-name").val();
					if(newName!=oldName){
						$(".click .task").html(newName);
					}
					//$.pnotify({text:"添加失败!",type:"error"});
				});	
			}	
		}
	},"#task-submit")

	//批量操作
	$('.task-check-all').on('ifClicked', function(event){
		var hasChecked = false;
		$(".task-check-single").each(function() {  //获取所有input框的name值
			if($(this).attr("checked") == "checked"){
				hasChecked = true;
			}
		});	

		if($(this).attr("checked") == "checked"){
			$(".task-check-single").iCheck('uncheck');
			$(".task-list .task-check,.batch-operation").hide();
			$(".task-list .task-star").removeClass('hide');
		}else{
			$(".task-check-single").iCheck('check');
			$(".task-list .task-check").show();
			$(".task-list .task-star").addClass('hide');
			if(hasChecked){
				$(".batch-operation").show();
			}
		}
	});


	$('#tasklist-left').on({
		ifChecked:function(event){
			if($('.batch-operation').is(":hidden")){
				$('.batch-operation').show();
			}	
		}
	},'.task-check-single');

	$('#tasklist-left').on({
		ifUnchecked:function(event){
			var hasChecked = false;
			$(".task-check-single").each(function(obj) {  //获取所有input框的name值
				if($(this).attr("checked") == "checked"){
					hasChecked = true;
					return false;
				}
			});	
			if(!hasChecked){
				$(".batch-operation").hide();
			}
		}		
	},'.task-check-single');

	$('.lazy-list-title .iCheck-helper').on('mouseenter',function(){
		if($(".show-all .fa-angle-right").is(':hidden')){
			$(".task-type-list .fa-angle-down").show();
		}
	})

	$('.lazy-list-title .task-type-list').mouseleave(function(){
		$(".task-type-list .fa,.task-type-list .task-type").hide();
	})

	$(".fa-angle-down,.fa-angle-right").click(function(){
		$(this).siblings('.fa').show();
		$(this).hide();
		$(".task-type").slideToggle('fast');		
	})

	$(".task-type li").click(function(){
		var id = $(this).attr("data");
		var hasCheckedSingle = false;
		if(id == 'all'){
			id = 'task-list';
		}
		$("."+id+" .task-check-single").each(function() {  //获取所有input框的name值
			if($(this).attr("checked") == "checked"){
				hasCheckedSingle = true;
				return false;
			}
		});	
		if(hasCheckedSingle){
			$("."+id+" .task-star").removeClass('hide');
			$("."+id+" .task-check").hide();
			$("."+id+" .task-check-single").iCheck('uncheck');			
		}else{
			$("."+id+" .task-star").addClass('hide');
			$("."+id+" .task-check,.batch-operation").show();
			$("."+id+" .task-check-single").iCheck('check');
		}
		var hasChecked = false;
		$(".task-check-single").each(function() {  //获取所有input框的name值
			if($(this).attr("checked") == "checked"){
				hasChecked = true;
			}
		});	
		if(!hasChecked){
			$(".batch-operation").hide();
		}					
		if($(this).hasClass('click')){
			$(this).removeClass('click');
		}else{
			$(this).addClass('click');
		}
		return false;
	})

	//筛选任务
	$('.batch-operation').mouseenter(function(){
		$(".batch-opt").slideDown();
	}).mouseleave(function(){
		$(".batch-opt").hide();
	})

	//批量操作
	$(".batch-opt li").on('click',function(){
		var opt = $(this).attr('data');
		var confirm = "";
		var self = true;
		if(opt == 1){
			confirm = "<?=$_lang['task_sure_batch_complate']?>";
		}else if(opt == 3){
			confirm = "<?=$_lang['task_sure_batch_del']?>";
		}
		if(confirm!=''){
			bootbox.confirm(confirm, function(result) {
			  	if(result){
					var tid = '';
					$(".task-check-single").each(function() {  //获取所有input框的name值
						if($(this).attr("checked") == "checked"){
							var del = $(this).hasClass('is-self');
							if(!del){
								self = false;
							}
							if((opt == 3&&del)||opt==1){
								tid += $(this).val()+",";
								updateTaskNum($(this),-1);
								$(this).parents("li").remove();
							}else{
								$(this).iCheck('uncheck').hide();	
							}
						}
					});	
					if(tid){
						data = "opt=batchOperation&task_id="+tid+"&type="+opt;
						$.ajax({
							type:"POST",
							data:data,
							url:"/general/task/mytask/do.php"
						}).done(function(result){
							$.pnotify({text:'<?=$_lang["task_opt_success"]?>',type:"success"});
							$('.batch-operation').hide();
						});	
					}
					if(!self){
						$.pnotify({text:'<?=$_lang["task_no_del_main"]?>',type:"success"});
					}	
			  	}
			});			
		}
	})

	//查看子任务
	$("#task-form").on({
		click:function(){
			var tid = $(this).parent().attr("data");
			if($(this).hasClass("parent")){
				var check_son = 'parent';
			}else if($(this).hasClass("son")){
				var check_son = 'son';
			}
			$.ajax({
				type:"POST",
				data:"opt=edit&check_son="+check_son+"&task_id="+tid,
				url:"/general/task/mytask/do.php"
			}).done(function(result){
				if(result==0){
					$.pnotify({text:'<?=$_lang["task_no_access"]?>',type:"error"});
				}else{
					$("#task-form").html(result);
				}
			});				
		}
	},'.form-son .task-name');

	//提交反馈
	$("#task-form").on({
		click:function(){
			var con = $("#feedback-con").val();
			var tid = $(".form-base").attr("data");
			if(con != ''){
			    $.ajax({
			        url:"/general/task/mytask/do.php",
			        type:"POST",
			        data:"opt=feedbackAdd&FB_CONTENT="+con+"&TASK_ID="+tid
			    }).done(function(result){
			        if(result){
			        	var uid = '<?=$_SESSION["LOGIN_USER_ID"]?>'
			        	var userInfo = getUserInfo(uid);
			        	var feedback = $.parseJSON(result);
						var str = 	'<div class="feedback-list">'
								+		'<div class="feedback">'
								+			'<span><span class="username">'+userInfo+'</span> '+feedback['FB_DATE']+'</span>'
								+			'<div>'+feedback['FB_CONTENT']+'</div>'
								+		'</div>'
								+	'</div>';
						$("#form-feedback").after(str);
						$("#feedback-con").val('');
						$(".task-form").height($(window).height()-40).niceScroll();
						$(".task-form").getNiceScroll().resize();	
			        }
			    });			
			}else{
				$.pnotify({text:'<?=$_lang["task_feedreback_empty"]?>',type:"error"});
			}
		}
	},'#task-feedback-sub');

	//查看更多反馈
	$("#task-form").on({
		click:function(){
			var page  = parseInt($(this).attr("page"));
			var tid   =	$(".form-base").attr("data");
			var $this = $(this);
		    $.ajax({
		        url:"/general/task/mytask/do.php",
		        type:"POST",
		        data:"opt=feedbackMore&page="+page+"&TASK_ID="+tid
		    }).done(function(result){
		        if(result){
		        	var feedback = $.parseJSON(result);
		        	var str      =  '';
			    	for(x in feedback['con']){
			    		var v = feedback['con'][x];
			    		var uid = v['USER_ID'];
			        	var userInfo = getUserInfo(uid);
						str	+= 	'<div class="feedback-list">'
							+		'<div class="feedback">'
							+			'<span><span class="username">'+userInfo+'</span> '+v['FB_DATE']+'</span>'
							+			'<div>'+v['FB_CONTENT']+'</div>'
							+		'</div>'
							+	'</div>';
			    	}
					$this.before(str);
					$(".task-form").height($(window).height()-40).niceScroll();
					$(".task-form").getNiceScroll().resize();				
		        	if(feedback['num']>0){
		        		$this.attr("page",page+1);
		        	}else{
		        		$this.hide();
		        	}			
		        }
		    });	
		}
	},'#feedback-more')

	//查看更多日志
	$("#task-form").on({
		click:function(){
			var page  = parseInt($(this).attr("page"));
			var tid   =	$(".form-base").attr("data");
			var $this = $(this);
		    $.ajax({
		        url:"/general/task/mytask/do.php",
		        type:"POST",
		        data:"opt=logMore&page="+page+"&TASK_ID="+tid
		    }).done(function(result){
		        if(result){
		        	var feedback = $.parseJSON(result);
		        	var str      =  '';
			    	for(x in feedback['con']){
			    		var v = feedback['con'][x];
			    		var userInfo = getUserInfo(v['USER_ID']);
						str	+= 	'<li>'
							+		'<span class="log-user">'+userInfo+'</span>'
							+		'<span class="log-con" style="text-indent:2px;">'+v['LOG_CON']+'</span>'
							+		'<span class="log-time">'+v['LOG_TIME']+'</span>'
							+	'</li>'
			    	}
					$("#log").append(str);
					$(".task-form").height($(window).height()-40).niceScroll();
					$(".task-form").getNiceScroll().resize();
		        	if(feedback['num']>0){
		        		$this.attr("page",page+1);
		        	}else{
		        		$this.hide();
		        	}			
		        }
		    });		
		}
	},"#log-more")

	//编辑任务 input框border
	$("#task-form").on({
		mouseenter:function(){
			$(this).find('.border').addClass('hover');
		},
		mouseleave:function(){
			var isfocus = $(this).find('.border').is(":focus");
			if(!isfocus){
				$(this).find('.border').removeClass('hover');
			}			
		}
	},".field");

	$("#task-form").on({
		blur:function(){
			$(this).removeClass('hover');
		},
		focus:function(){
			$(this).addClass('hover');			
		}
	},".field .border");

});

//获取用户信息
function getUserInfo(uid){
	data = "opt=getUserInfo&uid="+uid;
	var res = '';
	$.ajax({
		type:"POST",
		data:data,
		url:"/general/task/mytask/do.php",
		async:false
	}).done(function(result){
		res = result;
	});	
	return res;
}
function taskRemark(tid){
	if(tid==1){
		taskDate = 'today';
	}else if(tid==2){
		taskDate = 'tomorrow';
	}else{
		return ;
	}		
	return remarkStr = '<li class="no-task-remark">'
					+   '<span><?=$_lang["task_'+taskDate+'"]?><?=$_lang["task_add_no-task"]?></span>'
					+ '</li>';
}
function updateTaskNum($this,addnum){
	var numObj = $this.parents("ul").siblings("h3").children(".task-num");
	var num = numObj.html();
		num = parseInt(num)+parseInt(addnum);
		num = num>0?num:0;
		if(num==0){
			var tid = $this.parents(".task-list").attr("date");
			if(tid==1||tid==2){
				var remarkStr = taskRemark(tid);
				$this.parents("ul").html(remarkStr);	
			}
		}
		numObj.html(num);
}
function createNewTask($this,key){
	var name = $this.val();
	if(name!=''){
		$this.val('');
		updateTaskNum($this,1);
		var date = $this.parents(".task-list").attr("date");	
		var important = $this.parents(".task-list").attr("important");
		important = important?important:0;
		date  = date?date:'';	
		$.ajax({
			type:"POST",
			data:"opt=create&date="+date+"&name="+name+"&important="+important,
			url:"/general/task/mytask/do.php"
		}).done(function(result){
			if(result!=0){
				data = $.parseJSON(result);
				var str = getListTastk(data,'create')
				// if(key=='enter'){
				// 	$this.parents("li").after(str);
				// 	// $this.parents("ul").children("li").eq(-2).remove();
				// }else{
				// 	$this.parents("ul").prepend(str);
				// 	// $this.parents("li").remove();
				// }
				var tags = '';
				$(".task-tags span").each(function(){
					if($(this).hasClass("active")){
						tags += $(this).attr("data")+',';
					}
				});
				var data = "tags="+tags;
				$.ajax({
					type:"POST",
					data:"opt=getTask&"+data,
					url:"/general/task/mytask/do.php"
				}).done(function(result){
					$("#tasklist-left").html(result);
					$('.task-check-single').iCheck({
					    checkboxClass : 'icheckbox_square-blue'
					});
					$(".filter-con").hide();
				});	
				$('.task-check-single').iCheck({
					checkboxClass : 'icheckbox_square-blue'
				});						
				
			}
		});	
	}else{
		var num =$this.parents("ul").siblings('h3').children('.task-num').html();
		if(num == 0){
			var tid = $this.parents('.task-list').attr('date');
			if(tid==1||tid==2){
				var remarkstr = taskRemark(tid);
				$this.parents("ul").html(remarkstr);
			}
		}
		$this.parents("li").remove();
	}
}


//协作选文档之后，对返回值的处理
function coopLoadWindowDoc(inputID,inputName,formName,selectNumber,returnValue) {
	if(returnValue) {
		$.ajax({
			type:"post",
			url:"/general/cooperation/coop_view/do.php",
			data:"documentIdStr="+returnValue+"&f=getRelatedDocument",
			success: function(result){
				if(result) {
					var parsedData = $.parseJSON(result);
					var returnIdStr = "";
					$("#"+inputName).html("");
					var str = '';
					$.each(parsedData,function(key,val){
						str += '<span data="'+val.CONTENT_ID+'" class="single-opt">'
							+		'<span class="single-link" onclick="openDocumentsWindows('+val.CONTENT_ID+');" >'+val.SUBJECT+'</span>'
							+		'<i class="del fa fa-times"></i>'
							+	'</span>';

						returnIdStr += val.CONTENT_ID+",";
					});
					$("#"+inputName).html(str);
					$("#"+inputID).attr("value",returnIdStr);
				}
			}
		});

		var TASK_ID = $(".form-base").attr("data");
		data="TASK_ID="+TASK_ID+"&CONTRAT_DOC="+returnValue;
		editTaskInfo(data);
	}
}
//删除附件
function deleteAttach(ATTACHMENT_ID,TASK_ATT_ID)
{
	bootbox.confirm(EOlang.msgDeleteFileAlert+"?", function(result) {
		if(result){
			$("#"+ATTACHMENT_ID).hide();	
			var url = '/general/task/mytask/do.php';
			var par = 'opt=delAttach&task_att_id='+TASK_ATT_ID+'&ATTACHMENT_ID='+ATTACHMENT_ID;
			$.ajax({
					type:"POST",
					url:url,
					data:par,
					success: function(result){
					}
			});
		}
	});
}
//删除附件
function deleteAttachTheme(ATTACHMENT_ID,ATTACHMENT_NAME,THEME_ID)
{
	bootbox.confirm(EOlang.msgDeleteFileAlert+"?", function(result) {
		if(result){
			$("#"+ATTACHMENT_ID).hide();
			var url = '/general/cooperation/del_attach.php';
			var par = 'f=theme&THEME_ID='+THEME_ID+'&ATTACHMENT_ID='+ATTACHMENT_ID+'&ATTACHMENT_NAME='+ATTACHMENT_NAME;
		}
	});
}
//修改任务信息
function editTaskInfo(data){
	data = data+"&opt=editInfoAjax";
	$.ajax({
		type:"POST",
		data:data,
		url:"/general/task/mytask/do.php"
	}).done(function(result){
	});	
}

//展示任务
function getListTastk(data,type){
	data['USER_TYPE']=data['USER_TYPE']?data['USER_TYPE']:1;
	var user = "<?=$_SESSION['LOGIN_USER_ID']?>";
	var isself = (type=='create'||user==data['USER_ID'])?' is-self':'';
	var str = '';
	str	+= 	'<li data='+data['TASK_ID']+'>';
				if(data['USER_TYPE']!=3){
	str	+=		'<span class="task-check">'
		+			'<input type="checkbox" class="task-check-single new-task'+isself+'" value="'+data['TASK_ID']+'">'
		+		'</span>';
				}
				if(data['IMPORTANT_LEVEL']==1){
	str +=		'<span class="task-star">'
		+			'<i title="<?=$_lang[task_important]?>" class="fa fa-exclamation"></i>'
		+		'</span>';		
				}	
	str	+=		'<span class="task';
	 			if(data['TASK_STATUS']==2){
	str +=		' done'; 				
	 			}
	str +=		'" title="'+data['TASK_NAME']+'">'+data['TASK_NAME']+'</span>'
		+		'<span class="creater">'+data['USER_NAME']+'</span>'
		+		'<span class="task-opt">'
					if(data['USER_TYPE']!=3){
	str += 			'<span class="complate"'
					if(data['TASK_STATUS']==2){ 
	str +=  			'style="display:none;"' 
					}		
	str +=			'><i title="<?=$_lang[task_mark_done]?>" class="fa fa-check"></i></span>'
	str +=			'<span class="dis-complate"'
					if(data['TASK_STATUS']==1){ 
	str +=  			'style="display:none;"' 
					}	
	str +=  		'><i title="<?=$_lang[task_mark_doing]?>" class="fa fa-check"></i></span>'
					}
	str +=			'<span class="dis-attention" ';
					if(data['ATTENTION']!=1){ 
	str +=  			'style="display:none;"' 
					}
	str += 			'><i  title="<?=$_lang[task_cacel_attention]?>" class="fa fa-star-o"></i></span>'
		+			'<span class="attention" '; 
					if(data['ATTENTION']==1){ 
	str += 				'style="display:none;"'; 
					}
	str += 			'><i title="<?=$_lang[task_add_attention]?>" class="fa fa-star"></i></span>'
					if(data['USER_ID']==user){
	str +=			'<span class="del-task" ><i title="<?=$_lang[task_del_task]?>" class="fa fa-times"></i></span>'
					}
	str +=		'</span>'							
		+	'</li>';	
	return str;
}

//文档选择
function LoadWindowDocs(inputID,inputName,formName,selectNumber)
{
	var URL="/module/doc_select/?inputID="+inputID+"&inputName="+inputName+"&formName="+formName+"&selectNumber="+selectNumber+"&defaultInputID="+$("#"+inputID).attr("value");
	var loc_x=1;
	var loc_y=1;
	window.showModalDialog(URL,self,"edge:raised;scroll:0;status:0;help:0;resizable:1;dialogWidth:800px;dialogHeight:530px;dialogTop:"+loc_y+"px;dialogLeft:"+loc_x+"px");
}

</script>

<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/highcharts.js"></script>
<script type="text/javascript" src="/newplugins/Highcharts-4.0.1/js/modules/exporting.js"></script>
<script type="text/javascript">
function loadChart(titles,nums){
$(function () {
	//var colors = Highcharts.getOptions().colors,
	var colors = ['#FF0000','#D87E00','#005EAC','#008000','#C0C0C0'];
	var categories = data = [];
	if(titles!=''){
  		for(x in titles){
  			categories.push(titles[x]);
  		}
	}else{
		categories = ['<?=$_lang["task_delay"]?>', '<?=$_lang["task_today"]?>', '<?=$_lang["task_tomorrow"]?>', '<?=$_lang["task_will"]?>', '<?=$_lang["task_no_tag"]?>']
	}

   if(nums!=''){
	    data = [{
	            y: nums[0]
	        }, {
	            y: nums[1]
	        }, {
	            y: nums[2]
	        }, {
	            y: nums[3]
	        }, {
	            y: nums[4]
	        }];
   }else{
	    data = [{
	            y: <?=$tasks['delay']['num']?>
	        }, {
	            y: <?=$tasks['today']['num']?>
	        }, {
	            y: <?=$tasks['tomorrow']['num']?>
	        }, {
	            y: <?=$tasks['will']['num']?>
	        }, {
	            y: <?=$tasks['no_tag']['num']?>
	        }];
   }

    var versionsData = [];
    for (var i = 0; i < data.length; i++) {
        versionsData.push({
            name: categories[i],
            y: data[i].y,
            color: colors[i]
        });
    }
    
    // Create the chart
    $('#container').highcharts({
        chart: {
            type: 'pie'
        },
        title: {
            text: ''
        },
        credits: {
            enabled: false
        },
        legend: {
			symbolWidth: 25,
			symbolHeight: 15,
			symbolPadding: 5,
			itemStyle: {
				cursor: 'pointer',
				fontSize: '10px',
			}, 
			series: data.series
        },
        plotOptions: {
            pie: {
                shadow: false,
                center: ['50%', '40%'],
                cursor: 'pointer',
                showInLegend: true
            }
        },
        tooltip: {
        	 headerFormat: '',
    	     pointFormat: '{point.name}: {point.y}<?=$_lang["task_item"]?>'
        },
        exporting: {
            enabled: false
        },
        series: [{
            name: '<?=$_lang["task_num"]?>',
            data: versionsData,
            size: '55%',
            innerSize: '30%',
            dataLabels: {
                formatter: function() {
                    return '<b>'+ this.point.name +':</b> '+  Math.round(this.percentage*10)/10 +'%';
                }
            }
        }]
    });
});
}
</script>
