<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的资产--车辆申请
* @encoding      $_lang['encoding']
* @name          general/car/apply.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/mobile_sms.inc.php");
include_once("api/email.class.php");
include_once("api/vehicles.class.php");
include_once ("general/system/combox/packaging.php");
include_once ("inc/meet_vehicle.php");
includelangpak("asset");
includelangpak("vehicles");
$checkDiff = $_REQUEST["checkDiff"];
$vehicles = new vehicles();
switch($checkDiff){
	case "initdata":
		$dataInfor = array();
		if(!I($_REQUEST['vehiclesId'])) {
		    Message('',$_lang["common_param_error"],'failed');
		    exit;
		}			
		$vehiclesId = $_REQUEST["vehiclesId"];
		//申请数据
		//$infor_sql = " AND VA_ID!='' AND V_ID='".$vehiclesId."' AND ((VA_STUATE!='3' AND VA_STUATE!='5' AND VA_STUATE!='7') AND (VA_STUATE='1' AND VA_PERSON='".$_SESSION["LOGIN_USER_ID"]."')) ";
		$infor_sql = " AND VA_ID!='' AND V_ID='".$vehiclesId."' AND (((VA_STUATE!='3' AND VA_STUATE!='5' AND VA_STUATE!='7') AND (VA_STUATE='1' AND VA_PERSON='".$_SESSION["LOGIN_USER_ID"]."')) OR VA_STUATE='2' OR VA_STUATE='4' OR VA_STUATE='1') ";
		$infor = $vehicles->vehicesSearchManyData("vehicles_apply",$infor_sql);
		$infor_count = count($infor);
		for($i=0;$i<$infor_count;$i++){
			if($infor[$i]["VA_ID"]){
				$dataInfor[$i]["id"]     = $infor[$i]["VA_ID"];
				$dataInfor[$i]["title"]  = $_lang["vehicles_apply_man"]."  ：".getUserNameNew($infor[$i]["VA_PERSON"]);
				$dataInfor[$i]["start"]  = $infor[$i]["VA_BEGIN_TIME"];
				$dataInfor[$i]["end"]    = $infor[$i]["VA_END_TIME"];
				$second = strtotime($infor[$i]["VA_END_TIME"])-strtotime($infor[$i]["VA_BEGIN_TIME"]);
				$time = $second/3600;
				if($time>=24){
					$dataInfor[$i]["allDay"] = true;	
				}else{
					$dataInfor[$i]["allDay"] = false;	
				}
				$showColor = "";
				
				switch($infor[$i]["VA_STUATE"]){
					case "1":
						if($infor[$i]["VAEXAMINE_TIME"]){
							//审核中
							$showColor = "#14B9E8";	
						}else{
							//待审核
							$showColor = "#FFC545";		
						}
					break;	
					case "2":
						//已批准
						$showColor = "#1ABC9C";
					break;	
					case "4":
						//归还中
						$showColor = "#9A59B5";
					break;	
	
				}
				$dataInfor[$i]["color"] = $showColor;
				$dataInfor[$i]["editable"] = false;
			}	
		}
		//车辆维护数据
		$mainten_sql = " AND VM_ID!='' AND V_ID='".$vehiclesId."' AND (UNIX_TIMESTAMP(VM_BEGIN_TIME)>=UNIX_TIMESTAMP(NOW()) OR UNIX_TIMESTAMP(VM_END_TIME)>=UNIX_TIMESTAMP(NOW()))";
		$mainteninfor = $vehicles->vehicesSearchManyData("vehicles_maintenance",$mainten_sql);
		$mainteninfor_count = count($mainteninfor);
		$mainRInfor = array();
		if($mainteninfor_count>0){
			for($j=0;$j<$mainteninfor_count;$j++){
				$mainRInfor[$j]["id"]     = $mainteninfor[$j]["VM_ID"];
				$mainRInfor[$j]["title"]  = $_lang["vehicles_maintain"];
				$mainRInfor[$j]["start"]  = $mainteninfor[$j]["VM_BEGIN_TIME"];
				$mainRInfor[$j]["end"]    = $mainteninfor[$j]["VM_END_TIME"];
				$second = strtotime($mainteninfor[$j]["VM_END_TIME"])-strtotime($mainteninfor[$j]["VM_BEGIN_TIME"]);
				$time = $second/3600;
				if($time>=24){
					$mainRInfor[$j]["allDay"] = true;	
				}else{
					$mainRInfor[$j]["allDay"] = false;	
				}
				$mainRInfor[$j]["color"] = "#E63131";
				$mainRInfor[$j]["editable"] = false;
			}	
		}
		$newArray = array_merge($dataInfor,$mainRInfor);
		//echo $dataInfor;
		echo json_encode($newArray);
	break;
	case "newApply":
		$dataInfor = array();		
		$dataInfor["V_ID"] = $_REQUEST["vehiclesId"];
		$dataInfor["VA_DEPT"] = $vehicles->dept_person($_SESSION["LOGIN_USER_ID"]);;
		$dataInfor["VA_PERSON"] = $_SESSION["LOGIN_USER_ID"];
		$dataInfor["VA_APPLY_PERSON"] = $_REQUEST["check_person"];
		$dataInfor["VA_BEGIN_TIME"] = $_REQUEST["begin_date"];
		$dataInfor["VA_END_TIME"] = $_REQUEST["end_date"];
		$dataInfor["VA_MILEAGE"] = dhtmlspecialchars($_REQUEST['mail']);
		$dataInfor["VA_OIL"] = dhtmlspecialchars($_REQUEST['oil']);
		$dataInfor["VA_REASON"] = $_REQUEST["thing"];
		$dataInfor["VA_REMARK"] = $_REQUEST["remark"];
		$dataInfor["VA_STUATE"] = "1";
		$dataInfor["SMS_REMIND"] = $_REQUEST["SMS_REMIND"];
		$dataInfor["SMSTEL_REMIND"] = $_REQUEST["SMSTEL_REMIND"];
		$dataInfor["EMAIL_REMIND"] = $_REQUEST["EMAIL_REMIND"];
		$dataInfor["VA_PATH_START"] = dhtmlspecialchars($_REQUEST['path_start']);
		$dataInfor["VA_PATH_END"] = dhtmlspecialchars($_REQUEST['path_end']);
		$dataInfor["VA_RECORD_END_TIME"] = $_REQUEST["end_date"];
		$newID = $vehicles->vehicles_CreateData($dataInfor,"vehicles_apply");
		$TABLE_ID    = $newID;
		$TABLE_NAME  = "vehicles_apply";
		$person_id   = $_REQUEST['check_person'];
		$SMS_CONTENT = $_lang["asset_vehicles_use_person"]."：".getUserNameNew($_SESSION["LOGIN_USER_ID"])."；".$_lang["asset_vehicles_style"]."：".$_REQUEST['car_model']."；".$_lang["asset_car_id"]."：".$_REQUEST['car_num']."；".$_lang["asset_vehicles_usetime"]."：".$_REQUEST["begin_date"]."--".$_REQUEST["end_date"];
		if($_REQUEST["SMS_REMIND"]=='1')
		{
			if(ifSendMbSms('message'))
			{
				sendSms($_SESSION["LOGIN_USER_ID"],$person_id,$SMS_CONTENT,1,9,$TABLE_NAME,$TABLE_ID);		
			}
		}
		//---手机短信提醒
		if($_REQUEST["SMSTEL_REMIND"]=="1")
		{
			if(ifSendMbSms('mobile'))
			{
				$newSms = new MobileSms();
				$newSms->SelfSendMore($person_id,$SMS_CONTENT);
			}		
		}
		//---内部邮件提醒
		if($_REQUEST["EMAIL_REMIND"]=="1") 
		{		
			if(ifSendMbSms('email'))
			{
				$email = new email();		
				$email->sendEmail($_SESSION["LOGIN_USER_ID"],$person_id,$person_id,$_lang["asset_vehicle_use_check"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');	
			}
		}
		$resultArray = array();
		$resultArray[0]["id"]     = $newID;
		$resultArray[0]["title"]  = $_lang["vehicles_apply_man"]."  ：".$_SESSION["LOGIN_USER_NAME"];
		$resultArray[0]["start"]  = $_REQUEST["begin_date"];
		$resultArray[0]["end"]    = $_REQUEST["end_date"];
		$second = strtotime($_REQUEST["end_date"])-strtotime($_REQUEST["begin_date"]);
		$time = $second/3600;
		if($time>=24){
			$resultArray[0]["allDay"] = true;	
		}else{
			$resultArray[0]["allDay"] = false;	
		}
		$resultArray[0]["color"]  = "#FFC545";
		$resultArray[0]["editable"] = false;		
		echo json_encode($resultArray);
	break;
	case "newOrEdit":
		$applyId = $_REQUEST["apply_id"];
		if($_REQUEST['examine']=="" && $applyId!= "")
		{
			$check = $vehicles->check_examine($applyId);
		}
		if($check){
			echo $check;	
			exit;
		}
		$dataInfor = array();
		$dataInfor["V_ID"] = $_REQUEST["vehiclesId"];
		if($applyId){
			$dataInfor["VA_DEPT"] = $_REQUEST["part"];		
		}else{
			$dataInfor["VA_DEPT"] = $vehicles->dept_person($_SESSION["LOGIN_USER_ID"]);		
		}
		$dataInfor["VA_PERSON"] = $_SESSION["LOGIN_USER_ID"];
		$dataInfor["VA_APPLY_PERSON"] = $_REQUEST["check_person"];
		$dataInfor["VA_BEGIN_TIME"] = $_REQUEST["begin_date"];
		$dataInfor["VA_END_TIME"] = $_REQUEST["end_date"];
		$dataInfor["VA_MILEAGE"] = dhtmlspecialchars($_REQUEST['mail']);
		$dataInfor["VA_OIL"] = dhtmlspecialchars($_REQUEST['oil']);
		$dataInfor["VA_REASON"] = $_REQUEST["thing"];
		$dataInfor["VA_REMARK"] = $_REQUEST["remark"];
		$dataInfor["VA_STUATE"] = "1";
		$dataInfor["SMS_REMIND"] = $_REQUEST["SMS_REMIND"];
		$dataInfor["SMSTEL_REMIND"] = $_REQUEST["SMSTEL_REMIND"];
		$dataInfor["EMAIL_REMIND"] = $_REQUEST["EMAIL_REMIND"];
		$dataInfor["VA_PATH_START"] = dhtmlspecialchars($_REQUEST['path_start']);
		$dataInfor["VA_PATH_END"] = dhtmlspecialchars($_REQUEST['path_end']);
		$dataInfor["VA_RECORD_END_TIME"] = $_REQUEST["end_date"];
		if($applyId){
			$newID = $vehicles->vehicles_EditData($dataInfor,"vehicles_apply",$applyId);		
		}else{
			$newID = $vehicles->vehicles_CreateData($dataInfor,"vehicles_apply");	
		}	
		$TABLE_ID    = $newID;
		$TABLE_NAME  = "vehicles_apply";
		$person_id   = $_REQUEST['check_person'];
		$SMS_CONTENT = $_lang["asset_vehicles_use_person"]."：".getUserNameNew($_SESSION["LOGIN_USER_ID"])."；".$_lang["asset_vehicles_style"]."：".$_REQUEST['car_model']."；".$_lang["asset_car_id"]."：".$_REQUEST['car_num']."；".$_lang["asset_vehicles_usetime"]."：".$_REQUEST["begin_date"]."--".$_REQUEST["end_date"];
		if($_REQUEST["SMS_REMIND"]=='1')
		{
			if(ifSendMbSms('message'))
			{
				sendSms($_SESSION["LOGIN_USER_ID"],$person_id,$SMS_CONTENT,1,9,$TABLE_NAME,$TABLE_ID);		
			}
		}
		//---手机短信提醒
		if($_REQUEST["SMSTEL_REMIND"]=="1")
		{
			if(ifSendMbSms('mobile'))
			{
				$newSms = new MobileSms();
				$newSms->SelfSendMore($person_id,$SMS_CONTENT);
			}		
		}
		//---内部邮件提醒
		if($_REQUEST["EMAIL_REMIND"]=="1") 
		{		
			if(ifSendMbSms('email'))
			{
				$email = new email();		
				$email->sendEmail($_SESSION["LOGIN_USER_ID"],$person_id,$person_id,$_lang["asset_vehicle_use_check"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');	
			}
		}
	
		echo "sucess";
	break;
	case "showView":
		$dataid = $_REQUEST["dataid"];
		$dataInfor = array();
		$con_sql = " AND VA_ID='".$dataid."'";
		$dataInfor = $vehicles->vehicesSearchSingleData("vehicles_apply",$con_sql);
		$dataInfor["personNames"] = getUserNameNew($dataInfor["VA_PERSON"]);
		switch($dataInfor["VA_STUATE"]){
			case "1":
				if($dataInfor["VAEXAMINE_TIME"]){
					$stateShow = $_lang["vehicles_checking"];	
				}else{
					$stateShow = $_lang["vehicles_wait_check"];		
				}
			break;	
			case "2":
				$stateShow = $_lang["vehicles_approved"];
			break;	
			case "4":
				$stateShow = $_lang["vehicles_returnning"];
			break;	
		}
		$dataInfor["stateShows"] = $stateShow;
		echo json_encode($dataInfor);
	break;
	case "showMainten":
		$dataid = $_REQUEST["dataid"];
		$dataInfor = array();
		$con_sql = " AND VM_ID='".$dataid."'";
		$dataInfor = $vehicles->vehicesSearchSingleData("vehicles_maintenance",$con_sql);
		$dataInfor["typeShow"] = get_info(10,$dataInfor['VM_TYPE'],1);
		echo json_encode($dataInfor);
	break;
}
?>
