<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的资产--车辆审核
* @encoding      $_lang['encoding']
* @name          general/car/examine.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php");
includelangpak("asset");
includelangpak("other");
includelangpak("vehicles");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
include_once("inc/function_picture.php");
include_once("api/vehicles.class.php");
include_once("inc/function_usergeneral.php");
$vehicles = new vehicles();
//判断权限
$priv_str = $_SESSION['LOGIN_FUNC_STR'];
if(!isThisPri($priv_str,isMenuPri('603,'))){
	echo "<body class='bodycolor'><title>".$_lang["other_dir_limit"]."</title><body bgcolor='#264989'>";
	Message($_lang["other_menu_warning"],$_lang["other_app_auth"]);
	exit;
}

$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}


//用车冲突
$conflict_num = $vehicles->num_conflict();
$showConNum = $conflict_num['subnum'];
$showConCarid = $conflict_num['car_id'];
$PAGE_TITLE = $_lang["asset_vehicles_examine"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="css/vehicels.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<body>
<input type="hidden" id="checkDiffRemind" name="checkDiffRemind">
<div id="Message"></div>
<div style="width:100%">
    <div id="vehiclesHead" class="right_main_wrap">
        <div class="lazy_header">
            <div class="filter_wrap" style="height:0px;"></div>
        </div>
        <div id="checkExamine" style="width:100%"></div>
    </div>
    <div id="checkInforSpan" style="width:100%; display:none;"></div>
</div>
</body>
</html>
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/vehicles/vehicles_all.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<!--BootStrap-->
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<!--select美化-->
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script language="javascript">
$(function() {
	$("#checkExamine").LazyTable({
			buttons : {
				buttonInfor : {
					"examine" : {
						title : "<?=$_lang["asset_vehicles_check"]?>",
						func : function(data) {
							//$("#checkExamine").hide();
							$("#vehiclesHead").hide();
							$.ajax({
								type:"POST",
								async:false,
								dataType:"html",
								data:"examine_id="+data.apply_id+"&showpage=examine&check_conflict=<?=$showConCarid?>",
								url:"/general/vehicles/examine/index.php"
							}).done(function(result){
								//alert(result);
								$("#checkInforSpan").html(result);
								$("#checkInforSpan").show();
							});	
						}
					},
					"checkreturn" : {
						title : "<?=$_lang["asset_vehicles_back_check"]?>",
						func : function(data) {
							//$("#checkExamine").hide();
							$("#vehiclesHead").hide();
							$.ajax({
								type:"POST",
								async:false,
								dataType:"html",
								data:"examine_id="+data.apply_id+"&showpage=examine",
								url:"/general/vehicles/examine/return.php"
							}).done(function(result){
								//alert(result);
								$("#checkInforSpan").html(result);
								$("#checkInforSpan").show();
							});	
						}
					}
				},
				filter : function(data) {
					var buttonFilterStr = new Array();
					if(data.state=="1"){
						buttonFilterStr.push("examine");
					}else{
						buttonFilterStr.push("checkreturn");	
					}
					return buttonFilterStr;
				}
			},
			page : {
				callback : function(page) {
					$("#checkExamine").LazyTable("reload", {
						page : {
							currentPage : page
						}
					});
				}
			},
			column : [{
				key : "CAR_MODEL",
				title : '<?=$_lang["vehicles_type_name"]?>'
			},{
				key : "CAR_NUM",
				title :  '<?=$_lang["vehicles_number"]?>'
			}, {
				key : "applyPerson",
				title : '<?=$_lang["vehicles_apply_man"]?>'
			}, {
				key : "begin_time",
				title : '<?=$_lang["vehicles_use_start"]?>'
			}, {
				key : "end_time",
				title : '<?=$_lang["vehicles_use_end"]?>'
			}, {
				key : "stateText",
				title : '<?=$_lang["vehicles_status"]?>'				
			}],
			sort : {
			  items : [{
				  key : "CAR_MODEL",
				  title : '<?=$_lang["vehicles_type_name"]?>'
			  },{
				  key : "CAR_NUM",
				  title : '<?=$_lang["vehicles_number"]?>'
			  },{
				  key : "applyPerson",
				  title : '<?=$_lang["vehicles_apply_man"]?>'
			  },{
				  key : "begin_time",
				  title : '<?=$_lang["vehicles_start_time"]?>'
			  },{
				  key : "end_time",
				  title : '<?=$_lang["vehicles_end_time"]?>'
			  },{
				  key : "stateText",
				  title : '<?=$_lang["vehicles_status"]?>'
			  }],
			  onItemClick : function(key, sortType) {
				  $("#checkExamine").LazyTable("reload", {
					  param : {
						  sortField : key,
						  sortType : sortType
					  }
				  });
			  }
		  },
			dataSource : "examinedo.php",
			param : {
				type : "examine_list",
				sortField : "VA_ID",
				sortType : "DESC"
			},
			page : {
				callback:function(page){
					$("#checkExamine").LazyTable("reload", {
						page:{
							currentPage:page
						}
					});
				}
			},
			onSortItemClick : function(data, sortType) {
				$("#checkExamine").LazyTable("reload", {
					param : {
						sortField : data.key,
						sortType : sortType
					}
				});
			}
		});
		/*
		 * 筛选
		 */
		$(".filter_wrap").LazyFilter({
			onClick : function(data) {
				$("#checkExamine").LazyTable("reload", {
					param : {
						quickParam : data
					}
				});
			},
			common : {
				template : "{title}",
				onClick : function(data) {
					$("#checkExamine").LazyTable("reload", {
						param : {
							quickParam : data.key
						}
					});
				},
				dataSource : "examinedo.php",
				param : {
					type : "quickSearch"
				}
			},
			more : {
				header : '<?=$_lang["vehicles_more_filter"]?>',
				dataSource : [{
					key : "time",
					title : '<?=$_lang["vehicles_days"]?>',
					subItems : [{
						key : "D-1",
						title : '<?=$_lang["vehicles_today"]?>'
					}, {
						key : "D-3",
						title : '<?=$_lang["vehicles_three_days"]?>'
					}]
				},{
					key : "time",
					title : '<?=$_lang["vehicles_weeks"]?>',
					subItems : [{
						key : "W-1",
						title : '<?=$_lang["vehicles_week"]?>'
					}, {
						key : "W-2",
						title : '<?=$_lang["vehicles_two_weeks"]?>'
					}]
				}]
			}
		});
		//提示语
		$("#Message").LazyMessage({
			ofTarget : "body"	
		});
});	
</script>