<?PHP
/**
 * Systemname:       E-Office
 * Filename:         general/vote/admin/outputAll.php
 * Function:         调查表-查看结果-导出全部
 * Encoding:         $_lang['encoding']
 * Author:           Samuel|www.weaver.com.cn
 * Date:             2010-09-09
 * File Version:     1.0
 * Eoffice Version:  8.0
 */
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");
include_once ("inc/auth.php");
includelangpak("info");
include_once ("inc/utility_all.php");

function GetResult($questionOption, $answer) {
	if (trim($questionOption) == "") {
		return $answer;
	}
	$resultStr = "";
	$answerArr = explode("||", $answer);
	for ($i = 0; $i < count($answerArr); $i++) {
		if (strpos($answerArr[$i], "else/") !== false) {
			if ($resultStr == "") {
				$resultStr = str_replace("else/", "", $answerArr[$i]);
			} else {
				$resultStr .= "/" . str_replace("else/", "", $answerArr[$i]);
			}
		} else if (strpos($answerArr[$i], "explain/") !== false) {
			if ($resultStr == "") {
				$resultStr = str_replace("explain/", "", $answerArr[$i]);
			} else {
				$resultStr .= "/" . str_replace("explain/", "", $answerArr[$i]);
			}
		} else {
			$array_col = explode("|||", $questionOption);
			for ($j = 0; $j < count($array_col); $j++) {
				$array_all = explode("||", $array_col[$j]);
				$answer_order = $array_all[0];
				$answer_id = $array_all[1];
				$answer_name = $array_all[2];
				$answer_tag = $array_all[3];
				$answer_read = $array_all[4];
				$sql_str = $answer_tag . $answer_order;
				if ($sql_str == $answerArr[$i]) {
					if ($resultStr == "") {
						$resultStr = $answer_name;
					} else {
						$resultStr .= "/" . $answer_name;
					}
				}
			}
		}
	}

	return $resultStr;
}

//给文件命名
$SID = $_REQUEST ['SID'];
$sql = "SELECT * FROM phpqsurvey   WHERE SID=" . SecurityFilter($SID) . "";
$rs = exequery($connection, $sql);
$row = mysql_fetch_array($rs);
$reportname = $row['Name'];
$replaceStr = array(
		"<",
		">",
		"*",
		"?",
		"\"",
		"|",
		":",
		"/",
		"[",
		"]",
		"？",
		"："
);
$reportname = str_replace($replaceStr, "", $reportname);
$file_name = $reportname . date("YdmHis") . $_lang["info_vote_All"] . ".xls";

$sql1 = "SELECT phpqquestion.QID, phpqquestion.Question, phpqquestion.Answer AS questionOption, phpqanswer.Answer
       FROM `phpqquestion`
       JOIN `phpqanswer` ON phpqquestion.QID = phpqanswer.QID
       WHERE phpqquestion.SID =" . SecurityFilter($SID) . " ORDER BY phpqanswer.AID";

$rs1 = exequery($connection, $sql1);
$resultArr = array();
$title = "";
$str = "<?xml version=\"1.0\"?>";
$str .= "<?mso-application progid=\"Excel.Sheet\"?>";
$str .= "<Workbook xmlns=\"urn:schemas-microsoft-com:office:spreadsheet\"";
$str .= " xmlns:o=\"urn:schemas-microsoft-com:office:office\"";
$str .= " xmlns:x=\"urn:schemas-microsoft-com:office:excel\"";
$str .= " xmlns:ss=\"urn:schemas-microsoft-com:office:spreadsheet\"";
$str .= " xmlns:html=\"http://www.w3.org/TR/REC-html40\">";
$str .= "<Worksheet ss:Name=" . "\"" . $reportname . "\"" . "><Table><Row>";
while ($questionRow = mysql_fetch_array($rs1, MYSQL_ASSOC)) {
	$QID = $questionRow['QID'];
	$question = $questionRow['Question'];
	$questionOption = $questionRow['questionOption'];
	$answer = $questionRow['Answer'];
	$result = GetResult($questionOption, $answer);

	if (array_key_exists($question, $resultArr)) {
		array_push($resultArr[$question], $result);
	} else {
		$str .= "<Cell><Data ss:Type='String'>" . $question . "</Data></Cell>";
		$resultArr[$question] = array($result);
	}
}

$str .= "</Row>";

$resultStr .= $title;
$resultArr = array_values($resultArr);
for ($i = 0; $i < count($resultArr[0]); $i++) {
	$str .= "<Row>";
	for ($j = 0; $j < count($resultArr); $j++) {

		$str .= "<Cell><Data ss:Type='String'>" . $resultArr[$j][$i] . "</Data></Cell>";
	}
	$str .= "</Row>";
}
$str .= "</Table></Worksheet></Workbook>";
$file_name = getTypeString($file_name, 'gbk');

ob_end_clean();
Header("Cache-control: private");
Header("Content-type: application/vnd.ms-excel");
Header("Accept-Ranges: bytes");
header("Accept-Length: " . strlen($str));
header("Content-Disposition: attachment; filename=" . $file_name);
echo $str;
?>
