<?php

@session_start();
ini_set("display_errors", "On");
error_reporting(E_ALL ^ E_NOTICE);

include_once 'inc/conn.php';
include_once 'inc/AppGlobal.php';
define('TOKEN', 'eoffice9');

include_once 'general/weixin/wechat.php';

                
$wechat = new wechat();


$weixin_code = $_GET['code']; //获取code

if ($weixin_code) {
    $arr = $wechat->getWxAll();

    if (!isset($arr['appid'])) {
        $wechat->errorPage('err', '异常错误');
    }
    //appsecret 
    $url = "https://api.weixin.qq.com/sns/oauth2/access_token?appid=" . $arr['appid'] . "&secret=" . $arr['appsecret'] . "&code=" . $weixin_code . "&grant_type=authorization_code";

    $postObj = AppGlobal::getToken($url);

    $postArr = json_decode($postObj, true);
    $openid = $postArr['openid'];

    $userInfo = $wechat->getUserInfoByOpenid($openid); //111

    if (!$userInfo['uid']) {
        $wechat->errorPage('err', '未绑定eoffice账号, 无法使用移动OA办公');
    } else {

        $wxCode = AppGlobal::getModApp(499);
        if ($wxCode == 1) {
            $option['openid'] = $userInfo['openid'];
            $option['userName'] = $userInfo['name'];

            $content = $_lang["other_weixin_click_oa"];
                
            $userID = $userInfo['uid'];
            $sessionkey = session_id();
            $sessionkey = $sessionkey . '_' . $userID;
            $_SESSION["sessionkey_auth"] = $sessionkey;  
            $content = $wechat->getDomain() . "/E-mobile/App/Init.php?weiApi=1&sessionkey={$sessionkey}&m=attendanceList_Sign";
            header("Location:" . $content);

        } else {
            switch ($wxCode) {
                case -1:
                    $content = "授权许可已经过期或者未注册授权";
                    break;
                case -2:
                    $content = "授权文件不存在,请联系泛微";
                    break;
                case -3:
                    $content = "未授权";
                    break;
                case -4:
                    $content = "试用结束";
                    break;
                default:
                    $content = "请联系泛微，是否被授权可使用";
                    break;
            }

            $wechat->errorPage('err', $content);
        }
    }
}






if (!isset($_GET['echostr'])) {
    $wechat->responseMsg();
} else {
    $wechat->valid();
}