<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.3
 * @function      工作计划的数据处理页
 * @encoding      $_lang['encoding']
 * @name          /general/work_plan/manage/new/submit.php
 * @version       3
 * @author        www.weaver.com.cn
 * @date          2012-10-24
 * @modify        liuqingyu
*/
include_once("inc/auth.php");
includelangpak("calendar");
include_once("inc/check_type.php");
include_once("inc/utility_all.php");

$MANAGER      = $SECRET_TO_ID;
$PARTICIPATOR = $COPY_TO_ID;
$CUR_DATE     = date("Y-m-d",time());
$CUR_TIME     = date("H:i:s",time());

if($BEGIN_DATE=="") {
    $BEGIN_DATE = $CUR_DATE;
}
if($BEGIN_TIME == "") {
	$BEGIN_TIME = "00:00:00";
} else {
	$BEGIN_TIME = $BEGIN_TIME.":00";
}
if($END_TIME != "") {
	$END_TIME = $END_TIME.":00";
} else {
	$END_TIME = "00:00:00";
}

//判断计划的状态字段的值
$BEGIN_DATE_TIME = $BEGIN_DATE." ".$BEGIN_TIME;
$END_DATE_TIME   = $END_DATE." ".$END_TIME;

//待生效的判断
if(strtotime($BEGIN_DATE_TIME) > time()) {
		//待生效
		$OPTIONSTATE = 0;
	}
if($END_DATE!="") {
	if((strtotime($BEGIN_DATE_TIME)<=time() && time()<= strtotime($END_DATE_TIME)) || ($END_DATE==$CUR_DATE && $END_TIME=="00:00:00"))  {
		//已生效
		$OPTIONSTATE = 1;
	}
	if((strtotime($END_DATE_TIME) < time() && $END_TIME!="00:00:00") || $END_DATE < $CUR_DATE) {
		//已终止
		$OPTIONSTATE = 2;
	}
} else {
	if(strtotime($BEGIN_DATE_TIME) <=time()) {
		$OPTIONSTATE = 1;
	}
	else
	{
		$OPTIONSTATE = 0;
	}
}
$ATTACHMENT_ID   = $_REQUEST['attachmentIDStr'];
$ATTACHMENT_NAME = $_REQUEST['attachmentNameStr'];
//处理上传的附件
if($PLAN_ID !='') {
	$query  = "SELECT * FROM work_plan WHERE PLAN_ID=".SecurityFilter($PLAN_ID)."";
    $cousor = exequery($connection,$query);
	if($row = mysql_fetch_array($cousor)) {
		$old_ATTACHMENT_ID   = $row["ATTACHMENT_ID"];
		$old_ATTACHMENT_NAME = $row["ATTACHMENT_NAME"];
	}
	if($ATTACHMENT_ID!="" && $ATTACHMENT_NAME!="")
	{
		$new_ATTACHMENT_ID = $old_ATTACHMENT_ID.$ATTACHMENT_ID;
		$new_ATTACHMENT_NAME = $old_ATTACHMENT_NAME.$ATTACHMENT_NAME;
	}
	else
	{
		$new_ATTACHMENT_ID = $old_ATTACHMENT_ID;
		$new_ATTACHMENT_NAME = $old_ATTACHMENT_NAME;
	}
}

//过滤格式不正确的ID
$TO_ID        = preg_replace("/[0-9]{4,},/",'',$TO_ID);
$MANAGER      = preg_replace("/W[0-9a-zA-Z]{10,},/",'',$MANAGER);
$PARTICIPATOR = preg_replace("/W[0-9a-zA-Z]{10,},/",'',$PARTICIPATOR);

//--- 保存 ---
if($PLAN_ID=="") {
   $query="
		  INSERT INTO work_plan (NAME,CONTENT,BEGIN_DATE,END_DATE,TYPE,TO_ID,MANAGER,PARTICIPATOR,CREATOR,CREATE_DATE,ATTACHMENT_ID,ATTACHMENT_NAME,ATTACHMENT_COMMENT,REMARK,OPTIONSTATE,BEGIN_TIME,END_TIME) VALUES ('".SecurityFilter($NAME)."','".SecurityFilter($CONTENT)."','".SecurityFilter($BEGIN_DATE)."','".SecurityFilter($END_DATE)."','".SecurityFilter($TYPE)."','".SecurityFilter($TO_ID)."','".SecurityFilter($MANAGER)."','".SecurityFilter($PARTICIPATOR)."','".SecurityFilter($CREATOR)."','".SecurityFilter($CREATE_DATE)."','".SecurityFilter($ATTACHMENT_ID)."','".SecurityFilter($ATTACHMENT_NAME)."','".SecurityFilter($ATTACHMENT_COMMENT)."','".SecurityFilter($REMARK)."','".SecurityFilter($OPTIONSTATE)."','".SecurityFilter($BEGIN_TIME)."','".SecurityFilter($END_TIME)."')";
} else {
   $query="
		  UPDATE work_plan SET NAME='".SecurityFilter($NAME)."',CONTENT='".SecurityFilter($CONTENT)."',BEGIN_DATE='".SecurityFilter($BEGIN_DATE)."',END_DATE='".SecurityFilter($END_DATE)."',TYPE='".SecurityFilter($TYPE)."',TO_ID='".SecurityFilter($TO_ID)."',MANAGER='".SecurityFilter($MANAGER)."',PARTICIPATOR='".SecurityFilter($PARTICIPATOR)."',CREATOR='".SecurityFilter($LOGIN_USER_ID)."',ATTACHMENT_ID='".SecurityFilter($new_ATTACHMENT_ID)."',ATTACHMENT_NAME='".SecurityFilter($new_ATTACHMENT_NAME)."',ATTACHMENT_COMMENT='".SecurityFilter($ATTACHMENT_COMMENT)."',REMARK='".SecurityFilter($REMARK)."',OPTIONSTATE='".SecurityFilter($OPTIONSTATE)."',BEGIN_TIME='".SecurityFilter($BEGIN_TIME)."',END_TIME='".SecurityFilter($END_TIME)."' WHERE PLAN_ID='".SecurityFilter($PLAN_ID)."'";
}
exequery($connection,$query);
if($OP==1)
{
   if($PLAN_ID=="")
   {
	   $PLAN_ID = mysql_insert_id();
   }
   header("location: index.php?PLAN_ID=$PLAN_ID");
} else {
   header("location: ../");
}
?>
