<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      我的计划页面
 * @encoding      $_lang['encoding']
 * @name          /general/work_plan/show/query.php
 * @version       11
 * @author        www.weaver.com.cn
 * @date          2012-10-31
 * @modify        liuqingyu
*/
include_once("inc/auth.php");
includelangpak("calendar");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang['calendar_plan_search']?></title>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypagination.js"></script>
<script language="javascript">
jQuery(document).ready(function(){
			jQuery(".pubtable").LazyBeautifyTable();
			jQuery("body").LazyBeautifyForm();
});
function plan_detail(PLAN_ID)
{
	 URL="../show/plan_detail.php?PLAN_ID="+PLAN_ID;
	 myleft=(screen.availWidth-500)/2;
	 window.open(URL,"read_work_plan","height=400,width=500,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=150,left="+myleft+",resizable=yes");
}
</script>
</head>
<body>
<?
 if($RANGE==0)
    $RANGE_STR="";
 else
    $RANGE_STR="(InStr(TO_ID,',".SecurityFilter($LOGIN_DEPT_ID).",')>0 or InStr(TO_ID,'".SecurityFilter($LOGIN_DEPT_ID).",')=1)";
 $CUR_DATE = date("Y-m-d",time());
 $CUR_TIME = date("H:i",time());

 //周加一天
 $WEEK_BEGIN = date('Y-m-d', time()-86400*date('w')+(date('w')>0?86400:-6*86400));
 $WEEK_END   = date('Y-m-d', time()-86400*date('w')+(date('w')>0?(86400*7):86400));

 $MONTH_BEGIN = date("Y-m-d",(strtotime($CUR_DATE)-(date("j",strtotime($CUR_DATE))-1)*24*3600));
 $MONTH_END   = date("Y-m-d",(strtotime($CUR_DATE)+(date("t",strtotime($CUR_DATE))-date("j",strtotime($CUR_DATE)))*24*3600));

 if($DATE==1) {
    $DATE_STR="BEGIN_DATE='$CUR_DATE'";
 } else if($DATE==2) {
	$DATE_STR="(BEGIN_DATE>='$WEEK_BEGIN' AND BEGIN_DATE<='$WEEK_END')";
 } else if($DATE==3) {
    $DATE_STR="MONTH(BEGIN_DATE)=MONTH(CURDATE())";
 }

 if ($RANGE == 0) {
	  $query = "SELECT count(*) from WORK_PLAN where (".$DATE_STR .")
				    AND OPTIONSTATE!='0'
					AND (
					(TO_ID='ALL_DEPT')
					OR ((TO_ID LIKE '%,".$_SESSION['LOGIN_DEPT_ID'].",%') OR LEFT(TO_ID,".(strlen($_SESSION['LOGIN_DEPT_ID'])+1).")='".$_SESSION['LOGIN_DEPT_ID'].",' )
					OR ((MANAGER LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(MANAGER,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",')
					OR ((PARTICIPATOR LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(PARTICIPATOR,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",' ) )
				";
 } else {
	 $query = "SELECT count(*) from WORK_PLAN where (".$RANGE_STR." and (".$DATE_STR ."))
			    AND OPTIONSTATE!='0'
				AND (
					(TO_ID='ALL_DEPT')
					OR ((TO_ID LIKE '%,".$_SESSION['LOGIN_DEPT_ID'].",%') OR LEFT(TO_ID,".(strlen($_SESSION['LOGIN_DEPT_ID'])+1).")='".$_SESSION['LOGIN_DEPT_ID'].",' )
					OR ((MANAGER LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(MANAGER,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",' )
					OR ((PARTICIPATOR LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(PARTICIPATOR,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",' ) )
				";
 }

 $cursor = exequery($connection,$query);
 $WORK_PLAN_COUNT = 0;
 if($ROW = mysql_fetch_array($cursor)) {
    $WORK_PLAN_COUNT = $ROW[0];
 }

 if($WORK_PLAN_COUNT==0)
 {
     Message("",$_lang["calendar_plan_no"]);
     exit;
 }
 ?>
<table border="0" cellspacing="0" width="100%" class="pubtable" cellpadding="0">
<thead>
  <tr>
      <td width="110px" ><?=$_lang["calendar_plan_name"]?></td>
      <td nowrap width="100px"><?=$_lang["calendar_plan_begin_time"]?></td>
	  <td nowrap width="100px"><?=$_lang["calendar_plan_end_time"]?></td>
      <td width="110px" ><?=$_lang["calendar_plan_type"]?></td>
      <td width="150px" ><?=$_lang["calendar_plan_confirm_priv"]?></td>
      <td width="*" ><?=$_lang["calendar_plan_duty_man"]?></td>
      <td nowrap width="60px"><?=$_lang["calendar_plan_status"]?></td>
    </tr>
</thead>
 <?
 $PLAN_COUNT=0;
 if ($RANGE == 0) {
	 $query = "
				SELECT * from WORK_PLAN where (".$DATE_STR .")
				AND OPTIONSTATE!='0'
				AND (
					(TO_ID='ALL_DEPT')
					OR ((TO_ID LIKE '%,".$_SESSION['LOGIN_DEPT_ID'].",%') OR LEFT(TO_ID,".(strlen($_SESSION['LOGIN_DEPT_ID'])+1).")='".$_SESSION['LOGIN_DEPT_ID'].",' )
					OR ((MANAGER LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(MANAGER,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",')
					OR ((PARTICIPATOR LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(PARTICIPATOR,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",' ) )
				ORDER BY BEGIN_DATE DESC";
 } else {
	 $query = "
				SELECT * from WORK_PLAN where (".$RANGE_STR." and (".$DATE_STR ."))
				AND OPTIONSTATE!='0'
				AND (
					(TO_ID='ALL_DEPT')
					OR ((TO_ID LIKE '%,".$_SESSION['LOGIN_DEPT_ID'].",%') OR LEFT(TO_ID,".(strlen($_SESSION['LOGIN_DEPT_ID'])+1).")='".$_SESSION['LOGIN_DEPT_ID'].",' )
					OR ((MANAGER LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(MANAGER,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",' )
					OR ((PARTICIPATOR LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(PARTICIPATOR,".(strlen($_SESSION['LOGIN_USER_ID'])+1).")='".$_SESSION['LOGIN_USER_ID'].",' ) )
				ORDER BY BEGIN_DATE DESC";
 }

 $query  = page($query,5);
 $cursor = exequery($connection,$query);
 while($ROW = mysql_fetch_array($cursor))
 {
    $PLAN_COUNT++;
	$PLAN_ID         = $ROW["PLAN_ID"];
    $NAME            = $ROW["NAME"];
    $BEGIN_DATE      = $ROW["BEGIN_DATE"];
    $END_DATE        = $ROW["END_DATE"];
	$BEGIN_TIME      = substr($ROW["BEGIN_TIME"],0,5);
	$END_TIME        = substr($ROW["END_TIME"],0,5);
    $TYPE            = $ROW["TYPE"];
    $TO_ID           = $ROW["TO_ID"];					//Χţ
    $MANAGER         = $ROW["MANAGER"];				//
    $ATTACHMENT_ID   = $ROW["ATTACHMENT_ID"];
    $ATTACHMENT_NAME = $ROW["ATTACHMENT_NAME"];
	$participator	 = $ROW["PARTICIPATOR"];	//
	$OPTIONSTATE     = $ROW["OPTIONSTATE"];

	$sqlNew	= "select DEPT_ID from user where USER_ID='" . $_SESSION['LOGIN_USER_ID'] . "'";
	$csNew	= exequery($connection, $sqlNew);
	if ($rNew = mysql_fetch_row($csNew)) {
		$dept_idNew	= $rNew[0];
	}

    if (isset($TYPE)&&trim($TYPE)!=null) {
		$query  = "SELECT * from PLAN_TYPE where TYPE_ID=".$TYPE."";
		$cursor1= exequery($connection,$query);
		if($ROW1=mysql_fetch_array($cursor1))
		   $TYPE_DESC=$ROW1["TYPE_NAME"];
   }
   if($TO_ID=="ALL_DEPT")
	   $TO_NAME = $_lang["calendar_plan_all_dept"];
   else	{
	  $TO_NAME  = "";
	  $TOK      = strtok($TO_ID,",");
	  while($TOK!="") {
		if($TO_NAME!="")
		    $TO_NAME.="，";
			$query1  = "SELECT * FROM department WHERE DEPT_ID=$TOK";
			$cursor1 = exequery($connection,$query1);
			if($ROW=mysql_fetch_array($cursor1))
			   $TO_NAME.=$ROW["DEPT_NAME"];
			$TOK=strtok(",");
		  }
		}

    $MANAGE_NAME = "";
    $TOK         = strtok($MANAGER,",");
    while($TOK!="")
    {
      if($MANAGE_NAME!="")
         $MANAGE_NAME.="";
      $query1  = "SELECT * FROM user WHERE USER_ID='$TOK'";
      $cursor1 = exequery($connection,$query1);
      if($ROW1=mysql_fetch_array($cursor1))
      {
         $DEPT_ID   = $ROW1["DEPT_ID"];
         $DEPT_NAME = dept_long_name($DEPT_ID);
         $MANAGE_NAME.="<u title=\"".$_lang["common_dept"]."：".$DEPT_NAME."\" style=\"cursor:hand\">".$ROW1["USER_NAME"]."</u>,";
      }
      $TOK = strtok(",");
    }

   if($BEGIN_DATE>$CUR_DATE && $OPTIONSTATE=='0') {
    	$STATUS      = 1;
    	$STATUS_DESC = $_lang['calendar_plan_vali'];
   }

   if($END_DATE!="0000-00-00") {
	    if($OPTIONSTATE=='1')
	    {
           //已生效
	       $STATUS=2;
		   $STATUS_DESC="<font color='#00AA00'><b>".$_lang["calendar_plan_has_vali"]."</span>";
	    }

	    if($OPTIONSTATE=='2')
        {
			$STATUS=3;
			$STATUS_DESC="<font color='#FF0000'><b>".$_lang["calendar_plan_has_over"]."</span>";
        }
   } else {
    	if($OPTIONSTATE=='1') {
    		$STATUS=2;
    		$STATUS_DESC="<font color='#00AA00'><b>".$_lang["calendar_plan_has_vali"]."</span>";
    	}

    	if($OPTIONSTATE=='2') {
    		$STATUS=3;
        	$STATUS_DESC="<font color='#FF0000'><b>".$_lang["calendar_plan_has_over"]."</span>";
    	}
    }

	if($BEGIN_DATE == "0000-00-00")
		$BEGIN_DATE = "";
	if($BEGIN_TIME == "00:00")
		$BEGIN_TIME = "";
    if($END_DATE == "0000-00-00")
       $END_DATE = "";
	if($END_TIME == "00:00")
		$END_TIME = "";
	?>
    <tr>
      <td title="<?=$NAME?>" style="word-break:break-all"><a href="javascript:plan_detail('<?=$PLAN_ID?>');"><? if(strlen($NAME)>15){echo substrGB($NAME,15,"...");}else{echo $NAME;}?></a></td>
      <td ><?=$BEGIN_DATE." ".$BEGIN_TIME?></td>
      <td ><?=$END_DATE." ".$END_TIME?></td>
      <td title="<?=$TYPE_DESC?>" style="word-break:break-all"><? if(strlen($TYPE_DESC)>10){echo substrGB($TYPE_DESC,10,"...");}else{echo $TYPE_DESC;}?></td>
      <td title="<?=$TO_NAME?>" style="word-break:break-all"><? if(strlen($TO_NAME)>15){echo substrGB($TO_NAME,15,"...");}else{echo $TO_NAME;}?></td>
      <td style="word-break:break-all"><?=$MANAGE_NAME?></td>
      <td ><?=$STATUS_DESC?></td>
    </tr>
 <?
 }
?>
</table>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="83%" align="right"><? disp('&RANGE='.$_REQUEST['RANGE'].'&DATE='.$_REQUEST['DATE']);?></td>
  </tr>
</table>
</body>
</html>
