<?
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      计划查询结果页
 * @encoding      $_lang['encoding']
 * @name          general/work_plan/show/query/query.php
 * @version       13
 * @author        www.weaver.com.cn
 * @date          2012-10-26
 * @modify        liuqingyu
*/
include_once("inc/auth.php");
include_once("inc/check_type.php");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
includelangpak("calendar");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$_lang["calendar_plan"]?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$_lang['encoding']?>">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script>
function plan_detail(PLAN_ID)
{
    URL="../plan_detail.php?PLAN_ID="+PLAN_ID;
    myleft=(screen.availWidth-500)/2;
    window.open(URL,"read_work_plan","height=400,width=500,status=1,toolbar=no,menubar=no,location=no,scrollbars=yes,top=150,left="+myleft+",resizable=yes");
}

var menu_id=0;
function setPointer(theRow, thePointerColor,menu_id_over)
{
     if(menu_id!=menu_id_over)
     theRow.bgColor = thePointerColor;
}

//今日计划
function view_menu1()
{
     location="../work_plan.php?DATE=1";
     menu_id=1;
}

//本周计划
function view_menu2()
{
   location="../work_plan.php?DATE=2";
   menu_id=2;

}

//本月计划
function view_menu3()
{
   location="../work_plan.php?DATE=3";
   menu_id=3;

}

//计划查询
function view_menu4()
{
   location="../query";
   menu_id=4;

}

$(document).ready(function() {
	$(".pubtable").LazyBeautifyTable();
	$(".button").LazyBeautifyButton();
})
</script>
</head>
<body>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td class="page-title"><?=$_lang["calendar_plan"]?></td>
		<td align="right">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<a class="button" href="../query/index.php">
                            <span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif" border="0" align="absmiddle"> <?=$_lang["common_back"]?></span>
                        </a>
					</td>
				</tr>
			</table>
		<? pageHeadItem("plan",1,1,1,1) ?>
		</td>
	</tr>
	<tr>
		<td colspan="2">
        	<div class='bg-split' style="margin-bottom:5px; margin-top:5px;"></div>
        </td>
	</tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr height="10">
		<td width="10" class="tablecornertopleft10"></td>
		<td class="tablecornertopcenter10"></td>
		<td width="10" class="tablecornertoprightt10"></td>
	</tr>
	<tr>
		<td width="10" class="tablecornermiddleleft"></td>
		<td class="tablecornermiddlecenter" valign="top">
			<?
			 $MANAGER	 = $SECRET_TO_ID;
			 $PARTICIPATOR=$COPY_TO_ID;

			 $CONDITION_STR="";
			 if($NAME!="")
				$CONDITION_STR.="NAME LIKE '%".SecurityFilter($NAME)."%'";
			 if($CONTENT!="")
			 {
				if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="CONTENT LIKE '%".SecurityFilter($CONTENT)."%'";
			 }
			 if($BEGIN_DATE!="")
			 {
			   if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="BEGIN_DATE >= '".SecurityFilter($BEGIN_DATE)."'";
			 }
			 if($END_DATE!="")
			 {
			   if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="END_DATE <= '".SecurityFilter($END_DATE)."' AND END_DATE!='0000-00-00'";
			 }
			 if($TYPE!="")
			 {
			   if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="TYPE LIKE '%".SecurityFilter($TYPE)."%'";
			 }
			 if($TO_ID!="")
			 {
			   if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="TO_ID LIKE '%".SecurityFilter($TO_ID)."%'";
			 }
			 if($MANAGER!="")
			 {
			   if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="MANAGER LIKE '%".SecurityFilter($MANAGER)."%'";
			 }
			 if($PARTICIPATOR!="")
			 {
			   if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="PARTICIPATOR LIKE '%".SecurityFilter($PARTICIPATOR)."%'";
			 }
			 if($REMARK!="")
			 {
			   if($CONDITION_STR!="")
				   $CONDITION_STR.=" AND ";
				$CONDITION_STR.="REMARK LIKE '%".SecurityFilter($REMARK)."%'";
			 }

			 $query = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($LOGIN_USER_ID)."'";
			 $cursor= exequery($connection,$query);
			 if($ROW=mysql_fetch_array($cursor))
				$POST_PRIV=$ROW["POST_PRIV"];

			 if($LOGIN_USER_PRIV=="1" || $POST_PRIV=="1")
			 {
				if($CONDITION_STR!="")
				   $CONDITION_STR=" WHERE ".$CONDITION_STR;
				else
				   $CONDITION_STR="";
			 }
			 else
			 {
				if($CONDITION_STR!="")
				   $CONDITION_STR=" where (1) and ".$CONDITION_STR;
				else
				   $CONDITION_STR=" where (1)";
			 }

			 $query  = "SELECT count(*) FROM work_plan".$CONDITION_STR;
			 $cursor = exequery($connection,$query);
			 $WORK_PLAN_COUNT = 0;
			 if($ROW=mysql_fetch_array($cursor)) {
				$WORK_PLAN_COUNT = $ROW[0];
			 }

			 if($WORK_PLAN_COUNT==0)
			 {
				 Message("",$_lang["calendar_plan_no"]);
			 } else {

			//属于自己的计划数量判断
			$sql_num = "SELECT count(*) FROM work_plan ".$CONDITION_STR."
                                AND (
                                (TO_ID='ALL_DEPT')
                                OR ((TO_ID LIKE '%,".$_SESSION['LOGIN_DEPT_ID'].",%') OR LEFT(TO_ID,".strlen($_SESSION['LOGIN_DEPT_ID']).")='".$_SESSION['LOGIN_DEPT_ID']."' )
                                OR ((MANAGER LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(MANAGER,".strlen($_SESSION['LOGIN_USER_ID']).")='".$_SESSION['LOGIN_USER_ID']."' )
                                OR ((PARTICIPATOR LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%') OR LEFT(PARTICIPATOR,".strlen($_SESSION['LOGIN_USER_ID']).")='".$_SESSION['LOGIN_USER_ID']."' ) )
                                ";
            $cursor_num = exequery($connection,$sql_num);
			if($row_num = mysql_fetch_array($cursor_num))
			{
				$show_num = $row_num[0];
			}
			if($show_num==0 || $WORK_PLAN_COUNT==0)
			{
				Message("",$_lang["calendar_no_result"]);
				echo "</td><td width=\"10\" class=\"tablecornermiddleright\" ></td></tr><tr height=\"10\"><td width=\"10\" class=\"tablecornerbottomleft\"></td><td class=\"tablecornerbottomcenter\"></td><td width=\"10\" class=\"tablecornerbottomright\" ></td></tr></table>";
                exit;
			}

			?>
             <table border="0" cellspacing="0" width="100%" class="pubtable" cellpadding="0">
             <thead>
              <tr>
                  <td width="120px"><?=$_lang["calendar_plan_name"]?></td>
                  <td width="110px" nowrap="nowrap"><?=$_lang["calendar_plan_begin_time"]?></td>
                  <td width="110px" nowrap="nowrap"><?=$_lang["calendar_plan_end_time"]?></td>
                  <td width="*" style="word-break:break-all"><?=$_lang["calendar_plan_duty_man"]?></td>
                  <td width="150px"><?=$_lang["calendar_plan_att"]?></td>
                  <td width="80px" nowrap="nowrap"><?=$_lang["calendar_plan_status"]?></td>
                </tr>
             </thead>
            <?
             $CUR_DATE = date("Y-m-d",time());
             $CUR_TIME = date("H:i",time());
             $query = "SELECT * FROM work_plan ".$CONDITION_STR."
                           AND ((TO_ID='ALL_DEPT')
                                OR ((TO_ID LIKE '%,".$_SESSION['LOGIN_DEPT_ID'].",%')
								OR LEFT(TO_ID,".strlen($_SESSION['LOGIN_DEPT_ID']).")='".$_SESSION['LOGIN_DEPT_ID']."' )
                                OR ((MANAGER LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%')
								OR LEFT(MANAGER,".strlen($_SESSION['LOGIN_USER_ID']).")='".$_SESSION['LOGIN_USER_ID']."' )
                                OR ((PARTICIPATOR LIKE '%,".$_SESSION['LOGIN_USER_ID'].",%')
								OR LEFT(PARTICIPATOR,".strlen($_SESSION['LOGIN_USER_ID']).")='".$_SESSION['LOGIN_USER_ID']."')) ORDER BY PLAN_ID DESC";
             $query  = page($query,15);
             $cursor = exequery($connection,$query);
             $WORK_PLAN_COUNT = 0;
             while($ROW = mysql_fetch_array($cursor))
             {
                $WORK_PLAN_COUNT++;
                $PLAN_ID         = $ROW["PLAN_ID"];
                $NAME            = $ROW["NAME"];
                $BEGIN_DATE      = $ROW["BEGIN_DATE"];
                $END_DATE        = $ROW["END_DATE"];
                $BEGIN_TIME      = substr($ROW["BEGIN_TIME"],0,5);
                $END_TIME        = substr($ROW["END_TIME"],0,5);
                $TYPE            = $ROW["TYPE"];
                $TO_ID           = $ROW["TO_ID"];
                $MANAGER         = $ROW["MANAGER"];
                $ATTACHMENT_ID   = $ROW["ATTACHMENT_ID"];
                $ATTACHMENT_NAME = $ROW["ATTACHMENT_NAME"];
                $OPTIONSTATE     = $ROW["OPTIONSTATE"];
                $participator	 = $ROW["PARTICIPATOR"];
                $sqlNew	         = "SELECT DEPT_ID FROM user WHERE USER_ID='".$_SESSION['LOGIN_USER_ID']."'";
                $csNew		     = exequery($connection, $sqlNew);
                if ($rNew = mysql_fetch_row($csNew)) {
                    $dept_idNew	= $rNew[0];
                }

                if (isset($TYPE)&&trim($TYPE)!=null) {
                    $query   = "SELECT * FROM plan_type WHERE TYPE_ID=$TYPE";
                    $cursor1 = exequery($connection,$query);
                    if($ROW1=mysql_fetch_array($cursor1))
                       $TYPE_DESC=$ROW1["TYPE_NAME"];

                    if($TO_ID=="ALL_DEPT")
                       $TO_NAME=$_lang['calendar_plan_all_dept'];
                    else
                    {
                        $TO_NAME = "";
                        $TOK     = strtok($TO_ID,",");
                        while($TOK!="")
                        {
                            if($TO_NAME!="")
                               $TO_NAME.="��";
                            $query1  ="SELECT * FROM department WHERE DEPT_ID=".SecurityFilter($TOK);
                            $cursor1 = exequery($connection,$query1);
                            if($ROW=mysql_fetch_array($cursor1))
                                $TO_NAME.=$ROW["DEPT_NAME"];
                            $TOK = strtok(",");
                        }
                    }
                }
                $MANAGE_NAME = "";
                $TOK         = strtok($MANAGER,",");
                $i = 0;
                while($TOK!="")
                {
                    if($MANAGE_NAME!="")
                        $MANAGE_NAME.="";
                    $query1  = "SELECT * FROM user WHERE USER_ID='".SecurityFilter($TOK)."'";
                    $cursor1 = exequery($connection,$query1);
                    if($ROW1=mysql_fetch_array($cursor1))
                    {
                        $DEPT_ID   = $ROW1["DEPT_ID"];
                        $DEPT_NAME = dept_long_name($DEPT_ID);
                        $MANAGE_NAME.="<u title=\"".$_lang["common_dept"]."".$DEPT_NAME."\" style=\"cursor:hand\">".$ROW1["USER_NAME"]."</u>,";
                    }
                    $TOK = strtok(",");
                }
                $MANAGE_NAME = substr($MANAGE_NAME,0,-1);
                if(strlen($TO_NAME)>20)
                   $TO_NAME = csubstr($TO_NAME,0,20)."...";

                if($OPTIONSTATE=='0') {
                    //待生效
                    $STATUS = 1;
                    $STATUS_DESC = $_lang['calendar_plan_vali'];
                }
                if($END_DATE!="0000-00-00") {
                    if($OPTIONSTATE=='1')
                    {
                        //已生效
                        $STATUS = 2;
                        $STATUS_DESC = "<font color='#00AA00'><b>".$_lang["calendar_plan_has_vali"]."</span>";
                    }

                    if($OPTIONSTATE=='2')
                    {
                        //已终止
                        $STATUS = 3;
                        $STATUS_DESC = "<font color='#FF0000'><b>".$_lang["calendar_plan_has_over"]."</span>";
                    }
                } else {
                    if($OPTIONSTATE=='1') {
                        $STATUS = 2;
                        $STATUS_DESC = "<font color='#00AA00'><b>".$_lang["calendar_plan_has_vali"]."</span>";
                    }
                    if($OPTIONSTATE=='2') {
                        $STATUS = 3;
                        $STATUS_DESC = "<font color='#FF0000'><b>".$_lang["calendar_plan_has_over"]."</span>";
                    }
                }

                if($BEGIN_DATE == "0000-00-00")
                    $BEGIN_DATE = "";
                if($BEGIN_TIME == "00:00")
                    $BEGIN_TIME = "";
                if($END_DATE == "0000-00-00")
                   $END_DATE = "";
                if($END_TIME == "00:00")
                    $END_TIME = "";
                ?>
                <tr >
                  <td title='<?=$NAME?>'><a href="javascript:plan_detail('<?=$PLAN_ID?>');"><? echo strlen($NAME) <= 15 ? $NAME : (substr($NAME, 0, 15) . chr(0) . '...');?></a></td>
                  <td><?=$BEGIN_DATE." ".$BEGIN_TIME?></td>
                  <td><?=$END_DATE." ".$END_TIME?></td>
                  <td style="word-break:break-all"><?=$MANAGE_NAME?></td>
                  <td>
                  <?
                  if($ATTACHMENT_NAME=="")
                     echo $_lang["calendar_plan_att_no"];
                  else
                  {
                     $ATTACHMENT_ID_ARRAY   = explode(",",$ATTACHMENT_ID);
                     $ATTACHMENT_NAME_ARRAY = explode("*",$ATTACHMENT_NAME);
                     $ARRAY_COUNT           = sizeof($ATTACHMENT_ID_ARRAY);
                     for($I=0;$I<$ARRAY_COUNT;$I++)
                     {
                        if($ATTACHMENT_ID_ARRAY[$I]=="")
                           break;
                       $ATTACH_SIZE = attach_size($ATTACHMENT_ID_ARRAY[$I],$ATTACHMENT_NAME_ARRAY[$I]);
                       $ATTACH_SIZE = number_format($ATTACH_SIZE,0, ".",",");
                    ?>
                   <img src="/images/email_atta.gif"><a href="/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>"><?=$ATTACHMENT_NAME_ARRAY[$I]?></a>
                        <?
                        if(stristr($ATTACHMENT_NAME_ARRAY[$I],".doc")||stristr($ATTACHMENT_NAME_ARRAY[$I],".ppt")||stristr($ATTACHMENT_NAME_ARRAY[$I],".xls")) {
                     ?>
                     <a class="dbbutton"
                     onClick="window.open('/iWebOffice/DocumentEdit.php?RecordID=<?=$CONTENT_ID?>&EditType=0&UserName=<?=$_SESSION["LOGIN_USER_ID"]?>;&ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');"><?=$_lang["common_read"]?></a>&nbsp;
                        <?
                       } else {
                            if(isPicOfFile($ATTACHMENT_NAME_ARRAY[$I])) {
                    ?>
                    <a class="dbbutton" onClick="window.open('/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&action=play&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>','_blank')"><?=$_lang["common_view"]?></a>
                            <?
                            } if(getFilesuffix($ATTACHMENT_NAME_ARRAY[$I]) == 'pdf') {
                            ?>
                            <a class="dbbutton" onClick="window.open('/inc/attach.php?ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&action=play&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>','_blank')"><?=$_lang["common_read"]?></a>
                            <?
                            }
                        }
                        ?>
                            <a class="dbbutton" onClick="window.open('/inc/attach.php?&OP=1&ATTACHMENT_ID=<?=$ATTACHMENT_ID_ARRAY[$I]*3+2?>&action=play&ATTACHMENT_NAME=<?=urlencode($ATTACHMENT_NAME_ARRAY[$I])?>','_blank')"><?=$_lang["common_download"]?></a>
                        <?
                        echo "</br>";
                       }
                    }
                    ?>
                  </td>
                  <td nowrap><?=$STATUS_DESC?></td>
                </tr>
            <?
            }
            ?>
            </table>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr >
                <td width="83%" align="right"><? disp('&BEGIN_DATE='.$_REQUEST['BEGIN_DATE'].'&END_DATE='.$_REQUEST['END_DATE'].'&NAME='.$_REQUEST['NAME'].'&CONTENT='.$_REQUEST['CONTENT'].'&TYPE='.$_REQUEST['TYPE'].'&MANAGER='.$_REQUEST['MANAGER'].'&PARTICIPATOR='.$_REQUEST['PARTICIPATOR'].'&REMARK='.$_REQUEST['REMARK']);?></td>
              </tr>
            </table>
			<?
			 }
			?>
		</td>
		<td width="10" class="tablecornermiddleright" ></td>
	</tr>
	<tr height="10">
		<td width="10" class="tablecornerbottomleft"></td>
		<td class="tablecornerbottomcenter"></td>
		<td width="10" class="tablecornerbottomright" ></td>
	</tr>
</table>
</body>
</html>
