<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程委托处理页
* @encoding      $_lang['encoding']
* @name          general/workflow/flow_agency/do.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2013-12-25
*/
include_once ("inc/auth.php");
include_once ("api/workflow.list.class.php");
include_once ("inc/function_flow.php");
include_once ("inc/function_usergeneral.php");
include_once ("inc/utility_all.php");
include_once ("inc/coop_func/fun_coop.php");
includelangpak("flow");
$op = $_REQUEST["op"];
$cur_time = date("Y-m-d H:i:s",time());
//file_put_contents("D://11111.txt", $_REQUEST["lazySearch"]);
switch ($op) {
	//并没有用到lazyList
	case 'list' :
		$customParam = "";
		$valType     = "";
		$listType    = $_REQUEST["listType"];
		//查询内容
		$lazySearch = $_REQUEST["lazySearch"];
		if($lazySearch)
		{
			$customParam = " AND ft.FLOW_NAME like '%".$lazySearch."%' ";
			$valType = "1";
		}
		$flow_id = "";
		$quickSortParam = "";
		$sortField = "";
		$sortType = "";
		$offset = "0";
		$rows = "15";
        $type = array(
			"TYPE" => $listType,
            "CONSTAINLIST" => "1"
		);
		$search = array(
			"USER_ID" => $LOGIN_USER_ID,
			"FLOW_ID" => $flow_id,
			"QUICKSORTPARAM" => $quickSortParam,
			"CUSTOMPARAM" => $customParam
		);
		$page = array(
			"PAGINATIONOFFSET" => $offset,
			"PAGINATIONROWS" => $rows,
			"SORTFIELD" => $sortField,
			"SORTTYPE" => $sortType
		);
		$other = array("");
		$list = new listItem($type, $search, $page, $other);
		$flowSortList = $list -> getSortList();
		$flowSortListJson = getFormatForSortList($flowSortList,$valType);
//		echo "<pre>";
//		print_r($flowSortListJson);exit();
		echo json_encode($flowSortListJson);

		break;
	case 'table' :
		$readType = $_REQUEST["readType"];
		$flow_id  = $_REQUEST["flowId"];
		$listType = $_REQUEST["listType"];
		$agencyType = $_REQUEST["agencyType"];
		$fieldSearchVal = $_REQUEST["fieldSearchVal"];
		$advancedSearchData = $_REQUEST["advancedSearchData"];
		//分类筛选参数
		switch ($readType){
			//全部
			case 'all' :
				$customParam = "";
			break;
			//有效
			case 'valid' :
				$customParam = " AND (ad.END_TIME = '0000-00-00 00:00:00' OR (UNIX_TIMESTAMP(ad.START_TIME) < UNIX_TIMESTAMP() AND UNIX_TIMESTAMP() < UNIX_TIMESTAMP(ad.END_TIME))) ";
			break;
			//过期
			case 'past' :
				$customParam = " AND (ad.END_TIME != '0000-00-00 00:00:00' AND (UNIX_TIMESTAMP(ad.START_TIME) > UNIX_TIMESTAMP() OR UNIX_TIMESTAMP() > UNIX_TIMESTAMP(ad.END_TIME))) ";
			break;
			//流程名称字段查询
			case 'FLOW_NAME' :
				$customParam = " AND ft.FLOW_NAME LIKE '%".$fieldSearchVal."%' ";
			break;
			//流程标题字段查询
			case 'RUN_NAME' :
				$customParam = " AND fr.RUN_NAME LIKE '%".$fieldSearchVal."%' ";
			break;
			default :
				$customParam = "";
		}
		//高级查询参数
		if($advancedSearchData)
		{
			$advancedSearchParam = "";
			//流程分类
			if($advancedSearchData["flowType"])
			{
				$advancedSearchParam .= " AND fs.TITLE like '%".$advancedSearchData["flowType"]."%'";
			}
			//流程名称
			if($advancedSearchData["flowName"])
			{
				$advancedSearchParam .= " AND ft.FLOW_NAME like '%".$advancedSearchData["flowName"]."%'";
			}
			//开始时间
			if($advancedSearchData["agencyDateStart"])
			{
				$advancedSearchParam .= " AND ad.START_TIME > '".$advancedSearchData["agencyDateStart"]."'";
			}
			//结束时间
			if($advancedSearchData["agencyDateEnd"])
			{
				$advancedSearchParam .= " AND ad.END_TIME < '".$advancedSearchData["agencyDateEnd"]."'";
			}
			//受委托人
			if($advancedSearchData["agencyUser"])
			{
				$advanceAgencyUser = $advancedSearchData["agencyUser"];
				$advanceAgencyUser = trim($advanceAgencyUser,",");
				$advanceAgencyUser = "'".str_replace(",","','",$advanceAgencyUser)."'";
				$advancedSearchParam .= " AND ad.USER_ID in( ".$advanceAgencyUser.") ";
			}
			//受委托人部门
			if($advancedSearchData["agencyDept"])
			{
				$advanceAgencyDept = $advancedSearchData["agencyDept"];
				$advanceAgencyDept = trim($advanceAgencyDept,",");
				$advanceAgencyDept = "'".str_replace(",","','",$advanceAgencyDept)."'";
				$advancedSearchParam .= " AND ad.DEPT_ID in( ".$advanceAgencyDept.") ";
			}
			//委托人
			if($advancedSearchData["byAgencyUser"])
			{
				$advanceByAgencyUser = $advancedSearchData["byAgencyUser"];
				$advanceByAgencyUser = trim($advanceByAgencyUser,",");
				$advanceByAgencyUser = "'".str_replace(",","','",$advanceByAgencyUser)."'";
				$advancedSearchParam .= " AND ad.USER_ID1 in( ".$advanceByAgencyUser.") ";
			}
			//委托人部门
			if($advancedSearchData["byAgencyDept"])
			{
				$advanceByAgencyDept = $advancedSearchData["byAgencyDept"];
				$advanceByAgencyDept = trim($advanceByAgencyDept,",");
				$advanceByAgencyDept = "'".str_replace(",","','",$advanceByAgencyDept)."'";
				$advancedSearchParam .= " AND ad.DEPT_ID1 in( ".$advanceByAgencyDept.") ";
			}
			//下面的是委托记录的高级查询
			//标题
			if($advancedSearchData["flowTitle"])
			{
				$advancedSearchParam .= " AND fr.RUN_NAME like '%".$advancedSearchData["flowTitle"]."%'";
			}
			//流水号
			if($advancedSearchData["flowSeq"])
			{
				$advancedSearchParam .= " AND fr.RUN_SEQ like '%".$advancedSearchData["flowSeq"]."%'";
			}
			//委托记录受委托人
			if($advancedSearchData["agencyUserRecord"])
			{
				$advanceAgencyUser = $advancedSearchData["agencyUserRecord"];
				$advanceAgencyUser = trim($advanceAgencyUser,",");
				$advanceAgencyUser = "'".str_replace(",","','",$advanceAgencyUser)."'";
				$advancedSearchParam .= " AND frp.USER_ID in( ".$advanceAgencyUser.") ";
			}
			//委托记录受委托人部门
			if($advancedSearchData["agencyDeptRecord"])
			{
				$advanceAgencyDept = $advancedSearchData["agencyDeptRecord"];
				$advanceAgencyDept = trim($advanceAgencyDept,",");
				$advanceAgencyDept = "'".str_replace(",","','",$advanceAgencyDept)."'";
				$advancedSearchParam .= " AND dp.DEPT_ID in( ".$advanceAgencyDept.") ";
			}
			//委托记录委托人
			if($advancedSearchData["byAgencyUserRecord"])
			{
				$advanceByAgencyUser = $advancedSearchData["byAgencyUserRecord"];
				$advanceByAgencyUser = trim($advanceByAgencyUser,",");
				$advanceByAgencyUser = "'".str_replace(",","','",$advanceByAgencyUser)."'";
				$advancedSearchParam .= " AND frp.BY_AGENT_ID in( ".$advanceByAgencyUser.") ";
			}
			//委托记录委托人部门
			if($advancedSearchData["byAgencyDeptRecord"])
			{
				$advanceByAgencyDept = $advancedSearchData["byAgencyDeptRecord"];
				$advanceByAgencyDept = trim($advanceByAgencyDept,",");
				$advanceByAgencyDept = "'".str_replace(",","','",$advanceByAgencyDept)."'";
				$advancedSearchParam .= " AND dp.DEPT_ID in( ".$advanceByAgencyDept.") ";
			}
			//紧急程度
			// if($advancedSearchData["instancyType"])
			// {
			// 	$advancedSearchParam .= " AND fr.INSTANCY_TYPE = '".$advancedSearchData["instancyType"]."' ";
			// }
			//流程状态
			// if($advancedSearchData["flowStatus"])
			// {
			// 	$flowStatus = $advancedSearchData["flowStatus"];
			// 	if($flowStatus == "doing")
			// 	{
			// 		$advancedSearchParam .= "
			// 								AND fr.CURRENT_STEP != '0'
			// 								AND
			// 								(
			// 									mfp.SAVEFORM_TIME IS NULL
			// 									OR mfp.PRCS_FLAG = '2'
			// 									OR mfp.PRCS_FLAG = '1'
			// 								)
			// 								 ";
			// 	}
			// 	else if($flowStatus == "haveFinish")
			// 	{
			// 		$advancedSearchParam .= "
			// 								AND fr.CURRENT_STEP = '0'
			// 								AND (
			// 										(mfp.SAVEFORM_TIME IS NOT NULL AND mfp.SAVEFORM_TIME <> '0000-00-00 00:00:00')
			// 										OR
			// 										(mfp.DELIVER_TIME IS NOT NULL AND mfp.DELIVER_TIME <> '0000-00-00 00:00:00')
			// 									 )
			// 								";
			// 	}
			// }
			$customParam .= $advancedSearchParam;
		}
		//增加流程失效的判断--2015-03-23
		if($listType == "flow_agency_record") {
		 	$customParam .= " AND frp.IS_EFFECT = '1'";
		} else if ($listType == "flow_agency") {
			$customParam .= " AND ft.IS_USING = '1'";
		}
		//分页参数_偏移量
		$offset   = $_REQUEST["currentPage"];
		//分页参数_最大数目
		$rows     = $_REQUEST["itemsPerPage"];
		//排序参数
		$sortField = $_REQUEST["sortField"];
		$sortType  = $_REQUEST["sortType"];
		//快速筛选参数
		$quickSortParam = "";
		//拼音检索参数
		$pinYinSearchParam = "";
		$type   = array("TYPE"=>$listType,"CONSTAINLIST"=>"1");
		$search = array("USER_ID"=>$LOGIN_USER_ID,"FLOW_ID"=>$flow_id,"QUICKSORTPARAM"=>$quickSortParam,"CUSTOMPARAM"=>$customParam);
		$page   = array("PAGINATIONOFFSET"=>$offset,"PAGINATIONROWS"=>$rows,"SORTFIELD"=>$sortField,"SORTTYPE"=>$sortType);
		$other  = array("agencyType"=>$agencyType,"getDataType"=>$_REQUEST["getDataType"]);
		if($_REQUEST["getDataType"]) {
			$list = new listItem($type, $search, $page, $other);
			$workflowListRoll = $list -> getList();
			// 调用函数，收回委托规则
			if($workflowListRoll["list"]) {
				rollBackAllFlowAgencyRule($workflowListRoll["list"],$_REQUEST["rollBackAllRunFlowFlag"]);
			}
		} else {
			$list = new listItem($type, $search, $page, $other);
			$workflowList = $list -> getList();
			if($workflowList["list"])
			{
				//格式化一下
				$cur_agen_id  = "";
				$last_agen_id = "";
				$cur_by_agen_id  = "";
				$last_by_agen_id = "";
				foreach($workflowList["list"] as $key => $val){
					$val["RUN_SEQ"]             = html_entity_decode($val["RUN_SEQ"],ENT_QUOTES,"UTF-8");
					$val["RUN_SEQ_ONLY_TEXT"]   = strip_tags($val["RUN_SEQ"]);
					$val["INSTANCY_TYPE_VALUE"] = $val["INSTANCY_TYPE"];
					$val["INSTANCY_TYPE"]       = getInstancyName($val["INSTANCY_TYPE"]);
					//$val["BY_AGENT_NAME"] = getUserNameNew($val['BY_AGENT_ID']);
					$val["STATUS"] = 0;
					if($val["END_TIME"] != "0000-00-00 00:00:00")
					{
						if(strtotime($val["BEGIN_TIME"]) < strtotime($cur_time)&&strtotime($cur_time) < strtotime($val["END_TIME"]))
						{
							$val["STATUS"] = $_lang["flow_valid"];
						}
						else
						{
							$val["STATUS"] = $_lang["flow_over_date"];
						}
					}
					else
					{
						$val["STATUS"] = $_lang["flow_valid"];
					}
					if(!$val["RUN_ID"])
					{
						//只显示一遍委托人
						// $cur_by_agen_id = $val["BY_AGENT_ID"];
						// if($cur_by_agen_id == $last_by_agen_id)
						// {
						// 	$val["BY_AGENT_ID"]   = "";
						// 	$val["BY_AGENT_NAME"] = "";
						// }
						// $last_by_agen_id = $cur_by_agen_id;

						//只显示一遍被委托人
						// $cur_agen_id = $val["AGENT_ID"];
						// if($cur_agen_id == $last_agen_id)
						// {
						// 	$val["AGENT_ID"]   = "";
						// 	$val["AGENT_NAME"] = "";
						// }
						// $last_agen_id = $cur_agen_id;
					}
					if($val["FLOW_TYPE"] == "1")
					{
						$PRCS_NAME = $_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"]."：".$val["PRCS_NAME"];
					}
					else
					{
						$PRCS_NAME=$_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"];
					}
					if($val["CURRENT_STEP"] == 0)
					{
						$PRCS_NAME = $_lang["flow_flow_have_finished"];
					}
					$val["PRCS_NAME"]     = $PRCS_NAME;
					$listNewArr[$key]     = $val;
				}
			}
			else
			{
				$listNewArr = array();
			}
			$workflowList["list"] = $listNewArr;
			echo json_encode($workflowList);
		}
		break;
	case 'tablefilter' :
		$readType = $_REQUEST["readType"];
		$flow_id  = $_REQUEST["flowId"];
		$listType = $_REQUEST["listType"];
		$agencyType = $_REQUEST["agencyType"];
		$fieldSearchVal = $_REQUEST["fieldSearchVal"];
		$advancedSearchData = $_REQUEST["advancedSearchData"];
		//分页参数_偏移量
		$offset   = $_REQUEST["currentPage"];
		//分页参数_最大数目
		$rows     = $_REQUEST["itemsPerPage"];
		//排序参数
		$sortField = $_REQUEST["sortField"];
		$sortType  = $_REQUEST["sortType"];
		//快速筛选(更多筛选)参数
		$quickSortParam = $_REQUEST["quickSortParam"];
		//拼音检索参数
		$pinYinSearchParam = "";
		$type   = array("TYPE"=>$listType,"CONSTAINLIST"=>"0");
		$search = array("USER_ID"=>$LOGIN_USER_ID,"FLOW_ID"=>$flow_id,"QUICKSORTPARAM"=>$quickSortParam,"CUSTOMPARAM"=>$customParam);
		$page   = array("PAGINATIONOFFSET"=>$offset,"PAGINATIONROWS"=>$rows,"SORTFIELD"=>$sortField,"SORTTYPE"=>$sortType);
		$other  = array("agencyType"=>$agencyType);
		//全部
		$search["CUSTOMPARAM"] = "";
		$list = new listItem($type, $search, $page, $other);
		$flowSortList = $list -> getList();
		$allCount = $flowSortList["totalCount"];
		//有效
		$search["CUSTOMPARAM"] = " AND (ad.END_TIME = '0000-00-00 00:00:00' OR (UNIX_TIMESTAMP(ad.START_TIME) < UNIX_TIMESTAMP() AND UNIX_TIMESTAMP() < UNIX_TIMESTAMP(ad.END_TIME))) ";
		$list = new listItem($type, $search, $page, $other);
		$flowSortList = $list -> getList();
		$validCount = $flowSortList["totalCount"];
		//过期
		$search["CUSTOMPARAM"] = " AND (ad.END_TIME != '0000-00-00 00:00:00' AND (UNIX_TIMESTAMP(ad.START_TIME) > UNIX_TIMESTAMP() OR UNIX_TIMESTAMP() > UNIX_TIMESTAMP(ad.END_TIME))) ";
		$list = new listItem($type, $search, $page, $other);
		$flowSortList = $list -> getList();
		$pastCount = $flowSortList["totalCount"];
		//echo "<pre>";print_r($flowSortList);
		$tableFilter = array(
			array(
				"key" => "all",
				"title" => $_lang["common_show_allinfo"],
				"count" => $allCount,
				"isDefault" => true
			),
			array(
				"key" => "valid",
				"title" => $_lang["flow_valid"],
				"count" => $validCount
			),
			array(
				"key" => "past",
				"title" => $_lang["flow_over_date"],
				"count" => $pastCount
			)
		);
		echo json_encode($tableFilter);
		break;
	default :
		break;
}

/**
 * 全部回收流程委托的函数
 *
 * @author dingp
 *
 * @param  [type]                    $list        流程委托规则列表
 * @param  [type]                    $rollRunFlow 是否回收运行中的流程
 *
 * @return [type]                                 [description]
 */
function rollBackAllFlowAgencyRule($list,$rollRunFlow) {
	global $connection;
	$flow_agency_id_array = array();
	foreach ($list as $key => $value) {
		$flow_id        = $value["FLOW_ID"];
		$flow_id_str    = ",".$flow_id.",";
		$flow_agency_id = $value["FLOW_AGENCY_ID"];
		$sql = "UPDATE flow_agency SET FLOW_ID_STR = TRIM(LEADING ',' FROM REPLACE (CONCAT(',',FLOW_ID_STR),'".$flow_id_str."',',')) WHERE FLOW_AGENCY_ID = '".$flow_agency_id."'";
		exequery($connection,$sql);
		// file_put_contents("D:roll_log.txt", $sql.";\r\n",FILE_APPEND);
		if($rollRunFlow == 1) {
			//查找代理人,被代理人,代理的流程
			$sql = "SELECT * FROM flow_agency WHERE FLOW_AGENCY_ID = '".$flow_agency_id."' ";
			$rs  = exequery($connection,$sql);
			$by_agent_id = "";
			$agent_id    = "";
			if($rows = mysql_fetch_array($rs))
			{
				$by_agent_id = $rows["BY_AGENT_ID"];
				$agent_id    = $rows["AGENT_ID"];
			}
			//用于更新语句的条件中的一个变量
			$run_id_sql = "SELECT flow_run_prcs.RUN_ID FROM flow_run_prcs,flow_run WHERE flow_run_prcs.RUN_ID = flow_run.RUN_ID AND flow_run.FLOW_ID = '".$flow_id."' AND flow_run_prcs.USER_ID ='".$agent_id."' AND flow_run_prcs.BY_AGENT_ID ='".$by_agent_id."' AND flow_run_prcs.FLOW_AGENCY_ID = '".$flow_agency_id."'  GROUP BY flow_run_prcs.RUN_ID  ";
			$run_id_rs  = exequery($connection,$run_id_sql);
			$run_id_str = "";
			while($run_id_rows = mysql_fetch_array($run_id_rs))
			{
				$run_id_str   .= $run_id_rows["RUN_ID"].",";
			}
			$run_id_str = trim($run_id_str,",");
			if($run_id_str)
			{
				$update_sql = "UPDATE flow_run_prcs SET USER_ID = '".$by_agent_id."',BY_AGENT_ID = '' WHERE USER_ID = '".$agent_id."' AND BY_AGENT_ID = '".$by_agent_id."' AND (((SAVEFORM_TIME IS NULL AND OP_FLAG=0) OR (PRCS_FLAG='2' AND OP_FLAG=1))OR PRCS_FLAG='1') AND RUN_ID IN ($run_id_str)";
				exequery($connection,$update_sql);
				$deleteSql = "delete from flow_run_step where RUN_ID IN ($run_id_str)";
				exequery($connection,$deleteSql);
				updateFlowRunStepData($run_id_str);
			}
		}
		// 记录FLOW_AGENCY_ID值
		$flow_agency_id_array[] = $flow_agency_id;
	}
	//查询更新过的委托是否还有流程，如果没有，更新它的status值
	$flow_agency_id_array = array_unique($flow_agency_id_array);
	foreach ($flow_agency_id_array as $key_agency => $value_agency) {
		$exist_sql = "SELECT FLOW_ID_STR FROM flow_agency WHERE FLOW_AGENCY_ID = '".$value_agency."'";
		$exist_rs  = exequery($connection,$exist_sql);
		if($exist_rows = mysql_fetch_array($exist_rs))
		{
			if(!$exist_rows["FLOW_ID_STR"])
			{
				$status_sql = "UPDATE flow_agency SET STATUS = 1 WHERE FLOW_AGENCY_ID = '".$value_agency."' ";
				$result     = exequery($connection,$status_sql);
				continue;
			}
		}
	}
}
?>
