<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程抄送
* @encoding      $_lang['encoding']
* @name          general/workflow/flow_copy.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2014-12-09
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("prcs_role.php");
include_once("api/fixedworkflow.class.php");
includelangpak("flow");
if(!run_role($RUN_ID,$PRCS_ID))
{
	Message("",$_lang["flow_not_existed"]);
	exit;
}
$workFlowInstance = new fixedWorkflow($FLOW_ID);
$workFlowInstance->runId   = $RUN_ID;
// $OP_FLAG = $workFlowInstance->isOpFlag($LOGIN_USER_ID,$PRCS_ID);
// if($OP_FLAG)
// {
// 	$turned = $workFlowInstance->haveTurned($PRCS_ID,$LOGIN_USER_ID);
// }
// else
// {
// 	$turned = $workFlowInstance->operatorHaveTurned($PRCS_ID,$LOGIN_USER_ID);
// }
// if($turned)
// {
// 	Message("",$_lang["flow_haveturn_can_not_save"]);
// 	exit;
// }
// 改进，不再判断已提交的情况，都可以抄送
$func_id = 0;
$array   = checkReminds($func_id);
$sms_select     =  $array[0];
$smstel_select  =  $array[1];
$email_select   =  $array[2];
$sms_modify     =  $array[3];
$smstel_modify  =  $array[4];
$email_modify   =  $array[5];
$PAGE_TITLE = $_lang["flow_copy"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/follow.js"></script>
<script type="text/javascript">
$(function(){
	$("#dialogClose").click(function(){
		if($("#byCopyUserName").val() == "") {
			window.parent.flowTrunDialog.dialog("close");
		} else {
			bootbox.confirm("<?=$_lang['flow_make_sure_cancel']?>", function(result) {
				if(result){
					window.parent.flowTrunDialog.dialog("close");
				}
			});
		}
	});
	$(".flowLimitRemindDiv").find('input').iCheck({
		checkboxClass : 'icheckbox_square-blue'
	});
	$.pnotify.defaults.styling = "bootstrap3";
	$.pnotify.defaults.closer = false;
	$.pnotify.defaults.sticker = false;
	$.pnotify.defaults.history = false;
	$.pnotify.defaults.delay = 1000;
	$.pnotify.defaults.addclass = "stack-topleft";
	$.pnotify.defaults.animate_speed = 'fast';
	$.pnotify.defaults.type = "error";
});
function flow_copy(){
	if(($("#byCopyUserId").val() == "" && $("#byBlindCopyUserId").val() == "" && "<?=$OP_FLAG?>" == "1") || ($("#byCopyUserId").val() == "" && "<?=$OP_FLAG?>" != "1"))
	{
		$.pnotify({
			text : "<?=$_lang['flow_please_fill_in'].$_lang['flow_by_copy_user']?>"
		});
		return false;
	}
	else
	{
		$(".flow-copy-submit").attr("disabled","disabled");
		$('#form1').ajaxSubmit({
			success : function(returnData){
				var pnotifyText = "";
				var pnotifyType = "";
				if(returnData == "success") {
					pnotifyText = "<?=$_lang["flow_copy_success"]?>"+"！";
					pnotifyType = "success";
				} else if(returnData == "error") {
					pnotifyText = "<?=$_lang["flow_copy_failed"]?>"+"！";
					pnotifyType = "error";
				} else {
					pnotifyText = returnData;
					pnotifyType = "error";
				}
				$.pnotify({
					text : pnotifyText,
					type : pnotifyType,
					delay : 1000,
					addclass: "stack-topleft",
					styling : "bootstrap3",
					history : false,
					sticker : false,
					closer : false,
					after_close: function(pnotify, timer_hide) {
						if(returnData == "success") {
							window.parent.flowTrunDialog.dialog("close");
						}
					}
				});
			}
		});
	}
}
</script>
<body style="">
<div class="lazy_header">
	<button type="button" id="dialogClose" style="float:right;" class="btn btn-default" title="<?=$_lang["common_cancel"]?>"><?=$_lang["common_cancel"]?>
	</button>
	<button type="button" style="float:right;" onClick="flow_copy();" class="btn btn-primary flow-copy-submit" title="<?=$_lang["flow_copy_to"]?>"><?=$_lang["flow_copy_to"]?>
	</button>
</div>
<form name="form1" id="form1" action="flow_copy_do.php" method="post">
<input type="hidden" name="RUN_ID" id="RUN_ID" value="<?=$RUN_ID?>">
<input type="hidden" name="PRCS_ID" id="PRCS_ID" value="<?=$PRCS_ID?>">
<input type="hidden" name="FLOW_PRCS" id="FLOW_PRCS" value="<?=$FLOW_PRCS?>">
<input type="hidden" name="FLOW_ID" id="FLOW_ID" value="<?=$FLOW_ID?>">
<input type="hidden" name="manageType" id="manageType" value="newFlowCopy">
<table border="0" cellpadding="3" cellspacing="1" class="form_table" style="margin-top:5px;">
	<tr>
		<td class="title" nowrap="nowrap">
			<?=$_lang["flow_by_copy_user"]?>
		</td>
		<td nowrap="nowrap">
			<textarea name="byCopyUserName" id="byCopyUserName" readonly="readonly" class="textarea" rows="5" cols="30" style="width:350px;"></textarea>
			<input type="hidden" name="byCopyUserId" id="byCopyUserId" value="">
			<input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="copyLoadWindowUser('byCopyUserId','byCopyUserName','form1');" />
			<input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-danger" onClick="clearConten('byCopyUserId','byCopyUserName')" title="<?=$_lang["common_empty"]?>" name="button">
		</td>
	</tr>
	<?
	if($OP_FLAG == "1") {
	?>
		<tr>
			<td class="title" nowrap="nowrap">
				<?=$_lang["flow_by_blind_copy_user"]?>
			</td>
			<td nowrap="nowrap">
				<textarea name="byBlindCopyUserName" id="byBlindCopyUserName" readonly="readonly" class="textarea" rows="5" cols="30" style="width:350px;"></textarea>
				<input type="hidden" name="byBlindCopyUserId" id="byBlindCopyUserId" value="">
				<input type="button" value="<?=$_lang["common_choose"]?>" class="btn btn-primary" onClick="copyLoadWindowUser('byBlindCopyUserId','byBlindCopyUserName','form1');" />
				<input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-danger" onClick="clearConten('byBlindCopyUserId','byBlindCopyUserName')" title="<?=$_lang["common_empty"]?>" name="button">
			</td>
		</tr>
	<?
	}
	?>
	<tr>
		<td class="title" nowrap>
			<?
			if($sms_modify == 1 || $email_modify == 1 || (ifSendMbSms() && $smstel_modify == 1))
			{
			?>
				<div class="tableTrForFreeStopTitleTd"><?=$_lang["flow_remind_type"]?></div>
			<?
			}
			?>
		</td>
		<td>
			<div style="float:left;border:0px red solid;" class="flowLimitRemindDiv">
			<?
			if($sms_modify!='1')
			{
				if($sms_select)
				{
				?>
					<input type="hidden" name="SMS_REMIND" id="SMS_REMIND" value="1"/>
				<?
				}
			}
			else
			{
			?>
				<div style="float:left;">
					<input type="checkbox" class="checkbox" name="SMS_REMIND" id="SMS_REMIND"  value="1" <? if($sms_select == '1') {echo "checked"." ";}?>>&nbsp;<?=$_lang["flow_smsalerts"]?>
				</div>
			<?
			}
			if($email_modify!='1')
			{
				if($email_select=='1')
				{
				?>
					<input type="hidden" name="EMAIL_REMIND" id="EMAIL_REMIND" value="1"/>
				<?
				}
			}
			else
			{
			?>
				<div style="float:left;margin-left:5px;">
					<input type="checkbox" class="checkbox" name="EMAIL_REMIND"  id="EMAIL_REMIND" value="1" <? if($email_select == '1') {echo "checked"." ";}?>>&nbsp;<?=$_lang["flow_emailalerts"]?>
				</div>
			<?
			}
			if(ifSendMbSms())
			{
				if($smstel_modify!='1')
				{
					if($smstel_select=='1')
					{
					?>
						<input type="hidden" name="MOBILE_SMS_REMIND" id="MOBILE_SMS_REMIND" value="1"/>
					<?
					}
				}
				else
				{
				?>
					<div style="float:left;margin-left:5px;">
						<input type="checkbox" class="checkbox" name="MOBILE_SMS_REMIND" id="MOBILE_SMS_REMIND"  value="1" <? if($smstel_select == '1') {echo "checked";}?>>&nbsp;<?=$_lang["flow_phonesmsalerts"]?>
					</div>
				<?
				}
			}
			?>
			</div>
		</td>
	</tr>
</table>
</form>
</body>
</html>
