<?php
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程抄送处理页面
* @encoding      $_lang['encoding']
* @name          general/workflow/flow_copy_do.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2014-12-09
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("prcs_role.php");
includelangpak("flow");
include_once("inc/function_flow.php");
include_once("inc/mobile_sms.inc.php");
include_once("api/email.class.php");
include_once("api/workflow.class.php");
include_once("general/workflow/flow_agency/function_agent.php");
$manageType = $_REQUEST["manageType"];
switch ($manageType){
    //新建抄送数据处理
    case "newFlowCopy":
        if(!run_role($RUN_ID,$PRCS_ID))
        {
            //Message("",$_lang["flow_not_existed"]);
            echo $_lang["flow_not_existed"];
            exit;
        }
        $workFlowInstance        = new workflow($FLOW_ID);
        $workFlowInstance->runId = $RUN_ID;
        //被抄送人
        $byCopyUserId = $_REQUEST["byCopyUserId"];
        //被密送人
        // $byBlindCopyUserId = $_REQUEST["byBlindCopyUserId"];
        //抄送参数
        $para              = array();
        $para["RUN_ID"]    = $RUN_ID;
        $para["COPY_USER"] = $LOGIN_USER_ID;
        $para["FLOW_ID"]   = $FLOW_ID;
        $para["PRCS_ID"]   = $PRCS_ID;
        //短信提醒，内容生成，参数相关
        $runInfoSql = "SELECT * FROM flow_run WHERE RUN_ID = '".SecurityFilter($RUN_ID)."'";
        $rs         = exequery($connection,$runInfoSql);
        if($rows    = mysql_fetch_array($rs))
        {
            $runName = $rows["RUN_NAME"];
            $linkDoc = $rows["LINK_DOC"];
        }
        $SMS_CONTENT = $_lang["flow_copy_sms_content"].$runName;
        $tablename   = "flow_run";
        $TABLE_ID    = $RUN_ID;
        $TABLE_VAR   = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|".$FLOW_ID.",".$RUN_ID.",$PRCS_ID,$FLOW_PRCS,";

        if($byCopyUserId) {
            $USER_ID_STRING = "";
            foreach(explode(",",trim($byCopyUserId,",")) as $key => $val) {
                $para["BY_USER_ID"] = $val;
                $para["COPY_TYPE"]  = "1";
                $flowCopyId = $workFlowInstance->newFlowCopy($para);
                if($flowCopyId) {
                    $USER_ID = $val;
                    $USER_ID_STRING .= $val . ",";

                    if($_REQUEST['EMAIL_REMIND']=='1')
                    {
                        if(ifSendMbSms('email'))
                        {
                            $email = new email();
                            $email->sendEmail($LOGIN_USER_ID,$USER_ID,$USER_ID,$_lang["flow_copy_deal_email_remind"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
                        }
                    }
                    //增加，被抄送人的文档权限
                    if(trim($linkDoc,","))
                    {
                        addDocViewPur($linkDoc,$val,$RUN_ID);
                    }
                    //增加子流程查看权限
                    addViewUser($RUN_ID);
                }
            }
            $USER_ID_STRING = substr($USER_ID_STRING, 0, -1);
            // 发送内部消息
            if($_REQUEST['SMS_REMIND']=='1'){
                if(ifSendMbSms('message')){
                    $TABLE_VAR .= '|copy';
                    sendSms($LOGIN_USER_ID,$USER_ID_STRING,$SMS_CONTENT,1,7,$tablename,$TABLE_ID,$TABLE_VAR);
                }
            }
            if($_REQUEST['MOBILE_SMS_REMIND']=='1'){
                if(ifSendMbSms()){
                    $newSms = new MobileSms();
                    $newSms->SelfSendMore($USER_ID_STRING,$SMS_CONTENT);
                }
            }
        }
        // if($byBlindCopyUserId) {
        //     $USER_ID_STRING = "";
        //     foreach(explode(",",trim($byBlindCopyUserId,",")) as $key1 => $val1) {
        //         $para["BY_USER_ID"] = $val1;
        //         $para["COPY_TYPE"]  = "2";
        //         $flowCopyId = $workFlowInstance->newFlowCopy($para);
        //         if($flowCopyId) {
        //             $USER_ID = $val1;
        //             $USER_ID_STRING .= $val1 . ",";

        //             if($_REQUEST['EMAIL_REMIND']=='1')
        //             {
        //                 if(ifSendMbSms('email'))
        //                 {
        //                     $email = new email();
        //                     $email->sendEmail($LOGIN_USER_ID,$USER_ID,$USER_ID,$_lang["flow_copy_deal_email_remind"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
        //                 }
        //             }
        //             //增加，被抄送人的文档权限
        //             if(trim($linkDoc,","))
        //             {
        //                 addDocViewPur($linkDoc,$copyUser,$RUN_ID);
        //             }
        //             //增加子流程查看权限
        //             addViewUser($RUN_ID);
        //         }
        //     }

        //     $USER_ID_STRING = substr($USER_ID_STRING, 0, -1);
        //     if($_REQUEST['SMS_REMIND']=='1'){
        //         if(ifSendMbSms('message')){
        //             $TABLE_VAR .= '|blind';
        //             sendSms($LOGIN_USER_ID,$USER_ID_STRING,$SMS_CONTENT,1,7,$tablename,$TABLE_ID,$TABLE_VAR);
        //         }
        //     }
        //     if($_REQUEST['MOBILE_SMS_REMIND']=='1'){
        //         if(ifSendMbSms()){
        //             $newSms = new MobileSms();
        //             $newSms->SelfSendMore($USER_ID_STRING,$SMS_CONTENT);
        //         }
        //     }
        // }
        echo "success";
    break;
    //查看流程页面，提交抄送
    case "viewFlowCopySubmit":
        $workFlowInstance        = new workflow($FLOW_ID);
        $workFlowInstance->runId = $RUN_ID;
        $workFlowInstance->markFlowCopyHaveSubmit($LOGIN_USER_ID);
        echo "success";
    break;
}
?>
