<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程邮件外发页面
* @encoding      $_lang['encoding']
* @name          general/workflow/flow_outmail.php
* @version       1
* @author        www.weaver.com.cn
* @modify        dingp
* @date          2012-11-09
*/
include_once("inc/auth.php");
include_once("prcs_role.php");
include_once("api/fixedworkflow.class.php");
include_once("general/webmail/inc/class.api.php");
includelangpak("flow");
if(!run_role($RUN_ID,$PRCS_ID))
{
	Message("",$_lang["flow_not_existed"]);
	exit;
}
$workFlowInstance = new fixedWorkflow($FLOW_ID);	
$workFlowInstance->runId   = $RUN_ID;
$OP_FLAG = $workFlowInstance->isOpFlag($LOGIN_USER_ID,$PRCS_ID);
if($OP_FLAG)
{
	$turned = $workFlowInstance->haveTurned($PRCS_ID,$LOGIN_USER_ID);
}
else
{
	$turned = $workFlowInstance->operatorHaveTurned($PRCS_ID,$LOGIN_USER_ID);
}
if($turned)
{
	Message("",$_lang["flow_haveturn_can_not_save"]);
	exit;
}
$emailInfor = GetAccountInfor("",false,-1,"sysmail");
if(!$emailInfor)
{
	Message("",$_lang["flow_out_mail_send_message"]);
	exit;
}
$PAGE_TITLE = $_lang["flow_flow_forward"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazyemailaddress.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/search_input.js"></script>
<script type="text/javascript" src="/general/webmail/webmail.js"></script>
<script type="text/javascript">
$(function(){
//	jQuery("#subject").LazyBeautifyText();
//	jQuery(":button").LazyBeautifyButton();
	$("#searchmailto").SearchInput({
					searchshowtabnum : "1",//显示查询卡框的时候，默认展示第几个选项卡 1、2、3、4
					savenewemail : true,//存储新邮件地址到通讯录
					width : "430",
					height : "380"
				});
	$("#dialogClose").click(function(){
		bootbox.confirm("<?=$_lang['flow_make_sure_cancel']?>", function(result) {
			if(result){
				window.parent.flowTrunDialog.dialog("close");
			}
		});
	});
})
function outmailSubmit()
{
	if(!SendCheck()) {
		return false;
	}
	Message(WebMailLang.SendEmailLoading,"success",true,true);
	SendEmail();
}
function SendEmail(){
	var subject = $.trim($("#subject").val());
	var touser  = $("#searchmailto").SearchInputEmailResult();
	var to_str  = "";
	var to_extend = "";
	for (var n=0; n<touser.length; n++)
	{
		to_str+= touser[n].emailAddress+";";
		if(touser[n].extend.extend_neweamil == "1")
		{
			var newaddress_extend = saveNewAddress(touser[n].emailAddress);
			to_extend+= newaddress_extend+";";
		}
		else
		{
			to_extend+= touser[n].extend.extend_type+","+touser[n].extend.extend_id+";";
		}
	}
	to_str = to_str.substr(0,to_str.length-1);
	to_extend = to_extend.substr(0,to_extend.length-1);
	$.ajax({
		url : "flow_outmail_do.php",
		type : "POST",
		data : {
			subject : subject,
			to_str : to_str,
			to_extend : to_extend,
			run_id : "<?=$RUN_ID?>"
		}
	}).done(function(result) {
		var parsedResult = $.parseJSON(result);
		if(parsedResult.sent){
			Message(WebMailLang.SendEmailSuccess);
			setTimeout("window.parent.flowTrunDialog.dialog('close')",1000);
		}
		else{
			Message(WebMailLang.OutSendEmailMessage);
		}
	});
}
function SendCheck()
{
	if($("#searchmailto").SearchInputEmailResult() == "")
	{
		bootbox.alert("<?=$_lang["flow_choose_outmail_receiver"]?>"+"！");
		return false;
	}
	else
	{
		var to  = $("#searchmailto").SearchInputEmailResult();
		for (var n=0; n<to.length; n++)
		{
			if(!CheckEmailAddress(to[n].emailAddress))
			{
				bootbox.alert(WebMailLang.OutSendEmailMessage);
				return false;
			}
		}
		return true;
	}
}
function CheckEmailAddress(emailAddress) {
	if(emailAddress.match(/\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/)) {
		return true;
	} else {
		return false;
	}
}
</script>
<body style="">
<div class="lazy_header">
	<button type="button" id="dialogClose" style="float:right;" class="btn btn-default" title="<?=$_lang["common_cancel"]?>"><?=$_lang["common_cancel"]?>
	</button>
	<button type="button" style="float:right;" onClick="outmailSubmit();" class="btn btn-primary" title="<?=$_lang["flow_outmail_send"]?>"><?=$_lang["flow_outmail_send"]?>
	</button>
</div>
<form name="form1" id="form1" action="flow_outmail_do.php" method="post">
<input type="hidden" name="RUN_ID" id="RUN_ID" value="<?=$RUN_ID?>">
<input type="hidden" name="PRCS_ID" id="PRCS_ID" value="<?=$PRCS_ID?>">
<input type="hidden" name="FLOW_PRCS" id="FLOW_PRCS" value="<?=$FLOW_PRCS?>">
<input type="hidden" name="FLOW_ID" id="FLOW_ID" value="<?=$FLOW_ID?>">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td>
			<div id="message" style="border:0px solid red;position:absolute;padding-left:150px;">
				<table cellpadding="0" cellspacing="0">
					<tr>
						<td valign="middle" id="loading" style="display:none;background:#42930B;padding-left:5px;">
							
						</td>
						<td id="text" valign="middle" style="display:none;color:#ffffff;height:21px;line-height:21px;padding:0 10px 0 5px;">
						</td>
					</tr>
				</table>
			</div>
		</td>
	</tr>
	<tr>
		<td style="width:61px;" valign="top">
			<table border="0" cellpadding="2" cellspacing="0" width="100%" style="margin-top:5px;">
				<tr>
					<td class="tablecol2" nowrap="nowrap"><?=$_lang["flow_outmail_subject"]?></td>
				</tr>
				<tr>
					<td class="tablecol2" nowrap="nowrap"><div style="padding-top:15px;"><?=$_lang["flow_out_mail_recipient_int"]?></div></td>
				</tr>
			</table>
		</td>
		<td>
			<table border="0" cellpadding="2" cellspacing="0" width="100%">
				<tr>
					<td align="">
						<input type="text" id="subject" name="subject" style="width:431px;" value="">
					</td>
				</tr>
				<tr>
					<td align="">
						<input type="text" id="searchmailto" name="searchmailto" value="">
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</form>
</body>
</html>
<script type="text/javascript">
var timeoutId;
timeoutId = setTimeout(function(){
						$("#searchmailto").focus();
					},100);
</script>