<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程办理-自由流程
* @encoding      $_lang['encoding']
* @name          general/workflow/input_form/free_input_form.php
* @version       28
* @author        sun|www.weaver.com.cn
* @modify        dingp
* @date          2011-11-25
*/
include_once("inc/auth.php");
includelangpak("flow");
include_once("inc/utility_all.php");
include_once("inc/utility_html.php");
include_once("../prcs_role.php");
include_once("general/workflow/function_textarea.php");
include_once("api/freeworkflow.class.php");
include_once("api/AnalyticFormStand.class.php");
include_once("inc/function_usergeneral.php");
$func_id = $_GET["FUNC_ID"];
$version = getVersion();
if(!run_role($RUN_ID,$PRCS_ID))
{
	Message("",$_lang["flow_not_existed"]);
	exit;
}

$smsId = isset($_REQUEST["SMS_ID"])  ? $_REQUEST["SMS_ID"]:"";
if($smsId && $smsId>0 ){
        readSmsStatus($smsId);
}


is_have_finished($RUN_ID,$FLOW_PRCS,$PRCS_ID);
//判断是否有签章功能
$ishtmlsignature        = isHtmlSignature();
$workFlowRunning        = new freeWorkflow($FLOW_ID);
$flowInfo               = $workFlowRunning->getFlowInfo();
$workFlowRunning->runId = $RUN_ID;
//流程配置中的其它设置的配置信息
$FLOW_SHOW_TEXT     = $flowInfo["FLOW_SHOW_TEXT"];
$LABLE_SHOW_DEFAULT = $flowInfo["LABLE_SHOW_DEFAULT"];
$FLOW_AUTOSAVE      = $flowInfo["FLOW_AUTOSAVE"];
$FLOW_AUTOSAVE_TIME = getFieldPara("FLOW_FREQUENCY");
if(!$FLOW_SHOW_TEXT)
	$FLOW_SHOW_TEXT = "";
if(!$LABLE_SHOW_DEFAULT)
	$LABLE_SHOW_DEFAULT = 1;
if(!$FLOW_AUTOSAVE)
	$FLOW_AUTOSAVE = "";
if(!$FLOW_AUTOSAVE_TIME)
	$FLOW_AUTOSAVE_TIME = 0;
//自由流程没有子流程，但当默认显示标签是子流程时将其转换成第一个标签
if($LABLE_SHOW_DEFAULT == 4)
{
	$LABLE_SHOW_DEFAULT = 1;
}
//此流程是否需要会签
$counterSign            = $workFlowRunning->counterSign;
//动态设置主办人
$PRCS_OPTYPE            = $workFlowRunning->handWay;
if($PRCS_OPTYPE != 3)
	$workFlowRunning->setOpFlag($PRCS_OPTYPE,$PRCS_ID,$FLOW_PRCS,$LOGIN_USER_ID);
$flowPrcsInfo           = $workFlowRunning->getPrcsInfo();
//echo "<pre>";
//print_r($flowPrcsInfo);
//检测是否会签人员都已经办理,是否是主办人
if($counterSign)
{
	foreach($flowPrcsInfo as $flowPrcsKey=>$flowPrcsVal)
	{
		if($flowPrcsVal["USER_ID"] != $LOGIN_USER_ID &&$flowPrcsVal["PRCS_ID"] == $PRCS_ID&&!$flowPrcsVal["SAVEFORM_TIME"])
		{
			$neverCounterSign .= $flowPrcsVal["USER_ID"].",";
		}
	}
	$neverCounterSign = trim($neverCounterSign,",");
}
//是否是主办人
$OP_FLAG            = 0;
$mainOpTodo         = 0;
$opTodo             = 0;
foreach($flowPrcsInfo as $key=>$val)
{
	if($val["PRCS_ID"] == $PRCS_ID&&$val["USER_ID"] == $LOGIN_USER_ID&&$val["OP_FLAG"]==1)
	{
		if(!$val["DELIVER_TIME"])
		{
			$mainOpTodo = 1;
			break;
		}else
		{
			$mainOpTodo = 2;
		}

	}
}
foreach($flowPrcsInfo as $key=>$val)
{
	if($val["PRCS_ID"] == $PRCS_ID&&$val["USER_ID"] == $LOGIN_USER_ID&&$val["OP_FLAG"]==0)
	{
		if(!$val["SAVEFORM_TIME"])
		{
			$opTodo = 1;
			break;
		}else
		{
			$opTodo = 2;
		}
	}
}
if($mainOpTodo == 1)
{
	$OP_FLAG = 1;
}
else if($opTodo == 1)
{
	$OP_FLAG = 0;
}else if(($mainOpTodo ==2 &&($opTodo==0||$opTodo==2))||($mainOpTodo ==0&&($opTodo==0||$opTodo==2)))
{
	Message("",$_lang["flow_is_finished"]);
	exit;
}
$maxOpFlag = $workFlowRunning->opFlagIsExist($PRCS_ID);
//任意办理人员为主办人的特殊处理
if($PRCS_OPTYPE == 3)
{
	if($maxOpFlag <= 0)
	{
		$OP_FLAG = "1";
	}
}
//需要会签的但尚未办理的人员,用户名
/*if($neverCounterSign)
{
	$neverCounterSignNames = getUsernameStr($neverCounterSign);
}*/
//进入办理页面，取消短信提醒
$workFlowRunning->cancelSmsRemind();
//判断是否是第一个节点，再去获取流程的流水号是否可以编辑
if($FLOW_PRCS == 1)
{
	$canEditFlowno       = $flowInfo["CAN_EDIT_FLOWNO"];
	$canEditInstancyType = "1";
}
else
{
	$canEditFlowno       =  "";
	$canEditInstancyType = "";
}
//记录最后查看时间,增加原因,可能打开查看,但没有办理,下次再打开办理
$workFlowRunning->recordLastVisitdTime($PRCS_ID);
//获取紧急程度
$otherInfo     = $workFlowRunning->GetFlowOtherInformation();
$INSTANCY_TYPE = $otherInfo["INSTANCY_TYPE"];
$func_id = 0;
$array   = checkReminds($func_id);
$sms_select     =  $array[0];
$smstel_select  =  $array[1];
$email_select   =  $array[2];
$sms_modify     =  $array[3];
$smstel_modify  =  $array[4];
$email_modify   =  $array[5];

//根据流程设置 获取提醒对象
$flow_end_remind_sql = "SELECT * FROM flow_others WHERE FLOW_ID = '".SecurityFilter($FLOW_ID)."' ";
$sms_to_rs   = exequery($connection,$flow_end_remind_sql);
$flow_end_remind = array();
while($sms_to_rows = mysql_fetch_array($sms_to_rs)){
	$flow_end_remind['FLOW_END_REMIND'] = $sms_to_rows['FLOW_END_REMIND'];
	$flow_end_remind['REMIND_TARGET'] = $sms_to_rows['REMIND_TARGET'];
	$flow_end_remind['APPOINT_PROCESS'] = $sms_to_rows['APPOINT_PROCESS'];
}
$PAGE_TITLE = $_lang["flow_dealflow"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/jquery.dynamic.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/pnotify/jquery.pnotify.default.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/bootstrap-select/bootstrap-select.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/iCheck/skins/all.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/inc/jquery/zTree/zTreeStyle/zTreeStyle.css">
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.css" />
<link rel="stylesheet" href="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/js/select2-3.4.5/select2.css">
<link rel="stylesheet" href="/newplugins/js/phrase/jquery.lazy_common_phrase.css" />
<link rel="stylesheet" type="text/css" href="/general/workflow/flowstyle.css" />
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/pnotify/jquery.pnotify.min.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap-select/bootstrap-select.js"></script>
<script type="text/javascript" src="/newplugins/js/iCheck/icheck.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/inc/jquery/zTree/jquery.ztree.all-3.5.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/user/jquery.lazy_user_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-select-dialog/dept/jquery.lazy_dept_select.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/jquery-ui-timepicker-addon.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/datepicker-lang/jquery.ui.datepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui-timepicker/lang/jquery-ui-timepicker-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/general/system/workflow/flow_form/cool_form/character_change.js" ></script>
<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/lang/zh-<?=$_SESSION['LOGIN_LANG'] ?>/zh-<?=$_SESSION['LOGIN_LANG'] ?>.js"></script>
<script type="text/javascript" src="/newplugins/js/phrase/jquery.lazy_common_phrase.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/common_phrase.js"></script>
<script type="text/javascript" src="/newplugins/js/ueditor/link_choose.js"></script>
<script type="text/javascript" src="/newplugins/js/select2-3.4.5/select2.js"></script>
<script type="text/javascript" src="/inc/common.js?<?=$version?>"></script>
<script type="text/javascript" src="/inc/follow.js?<?=$version?>"></script>
<?
if($ishtmlsignature)
{
?>
<script language="javascript" src="/isignaturehtml/iSignature.js"></script>
<?
}
?>
<script Language="JavaScript">
var opFlag = "<?=$OP_FLAG?>";
jQuery(document).ready(function(){
	initialMenu();
	jQuery(".feedBackAndMore").hover(function(){
		jQuery(".feedBackAndMoreDiv").show();
	},function(){
		jQuery(".feedBackAndMoreDiv").hide();
	});
	jQuery(".anchorType").click(function (){
		location.hash="anchorType";
		jQuery(".feedBackAndMoreDiv").hide();
		var anchorTypeId = jQuery(this).attr("id");
		//alert(anchorTypeId.substr(anchorTypeId.length-1));
		var anchorTypeNum = anchorTypeId.substr(anchorTypeId.length-1);
		//这里做一个点击tabs
		jQuery( "#con1" ).tabs( "option", "active", anchorTypeNum );
	});
	var height=jQuery(window).height();
	jQuery(".outSideDiv").height(height-42).niceScroll();
	jQuery(".flowTabsDiv").height(height-jQuery("#middleDiv").height()-42);
	$(".btnHaveDialogEvent").click(function (){
		$(".inputFlowShowDialog").find("iframe").attr("src",$(this).attr("href"));
		//定义dialog
		window.flowTrunDialog = $(".inputFlowShowDialog").dialog({
			autoOpen: false,
			width: 660,
			modal: true,
			height:505,
			dialogClass:"my_dialog",
			resizable: false,
			draggable: true
		});
		//弹出dialog
		window.flowTrunDialog.dialog("open");
	});
});
//function show()
//{
//	window.aCheck = true;
//}
function func_find(select_obj,option_value)
{
	for (j=0; j<select_obj.options.length; j++)
	{
		if(select_obj.options(j).value==option_value)
		return j;
	}
	return -1;
}

function ref_op_user(el,user_name)
{
	if(el.checked)
	{
		pos=func_find(document.form1.PRCS_OP_USER,el.value);
		if(pos<0)
		{
			var my_option = document.createElement("OPTION");
			my_option.text=user_name;
			my_option.value=el.value;
			document.form1.PRCS_OP_USER.add(my_option,document.form1.PRCS_OP_USER.length);
		}
		else
			el.checked=false;
	}
	else
	{
		pos=func_find(document.form1.PRCS_OP_USER,el.value);
		if(pos>=0)
		{
			document.form1.PRCS_OP_USER.remove(pos);
			document.form1.PRCS_OP_USER.seletedIndex=0;
		}
	}
}

function StopFlow()
{
	if($("#canEditFeedBackHiddenString").val() == "canEdit") {
		if($("#canEditFeedBackBrowser").val() == "ie8") {
			if($("#fckeditorFeedBack1").val()) {
				$("#submit-form").click();
			}
		} else {
			if(UE.getEditor("fckeditorFeedBack1").hasContents()) {
				$("#submit-form").click();
			}
		}
		var checkRs = 4;
	} else {
		var checkRs = 5;
	}
	if(checkRs &&checkRs!="1"&&checkRs!="2")
	{
		autoSaveForm(6);
	}
}

function myload()
{
	bootbox.alert("<?=$_lang["flow_form_cautionformsaved"]?>");
}
function loadingImg(divid,url,par){
	var formName = "form1";
	var objDivID = document.getElementById(divid);

	var objOtext = document.getElementById('otext');
	// objOtext.innerHTML = "<?=$_lang["flow_graphicloading"]?>"+"...";

	var saveGimg = {
		onCreate: function(){
			Element.show('divsave');
		},
		onComplete: function() {
			if(Ajax.activeRequestCount == 0){
				Element.hide('divsave');
			}
		}
	};
	Ajax.Responders.register(saveGimg);

	queryString = par;
	new Ajax.Request
	(
		url,
		{
			method: "post",
			onSuccess : function(resp)
						{
							objDivID.innerHTML = resp.responseText;

						},
			onFailure : function()
						{
							alert(url);

						},
			parameters : queryString
		}
	);

}

function showflowimg()
{
	if($('tflowpic').style.display == 'none'){
		loadingImg('tflowpiccon','/general/workflow/input_form/free_flow_img.php','FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&PRCS_ID=1');
	}
	showHiddenInfo('tflowpic','imgarrow');
}
function loadingAttach(divid,url,par){
	jQuery.ajax({
		url:url,
		type:"POST",
		data:par,
		error: function(){
			alert(url);
		},
		success: function(resp){
			//jQuery("#"+divid).html(resp);
			if(divid == "tagContent1") {
				// 刷新签办反馈的回复列表
				$("#feed-back-table").LazyTable("reload");
			}
			else if(divid == "tagContent2")
				window.workFlowTabs.tabs( "load", 1 );
		}
	});
}
function delete_run(RUN_ID)
{
	bootbox.confirm("<?=$_lang["flow_confirmtodeletethisflow"]?>", function(result) {
		if(result){
			$.ajax({
				type:"post",
				url:"../delete.php",
				data:"RUN_ID="+RUN_ID+"&OP=ajax",
				success: function(result){
					if(result == "ajax") {
						window.close();
						flowStepSubmitReloadParent(window.opener);
					}
				}
			});
		}
	});
}
function deleteAttach(divid,url,par,ldivid,lurl,lpar)
{
	bootbox.confirm("<?=$_lang["flow_confirmtodelthisattachment"]?>", function(result) {
		if(result){
			jQuery.ajax({
				url:url,
				type:"POST",
				data:par,
				error: function(){alert(url);},
				success: function(){
					loadingAttach(ldivid,lurl,lpar);
				}
			});
		}
	});
}
//解决保存多次，产生多条会签数据问题
var saveTime = 0;
function autoSaveForm(type){
	<?
	if($ishtmlsignature)
	{
	?>
		ForbitMove(opFlag);
	<?
	}
	?>
	if(opFlag == 1)
	{
		var RUN_NAME = jQuery("#RUN_NAME").attr("value");
		if (trim(RUN_NAME) == ''){
			bootbox.alert("<?=$_lang["flow_cautionfillflowdescrip"]?>");
			jQuery("#RUN_NAME").focus();
			return false;
		}
	}
	saveTime++;
	var formName = "form1";
	var subObj = jQuery("#savebutton");
	subObj.attr("disabled",true);
	if(type == 1){
		showText = "<?=$_lang["flow_autosavedate"] ?>"+"...";
	}
	else{
		showText = "<?=$_lang["flow_datasaving"]?>"+"...";
	}
	url="../new/do.php";
	setChooseUserDeptRoleValue();
	setDetailCharValue();
	if(opFlag == 1 )
		queryString = getAllPar();
	else
		queryString = getJointlySign();
	queryString+= "&OP_FLAG="+opFlag;
	queryString = encodeURI(queryString).replace(/\+/g,'%2B');
	jQuery.ajax({
		url    : url,
		type   : "POST",
		data   : queryString,
		success: function(resp){
			var haveTurned = resp;
			if(haveTurned ==2)
			{
				bootbox.alert("<?=$_lang['flow_haveturn_can_not_save']?>");
				//灰掉提交按钮
				jQuery("#turnbutton").attr("disabled",true);
				//如果有签章，则灰掉签章按钮
				jQuery("#signatureqzbutton").attr("disabled",true);
				jQuery("#signaturesxbutton").attr("disabled",true);
				//如果有转发按钮，则灰掉转发按钮
				jQuery("#forwardbutton").attr("disabled",true);
				//如果有结束按钮，则灰掉结束按钮
				jQuery("#endbutton").attr("disabled",true);
				//如果有流程邮件外发按钮，则灰掉流程邮件外发按钮
				if(jQuery("#outmailbutton"))
				{
					jQuery("#outmailbutton").disabled = "disabled";
				}
				return ;
			}
			if(haveTurned ==3)
			{
				bootbox.alert("<?=$_lang['flow_not_existed']?>");
				return ;
			}
			showCounterSign();
			//showNText();
			jQuery.pnotify({
				text : "<?=$_lang['common_save_successed']?>",
				type : "success",
				delay : 100,
				addclass: "stack-topleft",
				history : false,
				sticker : false,
				closer : false
			});
			subObj.removeAttr("disabled");
			if(type ==2)
			{
				jQuery("#turnnextid").click();
			}
			else if(type==6)
			{
				var DOC_ID = jQuery("#DOC_ID").attr("value");
				jQuery("#DOC_ID_STR").attr("value",DOC_ID);
				if("<?=$maxOpFlag?>" != 1 && "<?=$PRCS_OPTYPE?>" != 3)
				{
					bootbox.confirm(EOlang.msgFlowNeedSetOperatorBefEnd, function(result) {
						if(result) {
							var setOperatorParam = {
								"from" : "stop",
								"FLOW_ID" : "<?=$FLOW_ID?>",
								"RUN_ID" : "<?=$RUN_ID?>",
								"PRCS_ID" : "<?=$PRCS_ID?>"
							};
							flowSetOperatorBefEnd(setOperatorParam);
							// window.location.href = "/general/workflow/turn/setOpFlag.php?from=stop&FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>";
						}
					});
				}
				else
				{
					//弹出dialog
					// ajax获取定义流程 other 信息，实现归档到指定目录
					var flowDefineOtherInfo = getFlowDefineOtherInfoBeforeEnd("<?=$FLOW_ID?>");
					if(flowDefineOtherInfo.FLOW_TO_DOC == "1") {
						$(".tableTrFlowToDocument").show();
						$("#folder_name").val(flowDefineOtherInfo.FILE_FOLDER_NAME);
						$("#folder_id").val(flowDefineOtherInfo.FILE_FOLDER_ID);
					}
					jQuery(".flowEndDialog").dialog("open");
				}
				//var url    = "/general/workflow/endworkflow.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>&OP_FLAG=<?=$OP_FLAG?>&DOC_ID="+DOC_ID;
				//location   = url;
			}
			else
			{
				//location.reload();
			}
		},
		error: function(){
			alert(url);
		}
	});
}
//解决保存多次，关联文档的问题
var hrefValue = "";
function getAllPar(){
	var maxnum = $('[id^="DATA_"]').not('[id^="DATA_SIGNATURE_"]').length;
	var strall="";
	$('[id^="DATA_"]').not('[id^="DATA_SIGNATURE_"]').each(function() {
		var tmpiptid = $(this).attr("id");
		if(document.getElementById(tmpiptid))
		{
			var objtype = document.getElementById(tmpiptid).type;
			if(objtype == "checkbox")
			{
				if(document.getElementById(tmpiptid).checked)
				{
					valuepar = "on";
				}
				else
				{
					valuepar = "";
				}
			}
			else
			{
				//编辑器
				if(jQuery("#"+tmpiptid).hasClass("EDITOR"))
				{
					if(jQuery("#"+tmpiptid).is(":hidden"))
					{
						//隐藏的编辑框
						valuepar = jQuery("#"+tmpiptid).attr("value");
					}
					else
					{
						valuepar = UE.getEditor(tmpiptid).getContent();
					}
				}
				//计算控件或单行文本框控件设置了千位分隔符
				else if(jQuery("#"+tmpiptid).attr("thousandformat"))
				{
					if(jQuery("#"+tmpiptid).attr("value"))
					{
						valuepar = commafyback(jQuery("#"+tmpiptid).attr("value"));
						valuepar = valuepar.toString();
					}
					else
						valuepar = "";
				}
				else
				{
					if(jQuery("#"+tmpiptid).attr("value"))
						valuepar = jQuery("#"+tmpiptid).attr("value");
					else
						valuepar = "";
				}
			}
			var valuepar = valuepar.replace(/#/g,"＃");
			var valuepar = valuepar.replace(/&/g,"＆");
			var valuepar = valuepar.replace(/\?/g,"？");
			strall += tmpiptid + "=" + valuepar + "&";
		}
	});
	var RUN_ID        = jQuery("#RUN_ID").attr("value");
	var FLOW_ID       = jQuery("#FLOW_ID").attr("value");
	var PRCS_ID       = jQuery("#PRCS_ID").attr("value");
	var FLOW_PRCS     = jQuery("#FLOW_PRCS").attr("value");
	var ITEM_ID_MAX   = maxnum;
	var RUN_NAME      = jQuery("#RUN_NAME").attr("value");
	var FIELD_COUNTER = maxnum;
	var InstancyType  = jQuery(".InstancyType").children('option:selected').val()||jQuery("#InstancyType").val();

	RUN_NAME     = RUN_NAME.replace(/#/g,"＃");
	RUN_NAME     = RUN_NAME.replace(/&/g,"＆");
	RUN_NAME     = RUN_NAME.replace(/\?/g,"？");
	strall += 'RUN_ID='+RUN_ID+"&";
	strall += 'FLOW_ID='+FLOW_ID+"&";
	strall += 'PRCS_ID='+PRCS_ID+"&";
	strall += 'FLOW_PRCS='+FLOW_PRCS+"&";
	strall += 'ITEM_ID_MAX='+ITEM_ID_MAX+"&";
	strall += 'FIELD_COUNTER='+FIELD_COUNTER+"&";
	//strall += 'RUN_SEQ='+RUN_SEQ+"&";
	strall += 'RUN_NAME='+RUN_NAME+"&";
	strall += 'InstancyType='+InstancyType+"&";
	//保存初始的turnnextid的链接路径和参数
	if(saveTime == 1)
	{
		hrefValue = jQuery("#turnnextid").attr("href");
	}
	if(jQuery("#DOC_ID").attr("value"))
	{
		var DOC_ID = jQuery("#DOC_ID").attr("value");
		strall += 'doc_id='+DOC_ID+"&";
	}
	strall += 'f=autosave';
	if(DOC_ID)
		DOC_ID = DOC_ID;
	else
		DOC_ID = "";
	hs.preserveContent = false;
	jQuery("#turnnextid").attr("href",hrefValue + "&DOC_ID="+DOC_ID);
	return strall;
}

if("<?=$FLOW_AUTOSAVE?>")
{
	var FLOW_AUTOSAVE_TIME = "<?=$FLOW_AUTOSAVE_TIME?>";
	if(FLOW_AUTOSAVE_TIME< 60000)
	{
		FLOW_AUTOSAVE_TIME = 60000;
	}
	setInterval('operationBeforSave(1)',FLOW_AUTOSAVE_TIME);
	var objOtext = document.getElementById('otext');
	// objOtext.innerHTML = "<?=$_lang["flow_autosavedate"]?>"+"...";

}
function turnNext()
{
	// 先保存一下签办反馈
	if($("#canEditFeedBackHiddenString").val() == "canEdit") {
		if($("#canEditFeedBackBrowser").val() == "ie8") {
			if($("#fckeditorFeedBack1").val()) {
				$("#submit-form").click();
			}
		} else {
			if(UE.getEditor("fckeditorFeedBack1").hasContents() || $("#feedBackAttDiv").find('.items').length > 0) {
				$("#submit-form").click();
			}
		}
	}
	// 不需要必填，保存公共附件。
	if($("#publicAttachmentIframe")[0].contentWindow.$("#file_elem").Upload("getUploadCount") > 0) {
		$("#publicAttachmentIframe")[0].contentWindow.$("#file_elem").uploadify("upload", "*");
	}
	if(opFlag == 1)
	{
		var checkRequiredResult = true;
		$('[id^="DATA_"]').not('[id^="DATA_SIGNATURE_"]').each(function() {
			var tmpiptid = $(this).attr("id");
			var i = tmpiptid.substring(5);
			var elementObj = document.getElementById(tmpiptid);
			if(elementObj)
			{
				var objClass   = elementObj.className;
				if(objClass.indexOf("datecompute") > 0)
				{
					var checkDateCompute = eval("compute_date_validate_"+i+"()");
					if(checkDateCompute==false)
					{
						checkRequiredResult = false;
						return false;
					}
				}
			}
		});
		if(!checkRequiredResult) {
			return false;
		}
	}
	var RUN_NAME = document.getElementById('RUN_NAME').value;
	if (trim(RUN_NAME) == '')
	{
		jQuery.pnotify.defaults.styling = "bootstrap3";
		jQuery.pnotify.defaults.closer = false;
		jQuery.pnotify.defaults.sticker = false;
		jQuery.pnotify.defaults.history = false;
		jQuery.pnotify.defaults.delay = 1000;
		jQuery.pnotify.defaults.addclass = "stack-topleft";
		jQuery.pnotify.defaults.animate_speed = 'fast';
		jQuery.pnotify.defaults.type = "error";
		jQuery.pnotify({
			text : "<?=$_lang['flow_cautionfillflowdescrip']?>",
			after_close: function(pnotify, timer_hide) {
				jQuery("#RUN_NAME").focus();
			}
		});
		return false;
	}
	else
	{
		operationBeforSave(2);
	}
}
</script>
<?
$CUR_TIME1 = date("H:i:s",time());
$CUR_DATE  = date("Y-m-d");
$CUR_TIME  = $CUR_DATE." ".$CUR_TIME1;
//------ 写处理标记为已接收，写处理时间 --------
$workFlowRunning->markHaveReceive($LOGIN_USER_ID,$PRCS_ID);
//此流程的一些属性
$FLOW_NAME = $workFlowRunning->flowName;
$FORM_ID   = $workFlowRunning->formId;
$FLOW_TYPE = $workFlowRunning->flowType;
$FLOW_DOC  = $workFlowRunning->flowDoc;
//取表单
$FORM_NAME   = $flowInfo["FORM_NAME"];
$PRINT_MODEL = $flowInfo["PRINT_MODEL"];
$FIELD_COUNTER = $flowInfo["FIELD_COUNTER"];
//取表单数据
$form_data = $workFlowRunning->getFormDataNew();
//此处的表单智能分析是为了将下面的签章保护字段里面关于手机签章的字段替换掉，不保护手机签章字段
$ELEMENT_ARRAY = html_element($PRINT_MODEL);
$ITEM_ID_MAX   = sizeof($ELEMENT_ARRAY);
for($I=0;$I<$ITEM_ID_MAX;$I++)
{
	$ELEMENT = $ELEMENT_ARRAY[$I];
	$ECLASS  = get_attr($ELEMENT,"CLASS");
	$EID     = get_attr($ELEMENT,"ID");
	if($ECLASS == "PHONE_SIGNATURE" || $ECLASS == "HTML_SIGNATURE" || $ECLASS == "EDITOR" || $ECLASS == "DATE" || $ECLASS == "time")
	{
	}
	else
	{
		//签章保护字段相关
		$signature_str .= $EID."=".$EID.";";
	}
}
if(!$signature_str)
{
	$signature_str="NO_DATA=NO_DATA";
}
//步骤1，用于替换
$query  = "SELECT * FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($RUN_ID)."' AND PRCS_ID=1";
$cursor = exequery($connection,$query);
if($ROW = mysql_fetch_array($cursor))
{
	$USER_ID        = $ROW["USER_ID"];
	$PRCS_DATE_TIME = $ROW["PRCS_TIME"];
	$PRCS_DATE      = strtok($PRCS_DATE_TIME," ");
}
?>
<style>
html,body{
	overflow:hidden;
}
.operationBut a:link 	{color: #7F7F7F; text-decoration: none;}
.operationBut a:visited {color: #7F7F7F; text-decoration: none;}
.operationBut a:hover 	{color: #7F7F7F; text-decoration: none;}
.operationBut a:active 	{color: #7F7F7F; text-decoration: none;}
.my_dialog ,.lazy_dialog{
	z-index:65536;
}
.my_dialog .inputFlowShowDialog{
	overflow:hidden;
}
.my_dialog .ui-dialog-titlebar{
	/*display:none;*/
	position: absolute;
	width: 530px;
	z-index: 100;
	height:39px;
	filter:alpha(opacity=0);
	-moz-opacity:0;
	opacity: 0;
}
.my_dialog .ui-dialog-titlebar .ui-dialog-titlebar-close{
	display:none;
}
.my_dialog .ui-dialog-content{
	padding:0;
}
</style>
<body class="" id="jsbodyid" onLoad="<? if($ishtmlsignature){ ?> if(form1.SignatureControl.AutoSave == true) form1.SignatureControl.ShowSignature('<?=$RUN_ID?>');<? }?>setVariables();" onkeydown="keyBoardSave();">
<?=pageHeadItem("index","1","1","1","1");?>
<div class="lazy_header">
	<div style="float:left;border:0px red solid;line-height:35px;">
		<?
		if ($RUN_ID != ''){
			$flowRunInfo    = $workFlowRunning->flowRunningInfo();
			$RUN_NAME       = $flowRunInfo["RUN_NAME"];
			$RUN_NAME       = str_replace("\"","&quot;",$RUN_NAME);
			$RUN_SEQ        = $flowRunInfo["RUN_SEQ"];
			$USER_ID        = $flowRunInfo["CREATOR"];
			$CREATOR        = $flowRunInfo["CREATOR"];
			$PRCS_DATE_TIME = $flowRunInfo["CREATE_TIME"];
			$PRCS_DATE      = strtok($PRCS_DATE_TIME," ");
			$INSTANCY_TYPE  = $flowRunInfo["INSTANCY_TYPE"];
			$INSTANCY_NAME  = getInstancyName($INSTANCY_TYPE);
			?>
			<form name="runnameform" id="runnameform">
				<div style="width:21px;height:21px;float:left;margin:9px 10px 0 10px;">
					<div class="feedBackAndMore" style="width:100%;">
						<span style="width:10px;height:10px;background-color:#C3D69B;float:left;margin-right:1px;margin-bottom:1px;"></span>
						<span style="width:10px;height:10px;background-color:#4BACC6;float:left;margin-bottom:1px;"></span>
						<span style="width:10px;height:10px;background-color:#FAC090;float:left;margin-right:1px;"></span>
						<span style="width:10px;height:10px;background-color:#D99694;float:left;"></span>
						<div class="feedBackAndMoreDiv" style="z-index:100;display:none;width:50px;position:absolute;margin-top:21px;border:0px red solid;">
							<span style="width:50px;height:8px;background-color:#F7F7F7;float:left;"></span>
							<span class="anchorType" style="width:50px;height:25px;background-color:#C3D69B;float:left;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType0"><?=$_lang["flow_feed_back"]?></span>
							<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
							<span class="anchorType" style="width:50px;height:25px;background-color:#4BACC6;float:left;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType1"><?=$_lang["common_attachment"]?></span>
							<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
							<span class="anchorType" style="width:50px;height:25px;background-color:#FAC090;float:left;;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType2"><?=$_lang["flow_file"]?></span>
							<span style="width:50px;height:1px;background-color:#FFFFFF;float:left;"></span>
							<span class="anchorType" style="width:50px;height:25px;background-color:#D99694;float:left;;margin-bottom:0px;line-height:25px;text-align:center;color:#FFFFFF;cursor:pointer;" id="anchorType3"><?=$_lang["flow_graph"]?></span>
						</div>
					</div>
				</div>
				<div style="width:65px;float:left;margin-top:2px;">
					<span style="font-size:13px;"><?=$_lang["flow_flow_desp"]?></span>
				</div>
				<div style="width:240px;float:left;height:40px;">
					<div style="width:240px;position:relative;margin-top:5px;">
					<?
					if($FLOW_PRCS == 1&&$OP_FLAG ==1)
					{
					?>
						<textarea name="RUN_NAME" id="RUN_NAME" class="RUN_NAME" title="<?=$RUN_NAME?>" style="height:30px;width:235px;position:absolute;overflow: hidden;line-height:26px;z-index:2;"><?=$RUN_NAME?></textarea>
					<?
					}
					else
					{
					?>

						<textarea name="RUN_NAME" id="RUN_NAME" class="RUN_NAME" title="<?=$RUN_NAME?>" style="height:30px;width:235px;position:absolute;overflow: hidden;line-height:26px;z-index:2;" readonly><?=$RUN_NAME?></textarea>
					<?
					}
					?>
					</div>
				</div>
				<div style="width:65px;float:left;height:40px;">
					<?
					if($canEditInstancyType)
					{
					?>
						<select class="InstancyType">
							<option value="0"><?=$_lang["common_normal"]?></option>
							<option value="1"><?=$_lang["common_important"]?></option>
							<option value="2"><?=$_lang["common_instancy"]?></option>
						</select>
					<?
					}
					else
					{
					?>
						<input type="text" value="<?=$INSTANCY_NAME?>" title="<?=$INSTANCY_NAME?>" class="" style="width:65px;height:30px;text-align:center;line-height:30px;margin-top:3px;" readonly>
						<input type="hidden" name="InstancyType" id="InstancyType" value="<?=$INSTANCY_TYPE?>">
					<?
					}
					?>
				</div>
			</form>
		<?
		}
		?>
	</div>
	<div style="border:0px red solid;float:left;margin-top:5px;margin-left:10px;">
		<?
		if($RUN_SEQ)
		{
			//只有第一个节点和新建时可以编辑流水号
			if($canEditFlowno)
			{
			?>
				<div style="float:right;border:1px #D5D5D5 solid;margin-left:10px;margin-right:10px;width:210px;height:30px;line-height:28px;">
					<div style="padding-left:4px;width:100%;text-overflow: ellipsis; white-space: nowrap; overflow: hidden;">
						<span class="btnHaveDialogEvent" href="../new/filenumberedit.php?FLOW_ID=<?=$FLOW_ID?>&FLOW_TYPE=2&RUN_ID=<?=$RUN_ID?>&RUN_SEQ=<?=urlencode($RUN_SEQ)?>" id="filenumber" style="width:150px; word-break:break-all; cursor:pointer;" title="<?=strip_tags(html_entity_decode($RUN_SEQ,ENT_QUOTES,'UTF-8'))?>"><?=str_replace(PHP_EOL, '', html_entity_decode($RUN_SEQ,ENT_QUOTES,'UTF-8'))?></span>
					</div>
				</div>
			<?
			}
			else
			{
			?>
					<div style="float:right;border:1px #D5D5D5 solid;margin-left:10px;margin-right:10px;width:210px;height:30px;line-height:28px;">
						<div style="padding-left:4px;width:100%;text-overflow: ellipsis; white-space: nowrap; overflow: hidden;">
							<span style="width:150px; word-break:break-all;" title="<?=strip_tags(html_entity_decode($RUN_SEQ,ENT_QUOTES,'UTF-8'))?>"><?=str_replace(PHP_EOL, '', html_entity_decode($RUN_SEQ,ENT_QUOTES,'UTF-8'))?></span>
						</div>
					</div>
			<?
			}
			?>
			<div style="float:right;font-size:13px;margin-top:6px;"><?=$_lang["flow_filenumber"]?></div>
		<?
		}
		?>
	</div>
	<?
	if(($_REQUEST["FLOW_PRCS"] == 1 && $CREATOR== $LOGIN_USER_ID && $_REQUEST["PRCS_ID"]==1) || $LOGIN_USER_ID=="admin") {
		?>
			<button id="deletebutton" type="button" class="btn btn-danger" onClick="delete_run('<?=$RUN_ID?>')" title="<?=$_lang["common_del"]?>"><?=$_lang["common_del"]?>
			</button>
		<?
	}
	if($OP_FLAG == 1&&!$neverCounterSign)
	{
	?>
		<button id="endbutton" type="button" class="btn btn-danger" onClick="StopFlow()" title="<?=$_lang["flow_end"]?>"><?=$_lang["flow_end"]?>
		</button>
	<?
	}
	?>
	<button id="flowcopybutton" type="button" class="btn btn-success" onClick="flowCopy()" title="<?=$_lang["flow_copy_to"]?>"><?=$_lang["flow_copy_to"]?>
	</button>
	<button type="button" class="btn btn-default" onClick="viewFlow('<?=$RUN_ID?>','<?=$FLOW_ID?>')" title="<?=$_lang["flow_view"]?>"><?=$_lang["flow_view"]?>
	</button>
	<button type="button" class="btn btn-primary" id="savebutton"  title="<?=$_lang["flow_form_save"]?>"><?=$_lang["flow_form_save"]?>
	</button>
	<button type="button" class="btn btn-primary" id="turnbutton" title="<?=$_lang["flow_submitflow"]?>"><?=$_lang["flow_submitflow"]?>
	</button>
</div>
<!--放一个div用来弹出-->
<div class="inputFlowShowDialog" style="display:none;">
	<iframe id="inputFlowShowDialogIframe" name="inputFlowShowDialogIframe" style="width:100%;border:none;height:100%;" src=""></iframe>
</div>
<div class="flowFeedBackShowDialog" style="display:none;">
	<iframe style="width:100%;border:none;" src=""></iframe>
</div>
<!-- 流程图 -->
<!-- 正文 -->
<div class="outSideDiv" style="overflow:hidden;border:0px red solid;">
	<form enctype="multipart/form-data" action="/general/workflow/new/freedo.php" method="post" name="form1" id="form1">
		<div id="middleDiv">
			<!--跳转到流程提交页面--自由流程-->
			<a id="turnnextid" class="btnHaveDialogEvent" href="/general/workflow/input_form/free_flow_step.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&PRCS_ID=<?=$_REQUEST['PRCS_ID']?>&FLOW_PRCS=<?=$FLOW_PRCS?>&OP_FLAG=<?=$OP_FLAG?>&FUNC_ID=<?=$func_id?>"></a>
			<a class="btnHaveDialogEvent" id="flowCopyLink" href="../flow_copy.php?RUN_ID=<?=$_REQUEST['RUN_ID']?>&PRCS_ID=<?=$_REQUEST['PRCS_ID']?>&FLOW_PRCS=<?=$FLOW_PRCS?>&FLOW_ID=<?=$_REQUEST['FLOW_ID']?>"></a>
			<?
			if($ishtmlsignature)
			{
			?>
				<OBJECT id="SignatureControl" classid="clsid:D85C89BE-263C-472D-9B6B-5264CD85B36E"  codebase="/isignaturehtml/iSignatureHTML.cab#version=6,1,0,114" width=0 height=0>
					<!--此处与发布目录路径相一致，需要特别注意-->
					<param name="ServiceUrl" value="<?="http://".$_SERVER["HTTP_HOST"]."/isignaturehtml/Service.php"?>">
				</OBJECT>
			<?
			}
			$systermTime = date("Y-m-d H:i:s",time());
			?>
			<table border="0" cellspacing="0" cellpadding="0" width="100%" style="background:#FFFFFF;">
				<tr height="*">
					<td class="view">
						<input type="hidden"  name="RUN_ID" id="RUN_ID" value="<?=$RUN_ID?>">
						<input type="hidden"  name="FLOW_ID" id="FLOW_ID" value="<?=$FLOW_ID?>">
						<input type="hidden"  name="PRCS_ID" id="PRCS_ID" value="<?=$PRCS_ID?>">
						<input type="hidden"  name="FLOW_PRCS" id="FLOW_PRCS" value="<?=$FLOW_PRCS?>">
						<input type="hidden"  name="USER_ID" id="USER_ID" value="<?=$LOGIN_USER_ID?>">
						<input type="hidden"  name="TO_ID" id="TO_ID" value="">
						<input type="hidden"  name="f" id="f" value="">
						<input type="hidden"  name="loginUserName" id="loginUserName" value="<?=$LOGIN_USER_NAME?>">
						<input type="hidden"  name="systermTime" id="systermTime" value="<?=$systermTime?>">
						<?
						//实例化表单解析类
						$iAnalyticFormStand  = new AnalyticFormStand($PRINT_MODEL);
						//必要的参数
						$iAnalyticFormStand->flowType     = $FLOW_TYPE;       //设置流程种类
						$iAnalyticFormStand->flowId       = $FLOW_ID;         //设置流程类别
						$iAnalyticFormStand->formName     = $FORM_NAME;       //设置流程表单名称
						$iAnalyticFormStand->runId        = $RUN_ID;          //设置当前运行流程id
						$iAnalyticFormStand->prcsId       = $PRCS_ID;         //设置当前运行流程序号
						$iAnalyticFormStand->flowPrcs     = $FLOW_PRCS;       //设置当前运行流程节点
						$iAnalyticFormStand->formData     = $form_data;       //流程表单数据
						$iAnalyticFormStand->prcsDate     = $PRCS_DATE;       //设置当前运行流程创建日期
						$iAnalyticFormStand->prcsDateTime = $PRCS_DATE_TIME;  //设置当前运行流程创建日期时间
						$iAnalyticFormStand->opFlag       = $OP_FLAG;         //设置是否是主办人
						$iAnalyticFormStand->runSeq       = $RUN_SEQ;         //设置流程的流水号
						$iAnalyticFormStand->runName      = $RUN_NAME;         //设置流程名称
						//调用表单解析
						echo $iAnalyticFormStand->analytic_form();
						//获值字段，动态关联字段，日期时间计算控件需要的变量
						$getValueControl    = $iAnalyticFormStand->getValueControl;
						$relationField      = $iAnalyticFormStand->relationField;
						$dateComputeControl = $iAnalyticFormStand->dateComputeControl;
						$fieldArray         = $iAnalyticFormStand->fieldArray;
						include("inc/flow_field_rel.php");
						?>
					</td>
				</tr>
			</table>
		</div>
		<input type="hidden"  name="ITEM_ID_MAX" id="ITEM_ID_MAX" value="<?=$FIELD_COUNTER?>">
		<input type="hidden"  name="FIELD_COUNTER" id="FIELD_COUNTER" value="<?=$FIELD_COUNTER?>">
	</form>
	<!-- 办理步骤 -->
	<!-- 相关文档 -->
	<!-- 公共附件 -->
	<!-- 签办反馈 -->
	<a id="anchorType"></a>
	<div class="flowTabsDiv">
		<div id="con1">
			<ul id="tags">
				<li class="emptyTag"></li>
				<li><a href="/general/workflow/input_form/input_area/feedback.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&PRCS_ID=<?=$PRCS_ID?>"><?=$_lang["flow_feedback"]?></a></li>
				<li><a href="/general/workflow/input_form/input_area/public_attach_ajax.php?RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>"><?=$_lang["flow_publicattachment"]?></a></li>
				<li><a href="/general/workflow/input_form/input_area/rel_doc.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>"><?=$_lang["flow_link_doc"]?></a></li>

				<li><a href="/general/workflow/free_flow_view.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&from=ajax"><?=$_lang["flow_flowpic"]?></a></li>
			</ul>
		</div>
	</div>
	<div id="dynamic_keyword_filter" class="dynamic_keyword_filter_list_wrap_out_div">
		<ul class="dynamic_keyword_filter_list_wrap">

		</ul>
	</div>
</div>
<!--结束流程用的div-->
<div class="flowEndDialog">
<form name="formEnd" id="formEnd" method="post" action="/general/workflow/stop.php">
	<input type="hidden" id="FLOW_ID" name="FLOW_ID" value="<?=$FLOW_ID?>">
	<input type="hidden" id="RUN_ID" name="RUN_ID" value="<?=$RUN_ID?>">
	<input type="hidden" id="PRCS_ID" name="PRCS_ID" value="<?=$PRCS_ID?>">
	<input type="hidden" id="FLOW_PRCS" name="FLOW_PRCS" value="<?=$FLOW_PRCS?>">
	<input type="hidden" id="DOC_ID_STR" name="DOC_ID_STR" value="">
	<table border="0" class="form_table" cellspacing="5"  cellpadding="5">
		<tr>
			<td class="" colspan="2">
				<?=$_lang["flow_confirmtoendthisworkflow"]?>
			</td>
		</tr>
		<tr>
			<td class="">
				<?
				if($sms_modify == 1 || $email_modify == 1 || (ifSendMbSms() && $smstel_modify == 1))
				{
				?>
					<?=$_lang["flow_after_end_remind"]?>
				<?
				}
				?>
			</td>
			<td>
				<div style="float:left;border:0px red solid;" class="flowEndRemindDiv">
				<?
				if($sms_modify!='1')
				{
					if($sms_select)
					{
					?>
						<input type="hidden" name="SMS_REMIND" id="SMS_REMIND" value="1"/>
					<?
					}
				}
				else
				{
				?>
					<div style="float:left;">
						<input type="checkbox" class="checkbox" name="SMS_REMIND" id="SMS_REMIND"  value="1" <? if($sms_select == '1') {echo "checked"." ";}?>>&nbsp;<?=$_lang["flow_smsalerts"]?>
					</div>
				<?
				}
				if($email_modify!='1')
				{
					if($email_select=='1')
					{
					?>
						<input type="hidden" name="EMAIL_REMIND" id="EMAIL_REMIND" value="1"/>
					<?
					}
				}
				else
				{
				?>
					<div style="float:left;margin-left:5px;">
						<input type="checkbox" class="checkbox" name="EMAIL_REMIND"  id="EMAIL_REMIND" value="1" <? if($email_select == '1') {echo "checked"." ";}?>>&nbsp;<?=$_lang["flow_emailalerts"]?>
					</div>
				<?
				}
				if(ifSendMbSms())
				{
					if($smstel_modify!='1')
					{
						if($smstel_select=='1')
						{
						?>
							<input type="hidden" name="MOBILE_SMS_REMIND" id="MOBILE_SMS_REMIND" value="1"/>
						<?
						}
					}
					else
					{
					?>
						<div style="float:left;margin-left:5px;">
							<input type="checkbox" class="checkbox" name="MOBILE_SMS_REMIND" id="MOBILE_SMS_REMIND"  value="1" <? if($smstel_select == '1') {echo "checked";}?>>&nbsp;<?=$_lang["flow_phonesmsalerts"]?>
						</div>
					<?
					}
				}
				?>
				</div>
			</td>
		</tr>
		<?php
		if($flow_end_remind['FLOW_END_REMIND']==1) {
		?>
		<tr>
			<td class="" style="color:gray;" colspan="2">
				<?=$_lang["flow_set_not_remind"]?>
			</td>
		</tr>
		<?
		}
		?>
		<tr class="tableTrFlowToDocument" style="display: none;">
			<td nowrap="nowrap" class="title"><?=$_lang["flow_to_document_after_end"]?></td>
			<td nowrap="nowrap">
				<input type="hidden" class="readonly" name="folder_id" id="folder_id">
				<input  type="text" style="width:227px;" readonly="readonly"  name="folder_name" id="folder_name">
				<input type="button" class="btn btn-primary" style="" onClick="javascript:LoadWindowSelectFile('folder_id','folder_name','all','1');" value="<?=$_lang["flow_appoint_dir"]?>" name="choosefolder" id="choosefolder">
				<input type="button" value="<?=$_lang["common_empty"]?>" class="btn btn-danger" onClick="clearConten('folder_id','folder_name')" title="<?=$_lang["common_empty"]?>" name="button">
			</td>
		</tr>
	</table>
</form>
</div>
<script type="text/javascript" src="/inc/jquery/jquery.dynamic.js"></script>
<?php showUserGeneralDiv();?>
</body>
</html>
<script type="text/javascript">
jQuery(function(){
	initializationAfterTheFormLoads();
	var lableShowDefaultNum = "<?=$LABLE_SHOW_DEFAULT?>";
	lableShowDefaultNum = parseInt(lableShowDefaultNum)-1;
	if(lableShowDefaultNum == 4)
		lableShowDefaultNum = 3;
	window.workFlowTabs = jQuery( "#con1" ).tabs();
	if(lableShowDefaultNum > 0) {
		jQuery( "#con1" ).tabs('option', 'active', lableShowDefaultNum);
		jQuery( "#con1" ).tabs( "load", 0 );
	}
	jQuery( "#con1" ).tabs( "load", 1 );
	jQuery( "#con1" ).tabs( "load", 2 );
	$( "#con1" ).on( "tabsload", function( event, ui ) {
		// console.log(ui.panel.selector);
		if(ui.panel.selector == "#ui-tabs-1") {
			if($("#canEditFeedBackHiddenString").val() == "canEdit" && $("#canEditFeedBackBrowser").val() == "") {
				UE.getEditor('fckeditorFeedBack1', {
					initialFrameWidth:"100%",
					toolbars: [[
						'bold', 'italic', 'underline', 'forecolor', 'backcolor', '|',
						'fontsize','fontfamily', '|',
						'justifyleft', 'justifycenter', 'justifyright'
					]],
					zIndex:1,
					autoHeightEnabled : false,
					autoFloatEnabled : false
				});
			}
		}
		jQuery(".outSideDiv").getNiceScroll().resize();
	});
	$( "#con1" ).on( "tabsbeforeactivate", function( event, ui ) {
		if(ui.newPanel.selector == "#ui-tabs-1") {
			if($("#canEditFeedBackHiddenString").val() == "canEdit" && $("#canEditFeedBackBrowser").val() == "") {
				UE.getEditor("fckeditorFeedBack1").destroy();
			}
		}
	});
	jQuery( "#con1" ).find("#tags").css("background","#F7F7F7").css("border-bottom","1px #D8D8D8 solid");
	jQuery(".InstancyType").selectpicker({
		height:"30px",
		width:"65px"
	});
	jQuery('.InstancyType').selectpicker('val', '<?=$INSTANCY_TYPE?>');
	jQuery(".flowEndRemindDiv").find('input').iCheck({
		checkboxClass : 'icheckbox_square-blue'
	});
	window.flowEndDialog = jQuery(".flowEndDialog").dialog({
		autoOpen: false,
		width: 530,
		modal: true,
		height:260,
		buttons: [{
			text: "<?=$_lang["common_cancel"]?>",
			'class': "btn btn-default",
			click: function() {
				jQuery(".flowEndDialog").dialog("close");
			}
		}, {
			text: "<?=$_lang["common_sure"]?>",
			'class': "btn btn-primary",
			click: function() {
				jQuery('#formEnd').ajaxSubmit({
					success : function(returnData){
						if(returnData == "success")
						{
							$.pnotify({
								text : "<?=$_lang["flow_flow"].$_lang["flow_stop"]?>",
								type : "success",
								delay : 100,
								addclass: "stack-topleft",
								styling : "bootstrap3",
								history : false,
								sticker : false,
								closer : false,
								after_close: function(pnotify, timer_hide) {
									jQuery(".flowEndDialog").dialog("close");
									window.close();
									flowStepSubmitReloadParent(window.opener);
								}
							});
						}
					}
				});
			}
		}],
	});
	var niceRUN_NAME = $("#RUN_NAME").niceScroll({
		cursoropacitymin: 0
	}).hide();
	$("#RUN_NAME").on({focus : function(event) {
		$(this).css({
			'height': '200px'
		});
		niceRUN_NAME.resize();
	},
	blur : function(event) {
		$(this).css({
			'height': '30px'
		}).scrollTop("0");
		niceRUN_NAME.resize();
	},
	keyup : function () {
		$(this).attr("title",$(this).val());
	}
	});
});
var tagContent = ""
if (tagContent == '')
{
	tagContent = "tagContent<?=$LABLE_SHOW_DEFAULT?>";
}
var tagli_n = "";
tagli_n = ""+tagContent.substr(10,1)+""
if (tagli_n == "" || tagli_n > 7)
{
	tagContent = "tagContent1"
	tagli_n = 1
}
//document.getElementById(tagContent).style.display="block";
if(tagContent == "tagContent5")
{
	tagli_n = 4;
}
//document.getElementById("tags").getElementsByTagName("li")[tagli_n].className="selectedTag";
//var curObject = document.getElementById(tagContent);
//createHtmlForTagdiv(tagContent,curObject);
// function switchTag(tagContent,obj)
// {
// 	var loadRelDoc = "";
// 	for(var i=1; i<document.getElementById("tags").getElementsByTagName("li").length; i++)
// 	{
// 		document.getElementById("tags").getElementsByTagName("li")[i].className="normalTag";
// 	}
// 	obj.parentNode.className="selectedTag";
// 	subDivObj = document.getElementById("tagContent").getElementsByTagName("div");
// 	for(var j=0; j<subDivObj.length; j++)
// 	{
// 		//增加保存，相关文档功能
// 		if(subDivObj[j].style.display=="block"&&subDivObj[j].id=="tagContent3")
// 		{
// 			loadRelDoc = "1";
// 			var DOC_ID = document.getElementById("DOC_ID").value;
// 			saveLableDoc(DOC_ID,tagContent);
// 		}
// 		subDivObj[j].style.display="none";
// 	}
// 	if(loadRelDoc !="1")
// 	{
// 		document.getElementById(tagContent).style.display="block";
// 		var curObject = document.getElementById(tagContent);
// 		createHtmlForTagdiv(tagContent,curObject);
// 	}
// }
function saveLableDoc(doc_id,tagContent)
{
	var par = "doc_id="+doc_id+"&run_id=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>&PRCS_ID=<?=$PRCS_ID?>";
	var url = "/general/workflow/save_doc_ajax.php";
	var objOtext = document.getElementById('otext');
	// objOtext.innerHTML = "<?=$_lang["flow_datasaving"]?>"+"...";
	var saveGimg = {
		onCreate: function(){
			Element.show('divsave');
		},
		onComplete: function() {
			if(Ajax.activeRequestCount == 0){
				Element.hide('divsave');
			}
		}
	};
	Ajax.Responders.register(saveGimg);
	new Ajax.Request
	(
		url,
		{
			method: "post",
			onSuccess : function(resp)
						{
							//关联文档ajax保存成功后再加载页面
							document.getElementById(tagContent).style.display="block";
							var curObject = document.getElementById(tagContent);
							createHtmlForTagdiv(tagContent,curObject);
						},
			onFailure : function()
						{
							alert(url);
						},
			parameters : par
		}
	);
}
function createHtmlForTagdiv(tagContent,curObject)
{
	switch (tagContent)
	{
		case "tagContent1":
			createhtml_s("/general/workflow/input_form/input_area/feedback.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>&PRCS_ID=<?=$PRCS_ID?>",curObject);
			break;
		case "tagContent2":
			createhtml_s("/general/workflow/input_form/input_area/public_attach_ajax.php?RUN_ID=<?=$RUN_ID?>&FLOW_ID=<?=$FLOW_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>",curObject);
			break;
		case "tagContent3":
			createhtml_s("/general/workflow/input_form/input_area/rel_doc.php?FLOW_ID=<?=$FLOW_ID?>&RUN_ID=<?=$RUN_ID?>&PRCS_ID=<?=$PRCS_ID?>&FLOW_PRCS=<?=$FLOW_PRCS?>",curObject);
			break;
		case "tagContent5":
			createhtml_s("/general/workflow/free_flow_view.php?FLOW_ID=<?=$_REQUEST['FLOW_ID']?>&RUN_ID=<?=$_REQUEST['RUN_ID']?>&from=ajax&manageTabWidth="+document.body.clientWidth,curObject);
			break;
	}
}
//initialPage();
//window.attachEvent("onresize",initialPage);
</script>
<!-- textarea自适应高度，在可以输入的界面无滚动条，随文字变化高度 -->
<script type="text/javascript" src="/inc/textarea/autosize.js"></script>
<script>
	autosize(document.querySelectorAll("textarea[id^='DATA_']"));
	autosize(document.querySelectorAll(".detailCharTextArea"));
</script>
