<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      签办反馈编辑
* @encoding      $_lang['encoding']
* @name          general/workflow/input_form/input_area/feedbackedit.php
* @version       2
* @author        sun|www.weaver.com.cn
* @modify        sunx
* @date          2012-02-06
*/
include_once("inc/auth.php");
includelangpak("flow");
include_once("api/fixedworkflow.class.php");
//判断流程是否已经提交了
$FLOW_ID = $flowId;
$workflowRunning = new fixedWorkflow($FLOW_ID);
$workflowRunning->runId = $runId;
//取当前最大步骤
$maxPrcsId       = $workflowRunning->getCurrentMaxPrcsId();
$editAble = 0;
//当前步骤是最大步骤
if($prcsId == $maxPrcsId)
{
	//判断是否已经有人查看过
	$haveRead =  $workflowRunning->isHaveCheck($prcsId,$editTime);
	if(!$haveRead)
	{
		$editAble = 1;
	}
	else
	{
		$errorStr = $_lang["flow_has_been_read_cant_edit"] ;
	}
}
else
{
	$errorStr = $_lang["flow_has_been_turn_cant_edit"];
}
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>" />
<title><?=$_lang["flow_feedback_edit"]?></title>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script language="javascript" src="/fck/fckeditor.js" ></script>
<script language="javascript" src="/fck/added.js" ></script>
<script language="javascript" src="/inc/common.js" ></script>
</head>
<body leftmargin="0" rightmargin="0">
<form name="form1" action="feedbackeditaction.php" method="post" enctype="multipart/form-data">
<input type="hidden" name="runId" value="<?=$runId?>" />
<input type="hidden" name="seqId" value="<?=$seqId?>" />
<input type="hidden" name="prcsId" value="<?=$prcsId?>" />
<input type="hidden" name="flowId" value="<?=$flowId?>" />
<input type="hidden" name="editTime" value="<?=$editTime?>" />
<input type="hidden" name="FLOW_PRCS" value="<?=$FLOW_PRCS?>" />
<table border="0" width="100%" cellpadding="2" cellspacing="1" align="center" class="pubtable">
	<tr>
		<td class="pagehead1"><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/general/icon_workflow.gif" align="absmiddle">&nbsp;<?=$_lang["flow_feedback_content_edit"]?>
		</td>
	</tr>
	<tr>
		<?
		//根据情况，决定是否显示“确定”按钮
		if($editAble)
		{
		?>
		<td class="pagehead2">

			<a class="button" href="javascript:editfeedback();" title="<?=$_lang["common_sure"]?>"><span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/submit.gif" border="0" align="absmiddle" id="turnimg" ><?=$_lang["common_sure"]?></span>
			</a>
			<a class="button" onClick="parent.hs.close();" href="javascript:void(0);" title="<?=$_lang["common_cancel"]?>"><span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/close.gif" border="0" align="absmiddle" id="turnimg" ><?=$_lang["common_cancel"]?></span>
			</a>
		</td>
		<?
		}
		else
		{
		?>
			<td class="pagehead2">
				<a class="button" onClick="ref();"  href="javascript:void(0)" title="<?=$_lang["common_sure"]?>"><span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/submit.gif" border="0" align="absmiddle" id="turnimg" ><?=$_lang["common_sure"]?></span>
				</a>
			</td>
		<?
		}
		?>
	</tr>
	<?
	//根据情况，决定显示编辑器还是显示，提示流程已经提交到下一步
	if($editAble)
	{
		$contentSql = "SELECT CONTENT FROM flow_run_feedback WHERE RUN_ID = '".SecurityFilter($runId)."' AND USER_ID = '".SecurityFilter($LOGIN_USER_ID)."' AND SEQ_ID = '".SecurityFilter($seqId)."' AND PRCS_ID = '".SecurityFilter($prcsId)."' ";
		$contentRs  = exequery($connection,$contentSql);
		if($conRows = mysql_fetch_array($contentRs))
		{
			$CONTENT = $conRows["CONTENT"];
		}
	?>
	<tr>
		<td>
			<textarea id="feedbackContent" name="feedbackContent" ><?=$CONTENT?></textarea>
		</td>
	</tr>
	<script type="text/javascript">
		createpicdiv();
		var oFCKeditor        = new FCKeditor('feedbackContent');
		oFCKeditor.BasePath   = "/fck/" ;
		oFCKeditor.Width      = '100%' ;
		oFCKeditor.Height     = '230' ;
		oFCKeditor.ToolbarSet = 'Flow' ;
		oFCKeditor.ReplaceTextarea() ;
	</script>
	<?
	}
	else
	{
	?>
	<tr>
		<td><br>
			&nbsp;<?=$errorStr?>
		</td>
	</tr>
	<?
	}
	?>
</table>
</form>
<!--此流程已被主办人提交到下一步，无法编辑签办反馈
<input type="button" class="button" value="确定" onclick="window.close();" />-->
</body>
</html>
<script language="javascript">
function ref()
{

	var curObject = window.parent.document.getElementById("tagContent1");
	window.parent.createHtmlForTagdiv("tagContent1",curObject);
	window.parent.hs.close();
}
function editfeedback()
{
	var oEditor = FCKeditorAPI.GetInstance('feedbackContent') ;
	var content = oEditor.GetXHTML();
	if(content == "")
	{
		alert("<?=$_lang["flow_please_fill_feedback"]?>"+"！");
		return;
	}
	else
	{
		document.getElementById("form1").submit();
	}
}
</script>
