<?PHP
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      流程的数据库操作
* @encoding      $_lang['encoding']
* @name          general/workflow/new/do.php
* @version       8
* @author        sun|www.weaver.com.cn
* @modify        sunx
* @date          2012-01-04
*/
include_once("inc/auth.php");
includelangpak("flow");
include_once("inc/utility_html.php");
include_once("../prcs_role.php");
include_once("inc/utility_all.php");
include_once("inc/mobile_sms.inc.php");
include_once("inc/function_flow.php");
include_once("general/workflow/flow_agency/function_agent.php");
include_once("general/workflow/function_textarea.php");
include_once("api/fixedworkflow.class.php");
include_once("api/AnalyticFormView.class.php");
include_once("api/email.class.php");
include_once("general/workflow/flow_expr_run.php");
$func_id       = $_GET["FUNC_ID"];
$sms_select    = $_REQUEST["SMS_REMIND"];
$smstel_select = $_REQUEST["MOBILE_SMS_REMIND"];
$email_select  = $_REQUEST["EMAIL_REMIND"];
if($_REQUEST['f'] != "create")
{
	if($_REQUEST['f'] != "getNewIndex" && $_REQUEST['f'] != "flowLimit" && $_REQUEST['f'] != "flowBatchLimit" && $_REQUEST['f'] != "getFlowHistoryData"&& $_REQUEST['f'] != "firstProcessGetRunSeq")
	{
		if(!run_role($RUN_ID,$PRCS_ID))
		{
			echo "3";
			exit;
		}
	}
}
else
{
	if(!prcs_role($FLOW_ID,1))
	{
		Message("",$_lang["flow_have_nothing_purview"]);
		exit;
	}
}
$LIMIT_DATE       = $LIMIT_DATE." ".$LIMIT_TIME;
if($LIMIT_DATE == " ")
{
	$LIMIT_DATE = NULL;
}
switch ($_REQUEST['f']){
	//创建新流程
	case 'create':
		$workFlowInstance = new fixedWorkflow($FLOW_ID);
		//---直接创建流程---
		$runId = $workFlowInstance->create($_SESSION["LOGIN_USER_ID"]);
		//新建的时候，将流程置为失效
		$workFlowInstance->updateFlowIsEffect(array("RUN_ID"=>$runId));
		//检测此流程中是否含有子流程,增加查看权限
		addViewUser($runId);
		header('location:main.php?RUN_ID='.$runId.'&FLOW_ID='.$FLOW_ID.'&PRCS_ID=1&FLOW_PRCS=1&FUNC_ID='.$func_id.'&DATA_RUN_ID='.$DATA_RUN_ID);
		exit;
		break;
	//流程转交下一步
	case 'turnnext':
		if(checkFlowStepValueBeforeSubmit($RUN_ID,array("PRCS_ID"=>$PRCS_ID,"FLOW_PRCS"=>$FLOW_PRCS_UP)) == "false") {
			Message("",$_lang["flow_haveturn_can_not_save"],"failed");
			exit();
		}
		$workFlowInstance = new fixedWorkflow($FLOW_ID);
		$workFlowInstance->runId = $RUN_ID;
		$workFlowInstance->flowRunningInfo();
		$parentFlowName  = $workFlowInstance->runName;
		if($SMS_REMIND)
		{
			if($smsct) {
				$smsct = $smsct;
			} else {
				$smsct = $_lang["flow_todoprocess"]."-".$parentFlowName;
			}
		} else {
			$smsct = "";
		}
		if($MOBILE_SMS_REMIND)
		{
			if($mobilect) {
				$mobilect = $mobilect;
			} else {
				$mobilect = $_lang["flow_todoprocess"]."-".$parentFlowName;
			}
		} else {
			$mobilect = "";
		}
		if($EMAIL_REMIND)
		{
			if($emailct) {
				$emailct = $emailct;
			} else {
				$emailct = $_lang["flow_todoprocess"]."-".$parentFlowName;
			}
		} else {
			$emailct = "";
		}
		//创建子流程 edit by sun 2009-06-29,子流程的标题改成父流程名+触发+子流程名,毛的建议讨论后决定
		$parentFlowName  = $_lang["flow_cause"].$parentFlowName."--"."$LOGIN_USER_NAME";
		$subFlowIdsArray = explode(",",trim($_REQUEST['sub_flow_ids'],","));
		$subFlowCount    = count($subFlowIdsArray);
		if($subFlowIdsArray[0] == "")
			$subFlowCount--;
		if($subFlowCount)
		{
			$subFlowRunIds = "";
			for($i=0 ; $i < $subFlowCount; $i++)
			{
				$subWorkFlow   = new fixedWorkflow($subFlowIdsArray[$i]);
				if ($subWorkFlow->isUsing == "1") {
					$creator_id    = "subWorkflowId_".$subFlowIdsArray[$i];
					$creator       = $_REQUEST["$creator_id"];
					if(!$creator)
						continue;
					$runId = $subWorkFlow->create($creator,$parentFlowName);
					$subFlowRunIds .= $runId.",";
					$workFlowInstance->updateFlowIsEffect(array("RUN_ID"=>$runId,"IS_EFFECT"=>"1"));
				}
			}
		}
		//在这里添加一个对主办人的处理，对应第四种流程办理方式
		$nodeInfo     = $workFlowInstance->getNodeInfo();
		$FLOW_PRCS_UP = $_REQUEST["FLOW_PRCS_UP"];
		$PRCS_OPTYPE  = $nodeInfo[$FLOW_PRCS_UP]["PRCS_OPTYPE"];
		if($PRCS_OPTYPE == 3)
			$workFlowInstance->setOpFlag($PRCS_OPTYPE,$PRCS_ID,$FLOW_PRCS_UP,$LOGIN_USER_ID);
		//这里判断主办人id如果不在经办人ID串里面，且办理方式是第一种，把主办人id添进去
		if(strpos($PRCS_USER,$PRCS_OP_USER.",") === false && $PRCS_OP_USER!="" && $nodeInfo[$FLOW_PRCS]["PRCS_OPTYPE"] < 1)
			$PRCS_USER .= $PRCS_OP_USER.",";
		// 提交页面抄送时的被抄送人员
		$byCopyUserId = $_REQUEST["byCopyUserId"];
		// 归档到指定目录
		$folder_id = $_REQUEST["folder_id"];
		if($folder_id) {
			$params["folder_id"] = $folder_id;
		}
		//转交下一步
		$workFlowInstance->turnNext($FLOW_PRCS,$PRCS_ID,$PRCS_USER,$PRCS_OP_USER,$DOC_ID,$OP,$subFlowRunIds,$LIMIT_DATE,'',$mobilect,$smsct,$emailct,"","","",$FLOW_PRCS_UP,$byCopyUserId,$params);
		//检测此流程中是否含有子流程
		addViewUser($RUN_ID);
		//数据外发
		getSendNeedDataBeforeSend($FLOW_ID,$RUN_ID,$FLOW_PRCS,$PRCS_ID,$PRCS_USER,$PRCS_OP_USER,$OP);
		echo "success";
		exit();
		?>
		<script type="text/javascript">
			// function doRefresh()
			// {
			// 	parent.window.parent.flowTrunDialog.dialog("close");
			// 	parent.$.pnotify({
			// 		text : "<?=$_lang['common_workflow'].$_lang['common_submit'].$_lang['common_complete']?>",
			// 		type : "success",
			// 		delay : 500,
			// 		addclass: "stack-topleft",
			// 		styling : "bootstrap3",
			// 		history : false,
			// 		sticker : false,
			// 		closer : false,
			// 		after_close: function(pnotify, timer_hide) {
			// 			parent.close();
			// 			if(parent.opener)
			// 			{
			// 				var fromUrl = parent.opener.location ;
			// 				if(fromUrl.pathname)
			// 				{
			// 					if(fromUrl.pathname.lastIndexOf("edit2.php")==-1&&fromUrl.pathname.lastIndexOf("input_form.php")==-1)
			// 					{
			// 						parent.opener.location.reload();
			// 					}
			// 				}
			// 			}
			// 		}
			// 	});
			// 	//parent.hs.close();
			// }
		</script>
		<?
		// echo "<script>doRefresh();</script>";
		// exit;
		break;
	case 'saveform':
		if(checkFlowStepValueBeforeSubmit($RUN_ID,array("PRCS_ID"=>$PRCS_ID,"FLOW_PRCS"=>$FLOW_PRCS_UP)) == "false") {
			Message("",$_lang["flow_haveturn_can_not_save"],"failed");
			exit();
		}
		//经办人提交流程
		$workFlowInstance = new fixedWorkflow($FLOW_ID);
		$workFlowInstance->runId = $RUN_ID;
		$workFlowInstance->flowRunningInfo();
		$is_concourse            = $_REQUEST["is_concourse"];
		$muc                     = $_REQUEST["muc"];
		// 为空，则，会到已办事宜
		$updateUserRunType       = "";
		$nodeInfo                = $workFlowInstance->getNodeInfo();
		$FLOW_PRCS_UP            = $_REQUEST["FLOW_PRCS_UP"];
		$PRCS_OPTYPE             = $nodeInfo[$FLOW_PRCS_UP]["PRCS_OPTYPE"];
		// 不是第四种办理方式
		if($PRCS_OPTYPE < 3) {
			if ($OP_FLAG == 1) {
				// 需要会签
				if ($is_concourse == 1 && $muc > 0) {
					$updateUserRunType = "update";
				}
			}
		}
		$workFlowInstance->saveForm($PRCS_ID,"",$updateUserRunType);
		// 提交页面抄送
		// 提交页面抄送时的被抄送人员
		$byCopyUserId = $_REQUEST["byCopyUserId"];
		if($byCopyUserId) {
			$copyFlowParam = array("RUN_ID"=>$RUN_ID,"COPY_USER"=>$LOGIN_USER_ID,"FLOW_ID"=>$FLOW_ID,"PRCS_ID"=>$PRCS_ID,"FLOW_PRCS"=>$FLOW_PRCS_UP,"smsContent"=>"","mbSmsContent"=>"","emailContent"=>"","docId"=>$DOC_ID,"byCopyUserId"=>$byCopyUserId,"copyFrom"=>"handleSubmit");
			$workFlowInstance->copyFlowByProcessSet($copyFlowParam);
		}
		if($workFlowInstance->isEnd())
			addViewUser($RUN_ID);
		echo "success";
		exit();
		?>
		<script type="text/javascript">
		// function doRefresh()
		// {
		// 	parent.window.parent.flowTrunDialog.dialog("close");
		// 	parent.$.pnotify({
		// 		text : "<?=$_lang['common_save_successed']?>",
		// 		type : "success",
		// 		delay : 500,
		// 		addclass: "stack-topleft",
		// 		styling : "bootstrap3",
		// 		history : false,
		// 		sticker : false,
		// 		closer : false,
		// 		after_close: function(pnotify, timer_hide) {
		// 			parent.close();
		// 			if(parent.opener)
		// 			{
		// 				var fromUrl = parent.opener.location ;
		// 				if(fromUrl.pathname)
		// 				{
		// 					if(fromUrl.pathname.lastIndexOf("edit2.php")==-1&&fromUrl.pathname.lastIndexOf("input_form.php")==-1)
		// 					{
		// 						parent.opener.location.reload();
		// 					}
		// 				}
		// 			}
		// 		}
		// 	});
		// 	//parent.hs.close();
		// }
		</script>
        <?
		// echo "<script>doRefresh();</script>";
		// exit;
	break;
	case 'autosave':
		$workFlowInstance = new fixedWorkflow($FLOW_ID);
		$formArray        = array();
		$formArrayNew     = array();
		$formCLassArrayNew = array();
		foreach ($_REQUEST as $key => $value) {
			if(substr(rtrim($key,"_CLASS"),0,5) == "DATA_") {
				$I = str_replace("DATA_", "", rtrim($key,"_CLASS"));
				//旧的流程结构，表单数据
				$formArray[$I] = $value;
				if(strrpos($key, "_CLASS")) {
					// class的获取处理，为了处理签名图片经办人清空问题
					$formCLassArrayNew[$I] = $_REQUEST["DATA_".$I."_CLASS"];
				} else {
					//新的流程结构，表单数据
					$formArrayNew[$I] = $value;
				}
			}
		}
		$workFlowInstance->runName = $_REQUEST['RUN_NAME'];
		$workFlowInstance->runId   = $RUN_ID;
		$docId   = $doc_id;
		if($OP_FLAG)
		{
			$turned = $workFlowInstance->haveTurned($PRCS_ID,$LOGIN_USER_ID);
		}
		else
		{
			$turned = $workFlowInstance->operatorHaveTurned($PRCS_ID,$LOGIN_USER_ID);
		}
		//保存流程紧急程度
		$InstancyType = $_REQUEST['InstancyType'];
		if($InstancyType != "")
			$workFlowInstance->saveInstancyType($InstancyType);
		//增加判断流程是否已经提交(包括主办人和经办人)，如果已经提交则不执行保存数据功能
		if($turned)
		{
			echo "2";
			exit;
		}
		else
		{
			if($OP_FLAG) {
				$workFlowInstance->autoSave($formArray,$docId,$formArrayNew);
				//新建流程的时候执行保存之后，将流程的"失效"字段改成"1"，代表有效
				if ($_REQUEST["PRCS_ID"] == "1" && $_REQUEST["FLOW_PRCS"] == "1") {
					// 获取流水号并保存
					// $workFlowInstance->manualCreateFlowRunSeq($LOGIN_USER_ID);
					$workFlowInstance->updateFlowIsEffect(array("RUN_ID"=>$_REQUEST["RUN_ID"],"IS_EFFECT"=>"1"));
				}
			} else {
				$workFlowInstance->savejointlysign($formArray,$formArrayNew,$formCLassArrayNew);
			}

			// 在这里处理不选人提交，参数如下
			$param["RUN_ID"]        = $_REQUEST["RUN_ID"];
			$param["PRCS_ID"]       = $_REQUEST["PRCS_ID"];
			$param["FLOW_PRCS"]     = $_REQUEST["FLOW_PRCS"];
			$param["OP_FLAG"]       = $_REQUEST["OP_FLAG"];
			$param["FLOW_ID"]       = $_REQUEST["FLOW_ID"];
			$param["DOC_ID"]        = $_REQUEST["doc_id"];
			$param["LOGIN_USER_ID"] = $LOGIN_USER_ID;
			// 固定流程才需要判断这个，自由流程不管
			if($workFlowInstance->flowType == "1") {
				$result = $workFlowInstance->submitWithoutDialog($param);
				if ($result) {
					echo json_encode($result);
				} else {
					echo "1";
				}
			} else {
				echo "1";
			}
		}
		exit;
	break;
	//保存对流水号的更
	case 'savefilenumber':
		$FLOW_ID = $_REQUEST['FLOW_ID'];
		$RUN_ID = $_REQUEST['RUN_ID'];
		$workFlowInstance = new workflow($FLOW_ID);
		$result = $workFlowInstance->savefilenumber($RUN_ID,$RUN_SEQ);
		echo $result;
	break;
	//返回新建主页面的列表数据
	case "getNewIndex":
		if($_REQUEST["getDataFrom"] == "chooseLink")
		{
			$offset   = SecurityFilter($_REQUEST["currentPage"]);
			$rows     = SecurityFilter($_REQUEST["itemsPerPage"]);
			$readType = SecurityFilter($_REQUEST["readType"]);
			$fieldSearchVal = SecurityFilter($_REQUEST["fieldSearchVal"]);
			$CUSTOMPARAM = "";
			$returnArray = array("totalCount"=>"","list"=>array());
			switch ($readType){
				case 'flowName' :
					$CUSTOMPARAM .= " AND (
										ft.FLOW_NAME like '%".$fieldSearchVal."%'
										OR ft.FLOW_NAME_PY like '%".$fieldSearchVal."%'
										OR ft.FLOW_NAME_ZM like '%".$fieldSearchVal."%'
									)";
				break;
			}
			$pubSql = "
						FROM flow_type ft
						LEFT JOIN flow_sort fs ON(fs.ID = ft.FLOW_SORT)
						LEFT JOIN FLOW_PROCESS fp ON(fp.FLOW_ID = ft.FLOW_ID AND fp.PRCS_ID=1)
						WHERE ft.IS_USING = 1 AND ((
							ft.FLOW_TYPE = 1
							AND (
								(INStr(fp.PRCS_DEPT,',".SecurityFilter($LOGIN_DEPT_ID).",')>0 or INStr(fp.PRCS_DEPT,'".SecurityFilter($LOGIN_DEPT_ID).",')=1)
								OR
								(INStr(fp.PRCS_PRIV,',".SecurityFilter($LOGIN_USER_PRIV).",')>0 or INStr(fp.PRCS_PRIV,'".SecurityFilter($LOGIN_USER_PRIV).",')=1)
								OR
								(INStr(fp.PRCS_USER,',".SecurityFilter($LOGIN_USER_ID).",')>0 or INStr(fp.PRCS_USER,'".SecurityFilter($LOGIN_USER_ID).",')=1)
							)
						)
						OR
						(
							ft.FLOW_TYPE = 2
							AND (
								(INStr(ft.CREATE_DEPT,',".SecurityFilter($LOGIN_DEPT_ID).",')>0 or INStr(ft.CREATE_DEPT,'".SecurityFilter($LOGIN_DEPT_ID).",')=1)
								OR
								(INStr(ft.CREATE_PRIV,',".SecurityFilter($LOGIN_USER_PRIV).",')>0 or INStr(ft.CREATE_PRIV,'".SecurityFilter($LOGIN_USER_PRIV).",')=1)
								OR
								(INStr(ft.CREATE_USER,',".SecurityFilter($LOGIN_USER_ID).",')>0 or INStr(ft.CREATE_USER,'".SecurityFilter($LOGIN_USER_ID).",')=1)
							)
						))
						".$CUSTOMPARAM."
						ORDER BY fs.NOORDER ASC,ft.FLOW_NOORDER ASC, ft.FLOW_ID ASC
						";
			$countSql = "SELECT ft.FLOW_ID ".$pubSql;
			$cntRs = exequery($connection,$countSql);
			$totalCount = mysql_affected_rows();
			$returnArray["totalCount"] =  $totalCount;
			while($offset*$rows >=$totalCount &&$offset)
				$offset = $offset- 1;
			$idSql    = "SELECT ft.FLOW_SORT,ft.FLOW_NAME,ft.FLOW_ID,ft.CREATE_USER,ft.CREATE_DEPT,ft.CREATE_PRIV,ft.FLOW_TYPE,fp.PRCS_USER,fp.PRCS_DEPT,fp.PRCS_PRIV ".$pubSql;
			$idSql   .= "LIMIT ".$offset*$rows.",".$rows."";
			$rs     = exequery($connection,$idSql);
			while($row = mysql_fetch_array($rs,MYSQL_ASSOC))
			{
				$detailRows[] = $row;
			}
			$returnArray["list"] = $detailRows;
			echo json_encode($returnArray);
		}
		else
		{
			$sql = "SELECT ID,NOORDER,TITLE FROM flow_sort ORDER BY NOORDER ASC";
			$rs  = exequery($connection,$sql);
			while ($row = mysql_fetch_array($rs)){
				$arrayflowsort[$row['ID']] = $row['TITLE'];
			}
			$sqlfl = "
						SELECT fr.CNT,ft.FLOW_SORT,ft.FLOW_NAME,ft.FLOW_ID,ft.CREATE_USER,ft.CREATE_DEPT,ft.CREATE_PRIV,ft.FLOW_TYPE,fp.PRCS_USER,fp.PRCS_DEPT,fp.PRCS_PRIV
						FROM flow_type ft
						LEFT JOIN flow_sort fs ON(fs.ID = ft.FLOW_SORT)
						LEFT JOIN FLOW_PROCESS fp ON(fp.FLOW_ID = ft.FLOW_ID and fp.PRCS_ID=1)
						LEFT JOIN (
							SELECT COUNT(RUN_ID) CNT,FLOW_ID FROM flow_run
							WHERE CREATOR = '".SecurityFilter($LOGIN_USER_ID)."'
							GROUP BY FLOW_ID
						) fr ON fr.FLOW_ID = ft.FLOW_ID
 						WHERE ft.IS_USING = 1
						ORDER BY fs.NOORDER ASC,ft.FLOW_NOORDER ASC, ft.FLOW_ID ASC";
			$rsfl  = exequery($connection,$sqlfl);
			while($rowfl = mysql_fetch_array($rsfl) ){
				$arrayflowid_n[$rowfl['FLOW_ID']]['prcs_user'] = $rowfl['PRCS_USER'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['prcs_dept'] = $rowfl['PRCS_DEPT'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['prcs_priv'] = $rowfl['PRCS_PRIV'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['flowsort']  = $rowfl['FLOW_SORT'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['flowname']  = $rowfl['FLOW_NAME'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['flowtype']  = $rowfl['FLOW_TYPE'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['CREATE_USER']  = $rowfl['CREATE_USER'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['CREATE_DEPT']  = $rowfl['CREATE_DEPT'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['CREATE_PRIV']  = $rowfl['CREATE_PRIV'];
				$arrayflowid_n[$rowfl['FLOW_ID']]['FLOW_CNT']     = $rowfl['CNT'];
			}
			if(count($arrayflowid_n) > 0){
				$u_id = ','.$LOGIN_USER_ID.',';
				$d_id = ','.$LOGIN_DEPT_ID.',';
				$u_priv = ','.$LOGIN_USER_PRIV.',';
				foreach($arrayflowid_n as $key=>$val){
					if($val['flowtype'] == 1){
						$s_prcs_user = ','.$val['prcs_user'];
						$s_prcs_dept = ','.$val['prcs_dept'];
						$s_prcs_priv = ','.$val['prcs_priv'];
						if(strpos($s_prcs_user,$u_id) === false && strpos($s_prcs_dept,$d_id) === false && strpos($s_prcs_priv,$u_priv) === false){
							continue;
						}
					}else if($val['flowtype'] == 2){
						$s_prcs_user = ','.$val['CREATE_USER'];
						$s_prcs_dept = ','.$val['CREATE_DEPT'];
						$s_prcs_priv = ','.$val['CREATE_PRIV'];
						if(strpos($s_prcs_user,$u_id) === false && strpos($s_prcs_dept,$d_id) === false && strpos($s_prcs_priv,$u_priv) === false){
							continue;
						}
					}
					$arrayflowid[$key] = $val;
				}
			}
			if(is_array($arrayflowid)){
				while(list($key,$var)=each($arrayflowid)){
					$arrayuse[$arrayflowsort[$var['flowsort']]]['sortname'] = $arrayflowsort[$var['flowsort']];
					$arrayuse[$arrayflowsort[$var['flowsort']]]['flowid'][$key."a"]['flowid'] = $key;
					$arrayuse[$arrayflowsort[$var['flowsort']]]['flowid'][$key."a"]['flowname'] = $var['flowname'];
					$arrayuse[$arrayflowsort[$var['flowsort']]]['flowid'][$key."a"]['flowtype'] = $var['flowtype'];
					$arrayuse[$arrayflowsort[$var['flowsort']]]['flowid'][$key."a"]['FLOW_CNT'] = $var['FLOW_CNT'];
				}
				reset($arrayflowid);
			}
			echo json_encode($arrayuse);
		}
	break;
	//流程催办
	case "flowLimit":
		$param = $_REQUEST;
		$param["LOGIN_USER_ID"] = $LOGIN_USER_ID;
		echo flowLimitRealize($param);
		break;
	//流程批量催办
	case "flowBatchLimit":
		$batchLimitData = $_REQUEST["batchLimitData"];
		$batchLimitData = json_decode(stripslashes($batchLimitData),true);
		if(count($batchLimitData)) {
			foreach ($batchLimitData as $key => $value) {
				$flowLimitContent           = $_REQUEST["flowLimitContent"]."    流程名称：".$value["RUN_NAME"];
				$value["LIMIT_TYPE"]        = $_REQUEST["LIMIT_TYPE"];
				$value["LOGIN_USER_ID"]     = $LOGIN_USER_ID;
				$value["max_self_prcs_id"]  = $max_self_prcs_id;
				$value["flowLimitContent"]  = $flowLimitContent;
				$value["SMS_REMIND"]        = $SMS_REMIND;
				$value["EMAIL_REMIND"]      = $EMAIL_REMIND;
				$value["MOBILE_SMS_REMIND"] = $MOBILE_SMS_REMIND;
				flowLimitRealize($value);
			}
			echo "success";
		}
		break;
	//获取历史数据,5条
	case "getFlowHistoryData":
		$sql = "
				SELECT * FROM flow_run fr
				LEFT JOIN flow_type ft ON fr.FLOW_ID = ft.FLOW_ID
				WHERE fr.flow_id = '".SecurityFilter($_REQUEST["flowid"])."'
				AND IS_EFFECT = '1'
				";
		if($_REQUEST["searchValue"])
			$sql .= "AND fr.RUN_NAME like '%".urldecode(SecurityFilter($_REQUEST["searchValue"]))."%' ";
		$sql .= "
				AND fr.CREATOR = '".SecurityFilter($LOGIN_USER_ID)."'
				ORDER BY fr.RUN_ID DESC LIMIT 0,5
				";
		$rs  = exequery($connection,$sql);
		while ($row = mysql_fetch_array($rs,MYSQL_ASSOC)){
			$arrayflowdata[] = $row;
		}
		echo json_encode($arrayflowdata);
		break;
	//首节点的时候，获取流水号并展示
	case "firstProcessGetRunSeq":
		$workFlowInstance = new fixedWorkflow($FLOW_ID);
		$workFlowInstance->runId = $RUN_ID;
		if($OP_FLAG) {
			$turned = $workFlowInstance->haveTurned($PRCS_ID,$LOGIN_USER_ID);
		} else {
			$turned = $workFlowInstance->operatorHaveTurned($PRCS_ID,$LOGIN_USER_ID);
		}
		//增加判断流程是否已经提交(包括主办人和经办人)，如果已经提交则不执行保存数据功能
		if($turned) {
		} else {
			if($OP_FLAG) {
				if ($_REQUEST["PRCS_ID"] == "1" && $_REQUEST["FLOW_PRCS"] == "1") {
					// 获取流水号并保存
					$runSeq = $workFlowInstance->manualCreateFlowRunSeq($LOGIN_USER_ID);
					echo json_encode($runSeq);
				}
			}
		}
		// $sql = "
		// 		SELECT RUN_SEQ FROM flow_run
		// 		WHERE run_id = '".$_REQUEST["run_id"]."'
		// 		";
		// $rs = exequery($connection,$sql);
		// if ($row = mysql_fetch_array($rs,MYSQL_ASSOC)){
		// 	$runSeq = $row["RUN_SEQ"];
		// 	$runSeq = str_replace(PHP_EOL, '', html_entity_decode($runSeq,ENT_QUOTES,'UTF-8'));
		// 	echo json_encode($runSeq);
		// }
		break;
}
function flowLimitRealize($param) {
	global $connection,$_lang;
	$RUN_ID            = $param["RUN_ID"];
	$PRCS_ID           = $param["PRCS_ID"];
	$FLOW_PRCS         = $param["FLOW_PRCS"];
	$FLOW_ID           = $param["FLOW_ID"];
	$LIMIT_TYPE        = $param["LIMIT_TYPE"];
	$flowLimitContent  = $param["flowLimitContent"];
	$SMS_REMIND        = $param["SMS_REMIND"];
	$EMAIL_REMIND      = $param["EMAIL_REMIND"];
	$MOBILE_SMS_REMIND = $param["MOBILE_SMS_REMIND"];
	$LOGIN_USER_ID     = $param["LOGIN_USER_ID"];
	$max_self_prcs_id  = $param["max_self_prcs_id"];
	if($LIMIT_TYPE == "finished_list") {
		$NEXT_PRCS_ID = $max_self_prcs_id + 1;
	} else if($LIMIT_TYPE == "flow_manage") {
		$NEXT_PRCS_ID = $PRCS_ID;
	}
	$SMS_CONTENT = $flowLimitContent;
	$query = "
			SELECT DISTINCT USER_ID
			FROM flow_run_prcs
			WHERE RUN_ID = '".SecurityFilter($RUN_ID)."'
			AND PRCS_ID = '".SecurityFilter($NEXT_PRCS_ID)."'
			AND SAVEFORM_TIME IS NULL
		";
	$res = exequery($connection,$query);
    $USER_ID_STRING = "";
	while($ROW = mysql_fetch_array($res)) {
		$USER_ID     = $ROW['USER_ID'];
		$USER_ID_STRING .= $ROW["USER_ID"] . ",";
		if($EMAIL_REMIND == '1') {
			if(ifSendMbSms('email')) {
				$email = new email();
				$email->sendEmail($LOGIN_USER_ID,$USER_ID,$USER_ID,$_lang["flow_deal_email_remind"],$SMS_CONTENT,date("Y-m-d H:i:s",time()),'','');
			}
		}
	}
    $USER_ID_STRING = substr($USER_ID_STRING, 0, -1);
    $TABLE_ID    = $RUN_ID;
	$TABLE_NAME  = "flow_run";
	$TABLE_VAR   = "FLOW_ID,RUN_ID,PRCS_ID,FLOW_PRCS,|".$FLOW_ID.",".$RUN_ID.",$NEXT_PRCS_ID,$FLOW_PRCS,";
	if($SMS_REMIND == '1') {
		if(ifSendMbSms('message')) {
			sendSms($LOGIN_USER_ID,$USER_ID_STRING,$SMS_CONTENT,1,7,$TABLE_NAME,$TABLE_ID,$TABLE_VAR);
		}
	}
	if($MOBILE_SMS_REMIND == '1') {
		if(ifSendMbSms()) {
			$newSms = new MobileSms();
			$newSms->SelfSendMore($USER_ID_STRING,$SMS_CONTENT);
		}
	}
	echo "success";
}
?>
