<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/workflow/overtime/index_do.php
 *@function:         超时查询获取列表数据的页面
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:           dingp
 *@date:             2013-04-03
 *@file Version:     1.0
 *@eoffice Version:  8.0
*/
//列表类型
include_once("inc/auth.php");
include_once("api/workflow.list.class.php");
include_once("inc/function_flow.php");
include_once("inc/function_usergeneral.php");
include_once("inc/utility_all.php");
include_once("inc/coop_func/fun_coop.php");
include_once("inc/function_page_01.php");
include_once("inc/function_picture.php");
includelangpak("flow");
$listType          = $_REQUEST["listType"];
//快速筛选参数
$quickSortParam    = $_REQUEST['quickSortParam'];
//拼音检索参数
$pinYinSearchParam = $_REQUEST['pinYinSearchParam'];
//分页参数_偏移量
$offset            = $_REQUEST['paginationOffset'];
//分页参数_最大数目
$rows              = $_REQUEST['paginationRows'];
//排序参数
$sortParamRequest  = $_REQUEST['sortParam'];
$sortParamSplit    = explode("*", $sortParamRequest);
$sortField         = $sortParamSplit[0];
$sortType          = $sortParamSplit[1];
$htmlStr           = "";
//查询相关
$where_str   = array();
$searchArray = array();
//流程分类
if (trim($_REQUEST["FLOW_SORT"]) != "" && trim($_REQUEST["FLOW_SORT"]) != "0") {
    $where_str['FLOW_SORT'] = $_REQUEST["FLOW_SORT"];
    array_push($searchArray, array(
            "field" => "FLOW_SORT",
            "title" => $_lang["flow_flowcategory"],
            "text"  => getFlowSortNameById($_REQUEST["FLOW_SORT"]),
            "value" => $_REQUEST["FLOW_SORT"],
            "op"    => $_lang["other_equal"]
    ));
}
//流程名称
if (trim($_REQUEST["FLOW_ID"]) != "" && trim($_REQUEST["FLOW_ID"]) != "0") {
    $where_str['FLOW_ID'] = $_REQUEST["FLOW_ID"];
    array_push($searchArray, array(
            "field" => "FLOW_ID",
            "title" => $_lang["flow_flowname"],
            "text"  => getFlowTypeNameById($_REQUEST["FLOW_ID"]),
            "value" => $_REQUEST["FLOW_ID"],
            "op"    => $_lang["other_equal"]
    ));
}
//流程节点
if (trim($_REQUEST["FLOW_ID"]) != "" && trim($_REQUEST["FLOW_ID"]) != "0") {
    if (trim($_REQUEST["FLOW_PRCS"]) != "" && trim($_REQUEST["FLOW_PRCS"]) != "0") {
        $where_str['FLOW_PRCS'] = $_REQUEST["FLOW_PRCS"];
        array_push($searchArray, array(
                "field" => "FLOW_PRCS",
                "title" => $_lang["flow_flow"].$_lang["flow_node"],
                "text"  => getFlowPrcsName($_REQUEST["FLOW_PRCS"],$_REQUEST["FLOW_ID"]),
                "value" => $_REQUEST["FLOW_PRCS"],
                "op"    => $_lang["other_equal"]
        ));
    }
}
//工作流状态
if (trim($_REQUEST["FLOW_STATUS"]) != "" && trim($_REQUEST["FLOW_STATUS"]) != "ALL") {
    if($_REQUEST["FLOW_STATUS"] == "1")
        $flow_status_str = $_lang["flow_completed"];
    else if($_REQUEST["FLOW_STATUS"] == "0")
        $flow_status_str = $_lang["flow_action"];
    $where_str['FLOW_STATUS'] = $_REQUEST["FLOW_STATUS"];
    array_push($searchArray, array(
            "field" => "FLOW_STATUS",
            "title" => $_lang["flow_workflowstatus"],
            "text"  => $flow_status_str,
            "value" => $_REQUEST["FLOW_STATUS"],
            "op"    => $_lang["other_equal"]
    ));
}
//流程紧急程度
if (trim($_REQUEST["instancy_type"]) != "" && trim($_REQUEST["instancy_type"]) != "ALL") {
    $where_str['instancy_type'] = $_REQUEST["instancy_type"];
    array_push($searchArray, array(
            "field" => "instancy_type",
            "title" => $_lang["flow_flow"].$_lang["common_instancy_extent"],
            "text"  => getInstancyName($_REQUEST["instancy_type"]),
            "value" => $_REQUEST["instancy_type"],
            "op"    => $_lang["other_equal"]
    ));
}
//流程创建人
if (trim($_REQUEST["flow_creator_id"]) != "") {
    $where_str['flow_creator_id'] = $_REQUEST["flow_creator_id"];
    array_push($searchArray, array(
            "field" => "flow_creator_id",
            "title" => $_lang["flow_flow_creator"],
            "text"  => getUserNameNew($_REQUEST["flow_creator_id"]),
            "value" => $_REQUEST["flow_creator_id"],
            "op"    => $_lang["other_equal"]
    ));
}
//超时人员
if (trim($_REQUEST["flow_overtime_id"]) != "") {
    $where_str['flow_overtime_id'] = $_REQUEST["flow_overtime_id"];
    array_push($searchArray, array(
            "field" => "flow_overtime_id",
            "title" => $_lang["flow_overtime_user"],
            "text"  => getUserNameNew($_REQUEST["flow_overtime_id"]),
            "value" => $_REQUEST["flow_overtime_id"],
            "op"    => $_lang["other_equal"]
    ));
}
//流水号
if (trim($_REQUEST["FLOW_DESCP"]) != "") {
    $where_str['FLOW_DESCP'] = dhtmlspecialchars($_REQUEST["FLOW_DESCP"]);
    array_push($searchArray, array(
            "field" => "FLOW_DESCP",
            "title" => $_lang["flow_filenumber"],
            "text"  => dhtmlspecialchars($_REQUEST["FLOW_DESCP"]),
            "op"    => $_lang["other_include"]
    ));
}
//标题
if (trim($_REQUEST["RUN_NAME"]) != "") {
    $where_str['RUN_NAME'] = dhtmlspecialchars($_REQUEST["RUN_NAME"]);
    array_push($searchArray, array(
            "field" => "RUN_NAME",
            "title" => $_lang["common_title"],
            "text"  => dhtmlspecialchars($_REQUEST["RUN_NAME"]),
            "op"    => $_lang["other_include"]
    ));
}
//流程开始日期--大于
if (trim($_REQUEST["PRCS_DATE1"]) != "") {
    $where_str['PRCS_DATE1'] = dhtmlspecialchars($_REQUEST["PRCS_DATE1"]);
    array_push($searchArray, array(
            "field" => "PRCS_DATE1",
            "title" => $_lang["flow_flowstartdate"],
            "text"  => dhtmlspecialchars($_REQUEST["PRCS_DATE1"]),
            "op"    => $_lang["other_greaterthanorequal"]
    ));
}
//流程开始日期--小于
if (trim($_REQUEST["PRCS_DATE2"]) != "") {
    $where_str['PRCS_DATE2'] = dhtmlspecialchars($_REQUEST["PRCS_DATE2"]);
    array_push($searchArray, array(
            "field" => "PRCS_DATE2",
            "title" => $_lang["flow_flowstartdate"],
            "text"  => dhtmlspecialchars($_REQUEST["PRCS_DATE2"]),
            "op"    => $_lang["other_lessthanorequal"]
    ));
}
//查询添加到快速筛选
if(count($searchArray) != 0 && $_REQUEST["op"] == "search")
{
    AddRecentSearchParam($searchArray, "workflow_2", $_SESSION["LOGIN_USER_ID"]);
}
//生成list类所需要的几个数组参数
$type   = array("TYPE"=>$listType,"CONSTAINLIST"=>"1");
$search = array("USER_ID"=>$LOGIN_USER_ID,"QUICKSORTPARAM"=>$quickSortParam,"SEARCH_STR"=>$where_str);
$page   = array("PAGINATIONOFFSET"=>$offset,"PAGINATIONROWS"=>$rows,"SORTFIELD"=>$sortField,"SORTTYPE"=>$sortType);
$other  = array("");
$list   = new listItem($type,$search,$page,$other);
$workflowList = $list->getList();
if($listType == "overtime")
{
	ob_start();
    ?>
	<table border="0" cellspacing="0" width="100%"  cellpadding="0" class="pubtable">
        <thead>
            <tr>
            	<td width="160" nowrap="nowrap"><?=$_lang["flow_filenumber"]?></td>
                <td nowrap="nowrap"><?=$_lang["common_title"]?></td>
                <td width="150" nowrap="nowrap"><?=$_lang["flow_stepname"]?></td>
                <td width="60" nowrap="nowrap"><?=$_lang["common_stepstatus"]?></td>
                <td width="120" nowrap="nowrap"><?=$_lang["flow_dealperson"]?></td>
                <td width="120" nowrap="nowrap"><?=$_lang["flow_presstime"]?></td>
                <td width="150" nowrap="nowrap"><?=$_lang["flow_overtime_time"]?></td>
            </tr>
        </thead>
        <tbody>
        <?
		foreach($workflowList["list"] as $key=>$val)
		{
			if($val["FLOW_TYPE"] == "1")
			{
				$PRCS_NAME = $_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"]."：".$val["PRCS_NAME"];
			}
			else
			{
				$PRCS_NAME=$_lang["flow_no."].$val["PRCS_ID"].$_lang["flow_steps"];
			}
            $OP_FLAG       = $val["OP_FLAG"];
            $DELIVER_TIME  = $val["DELIVER_TIME"];
            $PRCS_TIME     = $val["PRCS_TIME"];
            $SAVEFORM_TIME = $val["SAVEFORM_TIME"];
            $LIMIT_DATE    = $val["LIMIT_DATE"];
            $TRANSACT_TIME = $val["TRANSACT_TIME"];
            $PRCS_FLAG     = $val["PRCS_FLAG"];
            //主办人OR经办人
            $op_flag_str = "";
            //步骤状态
            $prcs_type_str = "";
            if($OP_FLAG == 1)
            {
                $op_flag_str = $_lang["flow_maindealperson"];
                switch ($PRCS_FLAG) {
                    case '1':
                        $prcs_type_str = $_lang["flow_neverview"];
                        break;
                    case '2':
                        $prcs_type_str = $_lang["flow_haveviewed"];
                        break;
                    case '3':
                    case '4':
                        $prcs_type_str = $_lang["flow_havesubmit"];
                        break;
                    default:
                        break;
                }
            }
            else
            {
                $op_flag_str = $_lang["flow_passdealperson"];
                switch ($PRCS_FLAG) {
                    case '1':
                        $prcs_type_str = $_lang["flow_neverview"];
                        break;
                    case '2':
                    case '3':
                    case '4':
                        if($PRCS_TIME==""){
                            $prcs_type_str = $_lang["flow_neverview"];
                        }else{
                            if($SAVEFORM_TIME==""){
                                $prcs_type_str = $_lang["flow_haveviewed"];
                            }else{
                                $prcs_type_str = $_lang["flow_havedealed"];
                            }
                        }
                        break;
                    default:
                        break;
                }
            }
            //超时时间的计算
            $timeUsed = 0; 
            if($OP_FLAG == 1){
                if($DELIVER_TIME&&$PRCS_TIME)
                {
                    $timeUsed = strtotime($DELIVER_TIME)-strtotime($LIMIT_DATE);
                }
                else if(!$DELIVER_TIME&&$PRCS_TIME)
                {
                    $timeUsed = time()-strtotime($LIMIT_DATE);
                }
                else
                {
                    $timeUsed = time()-strtotime($LIMIT_DATE);
                }
            }
            else
            {
                if($SAVEFORM_TIME&&$PRCS_TIME)
                {
                    $timeUsed = strtotime($SAVEFORM_TIME)-strtotime($LIMIT_DATE);
                }
                else if(!$SAVEFORM_TIME&&$PRCS_TIME)
                {
                    $timeUsed = time()-strtotime($LIMIT_DATE);
                }
                else
                {
                    $timeUsed = time()-strtotime($LIMIT_DATE);
                }
            }
            $DAY  = floor($timeUsed/86400);
            $HOUR = floor(($timeUsed%86400)/3600);
            $MIN  = floor(($timeUsed%3600)/60);
            $SEC  = floor($timeUsed%60);
            $TIME_STR = "";
            if($timeUsed)
            {
                if($DAY>0)
                    $TIME_STR.=$DAY.$_lang["common_day"];
                if($HOUR>0)
                    $TIME_STR.=$HOUR.$_lang["common_hour"];
                if($MIN>0)
                    $TIME_STR.=$MIN.$_lang["common_miniter"];
                if($SEC>0)
                    $TIME_STR.=$SEC.$_lang["common_second"];
            }
			?>
            <tr>
                <td width="160" nowrap="nowrap">
                    <!--流水号-->
                    <?=html_entity_decode($val["RUN_SEQ"],ENT_QUOTES,"UTF-8");?></td>
                <td nowrap="nowrap">
                    <!--标题-->
                    <table cellpadding="0" cellspacing="0" border="0">
                    	<tr>
                        	<td>
                                <a href="#" onClick="javascript:window.open('../print?RUN_ID=<?=$val["RUN_ID"]?>&FLOW_ID=<?=$val["FLOW_ID"]?>','_blank','left=0,top=0,width=3000,height=2000,status=0,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes');" title="<?=$val['RUN_NAME']?>"><span style="float:left;width: 200px;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;"><?=$val['RUN_NAME']?></span></a>&nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
                </td>
                <!--当前步骤-->
                <td width="150" nowrap="nowrap"><span style="float:left;width: 150px;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;"><?=$PRCS_NAME?></span></td>
                <!--步骤状态-->
                <td width="60" nowrap="nowrap"><?=$prcs_type_str?></td>
                <!--办理人员-->
                <td width="120" nowrap="nowrap"><?=$op_flag_str?>：<?=showUserGeneral($val["USER_ID"])?></td>
                <!--催办时间-->
                <td width="120" nowrap="nowrap"><?=$val['LIMIT_DATE']?></td>
                <!--超时时间-->
                <td width="150" nowrap="nowrap"><?=$TIME_STR?></td>
            </tr>
            <?
        }
        ?>
        </tbody>
    </table>
<?
}
showUserGeneralDiv();
$htmlStr = ob_get_contents();
ob_clean();
$resultArray = array("htmlStr" => $htmlStr, "pagingParam" => $workflowList["totalCount"],"searchParam" => $searchArray,"customParam" => $workflowList["customParam"]);
echo json_encode($resultArray);
?>