<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice8.0
* @function      查询流程-运行中的流程
* @encoding      $_lang['encoding']
* @name          general/workflow/query/flow_run.php
* @version       7
* @author        sun|www.weaver.com.cn
* @modify        sunx
* @date          2011-11-25
*/
include_once("inc/auth.php");
include_once("inc/utility_all.php");
include_once("inc/function_page_01.php");
include_once ("inc/function_usergeneral.php");
includelangpak("flow");
if($LOGIN_USER_ID == "admin")
	$buttons = 'buttons:[{type:"checkall",name:"checkbox"}]';
else
	$buttons = "buttons:false";
$func_id = 2;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$_lang['encoding']?>"/>
<title><?=$_lang["flow_flowsearch"]?> - <?=$_lang["flow_actionwork"]?></title>
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js" ></script>
<script type="text/javascript" src="/inc/checkbox.js"></script>
<script type="text/javascript" src="/inc/follow.js"></script>
<script type="text/javascript" src="/inc/prototype.js"></script>
<script type="text/javascript" src="/inc/usergeneral.js"></script>
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/inc/calendar/time.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifyform.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazygrid.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazybeautifytable.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazypagination.js"></script>
<script type="text/javascript" src="/inc/plugins/jquery.lazyquicksort.js"></script>
<script type="text/javascript">
var j  = jQuery.noConflict(); 
var myLazyGrid = "";
j(function() {
	j(".button").LazyBeautifyButton();
	j(".pubtable").LazyBeautifyTable();		
});

j(document).ready(function() {
	//增加快速筛选
	myLazyGrid = j("#work_list").LazyGrid({
            theme : "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/",
			<?=$buttons?>,
            pagination : {
                pageIndex : 0,
                pageCount : 15
            },
            quicksort : {
                mainID : "workflow_1",
                width : 150,
                defaultValue:'all',
                optionDisplay : "overtime"
            },
            defaultSortField : "RUN_ID",
            defaultSortOrder : "DESC",
            url : '/general/workflow/query/flow_run_do.php'
	});
	j("body").LazyBeautifyForm();
});

function delete_run(RUN_ID)
{
	msg='<?=$_lang["flow_confirmtodeletethisflow"]?>';
	if(window.confirm(msg))
	{
		url="../delete.php?OP=FLOW_RUN&RUN_ID="+RUN_ID+"&cur_page=<?=$cur_page?>";
		location=url;
	}
}

function checkbox_del(){
	var runIdStr = check_del();
	if(!runIdStr){
		alert("<?=$_lang['flow_del_nochecked']?>");
	}else{
		delete_run(runIdStr);
	}
}

function call_back(RUN_ID,PRCS_ID)
{
	msg="<?=$_lang["flow_confirmtorollbackcurrent"]?>";
	if(window.confirm(msg))
	{
		j.ajax({
			type : "post",
			url  : "/general/workflow/call_back.php",
			data : "RUN_ID="+RUN_ID+"&PRCS_ID="+PRCS_ID+"&from=ajax",
			success : function(result){
				window.location.reload();
			}
		});
	}
}

function checkAll() {
	var allcheckbox = document.getElementsByName('allbox')[0].checked;
	var singlebox   = document.getElementsByName("check_select");
	  for(i=0;i<singlebox.length;i++) {
		  if(allcheckbox) {
		      singlebox.item(i).checked=true;
		  } else {
		      singlebox.item(i).checked=false;
		  }
	  }
}
</script>
</head>
<body class="bodycolor" topmargin="5" onLoad="checkbox_init();">
<table border="0" width="100%" cellspacing="0"  cellpadding="0" >
    <tr class="pagehead1">
        <td>
        	<span class="page-title"><?=$_lang["flow_flowsearch"]?> - <?=$_lang["flow_actionwork"]?></span>
        </td>
        <td align="right" height="25">
        	<table border="0" cellpadding="0" cellspacing="0">
            	<tr>
                	<td>
                    <? pageHeadItem("index","1","1","1","1")?>
                    </td>
                    <td>
                        <a class="button" href="flow_run.php"><span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/running.gif" border="0" align="absmiddle"><?=$_lang["flow_actionwork"]?></span></a>
                        <a class="button" href="flow_top10.php"><span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/recent.gif"  border="0" align="absmiddle"><?=$_lang["flow_recenttenworlflow"]?></span>
                        </a>
                        <a class="button" href="index.php"><span><img src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/back.gif" border="0" title="<?=$_lang["common_back"]?>" align="absmiddle"><?=$_lang["common_back"]?></span>
                        </a>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr class="pagehead2">
        <td colspan="2"><div class='bg-split'></div></td>
    </tr>
</table>
<!--内容显示的区域-->
<div id="work_list"></div>
<?=showUserGeneralDiv()?>
<div id="limit_info" style="position:absolute; display:none; width:300px;"></div>
</body>
</html>
