<?php
/**
 *@Copyright (C) 2015 - 2015 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         general/income_expend/proxy/IncomeExpendPlanType.proxy.php
 *@function:         收支方案管理代理类
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:           lizhijun
 *@date:             2015-04-22
 *@file Version:     1.0
 *@eoffice Version:  9.0
*/
class WorkWechatAppProxy {
    private $_funcId;
    private $_userId;
    private $_workwechat;
    public function __construct($funcId,$userId,$privId,$deptId) {
        $this->_funcId = $funcId;
        $this->_userId = $userId;
        $this->_workwechat = new workwechat();
    }
    /**
     * 加载方案类型初始化页面
     */
    public function app(){
       
        include(VIEW_PATH . '2/app.view.php');
    }
    public function appLists(){
        $data['perPage']  =  request_var('itemsPerPage','');  
        $data['offset']   =  request_var('currentPage',''); 
        echo json_encode($this->_workwechat->wechatApp($data));
    }

    public function saveApp(){
        $wechat = $this->_workwechat->wechatData();
        $data['agentid'] = request_var('agentid');
        $data['secret'] = request_var('secret');
        $data['module'] = request_var('module','');
        $data['menu_id'] = request_var('menu_id','');
        $corpid = $wechat['corpid'];
        $secret = $data['secret'];
        $url = "https://qyapi.weixin.qq.com/cgi-bin/gettoken?corpid=$corpid&corpsecret=$secret";
        $wechatConnect = $this->getHttps($url);
        $connectList = json_decode($wechatConnect, true);
        if (empty($connectList)) {
            echo "-2";exit;
        }else if(isset($connectList['errcode']) && $connectList['errcode'] != 0){
            $code = $connectList['errcode'];
            echo $code;exit;
        }
        $data['access_token'] = $connectList['access_token'];
        $data['create_token'] =time();
        echo json_encode($this->_workwechat->saveApp($data));
    }

     public static function getHttps($url, $data = null)
    {

        try {
            if (function_exists('curl_init')) {

                $curl = curl_init();
                curl_setopt($curl, CURLOPT_URL, $url);
                curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
                curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
                curl_setopt($curl, CURLOPT_SSLVERSION, 1);
                if ($data) {
                    curl_setopt($curl, CURLOPT_POST, 1);
                    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
                    curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type: application/json; encoding=utf-8'));
                }

                curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
                $output = curl_exec($curl);

                if ($output === false) {
                    $res = array(
                        "errcode" => "0x000111", //获取错误异常
                        "errmsg"  => curl_error($curl),
                    );
                    $output = json_encode($res);
                }

                curl_close($curl);
            } else {
                $res = array(
                    "errcode" => "0x000112", //没有开启curi_init
                    "errmsg"  => "CURL扩展没有开启!",
                );
                $output = json_encode($res);
            }
        } catch (Exception $exc) {

            $res = array(
                "errcode" => "0x000113", //其他异常
                "errmsg"  => $exc->getTraceAsString(),
            );

            $output = json_encode($res);
        }

        return $output;
    }

    public function deleteApp(){
        $id = request_var('agentid');  
        $result = $this->_workwechat->deleteApp($id);
        echo $result;
    }


   
}
