App.EmployeeDetails = Ext.extend(Ext.Panel, {
	startingText: '<br>'+EOlang.msgAddressChoseUser,
	initComponent: function() {
		this.tpl = Ext.XTemplate.from('employeeDetailTpl');
		this.html = this.startingText;
		App.EmployeeDetails.superclass.initComponent.call(this);
		if(initValue.isAdmin==1){
			Ext.getCmp("selectImage").hide();
		}
	},
	load: function(config) {
		var config = config || {};
		Ext.apply(config, {
			url: this.url,
			success: this.onLoad,
			failure: this.onFailure,
			scope: this
		});
		this.getEl().mask('Loading...');
		Ext.Ajax.request(config);
		if(initValue.isAdmin==1){
			Ext.getCmp("selectImage").show();
		}
	},
	onLoad: function(response, opts) {
		var json = Ext.decode(response.responseText);
		this.tpl.overwrite(this.body, json);
		this.getEl().unmask();
	},
	buttons: eval(initValue.image_change_button),
	onFailure: function() {
		this.getEl().unmask();
		Ext.Msg.alert('Fail', 'Request failed.');
	}
});
Ext.reg('employeedetails', App.EmployeeDetails);