<?php

 /*
	Site:WwW.iSno.Cn

	$RCSfile: seccode.func.php,v $
    $Date:2007-11-25 19:00 $
	޸Discuz Ȩ o(_)o...
 
 */

function random($length, $numeric = 0) {
	PHP_VERSION < '4.2.0' && mt_srand((double)microtime() * 1000000);
	if($numeric) {
		$hash = sprintf('%0'.$length.'d', mt_rand(0, pow(10, $length) - 1));
	} else {
		$hash = '';
		$chars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789abcdefghijklmnopqrstuvwxyz';
		$max = strlen($chars) - 1;
		for($i = 0; $i < $length; $i++) {
			$hash .= $chars[mt_rand(0, $max)];
		}
	}
	return $hash;
}
function seccodeconvert(&$seccode) {
	$seccode = substr($seccode, -6);
	$s = sprintf('%04s', base_convert($seccode, 10, 24));
	$seccode = '';
	$seccodeunits = 'BCEFGHJKMPQRTVWXY2346789';
	//$seccodeunits = '0123456789';
	for($i = 0; $i < 4; $i++) {
		$unit = ord($s{$i});
		$seccode .= ($unit >= 0x30 && $unit <= 0x39) ? $seccodeunits[$unit - 0x30] : $seccodeunits[$unit - 0x57];
	}
}
function seccode_background() {
	global $seccodedata, $c;

	$im = imagecreate($seccodedata['width'], $seccodedata['height']);
	$backgroundcolor = imagecolorallocate($im, 255, 255, 255);

	$backgrounds = array();
	if($seccodedata['background'] && function_exists('imagecreatefromjpeg') && function_exists('imagecolorat') &&	function_exists('imagecopymerge') &&
		function_exists('imagesetpixel') && function_exists('imageSX') && function_exists('imageSY')) {
		if($handle = @opendir('./seccode/background/')) {
			while($bgfile = @readdir($handle)) {
				if(preg_match('/\.jpg$/i', $bgfile)) {
					$backgrounds[] = './seccode/background/'.$bgfile;
				}
			}
			@closedir($handle);
		}
		if($backgrounds) {
			$imwm = imagecreatefromjpeg($backgrounds[array_rand($backgrounds)]);
			$colorindex = imagecolorat($imwm, 0, 0);
			$c = imagecolorsforindex($imwm, $colorindex);
			$colorindex = imagecolorat($imwm, 1, 0);
			imagesetpixel($imwm, 0, 0, $colorindex);
			$c[0] = $c['red'];$c[1] = $c['green'];$c[2] = $c['blue'];
			imagecopymerge($im, $imwm, 0, 0, mt_rand(0, 140 - $seccodedata['width']), mt_rand(0, 50 - $seccodedata['height']), imageSX($imwm), imageSY($imwm), 100);
			imagedestroy($imwm);
		}
	}

	if(!$seccodedata['background'] || !$backgrounds) {
		for($i = 0;$i < 3;$i++) {
			$start[$i] = mt_rand(200, 255);$end[$i] = mt_rand(100, 150);$step[$i] = ($end[$i] - $start[$i]) / $seccodedata['width'];$c[$i] = $start[$i];
		}
		for($i = 0;$i < $seccodedata['width'];$i++) {
			$color = imagecolorallocate($im, $c[0], $c[1], $c[2]);
			imageline($im, $i, 0, $i-$angle, $seccodedata['height'], $color);
			$c[0] += $step[0];$c[1] += $step[1];$c[2] += $step[2];
		}
		$c[0] -= 20;$c[1] -= 20;$c[2] -= 20;
	}

	ob_start();
	if(function_exists('imagepng')) {
		imagepng($im);
	} else {
		imagejpeg($im, '', 100);
	}
	imagedestroy($im);
	$bgcontent = ob_get_contents();
	ob_end_clean();
	return $bgcontent;
}
function seccode_adulterate() {
	global $seccodedata, $im, $c;
	$linenums = mt_rand($seccodedata['width'] / 5, $seccodedata['width'] / 4);
	$linemaxlong = $seccodedata['width'] / 8;
	$linecolor = imagecolorallocate($im, $c[0], $c[1], $c[2]);
	for($i=0; $i <= $linenums; $i++) {
		$linex = mt_rand(0, $seccodedata['width']);
		$liney = mt_rand(0, $seccodedata['height']);
		imageline($im, $linex, $liney, $linex + mt_rand(0, $linemaxlong) - 3, $liney + mt_rand(0, $linemaxlong) - 3, $linecolor);
	}
}
function seccode_adulteratefont() {
	global $seccodedata, $im, $c;
	$seccodeunits = 'BCEFGHJKMPQRTVWXY2346789';
	$x = $seccodedata['width'] / 4;
	$y = $seccodedata['height'] / 10;
	$text_color = imagecolorallocate($im, $c[0], $c[1], $c[2]);
	for($i = 0; $i <= 3; $i++) {
		$adulteratecode = $seccodeunits[mt_rand(0, 23)];
		imagechar($im, 5, $x * $i + mt_rand(0, $x - 10), mt_rand($y, $seccodedata['height'] - 10 - $y), $adulteratecode, $text_color);
	}
}
function seccode_ttffont() {
	global $seccode, $seccodedata, $im, $c;
	$seccoderoot = './seccode/font/';
	$dirs = opendir($seccoderoot);
	while($entry = readdir($dirs)) {
		if($entry != '.' && $entry != '..' && strtolower(fileext($entry)) == 'ttf') {
			$seccodettf[] = $entry;
		}
	}
	$widthtotal = 0;
	$smallsize = array_rand(array(0, 1, 2, 3), 2);
	for($i = 0; $i <= 3; $i++) {
		$font[$i]['font'] = $seccoderoot.$seccodettf[array_rand($seccodettf)];
		$font[$i]['angle'] = mt_rand(-40, 40);
		$font[$i]['size'] = in_array($i, $smallsize) ? $seccodedata['width'] / 7 : $seccodedata['width'] / 6;
		$box = imagettfbbox($font[$i]['size'], $font[$i]['angle'], $font[$i]['font'], $seccode[$i]);
		$font[$i]['height'] = max($box[1], $box[3]) - min($box[5], $box[7]);
		$font[$i]['width'] = max($box[2], $box[4]) - min($box[0], $box[6]);
		$font[$i]['width'] += mt_rand(0, $seccodedata['width'] / 6 - $font[$i]['width']);
		$widthtotal += $font[$i]['width'];
	}
	$x = mt_rand($font[0]['angle'] > 0 ? cos(deg2rad(90 - $font[0]['angle'])) * $font[0]['height'] : 1, $seccodedata['width'] - $widthtotal);
	$text_color = imagecolorallocate($im, $c[0], $c[1], $c[2]);
	for($i = 0; $i <= 3; $i++) {
		imagettftext($im, $font[$i]['size'], $font[$i]['angle'],
			$x, mt_rand($font[$i]['height'], $seccodedata['height'] - ($font[$i]['angle'] < 0 ? cos(deg2rad(90 + $font[$i]['angle'])) * $font[$i]['width'] : 1)),
			$text_color, $font[$i]['font'], $seccode[$i]);
		$x += $font[$i]['width'];
	}
}
function fileext($filename) {
	return trim(substr(strrchr($filename, '.'), 1, 10));
}
?>