<?php
/*
*数据库连接
*@Author: 	        Weaver.liuxiulin                                 
*@Contact: 	        xiulin.liu@weaver.com.cn		                 
*@Created:          2012-09-03  
*@path:		        inc/conn.php
*@File Version:     3.0
*@Eoffice Version:  8.3
*/
include_once("inc/oa_config.php");
//加载语言变量
//判断login_lang
$langab = $_REQUEST['LANG_AB'];
if($langab==''){
	if($_COOKIE['LOGIN_LANG']==''){
		$_COOKIE['LOGIN_LANG']='cn';
		setcookie ("LOGIN_LANG",'cn',time() + 60*60*24*1000);
	}
}else{
	$_COOKIE['LOGIN_LANG']=$langab;
	setcookie ("LOGIN_LANG",'en',time() + 60*60*24*1000);
}
$lang_file = "lang/".$_COOKIE['LOGIN_LANG']."/common.lang.php";
include_once($lang_file);
/**
*数据库连接
*@return 成功则返回一个正的 MySQL 持久连接标识符，出错则返回FALSE
*/
function OpenConnection()
{
    global $MYSQL_SERVER,$MYSQL_USER,$MYSQL_PASS,$MYSQL_DB,$_lang;
	// echo phpinfo();
// echo $MYSQL_SERVER.'--'.$MYSQL_USER.'--'.$MYSQL_PASS.'--'.$MYSQL_DB;
// exit;
    $C=mysql_pconnect($MYSQL_SERVER,$MYSQL_USER,$MYSQL_PASS,MYSQL_CLIENT_COMPRESS) or ($C=mysql_connect($MYSQL_SERVER,$MYSQL_USER,$MYSQL_PASS));
    if (!$C)
    {
        die("<h3>".$_lang["common_not_connection_database_1"]."</h3>");
    }
    
	$myDB = mysql_select_db($MYSQL_DB,$C);
	if(!$myDB) {
		die("<h3>".$_lang["common_not_connection_database_2"]."</h3>");
	}
    return $C;
}

/**
*sql语句的执行
*@param connection $C MySQL持久连接标识符
*@param string $Q  需要执行的sql语句
*@return mysql_query($Q,$C) 对SELECT，SHOW，EXPLAIN或DESCRIBE语句返回一个资源标识符，不正确则返回 FALSE。对其它类型的 SQL 语句，在执行成功时返回 TRUE，出错时返回 FALSE
 */
function exequery($C,$Q)
{
	mysql_query("SET NAMES 'utf8'");
	return mysql_query($Q,$C);
}
/**
 * 半角转全角
 * @param string $str
 * @return string
 * */
function sbc2dbc($str) {
    $DBC = Array(
        '０', '１', '２', '３', '４',
        '５', '６', '７', '８', '９',
        'Ａ', 'Ｂ', 'Ｃ', 'Ｄ', 'Ｅ',
        'Ｆ', 'Ｇ', 'Ｈ', 'Ｉ', 'Ｊ',
        'Ｋ', 'Ｌ', 'Ｍ', 'Ｎ', 'Ｏ',
        'Ｐ', 'Ｑ', 'Ｒ', 'Ｓ', 'Ｔ',
        'Ｕ', 'Ｖ', 'Ｗ', 'Ｘ', 'Ｙ',
        'Ｚ', 'ａ', 'ｂ', 'ｃ', 'ｄ',
        'ｅ', 'ｆ', 'ｇ', 'ｈ', 'ｉ',
        'ｊ', 'ｋ', 'ｌ', 'ｍ', 'ｎ',
        'ｏ', 'ｐ', 'ｑ', 'ｒ', 'ｓ',
        'ｔ', 'ｕ', 'ｖ', 'ｗ', 'ｘ',
        'ｙ', 'ｚ', '－', '　', '：',
        '．', '，', '／', '％', '＃',
        '！', '＠', '＆', '（', '）',
        '＜', '＞', '＂', '＇', '？',
        '［', '］', '｛', '｝', '＼',
        '｜', '＋', '＝', '＿', '＾',
        '￥', '￣', '｀'
    );
    $SBC = Array(// 半角
        '0', '1', '2', '3', '4',
        '5', '6', '7', '8', '9',
        'A', 'B', 'C', 'D', 'E',
        'F', 'G', 'H', 'I', 'J',
        'K', 'L', 'M', 'N', 'O',
        'P', 'Q', 'R', 'S', 'T',
        'U', 'V', 'W', 'X', 'Y',
        'Z', 'a', 'b', 'c', 'd',
        'e', 'f', 'g', 'h', 'i',
        'j', 'k', 'l', 'm', 'n',
        'o', 'p', 'q', 'r', 's',
        't', 'u', 'v', 'w', 'x',
        'y', 'z', '-', ' ', ':',
        '.', ',', '/', '%', '#',
        '!', '@', '&', '(', ')',
        '<', '>', '"', '\'', '?',
        '[', ']', '{', '}', '\\',
        '|', '+', '=', '_', '^',
        '$', '~', '`'
    );
    return str_replace($SBC, $DBC, $str);
}
/**
 * 获取sql关键字
 * 
 * @param type $value
 * @return type
 */
function getSqlKeywords($value = null) {
    $str = '/(?<=([^a-z0-9_]))(in|or|xor|and|like|between|exists|union|select|META|HTTP-EQUIV|COUNT_BIG|waitfor|DBMS_LOCK|DBMS_PIPE|xp_cmdshell|xp_dirtree|UTL_HTTP|USER_LOCK|EXTRACTVALUE|UPDATEXML|—|CHR|SLEEP|truncate|delete|update|exec|drop)(?=([^_a-z0-9"\-]))/i';

    preg_match_all($str, $value, $matchs);
    return $matchs;
}
/**
 * 输入字符串安全过滤
 * @param type $input
 * @return type
 */
function SecurityFilter($input)
{
    if (empty($input)) {
        return $input;
    }
    if (!is_string($input)) {
        return $input;
    }
    $keywords = getSqlKeywords($input);
    if (!empty($keywords[0])) {
        $replace = array();
        $old = array();
        foreach ($keywords[0] as $value) {
            $old[] = $value;
            $replace[] = sbc2dbc($value);
        }
        $input = str_replace($old, $replace, $input);
    }
    return $input;
}
if(!$connection)
	$connection=OpenConnection();
?>