<?php
/**
 * Description of DBAL（Database Abstraction Layer）
 * 数据库抽象层
 * @author      lizhijun
 * @date        2015-3-27
 */
class DBAL {
    public $dbConnectId;
    public $queryResult;
    public $curtime = 0;
    public $persistency = false;
	public $user = '';
	public $server = '';
	public $dbname = '';
    public function __construct() {
    }
    public function sqlClose(){
        if(!$this->dbConnectId){
            return false;
        }
        if($result = $this->_sqlClose()){
            $this->dbConnectId = false;
        }
        return $result;
    }
    public function sqlFreeResult($result){
        if(!$result){
            return false;
        }
        return $this->_sqlFreeResult($result);
    }
    public function execute($query){
        if($query == ''){
            return false;
        }
        return $this->_execute($query);
    }
    public function sqlGetRows($query = ''){
        if($query == ''){
            return false;
        }
        $rows = $this->_sqlGetRows($query);
        return $rows;
    }
    public function sqlGetRow($query = ''){
        if($query == ''){
            return false;
        }
        $row = $this->_sqlGetRow($query);
        return $row;
    }
    public function sqlGetTables($dbName = ''){
        if($dbName == ''){
            return false;
        }
        return $this->_sqlGetTables($dbName);
    }
    public function sqlGetFields($table = ''){
        if($table == ''){
            return false;
        }
        return $this->_sqlGetFields($table);
    }
    public function sqlInsert($data = array(),$tableName='',$insertId = false){
        if(empty($data) || $tableName == ''){
            return false;
        }
        return $this->_sqlInsert($data,$tableName,$insertId);
    }
}
