<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         inc/flow_doc_class.php
 *@function:         流程结束后归档
 *@encoding:         $_lang['encoding']
 *@author:           www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2016-08-17
 *@file Version:
 *@eoffice Version:  9.0
*/
include_once ("inc/utility_all.php");
include_once ("inc/utility_html.php");
class flowToDoc {
	//构造函数
	// 现在能找到的调用此函数的，有 api/fixedworkflow.class.php api/freeworkflow.class.php 。
	/**
	 * 流程结束后归档到文档模块
	 * @param  [type] $FLOW_ID          [description]
	 * @param  [type] $RUN_ID           [description]
	 * @param  string $STATUS           [传'update'，判断子流程是否已经归档之后，如果归档则更新归档文件的权限]
	 * @param  string $manual_folder_id [手动归档到指定目录的目录id，优先级高于其他设置--流程结束归档设置里设置的目录]
	 * @return [type]                   [description]
	 */
	function flowToDoc($FLOW_ID, $RUN_ID, $STATUS = "",$manual_folder_id = "") {
		global $connection, $LOGIN_USER_ID;
		if($FLOW_ID != "" || $RUN_ID != "") {
			//获取流程文档查看权限
			$flow_user = $this->getFlowUser ( $RUN_ID );
			if ($STATUS == "update") {
				$updateFileContentSQL = "UPDATE file_content SET SHARE_USER='".SecurityFilter($flow_user)."' WHERE FROM_ID='".SecurityFilter($RUN_ID)."'";
				exequery ( $connection, $updateFileContentSQL );

				$updateFileShareSQL = "UPDATE file_share SET SHARE_USER='".SecurityFilter($flow_user)."' WHERE FROM_ID='".SecurityFilter($RUN_ID)."'";
				exequery ( $connection, $updateFileShareSQL );

			} else {
				//获取归档数据
				//获取流程分类ID 名称 创建者
				$query = "
					SELECT * FROM flow_type WHERE FLOW_ID = ".SecurityFilter($FLOW_ID)."
					";
				$res = exequery ( $connection, $query );
				$ROW = mysql_fetch_array ( $res );
				$FLOW_SORT = $ROW ['FLOW_SORT'];
				$FLOW_NAME = $ROW ['FLOW_NAME'];
				$FLOW_TYPE = $ROW ["FLOW_TYPE"];
				$FORM_ID   = $ROW ["FORM_ID"];
				$FORM_TYPE = $ROW ["FORM_TYPE"];
				//名称 创建者
				$query = "
					SELECT * FROM flow_sort WHERE ID = ".SecurityFilter($FLOW_SORT)."
					";
				$res = exequery ( $connection, $query );
				$ROW = mysql_fetch_array ( $res );
				$TYPE_TITLE = $ROW ['TITLE'];
				$TYPE_CREATOR = $ROW ['CREATOR'];
				//获取流程RUN_NAME,相关文档,附件,流水号
				$query_r = "
					SELECT * FROM flow_run WHERE RUN_ID = ".SecurityFilter($RUN_ID)."
					";
				$res_r = exequery ( $connection, $query_r );
				$ROW_R = mysql_fetch_array ( $res_r );
				$RUN_SEQ = $ROW_R ['RUN_SEQ'];
				$RUN_NAME_DOC = $ROW_R ['RUN_NAME'];
				$ATTACHMENT_ID = $ROW_R ['ATTACHMENT_ID'];
				$ATTACHMENT_NAME = $ROW_R ['ATTACHMENT_NAME'];
				$CREATE_TIME = $ROW_R ['CREATE_TIME'];
				$LINK_DOC = $ROW_R ['LINK_DOC'];
				//创建者
				$flow_creater = $this->getFlowUserCreate ( $RUN_ID );
				//获取内容
				//$flow_content = $this->getFlowData ( $RUN_ID );
				//新的获取内容相关
				$RUN_NAME = $RUN_NAME_DOC;
				$query_1 = "SELECT * FROM flow_form_type WHERE FORM_ID=".SecurityFilter($FORM_ID)."";
				$cursor_1 = exequery ( $connection, $query_1 );
				if ($ROW_1 = mysql_fetch_array ( $cursor_1 ))
				{
					$FORM_NAME = $ROW_1 ["FORM_NAME"];
					$PRINT_MODEL = $ROW_1 ["PRINT_MODEL"];
				}
				//----- 取表单数据 --------
				$query_2  = "SELECT * FROM zzzz_flow_data_$FORM_ID WHERE RUN_ID='".SecurityFilter($RUN_ID)."'";
				$cursor_2 = exequery($connection,$query_2);
				if($row_2 = mysql_fetch_array($cursor_2,MYSQL_ASSOC))
					$rows  = $row_2 ;
				if(is_array($rows))
					$form_data = $rows;
				else
					$form_data = array();
				//----------- 步骤1 -------------
				$query_3 = "SELECT * FROM flow_run_prcs WHERE RUN_ID=".SecurityFilter($RUN_ID)." AND PRCS_ID=1";
				$cursor_3 = exequery ( $connection, $query_3 );
				if ($ROW_3 = mysql_fetch_array ( $cursor_3 ))
				{
					$USER_ID = $ROW_3 ["USER_ID"];
					$PRCS_TIME1 = $ROW_3 ["PRCS_TIME"];
					$PRCS_TIME1 = format_date ( $PRCS_TIME1 );
				}

				$PRINT_MODEL = str_replace ( "#[表单]", "<b>$FORM_NAME</b>", $PRINT_MODEL );
				$PRINT_MODEL = str_replace ( "#[流水号]", $RUN_NAME, $PRINT_MODEL );
				$PRINT_MODEL = str_replace ( "#[时间]", "日期：$PRCS_TIME1", $PRINT_MODEL );

				//$PRCS_ID和$FLOW_PRCS相关
				$sql = "SELECT FLOW_PRCS,PRCS_ID FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($RUN_ID)."' ORDER BY PRCS_ID DESC LIMIT 0,1";
				$rs  = exequery($connection,$sql);
				if($rows = mysql_fetch_array($rs)) {
					$FLOW_PRCS = $rows["FLOW_PRCS"];
					$PRCS_ID   = $rows["PRCS_ID"];
				}

				include_once("api/AnalyticFormView.class.php");
				//实例化表单解析类
				$iAnalyticFormView  = new AnalyticFormView($PRINT_MODEL);
				//必要的参数
				$iAnalyticFormView->flowType     = $FLOW_TYPE;       //设置流程种类
				$iAnalyticFormView->flowId       = $FLOW_ID;         //设置流程类别
				$iAnalyticFormView->formName     = $FORM_NAME;       //设置流程表单名称
				$iAnalyticFormView->runId        = $RUN_ID;          //设置当前运行流程id
				$iAnalyticFormView->prcsId       = $PRCS_ID;         //设置当前运行流程序号
				$iAnalyticFormView->flowPrcs     = $FLOW_PRCS;       //设置当前运行流程节点
				$iAnalyticFormView->formData     = $form_data;       //流程表单数据
				$iAnalyticFormView->opFlag       = $OP_FLAG;         //设置是否是主办人
				$iAnalyticFormView->runSeq       = $RUN_SEQ;         //设置流程的流水号
				//调用表单解析
				$flow_content = $iAnalyticFormView->analytic_form();

				//获取回复
				//获取sort_id
				//获取persent_id
				if($manual_folder_id) {
					// 判断手动归档的目录是否存在，然后归档
					$sql_check_manual_folder = "
						SELECT SORT_NAME FROM file_sort WHERE SORT_ID = '".SecurityFilter($manual_folder_id)."'
						";
					$res_check_manual_folder = exequery($connection,$sql_check_manual_folder);
					if($row_check_manual_folder = mysql_fetch_array($res_check_manual_folder)){
						$manual_folder_name = $row_check_manual_folder["SORT_NAME"];
						if($manual_folder_name) {
							$flow_sort_id = $manual_folder_id;
						}
					}
				} else {
					//增加了流程归档到指定目录，故修改成，如果已经配置了归档目录则直接归档到已配置的目录，否则按照原来的执行
					$file_folder_sql = "SELECT * FROM flow_others WHERE FLOW_ID = ".SecurityFilter($FLOW_ID)."";
					$file_folder_rs  = exequery($connection,$file_folder_sql);
					if($file_folder_row = mysql_fetch_array($file_folder_rs)) {
						$file_folder_id = $file_folder_row["FILE_FOLDER_ID"];
					}
					if($file_folder_id) {
						$flow_sort_id = $file_folder_id;
					} else {
						$query_fc = "
							SELECT * FROM file_sort WHERE SORT_PARENT=0 AND SORT_TYPE=5
							";
						$res_fc = exequery ( $connection, $query_fc );
						$ROW_FC = mysql_fetch_array ( $res_fc );
						$flow_parent = $ROW_FC ['SORT_ID'];
						if ($flow_parent == '') {
							$query_in = "
							INSERT INTO `file_sort` (`SORT_PARENT` ,`SORT_NAME` ,`SORT_TYPE` ,`CREATE_TIME`  )VALUES ('0','归档流程(归档)','5',NOW());
								";
							exequery ( $connection, $query_in );
							$flow_parent = mysql_insert_id($connection);
							$sql_pur_p = "
									INSERT INTO file_purview ( `SORT_ID` ,`SORT_TYPE` ,`USER_ID`)
									VALUES ('".SecurityFilter($flow_parent)."', '0','')
									";
							exequery ( $connection, $sql_pur_p );
						}
						//获取type_id
						$query_ty = "
								SELECT * FROM file_sort WHERE SORT_PARENT=".SecurityFilter($flow_parent)." AND FROM_ID=".SecurityFilter($FLOW_SORT)."
								";
						$res_ty = exequery ( $connection, $query_ty );
						$ROW_TY = mysql_fetch_array ( $res_ty );
						$flow_type_id = $ROW_TY ['SORT_ID'];
						if ($flow_type_id == '') {
							if(trim(getSortLevelId($flow_parent)) == "")
								$flowParentSortLevelId = "|".$flow_parent."|";
							else
								$flowParentSortLevelId = getSortLevelId($flow_parent).$flow_parent."|";
							$query_int = "
							INSERT INTO `file_sort` (`FROM_ID`,`SORT_PARENT` ,`SORT_NAME` ,`SORT_TYPE` ,`CREATE_TIME` , `SORT_LEVEL_ID`)VALUES ('".SecurityFilter($FLOW_SORT)."','".SecurityFilter($flow_parent)."','".SecurityFilter($TYPE_TITLE)."','5',NOW(),'".SecurityFilter($flowParentSortLevelId)."');
								";
							exequery ( $connection, $query_int );
							$flow_type_id = mysql_insert_id($connection);
							$sql_pur_t = "
									INSERT INTO file_purview ( `SORT_ID` ,`SORT_TYPE` ,`USER_ID`)
									VALUES ('$flow_type_id', '0','')
									";
							exequery ( $connection, $sql_pur_t );
						}
						//获取flow_sort_id
						$query_ty = "
								SELECT * FROM file_sort WHERE SORT_PARENT=$flow_type_id AND FROM_ID=".SecurityFilter($FLOW_ID)."
								";
						$res_ty = exequery ( $connection, $query_ty );
						$ROW_TY = mysql_fetch_array ( $res_ty );
						$flow_sort_id = $ROW_TY ['SORT_ID'];
						if ($flow_sort_id == '') {
							if(trim(getSortLevelId($flow_type_id)) == "")
								$flowTypeSortLevelId = "|".$flow_type_id."|";
							else
								$flowTypeSortLevelId = getSortLevelId($flow_type_id).$flow_type_id."|";
							$query_int = "
							INSERT INTO `file_sort` (`FROM_ID`,`SORT_PARENT` ,`SORT_NAME` ,`SORT_TYPE` ,`CREATE_TIME` ,`SORT_LEVEL_ID` )VALUES ('".SecurityFilter($FLOW_ID)."','$flow_type_id','".SecurityFilter($FLOW_NAME)."','5',NOW(),'".SecurityFilter($flowTypeSortLevelId)."');
								";
							exequery ( $connection, $query_int );
							$flow_sort_id = mysql_insert_id($connection);
							$sql_pur = "
										INSERT INTO file_purview ( `SORT_ID` ,`SORT_TYPE` ,`USER_ID`)
										VALUES ('$flow_sort_id', '0','')
										";
							exequery ( $connection, $sql_pur );
						}
					}
				}
				//归档
				//内容归档
				$flow_content = eregi_replace ( "'", "&#039;", $flow_content );
				$flow_content = eregi_replace ( '"', '&quot;', $flow_content );
				$query_to = "
						INSERT INTO `file_content` (`SORT_ID` ,`FROM_ID` ,`FROM_SEQ` ,`SUBJECT` ,`CONTENT` ,`SEND_TIME` ,`USER_ID` ,`ATTACHMENT_ID` ,`ATTACHMENT_NAME`  ,`FILE_TYPE`  ,`SHARE_USER`  ,`SHARE_TIME`  ,`LINK_DOC` )VALUES ('$flow_sort_id', '".SecurityFilter($RUN_ID)."' , '".SecurityFilter($RUN_SEQ)."' , '".SecurityFilter($RUN_NAME_DOC)."', '".SecurityFilter($flow_content)."', NOW(), '' , '".SecurityFilter($ATTACHMENT_ID)."', '".SecurityFilter($ATTACHMENT_NAME)."', '1', '".SecurityFilter($flow_user)."', NOW(),'".SecurityFilter($LINK_DOC)."');
						";
				$res = exequery ( $connection, $query_to );
				$CONTENT_ID = mysql_insert_id($connection);

				//Edit By Samuel 20110615 TD:6306 M1
				//M1
				$insertIntoFileShare = "insert into file_share (select * from file_content where CONTENT_ID=" . SecurityFilter($CONTENT_ID) . ")";
				exequery ( $connection, $insertIntoFileShare );
				//End M1
				//记录日志
				saveSysOpLog ( $CONTENT_ID, '1', 'file_content', 'flow_log' );
				//回复归档
				$query_re = "
						SELECT * FROM flow_run_feedback WHERE RUN_ID = ".SecurityFilter($RUN_ID)."
						";
				$res = exequery ( $connection, $query_re );
				//ALTER TABLE file_revert ADD COLUMN `FLOW_PRCS` INT NULL, ADD COLUMN `PRCS_ID` INT NULL;
				while ( $ROW_RE = mysql_fetch_array ( $res ) )
				{
					$USER_ID = $ROW_RE ['USER_ID'];
					$CONTENT = $ROW_RE ['CONTENT'];
					$ATTACHMENT_ID = $ROW_RE ['ATTACHMENT_ID'];
					$ATTACHMENT_NAME = $ROW_RE ['ATTACHMENT_NAME'];
					$EDIT_TIME = $ROW_RE ['EDIT_TIME'];

					//增加流程节点ID和执行步骤ID
					$PRCS_ID = $ROW_RE ['PRCS_ID'];

					$FLOW_PRCS = $ROW_RE ['FLOW_PRCS'];

					//根据流程节点ID获取流程节点名称
					$getPrcsNameSQL = 'SELECT PRCS_NAME FROM flow_process WHERE PRCS_ID=' . SecurityFilter($FLOW_PRCS) . ' AND flow_id = (SELECT FLOW_ID FROM flow_run WHERE RUN_ID=' . SecurityFilter($RUN_ID) . ')';
					$getPrcsNameResult = exequery ( $connection, $getPrcsNameSQL );
					if ($getPrcsNameRow = mysql_fetch_array ( $getPrcsNameResult )) {
						$prcsName = $getPrcsNameRow ['PRCS_NAME'];
					}
					$query_in = "
							INSERT INTO `file_revert` (`SORT_ID` ,`CONTENT_ID` ,`RE_TIME` ,`RE_CONTENT` , `USER_ID`,ATTACHMENT_ID,ATTACHMENT_NAME,PRCS_NAME,PRCS_ID)VALUES ('$flow_sort_id', '".SecurityFilter($CONTENT_ID)."', '".SecurityFilter($EDIT_TIME)."','".addslashes($CONTENT)."' , '".SecurityFilter($USER_ID)."','".SecurityFilter($ATTACHMENT_ID)."' , '".SecurityFilter($ATTACHMENT_NAME)."','".SecurityFilter($prcsName)."','".SecurityFilter($PRCS_ID)."');
							";
					exequery ( $connection, $query_in );
				}
			}
		}
		else
		{
		}
	}

	function prcs_role($FLOW_ID, $PRCS_ID)
	{
		global $connection, $LOGIN_USER_ID, $LOGIN_DEPT_ID, $LOGIN_USER_PRIV;
		$PRCS_ROLE = 0;

		$query_str = "";
		if ($FLOW_ID != 0)
			$query_str .= " and FLOW_ID=".SecurityFilter($FLOW_ID)."";
		if ($PRCS_ID != 0)
			$query_str .= " and PRCS_ID=".SecurityFilter($PRCS_ID)."";

		$query = "SELECT FLOW_TYPE from FLOW_TYPE where FLOW_TYPE=2";
		if ($FLOW_ID != 0)
			$query .= " and FLOW_ID=".SecurityFilter($FLOW_ID)."";
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
			return 1;

		$query = "SELECT * from FLOW_PROCESS where PRCS_USER like '%$LOGIN_USER_ID,%'" . $query_str;
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
			return 1;

		$query = "SELECT * from FLOW_PROCESS where (InStr(PRCS_DEPT,',$LOGIN_DEPT_ID,')>0 or InStr(PRCS_DEPT,'$LOGIN_DEPT_ID,')=1)" . $query_str;
		;
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
			return 1;

		$query = "SELECT * from FLOW_PROCESS where (InStr(PRCS_PRIV,',$LOGIN_USER_PRIV,')>0 or InStr(PRCS_PRIV,'$LOGIN_USER_PRIV,')=1)" . $query_str;
		;
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
			return 1;
		return 0;
	}

	function run_role($RUN_ID, $PRCS_ID) //指定步骤或所有步骤实际经办人,admin,监控人有权
	{
		global $connection, $LOGIN_USER_ID;
		if ($LOGIN_USER_ID == "admin")
			return 1;

		$query_str = " AND RUN_ID=".SecurityFilter($RUN_ID)."";
		if ($PRCS_ID != 0)
			$query_str .= " AND PRCS_ID=".SecurityFilter($PRCS_ID)."";

		$query = "SELECT * FROM flow_run_prcs WHERE USER_ID='$LOGIN_USER_ID'" . $query_str;
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
			return 1;

		$query = "SELECT * FROM flow_run WHERE RUN_ID=".SecurityFilter($RUN_ID)."";
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
			$FLOW_ID = $ROW ["FLOW_ID"];
		$query = "SELECT * from FLOW_TYPE where MANAGE_USER like '%$LOGIN_USER_ID,%' and FLOW_ID=$FLOW_ID";
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
			return 2;
		return 0;
	}
	//取流程的数据（办理人、表单数据、附件、回复信息、相关文档）
	function getFlowData($RUN_ID)
	{
		global $connection;
		//----------- 流水号 -------------
		$query = "SELECT * FROM flow_run WHERE RUN_ID=".SecurityFilter($RUN_ID)."";
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
		{
			$RUN_NAME = $ROW ["RUN_NAME"];
			$RUN_SEQ = $ROW ["RUN_SEQ"];
			$FLOW_ID = $ROW ["FLOW_ID"];
		}
		$query = "SELECT * FROM flow_type WHERE FLOW_ID=$FLOW_ID";
		$cursor1 = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor1 ))
		{
			$FLOW_NAME = $ROW ["FLOW_NAME"];
			$FLOW_TYPE = $ROW ["FLOW_TYPE"];
			$FORM_ID = $ROW ["FORM_ID"];
			$FORM_TYPE = $ROW ["FORM_TYPE"];
		}

		$query = "SELECT * FROM flow_form_type WHERE FORM_ID=$FORM_ID";
		$cursor1 = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor1 ))
		{
			$FORM_NAME = $ROW ["FORM_NAME"];
			$PRINT_MODEL = $ROW ["PRINT_MODEL"];
		}
		//----- 取表单数据 --------
		$query = "SELECT * FROM flow_run_data WHERE RUN_ID=$RUN_ID ORDER BY ITEM_ID";
		$cursor = exequery ( $connection, $query );
		while ( $ROW = mysql_fetch_array ( $cursor ) )
		{
			$ITEM_ID = $ROW ["ITEM_ID"];
			$ITEM_DATA = $ROW ["ITEM_DATA"];
			$STR = "DATA_" . $ITEM_ID;
			$$STR = $ITEM_DATA;
		}
		//----------- 步骤1 -------------
		$query = "SELECT * FROM flow_run_prcs WHERE RUN_ID=$RUN_ID AND PRCS_ID=1";
		$cursor = exequery ( $connection, $query );
		if ($ROW = mysql_fetch_array ( $cursor ))
		{
			$USER_ID = $ROW ["USER_ID"];
			$PRCS_TIME1 = $ROW ["PRCS_TIME"];
			$PRCS_TIME1 = format_date ( $PRCS_TIME1 );
		}
		$PRINT_MODEL = str_replace ( "#[表单]", "<b>$FORM_NAME</b>", $PRINT_MODEL );
		$PRINT_MODEL = str_replace ( "#[流水号]", $RUN_NAME, $PRINT_MODEL );
		$PRINT_MODEL = str_replace ( "#[时间]", "日期：$PRCS_TIME1", $PRINT_MODEL );
		//-------- Html 智能分析 -----------
		$ELEMENT_ARRAY = html_element ( $PRINT_MODEL );
		$ITEM_ID_MAX = sizeof ( $ELEMENT_ARRAY );
		$ITEM_ID = 0;
		$POS = 0;
		for($I = 0; $I < $ITEM_ID_MAX; $I ++)
		{
			$ELEMENT = $ELEMENT_ARRAY [$I];
			$ENAME   = get_attr ( $ELEMENT, "NAME" );
			$EVALUE  = get_attr ( $ELEMENT, "VALUE" );
			$ECLASS  = get_attr ( $ELEMENT, "CLASS" );
			$THOUSAND= get_attr ( $ELEMENT, "THOUSANDFORMAT" );

			if ($ECLASS != "DATE" && $ECLASS != "time")
				$ITEM_ID ++;
			$STR = "DATA_" . $ITEM_ID;
			$ITEM_VALUE = $$STR;
			if ($ECLASS == "EDITOR")
			{
				$ITEM_VALUE = changeFullToHalf ( $ITEM_VALUE );
			}
			else
			{
				$ITEM_VALUE = restore ( $ITEM_VALUE );
			}
			//--- 用值替换控件 ----
			if ($ECLASS == "DATE" || $ECLASS == "time" || $ITEM_VALUE == "{宏控件}" || $ITEM_VALUE == "{会签字段}" || $ITEM_VALUE == "{编辑器}" || $ITEM_VALUE == "{人员选择}" || $ITEM_VALUE == "{部门选择}" || $ITEM_VALUE == "{角色选择}")
				$ITEM_VALUE = "";
			//电脑签章控件
			if($ECLASS == "HTML_SIGNATURE")
			{
				$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' required='$REQUIRE' onchange=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onkeyup=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onblur=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\"",$ELEMENT);
				preg_match("/<[^\>]*/",$ELEMENT_OUT,$rs);
				$htmlEditTemp = $rs[0];
				//width
				$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
				$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr));
				$subWidthPxStr  = strstr($subWidthStr,"px");
				$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
				//height
				$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
				$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr));
				$subHeightPxStr = strstr($subStylestr,"px");
				$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
				$ITEM_VALUE = "<div class='HTML_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$ITEM_ID' id='DATA_SIGNATURE_$ITEM_ID' style='position:relative;height:$height;width:$width;'><div name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' required='$REQUIRE' class='HTML_SIGNATURE' value='$EVALUE' style=''></div></div></div>";
			}
			//手机签章控件
			elseif($ECLASS == "PHONE_SIGNATURE")
			{
				$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' required='$REQUIRE' onchange=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onkeyup=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onblur=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\"",$ELEMENT);
				preg_match("/<[^\>]*/",$ELEMENT_OUT,$rs);
				$htmlEditTemp = $rs[0];
				//width
				$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
				$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr));
				$subWidthPxStr  = strstr($subWidthStr,"px");
				$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
				//height
				$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
				$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr));
				$subHeightPxStr = strstr($subStylestr,"px");
				$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
				$ITEM_VALUE = "<div class='PHONE_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$ITEM_ID' id='DATA_SIGNATURE_$ITEM_ID' style='position:relative;height:$height;width:$width;'><div name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' required='$REQUIRE' class='PHONE_SIGNATURE' value='$EVALUE' style=''></div></div></div>";
				//$ITEM_VALUE = "<div name='DATA_SIGNATURE_$ITEM_ID' id='DATA_SIGNATURE_$ITEM_ID' required='$REQUIRE' class='PHONE_SIGNATURE' title='$EITLE' type='div'  value='$EVALUE' style='position:absolute;height: 100px;'></div>";
			}
			elseif ($ECLASS == "AUTO" && $ENAME == "SELECT" && $ITEM_VALUE != "") //--- 列表型宏控件 ---
			{
				$EDATAFLD = get_attr ( $ELEMENT, "DATAFLD" );
				switch ($EDATAFLD)
				{
					case "SYS_LIST_DEPT" :
						$query_auto = "SELECT * from DEPARTMENT where DEPT_ID=$ITEM_VALUE";
						$cursor_auto = exequery ( $connection, $query_auto );
						if ($ROW = mysql_fetch_array ( $cursor_auto ))
							$ITEM_VALUE = $ROW ["DEPT_NAME"];
						break;
					case "SYS_LIST_PRIV":
						/*$query_auto="SELECT * from USER_PRIV where USER_PRIV=$ITEM_VALUE";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW=mysql_fetch_array($cursor_auto))
						$ITEM_VALUE=$ROW["PRIV_NAME"];*/
					break;
					case "SYS_LIST_USER" :
					case "SYS_LIST_PRCSUSER1" :
					case "SYS_LIST_PRCSUSER2" :
						$query_auto = "SELECT * FROM user WHERE USER_ID='$ITEM_VALUE'";
						$cursor_auto = exequery ( $connection, $query_auto );
						if ($ROW = mysql_fetch_array ( $cursor_auto ))
							$ITEM_VALUE = $ROW ["USER_NAME"];
						break;
					case "SYS_LIST_SQL" :
						break;
				}

			}
			else //--- 普通控件 ---
			{
				if ($ECLASS == "AUTO" && $ITEM_VALUE == "{宏控件}")
					$ITEM_VALUE = "";

				//$ITEM_VALUE=str_replace("<","&lt",$ITEM_VALUE);
				//$ITEM_VALUE=str_replace(">","&gt",$ITEM_VALUE);
				$ITEM_VALUE = stripslashes ( $ITEM_VALUE );
				$ITEM_VALUE = str_replace ( chr ( 10 ), "<br>", $ITEM_VALUE );

				if ($ENAME == "INPUT" && strstr ( $ELEMENT, "type=\"checkbox\"" ))
				{
					if ($ITEM_VALUE == "on")
					{
						$ITEM_VALUE = "<input type=\"checkbox\" checked class=\"checkbox\" disabled>";
					}
					else
					{
						$ITEM_VALUE = "<input type=\"checkbox\" class=\"checkbox\" disabled>";
					}
				}
				if ($ENAME == "INPUT" && !strstr ( $ELEMENT, "type=\"checkbox\"" ))
				{
					if($ECLASS == "thousandformat" || $THOUSAND=="1" && $ECLASS != "CALC")
					{
						//对该值进行千位分隔符处理
						//计算原来小数点后几位
						if(strrpos($ITEM_VALUE,"."))
							$len = strlen($ITEM_VALUE)-strrpos($ITEM_VALUE,".")-1;
						else
							$len = 0;
						$ITEM_VALUE = number_format($ITEM_VALUE,$len,".",",");
						if(substr($ITEM_VALUE,-3)===".00")
							$ITEM_VALUE = substr($ITEM_VALUE,0,strlen($ITEM_VALUE)-3);
					}
				}
				if ($ECLASS == "CALC")
				{
					$thouslanformat = getHtmlObjPropValue($ELEMENT,"thousandformat");
					if($thouslanformat)
					{
						$ITEM_VALUE = number_format($ITEM_VALUE,"2",".",",");
						if(substr($ITEM_VALUE,-3)==".00")
							$ITEM_VALUE = substr($ITEM_VALUE,0,strlen($ITEM_VALUE)-3);
					}
				}
				if ($ECLASS == "chooseUser")
				{
					$ITEM_VALUE = substr ( $ITEM_VALUE, 0, strpos ( $ITEM_VALUE, "|" ) );
				}
				if ($ECLASS == "chooseDept")
				{
					$ITEM_VALUE = substr ( $ITEM_VALUE, 0, strpos ( $ITEM_VALUE, "|" ) );
				}
				if ($ECLASS == "chooseRole")
				{
					$ITEM_VALUE = substr ( $ITEM_VALUE, 0, strpos ( $ITEM_VALUE, "|" ) );
				}
				else if ($ECLASS == "detailChar")
				{
					//取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
					$detailCharWidth        = getHtmlObjPropValue($ELEMENT,"detailcharwidth");
					$detailCharFormula      = getHtmlObjPropValue($ELEMENT,"detailcharformula");
					$detailCharTotal        = getHtmlObjPropValue($ELEMENT,"detailchartotal");
					$detailCharName         = getHtmlObjPropValue($ELEMENT,"detailcharname");
					//增加明细字段类型
					$detailCharType         = getHtmlObjPropValue($ELEMENT,"detailchartype");
					//获取明细项下拉框的值
					$detailCharDropValues   = getHtmlObjPropValue($ELEMENT,"detailchardropvalues");
					$detailCharNameArray    = explode("`",$detailCharName);
					$detailCharWidthArray   = explode("`",$detailCharWidth);
					$detailCharFormulaArray = explode("`",$detailCharFormula);
					$detailCharTotalArray   = explode("`",$detailCharTotal);
					//增加明细字段类型
					if($detailCharType)
						$detailCharTypeArray   = explode("`",$detailCharType);
					else
					{
						for($dti=0;$dti < count($detailCharNameArray);$dti++)
						{
							$detailCharTypeArray[$dti]	= "1";
							$detailCharType            .= "1`";
						}
					}
					if($detailCharDropValues)
						$detailCharDropArray   = explode("~",$detailCharDropValues);
					else
					{
						for($dti=0;$dti < count($detailCharNameArray);$dti++)
						{
							$detailCharDropArray[$dti]	= "";
							$detailCharDropValues      .= "~";
						}
					}
					$detailCharTypeArray   = explode("`",$detailCharType);
					$detailCharDropArray   = explode("~",$detailCharDropValues);
					$title                  = getHtmlObjPropValue($ELEMENT,"title");
					$ELEMENT_OUT  = "<table width=\"100%\" border=\"0\" cellspace=\"0\" cellpadding=\"3\" id=\""."tableDetailChar_"."$ITEM_ID"."_"."$title\" class=\"detailChar\"><tr class=\"tableheader\" >";
					for($i = 0; $i < count($detailCharNameArray);$i++)
					{
						$ELEMENT_OUT .= "<td nowrap=\"nowrap\">$detailCharNameArray[$i]</td>";
					}
					$ELEMENT_OUT .= "</tr>";
					$itemRowValueArray  = explode("|#|",trim($ITEM_VALUE,"|#|"));
					$detailCharArray    = "";
					for($i = 0; $i <count($itemRowValueArray);$i++)
					{
						if($itemRowValueArray[$i])
						{
							$ELEMENT_OUT .= "<tr>";
							$itemColValueArray = explode("`*`",$itemRowValueArray[$i]);
							for($j = 0;$j < count($detailCharTotalArray);$j++)
							{
								$rowsIndex = $i+1;
								$colsIndex = $j+1;
								//查看表单不可修改数据，故这里都是不可以修改的，和办理页面有区别
								$classStr = "readonly=\"readonly\"";
								if($detailCharTypeArray[$j]==4)
									$classStr .= "class=\"wdate textreaonly\"";
								else
									$classStr .= "class=\"textreaonly\"";
								if($detailCharTypeArray[$j]==1)
								 {
									 if(strpos($detailCharWidthArray[$j],"*"))
									 {
										$detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
										$fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
										$fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
										$size = "style=\"width:$fWitdh; height:$fHeight;\"";
									 }
									 else
										//兼容原来的
										$size = "size=\"$detailCharWidthArray[$j]\"";
									 $ELEMENT_OUT .= "<td valign=\"top\"><input type=\"text\" ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" value=\"".$itemColValueArray[$j]."\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" > </td>";
								 }
								 else if($detailCharTypeArray[$j]==2)
								 {
									 if(!strpos($detailCharWidthArray[$j],"*"))
									 {
										$detailCharWidthArray[$j] = "90*20";
									 }
									 $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
									 $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
									 $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
									 $size = "style=\"width:$fWitdh; height:$fHeight;\"";

									 $ELEMENT_OUT .= "<td valign=\"top\"><textarea ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" >$itemColValueArray[$j]</textarea></td>";
								 }
								 else if($detailCharTypeArray[$j]==3)
								 {
									 if(!strpos($detailCharWidthArray[$j],"*"))
									 {
										$detailCharWidthArray[$j] = "90*20";
									 }
									 $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
									 $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
									 $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
									 $size = "style=\"width:$fWitdh; height:$fHeight;\"";

									 $ELEMENT_OUT .= "<td valign=\"top\"><select disabled=\"disabled\" ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" value=\"".$itemColValueArray[$j]."\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" style=\"width:$detailCharWidthArray[$j]px;\" >";
									 $dropValueArray = explode(",",$detailCharDropArray[$j]);
									 for($m=0;$m<count($dropValueArray);$m++)
									 {
										$selected = "";
										if($dropValueArray[$m]||$m==0)
										{
											if($itemColValueArray[$j]==$dropValueArray[$m])
												$selected = "selected=\"selected\"";
											$ELEMENT_OUT .= "<option value=\"".$dropValueArray[$m]."\" $selected >".$dropValueArray[$m]."</option>";
										}
									 }
									 $ELEMENT_OUT .="</select> </td>";
								 }
								 else if($detailCharTypeArray[$j]==4)
								 {
									 if(!strpos($detailCharWidthArray[$j],"*"))
									 {
										$detailCharWidthArray[$j] = "90*20";
									 }
									 $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
									 $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
									 $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
									 $size = "style=\"width:$fWitdh; height:$fHeight;\"";
									 $ELEMENT_OUT .= "<td valign=\"top\"><input type=\"text\" ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" value=\"".$itemColValueArray[$j]."\" /></td>";
								 }
							}
							$ELEMENT_OUT .= "</tr>";
						}

					}
					$ELEMENT_OUT .= "<tr id=\"$title"."_"."buttomTr\">";
					for($i = 0; $i < count($detailCharNameArray);$i++)
					{
						$colIndex = $i+1;
						$ELEMENT_OUT .= "<td nowrap=\"nowrap\" id=\"$title"."_td_$colIndex"."\">&nbsp;</td>";
					}
					$ELEMENT_OUT .= "</tr></table><input type=\"hidden\" value=\"".count($itemRowValueArray)."\" name=\"$title"."_hidden_len\" id=\"$title"."_hidden_len\"><script type=\"\">setTimeout(\"refreshDetail('$title','$detailCharTotal','$detailCharFormula','".$ITEM_ID."')\",100)</script>";
					$ITEM_VALUE = $ELEMENT_OUT;
				}
			}
			//-- 找到代换位置进行代换 --
			$POS = strpos ( $PRINT_MODEL, $ELEMENT, $POS );
			$PRINT_MODEL = substr ( $PRINT_MODEL, 0, $POS ) . $ITEM_VALUE . substr ( $PRINT_MODEL, $POS + strlen ( $ELEMENT ) );
		}
		return $PRINT_MODEL;
	}
	function getFlowUser($RUN_ID)
	{
		global $connection;
		$query = "SELECT USER_ID,MONITOR_SUBMIT,BY_AGENT_ID FROM flow_run_prcs WHERE RUN_ID ='".SecurityFilter($RUN_ID)."'";
		//增加被抄送人查看子流程的权限
		$query .= " UNION SELECT BY_USER_ID,'','' FROM flow_copy WHERE RUN_ID ='".SecurityFilter($RUN_ID)."'";
		$res = exequery ( $connection, $query );

		//Edit By Samuel 20110616 TD:6306 M1
		//M1
		//获取创建人和子流程查看人
		$getCreatorAndViewuserSQL = "SELECT CREATOR,VIEW_USER FROM flow_run WHERE RUN_ID=".SecurityFilter($RUN_ID)."";
		$getCreatorAndViewuserResult = exequery ( $connection, $getCreatorAndViewuserSQL );
		$USER_PUR = "";
		if ($getCreatorAndViewuserRow = mysql_fetch_array ( $getCreatorAndViewuserResult ))
		{
			$CREATOR = $getCreatorAndViewuserRow ['CREATOR'];
			$VIEW_USER = $getCreatorAndViewuserRow ['VIEW_USER'];

			if ($CREATOR != "" && ! strstr ( "," . $USER_PUR, "," . $CREATOR . "," ))
			{
				$USER_PUR .= $CREATOR . ",";
			}

			if ($VIEW_USER != "" && ! strstr ( "," . $USER_PUR, "," . $VIEW_USER . "," ))
			{
				$USER_PUR .= $VIEW_USER . ",";
			}
		}

		while ( $ROW = mysql_fetch_array ( $res ) )
		{

			//办理人
			$USER_ID = $ROW ['USER_ID'];

			//委托人
			$BY_AGENT_ID = $ROW ['BY_AGENT_ID'];

			//监控人
			$MONITOR_SUBMIT = $ROW ['MONITOR_SUBMIT'];

			if ($BY_AGENT_ID != "" && ! strstr ( "," . $USER_PUR, "," . $BY_AGENT_ID . "," ))
			{
				$USER_PUR .= $BY_AGENT_ID . ",";
			}
			if ($MONITOR_SUBMIT != "" && ! strstr ( "," . $USER_PUR, "," . $MONITOR_SUBMIT . "," ))
			{
				$USER_PUR .= $MONITOR_SUBMIT . ",";
			}
			//End M1
			if (! strstr ( "," . $USER_PUR, "," . $USER_ID . "," ))
			{
				$USER_PUR .= $USER_ID . ",";
			}
		}
		return $USER_PUR;
	}
	function getFlowUserCreate($RUN_ID)
	{
		global $connection;
		$query = "
			SELECT * from FLOW_RUN_PRCS where RUN_ID =".SecurityFilter($RUN_ID)." and PRCS_ID=1
		";
		$res = exequery ( $connection, $query );
		$ROW = mysql_fetch_array ( $res );
		$USER_ID = $ROW ['USER_ID'];
		return $USER_ID;
	}
}
?>
