<?
/**
 * @systemname:       E-Office
 * @filename:         inc/free_flow_html_element.php
 * @function:         自由流程---Html 智能分析
 * @encoding:         $_lang['encoding']
 * @author:           www.weaver.com.cn
 * @date:             2011-08-19
 * @file Version:     4.0
 * @eoffice Version:  8.0
 * @modify:           dingp
*/
//-------- 自由流程---Html 智能分析 -----------
$ELEMENT_ARRAY = html_element($PRINT_MODEL);
$ITEM_ID_MAX   = sizeof($ELEMENT_ARRAY);
$ITEM_ID       = 0;
for($I=0;$I<$ITEM_ID_MAX;$I++)
{
	$ELEMENT = $ELEMENT_ARRAY[$I];
	$ENAME   = get_attr($ELEMENT,"NAME");
	$EVALUE  = get_attr($ELEMENT,"VALUE");
	$EITLE   = get_attr($ELEMENT,"TITLE");
	$ECLASS  = get_attr($ELEMENT,"CLASS");
	$THOUSAND= get_attr($ELEMENT,"THOUSANDFORMAT");
	//--- 加入控件名称 ---
	if($ECLASS != "DATE"&&$ECLASS != "time")
	{
		$ITEM_ID++;
		$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME name='DATA_$ITEM_ID'  id='DATA_$ITEM_ID' required='$REQUIRE' onchange=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\" onblur=\"checkRequired(this,'$ITEM_ID','$OP_FLAG');\"",$ELEMENT);
		$fieldArray[$ITEM_ID] = $EITLE;
	}
	//--- 赋值 ----
	$STR        = "DATA_".$ITEM_ID;
	$ITEM_VALUE = $$STR;

	if($ITEM_VALUE == "{宏控件}"||$ITEM_VALUE == "{会签字段}"||$ITEM_VALUE == "{编辑器}"||$ITEM_VALUE == "{人员选择}"||$ITEM_VALUE == "{部门选择}"||$ITEM_VALUE == "{角色选择}")
		$ITEM_VALUE="";
	//电脑签章控件
	if($ECLASS == "HTML_SIGNATURE")
	{
		preg_match("/<[^\>]*/",$ELEMENT_OUT,$rs);
		$htmlEditTemp = $rs[0];
		//width
		$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
		$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr));
		$subWidthPxStr  = strstr($subWidthStr,"px");
		$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
		//height
		$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
		$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr));
		$subHeightPxStr = strstr($subStylestr,"px");
		$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
		$ELEMENT_OUT = "<table border='0' cellpadding='0' cellspacing='0'><tr><td><div class='HTML_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$ITEM_ID' id='DATA_SIGNATURE_$ITEM_ID' style='position:relative;height:$height;width:$width;'><input type='hidden' name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' required='$REQUIRE' class='HTML_SIGNATURE' value='$EVALUE'></div></div></td><td valign='bottom' nowrap='nowrap'><a style=\"display:;\" href=\"#\" name='HTMLSIG_QZ_A_$ITEM_ID' id='HTMLSIG_QZ_A_$ITEM_ID' title=\"\" onClick=\"showSignature('qz','DATA_SIGNATURE_$ITEM_ID');\"/><font color='#828282'>".$_lang['flow_click_to_signature']."</font></a>&nbsp;&nbsp;<a style=\"display:;\" href=\"#\" name='HTMLSIG_SX_A_$ITEM_ID' id='HTMLSIG_SX_A_$ITEM_ID' title=\"\" onClick=\"showSignature('sx','DATA_SIGNATURE_$ITEM_ID');\"/><font color='#828282'>".$_lang['flow_click_to_sign']."</font></a></td></tr></table>";
	}
	//手机签章控件
	if($ECLASS == "PHONE_SIGNATURE")
	{
		preg_match("/<[^\>]*/",$ELEMENT_OUT,$rs);
		$htmlEditTemp = $rs[0];
		//width
		$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
		$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr));
		$subWidthPxStr  = strstr($subWidthStr,"px");
		$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
		//height
		$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
		$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr));
		$subHeightPxStr = strstr($subStylestr,"px");
		$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
		$ELEMENT_OUT = "<div class='PHONE_SIGNATURE' style='height:$height;width:$width;'><div name='DATA_SIGNATURE_$ITEM_ID' id='DATA_SIGNATURE_$ITEM_ID' style='position:relative;height:$height;width:$width;'><input type='hidden' name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' required='$REQUIRE' class='HTML_SIGNATURE' value='$EVALUE' ></div></div>";
	}
	//非特殊控件
	//input 输入控件
	if($ENAME=="INPUT"&&$ECLASS !="AUTO")
	{
		//单行文本框
		if(!strstr($ELEMENT_OUT,"type=\"checkbox\""))
		{
			$ELEMENT_OUT = str_replace("value=\"$EVALUE\"","",$ELEMENT_OUT);
			$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME value='$ITEM_VALUE'",$ELEMENT_OUT);
			if($ECLASS == "thousandformat")
			{
				$ELEMENT_OUT  = str_replace("onchange=\"","onchange=\"thousandFormat_DATA_$ITEM_ID('DATA_$ITEM_ID');",$ELEMENT_OUT);
				$ELEMENT_OUT  = str_replace("class=\"thousandformat\"","thousandformat=\"1\"",$ELEMENT_OUT);
				$ELEMENT_OUT .= "<script type='text/javascript'>
				jQuery(window).bind('load',function(){thousandFormat_DATA_$ITEM_ID();});function thousandFormat_DATA_$ITEM_ID(){thousandFormat('DATA_$ITEM_ID');}
				</script>";
			}
			else if($THOUSAND == "1" && $ECLASS != "CALC")
			{
				$ELEMENT_OUT  = str_replace("onchange=\"","onchange=\"thousandFormat_DATA_$ITEM_ID('DATA_$ITEM_ID');",$ELEMENT_OUT);
				$ELEMENT_OUT .= "<script type='text/javascript'>
				jQuery(window).bind('load',function(){thousandFormat_DATA_$ITEM_ID();});function thousandFormat_DATA_$ITEM_ID(){thousandFormat('DATA_$ITEM_ID');}
				</script>";
			}
		}
		//单选框
		else
		{
			$ELEMENT_OUT = str_replace(" checked=\"checked\"","",$ELEMENT_OUT);
			if($ITEM_VALUE == "on")
				$ELEMENT_OUT=str_replace("<$ENAME","<$ENAME checked=\"checked\" class=\"checkbox\"",$ELEMENT_OUT);
			else
				$ELEMENT_OUT=str_replace("<$ENAME","<$ENAME class=\"checkbox\"",$ELEMENT_OUT);
		}
	}
	//多行文本框
	else if($ENAME == "TEXTAREA")
	{
		$ELEMENT_OUT = str_replace(">$EVALUE<",">$ITEM_VALUE<",$ELEMENT_OUT);
	}
	//下拉框，值不为空且不是宏控件
	else if($ENAME == "SELECT" && $ITEM_VALUE != "" && $ECLASS != "AUTO")
	{
		//用来处理特殊字符引起下拉框里值不正确的问题，TD 7030
		$ELEMENT_OUT = str_replace("&middot;","·",$ELEMENT_OUT);
		$ELEMENT_OUT = str_replace("&ldquo;","“",$ELEMENT_OUT);
		$ELEMENT_OUT = str_replace("&rsquo;","‘",$ELEMENT_OUT);
		$ELEMENT_OUT = str_replace("&mdash;","—",$ELEMENT_OUT);
		$ELEMENT_OUT = str_replace("&hellip;","…",$ELEMENT_OUT);
		$ELEMENT_OUT = str_replace("？","?",$ELEMENT_OUT);
		$ELEMENT_OUT = str_replace("＃","#",$ELEMENT_OUT);
		$ELEMENT_OUT = str_replace("＆","&",$ELEMENT_OUT);
		$ITEM_VALUE  = str_replace("？","?",$ITEM_VALUE);
		$ITEM_VALUE  = str_replace("＃","#",$ITEM_VALUE);
		$ITEM_VALUE  = str_replace("＆","&",$ITEM_VALUE);
		$ITEM_VALUE  = htmlspecialchars($ITEM_VALUE);
		if($ECLASS == "dynamic")
		{
			$ELEMENT_OUT = str_replace("</SELECT>","<option id=\"$ITEM_VALUE\" value=\"$ITEM_VALUE\">$ITEM_VALUE</option></select>",$ELEMENT_OUT);
		}
		else
		{
			$ELEMENT_OUT = str_replace(" selected","",$ELEMENT_OUT);
			$ELEMENT_OUT = str_replace("<OPTION value=\"$ITEM_VALUE\">","<OPTION selected value=\"$ITEM_VALUE\">",$ELEMENT_OUT);
		}
	}

	//--- 特殊控件 ---
	//日期控件
	if($ECLASS == "DATE")
	{
		$title = getHtmlObjPropValue($ELEMENT,"title");
		$src   = getHtmlObjPropValue($ELEMENT,"src");
		$ELEMENT_OUT = "<img class=\"DATE\" src=\"$src\" align=\"absmiddle\" title=\"$title\" border=\"0\" style=\"cursor:hand;\" onclick=\"td_calendar('$EVALUE')\" />";
	}
	//时间控件
	else if($ECLASS == "time")
	{
		$title = getHtmlObjPropValue($ELEMENT,"title");
		//$value = getHtmlObjPropValue($ELEMENT,"value");
		$src   = getHtmlObjPropValue($ELEMENT,"src");
		$ELEMENT_OUT = "<img src=\"$src\" class=\"time\" align=\"absmiddle\" title=\"$title\" border=\"0\" style=\"cursor:hand;\" onclick=\"td_time('$EVALUE')\" />";
	}
	//编辑器控件
	else if($ECLASS == "EDITOR")
	{
		//title
		$title = getHtmlObjPropValue($ELEMENT_OUT,"title");
		//ELEMENT_OUT当中可能含有多个style="width
		preg_match("/<[^\>]*/",$ELEMENT_OUT,$rs);
		$htmlEditTemp = $rs[0];
		//width
		$fromWidthStr   = strstr($htmlEditTemp,"style=\"width: ");
		$subWidthStr    = substr($fromWidthStr,14,strlen($fromWidthStr));
		$subWidthPxStr  = strstr($subWidthStr,"px");
		$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr));
		//height
		$fromStyleStr   = strstr($htmlEditTemp,"style=\"width: $width"."px; height: ");
		$subStylestr    = substr($fromStyleStr,26+strlen($width),strlen($fromStyleStr));
		$subHeightPxStr = strstr($subStylestr,"px");
		$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr));
		$ITEM_VALUE     = changeFullToHalf($ITEM_VALUE);
		$ELEMENT_OUT = "<textarea id=\"DATA_$ITEM_ID\" name=\"DATA_$ITEM_ID\" class=\"EDITOR\" title=\"$title\" >$ITEM_VALUE</textarea>".
		"<script type="."text/javascript".">
			createpicdiv();
			var oFCKeditor        = new FCKeditor('DATA_$ITEM_ID');
			oFCKeditor.BasePath   = \"/fck/\" ;
			oFCKeditor.Width      = \"$width\" ;
			oFCKeditor.Height     = \"$height\" ;
			oFCKeditor.ToolbarSet = \"Flow\" ;
			oFCKeditor.ReplaceTextarea() ;
		</script>";
	}
	//会签字段控件
	else if($ECLASS == "countersign")
	{
		//取自动获取添加人和时间的值
		$auto_user_value     = substr(strstr($ELEMENT_OUT,"auto_user=\""),11,1);
		$auto_datetime_value = substr(strstr($ELEMENT_OUT,"auto_datetime=\""),15,1);
		//取会签字段的列和行的值
		$cols                = getHtmlObjPropValue($ELEMENT_OUT,"cols");
		$rows                = getHtmlObjPropValue($ELEMENT_OUT,"rows");
		$style               = getHtmlObjPropValue($ELEMENT_OUT,"style");
		$ITEM_VALUE_SHOW     = restore($ITEM_VALUE);
		$ELEMENT_OUT = "<textarea id=\"countersign_input_$ITEM_ID\" name =\"countersign_input_$ITEM_ID\" auto_user=\"$auto_user_value\" auto_datetime=\"$auto_datetime_value\" rows=\"$rows\" style=\"$style\" cols=\"$cols\" ></textarea><div id=\"DIV_$ITEM_ID\" class=\"counterSignDiv\" style=\"word-break:break-all;\">$ITEM_VALUE_SHOW</div><textarea style=\"display:none;\"  id=\"DATA_$ITEM_ID\" name=\"DATA_$ITEM_ID\" required='$REQUIRE' class=\"countersign\" >$ITEM_VALUE</textarea>";
	}
	else if($ECLASS == "chooseUser")  //人力资源选择框---选择人员
	{
		//取title,cols,rows的值
		$title = getHtmlObjPropValue($ELEMENT_OUT,"title");
		$cols  = getHtmlObjPropValue($ELEMENT_OUT,"cols");
		$rows  = getHtmlObjPropValue($ELEMENT_OUT,"rows");
		$style = getHtmlObjPropValue($ELEMENT_OUT,"style");
		//分解$ITEM_VALUE得出inputId的值和inputName的值
		$chooseUserInputNameValue = substr($ITEM_VALUE,0,strpos($ITEM_VALUE,"|"));
		$chooseUserInputIdValue   = substr($ITEM_VALUE,strpos($ITEM_VALUE,"|")+1,strlen($ITEM_VALUE));
		$ELEMENT_OUT = "<input type=\"hidden\" name=\"chooseUserInputId_$ITEM_ID\" id=\"chooseUserInputId_$ITEM_ID\" value=\"$chooseUserInputIdValue\"><textarea class=\"chooseUser\" readonly=\"readonly\" name=\"chooseUserInputName_$ITEM_ID\" id=\"chooseUserInputName_$ITEM_ID\" rows=\"$rows\" cols=\"$cols\" style=\"background-color:#eeeeee;border:1px solid #7F9DB9;$style;\">$chooseUserInputNameValue</textarea><input type=\"hidden\" id=\"DATA_$ITEM_ID\" name=\"DATA_$ITEM_ID\" class=\"chooseUserInput\" value=\"$ITEM_VALUE\">&nbsp;<img align=\"absbottom\" title=\"".$_lang["flow_person_choose"]."：$title\" style=\"CURSOR: hand\" src=\"/theme/".$_SESSION['LOGIN_THEME']."/images/icon/user_go.gif\" border=\"0\" onclick=\"LoadWindowUser('chooseUserInputId_$ITEM_ID','chooseUserInputName_$ITEM_ID','form1')\">";
	}
	else if($ECLASS == "chooseDept")  //人力资源选择框---选择部门
	{
		//取title,cols,rows的值
		$title = getHtmlObjPropValue($ELEMENT_OUT,"title");
		$cols  = getHtmlObjPropValue($ELEMENT_OUT,"cols");
		$rows  = getHtmlObjPropValue($ELEMENT_OUT,"rows");
		$style = getHtmlObjPropValue($ELEMENT_OUT,"style");
		//分解$ITEM_VALUE得出inputId的值和inputName的值
		$chooseDeptInputNameValue = substr($ITEM_VALUE,0,strpos($ITEM_VALUE,"|"));
		$chooseDeptInputIdValue   = substr($ITEM_VALUE,strpos($ITEM_VALUE,"|")+1,strlen($ITEM_VALUE));
		$ELEMENT_OUT = "<input type=\"hidden\" name=\"chooseDeptInputId_$ITEM_ID\" id=\"chooseDeptInputId_$ITEM_ID\" value=\"$chooseDeptInputIdValue\"><textarea class=\"chooseDept\" readonly=\"readonly\" name=\"chooseDeptInputName_$ITEM_ID\" id=\"chooseDeptInputName_$ITEM_ID\" rows=\"$rows\" cols=\"$cols\" style=\"background-color:#eeeeee;border:1px solid #7F9DB9;$style;\" >$chooseDeptInputNameValue</textarea><input type=\"hidden\" id=\"DATA_$ITEM_ID\" name=\"DATA_$ITEM_ID\" class=\"chooseDeptInput\" value=\"$ITEM_VALUE\">&nbsp;<img align=\"absbottom\" title=\"".$_lang["flow_dept_choose"]."：$title\" style=\"CURSOR: hand\" src=\"/theme/".$_SESSION['LOGIN_THEME']."/images/icon/user_go.gif\" border=\"0\" onclick=\"LoadWindowDept('chooseDeptInputId_$ITEM_ID','chooseDeptInputName_$ITEM_ID','form1')\">";
	}
	else if($ECLASS == "chooseRole")  //人力资源选择框---选择角色
	{
		//取title,cols,rows的值
		$title = getHtmlObjPropValue($ELEMENT_OUT,"title");
		$cols  = getHtmlObjPropValue($ELEMENT_OUT,"cols");
		$rows  = getHtmlObjPropValue($ELEMENT_OUT,"rows");
		$style = getHtmlObjPropValue($ELEMENT_OUT,"style");
		//分解$ITEM_VALUE得出inputId的值和inputName的值
		$chooseRoleInputNameValue = substr($ITEM_VALUE,0,strpos($ITEM_VALUE,"|"));
		$chooseRoleInputIdValue   = substr($ITEM_VALUE,strpos($ITEM_VALUE,"|")+1,strlen($ITEM_VALUE));
		$ELEMENT_OUT = "<input type=\"hidden\" name=\"chooseRoleInputId_$ITEM_ID\" id=\"chooseRoleInputId_$ITEM_ID\" value=\"$chooseRoleInputIdValue\"><textarea class=\"chooseRole\" readonly=\"readonly\" name=\"chooseRoleInputName_$ITEM_ID\" id=\"chooseRoleInputName_$ITEM_ID\" rows=\"$rows\" cols=\"$cols\" style=\"background-color:#eeeeee;border:1px solid #7F9DB9;$style;\" >$chooseRoleInputNameValue</textarea><input type=\"hidden\" id=\"DATA_$ITEM_ID\" name=\"DATA_$ITEM_ID\" class=\"chooseRoleInput\" value=\"$ITEM_VALUE\">&nbsp;<img align=\"absbottom\" title=\"".$_lang["flow_role_choose"]."：$title\" style=\"CURSOR: hand\" src=\"/theme/".$_SESSION['LOGIN_THEME']."/images/icon/user_go.gif\" border=\"0\" onclick=\"LoadWindowPriv('chooseRoleInputId_$ITEM_ID','chooseRoleInputName_$ITEM_ID','form1')\">";
	}
	else if($ECLASS == "detailChar")  //明细字段
	{
		//取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
		$detailCharWidth        = getHtmlObjPropValue($ELEMENT_OUT,"detailcharwidth");
		$detailCharFormula      = getHtmlObjPropValue($ELEMENT_OUT,"detailcharformula");
		$detailCharTotal        = getHtmlObjPropValue($ELEMENT_OUT,"detailchartotal");
		$detailCharName         = getHtmlObjPropValue($ELEMENT_OUT,"detailcharname");

		//增加明细字段类型
		$detailCharType         = getHtmlObjPropValue($ELEMENT_OUT,"detailchartype");
		//获取明细项下拉框的值
		$detailCharDropValues   = getHtmlObjPropValue($ELEMENT_OUT,"detailchardropvalues");
		$detailCharNameArray    = explode("`",$detailCharName);
		$detailCharWidthArray   = explode("`",$detailCharWidth);
		$detailCharFormulaArray = explode("`",$detailCharFormula);
		$detailCharTotalArray   = explode("`",$detailCharTotal);
		//增加明细字段类型
		if($detailCharType)
			$detailCharTypeArray   = explode("`",$detailCharType);
		else
		{
			for($dti=0;$dti < count($detailCharNameArray);$dti++)
			{
				$detailCharTypeArray[$dti]	= "1";
				$detailCharType            .= "1`";
			}
		}
		if($detailCharDropValues)
			$detailCharDropArray   = explode("~",$detailCharDropValues);
		else
		{
			for($dti=0;$dti < count($detailCharNameArray);$dti++)
			{
				$detailCharDropArray[$dti]	= "";
				$detailCharDropValues      .= "~";
			}
		}
		$title                  = getHtmlObjPropValue($ELEMENT_OUT,"title");
		$ELEMENT_OUT  = "<table width=\"100%\" border=\"0\" cellspace=\"0\" cellpadding=\"3\" id=\""."tableDetailChar_"."$ITEM_ID"."_"."$title\" class=\"detailChar\"><tr class=\"tableheader\" >";
		$ELEMENT_OUT .= "<td><img src=\"/theme/".$_SESSION['LOGIN_THEME']."/images/icon/flow_add.gif\" onclick=\"addRow('$title','".$_SESSION["LOGIN_THEME"]."','$detailCharWidth','$detailCharFormula','$detailCharTotal','$detailCharName','$detailCharType','$detailCharDropValues','$ITEM_ID')\" ></td><td></td>";
		for($i = 0; $i < count($detailCharNameArray);$i++)
		{
			$ELEMENT_OUT .= "<td nowrap=\"nowrap\">$detailCharNameArray[$i]</td>";
		}
		$ELEMENT_OUT .= "</tr>";
		$itemRowValueArray  = explode("|＃|",trim($ITEM_VALUE,"|＃|"));
		$detailCharArray    = "";
		for($i = 0; $i <count($itemRowValueArray);$i++)
		{
			if($itemRowValueArray[$i])
			{
				$ELEMENT_OUT .= "<tr><td><img src=\"/theme/".$_SESSION['LOGIN_THEME']."/images/icon/flow_delete.gif\" onclick=\"dellRow(this,'".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" ></td>";
				$itemColValueArray = explode("`*`",$itemRowValueArray[$i]);
				for($j = 0;$j < count($detailCharTotalArray);$j++)
				{
					$rowsIndex = $i+1;
					$colsIndex = $j+1;
					 if($detailCharFormulaArray[$j]||$OP_FLAG != 1)
					 {
						$classStr = "class=\"textareaonly\" readonly=\"readonly\"";
					 }
					 else
					 {
						if($detailCharTypeArray[$j]==4)
							$classStr = "class=\"wdate\"";
						else
							$classStr = "class=\"text\"";
					 }
					 if($detailCharTypeArray[$j]==1)
					 {
						 if(strpos($detailCharWidthArray[$j],"*"))
						 {
						 	$detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
							$fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
							$fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
							$size = "style=\"width:$fWitdh; height:$fHeight;\"";
						 }
						 else
							 //兼容原来的
							 $size = "size=\"$detailCharWidthArray[$j]\"";
						 $ELEMENT_OUT .= "<td valign=\"top\"><input type=\"text\" ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" value=\"".$itemColValueArray[$j]."\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" > </td>";
					 }
					 else if($detailCharTypeArray[$j]==2)
					 {
						 if(!strpos($detailCharWidthArray[$j],"*"))
						 {
						 	$detailCharWidthArray[$j] = "90*20";
						 }
						 $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
						 $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
						 $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
						 $size = "style=\"width:$fWitdh; height:$fHeight;\"";
						 $ELEMENT_OUT .= "<td valign=\"top\"><textarea ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" >".$itemColValueArray[$j]."</textarea></td>";
					 }
					 else if($detailCharTypeArray[$j]==3)
					 {
						 if(!strpos($detailCharWidthArray[$j],"*"))
						 {
						 	$detailCharWidthArray[$j] = "90*20";
						 }
						 $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
						 $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
						 $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
						 $size = "style=\"width:$fWitdh; height:$fHeight;\"";

						 $ELEMENT_OUT .= "<td valign=\"top\"><select ".$classStr." $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\"  onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" style=\"width:$detailCharWidthArray[$j]px;\" >";
						 $dropValueArray = explode(",",$detailCharDropArray[$j]);
						 for($m=0;$m<count($dropValueArray);$m++)
						 {
							$selected = "";
							if($dropValueArray[$m]||$m==0)
							{
								if($OP_FLAG != 1)
								{
									if($itemColValueArray[$j]==$dropValueArray[$m])
									{
										$selected = "selected=\"selected\"";
										$ELEMENT_OUT .= "<option value=\"".$dropValueArray[$m]."\" $selected >".$dropValueArray[$m]."</option>";
									}
								}
								else
								{
									if($itemColValueArray[$j]==$dropValueArray[$m])
										$selected = "selected=\"selected\"";
									$ELEMENT_OUT .= "<option value=\"".$dropValueArray[$m]."\" $selected >".$dropValueArray[$m]."</option>";
								}
							}
						 }
						 $ELEMENT_OUT .="</select> </td>";
					 }
					 else if($detailCharTypeArray[$j]==4)
					 {
						 if(!strpos($detailCharWidthArray[$j],"*"))
						 {
						 	$detailCharWidthArray[$j] = "90*20";
						 }
						 $detailCharSizeArray = explode("*",$detailCharWidthArray[$j]);
						 $fWitdh  = $detailCharSizeArray[0]?$detailCharSizeArray[0]."px":"90px";
						 $fHeight = $detailCharSizeArray[1]?$detailCharSizeArray[1]."px":"20px";
						 $size = "style=\"width:$fWitdh; height:$fHeight;\"";
						 $ELEMENT_OUT .= "<td valign=\"top\"><input type=\"text\" ".$classStr."  $size id=\"".$title."_".$rowsIndex."_".$colsIndex."\" name=\"".$title."_".$rowsIndex."_".$colsIndex."\" onchange=\"refreshDetail('".$title."','".$detailCharTotal."','".$detailCharFormula."','".$ITEM_ID."')\" value=\"".$itemColValueArray[$j]."\"";
						 if($OP_FLAG == 1)
						 	$ELEMENT_OUT .= " onclick=\"popUpCalendar(document.form1,document.form1.".$title."_".$rowsIndex."_".$colsIndex.",'yyyy-mm-dd')\"";
						$ELEMENT_OUT .=" /></td>";
					 }
				}
				$ELEMENT_OUT .= "</tr>";
			}

		}
		$ELEMENT_OUT .= "<tr id=\"$title"."_"."buttomTr\"><td></td><td></td>";
		for($i = 0; $i < count($detailCharNameArray);$i++)
		{
			$colIndex = $i+1;
			$ELEMENT_OUT .= "<td nowrap=\"nowrap\" id=\"$title"."_td_$colIndex"."\">&nbsp;</td>";
		}
		$ELEMENT_OUT .= "</tr></table><input type=\"hidden\" id=\"DATA_$ITEM_ID\" name=\"DATA_$ITEM_ID\" value=\"$ITEM_VALUE\" class=\"detailchar\"><input type=\"hidden\" value=\"".count($itemRowValueArray)."\" name=\"$title"."_hidden_len\" id=\"$title"."_hidden_len\"><script type=\"\">setTimeout(\"refreshDetail('$title','$detailCharTotal','$detailCharFormula','$ITEM_ID')\",2000)</script>";
	}
	//获值控件
	else if($ECLASS=="getvalue")
	{
		//获值字段的对应的控件id
		$ELEMENT_OUT = str_replace("<INPUT","<INPUT readonly=\"readonly\" class=\"textareaonly getvalue\"",$ELEMENT_OUT);
		$datasourcetitle = getHtmlObjPropValue($ELEMENT,"datasourceid");
		$uppercase       = getHtmlObjPropValue($ELEMENT,"uppercase");
		if($datasourcetitle)
		{
			$getValueControl[$ITEM_ID]["datasourceid"] = getHtmlObjPropValue($ELEMENT,"datasourceid");
			$getValueControl[$ITEM_ID]["uppercase"]    = getHtmlObjPropValue($ELEMENT,"uppercase");
		}
	}
	//动态关联字段
	else if($ECLASS=="dynamic")
	{
		//获值字段的对应的控件id
		//$ELEMENT_OUT = str_replace("<INPUT","<INPUT readonly=\"readonly\" class=\"textareaonly\"",$ELEMENT_OUT);
		//$ELEMENT_OUT = str_replace("<TEXTAREA","<TEXTAREA readonly=\"readonly\" class=\"textareaonly\"",$ELEMENT_OUT);
		$relparent  = getHtmlObjPropValue($ELEMENT,"relparent");
		$datasource = getHtmlObjPropValue($ELEMENT,"datasource");
		$fieldtype  = getHtmlObjPropValue($ELEMENT,"fieldtype");

		$relationField[$ITEM_ID]["relparent"]  = $relparent;
		$relationField[$ITEM_ID]["datasource"] = $datasource;
		$relationField[$ITEM_ID]["fieldtype"]  = $fieldtype;
		$str = "DATA_$ITEM_ID";
		$relationField[$ITEM_ID]["value"]  = $$str;
		//自由流程控件都是智能获值
		$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME itemcp=\"1\"",$ELEMENT_OUT);
	}
	else if($ECLASS=="dynamic_info")
	{
		preg_match("/<[^\>]*/",$ELEMENT,$rs);
		$htmlEditTemp = $rs[0];
		//width
		$fromWidthStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
		$subWidthStr    = substr($fromWidthStr,54,strlen($fromWidthStr));
		$subWidthPxStr  = strstr($subWidthStr,"px");
		$width          = substr($subWidthStr,0,strlen($subWidthStr)-strlen($subWidthPxStr))."px";
		//height
		$fromStyleStr   = strstr($htmlEditTemp,"style=\"overflow-x: hidden; overflow-y: hidden; width: ");
		$subStylestr    = substr($fromStyleStr,63+strlen($width),strlen($fromStyleStr));
		$subHeightPxStr = strstr($subStylestr,"px");
		$height         = substr($subStylestr,0,strlen($subStylestr)-strlen($subHeightPxStr))."px";
		$datasource     = getHtmlObjPropValue($ELEMENT,"datasource");
		$itemcp         = 0;
		if($FLOW_TYPE != 1&&$OP_FLAG == 1)
			$itemcp = 1;
		else
			$itemcp = 0;
		if(($itemcp == 1 && !$fieldValue)||$itemcp == 2)
		{
			//这里改成一个处理数据源的函数，把datasource转换成curl的url参数
			$newUrl = pathToUrl($datasource,$_GET);
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $newUrl);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			//设置一个名为LOGIN_USER_ID值为$LOGIN_USER_ID的cookie
			curl_setopt($ch, CURLOPT_COOKIE,"LOGIN_USER_ID=$LOGIN_USER_ID");
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$rs =  curl_exec($ch);
			curl_close($ch);
		}
		else
		{
			$rs = $ITEM_VALUE;
		}
		$ELEMENT_OUT = "<div name='dynamic_info_$ITEM_ID' id='dynamic_info_$ITEM_ID' style='height:$height;width:$width;'>$rs</div><input type='hidden' name='DATA_$ITEM_ID' id='DATA_$ITEM_ID' value='$ITEM_VALUE' >";
	}
	//日期时间计算控件
	else if($ECLASS=="datecompute")
	{
		//取title,detailCharWidth,detailCharFormula,detailCharTotal,detailCharName的值
		$ELEMENT_OUT         = str_replace("<INPUT","<INPUT readonly=\"readonly\" class=\"textareaonly datecompute\"",$ELEMENT_OUT);
		$startDateValue      = getHtmlObjPropValue($ELEMENT_OUT,"startdate");
		$startTimeValue      = getHtmlObjPropValue($ELEMENT_OUT,"starttime");
		$endDateValue        = getHtmlObjPropValue($ELEMENT_OUT,"enddate");
		$endTimeValue        = getHtmlObjPropValue($ELEMENT_OUT,"endtime");
		$dayUnitValue        = getHtmlObjPropValue($ELEMENT_OUT,"dayunit");

		$dateComputeControl[$ITEM_ID]["startdate"] = $startDateValue;
		$dateComputeControl[$ITEM_ID]["starttime"] = $startTimeValue;
		$dateComputeControl[$ITEM_ID]["enddate"]   = $endDateValue;
		$dateComputeControl[$ITEM_ID]["endtime"]   = $endTimeValue;
		$dateComputeControl[$ITEM_ID]["dayunit"]   = $dayUnitValue;
		//表单定义中的上午开始时间结束时间，下午开始结束时间
		$dateComputeControl[$ITEM_ID]["morning_start"]   = getHtmlObjPropValue($ELEMENT_OUT,"morning_start");
		$dateComputeControl[$ITEM_ID]["morning_end"]     = getHtmlObjPropValue($ELEMENT_OUT,"morning_end");
		$dateComputeControl[$ITEM_ID]["afternoon_start"] = getHtmlObjPropValue($ELEMENT_OUT,"afternoon_start");
		$dateComputeControl[$ITEM_ID]["afternoon_end"]   = getHtmlObjPropValue($ELEMENT_OUT,"afternoon_end");
		/*echo "startDateValue=$startDateValue<br>";
		echo "startTimeValue=$startTimeValue<br>";
		echo "endDateValue=$endDateValue<br>";
		echo "endTimeValue=$endTimeValue<br>";*/
		/*$ELEMENT_OUT .= "<script type=\"text/javascript\">function compute_date_sub_$ITEM_ID(){
				var dayUnitValue = \"$dayUnitValue\";
				if(dayUnitValue==\"\")
					dayUnitValue =8;
				if(document.getElementById(\"".$startDateValue."\"))
					var startDateValue = document.getElementById(\"".$startDateValue."\").value;
				if(document.getElementById(\"".$startTimeValue."\"))
					var startTimeValue = document.getElementById(\"".$startTimeValue."\").value;
				if(document.getElementById(\"".$endDateValue."\"))
					var endDateValue = document.getElementById(\"".$endDateValue."\").value;
				if(document.getElementById(\"".$endTimeValue."\"))
					var endTimeValue = document.getElementById(\"".$endTimeValue."\").value;
				if(startDateValue > endDateValue)
					alert(\"开始日期不可以小于结束日期\");
				alert(startDateValue);
				alert(startTimeValue);
				alert(endDateValue);
				alert(endTimeValue);
				setTimeout(compute_date_sub_$ITEM_ID,1000);
			}
			window.attachEvent('onload',compute_date_sub_$ITEM_ID);
			</script>";*/
	}
	//计算控件
	elseif($ECLASS=="CALC")
	{
		$thouslanformat = getHtmlObjPropValue($ELEMENT,"thousandformat");
		$K = 0;
		for($J=0;$J<$ITEM_ID_MAX;$J++)
		{
			$ELEMENT1 = $ELEMENT_ARRAY[$J];
			$ETITLE1  = get_attr($ELEMENT1,"TITLE");
			$ECLASS1  = get_attr($ELEMENT1,"CLASS");
			if($ECLASS1 != "DATE"&&$ECLASS1 != "time")
				$K++;
			else
				continue;
			$ETITLE_ARRAY[$K] = $ETITLE1;
		}
		$EVALUE1 = $EVALUE."#";

		$POS    = 0;
		$ECALC1 = "";
		$ECALC2 = "";
		while($POS < strlen($EVALUE1))
		{
			$STR = substr($EVALUE1,$POS,1);
			$POS++;
			if($STR=="+"||$STR=="-"||$STR=="*"||$STR=="/"||$STR=="("||$STR==")"||$STR=="^"||$STR=="#")
			{
				if($ECALC2 != "")
				{
					$ARRAY_COUNT = sizeof($ETITLE_ARRAY);
					if($ETITLE_ARRAY[$ARRAY_COUNT-1] == "")
						$ARRAY_COUNT--;
					for($K=1;$K<=$ARRAY_COUNT;$K++)
					{
						if($ETITLE_ARRAY[$K] == $ECALC2)
						{
							$ECALC1 .= "commafyback(document.form1.DATA_".$K.".value,'calc')";
							$ECALC2 = "";
							break;
						}
					}
				}
			if($STR != "#")
				$ECALC1 .= $STR;
			}
			else
				$ECALC2 .= $STR;
		}
		$ECALC1 = trim($ECALC1,"+-*/^#");
		if(trim($ECALC1,"+,-,*,/,(,)"))
		{
			$ELEMENT_OUT .= "<IMG title=\"".$_lang["flow_count"]."\" align=absmiddle style=\"CURSOR: hand\" src=\"/images/form/calc.gif\" border=0 onclick=\"calc_$ITEM_ID()\">";
			$ELEMENT_OUT .= "<script>
			function calc_$ITEM_ID()
			{
				var myvalue = $ECALC1;
				if(!isNaN(myvalue)&&myvalue != Infinity)
				{
					myvalue = (Math.round(myvalue * 100)/100).toString();
					var thouslanformat = '$thouslanformat';
					if(thouslanformat)
					{
						document.form1.DATA_$ITEM_ID.value=myvalue.commafy();
						document.form1.DATA_$ITEM_ID.fireEvent('onchange');
					}
					else
					{
						document.form1.DATA_$ITEM_ID.value=myvalue;
						document.form1.DATA_$ITEM_ID.fireEvent('onchange');
					}
				}
				else
				{
					document.form1.DATA_$ITEM_ID.value=\"\";
					document.form1.DATA_$ITEM_ID.fireEvent('onchange');
				}
				setTimeout(\"calc_$ITEM_ID()\",1000);
			}
			jQuery(window).bind('load',function(){calc_$ITEM_ID();});
			</script>";
		}
		else
		{
			$ELEMENT_OUT .= "<script>alert('".$_lang['flow_make_sure_calc'].":".$EITLE." ".$_lang['flow_sets_have_wrong']."');</script>";
		}
	}
	//宏控件
	elseif($ECLASS=="AUTO")
	{
		$EDATAFLD = get_attr($ELEMENT,"DATAFLD");
		//自由流程默认为智能获值
		if($FLOW_TYPE!=1&&$OP_FLAG == 1)
			$itemcp = 1;
		else
			$itemcp = 0;
		unset($AUTO_VALUE);
		if($ENAME=="INPUT") // 单行输入框，无值时时将自动取值
		{
			switch($EDATAFLD)
			{
				case "SYS_USERCURDEAL" :
					//current deal username 当前主办人姓名
					$runid = $_REQUEST['RUN_ID'];
					$flowid = $_REQUEST['FLOW_ID'];
					$prcsid = $_REQUEST['PRCS_ID'];

					$query = "
						select frp.user_id,frp.run_id from flow_run_prcs frp,flow_run fr
						where
						frp.run_id = fr.run_id
						and frp.flow_prcs = fr.current_step
						and frp.op_flag = 1
						and fr.run_id = '".SecurityFilter($runid)."'
						order by frp.prcs_id desc
						limit 1;
					";
					$result = exequery ( $connection, $query );
					if(mysql_num_rows($result) > 0 ){
						$row = mysql_fetch_array($result);
						$userid = $row['user_id'];
						$query = "
							select user_name from user where user_id = '".SecurityFilter($userid)."' limit 1;
						";
						$result = exequery($connection, $query);
						$row = mysql_fetch_array($result);
						$user = $row[0];
					}else{
						$user = '';
					}
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$user:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_DATE":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$CUR_DATE:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_TIME":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$CUR_TIME1:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				//增加当前用户角色
				case "SYS_USERPRIV":
					$query_auto  = "SELECT * FROM user_priv WHERE USER_PRIV ='$LOGIN_USER_PRIV'";
					$cursor_auto = exequery($connection,$query_auto);
					if($ROW = mysql_fetch_array($cursor_auto)){
						$ITEM_USER_PRIV = $ROW["PRIV_NAME"];
					}
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$ITEM_USER_PRIV:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;

				case "SYS_DATETIME":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$CUR_TIME:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_USERID":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$LOGIN_USER_ID:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_USERNAME":
					$query_auto  = "SELECT * from USER where USER_ID='$LOGIN_USER_ID'";
					$cursor_auto = exequery($connection,$query_auto);
					if($ROW=mysql_fetch_array($cursor_auto)){
						$ITEM_USER_NAME=$ROW["USER_NAME"];
					}
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$ITEM_USER_NAME:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_DEPTNAME":
					$ITEM_DEPT_NAME = dept_long_name($LOGIN_DEPT_ID);
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$ITEM_DEPT_NAME:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_DEPTNAME_S":
					$ITEM_DEPT_NAME = dept_small_name($LOGIN_DEPT_ID);
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$ITEM_DEPT_NAME:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_FORMNAME":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$FORM_NAME:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_RUNNAME":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$RUN_SEQ:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
					//转换流水号实体
					$AUTO_VALUE = html_entity_decode($AUTO_VALUE,ENT_QUOTES,'UTF-8');
				break;
				case "SYS_RUNDATE":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$PRCS_DATE:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_RUNDATETIME":
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$PRCS_DATE_TIME:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
				case "SYS_SQL":
					$EDATASRC = get_attr($ELEMENT,"DATASRC");
					$EDATASRC = str_replace("`","'",$EDATASRC);
					$EDATASRC = htmlspecialchars_decode($EDATASRC, ENT_QUOTES);
					$cursor_SYS_SQL = exequery($connection,$EDATASRC);
					if($ROW=mysql_fetch_array($cursor_SYS_SQL))
						$SQL_VALUE=$ROW[0];
					if($itemcp)
						$AUTO_VALUE = ($ITEM_VALUE == "")?$SQL_VALUE:$ITEM_VALUE;
					else
						$AUTO_VALUE = $ITEM_VALUE;
				break;
			}
			if($EDATAFLD == "SYS_RUNNAME")
			{
				$ELEMENT_OUT = "<INPUT type=\"hidden\" datafld=\"SYS_RUNNAME\" name=\"DATA_".$ITEM_ID."\" value='".$AUTO_VALUE."' />"."<span id=\"flowNoSpan_".$ITEM_ID."\">".$AUTO_VALUE."</span>";
			}
			else
			{
				$ELEMENT_OUT = str_replace("value=\"$EVALUE\"","",$ELEMENT_OUT);
				$ELEMENT_OUT = str_replace("value=''","",$ELEMENT_OUT);
				$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME value='$AUTO_VALUE'",$ELEMENT_OUT);
			}
		}
		elseif($ENAME=="SELECT")
		{
			$AUTO_VALUE      = "<option value=\"\"";
			if($ITEM_VALUE  == "")
				$AUTO_VALUE .=" selected";
			$AUTO_VALUE     .= "></option>\n";

			$ITEM_VALUE_TEXT = "";
			switch($EDATAFLD)
			{
				case "SYS_LIST_DEPT":
					$AUTO_VALUE .= my_dept_tree(0,$ITEM_VALUE,0);
					if($ITEM_VALUE != "")
					{
						$query_auto="SELECT * from DEPARTMENT where DEPT_ID='".SecurityFilter($ITEM_VALUE)."'";
						$cursor_auto = exequery($connection,$query_auto);
						if($ROW=mysql_fetch_array($cursor_auto))
							$ITEM_VALUE_TEXT=$ROW["DEPT_NAME"];
					}
				break;
				case "SYS_LIST_USER":
					$query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV AND DEPT_ID<>-1 order by PRIV_NO,USER_NAME";
					$cursor_auto = exequery($connection,$query_auto);
					while($ROW   = mysql_fetch_array($cursor_auto))
					{
						$USER_ID    = $ROW["USER_ID"];
						$USER_NAME  = $ROW["USER_NAME"];
						$AUTO_VALUE.="<option value=\"$USER_ID\"";
						if($ITEM_VALUE == $USER_ID)
						{
							$AUTO_VALUE.=" selected";
							$ITEM_VALUE_TEXT=$USER_NAME;
						}
						$AUTO_VALUE .= ">$USER_NAME</option>\n";
					}
				break;
				case "SYS_LIST_PRIV":
					$query_auto  ="SELECT * from USER_PRIV order by PRIV_NO";
					$cursor_auto = exequery($connection,$query_auto);
					while($ROW   = mysql_fetch_array($cursor_auto))
					{
						$USER_PRIV   = $ROW["USER_PRIV"];
						$PRIV_NAME   = $ROW["PRIV_NAME"];
						$AUTO_VALUE .="<option value=\"$PRIV_NAME\"";
						if($ITEM_VALUE == $PRIV_NAME)
						{
							$AUTO_VALUE      .= " selected";
							$ITEM_VALUE_TEXT  = $PRIV_NAME;
						}
						$AUTO_VALUE .= ">$PRIV_NAME</option>\n";
					}
				break;
				case "SYS_LIST_PRCSUSER1":
					$query_auto  = "select * from FLOW_PROCESS where FLOW_ID=".SecurityFilter($FLOW_ID)." order by PRCS_ID";
					$cursor_auto = exequery($connection,$query_auto);
					$PRCS_USER   = "";
					while($ROW   = mysql_fetch_array($cursor_auto))
						$PRCS_USER .= $ROW["PRCS_USER"];

					$query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV order by PRIV_NO,USER_NAME";
					$cursor_auto = exequery($connection,$query_auto);
					while($ROW   = mysql_fetch_array($cursor_auto))
					{
						$USER_ID   = $ROW["USER_ID"];
						$USER_NAME = $ROW["USER_NAME"];
						if(find_id($PRCS_USER,$USER_ID))
						{
							$AUTO_VALUE.="<option value=\"$USER_ID\"";
							if($ITEM_VALUE==$USER_ID)
							{
								$AUTO_VALUE.=" selected";
								$ITEM_VALUE_TEXT=$USER_NAME;
							}
							$AUTO_VALUE.=">$USER_NAME</option>\n";
						}
					}
				break;
				case "SYS_LIST_PRCSUSER2":
					$query_auto  = "select * from FLOW_PROCESS where FLOW_ID=$FLOW_ID and PRCS_ID='".SecurityFilter($FLOW_PRCS)."'";
					$cursor_auto = exequery($connection,$query_auto);
					if($ROW      = mysql_fetch_array($cursor_auto))
						$PRCS_USER = $ROW["PRCS_USER"];

					$query_auto  = "SELECT * from USER,USER_PRIV where USER.USER_PRIV=USER_PRIV.USER_PRIV order by PRIV_NO,USER_NAME";
					$cursor_auto = exequery($connection,$query_auto);
					while($ROW   = mysql_fetch_array($cursor_auto))
					{
						$USER_ID   = $ROW["USER_ID"];
						$USER_NAME = $ROW["USER_NAME"];
						if(find_id($PRCS_USER,$USER_ID)||($ITEM_VALUE==$USER_ID))
						{
							$AUTO_VALUE    .= "<option value=\"$USER_ID\"";
							if($ITEM_VALUE == $USER_ID)
							{
								$AUTO_VALUE     .= " selected";
								$ITEM_VALUE_TEXT = $USER_NAME;
							}
							$AUTO_VALUE.=">$USER_NAME</option>\n";
						}
					}
				break;
				case "SYS_LIST_SQL":
					$EDATASRC = get_attr($ELEMENT,"DATASRC");
					$EDATASRC = str_replace("`","'",$EDATASRC);
					$EDATASRC = htmlspecialchars_decode($EDATASRC, ENT_QUOTES);
					$cursor_SYS_SQL = exequery($connection,$EDATASRC);
					while($ROW      = mysql_fetch_array($cursor_SYS_SQL))
					{
						$AUTO_VALUE_SQL=$ROW[0];
						$AUTO_VALUE    .= "<option value=\"$AUTO_VALUE_SQL\"";
						if($ITEM_VALUE == $AUTO_VALUE_SQL)
						{
							$AUTO_VALUE     .= " selected";
							$ITEM_VALUE_TEXT = $AUTO_VALUE_SQL;
						}
						$AUTO_VALUE .= ">$AUTO_VALUE_SQL</option>\n";
					}
				break;
			}
			$ELEMENT_OUT = str_replace($EVALUE,$AUTO_VALUE,$ELEMENT_OUT);
		}
	}
	//---- 设置可写字段属性 ----
	if($OP_FLAG != 1)
	{
		//设置单选框为只读状态
		if(strstr($ELEMENT_OUT,"type=\"checkbox\""))
		{
			if(strstr($ELEMENT_OUT," checked=\"checked\""))
				$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME readonly onclick='this.checked=1;' class=BigStatic1",$ELEMENT_OUT);
			else
				$ELEMENT_OUT = str_replace("<$ENAME","<$ENAME readonly onclick='this.checked=0;' class=BigStatic1",$ELEMENT_OUT);
		}
		//编辑器设置只读属性
		else if(strstr($ELEMENT_OUT,"class=\"EDITOR\""))
		{
			$ELEMENT_OUT = "<span>".html_entity_decode($ITEM_VALUE)."<textarea id='DATA_$ITEM_ID' name='DATA_$ITEM_ID' class=\"EDITOR\" style='display:none;' >$ITEM_VALUE</textarea></span>";
		}
		//会签字段设置只读属性
		else if(strstr($ELEMENT_OUT,"class=\"counterSignDiv\""))
		{
			//$ELEMENT_OUT = strstr($ELEMENT_OUT,"<div id=\"DIV_$ITEM_ID\" class=\"counterSignDiv\" style=\"word-break:break-all;\">$ITEM_VALUE_SHOW</div>");
		}
		//用户选择框设置只读属性
		else if(strstr($ELEMENT_OUT,"class=\"chooseUser\""))
		{
			$ELEMENT_OUT = substr($ELEMENT_OUT,0,strpos($ELEMENT_OUT,"&nbsp;<img align=\"absbottom\" title=\""));
		}
		//角色选择框设置只读属性
		else if(strstr($ELEMENT_OUT,"class=\"chooseRole\""))
		{
			$ELEMENT_OUT = substr($ELEMENT_OUT,0,strpos($ELEMENT_OUT,"&nbsp;<img align=\"absbottom\" title=\""));
		}
		//部门选择框设置只读属性
		else if(strstr($ELEMENT_OUT,"class=\"chooseDept\""))
		{
			$ELEMENT_OUT = substr($ELEMENT_OUT,0,strpos($ELEMENT_OUT,"&nbsp;<img align=\"absbottom\" title=\""));
		}
		//时间字段设置只读属性
		else if(strstr($ELEMENT_OUT,"class=\"Wtime\"")||strstr($ELEMENT_OUT,"class=\"time\""))
		{
			//echo htmlspecialchars($ELEMENT_OUT)."<br><br>";
		}
		else if(strstr($ELEMENT_OUT,"class=\"detailChar\""))
		{
			$ELEMENT_OUT = ereg_replace("<img src=\"[^\>]+>","",$ELEMENT_OUT);
			$ELEMENT_OUT = ereg_replace("<input type=\"text\" class=\"text\"","<input type=\"text\" class=\"textareaonly\" readonly=\"readonly\" ",$ELEMENT_OUT);
		}
		//图片类型的只读属性设置
		else if($ENAME == "img" or $ENAME == "IMG")
		{
			//echo htmlspecialchars($ELEMENT_OUT);
			//为图片的不做任何操作
		}
		//签章只读属性
		else if(strstr($ELEMENT_OUT,"<div class='HTML_SIGNATURE'") || strstr($ELEMENT_OUT,"<div class='PHONE_SIGNATURE'"))
		{
			$ELEMENT_OUT = preg_replace("/<a(.*)>(.*)<\\/a>/","",$ELEMENT_OUT);
		}
		//日期时间计算控件只读
		else if(strstr($ELEMENT_OUT,"class=\"datecompute\""))
		{
			$ELEMENT_OUT = "<$ENAME readonly=\"readonly\" ".str_replace("<$ENAME","",$ELEMENT_OUT);
			$ELEMENT_OUT = str_replace("class=\"datecompute\"","class=\"textareaonly datecompute\"",$ELEMENT_OUT);
		}
		//获值字段控件只读
		else if(strstr($ELEMENT_OUT,"class=\"getvalue\""))
		{
			$ELEMENT_OUT = "<$ENAME readonly=\"readonly\" ".str_replace("<$ENAME","",$ELEMENT_OUT);
			$ELEMENT_OUT = str_replace("class=\"getvalue\"","class=\"textareaonly getvalue\"",$ELEMENT_OUT);
		}
		//动态联动字段,单行或多行
		else if(strstr($ELEMENT_OUT,"class=\"dynamic\"")&&($ENAME == "INPUT"||$ENAME=="TEXTAREA"))
		{
			$ELEMENT_OUT = "<$ENAME readonly=\"readonly\" ".str_replace("<$ENAME","",$ELEMENT_OUT);
			$ELEMENT_OUT = str_replace("class=\"dynamic\"","class=\"textareaonly dynamic\"",$ELEMENT_OUT);
		}
		else
		{
			$ELEMENT_OUT = "<$ENAME readonly class='textareaonly' ".str_replace("<$ENAME","",$ELEMENT_OUT);
		}
		if($ENAME == "SELECT")
		{
			$EVALUE = get_attr($ELEMENT_OUT,"VALUE");
			if($ECLASS != "AUTO")
				$ELEMENT_OUT = str_replace($EVALUE,"<OPTION value=\"$ITEM_VALUE\">$ITEM_VALUE</OPTION>",$ELEMENT_OUT);
			else if($ITEM_VALUE_TEXT != "")
				$ELEMENT_OUT = str_replace($EVALUE,"<OPTION value=\"$ITEM_VALUE\">$ITEM_VALUE_TEXT</OPTION>",$ELEMENT_OUT);
		}
	}
	//-- 找到代换位置进行控件代换 --
	$POS         = strpos($PRINT_MODEL,$ELEMENT,$POS);
	$PRINT_MODEL = substr($PRINT_MODEL,0,$POS).$ELEMENT_OUT.substr($PRINT_MODEL,$POS+strlen($ELEMENT));
 }
?>
