<?
/**
* @copyright (C) 2010 - 2011 Weaver Co.Ltd
* @package       eoffice7.8
* @function      流程函数
* @encoding      $_lang['encoding']
* @name          inc/function_flow.php
* @version       3
* @author        sun|www.weaver.com.cn
* @date          2011-06-28
*/
//get next seqid
function getNextSeqId($userid,$runid){
	global $connection;
	$sql = "SELECT MAX(SEQ_ID) AS cnt FROM flow_run_feedback WHERE USER_ID='".SecurityFilter($userid)."' AND RUN_ID=".SecurityFilter($runid)."";
	$rs  = exequery($connection,$sql);
	$row = mysql_fetch_array($rs);
	$nowmaxseqid = $row['cnt'];
	$nextseqid = $nowmaxseqid+1;
	return $nextseqid;
}

//get auto define sequence
function getSeqAuto($flowid){
	global $connection;
	$sql = "SELECT FLOW_SEQUENCE FROM flow_type WHERE FLOW_ID=".SecurityFilter($flowid);
	$rs  = exequery($connection,$sql);
	$row = mysql_fetch_array($rs);
	$seqdefine = $row['FLOW_SEQUENCE'];

	$sql = "SELECT RUN_SEQ FROM flow_run WHERE FLOW_ID=".SecurityFilter($flowid)." ORDER BY RUN_ID DESC";
	$rs  = exequery($connection,$sql);
	$row = mysql_fetch_array($rs);
	$seqhave = $row['RUN_SEQ'];

	$arrayseq  = explode(';',$seqdefine);
	$arrayis   = explode('|',$arrayseq[0]);
	$arraydesc = explode('|',$arrayseq[1]);
	$arrayargs = explode('|',$arrayseq[2]);
	$seq = "";
	$nowval = 0;
	for($i=0;$i<count($arrayis);$i++){
		if($arraydesc[$i] == 7){
			//当前文号的值

			$nowval = substr($seqhave,strlen($seq),$arrayargs[$i]);
		}
		if($arrayis[$i] != 0){
			$seq .= parseDefineSeq($arraydesc[$i],$arrayargs[$i],$nowval);
		}
	}
	return $seq;
}

function parseDefineSeq($type,$value,$nowval=0){
	switch($type){
		case 1:
			$str = getLetter($value);
			break;
		case 2:
			$str = getSeqYear($value);
			break;
		case 3:
			$str = getSeqMonth($value);
			break;
		case 4:
			$str = getSeqDate($value);
			break;
		case 5:
			$str = getSeqHour($value);
			break;
		case 6:
			$str = getSeqMinute($value);
			break;
		case 7:
			$str = getSeqNumcount($value,$nowval);
			break;
	}
	return $str;
}

function getSeqYear($str){
	switch ($str){
		case "YYYY":
			$restr = date('Y');
			break;
		case "YY":
			$restr = date('y');
			break;
	}
	return $restr;
}
function getSeqMonth($str){
	switch ($str){
		case "MM":
			$restr = date('m');
			break;
		case "M":
			$restr = date('n');
			break;
	}
	return $restr;
}
function getSeqDate($str){
	switch ($str){
		case "DD":
			$restr = date('d');
			break;
		case "D":
			$restr = date('j');
			break;
	}
	return $restr;
}
function getSeqHour($str){
	switch ($str){
		case "HH":
			$restr = date('H');
			break;
		case "H":
			$restr = date('h');
			break;
	}
	return $restr;
}
function getSeqMinute($str){
	switch ($str){
		case "II":
			$restr = date('i');
			break;
	}
	return $restr;
}
function getSeqNumcount($str,$nowval){
	$tmpval = $nowval+1;
	$tmpax = pow(10,$str);
	$thisv = $tmpax+$tmpval;
	if($tmpval >= $tmpax){
		$thisv = 1;
	}

	$nextval = substr(strval($thisv),1,$str);
	return $nextval;


	/*
	while($i<$n){
		$restr += "0";
		$i++;

	}

	for(i=0;i<n;i++){
		//alert(restr)
		restr += "0"
		if (i>10){
			break
		}
	}
	*/

	return $restr;
}

function getLetter($str){
	return $str;
}
function addViewUser($run_id)
{
	global $connection;
	$check_sql = "SELECT SUB_FLOW_RUN_IDS FROM flow_run_prcs WHERE RUN_ID = '".SecurityFilter($run_id)."'";
	$subWorkflowIds = "";
	$check_rs  = exequery($connection,$check_sql);
	while($check_rows = mysql_fetch_array($check_rs) )
	{
		if(trim($check_rows["SUB_FLOW_RUN_IDS"],","))
		{
			$subWorkflowIds .= $check_rows["SUB_FLOW_RUN_IDS"];
		}
	}
	if(trim($subWorkflowIds))
	{
		$dealManSql = "SELECT USER_ID,MONITOR_SUBMIT,BY_AGENT_ID FROM flow_run_prcs WHERE RUN_ID ='".SecurityFilter($run_id)."'";
		//增加被抄送人查看子流程的权限
		$dealManSql .= " UNION SELECT BY_USER_ID,'','' FROM flow_copy WHERE RUN_ID ='".SecurityFilter($run_id)."'";
		$dealManRs  = exequery($connection,$dealManSql);
		while($dealManRows = mysql_fetch_array($dealManRs))
		{
			if(trim($dealManRows["USER_ID"],","))
				$dealManStr   .= trim($dealManRows["USER_ID"],",").",";
			if(trim($dealManRows["MONITOR_SUBMIT"],","))
				$dealManStr .= trim($dealManRows["MONITOR_SUBMIT"],",").",";
			if(trim($dealManRows["BY_AGENT_ID"],","))
				$dealManStr .= trim($dealManRows["BY_AGENT_ID"],",").",";
		}
		$dealManArray = explode(",",trim($dealManStr,","));
		$dealManArray = array_unique($dealManArray);
		$dealManStr   = "";
		if(!is_array($dealManArray))
			$dealManArray = array();
		foreach($dealManArray as $key=>$val)
		{
			$dealManStr .= $val.",";
		}
		//$dealManStr = trim($dealManStr,",");
		$subWorkflowIdsArray = explode(",",trim($subWorkflowIds,","));
		for($i=0; $i <count($subWorkflowIdsArray);$i++)
		{
			$viewUserSql = "UPDATE flow_run SET VIEW_USER = '".SecurityFilter($dealManStr)."' WHERE RUN_ID = '".$subWorkflowIdsArray[$i]."' ";
			$viewUserRs  = exequery($connection,$viewUserSql);
		}
	}
}
function get_limit_img($LIMIT_DATE,$FLOW_ID,$RUN_ID,$PRCS_ID,$GET_DATEINTERVAL=""){
	$limit_image = '';
	if($LIMIT_DATE != null&&$LIMIT_DATE!="0000-00-00 00:00:00")
	{
		$LIMIT_DATE   = date("Y-m-d h:i:s",strtotime($LIMIT_DATE));
		$CURE_DATE    = date("Y-m-d h:i:s",time());
		$DATEINTERVAL = (strtotime($LIMIT_DATE)-strtotime($CURE_DATE))/86400 ;
	}
	else
	{
		$DATEINTERVAL = "";
	}
	//添加直接返回值的条件，for 9.0
	if($GET_DATEINTERVAL)
	{
		return $DATEINTERVAL;
	}
	else
	{
		if($DATEINTERVAL > 1)
		{
			$limit_image = "<img src='"."/theme/".$_SESSION['LOGIN_THEME']."/images/icon/blue_flag.png"."' ".' onMouseOver="'."getLimitDetail('".SecurityFilter($RUN_ID)."','".SecurityFilter($FLOW_ID)."','".SecurityFilter($PRCS_ID)."')\"".' onmouseout="'."hideLimitDetail()".'" align="absmiddle">';
		}
		else if($DATEINTERVAL < 0)
		{
			$limit_image = "<img src='"."/theme/".$_SESSION['LOGIN_THEME']."/images/icon/red_flag.png"."' ".' onMouseOver="'."getLimitDetail('".SecurityFilter($RUN_ID)."','".SecurityFilter($FLOW_ID)."','".SecurityFilter($PRCS_ID)."')\"".' onmouseout="'."hideLimitDetail()".'" align="absmiddle">';
		}
		else if($DATEINTERVAL=="")
		{
			$limit_image = "";
		}
		else
		{
			$limit_image = "<img src='"."/theme/".$_SESSION['LOGIN_THEME']."/images/icon/yellow_flag.png"."' ".' onMouseOver="'."getLimitDetail('".SecurityFilter($RUN_ID)."','".SecurityFilter($FLOW_ID)."','".SecurityFilter($PRCS_ID)."')\"".' onmouseout="'."hideLimitDetail()".'" align="absmiddle">';
		}
		return $limit_image;
	}
}
//获取格式化的流程类别
function getFormatForSortList($flowSortList,$type="")
{
	$titleArr = array("flowCount"=>$flowSortList["count"]);
	$detailJsonRows = array();
	if($flowSortList["count"] && $flowSortList["count"]!=0)
	{
		foreach($flowSortList["list"] as $key=>$val)
		{
			if($type == "")
			{
				$detailJsonSon["flowTypeId"] = $key;
				$detailJsonSon["flowTypeName"] = $val["ownName"];
				$detailJsonSon["flowCount"] = count($val["sonArr"]);
				$detailListSon = array();
				foreach($val["sonArr"] as $sonKey=>$sonVal)
				{
					$detailListSon[] = array("flow_id"=>$sonVal["flow_id"],"flow_name"=>$sonVal["flow_name"],"unreadFlowCount"=>$sonVal["un_read"],"totalFlowCount"=>$sonVal["all"]);
				}
				$detailJsonSon["lazySubItems"] = $detailListSon;
				array_push($detailJsonRows,$detailJsonSon);
			}
			else
			{
				foreach($val["sonArr"] as $sonKey=>$sonVal)
				{
					array_push($detailJsonRows,$sonVal);
				}
			}
		}
	}
	return $detailJsonRows;
}
// 签办反馈列表里，格式化展示附件
function getFormatAttachmentListForFeedBack($getAttachmentParam){
	global $_lang;
	$ATTACHMENT_ID         = $getAttachmentParam["ATTACHMENT_ID"];
	$ATTACHMENT_NAME       = $getAttachmentParam["ATTACHMENT_NAME"];
	$EDIT_PRIV             = $getAttachmentParam["EDIT_PRIV"];
	$RUN_ID                = $getAttachmentParam["RUN_ID"];
	$SEQ_ID                = $getAttachmentParam["SEQ_ID"];
	$attachment_id_array   = explode(",",$ATTACHMENT_ID);
	$attachment_name_array = explode("*",$ATTACHMENT_NAME);
	$at_img_title          = "";
	if ($ATTACHMENT_ID!= ''){
		unset($at_img_title);
		$at_nm_count = sizeof($attachment_name_array);
		$at_nm_amount = 0 ;
		while(list($key,$var) = each($attachment_name_array)){
			$at_nm_amount++;
			if ($var != ''){
				$am_size = attach_size($attachment_id_array[$key],$attachment_name_array[$key]);
				if ($am_size <= 1024){
					$am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".$am_size.'B</span>';
				}
				if ($am_size > 1024){
					$am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".round($am_size/1024,2).'K</span>';
				}
				if ($am_size >= 1024*1024){
					$am_size_str = "&nbsp;<span style=\"color:#000000;font-size:9px\">".round($am_size/(1024*1024),2).'M</span>';
				}
				$ATTACH_I_CLASS = fileTypeToFontIcon($var);
				$imgicon = "<div style='float:left;height:30px;margin-top:6px;'><i class='fa ".$ATTACH_I_CLASS." fa-2x' style='color:#3276b1;'></i></div>";
				$filesuffix = getFileSuffix($var);
				$var_nofix  = substr($var,0,strrpos($var,"."));
				$subvar = substrGB($var_nofix,20,'...').".".$filesuffix;
				$subvar = "<div style='float:left;margin-left:3px;' title='".$var_nofix."'>".$subvar."</div>";
				$ehash = $attachment_id_array[$key]*3+2;
				$ehash_1 = $attachment_id_array[$key];//附件id
				$ename = $attachment_name_array[$key];
				$ename = urlencode($ename);
				$strvar ="
					<span id=\"$ehash_1\">
						<div style='border:0px red solid;line-height:35px;border-bottom:1px white solid;'>
							$imgicon
							$subvar
							$am_size_str&nbsp;&nbsp;&nbsp;
							<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.location='/inc/attach.php?OP=1&ATTACHMENT_NAME=$ename&ATTACHMENT_ID=$ehash'\" >".$_lang['common_download']."</span>&nbsp;&nbsp;
							";
				//word文档
				if (isOfficeOfFile($var)) {
					$strvar .="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/iWebOffice/DocumentEdit.php?RecordID=$REV_ID&EditType=0&UserName=$LOGIN_USER_ID&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\" >".$_lang['common_read']."</span>&nbsp;&nbsp;";
					if($EDIT_PRIV == "1") {
						$strvar.="<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/iWebOffice/DocumentEdit.php?RecordID=$REV_ID&EditType=2&UserName=$LOGIN_USER_ID&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\">".$_lang[common_edit]."</span>&nbsp;&nbsp;";
					}
				} else {
					if($filesuffix=='jpg'||$filesuffix=='bmp'||$filesuffix=='gif'||$filesuffix=='png'||$filesuffix=='wmv'||$filesuffix=='html'||$filesuffix=='htm'||$filesuffix=='wav'||$filesuffix=='pdf'||$filesuffix=='mid'||$filesuffix=='swf'){
						$optype=0;
						if($filesuffix=='mid'||$filesuffix=='swf'){
							$buttontitle=$_lang["common_play"];
						}elseif($filesuffix=='pdf') {
							$buttontitle=$_lang["common_read"];
						} else {
							$buttontitle=$_lang["common_view"];
						}
						$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"window.open('/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');\">$buttontitle</span>&nbsp;&nbsp;";
					}
				}
				if($EDIT_PRIV == "1") {
					$strvar .= "<span style='cursor:pointer;color:#3276b1;text-decoration:none;' class=\"linktextOp\" onclick=\"deleteAttach('divattach','/general/workflow/input_form/input_area/delete_personal_attach_ajax.php','ATTACHMENT_ID=$ehash_1&ATTACHMENT_NAME=".base64_encode($attachment_name_array[$key])."&RUN_ID=$RUN_ID&SEQ_ID=$SEQ_ID','tagContent1','/general/workflow/input_form/input_area/feedback.php','FLOW_ID=".$FLOW_ID."&RUN_ID=".$RUN_ID."&FLOW_PRCS=".$FLOW_PRCS_RUN."&PRCS_ID=".$PRCS_ID."')\">".$_lang["common_del"]."</span>&nbsp;&nbsp;";
				}
				$strvar.="</div></span>";
				$at_img_title .=$strvar;
			}
		}
	}
	return $at_img_title;
}
function updateFlowRunStepData($runIdString) {
	global $connection;
	$sql1 = 'SET @rownum=0,@rank = 0,@pa = NULL;';
	exequery($connection,$sql1);
	$sql = "
				INSERT INTO flow_run_step (RUN_ID,USER_ID,PRCS_ID,FLOW_PRCS,USER_RUN_TYPE,OP_FLAG,PRCS_TIME,TRANSACT_TIME,LIMIT_DATE)
				SELECT a.run_id, a.user_id, a.prcs_id, a.flow_prcs, a.user_run_type, a.op_flag ,a.prcs_time,a.transact_time,a.limit_date
				FROM (
					SELECT result.run_id, result.user_id, result.prcs_id, result.flow_prcs, result.user_run_type, result.op_flag, result.rank,result.prcs_time,result.transact_time,result.limit_date
					FROM (
						SELECT ff.run_id,ff.prcs_id,ff.user_id,ff.flow_prcs,ff.op_flag,ff.user_run_type,ff.prcs_time,ff.transact_time,ff.limit_date,@rownum:=@rownum+1 rownum ,IF(@pa=CONCAT_WS(',',run_id,user_id),@rank:=@rank+1,@rank:=1) AS rank
						,@pa:=CONCAT_WS(',',run_id,user_id)
						FROM
							(
								SELECT
								frp.run_id, frp.user_id, frp.prcs_id, frp.flow_prcs, frp.op_flag,frp.prcs_time,UNIX_TIMESTAMP(fr.transact_time) transact_time,frp.limit_date,
								CASE
								WHEN (
										( frp.SAVEFORM_TIME IS NULL AND frp.OP_FLAG = 0)
										OR
										(frp.PRCS_FLAG = '2' AND frp.OP_FLAG = 1)
									)
									OR frp.PRCS_FLAG = '1'
								THEN '1'
								WHEN 	fr.CURRENT_STEP <> 0
									AND
									(
										(frp.OP_FLAG=1 AND frp.DELIVER_TIME<>'NULL')
										OR
										(frp.OP_FLAG=0 AND frp.SAVEFORM_TIME<>'NULL')
									)
								THEN '2'
								WHEN 	fr.CURRENT_STEP = '0'
									AND
									(
										(frp.SAVEFORM_TIME IS NOT NULL AND frp.SAVEFORM_TIME <> '0000-00-00 00:00:00' AND frp.OP_FLAG ='0')
										OR
										( frp.DELIVER_TIME IS NOT NULL AND frp.DELIVER_TIME <> '0000-00-00 00:00:00' AND frp.OP_FLAG ='1')
									)
								THEN '3'
								ELSE '' END user_run_type
								FROM flow_run_prcs frp
								INNER JOIN flow_run fr ON frp.RUN_ID = fr.RUN_ID
								WHERE frp.run_id in ($runIdString)
								GROUP BY run_id,user_id,prcs_id
								ORDER BY run_id ASC,user_id DESC,prcs_id DESC
							) ff
							,(SELECT @rank:=0,@rownum:=0,@pa=NULL) tt
						  ) result
					HAVING result.rank <=1
				) a
";
	exequery($connection,$sql);
}
?>
