<?PHP
/**
 *@Note: 	$note
 *@Author: 	Weaver.liuxiulin
 *@Contact: 	xiulin.liu@weaver.com.cn
 *@Version: 	7.3
 *@Created:  $date
 *@File Version: 14.0
 */
//include 'inc/auth.php';
//includelangpak("other");
/**
 *数据分页
 *@param string $sql       传入的sql语句
 *@param string $per_page  分页多少条数据
 *@return strint $sql      返回经过分页的sql语句
 */
function page($sql, $per_page = 20) {
	global $cur_page, $total_page_nums, $last_page, $next_page, $num, $page_count;
	$page_count = $per_page;
	//2009-01-15 sx 修改匹配 匹配不唯一
	preg_match('/SELECT ([^\"\']*)[\s]FROM[\s]/i', $sql, $reg);
	//$sql_c = str_replace($reg[1], 'COUNT(*)', $sql);
	//新的替换成count(*)的方式，防止嵌套SELECT的SQL出错。dp 2013-08-26
	$regStr = $reg[1];
	$fromPos = strpos(strtoupper($regStr),"FROM");
	if($fromPos)
	{
		$regStr = substr($regStr,$fromPos);
		$regStr = "COUNT(*) ".$regStr;
		$sql_c = str_replace($reg[1],$regStr, $sql);
	}
	else
	{
		$sql_c = str_replace($reg[1], 'COUNT(*)', $sql);
	}
	$pos = 0;
	$pos = preg_match("/group[ |\f|\n|\r|\t|\v]*by/", $sql_c);
	$result = mysql_query($sql_c);
	$num = 0;
	if ($pos) {
		$num = mysql_num_rows($result);
		/*效率不高
		 while($row = mysql_fetch_array($result))
		 {
		 $num++;
		 }
		 */
	} else {
		$row = mysql_fetch_array($result);
		$num = $row[0];
	}
	$total_page_nums = ceil($num / $per_page);
	if ($_POST[go]) {
		$cur_page = $_POST[curpage];
	} else
		$cur_page = $_GET[cur_page];
	if (!isset($cur_page) || $cur_page == 0)
		$cur_page = 1;
	$last_page = $cur_page - 1;

	if ($last_page < 1) {
		$last_page = 1;
	}
	$next_page = $cur_page + 1;
	if ($next_page > $total_page_nums)
		$next_page = $total_page_nums;

	$pages = ($cur_page - 1) * $per_page;
	while ($pages >= $num) {
		$cur_page = $cur_page - 1;
		$pages = ($cur_page - 1) * $per_page;
	}
	$pages = max(0, $pages);
	$sql .= " limit $pages," . $per_page;

	return $sql;
}

/**
 *无需输入sql，需输入总数()
 *@param int $num         输入的总数
 *@param string $per_page 每页显示的信息数
 *@return string $pages   返回的是页信息数
 */
function page_new($num, $per_page = 20) {
	global $cur_page, $total_page_nums, $last_page, $next_page, $num;
	$total_page_nums = ceil($num / $per_page);
	$cur_page = $_REQUEST["cur_page"];

	if (!isset($cur_page) || $cur_page == 0) {
		$cur_page = 1;
	}

	$last_page = $cur_page - 1;
	if ($last_page < 1) {
		$last_page = 1;
	}

	$next_page = $cur_page + 1;
	if ($next_page > $total_page_nums) {
		$next_page = $total_page_nums;
	}
	$pages = ($cur_page - 1) * $per_page;
	return $pages;
}

/**
 *每页显示信息的数目
 *@param string $showText     默认为空（为空的话，则为"每页显示条数"）
 *@param string $url          显示条数的url地址
 *@param string $parameterStr 其他参数字符串
 *@param string $stepStr      每页显示的条数
 */
function showPerPage($showText = '', $url, $parameterStr, $stepStr) {
	global $perPage, $_lang;
	if ($showText == "") {
		$showText = $_lang['common_perpage_count'];
	}
	echo $showText . ":";
	echo "&nbsp;&nbsp;&nbsp;&nbsp;";
	$parameterStr = trim($parameterStr, "&");
	$url .= "?";
	if ($parameterStr) {
		$path = $url . $parameterStr;
	}
	$stepStrArray = explode(",", trim($stepStr, ","));
	for ($i = 0; $i < count($stepStrArray); $i++) {
		$hrefPath = $path . "&perPage=$stepStrArray[$i]";
		echo "<a href=\"$hrefPath\" style=\"text-decoration:underline;\" ";
		if ($stepStrArray[$i] == $perPage) {
			echo "disabled=\"disabled\"";
		}
		echo ">$stepStrArray[$i]</a>";
		echo "&nbsp;&nbsp;";
	}
}

//分页中间部分的起始和结束
function GetInterval($settings) {
	global $cur_page, $total_page_nums;
	$cur_page--;
	$ne_half = floor($settings["num_display_entries"] / 2);
	$upper_limit = $total_page_nums - $settings["num_display_entries"];
	$start = $cur_page > $ne_half ? max(min($cur_page - $ne_half, $upper_limit), 0) : 0;
	$end = $cur_page > $ne_half ? min($cur_page + $ne_half + ($settings["num_display_entries"] % 2), $total_page_nums) : min($settings["num_display_entries"], $total_page_nums);
	return $interval = array(
			"start" => $start,
			"end" => $end
	);
}

//创建分页链接
function CreateLink($page_id, $key = '') {
	global $cur_page, $total_page_nums;
	$page_id = $page_id < 0 ? 0 : ($page_id < $total_page_nums ? $page_id : $total_page_nums - 1);
	$pageText = $page_id + 1;

	if ($page_id == $cur_page) {
		$lnk = '<li class="active"><span class="current">' . $pageText . '</span></li>';
	} else {
		$lnk = '<li><a href="'.$_SERVER['SCRIPT_NAME'] . "?cur_page=$pageText&" . $key.'" class="page-link">'.$pageText .'</a></li>';
	}
	return $lnk;
}

//创建分页
function AppendRange($start, $end, $key = '') {
	for ($i = $start; $i < $end; $i++) {
		$link .= CreateLink($i, $key);
	}
	return $link;
}

/**
 *分页信息的相关显示(首页/上一页/尾页/跳转到xx页等)
 *@param string $key  与分页相关的数据
 */
function disp($key = '', $show = array("simple"=>false,"tip"=>true,"first"=>false,"prev"=>true,"next"=>true,"last"=>false,"pager"=>true,"jump"=>true), $settings = array("num_display_entries" => 5, "ellipse_text" => "...", "num_edge_entries" => 2)) {
	global $cur_page, $total_page_nums, $last_page, $next_page, $num, $_lang, $page_count;
       
	$tmpkey = $key;
	$key_array = explode("&", $tmpkey);
	$key_new = "";
	for ($i = 0; $i < count($key_array); $i++) {
		if (strpos($key_array[$i], "=") === false) {
			$key_name = $key_array[$i];
			$key_value = "";
		} else {
			$key_name = substr($key_array[$i], 0, strpos($key_array[$i], "="));
			$key_value = str_replace($key_name . "=", "", $key_array[$i]);
		}
		$key_new .= $key_name . "=" . urlencode($key_value) . "&";

	}
	$key = $key_new;

	if ($cur_page == 1 || $total_page_nums == 1 || $num == 0) {
		$str_page_up = '<li class="active"><span class="current prev">&lt;</span></li>';
	} else {
		$str_page_up = '<li><a href="'.$_SERVER['SCRIPT_NAME'] . "?cur_page=$last_page&" . $key.'" class="page-link prev">&lt;</a></li>';
	}
	if ($cur_page == $total_page_nums || $total_page_nums == 1 || $num == 0) {
		$str_page_down = '<li class="active"><span class="current next">&gt;</span></li>';
	} else {
		$str_page_down .='<li><a href="'.$_SERVER['SCRIPT_NAME'] . "?cur_page=$next_page&" . $key.'" class="page-link next">&gt;</a></li>';
	}

	//分页配置参数
	$interval = GetInterval($settings);

	if ($interval["start"] > 0 && $settings["num_edge_entries"] > 0) {
		$end = min($settings["num_edge_entries"], $interval["start"]);
		$link .= AppendRange(0, $end, $key);
		if ($settings["num_edge_entries"] < $interval["start"]) {
			$link .= "<span>" . $settings["ellipse_text"] . "</span>";
		}
	}

	$link .= AppendRange($interval["start"], $interval["end"], $key);

	if ($interval["end"] < $total_page_nums && $settings["num_edge_entries"] > 0) {
		if ($total_page_nums - $settings["num_edge_entries"] > $interval["end"]) {
			$link .= '<li class="disabled"><span class="ellipse">'.$settings["ellipse_text"].'</span></li>';
		}
		$begin = max($total_page_nums - $settings["num_edge_entries"], $interval["end"]);
		$link .= AppendRange($begin, $total_page_nums, $key);
	}

	$control .= "<div class='light-theme simple-pagination' style='float:right;padding-top:8px;'><ul>";

	if ($show["tip"]) {
		$control .='<span style="float:left;" class="count_infor">'.$_lang["other_chaji_field_my"].$page_count.'/'.$_lang["other_chaji_field_g"].$num.$_lang["other_chaji_field_pd"].'</span>';
	}

	if ($show["first"]) {
		$control .= $str_index;
	}
	if ($show["prev"]) {
		$control .= $str_page_up;
	}
	if ($show["pager"]) {
		$control .= $link;
	}
	if ($show["next"]) {
		$control .= $str_page_down;
	}
	if ($show["last"]) {
		$control .= $str_end;
	}
	if ($show["jump"]) {
		$control .= $putin;
	}

	echo $control;

	$js_script = <<<SCRIPT
	<script>
	var check_pnotify;
	function GoPage(totalNumber,url,key,message){
		var val = document.all.curpage.value;
		 if (val=='' || val <= 0 || isNaN(val) || val>totalNumber){
		 	if(check_pnotify){
				check_pnotify.pnotify_remove();
			}
			check_pnotify = $.pnotify({
		        text: message,
		        type : "info",
		        animate_speed: 'fast'
		    }).click(function() {
		    	check_pnotify.pnotify_remove();
		    });
			document.all.curpage.value="";
			document.all.curpage.focus();
		 }else{
		 	var href = url+'?cur_page='+val+'&'+key;
		 	document.all.pageJump.href=href;
		 	document.all.pageJump.click();
		 }
	}
	 </script>
SCRIPT;
	echo $js_script;
}

/**
 *显示分页信息（如首页，上一页，尾页，跳转页等）的新方法
 *@param string $key  与分页有关的信息
 */
function disp_new($key = '') {
	global $cur_page, $total_page_nums, $last_page, $next_page, $num, $_lang;

	$tmpkey = $key;
	$key_array = explode("&", $tmpkey);
	$key_new = "";
	for ($i = 0; $i < count($key_array); $i++) {
		if (strpos($key_array[$i], "=") === false) {
			$key_name = $key_array[$i];
			$key_value = "";
		} else {
			$key_name = substr($key_array[$i], 0, strpos($key_array[$i], "="));
			$key_value = str_replace($key_name . "=", "", $key_array[$i]);
		}
		$key_new .= $key_name . "=" . urlencode($key_value) . "&";
	}
	$key = $key_new;

	$control .= $_lang["common_total"] . "<font color='#ff9900'>" . $num . "</font>&nbsp;";

	if ($cur_page == 1 || $total_page_nums == 1 || $num == 0) {
		$str_page_up = "<span style='color:999999;'>" . $_lang["common_next_up_page"] . "</span>| ";
		$str_index = "<span style='color:999999;'>" . $_lang["common_index_page"] . "</span>| ";
	} else {
		$str_page_up = "<a href='" . $_SERVER['SCRIPT_NAME'] . "?cur_page=$last_page&" . $key . "'>" . $_lang["common_next_up_page"] . "</a>| ";
		$str_index = "<a href='" . $_SERVER['SCRIPT_NAME'] . "?cur_page=1&" . $key . "'>" . $_lang["common_index_page"] . "</a>| ";
	}
	if ($cur_page == $total_page_nums || $total_page_nums == 1 || $num == 0) {
		$str_page_down = "<span style='color:999999;'>" . $_lang["common_next_down_page"] . "</span>| ";
		$str_end = "<span style='color:999999;'>" . $_lang["common_last_page"] . "</span>";
	} else {
		$str_page_down = "<a href='" . $_SERVER['SCRIPT_NAME'] . "?cur_page=$next_page&" . $key . "'>" . $_lang["common_next_down_page"] . "</a>| ";
		$str_end = "<a href='" . $_SERVER['SCRIPT_NAME'] . "?cur_page=$total_page_nums&" . $key . "'>" . $_lang["common_last_page"] . "</a>\n";
	}

	if ($num == 0) {
		$putin = " ";
	} else {
		$putin = " " . $_lang["common_go_what_page"] . "<input type=\"text\" name=\"curpage\" size=\"3\">" . $_lang["common_recode_page"] . " <input type=\"submit\" name=\"go\" value=\"" . $_lang["common_submit"] . "\" readonly class='button'>";

	}

	$control .= $str_index;
	$control .= $str_page_up;
	$control .= $str_page_down;
	$control .= $str_end;
	echo "<form action=\"" . $_SERVER['SCRIPT_NAME'] . "?" . $key . "\" method=\"post\" onsubmit=\"return IsValNum(" . $total_page_nums . ")\">" . $control . " " . $putin . "</form>";
	$alertstr = $_lang['common_input_alert'];
	$js_script = <<<SCRIPT
	<script>
	function IsValNum(n){
		 val = document.all.curpage;
		 if (val.value=='' || val.value == 0 || isNaN(val.value) || val.value>n){
			alert('$alertstr');
			val.value="";
			val.focus();
			return false;
		  }
		  return true;
     }
	 </script>
SCRIPT;
	echo $js_script;
}

/**
 *日志显示的分页
 *@param string $date       日志的日期
 *@param string $user       日志列表显示的用户的ID
 *@param string $viewType   列表显示模式（1为日显示,2为周显示,3为月显示）
 *@param string $cur_page   显示的页
 */
function disp_js($date, $user, $viewType, $cur_page) {
	global $cur_page, $total_page_nums, $last_page, $next_page, $num, $_lang;
	$_SERVER['SCRIPT_NAME'] = "diary_list.php";
	$key = "date=" . $date . "&user=" . $user . "&viewType=" . $viewType;
	$tmpkey = $key;
	$key_array = explode("&", $tmpkey);
	$key_new = "";
	for ($i = 0; $i < count($key_array); $i++) {
		if (strpos($key_array[$i], "=") === false) {
			$key_name = $key_array[$i];
			$key_value = "";
		} else {
			$key_name = substr($key_array[$i], 0, strpos($key_array[$i], "="));
			$key_value = str_replace($key_name . "=", "", $key_array[$i]);
		}
		$key_new .= $key_name . "=" . urlencode($key_value) . "&";
	}
	$key = $key_new;

	$control .= $_lang["common_total"] . "<font color='#ff9900'>" . $num . "</font>" . $_lang["common_recode_number"];
	$control .= $_lang["common_now_number"] . "<font color='#ff9900'>" . $cur_page . "</font>" . $_lang["common_recode_page"] . " " . $_lang["common_total"] . "<font color='#ff9900'>" . $total_page_nums . "</font>" . $_lang["common_recode_page"] . " ";

	if ($cur_page == 1 || $total_page_nums == 1 || $num == 0) {
		$str_page_up = "<span style='color:999999;'>" . $_lang["common_next_up_page"] . "</span>| ";
		$str_index = "<span style='color:999999;'>" . $_lang["common_index_page"] . "</span>| ";
	} else {
		$str_page_up = "<a href='javascript:;' onclick = \"show_diary('$date','$user','$viewType',$last_page)\">" . $_lang["common_next_up_page"] . "</a>| ";
		$str_index = "<a href='javascript:;' onclick = \"show_diary('$date','$user','$viewType',1)\">" . $_lang["common_index_page"] . "</a>| ";
	}

	if ($cur_page == $total_page_nums || $total_page_nums == 1 || $num == 0) {
		$str_page_down = "<span style='color:999999;'>" . $_lang["common_next_down_page"] . "</span>| ";
		$str_end = "<span style='color:999999;'>" . $_lang["common_last_page"] . "</span>";
	} else {
		$str_page_down = "<a href='javascript:;' onclick = \"show_diary('$date','$user','$viewType',$next_page)\">" . $_lang["common_next_down_page"] . "</a>| ";
		$str_end = "<a href='javascript:;' onclick = \"show_diary('$date','$user','$viewType',$total_page_nums)\">" . $_lang["common_last_page"] . "</a>\n";
	}

	if ($num == 0) {
		$putin = " ";
	} else {
		$putin = " " . $_lang["common_go_what_page"] . "<input type=\"text\" name=\"curpage\" size=\"3\">" . $_lang["common_recode_page"] . " <input type=\"submit\" name=\"go\" value=\"" . $_lang["common_submit"] . "\" readonly class='button'>";
	}

	$control .= $str_index;
	$control .= $str_page_up;
	$control .= $str_page_down;
	$control .= $str_end;
	echo "<form action=\"" . $_SERVER['SCRIPT_NAME'] . "?" . $key . "\" method=\"post\" onsubmit=\"return IsValNum(" . $total_page_nums . ")\">" . $control . " " . $putin . "</form>";
	$alertstr = $_lang['common_input_alert'];
	echo $js_script;
}
?>