<?php
/**
 * Systemname:       E-Office
 * Filename:         inc/imageView.php
 * Function:         图片查看公共文件
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2009-12-03
 * File Version:     1.0
 * Eoffice Version:  7.0
*/
include_once("inc/auth.php");
include_once("inc/utility.php");
include_once("inc/utility_all.php");
include_once("general/workflow/lib_workflow.php");
include_once("inc/function_picture.php");
includelangpak("other");
//函数参数，从页面调用的地方传过来，可以实现不同模块，调用这一个页面实现效果


$objId     = $RUN_ID;
/*$idVar     = "ATTACHMENT_ID";
$nameVar   = "ATTACHMENT_NAME";
$tableName = "flow_run";
$conField  = "RUN_ID";*/
$attachmentArray = getFlowAttachment($objId,$idVar,$nameVar,$tableName,$conField);
if(is_array($attachmentArray))
{
	$attachmentIdStr     = $attachmentArray[0]["ATTACHMENT_ID"];
	$attachmentNameStr   = $attachmentArray[0]["ATTACHMENT_NAME"];
	$attachmentIdArray   = explode(",",trim($attachmentIdStr,","));
	$attachmentNameArray = explode("*",trim($attachmentNameStr,"*"));
}
else
{
	echo $_lang["other_pic_not_exist"];
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?=$_lang["other_pic_viewer"]?></title>
<script type="text/javascript" src="/inc/highslide/highslide-full.packed.js"></script>
<link rel="stylesheet" type="text/css" href="/inc/highslide/highslide.css" />
</head>
<body onload="setfocus();">
<script type="text/javascript">
	hs.graphicsDir = '/inc/highslide/graphics/';
	hs.align = 'center';
	hs.transitions = ['expand', 'crossfade'];
	hs.outlineType = 'rounded-white';
	hs.fadeInOut = true;
	hs.creditsText = "";
	//hs.dimmingOpacity = 0.75;

	// Add the controlbar
	hs.addSlideshow({
		//slideshowGroup: 'group1',
		interval: 5000,
		repeat: false,
		useControls: true,
		fixedControls: 'fit',
		overlayOptions: {
			opacity: .75,
			position: 'bottom center',
			hideOnMouseOut: true
		}
	});
</script>
<div class="highslide-gallery">
<!--
	4) This is how you mark up the thumbnail image with an anchor tag around it.
	The anchor's href attribute defines the URL of the full-size image.
-->
<?php
foreach($attachmentNameArray as $key=>$val)
{
	if(isPicOfFile($val))
	{
		$fileType         = getFileSuffix($attachmentNameArray[$key]);
		$fileType         = strtolower($fileType);
		if($fileType == "jpg"||$fileType == "jpeg"||$fileType == "gif"||$fileType == "png")
		{
			$source_image     = ROOT_PATH."attachment/".$attachmentIdArray[$key]."/".$attachmentNameArray[$key];			
			$thumb_image_path = createimage($source_image,$attachmentNameArray[$key],'130',$attachmentIdArray[$key]);
			$source_image     = str_replace(ROOT_PATH,ROOT_URL,$source_image);
	?>
			<a href="<?=$source_image?>" id="<?=$attachmentIdArray[$key]?>_imglink" class="highslide" onclick="return hs.expand(this)">
				<img src="<?=$thumb_image_path?>" alt="<?=$attachmentNameArray[$key]?>"
					title="<?=$_lang["other_click_to_enlarge"]?>" />
			</a>
			
			<!--
				5 (optional). This is how you mark up the caption. The correct class name is important.
			-->
			
			<div class="highslide-caption">
				<?=$attachmentNameArray[$key]?>
			</div>
<?php
		}
	}
}
?>

</div>
<input type="hidden" value="<?=$ATTACHMENT_ID?>" name="focusPicId" id="focusPicId"  />
</body>
</html>
<script language="javascript">
function setfocus()
{
	var picHrefId = document.getElementById("focusPicId").value+"_imglink";
	document.getElementById(picHrefId).click();
}
</script>
