<?
/*************************************************************
* Note: 	图形报表	                                     *
* Author: 	Weaver.liuxiulin                                 *
* Contact: 	xiulin.liu@weaver.com.cn		                 *
* Version: 	1.0						                         *
* Eoffice V: 4.0   		                                     *
* Created:  2006-9-15  		                                 *
* Revision: //							                     *
*************************************************************/

//常用颜色 一维

function getRPImgColor($im){
	$color  = array('black'=>imagecolorallocate($im, 0,0,0),
					'black01'=>imagecolorallocate($im, 50,50,50),
					'black02'=>imagecolorallocate($im, 100,100,100),
					'black03'=>imagecolorallocate($im, 150,150,150),
					'gray'=>imagecolorallocate($im, 200,200,200),
					'gray00'=>imagecolorallocate($im, 221,221,221),
					'gray01'=>imagecolorallocate($im, 235,235,235),
					'gray02'=>imagecolorallocate($im, 247,247,247),
					'blue'=>imagecolorallocate($im, 0,0,255),
					'blue01'=>imagecolorallocate($im, 51,102,153),
					'blue02'=>imagecolorallocate($im, 0,153,255),
					'blue03'=>imagecolorallocate($im, 153,153,255),
					'blue04'=>imagecolorallocate($im, 224,224,255),
					'blue05'=>imagecolorallocate($im, 216,216,255),
					'blue06'=>imagecolorallocate($im, 84,84,96),
					'red'=>imagecolorallocate($im, 255,0,0),
					'white'=>imagecolorallocate($im, 255,255,255),
					'green'=>imagecolorallocate($im, 0,128,0),
					'cran'=>imagecolorallocate($im, 204,255,204),
					'yellow'=>imagecolorallocate($im, 255,153,51),
					'yellow01'=>imagecolorallocate($im, 255,255,0),
					'highred'=>imagecolorallocate($im, 204,102,0),
					'highred01'=>imagecolorallocate($im, 255,51,0)
					 );

	//指定颜色 二维
	$colorgroup['black']  = array('c6c7c6','848684','EFEBEF','DEDFDE');
	$colorgroup['red']    = array('ff6500','9c3400','ff0000','ff9e00');
	$colorgroup['blue']   = array('396dff','31349c','0000ff','9ccfff');
	$colorgroup['green']  = array('00FF00','003400','008600','CEFFCE');
	$colorgroup['yellow'] = array('FFFF00','B19B20','FFCF00','FFFF9C');
	$colorgroup['pink']   = array('CE9EFF','840484','FF04FF','E3CFF7');
	$i = 1;
	while(list($key,$var)=each($colorgroup)){
		$j=$i;
		while(list($keyy,$varr)=each($var)){
			
			unset($r,$g,$b,$rd,$gd,$bd);
			list($r,$g,$b)=getRGB(hexdec($varr));

			$rd = ($r>60 && $r<256)?$r-60:$r;
			$gd = ($g>60 && $g<256)?$g-60:$g;
			$bd = ($b>60 && $b<256)?$b-60:$b;

			$color[$j]['light'] = imagecolorallocate($im,$r,$g,$b);
			$color[$j]['dark']  = imagecolorallocate($im,$rd,$gd,$bd);
			$color[$j]['alpha'] = imagecolorallocatealpha($im,$r,$g,$b,75);

			$j = $j+6;
		}
		$i++;
	}
	$nMax = $j-6;

	//随机颜色 二维
	for($i=0;$i<100;$i++){
		$nMax++;

		$hexstr = '';
		for($k=0;$k<6;$k++){
			$dec = rand(0,15);
			$hex = dechex($dec);
			$hexstr .= $hex;
		}
		//echo $hexstr."<br>";


		unset($r,$g,$b,$rd,$gd,$bd);
		list($r,$g,$b)=getRGB(hexdec($hexstr));

		$rd = ($r>60 && $r<256)?$r-60:$r;
		$gd = ($g>60 && $g<256)?$g-60:$g;
		$bd = ($b>60 && $b<256)?$b-60:$b;

		$color[$nMax]['light'] = imagecolorallocate($im,$r,$g,$b);
		$color[$nMax]['dark']  = imagecolorallocate($im,$rd,$gd,$bd);
		$color[$nMax]['alpha'] = imagecolorallocatealpha($im,$r,$g,$b,75);


	}

	return $color;

}



?>