<?
/*************************************************************
* Note: 													*
* Author: 	Weaver.liuxiulin								*
* Contact: 	xiulin.liu@weaver.com.cn						*
* Version: 	4.x												*
* Created:  2007-4-4  										*
* Revision: //						                        *
*************************************************************/
include_once("inc/auth.php");
includelangpak("graphreport");

//得到最大的坐标值 刻度 x
function getXMaxVal($c_array){
	$tmpval_s = 0;
	$tmpval = 0;
	if(count($c_array) > 0){
		while(list($key,$var)=each($c_array)){
			$tmpval = $var['y'];
			if ($tmpval > $tmpval_s){
				$tmpval_s = $tmpval;
			}
		}
	}
	return getCoordinateMaxValScale($tmpval_s);
}

//得到最大的坐标值 刻度 y
function getYMaxVal($c_array){
	$tmpval_s = 0;
	$tmpval = 0;
	if(count($c_array) > 0){
		while(list($key,$var)=each($c_array)){
			$tmpval = $var['x'];
			if ($tmpval > $tmpval_s){
				$tmpval_s = $tmpval;
			}
		}
	}
	return getCoordinateMaxValScale($tmpval_s);
}

//得到最大的坐标值 刻度 y 多字段

function getMoreYMaxVal($c_array){
	$tmpval_s = 0;
	$tmpval = 0;
	if(count($c_array) > 0){
		while(list($key,$var)=each($c_array)){
			$tmpArrVal = $var['value'];
			while(list($keye,$vare)=each($tmpArrVal)){
				$tmpval = $vare['y'];
				if ($tmpval > $tmpval_s){
					$tmpval_s = round($tmpval);
				}
			}
		}
	}
	return getCoordinateMaxValScale($tmpval_s);
}

//得到最大的坐标值 刻度 y 多字段 more bar
function getMoreBarYMaxVal($c_array){
	$tmpval_s = 0;
	$tmpval = 0;
	if(count($c_array) > 0){
		while(list($key,$var)=each($c_array)){
			$tmpArrVal = $var['y'];
			while(list($keye,$vare)=each($tmpArrVal)){
				$tmpval = $vare['y'];
				if ($tmpval > $tmpval_s){
					$tmpval_s = round($tmpval);
				}
			}
		}
	}
	return getCoordinateMaxValScale($tmpval_s);
}

//轴向最大值 和 刻度比例,10 20 50 100 200 500
function getCoordinateMaxValScale($num){
	$len = strlen($num);
	$len--;

	if($len > 13){
		return false;//溢出
	}

	$lowerval = pow(10,abs($len));
	
	if($num >= $lowerval && $num <= $lowerval*2){
		$cdmaxval =  $lowerval*2;
	}
	if($num > $lowerval*2 && $num <= $lowerval*5){
		$cdmaxval =  $lowerval*5;
	}
	if($num > $lowerval*5 && $num <= $lowerval*10){
		$cdmaxval =  $lowerval*10;
	}
	if($len == 0){
		$cdmaxval =  10;
	}
	$scale = $cdmaxval/10;
	return array($cdmaxval,$scale);
}

function getPicHeight($total){
	if($total>10){
		$height = 300+($total-10)*30;
	}
	else{
		$height = 300;
	
	}
	return $height;
}


//数组转换 line 
function getImgArray($inArray){
	for($i=1;$i<count($inArray);$i++){
		$m = 0;
		for($j=0;$j<count($inArray[$i]);$j++){
			if($inArray[$i][$j]['FIELD_IMG'] == 1){
				$m++;
				$outArray[$m]['name']  = $inArray[$i][$j]['FIELD_NAME'];
				$outArray[$m]['value'][$i]['x'] = $i;
				$outArray[$m]['value'][$i]['y'] = $inArray[$i][$j]['FIELD_VALUE'];
			}
		}
	}
	return $outArray;
}



//数组转换 more bar
function getImgBarArray($inArray){

	for($i=1;$i<=count($inArray);$i++){
		$m = 0;
		for($j=0;$j<count($inArray[$i]);$j++){
			if($inArray[$i][$j]['FIELD_IMG'] == 1){
				$m++;
				$outArray[$i]['x']  = $i;
				$outArray[$i]['y'][$m]['x'] = $inArray[$i][$j]['FIELD_NAME'];
				$outArray[$i]['y'][$m]['y'] = $inArray[$i][$j]['FIELD_VALUE'];
			}
		}
	}

	return $outArray;
}

//数组转换 pie
function getImgPieArrayYear($inArray){
	$m = 0;
	for($i=1;$i<13;$i++){
		
		$tmpdata = 0;
		for($j=0;$j<count($inArray[$i]);$j++){
			if($inArray[$i][$j]['FIELD_IMG'] == 1){
				

				$tmpdata += $inArray[$i][$j]['FIELD_VALUE'];
			}
		}
		if($tmpdata > 0){
			$m++;
			$outArray[$m]['x'] = $i.$_lang["common_month"];
			$outArray[$m]['y'] = $tmpdata;
		}
	}

	return $outArray;
}
//month
function getImgPieArrayMonth($inArray){
	$m = 0;
	for($i=1;$i<=count($inArray);$i++){
		
		$tmpdata = 0;
		for($j=0;$j<count($inArray[$i]);$j++){
			if($inArray[$i][$j]['FIELD_IMG'] == 1){
				

				$tmpdata += $inArray[$i][$j]['FIELD_VALUE'];
			}
		}
		if($tmpdata > 0){
			$m++;
			$outArray[$m]['x'] = $i.$_lang["common_day"];
			$outArray[$m]['y'] = $tmpdata;
		}
	}

	return $outArray;
}

//week
function getImgPieArrayWeek($inArray){
	$m = 0;
	for($i=1;$i<=count($inArray);$i++){
		
		$tmpdata = 0;
		for($j=0;$j<count($inArray[$i]);$j++){
			if($inArray[$i][$j]['FIELD_IMG'] == 1){
				

				$tmpdata += $inArray[$i][$j]['FIELD_VALUE'];
			}
		}
		if($tmpdata > 0){
			$m++;
			$outArray[$m]['x'] = $_lang["graphreport_weak"].$i;
			$outArray[$m]['y'] = $tmpdata;
		}
	}

	return $outArray;
}

//day
function getImgPieArrayDay($inArray){
	$m = 0;
	for($i=1;$i<=count($inArray);$i++){
		
		$tmpdata = 0;
		for($j=0;$j<count($inArray[$i]);$j++){
			if($inArray[$i][$j]['FIELD_IMG'] == 1){
				

				$tmpdata += $inArray[$i][$j]['FIELD_VALUE'];
			}
		}
		if($tmpdata > 0){
			$m++;
			$outArray[$m]['x'] = $i.$_lang["common_day"];
			$outArray[$m]['y'] = $tmpdata;
		}
	}

	return $outArray;
}


//根据周获得日期范围

function week_limits($weekNumber, $year){
	$time = mktime(1, 1, 1, 1, 1, $year);            
	$weekNumber--;
	if (date('w', $time) == 1)
		$weekNumber++;
	$start_time = false;
	$end_time = false;
	for ($day = 1; $day <= 380; $day++)
	{
		if (date('W', $time) == $weekNumber && !$start_time)
			$start_time = $time;
		if (date('W', $time - 24*60*60) == $weekNumber && !$end_time && date('W', $time) != $weekNumber)
			$end_time = $time - 24*60*60;               
		if ($start_time && $end_time)
			break;     
		$time += 24*60*60;
	}
	return array($start_time, $end_time);
}

//字符转数组

function getBarArray($inStr,$type=""){
	$arrayFit = explode("|",$inStr);
	$fieldnamearray = explode(";",$arrayFit[0]);
	$fieldvaluearray = explode(";",$arrayFit[1]);
	$fieldcheckarray = explode(";",$arrayFit[2]);
	$n=0;
	while(list($key,$var) = each($fieldnamearray)){
		
		if($var!="" && $fieldcheckarray[$key] == 1){
			$n++;
			if($type=="col"){
				$outArray[$n]['y'] = $fieldnamearray[$key];
				$outArray[$n]['x'] = $fieldvaluearray[$key];
			}
			else{
				$outArray[$n]['x'] = $fieldnamearray[$key];
				$outArray[$n]['y'] = $fieldvaluearray[$key];
			}
		}
	}
	return $outArray;
}

//自动获得宽高
function getWidthHeight($array,$type="bar"){
	$length = sizeof($array);
	$radix_per = 5;
	$increate_per  = 100;
	$floor = floor($length/$radix_per);
	$increate = $floor*$increate_per;

	switch($type){
		case "bar":
			$wh['w'] = 500+$increate;
			$wh['h'] = 300;
			break;
		case "barcol":
			$wh['w'] = 500;
			$wh['h'] = 300+$increate;
			break;
		case "pie":
			break;
		case "line":
			break;
	}
	return $wh;

}
?>