<?php
/**
 * @copyright (C) 2001 - 2011 Weaver Co.Ltd
 * @package       eoffice 8.0
 * @function      头像设置首页
 * @encoding      $_lang['encoding']
 * @name          inc/jquery/upload_crop_v1.2.php
 * @version       6
 * @author        sun|www.weaver.com.cn
 * @date          2011-09-29
 */
include_once("inc/auth.php");
include_once("api/user.class.php");
includelangpak("system");
//session_start(); //Do not remove this
//only assign a new timestamp if the session variable is empty
//好像系统中这段可以不用，改成获取用户表的头像图片类型字段值
/*if (!isset($_SESSION['random_key']) || strlen($_SESSION['random_key'])==0){
    echo "no session";
	$_SESSION['random_key'] = strtotime(date('Y-m-d H:i:s')); //assign the timestamp to the session variable
	$_SESSION['user_file_ext']= "";
}*/
$users = new user();
$cur_u = $users->getUserInfo($_SESSION["LOGIN_USER_ID"]);
$avatar_type = $cur_u[0]["AVATAR_TYPE"];
if(!$avatar_type)
	$avatar_type = ".png"; //默认值为png
#########################################################################################################
# CONSTANTS																								#
# You can alter the options below																		#
#########################################################################################################
$upload_dir = $ATTACH_PATH."personal/".$_SESSION["LOGIN_USER_ID"]; 				// The directory for the images to be saved in
$upload_path = $upload_dir."/";				// The path to where the image will be saved
$upload_path_url = str_replace($ATTACH_PATH,$rooturl."attachment/",$upload_path);
$large_image_prefix = $_SESSION["LOGIN_USER_ID"]; 			// The prefix name to large image
$thumb_image_prefix = "avatar_";			// The prefix name to the thumb image
$large_image_name = $large_image_prefix;     // New name of the large image (append the timestamp to the filename)
$thumb_image_name = $thumb_image_prefix."120";     // New name of the thumbnail image (append the timestamp to the filename)
$max_file = "3"; 							// Maximum file size in MB
$max_width = "500";							// Max width allowed for the large image
$thumb_width = "120";						// Width of thumbnail image
$thumb_height = "120";						// Height of thumbnail image
// Only one of these image types should be allowed for upload
$allowed_image_types = array('image/pjpeg'=>"jpg",'image/jpeg'=>"jpg",'image/jpg'=>"jpg",'image/png'=>"png",'image/x-png'=>"png",'image/gif'=>"gif");
$allowed_image_ext = array_unique($allowed_image_types); // do not change this
$image_ext = "";	// initialise variable, do not change this.
foreach ($allowed_image_ext as $mime_type => $ext) {
    $image_ext.= strtoupper($ext)." ";
}

//You do not need to alter these functions
function getHeight($image) {
	$size = getimagesize($image);
	$height = $size[1];
	return $height;
}
//You do not need to alter these functions
function getWidth($image) {
	$size = getimagesize($image);
	$width = $size[0];
	return $width;
}

//Image Locations
$large_image_location = $upload_path.$large_image_name.$avatar_type;
$thumb_image_location = $upload_path.$thumb_image_name.$avatar_type;

//Create the upload directory with the right permissions if it doesn't exist
if(!is_dir($upload_dir)){
	mkdir($upload_dir, 0777);
	chmod($upload_dir, 0777);
}

//Check to see if any images with the same name already exist
if (file_exists($large_image_location)){
	if(file_exists($thumb_image_location)){
		$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name.$avatar_type."\" alt=\"Thumbnail Image\"/>";
	}else{
		$thumb_photo_exists = "";
	}
   	$large_photo_exists = "<img src=\"".$upload_path.$large_image_name.$avatar_type."\" alt=\"Large Image\"/>";
} else {
   	$large_photo_exists = "";
	$thumb_photo_exists = "";
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type"	content="text/html; charset=utf-8" />
	<title><?=$_lang["system_avatar_set"]?></title>
	<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
	<script type="text/javascript" src="/inc/jquery/jquery.imgareaselect.min.js"></script>
</head>
<body leftmargin="0" rightmargin="0" topmargin="0" bgcolor="#FFFFFF">
<table width="550" height="410" cellpadding="0" cellspacing="0" border="0">
<?php
//如果图片存在拖放缩略图所需要的js
if(strlen($large_photo_exists)>0){
	$current_large_image_width = getWidth($large_image_location);
	$current_large_image_height = getHeight($large_image_location);?>
<script type="text/javascript">
function preview(img, selection) { 
	var scaleX = <?php echo $thumb_width;?> / selection.width; 
	var scaleY = <?php echo $thumb_height;?> / selection.height; 
	$("#previewimg",window.parent.document).attr("src","<?=$upload_path_url.$large_image_name.$avatar_type;?>?<?=rand();?>")
	$("#previewimg",window.parent.document).css({ 
		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px', 
		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px', 
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px' 
	});
	
	$('#x1',window.parent.document).val(selection.x1);
	$('#y1',window.parent.document).val(selection.y1);
	$('#x2',window.parent.document).val(selection.x2);
	$('#y2',window.parent.document).val(selection.y2);
	$('#w',window.parent.document).val(selection.width);
	$('#h',window.parent.document).val(selection.height);
} 
$(window).load(function () { 
	$('#thumbnail').imgAreaSelect({ aspectRatio: '1:<?php echo $thumb_height/$thumb_width;?>', onSelectChange: preview }); 
});

</script>
<?php
}
//缩略图已经保存后,显示删除按钮,没有缩略图的情况下,显示上传附件按钮之类
?>

    <tr>
        <td valign="middle" align="center">
        <div style="padding:3px;">
       		<img src="<?=$upload_path_url.$large_image_name.$avatar_type;?>?<?=rand();?>" onload="AutoResizeImage(0,400,this)" style="margin-right: 10px;" id="thumbnail" alt="<?=$_lang["system_avatar_pic"]?>" />
        </div>
        </td>
    </tr>
</table>
</body>
</html>
<script type="text/javascript">
function AutoResizeImage(maxWidth,maxHeight,objImg){
var img = new Image();
img.src = objImg.src;
var hRatio;
var wRatio;
var Ratio = 1;
var w = img.width;
var h = img.height;
wRatio = maxWidth / w;
hRatio = maxHeight / h;
if (maxWidth ==0 && maxHeight==0){
Ratio = 1;
}else if (maxWidth==0){//
if (hRatio<1) Ratio = hRatio;
}else if (maxHeight==0){
if (wRatio<1) Ratio = wRatio;
}else if (wRatio<1 || hRatio<1){
Ratio = (wRatio<=hRatio?wRatio:hRatio);
}
if (Ratio<1){
w = w * Ratio;
h = h * Ratio;
}
objImg.height = h;
objImg.width = w;
}
</script>
