<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      车辆、会议公共函数库
* @encoding      $_lang['encoding']
* @name          inc/meet_vehicle.php
* @version       1.0
* @author        liuqingyu
*/

/*
@function:  时间转化
@parameter: $begin_time->  string : 开始时间
@parameter: $end_time->    string : 结束时间
@return:    $info->        Array  :格式化后的时间
*/
function time_format($begin_time,$end_time)
{
	$info = array();
	$begin            = explode(" ",$begin_time);
	$info['beg_date'] = $begin[0];
	$info['beg_time'] = substr($begin[1],0,5);
	$end              = explode(" ",$end_time);
	$info['end_date'] = $end[0];
	$info['end_time'] = substr($end[1],0,5);
	$info['beg_date'] = format_date($info['beg_date']);
	$info['end_date'] = format_date($info['end_date']);
	return $info;
}

/*
@function:  多行列表图片显示
@parameter: $ATTACHMENT_ID->    string  : 附件ID；
@parameter: $ATTACHMENT_NAME->  string  : 附件名称；
@parameter: $size->             int     : 缩略图显示大小
*/
function pic_show($ATTACHMENT_ID,$ATTACHMENT_NAME,$size=60)
{
	global $_lang;
	$str  = "";
	$str .= "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"ShowState\">";
	$str .= "<tr>";
	if($ATTACHMENT_ID!=""&&$ATTACHMENT_NAME!="")
	{
		$img_src     = "/attachment/$ATTACHMENT_ID/$ATTACHMENT_NAME";
		$source_src  = ROOT_PATH.$img_src;
		$source_src1 = iconv("utf-8","gbk",$source_src);
		//为了兼容流程创建新闻时，从流程的fck里取图片，做特殊处理
		$img_src_alb     = "/attachment/album/$ATTACHMENT_ID/$ATTACHMENT_NAME";
		$source_src_alb  = ROOT_PATH.$img_src_alb;
		$source_src_alb1 = iconv("utf-8","gbk",$source_src_alb);
		if(is_file($source_src1) || is_file($source_src_alb1))
		{
			if(is_file($source_src1))
			{
				$source_src_new = $source_src;
				$img_src_new = $img_src;
			}
			else if(is_file($source_src_alb1))
			{
				$source_src_new = $source_src_alb;
				$img_src_new = $img_src_alb;
			}
			$ATTACHMENT_NAME = base64_encode($ATTACHMENT_NAME);
			$FILENAME        = createJpeg2($source_src_new,$ATTACHMENT_NAME,$size,$size,$ATTACHMENT_ID);
			 //处理图片的名称，以防图片名中含有=，+等符号，出现错误
			$str .= "<td align=\"center\" style=\"background:url(/theme/8series/default/images/vehicles/imagesbg.png) no-repeat;width:68px; height:68px;\">";
			$str .= "<div style=\"margin:0 auto;width:60px\"><a onClick=\"return hs.expand(this)\" href='".$img_src_new."' title='".$_lang["common_click_images_to_zoom"]."'><img class=\"imglink\" src='".$FILENAME."' align=\"middle\"></a></div>";
			$str .= "</td>";
		}
		else 
		{
			$source_src      = ROOT_PATH."theme/8series/default/images/vehicles/nopicture.png";
			$ATTACHMENT_NAME = "nopicture.png";
			$FILENAME        = createimage($source_src,$ATTACHMENT_NAME,$size);
			$str .= "<td align=\"center\" style=\"background:url(/theme/8series/default/images/vehicles/imagesbg.png) no-repeat;width:68px; height:68px;\">";
			$str .= "<img src='".$FILENAME."' align=\"middle\">";
			$str .= "</td>";
		}
	}
	else 
	{
		$source_src      = ROOT_PATH."theme/8series/default/images/vehicles/nopicture.png";
		$ATTACHMENT_NAME = "nopicture.png";
		$FILENAME        = createimage($source_src,$ATTACHMENT_NAME,$size);
		$str .= "<td align=\"center\" style=\"background:url(/theme/8series/default/images/vehicles/imagesbg.png) no-repeat;width:68px; height:68px;\">";
		$str .= "<img src='".$FILENAME."' align=\"middle\">";
		$str .= "</td>";
	}
	$str .= "</tr>";
	$str .= "</table>";
	return $str;
}

function getNewAttachIcon($sFileName){
    $sFileName = strtolower($sFileName);
    preg_match("/\.([a-zA-Z]{2,4})$/", $sFileName, $sExtArray);
     //echo $sExt."---";
    $sExt = $sExtArray[1];
    $strIcon = "";
    if ($sExt=="jpg" || $sExt=="bmp" || $sExt=="gif" || $sExt=="jpeg" || $sExt=="tiff" || $sExt=="psd" || $sExt=="png") {
    	//图片
    	$strIcon = '<i class="fa fa-file-image-o fa-lg"></i>';
    } else if($sExt=="docx" || $sExt=="dotx" || $sExt=="doc" || $sExt=="dot" || $sExt=="docm" || $sExt=="dotm"){
    	//word
    	$strIcon = '<i class="fa fa-file-word-o fa-lg"></i>';
    } else if ($sExt=="pdf" ) {
    	//pdf
    	$strIcon = '<i class="fa fa-file-pdf-o fa-lg"></i>';
    } else if ($sExt=="ppt" || $sExt=="pptx" || $sExt=="pps") {
    	//ppt
    	$strIcon = '<i class="fa fa-file-powerpoint-o fa-lg"></i>';
    } else if ($sExt=="csv" || $sExt=="xlsb" || $sExt=="xls" || $sExt=="xlsx") {
    	//excel
    	$strIcon = '<i class="fa fa-file-excel-o fa-lg"></i>';
    }else if ($sExt=="rar" || $sExt=="zip") {
    	//zip
    	$strIcon = '<i class="fa fa-file-zip-o fa-lg"></i>';
    }else if ($sExt=="rm" || $sExt=="rmvb" || $sExt=="mtv" || $sExt=="dat" || $sExt=="wmv" || $sExt=="avi" || $sExt=="3gp" || $sExt=="amv" || $sExt=="mp4" || $sExt=="mkv") {
    	//影音文件
    	$strIcon = '<i class="fa fa-file-video-o fa-lg"></i>';
    }else if ($sExt=="cd" || $sExt=="mp3" || $sExt=="wma" || $sExt=="wav" || $sExt=="mp3pro" || $sExt=="rm" || $sExt=="midi") {
    	//声音文件
    	$strIcon = '<i class="fa fa-file-sound-o fa-lg"></i>';
    }else if ($sExt=="bas" || $sExt=="bat" || $sExt=="bak" || $sExt=="php" || $sExt=="bin" || $sExt=="java" || $sExt=="js" || $sExt=="jsp") {
    	//代码文件
    	$strIcon = '<i class="fa fa-file-code-o fa-lg"></i>';
    }else if ($sExt=="txt") {
    	//txt文件
    	$strIcon = '<i class="fa fa-file-text-o fa-lg"></i>';
    } else{
    	//未知文件
    	$strIcon = '<i class="fa fa-file-o fa-lg"></i>';
    }
    return $strIcon;
	
}
/**
 * @function            获取附件
 * @param    string  $ATTACHMENT_ID    附件的ID
 * @param    string  $ATTACHMENT_NAME  附件名称
 * @param    string  $id               记录ID           
 * @param    string  $diff             edit:编辑、other:新建,详情
 * @return   string  $at_img_title     附件下载、阅读链接
 */
function  getAttachment($ATTACHMENT_ID,$ATTACHMENT_NAME,$id,$diff,$tablename="")
{
	global $_lang,$connection;
	$attachment_id_array      = explode(",",$ATTACHMENT_ID);
	$attachment_name_array    = explode("*",$ATTACHMENT_NAME);
	if ($ATTACHMENT_ID!= '') {
	   $at_nm_count  = sizeof($attachment_name_array);
	   $at_nm_amount = 0 ; 
	   $strvar = "";
	   $strvar .= '<table border="0" cellpadding="3" cellspacing="1">';
	   while(list($key,$var) = each($attachment_name_array))
	   {
		  $at_nm_amount++;
		  if ($var) {
		  	$am_size = attach_size($attachment_id_array[$key],$attachment_name_array[$key]);
		  	if($am_size==0){
		  		continue;
		  	}
			$strvar .= '<tr id="'.$attachment_id_array[$key].'" style="border-bottom:1px solid #ECECEC; height:30px;">';  
		  	if ($am_size <= 1024){
				$am_size_str = '<div style="margin-left:5px; float:left">'.$am_size.'B</div>';
			}
			if ($am_size > 1024){
				$am_size_str = '<div style="margin-left:5px; float:left">'.round($am_size/1024,2).'K</div>';
			}
			if ($am_size >= 1024*1024){
				$am_size_str = '<div style="margin-left:5px; float:left">'.round($am_size/(1024*1024),2).'M</div>';
			}
			$fileicon = getNewAttachIcon($var);
			$imgicon  = $fileicon;	
			$strvar .= '<td width="30px" valign="middle">'.$imgicon.'</td>';
			//获取文件扩展名
			$filesuffix = getFileSuffix($var);					  
			//获取文件名字		
			$var_nofix = substr($var,0,strrpos($var,"."));				 				 
			$subvar    = substrGB($var_nofix,20,'...').".".$filesuffix;
			$ehash     = $attachment_id_array[$key]*3+2;				  
			$ehash_1   = $attachment_id_array[$key];//附件id				  
			$ename     = $attachment_name_array[$key];				  
			$ename     = urlencode($ename);
			$btnStr = "";
			//word文档
			if (isOfficeOfFile($var)) {
				$strvar .= '<td width="260px" valign="bottom">';
				$strvar .= "<div style=\"width:200px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden; float:left;color:#57ACDB; cursor: pointer;\" title=\"".$var."\" onclick=\"window.open('/iWebOffice/DocumentEdit.php?PRINT_PUR=$print_pur&RecordID=$CONTENT_ID&EditType=0&UserName=$_SESSION[LOGIN_USER_ID];&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">";
				$strvar .= $var;
				$strvar .= '</div>';
				$strvar .= $am_size_str;
				$strvar .= '</td>';
				$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"window.open('/iWebOffice/DocumentEdit.php?PRINT_PUR=$print_pur&RecordID=$CONTENT_ID&EditType=0&UserName=$_SESSION[LOGIN_USER_ID];&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_read']."</span>";
					
				if($diff=='edit')
				{
					$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\"  onclick=\"window.open('/iWebOffice/DocumentEdit.php?RecordID=$CONTENT_ID&EditType=2&UserName=$_SESSION[LOGIN_USER_ID];&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1')\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_edit']."</span>";
				}
				$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\"  onclick=\"location='/inc/attach.php?OP=1&ATTACHMENT_NAME=$ename&ATTACHMENT_ID=$ehash'\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_down']."</span>";
				if($diff=='edit')
				{
					$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\"  onclick=\"deleteAttachment('$ehash_1','$ename','$id','$tablename')\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_del']."</span>";
				}
			} else if ($filesuffix == 'pdf') {
				$optype       = 0;
				$buttontitle  = $_lang["common_read"];
				$strvar .= '<td width="260px" valign="bottom">';
				$strvar .= "<div style=\"width:200px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden; float:left;color:#57ACDB; cursor: pointer;\" title=\"".$var."\" onclick=\"window.open('/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">";
				$strvar .= $var;
				$strvar .= '</div>';
				$strvar .= $am_size_str;
				$strvar .= '</td>';	
				$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"window.open('/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename',null,'menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$buttontitle."</span>";
				$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"location='/inc/attach.php?OP=1&ATTACHMENT_NAME=$ename&ATTACHMENT_ID=$ehash'\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_down']."</span>";
				if($diff=='edit')
				{
					$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"deleteAttachment('$ehash_1','$ename','$id','$tablename')\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_del']."</span>";
				}
			} else{
				if($filesuffix=='jpg'||$filesuffix=='bmp'||$filesuffix=='gif'||$filesuffix=='png'||$filesuffix=='wmv'||$filesuffix=='html'||$filesuffix=='htm'||$filesuffix=='wav'||$filesuffix=='mid'||$filesuffix=='swf' ){
					if($filesuffix=='mid'||$filesuffix=='swf') {
						$optype      = 0;
						$buttontitle = $_lang["common_play"];
					} else {
						$optype      = 0;
						$buttontitle = $_lang["common_view"];
					}
					$strvar .= '<td width="260px" valign="bottom">';
					$strvar .= "<div style=\"width:200px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden; float:left;color:#57ACDB; cursor: pointer;\" title=\"".$var."\" onclick=\"window.open('/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">";
					$strvar .= $var;
					$strvar .= '</div>';
					$strvar .= $am_size_str;
					$strvar .= '</td>';	
					$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"window.open('/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1');\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$buttontitle."</span>";
					$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"location='/inc/attach.php?OP=1&ATTACHMENT_NAME=$ename&ATTACHMENT_ID=$ehash'\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_down']."</span>";
					if($diff=='edit'){
						$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"deleteAttachment('$ehash_1','$ename','$id','$tablename')\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_del']."</span>";
					}
					
				} else {									          
					$optype      = 1;
					$buttontitle = $_lang["common_down"];													
					$strvar .= '<td width="260px" valign="bottom">';
					$strvar .= "<div style=\"width:200px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden; float:left;color:#57ACDB; cursor: pointer;\" title=\"".$var."\" onclick=\"window.location='/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1','false';\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">";
					$strvar .= $var;
					$strvar .= '</div>';
					$strvar .= $am_size_str;
					$strvar .= '</td>';	
					$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"window.location='/inc/attach.php?OP=$optype&ATTACHMENT_ID=$ehash&ATTACHMENT_NAME=$ename','_blank','menubar=0,toolbar=0,status=1,scrollbars=1,resizable=1','false';\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$buttontitle."</span>";
					
					if($diff=='edit')
					{
						$btnStr .= "<span style=\"margin-left:5px;color:#57ACDB; cursor: pointer;\" onclick=\"deleteAttachment('$ehash_1','$ename','$id','$tablename')\" onmouseover=\"clickAttachBtnClor(this,'over')\" onmouseout = \"clickAttachBtnClor(this,'out')\">".$_lang['common_del']."</span>";
					}
				}
			}
			  $strvar .= '<td valign="bottom">'; 
			  $strvar .= $btnStr; 
			  $strvar .= '</td>'; 
			  $strvar .= '</tr>';
		  }
		}
	   $strvar .= "</table>";
	   $strvar .= '<script language="javascript">';
	   $strvar .= 'function clickAttachBtnClor(obj,diff){
					if(diff=="over"){
						obj.style.color =  "red";	
					}else if(diff=="out"){
						obj.style.color =  "#57ACDB";
					}	
				}';
	   $strvar .= '</script>';
	}
	return $strvar;
}
?>
