<?
/**
 *@Copyright (C) 2010 - 2011 Weaver Co.Ltd
 *@systemname:       E-Office
 *@filename:         inc/mobile_sms.inc.php
 *@function:         这是发送手机短信的类
 *@encoding:         $_lang['encoding']
 *@author:           lxl|www.weaver.com.cn
 *@modify:			 dingp
 *@date:             2011-12-20
 *@file Version:     3.0
 *@eoffice Version:  8.0
*/
class MobileSms {
	var $testMobileNo;   //测试号
    var $publicMobilNo;  //公费手机
	var $outAllow;       //外发
	var $mbAllow;        //允许发送

	var $errorMsg;       //错误信息
	var $mobileSms;      //调用COM
	var $serverIp;       //手机短信服务器ip
	var $serverPort;     //端口
	var $allow = true;   //是否允许发送

	var $webSendUrl;	 //soap发送地址
	var $webSendUserName; // soap发送账号

	var $webSendPassWord; // soap发送密码
	var $sendByType;	 //发送类型


	/**
	*检查系统是否允许短信发送
	*/
    function MobileSms() {
		global $connection,$_lang;
		$query = "
				 SELECT SMS_ID FROM mobile_sms_option
					WHERE SMS_IS_USE = 1
				 ";
		$res    = exequery($connection,$query);
		$ROW_T  = mysql_fetch_array($res);
		$SMS_ID = $ROW_T['SMS_ID'];
		if($SMS_ID==1) {
			try{
				$this->mobileSms = @new COM("Dbstep.SMSClient2000");
			}catch(Exception $e){
				$this->mobileSms = false;
			}

			if (!$this->mobileSms){
				$this->errorMsg = $_lang["common_component_not_to_install"];
				$this->ErrorOut();
				$this->allow = false;
			}
		}
		$sql = "SELECT * FROM mobile_sms_option WHERE SMS_ID= '$SMS_ID' ";
		$rs  = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);

		if($SMS_ID == 1) {            //金格短信猫发送手机短信
			$this->publicMobilNo = $row['MSO_PUBIC_PHONE'];
			if ($this->publicMobilNo == ''){
				$this->errorMsg = $_lang["common_contact_admin_set_number"];
				$this->ErrorOut();
				$this->allow = false;
			}
			$this->serverIp = $row['MSO_SERVERIP'];
			$this->serverPort = $row['MSO_PORT'];
			$this->sendByType = 1;
		}  else if($SMS_ID == 2) {     //发送手机短信Method2
			$this->webSendUrl      = $row['MSO_SERVERIP'];
			$this->webSendUserName = $row['SMS_USERNAME'];
			$this->webSendPassWord = $row['SMS_PASSWORD'];
			$this->sendByType      = 2;
		} else if($SMS_ID == 3) {     //发送手机短信Method3
			$this->sendUrl         = $row['MSO_SERVERIP'];
			$this->sendUserName    = $row['SMS_USERNAME'];
			$this->sendPassWord    = $row['SMS_PASSWORD'];
			$this->sendExtId       = $row['EXTID'];
			$this->sendRrid        = $row['RRID'];
			$this->sendByType      = 3;
		} else if($SMS_ID == 4) {      //发送手机短信Method4
			$this->postSendUrl  = $row['MSO_SERVERIP'];
			$this->SendUserName = $row['SMS_USERNAME'];
			$this->SendPassWord = $row['SMS_PASSWORD'];
			$this->sendByType   = 4;
		} else if($SMS_ID == 5) {  //河南新创元发送短信
			$this->sendUrl      = $row['MSO_SERVERIP'];
			$this->sendByType   = 5;
		} else if($SMS_ID == 0) {  //亿美软通
			$this->sendUrl      = $row['MSO_SERVERIP'];
			$this->webSendUserName = $row['SMS_USERNAME'];
			$this->webSendPassWord = $row['SMS_PASSWORD'];
			$this->messagePrefix = $row['MESSAGE_PREFIX'];
			$this->sendByType   = 0;
		}

		$this->mbAllow   = $row['MSO_MB_ALLOW'];
		if (!$this->mbAllow){
			$this->errorMsg = $_lang["common_system_no_approve_sms"];
			$this->ErrorOut();
			$this->allow = false;
		}
		$this->outAllow  = $row['MSO_OUT_ALLOW'];
	}

	/**
	*判断调用哪种方式发送手机短信/
	*@param $from_no 发送人号码
	*@param $to_no  收信人号码
	*@param $content 发送的短信内容
	*@param $from_id 发送人的用户id
	*@param $to_id 收信人的用户id
	*@return bool true/false   true为发送成功,false为发送失败
	*/
	function Send($from_no,$to_no,$content,$from_id='',$to_id='') {
		global $connection,$_lang;
		if (!$this->outAllow){
			$sql = "
					SELECT COUNT(MOBIL_NO) AS cnt FROM user
						WHERE MOBIL_NO='".SecurityFilter($to_no)."'";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			if ($row['cnt']<1) {
				$this->errorMsg = $_lang["common_system_no_app_send_sms"];
				$this->ErrorOut();
				$this->allow = false;
			}
		}

		if ($this->allow){
			$sql = "SELECT (MAX(Sms_Msg_No)) AS MaxNo FROM sms_tb_msg";
			$rs  = exequery($connection,$sql);
			$row = mysql_fetch_array($rs);
			$strMaxNo = $row["MaxNo"];
			$strSms_Msg_No  = substr(strval($strMaxNo+1+1000000),-6);
			$strIP          = $_SERVER['REMOTE_ADDR'];
			$From_Mobile    = $this->publicMobilNo;
			$To_Mobile      = $to_no;
			$Enter_DateTime = date('Y-m-d');
			$strContent     = $content;
			$strContent     = $this->htmlCodeClean($strContent);
			$strContent     = substr($strContent,0,1800);

			$sql = "INSERT INTO sms_tb_msg
						(Sms_Msg_No,From_Mobile,To_Mobile,Content,IPAdd,RegID,Enter_DateTime)
						VALUES ('".SecurityFilter($strSms_Msg_No)."','".SecurityFilter($From_Mobile)."','".SecurityFilter($To_Mobile)."','".SecurityFilter($strContent)."','".SecurityFilter($strIP)."',".SecurityFilter($strSms_Msg_No).",'".SecurityFilter($Enter_DateTime)."')
				   ";
			$rs = exequery($connection,$sql);
			$send_time = date('Y-m-d H:i:s');
			$from_id   = $from_id;
			$to_id     = $to_id;
			$from_no   = $from_no;
			$to_no     = $to_no;
			$sql = "INSERT INTO sms_msg_log
					   (REGID,SEND_TIME,FROM_ID,TO_ID,FROM_NO,TO_NO,PUBLIC_PHONE)
					   VALUES
					   (".SecurityFilter($strSms_Msg_No).",'".SecurityFilter($send_time)."','".SecurityFilter($from_id)."','".SecurityFilter($to_id)."','".SecurityFilter($from_no)."','".SecurityFilter($to_no)."','".SecurityFilter($this->publicMobilNo)."')
				   ";
			exequery($connection,$sql);
			//判断用那一种方法发送
			if($this->sendByType==1) {
				$Rtn = $this->mobileSms->OpenSMS($this->serverIp,$this->serverPort);
				$Rtn = $this->mobileSms->SendSMS($From_Mobile,"86".$To_Mobile,rawurlencode(iconv('UTF-8','GBK//IGNORE',$strContent)));
			} else if($this->sendByType==2) {
				$Rtn = !($this->webSend($To_Mobile,$strContent));
			} else if($this->sendByType==3) {
				//$Rtn = !($this->soapSend($mobile,$content));
			} else if($this->sendByType==4) {
				$Rtn = ($this->sendSMS2($this->SendUserName,$this->SendPassWord,$To_Mobile,$strContent,$this->postSendUrl,'utf8'));
			} else if($this->sendByType==5) {
				$Rtn = ($this->sendSmsByHessian($this->sendUrl,$To_Mobile,$strContent));
			} else if($this->sendByType==0) {
				$Rtn = $this->sendSmsByYimei($To_Mobile, $strContent);
			}

			if ($Rtn && $this->sendByType!=4) {
					$Finish_DateTime = date('Y-m-d');
						$sql = "
							   UPDATE sms_tb_msg
								   SET Finish_DateTime='".SecurityFilter($Finish_DateTime)."',
								   Msg_Status='Y'
								   WHERE Sms_Msg_No='".SecurityFilter($strSms_Msg_No)."'
							   ";
					exequery($connection,$sql);
					if($this->sendByType==1) {
						$this->mobileSms->CloseSMS();
					}
					return true;
				//}
			} else {
				$Finish_DateTime = date('Y-m-d');
				if($Rtn==$_lang["common_send_true"] && $this->sendByType==4) {
					$sql = "
							UPDATE sms_tb_msg
							SET Finish_DateTime='".SecurityFilter($Finish_DateTime)."',
							Msg_Status='Y'
							WHERE Sms_Msg_No='".SecurityFilter($strSms_Msg_No)."'
						   ";
					exequery($connection,$sql);
					if($this->sendByType==1) {
						$this->mobileSms->CloseSMS();
					}
					return true;
				} else {
					$sql = "
						   UPDATE sms_tb_msg
							   SET Finish_DateTime='".SecurityFilter($Finish_DateTime)."',
							   Msg_Status='F'
							   WHERE Sms_Msg_No='".SecurityFilter($strSms_Msg_No)."'
						   ";
					exequery($connection,$sql);
					if($this->sendByType==1) {
						$this->mobileSms->CloseSMS();
					}
					if($this->sendByType==4) {
						$this->errorMsg = $Rtn;
					} else
						$this->errorMsg = $_lang["common_send_sms_fail"];
					$this->ErrorOut();
					return false;
				}
			}
		}
		return false;
	}

	/**
	*webserver方式发送手机短信
	*@param string $nbr
	*@param string $msg 发送的短信内容
	*@return string $response_result  返回的响应结果
	*/
	function webSend($nbr,$msg) {
			$acctId = $this->webSendUserName;
			$pwd    = $this->webSendPassWord;
			/* 默认超时时长，秒 */
			$time_out_second = 20;
			ini_set('default_socket_timeout', $time_out_second);
			/* 对密码进行 MD5 编码 */
			$pwd = md5($pwd);
			/* 对号码分解 */
			if(is_array($nbr))
			{
				$nbr = implode(',', $nbr);
			}
			//转换代码
			$msg = iconv("UTF-8","GBK//IGNORE",$msg);
			/* 对消息正文进行 Base64 编码 */
			$msg = base64_encode($msg);
			/* 请求消息 */
			$request_str = '<?xml version="1.0" encoding="GB2312"?>
				<request>
					<spnumber>'.$acctId.'</spnumber>
					<uid>'.$acctId.'</uid>
					<pwd>'.$pwd.'</pwd>
					<feemobile>'.$acctId.'</feemobile>
					<ismobilesend>1</ismobilesend>
					<mobile>'.$nbr.'</mobile>
					<msg>'.$msg.'</msg></request>';
			try {
				/*创建 SoapClient*/
				$client = @new SoapClient($this->webSendUrl,
										  array('encoding'=>'GB2312', 'trace' => 1, 'connection_timeout' => $time_out_second));
				/*调用发送指令，取得返回值*/
				$response_xml = $client->sendMessage($request_str);
				$doc = new DOMDocument();
				$doc -> loadXML($response_xml);
				/*分析结果*/
				$response_result = $doc->getElementsByTagName("result")->item(0)->nodeValue;
				$response_msg = $doc->getElementsByTagName("msg")->item(0)->nodeValue;
				return $response_result;
			} catch (Exception $e) {
				/*其它错误*/
			  	return '9,'. $e->getMessage();
			}
		}

	/**
	*自身群发 $strtoid是多个用户id的组合 如lxl,zjg,lcg,
	*@param string $strtoid 接收人号码
	*@param string $content 发送的短信内容
	*/
	function SelfSendMore($strtoid,$content,$from_id='',$userid='') {
		global $LOGIN_USER_ID,$connection;
		if($userid!=''){
			$UserID = $userid;
		}else{
			$UserID = $LOGIN_USER_ID;
		}

		if($from_id != "") {
			$sql = "SELECT MOBIL_NO FROM user
			            WHERE USER_ID='".SecurityFilter($from_id)."'";
		} else {
			$sql = "SELECT MOBIL_NO FROM user
						WHERE USER_ID='".SecurityFilter($UserID)."'";
		}
		$rs  = exequery($connection,$sql);
		$row = mysql_fetch_array($rs);
		$from_no = $row['MOBIL_NO'];

		if($from_id == '') {
			$from_id = $UserID;
		}

		$arrayid = explode(',',$strtoid);
		while(list($key,$var) = each($arrayid)){
			if ($var != ''){
				$sql = "SELECT MOBIL_NO FROM user WHERE USER_ID='".SecurityFilter($var)."'";
				$rs  = exequery($connection,$sql);
				$row = mysql_fetch_array($rs);
				$to_no = $row['MOBIL_NO'];
				$to_id = $var;
				if ($to_no != '') {
					$this->Send($from_no,$to_no,$content,$from_id,$to_id);
				}
			}
		}
	}

	/**
	*错误信息输出
	*/
	function ErrorOut() {
		if($_SERVER['SCRIPT_NAME'] == "/general/mobile_sms/submit.php")
		{
			Message('',$this->errorMsg);
			$this->ExportErrorMess();
			exit();
		}
	}
	/**
	*输出错误信息之前输出九宫格的下半部分
	*/
	function ExportErrorMess()
	{
		echo '</td>
			<td width="10" class="tablecornermiddleright" ></td>
		</tr>
		<tr height="10">
			<td width="10" class="tablecornerbottomleft"></td>
			<td class="tablecornerbottomcenter"></td>
			<td width="10" class="tablecornerbottomright" ></td>
		</tr>
	</table>';
	}

	/**
	*香溢置业企信通发送短信方法
	*@param string $uid 用户账号
	*@param string $pwd MD5密码
	*@param string $mobile 接收号码
	*@param string $content 发送到短信内容
	*@param string $send_url 调用配置的连接地址
	*@param string $encode 短信编码
	*@param $time 定时发送
	*@param $mid 子扩展号
	*/
	function sendSMS2($uid,$pwd,$mobile,$content,$send_url,$encode='',$time='',$mid='') {
		$http = $send_url;
		$data = array
			(
			'uid'=>$uid,					    //用户账号
			'pwd'=>strtolower(md5($pwd)),	    //MD5位32密码
			'mobile'=>$mobile,				    //号码
			'content'=>$content,			    //内容
			'encode'=>$encode,					//编码
			'time'=>$time,					    //定时发送
			'mid'=>$mid						    //子扩展号
			);
		$re= $this->postSMS($http,$data);	//POST方式提交
		if(trim($re) == '100' )
		{
			return $_lang["common_send_true"];
		} else {
			if(trim($re) == '101' )
			{
				return $_lang["common_confirm_fail_pl_check"];
			}
			if(trim($re) == '102' )
			{
				return $_lang["common_sms_not_enough"];
			}
		}
	}

	/**
	*
	*@param string $url 配置的企信通连接地址
	*@param array $data 发送短信的相关数据
	*@return
	*/
	function postSMS($url,$data='') {
		$row  = parse_url($url);
		$host = $row['host'];
		$port = $row['port'] ? $row['port']:80;
		$file = $row['path'];
		while (list($k,$v) = each($data))
		{
			$post .= rawurlencode($k)."=".rawurlencode($v)."&";	//转URL标准码
		}
		$post = substr( $post , 0 , -1 );
		$len = strlen($post);
		$fp = @fsockopen($host,$port,$errno,$errstr,10);
		if (!$fp) {
			return "$errstr ($errno)\n";
		} else {
			$receive = '';
			$out = "POST $file HTTP/1.1\r\n";
			$out .= "Host: $host\r\n";
			$out .= "Content-type: application/x-www-form-urlencoded\r\n";
			$out .= "Connection: Close\r\n";
			$out .= "Content-Length: $len\r\n\r\n";
			$out .= $post;
			fwrite($fp, $out);
			while (!feof($fp)) {
				$receive .= fgets($fp, 128);
			}
			fclose($fp);
			$receive = explode("\r\n\r\n",$receive);
			unset($receive[0]);
			return implode("",$receive);
		}
	}

	/**
	*特殊符号的过滤处理
	*@param string $str 需要过滤的字符串
	*@param string $str 已经经过过滤的字符串
	*/
	function htmlCodeClean($str) { //处理特殊字符
		if(empty($str)) return;
		if($str=="") return $str;
		$str = str_replace(array("~","^","&","*","_","+","|","<",">","'","[","]","{","}"),array(),$str);
		//$farr = array(
		//"/\s+/" ,
		//"/<(\/?)(img|script|i?frame|style|html|body|title|link|meta|\?|\%)([^>]*?)>/isU" ,
		//"/(<[^>]*)on[a-zA-Z]+\s*=([^>]*>)/isU" ,
		//);
		//$tarr = array(
		//" " ,
		//"<\\1\\2\\3>" ,
		//"\\1\\2" ,
		//);
		//$str = preg_replace ($farr,$tarr,$str);
		return $str;
	}

	/**
	*新创元发送短信的方法
	*@param $url
	*@param $To_Mobile  收件人号码
	*@param $strContent 短信内容
	*@return 1或者0    1表示发送成功,0表示发送失败
	*/
	function sendSmsByHessian($url,$To_Mobile,$strContent) {
		include_once("inc/dist/HessianClient.php");
		$proxy = &new HessianClient($url);
		try {
			if($proxy) {
				Hessian :: remoteMethod($url,'send');
				return $proxy->send($To_Mobile,$strContent);
			}
		} catch(Exception $e) {
		}
	}

	/**
	*亿美软通发送短信
	*@param string $toMobile  收件人号码
	*@param string $strContent 短信内容
	*@return integer   1表示发送成功,0表示发送失败
	*/
	function sendSmsByYimei($toMobile, $strContent) {
		$url = "http://hprpt2.eucp.b2m.cn:8080/sdkproxy/sendsms.action";

		$data = array(
			'cdkey' => $this->webSendUserName,
			'password' => $this->webSendPassWord,
			'phone' => $toMobile,
			'message' => $this->messagePrefix.$strContent
		);

		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		$response = curl_exec($ch);
		curl_close($ch);

	    if (strpos($response, '<error>0</error>') === false) {
	        return 0;
	    } else {
	        return 1;
	    }
	}

}
?>