<?php

/**
 * 处理上传的授权文件
 */
include_once 'inc/auth.php';
include_once 'inc/utility_all.php';
include_once 'inc/reg_func.php';

//机器码
$machineCode = get_machine_code(1);

if (!empty($_FILES)) {
    $tempFile = $_FILES['Filedata']['tmp_name'];

    $fileName = $_FILES['Filedata']['name'];

    $verifyFileName = md5($machineCode . "eoffice9731") . ".evf";

    $sha1file = sha1_file($tempFile);

    // 查看是否已经使用过
    $query = "SELECT  * FROM module_verify_auth where machineCode ='" . SecurityFilter($machineCode) . "' and shafile ='" . SecurityFilter($sha1file) . "' limit 1";

    $result = exequery($connection, $query);
    if ($row = mysql_fetch_array($result)) {
        echo "0x0000003";
        exit;
    }




    if ($fileName != $verifyFileName) {

        //授权文件名错误
        echo "0x0000001";
    }
    else {

        //读取、解析上传的配置文件
        $moduleVerifyInfor = json_decode(authCode(file_get_contents($tempFile)) , true);

        $verifyMode = 'append';
        $moduleInfor = $moduleVerifyInfor;

        if ($moduleVerifyInfor['verifyMode']) {
            $verifyMode = $moduleVerifyInfor['verifyMode'];
            $moduleInfor = $moduleVerifyInfor['moduleInfor'];
        }

        //转化试用日期  试用1个月 试用3个月  转化日期  从授权日开始
        if (is_array($moduleInfor)) {
            foreach ($moduleInfor as $key => $value) {

                if ($value) {
                    $value = date('Y-m-d', strtotime('+' . $value . ' month'));
                }
                $moduleInfor[$key] = $value;
            }
        }

        $regDir = BIN_PATH . "auth/";

        if (!file_exists($regDir)) {
            mkdir($regDir, 0777, true);
        }

        $regFile = $regDir . $verifyFileName;

        //读取原始配置文件 根据授权方式 确定是追加 还是 覆盖
        if (file_exists($regFile) && $verifyMode == "append") {
            $originalInfor = json_decode(authCode(file_get_contents($regFile)) , true);

            //合并授权文件
            if (is_array($moduleInfor) && is_array($originalInfor)) {
                foreach ($moduleInfor as $key => $value) {
                    $originalInfor[$key] = $value;
                }
            }

            $moduleInfor = $originalInfor;
        }

        $moduleVerifyString = json_encode($moduleInfor);

        $_SESSION["MODULE_VERIFY"] = $moduleVerifyString;

        if (file_put_contents($regFile, authCode($moduleVerifyString, "ENCODE"))) {
            // 重新更新
            @unlink (UTH_TMP_PATH."auth/verify_pc.inc");
            @unlink (UTH_TMP_PATH."auth/verify_client.inc");

		$time = time();
            $ip = $_SERVER["REMOTE_ADDR"];
            $query = "INSERT INTO `module_verify_auth` (`id`, `machineCode`, `shafile`, `createdate`, `ip`) VALUES (NULL, '".SecurityFilter($machineCode)."', '".SecurityFilter($sha1file)."', '".SecurityFilter($time)."', '".SecurityFilter($ip)."');";
            exequery($connection, $query);

            echo "0x0000000";
        }
        else {

            //授权文件更新失败
            echo "0x0000002";
        }
    }
}
?>