<?php
include_once 'inc/auth.php';
include_once 'inc/utility_all.php';
include_once 'inc/reg_func.php';

?>
<!DOCTYPE html>
<html>
    <head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <title>模块控制中心</title>
	    <link rel="stylesheet" href="<?= THEME_FLAG ?>/<?= $_SESSION['LOGIN_THEME'] ?>/style.css">
	    <link rel="stylesheet" href="/newplugins/css/style.css" />
	    <style type="text/css">
	    .authorized{
	    	color:#3c763d;
	    }
	    .unauthorized{
	    	color:red;
	    }
	    .auth-infor {
	    	float:left;
	    	line-height: 40px;
	    	height: 40px;
	    	width:250px;
	    }
	    .contact-infor td:last-child{
	    	padding-left:10px;
	    }
	    .uploadify{
	    	left: 50%;
	    	position: absolute;
	    	margin-left: -100px;
	    	font-size: 16px;
	    	line-height: 38px;
	    	margin-top: 20px;
	    }
	    </style>
	</head>
	<body>
	<div style="width:1000px;margin:0 auto;">

	<?
		if($_SESSION['MODULE_VERIFY'] == "error") {
			Message("","授权文件不存在,请联系泛微","failed");
		} else {
			?>

	<div class="form_header">模块授权信息</div>
		<table class="form_table"  width="100%" cellspacing="0" cellpadding="0">
		<?
			if($_SESSION['MODULE_VERIFY'] && $_SESSION['MODULE_VERIFY']!="error"){
				$moduleVerifyInfor = json_decode($_SESSION['MODULE_VERIFY'], true);
			}

			//获取所有的模块
			$query = "SELECT s.`FUNC_ID`,m.FUNC_NAME
					  FROM `sys_function` AS s JOIN `menu_lang` AS m ON s.FUNC_ID = m.FUNC_ID
					  WHERE LENGTH(MENU_ID) = 2
					  AND s.`FUNC_ISEOFFICE` = 1
					  AND m.LANG_ID = ".SecurityFilter($_SESSION['LOGIN_LANG_ID'])."
					  ORDER BY `FUNC_ORDER` ";
			$result = exequery($connection, $query);
			while($row = mysql_fetch_array($result)){
				?>
				<tr>
					<td class="title"><?=$row["FUNC_NAME"]?></td>
					<td style="padding-left:10px;">
						<?
							$funcID = $row["FUNC_ID"];

							if($_SESSION['MODULE_VERIFY']) {
								if($_SESSION['MODULE_VERIFY'] == "error") {
									echo '<span class="auth-infor  unauthorized">未授权</span>';
								} else {
									if(is_array($moduleVerifyInfor) && array_key_exists($funcID, $moduleVerifyInfor)){
										if($moduleVerifyInfor[$funcID] != "") {

											if(strtotime(date("Y-m-d")) > strtotime($moduleVerifyInfor[$funcID])){
												echo '<span class="auth-infor unauthorized">试用结束 (试用结束日期 '.$moduleVerifyInfor[$funcID].')</span>';
											}else{
												echo '<span class="auth-infor unauthorized">试用中 (试用结束日期 '.$moduleVerifyInfor[$funcID].')</span>';
											}
										}else{
											echo '<span class="auth-infor  authorized">已授权</span>';
										}
									}else{
										echo '<span class="auth-infor  unauthorized">未授权</span>';
									}

								}
							} else {
								echo '<span class="auth-infor unauthorized">试用中</span>';
							}
						?>
					</td>
				</tr>
				<?
			}
		?>
		</table>
			<?
		}
	?>
		<div style="margin-top:20px;" class="form_header">更新授权文件<span style="font-size:12px;">&nbsp;(若要使用未授权的模块或者延长模块试用时间,请更新授权文件)</span></div>
		<div>
			<input type="file" id="auth-file" />

		</div>
			<div style="margin-top:150px;clear:both;" class="form_header">若要获取授权文件,请联系泛微</div>
			<table class="form_table contact-infor" width="100%"  cellspacing="0" cellpadding="0">
<tbody><tr>
    <td class="title">泛微网址</td>
    <td>
    	http://www.weaver.com.cn
    </td>
</tr>
<tr>
    <td class="title">泛微总部</td>
    <td>
    	上海市浦东新区耀华支路39弄9号(济明路与通耀路交叉口)泛微软件大厦    </td>
</tr>
<tr>
    <td class="title">营销服务中心(总机)</td>
    <td>
    	86-021-68869298
    </td>
</tr>
<tr>
    <td class="title">管理咨询研究院</td>
    <td>
    	86-021-50942228
    </td>
</tr>
<tr>
    <td class="title">售后服务中心</td>
    <td>
    	86-021-68860398
    </td>
</tr>
<tr>
    <td class="title">技术研发中心</td>
    <td>
    	86-021-68860368
    </td>
</tr>
<tr>
    <td class="title">传真(Fax)</td>
    <td>
    	86-021-50942278
    </td>
</tr>
<tr>
    <td class="title">邮编(Zip)</td>
    <td>
    	200126
    </td>
</tr>
<tr>
    <td class="title">E-mail</td>
    <td>
    	salesh@weaver.com.cn
    </td>
</tr>
</tbody></table>
		</div>
	</body>
	</html>
	<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
	<script type="text/javascript" src="/inc/jquery/uploadify/jquery.uploadify.js"></script>
	<script type="text/javascript" src="/inc/jquery/uploadify/newupload.js"></script>
	<script type="text/javascript">
	$(window).load(function (){
	$("#auth-file").uploadify({
                    swf: '/inc/jquery/uploadify/uploadify.swf',
                    uploader: "/inc/module_verify_do.php",
                    auto: true,
                    multi: false,
                    width: 200,
                    height: 48,
                    fileTypeDesc:"E-office授权文件",
                    fileTypeExts:"*.evf",
                    queueID: 'test',
                    buttonClass:"uploadify btn btn-info",
                    buttonText: "上传授权文件",
                    onUploadSuccess: function(file, data, response) {

                    	console.log(data);
                    	if(data=="0x0000000"){
                    		alert("更新授权文件成功");
                    		window.location.href=window.location.href;
                    	}else{
                    		var errorMsg = data;
                    		switch(data){
                    			case '0x0000001':
                    				errorMsg="授权文件错误,请上传泛微提供的授权文件";
                    			break;
                    			case '0x0000002':
                    				errorMsg="更新授权文件失败";
                    			break;
                                        case '0x0000003':
                    				errorMsg="授权文件已经使用";
                    			break;
                    		}
                    		alert(errorMsg);
                    	}
                    }
                });
	});



	</script>