<?php
include_once 'inc/conn.php';
include_once 'inc/utility_all.php';

function initialization($param) {
	//更新数据结构
	$fieldsSplit   = explode(",", $param["fields"]);
	$alertTableSQL = "ALTER TABLE " . SecurityFilter($param["tableName"]);
	for($i = 0; $i < count($fieldsSplit); $i++) {
		$alertTableSQL .= " ADD " . SecurityFilter($fieldsSplit[$i]) . "_PY VARCHAR(50),";
		$alertTableSQL .= " ADD " . SecurityFilter($fieldsSplit[$i]) . "_ZM VARCHAR(50),";
	}

	$alertTableSQL = substr($alertTableSQL, 0, -1);
	global $connection;
	exequery($connection, $alertTableSQL);

	//插入数据
	$query  = "SELECT " . SecurityFilter($param["primaryKey"]) . "," . SecurityFilter($param["fields"]) . " FROM " . SecurityFilter($param["tableName"]) . ";";
	$result = exequery($connection, $query);
	while($row = mysql_fetch_array($result)) {
		for($i = 0; $i < count($fieldsSplit); $i++) {

			$splitStr  = str_split_utf8($row[$fieldsSplit[$i]]);
			$pinYinStr = "";
			$ZiMuStr   = "";

			for($j = 0; $j < count($splitStr); $j++) {
				if(preg_match('/^[\x{4e00}-\x{9fa5}]+$/u', $splitStr[$j])) {
					//对新增加的字段的拼音进行处理的地方
					$query1  = "SELECT * FROM pinyin WHERE hz='" . SecurityFilter($splitStr[$j]) . "';";
					$result1 = exequery($connection, $query1);
					if($row1 = mysql_fetch_array($result1)) {
						$pinYinStr .= $row1['py'];
						$ZiMuStr   .= $row1['zm'];
					}
				} else {
					$pinYinStr .= $splitStr[$j];
					$ZiMuStr   .= $splitStr[$j];
				}
			}

			$query = "UPDATE " . SecurityFilter($param["tableName"]) . " SET " . SecurityFilter($fieldsSplit[$i]) . "_PY='" . SecurityFilter($pinYinStr) . "'," . SecurityFilter($fieldsSplit[$i]) . "_ZM='" . SecurityFilter($ZiMuStr) . "' WHERE " . SecurityFilter($param["primaryKey"]) . "='" . SecurityFilter($row[$param["primaryKey"]]) . "'";
			exequery($connection, $query);
		}
	}
}
?>