(function($) {
	$.fn.extend({
		LazyBeautifyTab : function(settings) {
			$("body").attr({
				"leftmargin" : 0,
				"rightmargin" : 0
			});

			var self = $(this);

			//添加背景
			self.find("#tags").addClass("new_tag");

			function SetNormalTag() {
				self.find(".normalTag").css({
					"height" : "32px",
					"line-height" : "32px",
					"background-image" : "none"
				}).find("a").css({
					"color" : "#ffffff",
					"background-image" : "none"
				});
			}

			function UnSetNormalTag() {
				self.find(".normalTag").find("a").filter(function() {
					return $(this).prev("span").length == 1;
				}).css({
					"background" : "none",
					"color" : "#ffffff"
				}).prev("span").remove().end().next("span").remove();
			}

			function SetSelectedTag() {
				self.find(".selectedTag").css({
					"height" : "32px",
					"line-height" : "32px",
					"padding-top" : "5px",
					"background-image" : "none"
				}).find("a").css({
					"color" : "#1d93d3",
					"height" : "27px",
					"line-height" : "22px",
					"background" : "url(/images/8/icons/tab/select-center.png) repeat-x",
					"float" : "left"
				}).after($("<span></span>").css({
					"background" : "url(/images/8/icons/tab/select-right.png) no-repeat",
					"width" : "4px",
					"float" : "left",
					"height" : "27px"
				})).before($("<span></span>").css({
					"background" : "url(/images/8/icons/tab/select-left.png) no-repeat",
					"width" : "4px",
					"height" : "27px",
					"float" : "left"
				}));
			}


			self.find("#tags").find("li:last").hide();

			//添加查询框
			self.find("#tags").append("<table height='22px' style='margin-top:3px;float:right;margin-right:15px;' cellpadding='0' cellspacing='0'><tr>" 
											+ "<td style='width:4px;background:url(/images/8/icons/tab/search_left.png) no-repeat;'></td>" 
											+ "<td style='height:22px;border:0;background:url(/images/8/icons/tab/search-center.png) repeat-x;padding:0 5px 0 5px;color:#1D93D3;' valign='bottom' >" + EOlang.msgWork + "</td>" 
											+ "<td style='width:7px;background:url(/images/8/icons/tab/search-arrow.png) no-repeat;cursor:pointer;' id='search_arrow'></td>" 
											+ "<td style='height:22px;border:0;background:url(/images/8/icons/tab/search-center.png) repeat-x;'><input style='border:none;background:none;' user_status='1' id='searchinput' type='text'/></td>" 
											+ "<td style='width:17px;background:url(/images/8/icons/tab/search.png) no-repeat;cursor:pointer;' id='search_button'></td>" + "<td style='width:4px;background:url(/images/8/icons/tab/search-right.png) no-repeat;'></td></tr></table>");

			self.find("#searchinput").live('keypress', function(event) {
				if(event.which == '13') {
					var param = new Array();
					$.each(settings, function(index, value) {
						param.push(index + "=" + value);
					});

					param.push("USER_KEYWORD=" + encodeURIComponent($(this).val()));
					param.push("USER_STATUS=" + self.find("#searchinput").attr("user_status"));

					var url = "user.php";
					if(param.length != 0) {
						url += "?" + param.join('&');
					}

					parent.frameusermain.location = url;
					return false;
				}
			});

			self.find("#search_arrow").live('click', function() {
				if($("#searchinput").attr("user_status") == "1") {
					$("#searchinput").attr("user_status", "-1");
					$(this).prev().html(EOlang.msgDeparture);
				} else {
					$("#searchinput").attr("user_status", "1");
					$(this).prev().html(EOlang.msgWork);
				}
			})
			self.find("#search_button").live('click', function() {

				var param = new Array();
				$.each(settings, function(index, value) {
					param.push(index + "=" + value);
				});

				param.push("USER_KEYWORD=" + encodeURIComponent(self.find("#searchinput").val()));
				param.push("USER_STATUS=" + self.find("#searchinput").attr("user_status"));

				var url = "user.php";
				if(param.length != 0) {
					url += "?" + param.join('&');
				}

				parent.frameusermain.location = url;
				return false;
			});
			SetNormalTag();
			SetSelectedTag();
			self.find(".normalTag").find("a").click(function() {
				if($(this).prev("span").length != 0) {
					return;
				}
				SetSelectedTag();
				UnSetNormalTag();
			});
			self.find(".selectedTag").find("a").click(function() {
				if($(this).prev("span").length != 0) {
					return;
				}
				SetSelectedTag();
				UnSetNormalTag();
			});
		}
	});
})(jQuery);
