<?
/**
 * Systemname:       E-Office
 * Filename:         inc/reg_func.php
 * Function:         系统注册公共函数
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2008-09-08
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
include_once("inc/oa.php");
include_once("inc/php.php");
include_once("inc/conn.php");
include_once("inc/utility.php");
include_once("inc/utility_sms1.php");
include_once("inc/get_mac.inc.php");
include_once("inc/en_decrypt.inc.php");
include_once("inc/demo.inc");
$OA_REG_ON=1;
if(($a+$filestimea)!=70)
{
   echo $_lang["common_pirate_break_the_law"];
   user_reg_info();
   exit;
}
/**
 * 取得机器码
 * pls give me some comments
 * @param int $limit 如果为1则只取第一个码
 * @return limit 返回所有机器码，limit为1时只返回第一个码
 */
function get_machine_code($limit = 0)
{
	$code_array = array();
	$mac_codes = array();
	//2007-4-17 lxl
	$tmp_dir    = get_cfg_var('upload_tmp_dir')."/";
	$mac_today_fn = $tmp_dir."cache_".md5(strtotime(date("Y-m-d")));
	$mac_yestoday_fn = $tmp_dir."cache_".md5(strtotime(date("Y-m-d"))-60*60*24*1);
	if (file_exists($mac_today_fn)){
		$handle = fopen($mac_today_fn,'r');
		//$mac_code = base64_decode(fread($handle,1024));
		$data = base64_decode(fread($handle,1024));
		$mac_codes = unserialize($data);
		unset($data);
	}
	else{
		$mac = new GetMacAddr(PHP_OS);
		//$mac_code = $mac->mac_addr;		//$mac_code was a string before
		$mac_codes = $mac->mac_array;		//$mac_codes is an array now
		$fp = fopen($mac_today_fn, "w"); 
		$data = serialize($mac_codes); 		//serialize the mac_codes array
		fwrite($fp, base64_encode($data));
		fclose($fp);
		unset($data);
	}

	if (file_exists($mac_yestoday_fn)){
		@unlink($mac_yestoday_fn);
	}
	$cup_code = $_ENV["PROCESSOR_REVISION"];
	foreach ($mac_codes as $code){
		$code = str_replace('-','',$code);
		$machine_code = $code.$cup_code;
		$code_array[] = strtoupper(md5($machine_code));
	}
	return $limit == 1 ? $code_array[0] : $code_array;
		
}

function oa_get_register_code($MACHINE_CODE_STR)
{
  $REGISTER_CODE_STR1=md5($MACHINE_CODE_STR);
  $REGISTER_CODE_STR1=md5($REGISTER_CODE_STR1);

  for ($I=0;$I<strlen($REGISTER_CODE_STR1);$I++)
  {
    $STR = substr($REGISTER_CODE_STR1,$I,1);
    $REGISTER_CODE_STR2.=ord($STR)+8;
	
  }
  
  $REGISTER_CODE_STR2=strrev((substr($REGISTER_CODE_STR2,0,5).substr($REGISTER_CODE_STR2,-5))*8);
  $REGISTER_CODE_STR2=substr($REGISTER_CODE_STR2,-3).substr($REGISTER_CODE_STR2,0,5);
  $REGISTER_CODE_STR2=str_replace("0","2",$REGISTER_CODE_STR2);
  $REGISTER_CODE_STR2=str_replace("6","5",$REGISTER_CODE_STR2);
  $REGISTER_CODE_STR2=str_replace("4","9",$REGISTER_CODE_STR2);
  return $REGISTER_CODE_STR2;
}
/*
 * never be invoked
 */
function check_register_code($REGISTER_CODE_STR)
{
  $REGISTER_CODE_STR = base64_decode($REGISTER_CODE_STR);             //先进行解密


  //echo $REGISTER_CODE_STR;
  $MACHINE_CODE_STR=get_machine_code();
  $REGISTER_CODE_TDOA=oa_get_register_code($MACHINE_CODE_STR);
  if(trim($REGISTER_CODE_STR)==trim($REGISTER_CODE_TDOA)) {
     
	 return 1;
  }
  else {
     
     return 0;
  }
}

function register_oa($REGISTER_CODE_STR)
{
  $PATH=$_SERVER["WINDIR"];
  if($PATH=="")
     $PATH="c:\\winnt";
  $REGISTER_CODE_STR = base64_decode($REGISTER_CODE_STR);
  $fp = fopen($PATH."\\SOUNDX109.ini","w");
  fputs($fp,"[Audio Control Device]\n");
  fputs($fp,"WINPT=$REGISTER_CODE_STR\n");
  fputs($fp,"VDOWINPT=4C0100000C0100005A\n");
  fputs($fp,"SAVEAUDIODECODER=026781345\n");
  fclose($fp);
}

global $IS_REGISTERED_MYOA;
global $IS_OFFICIAL_CLIENT;
function is_registered()
{
  global $IS_REGISTERED_MYOA;

  //是否是正式客户
  global $IS_OFFICIAL_CLIENT;

	//2006-10-16 lxl
	/*----------------Tag-------------*/
	$DOC_ROOT= $_SERVER["DOCUMENT_ROOT"];

	if(substr($DOC_ROOT,-1) == "/"){
		$DOC_ROOT = substr($DOC_ROOT,0,-1);
	}
	$SETUP_DIR = $DOC_ROOT;
	while(substr($SETUP_DIR,-1) != "/"){
		$SETUP_DIR = substr($SETUP_DIR,0,-1);

	}
	$REGF_DIR =$SETUP_DIR."bin/"; //注册文件目录


	$KEY_NAME_FILE = $REGF_DIR."ZendPhpOp.dll";
	if(file_exists($KEY_NAME_FILE))
	{

		$mac_codes = get_machine_code();
		
		$regArray = parse_regfilestr();
		for($j = 0 ;$j<count($regArray);$j++)
		{
			$regmachinecode = $regArray[$j]['machinecode'];
//			if ($regmachinecode === $nowmachinecode)
			if(in_array($regmachinecode,$mac_codes))
			{
				$IS_REGISTERED_MYOA = 1;

				//正式客户
				if(date("Y",strtotime($regArray[$j]['expireddate'])) == "2030"){
					$IS_OFFICIAL_CLIENT = 1;
				}
				break;
			}
			else
			{
				continue;
			}
		}
	}
	else{
		$IS_REGISTERED_MYOA=0;
	}
	
	/*if(file_exists($KEY_NAME_FILE)){
		$regArray = parse_regfilestr();
		$regmachinecode = $regArray['machinecode'];
		$nowmachinecode = get_machine_code();
		//$nowmachinecode = '00-11-5B-07-D3-1A';
		if ($regmachinecode === $nowmachinecode){
			$IS_REGISTERED_MYOA=1;
		}
	}
	else{
		$IS_REGISTERED_MYOA=0;
	}*/
	

	/*----------------/Tag-------------*/

	/*
  $PATH=$_SERVER["WINDIR"];
  if($PATH=="")
     $PATH="c:\\winnt";

  $REG_FILE=$PATH."\\SOUNDX109.ini";
  if(file_exists($REG_FILE))
  {
	$LINES=file($REG_FILE);
	$REGISTER_CODE_STR=$LINES[1];
	$REGISTER_CODE_STR=substr($REGISTER_CODE_STR,6);  
	$REGISTER_CODE_STR = base64_encode($REGISTER_CODE_STR);
	$IS_REGISTERED_MYOA=check_register_code($REGISTER_CODE_STR);
	
  }
  else
    $IS_REGISTERED_MYOA=0;

	*/
}

function user_reg_info()
{
	global $OA_COMPANY_NAME,$OA_PRODUCT_NAME,$OA_WEB_SITE,$connection;
	$query  = "SELECT * FROM user";
	$cursor = exequery($connection,$query);
	while($ROW=mysql_fetch_array($cursor))
	{
		$USER_ID = $ROW["USER_ID"];
		$TO_ID  .= $USER_ID.",";
	}
	//$CONTENT = "感谢您对泛微eoffice产品的体验，如果您有疑问或者需要购买，可以致电021-50942228，也可以打开<a href=\"http://www.weaver.com.cn/eoffice/webpage/buy.asp\" target=\"_blank\" >这里</a>了解。";
	//send_sms($connection,"admin",$TO_ID,0,$CONTENT);
}

function oa_version($VERSION,$LIMIT_NUM)
{
	is_registered();
	global $IS_REGISTERED_MYOA,$connection;
	if(!$IS_REGISTERED_MYOA)
	{
		//-- 人数限制 --
		$query  = "SELECT count(*) from USER";
		$cursor = exequery($connection,$query);
		if($ROW = mysql_fetch_array($cursor))
			$USER_COUNT = $ROW[0];
		if($USER_COUNT > DEMO_LIMIT_USER)
		{
			$query  = "SELECT  COUNT(*) FROM $VERSION";
			$cursor = exequery($connection,$query);
			if($ROW = mysql_fetch_array($cursor))
				$DATA_COUNT = $ROW[0];
			
			if($DATA_COUNT>$LIMIT_NUM)
				oa_version_go();
		}
	}
}

function oa_version_go()
{
   global $connection,$ATTACH_PATH;

   user_reg_info();

/*   
   $TABLE_NAME="USER_PRIV";

   //---------------- 获得DROP TABLE语句 -----------------------
   $FILE_CONTENT.="DROP TABLE IF EXISTS $TABLE_NAME;\n";

   //---------------- 获得CREATE语句 -----------------------
   $query = "SHOW CREATE TABLE $TABLE_NAME";
   $cursor= exequery($connection,$query);
   if($ROW = mysql_fetch_row($cursor))
      $CREATE_STR=$ROW[1];
   $FILE_CONTENT.=$CREATE_STR.";\n\n";

   //---------------- 获得INSERT语句 -----------------------
   $query = "SELECT * FROM $TABLE_NAME";
   $cursor= exequery($connection,$query);
   while($ROW = mysql_fetch_row($cursor))
   {
       $COMMA = "";
       $INSERT_STR = "INSERT INTO $TABLE_NAME VALUES(";
       $FIELD_NUM=mysql_num_fields($cursor);
       for($I = 0; $I < $FIELD_NUM; $I++) {
          $INSERT_STR .= $COMMA."'".mysql_escape_string($ROW[$I])."'";
          $COMMA = ",";
       }
       $INSERT_STR .= ");\n";
       $FILE_CONTENT.=$INSERT_STR;
   }
   $FILE_CONTENT.="\n\n";

   $fp = fopen($ATTACH_PATH."vtmp.php",  "w");
   fwrite($fp,$FILE_CONTENT);
   fclose($fp);

   $query = "delete from $TABLE_NAME";
   $cursor= exequery($connection,$query);
*/
}

/*
validity_check() 有效期检查


@modify / on date : 2005-6-16
*/
function validity_check(){
	$regArray = parse_regfilestr();
	$ct = count($regArray)-1;
	$expireddate  = $regArray[$ct]['expireddate'];
	$unix_ex_date = strtotime($expireddate);
	$unix_no_date = strtotime(date("Y-m-d"));

	$logic_val    = ($unix_no_date < $unix_ex_date)?true:false;
	return $logic_val;
}

/*
#解析注册文件 2006-10-16 lxl
*/
function parse_regfilestr(){
	$DOC_ROOT= $_SERVER["DOCUMENT_ROOT"];

	if(substr($DOC_ROOT,-1) == "/"){
		$DOC_ROOT = substr($DOC_ROOT,0,-1);
	}
	$SETUP_DIR = $DOC_ROOT;
	while(substr($SETUP_DIR,-1) != "/"){
		$SETUP_DIR = substr($SETUP_DIR,0,-1);

	}
	$REGF_DIR =$SETUP_DIR."bin/"; //注册文件目录
	//读取ZendAuth.dll auth值


	$AUTH_FILE = $REGF_DIR."ZendAuth.dll";
	$handle = @fopen($AUTH_FILE,'r');
	$AUTH = @fread($handle,1024);
	@fclose($handle);
	$KEY_NAME_FILE = $REGF_DIR."ZendPhpOp.dll";
	$handle = @fopen($KEY_NAME_FILE,'r');
	$REG_NAME = @fread($handle,1024);
	@fclose($handle);
	
	//读取注册文件  注册信息 machinecode|companyname|expireddate|useraccound
	$REG_NAME = trim($REG_NAME,",");
	$REG_NAME_ARRAY = explode(",",$REG_NAME);
	for($i = 0 ;$i<count($REG_NAME_ARRAY);$i++)
	{
		$REG_NAME = $REG_NAME_ARRAY[$i];
		$REG_FILE = $REGF_DIR.$REG_NAME.".dll";
		$handle = @fopen($REG_FILE,'r');
		$contents = @fread($handle,1024);
		@fclose($handle);
		$REGISTER_CODE_STR = (xxtea_decrypt(base64_decode($contents),$AUTH."ZJ1106"));
		$pArray = explode("|",$REGISTER_CODE_STR);
		$reArray[$i]['machinecode'] = $pArray[0];
		$reArray[$i]['companyname'] = $pArray[1];
		$reArray[$i]['expireddate'] = $pArray[2];
		$reArray[$i]['useraccound'] = $pArray[3];
		$reArray[$i]['version']		= $pArray[4];
	}
	return $reArray ;
	
	/*$REG_FILE = $REGF_DIR.$REG_NAME.".dll";
	$handle = @fopen($REG_FILE,'r');
	$contents = @fread($handle,1024);
	@fclose($handle);
	$REGISTER_CODE_STR = (xxtea_decrypt(base64_decode($contents),$AUTH."ZJ1106"));
	$pArray = explode("|",$REGISTER_CODE_STR);
	$reArray['machinecode'] = $pArray[0];
	$reArray['companyname'] = $pArray[1];
	$reArray['expireddate'] = $pArray[2];
	$reArray['useraccound'] = $pArray[3];
	$reArray['version']		= $pArray[4];
	
	return $reArray;*/
	
}

//解析手机版注册文件

function parse_wapregfilestr(){
	$DOC_ROOT=str_replace('\\','/',get_cfg_var('doc_root'));
	$SETUP_DIR=str_replace('webroot','',$DOC_ROOT);
	$REGF_DIR =$SETUP_DIR."bin/";
//	$MACHINECODE = get_machine_code();		//???
	$mac_codes = get_machine_code();		
	$REG_FILE = '';
	$reArray = array();
	$reArray['machinecode'] = '';
	$reArray['companyname'] = '';
	$reArray['expireddate'] = '';
	$reArray['useraccound'] = '';
	$reArray['version']	= '';
	foreach($mac_codes as $MACHINECODE){
		$REG_FILE = $REGF_DIR."wapReg_".$MACHINECODE.".dll";
		if(file_exists($REG_FILE)){
			$handle = @fopen($REG_FILE,'r');
			$contents = @fread($handle,1024);
			@fclose($handle);
	
			$REGISTER_CODE_STR = (xxtea_decrypt(base64_decode($contents),"WVWP"."ZJ1106"));
			$pArray = explode("|",$REGISTER_CODE_STR);
			$reArray['machinecode'] = $pArray[0];
			$reArray['companyname'] = $pArray[1];
			$reArray['expireddate'] = $pArray[2];
			$reArray['useraccound'] = $pArray[3];
			$reArray['version']	= $pArray[4];

			break;
		 }
		
	}
	return $reArray ;
}
?>