 (function($) {
	$.fn.extend({
		SearchInput : function(settings) {
			$.SearchInput = {
				settings:{
					//显示查询卡框的时候，默认展示第几个选项卡 1、2、3、4
					searchshowtabnum : '1',
					
					//存储新邮件地址到通讯录
					savenewemail : false,
					
					//显示数据表格光标划过效果
					hoverClass : 'searchtableline-hover',
					width : '430',
					height : '380'
				}
			}
			//消息提示
			var pnotify = '';
			$.pnotify.defaults.styling = "bootstrap3";
			$.pnotify.defaults.closer = false;
			$.pnotify.defaults.sticker = false;
			$.pnotify.defaults.history = false;
			$.pnotify.defaults.delay = 500;
			
			var	settings = $.extend($.SearchInput.settings, settings),
				height = settings.height,
				width = Math.max(Number(settings.width), 380) + 2;
			
			var $self = $(this);
			
			//常用联系人显示多少行
			var	lines = parseInt((Number(height)-80)/30),
				timeoutId,
				search_str = '',
				tab_num = '1';
			
			var show_search = '#show_search_' + $self.attr('id');
			
			//添加选项卡样式
			function addTabStyle(num, lines, $self){
				$("#show_search_" + $self.attr("id") + " .tab_all>td>span").removeClass("searchtabtype-check");
				$("#show_search_" + $self.attr("id") + " .tab_type_"+num).addClass("searchtabtype-check");
				getTabValue(num,lines,$self);
			}
			
			function getTabValue(num,lines,$self){
				tab_type = num.substr(num.length-1, 1);
				
				//获取常用联系人信息
				var input = $.trim($self.val());
				if(input == ''){
					switch (tab_type){
						case "1":
							getCommonLinkmanData(tab_type,input,"show",lines,$self);
							break;
						case "2":
							getAjaxDataAndDisplay(tab_type,input,"show",$self);
							break;
						case "3":
							getAjaxDataAndDisplay(tab_type,input,"show",$self);
							break;
						case "4":
							getAjaxDataAndDisplay(tab_type,input,"show",$self);
							break;
						default:
							break;
					}
				}else{
					Search(lines,$self);
				}
			}
			
			//常用联系人取数据拼装
			function getCommonLinkmanData(tab_type, input, type, lines, $self){
				$.ajax({
					url : '/inc/search_input.php',
					data : 'input='+input+'&tab_num='+tab_type+'&type='+type+'&lines='+lines,
					async : false,
					
					//value.split(",")里，[0]姓名[1]email[2]其他信息[3]类别(用拼音标示)[4]各自的ID[5]拼音[6]字母
					success : function(result) {
						var	res = $.parseJSON(result),
							table = '';
						
						if(res != ''){
							$.each(res, function(i, value){
								if(value != ''){
									
									table += "<tr class='searchtableline' style='cursor:pointer;'";
									table += ' extend_name='+	value.split(',')[0];
									table += ' name='+			value.split(',')[0];
									table += ' search_email='+	value.split(',')[1];
									table += ' emailaddress='+	value.split(',')[1];
									table += ' extend_type='+	value.split(',')[3];
									table += ' extend_id='+		value.split(',')[4];
									table += ' search_py='+		value.split(',')[5];
									table += ' search_zm='+		value.split(',')[6] +'><td>';
									
									table += "<table border='0' width='100%'><tr style='border:0;'>";
									table += '<td title='+value.split(',')[0]+' nowrap>'; 
									table += newSubStr(value.split(',')[0], 20, '...')+'</td>';
									table += '<td title='+value.split(',')[1]+' nowrap>';
									table += newSubStr(value.split(',')[1], 25, '...')+'</td>';
									table += '<td title='+value.split(',')[2]+' nowrap>';
									table += newSubStr(value.split(',')[2], 20, '...')+'</td>';
									table += '</tr></table></td></tr>';
								}
							})
						}
						if(table == ''){
							table += "<tr><td style='height:30px;' colspan='4'><span style='padding-left:5px;'>";
							table += EOlang.msgSendOutMailNotAccordCondition;
							table += EOlang.msgSendOutMailOf;
							table += ''+ EOlang.msgSendOutMailShowComLinkman;
							table += '</span></td></tr>';
						
						}
						$(show_search +' .index_data').html(table);
						addLineStyle($self);
					}
				});
			}
			
			//内部人员、通讯录、客户联系人公共的取值拼装函数
			function getAjaxDataAndDisplay(tab_type,input,type,$self){
				$.ajax({
					url : '/inc/search_input.php',
					data : 'input='+input+'&tab_num='+tab_type+'&type='+type,
					success : function(result) {
						var rs = $.parseJSON(result);
						//拼装样式
						var table = '';
						//快速筛选栏
						var py_lines = parseInt((Number(height)-80)/20);
						table += "<tr><td>";
						if(py_lines>rs["py"].length){
							//1列
							table += "<div style='width:40px;height:"+(Number(height)-80)+"px;position:absolute;overflow-y:no;border:0px solid red;top:41px;right:20px;'><table id='py' style='' border='0' cellpadding='0' cellspacing='0' width=''>";
							if(rs["val"]!="")
								table += "<tr><td></td><td style='cursor: hand;' width='20px;' height='20px;' align='center'>#</td></tr>";
							for(var py_i=0;py_i<=rs["py"].length-1;py_i++)
							{
								table += "<tr><td></td><td style='cursor: hand;' width='20px;' height='20px;' align='center'>"+rs["py"][py_i]+"</td></tr>";
							}
						}else{
							//2列
							table += "<div style='width:40px;height:"+(Number(height)-80)+"px;position:absolute;overflow-y:no;border:0px solid red;top:41px;right:26px;'><table id='py' style='' border='0' cellpadding='0' cellspacing='0' width='40px;'>";
							for(var py_i=0;py_i<py_lines;py_i++)
							{
								if(py_i==0)
								{
									table += "<tr><td style='cursor: hand;' width='20px;' height='20px;' align='center'>"+rs["py"][py_i+py_lines-1]+"</td><td style='cursor: hand;' width='20px;' height='20px;' align='center'>#</td></tr>";
								}
								else
								{
									if(rs["py"][py_i+py_lines-1])
										table += "<tr><td style='cursor: hand;' width='20px;' height='20px;' align='center'>"+rs["py"][py_i+py_lines-1]+"</td><td style='cursor: hand;' width='20px;' height='20px;' align='center'>"+rs["py"][py_i-1]+"</td></tr>";
									else
										table += "<tr><td></td><td style='cursor: hand;' width='20px;' height='20px;' align='center'>"+rs["py"][py_i-1]+"</td></tr>";
								}
							}
						}
						table += "</table>";
						table += "</div></td></tr>";
						//行显示
						var py_word = "";
						for(var i=0;i<=rs["val"].length-1;i++)
						{
							if(rs["val"][i].length == 1)
							{
								py_word = rs["val"][i];
								py_word_to_cla = py_word;
							}
							else
							{//value.split(",")里，[0]姓名[1]email[2]其他信息[3]类别(用拼音标示)[4]各自的ID
								table += "<tr class='"+py_word_to_cla+" searchtableline' style='cursor: hand;' extend_name='"+rs["val"][i].split(",")[0]+"' extend_type='"+rs["val"][i].split(",")[3]+"' extend_id='"+rs["val"][i].split(",")[4]+"' emailaddress='"+rs["val"][i].split(",")[1]+"'><td>";
								table += "<table style='padding-left:5px;' border='0' cellpadding='0' cellspacing='0' width='100%'><tr><td width='25px;'>"+py_word+"</td><td title='"+rs["val"][i].split(",")[0]+"' style='width:100px;' nowrap>"+newSubStr(rs["val"][i].split(",")[0],6, '...')+"</td><td title='"+rs["val"][i].split(",")[1]+"' style='width:170px;' nowrap>"+newSubStr(rs["val"][i].split(",")[1],25, '...')+"</td><td title='"+rs["val"][i].split(",")[2]+"' style='width:80px;' nowrap>"+newSubStr(rs["val"][i].split(",")[2],6, '...')+"</td><td width='40px;'></td></tr></table>";
								table += "</td></tr>";
								py_word = "";
							}
						}
						if(rs["val"] == "")
						{
							var message_str = "";
							switch (tab_type)
							{
								case "2": message_str = EOlang.msgSendOutMailShowInsider; break;
								case "3": message_str = EOlang.msgSendOutMailShowAddress; break;
								case "4": message_str = EOlang.msgSendOutMailShowCusLink; break;
								default:
								break;
							}
							if(type == "search")
								table = "<tr><td style='height:30px;'><span style='padding-left:5px;'>"+EOlang.msgSendOutMailNotAccordCondition+"\""+input+"\""+EOlang.msgSendOutMailOf+""+message_str+"</span></td></tr>";
							else
								table = "<tr><td style='height:30px;'><span style='padding-left:5px;'>"+EOlang.msgSendOutMailNotAccordCondition+EOlang.msgSendOutMailOf+""+message_str+"</span></td></tr>";
						}
						$("#show_search_" + $self.attr("id") + " .index_data").html("");
						$("#show_search_" + $self.attr("id") + " .index_data").html(table);
						addPySearchStyle(rs["py"].length,py_lines,$self);
						addLineStyle($self);
					}
				});
			}
			//防止样式乱掉，截取字符串
			function newSubStr(str,num,suffix)
			{
				if(str && str.length!="")
				{
					if (str.length > num) {
						restr = str.substr(0,num)+suffix;
					} else {
						restr = str;
					}
					return restr;
				}
				else
				{
					return "";
				}
			}
			//快速检索的样式
			function addPySearchStyle(rs_py_legth,py_lines,$self){
				//添加一个行，用来撑开点击字母后的表格
				var click_tr_str = "";
				click_tr_str     = "<tr style='' id='click_tr_str'><td></td></tr>";
				$("#show_search_" + $self.attr("id") + " .index_data").append(click_tr_str);
				//计算拼音那一列的高度
				var py_search_height = (rs_py_legth>py_lines?py_lines:rs_py_legth+1)*20;
				//快速筛选添加样式/绑定点击
				$("#show_search_" + $self.attr("id") + " #py").find("td").hover(function() {
					if($(this).html())
						$(this).css("background-color","#d8e0f5");
					return false;
				}, function() {
					if($(this).html())
						$(this).css("background-color","");
					return false;
				}).click(function (){
					if($(this).html())
					{
						if($(this).html()!="#")
						{
							$("#show_search_" + $self.attr("id") + " .searchtableline").css("display","none");
							$("#show_search_" + $self.attr("id") + " ."+$(this).html()).css("display","");
							if($("#show_search_" + $self.attr("id") + " .index_data").height()-$("#show_search_" + $self.attr("id") + " #click_tr_str").height()<py_search_height)
								$("#show_search_" + $self.attr("id") + " #click_tr_str").css("height","0").css("height",py_search_height-$("#show_search_" + $self.attr("id") + " .index_data").height()-$("#show_search_" + $self.attr("id") + " #click_tr_str").height());
						}
						else
						{
							$("#show_search_" + $self.attr("id") + " .searchtableline").css("display","");
							$("#show_search_" + $self.attr("id") + " #click_tr_str").css("height","0");
						}
					}
				});
			}
			//行显示的样式
			function addLineStyle($self)
			{
				//每行的背景颜色
				$("#show_search_" + $self.attr("id") + " .index_data>tbody>.searchtableline:even").addClass("searchtableline1");
				$("#show_search_" + $self.attr("id") + " .index_data>tbody>.searchtableline:odd").addClass("searchtableline2");
				//划过行的样式
				$("#show_search_" + $self.attr("id") + " .index_data").find(".searchtableline2").hover(function() {
					var $trObj = $(this);
					//计算背景位置
					var height = 150 - ($trObj.height() / 2);
					$trObj.addClass($.SearchInput.settings.hoverClass).css("background-position-y", "-" + height + "px");
					return false;
				}, function() {
					$(this).removeClass($.SearchInput.settings.hoverClass);
					return false;
				});
				$("#show_search_" + $self.attr("id") + " .index_data").find(".searchtableline1").hover(function() {
					var $trObj = $(this);
					//计算背景位置
					var height = 150 - ($trObj.height() / 2);
					$trObj.addClass($.SearchInput.settings.hoverClass).css("background-position-y", "-" + height + "px");
					return false;
				}, function() {
					$(this).removeClass($.SearchInput.settings.hoverClass);
					return false;
				});
			}
			function Search(lines,$self){
				var input = $.trim($self.val());
				if(tab_type=="1")
				{
					getCommonLinkmanData(tab_type,input,"show",lines,$self);
					//最近联系人的查询
					$("#show_search_" + $self.attr("id") + " .searchtableline").hide();
					$("#show_search_" + $self.attr("id") + " .searchtableline").filter(function(){
						return $(this).attr("search_py").indexOf(input)!=-1 || $(this).attr("search_zm").indexOf(input)!=-1 || $(this).attr("search_email").indexOf(input)!=-1 || $(this).attr("name").indexOf(input)!=-1;
					}).show();
					var show_lines = countShowLines($self);
					if(show_lines == 0)
					{
						var table = "<tr class='search_tips'><td style='height:30px;'><span style='padding-left:5px;'>"+EOlang.msgSendOutMailNotAccordCondition+"\""+input+"\""+EOlang.msgSendOutMailOf+EOlang.msgSendOutMailShowComLinkman+"</span></td></tr>";
						$("#show_search_" + $self.attr("id") + " .index_data").html(table);
					}
				}
				else
				{
					if(input == "") {
						getAjaxDataAndDisplay(tab_type,input,"show",$self);
					} else {
						getAjaxDataAndDisplay(tab_type,input,"search",$self);
					}
				}
			}
			//计算常用联系人有多少行是显示的
			function countShowLines($self)
			{
				var count_lines = 0;
				$("#show_search_" + $self.attr("id") + " .searchtableline").filter(function(){
					if($(this).css('display')=="none")
						count_lines++;
				});
				return $("#show_search_" + $self.attr("id") + " .searchtableline").length-count_lines;
			}
			
			function getNowHaveShow($self)
			{
				var checkArray = new Array();
				$("#show_search_" + $self.attr("id") + " .searchtableline").filter(function(){
					if($(this).css('display')!="none" && $(this).attr("emailaddress")!="")
					{
						var extendObj_son = {};
						extendObj_son.extend_type = $(this).attr("extend_type");
						extendObj_son.extend_id = $(this).attr("extend_id");
						extendObj_son.extend_name = $(this).attr("extend_name");
						var extendObj_extend = {};
						extendObj_extend.emailAddress = $(this).attr("emailaddress");
						extendObj_extend.extend = extendObj_son;
						checkArray.push(extendObj_extend);
					}
				});
				return checkArray;
			}
			//储存新联系人相关
			//检查是否是新地址
			function checkIsNewEmail(inputaddressobj,$self)
			{
				var nowshowdataarr = getNowHaveShow($self);
				//新地址
				
				if(nowshowdataarr.length == 0){
					manageAddressNew(inputaddressobj,$self);
				}else{
					var isNewEmailAddress = "0";
					for (var i=0; i<=nowshowdataarr.length-1; i++){
						//将附加信息也传到输入框里，解决手动输入已经存在的地址，没有附加信息的问题
						if (inputaddressobj == nowshowdataarr[i].emailAddress){
							$self.LazyEmailAddress({
								init : [nowshowdataarr[i]]
							});
							isNewEmailAddress = "1";
							break;
						}
					}
					//新地址
					if(isNewEmailAddress == "0")
					{
						manageAddressNew(inputaddressobj,$self);
						return false;
					}
				}
			}
			//新地址的处理LazyEmailResultByNewAddress
			function manageAddressNew(inputaddress,$self)
			{
				$self.LazyEmailAddress({
					init : [{
								emailAddress : inputaddress,
								extend : {
									extend_type : "",
									extend_id : "",
									extend_name : "",
									extend_neweamil : "1"
								}
							}]
				});
			}
			return this.each(function(){
				
				//绑定keyup判读是否是新地址
				$self.keyup(function(event) {
				
					//分号
					if(event.keyCode == 59){
						var inputValue = $.trim($(this).val()).slice(0, -1);
						
						if(inputValue != "") {
							checkIsNewEmail(inputValue, $self);
						}
						$self.focus();
					}
				}).keydown(function(event){
					if(event.keyCode == 9 || event.keyCode == 13) {//tab键、回车键
						var inputValue = $.trim($(this).val());
						if(inputValue != "") {
							checkIsNewEmail(inputValue, $self);
						}
						$self.focus();
					}
				});
				
				$self.LazyEmailAddress({
						width : $.SearchInput.settings.width,
						height: '28px'
				});
				
				
				search_str += "<div id='show_search_"+$self.attr("id")+"' class='ShowSearchClass lazy_table' style='width:"+width+"px;"+"display:none;position:absolute;overflow-y:no;border:1px solid #ddd;background:#fff;z-index:9999;'>";
				/*
				//九宫格
				search_str += 	"<table width='100%' border='0' cellpadding='0' cellspacing='0'>"+
									"<tr height='10'>"+
										"<td width='10' class='mailsearchtopleft'></td>"+
										"<td class='mailsearchtopcenter'></td>"+
										"<td width='10' class='mailsearchtoprightt'></td></tr>"+
									"<tr>"+
										"<td width='10' class='mailsearchmiddleleft' valign='top'><div style='width:100%;height:31px;'><div style='width:6px; height:31px; background:url(/images/portal/search_box/tabbg.png) repeat-x; float:right;'></div></div></td><td class='mailsearchmiddlecenter' valign='top'>";
				search_str += "<table border='0' cellpadding='0' cellspacing='0' width='100%'><tr><td valign='top'><div style='width:100%; height:31px; background:url(/images/portal/search_box/tabbg.png) repeat-x'><table border='0' cellpadding='0' cellspacing='0' height='' width='100%' style='padding-left:5px;'><tr><td colspan='4' style='height:9px;'></td><td rowspan='2'><div style='float:right;padding-top:5px;'><img title='"+EOlang.msgClose+"' style='cursor:pointer;' class='close' src='/images/portal/search_box/close_point.png'/></div></td></tr><tr align='left' class='tab_all'><td style='width:100px;font-size:13px'><span class='tab_type_1 searchtabtype-normal'>"+EOlang.msgSendOutMailShowComLinkman+"</span></td><td style='width:90px;font-size:13px'><span class='tab_type_2 searchtabtype-normal'>"+EOlang.msgSendOutMailShowInsider+"</span></td><td style='width:80px;font-size:13px'><span class='tab_type_3 searchtabtype-normal'>"+EOlang.msgSendOutMailShowAddress+"</span></td><td style='width:100px;font-size:13px;'><span class='tab_type_4 searchtabtype-normal'>"+EOlang.msgSendOutMailShowCusLink+"</span></td></tr></table></div></td></tr><tr><td>";
				//所有内容都在这里
				search_str += "<div id='1' style='width:"+(Number(width)-19)+";max-height:"+(Number(height)-80)+"px;overflow-x:hidden;overflow-y:auto;'><table class='index_data' border='0' cellpadding='0' cellspacing='0' height='100%' width='100%'></table></div>";
				//九宫格后半部分
				search_str += "</td></tr></table>";
				search_str += "</td><td width='10' class='mailsearchmiddleright' valign='top'><div style=' width:100%; height:31px;'><div style=' width:6px; height:31px; background:url(/images/portal/search_box/tabbg.png) repeat-x; float:left;'></div></div></td></tr>";
				//弹出框下面的按钮
				search_str += "<tr><td width='10' class='mailsearchmiddleleft' valign='top'><div style='width:100%;height:31px;'><div style='width:6px; height:31px; background:url(/images/portal/search_box/tabbg.png) repeat-x; float:right;'></div></div></td><td class='mailsearchmiddlecenter' valign='top'><table border='0' cellpadding='0' cellspacing='0' width='100%'><tr><td valign='top'><div style='width:100%; height:31px; background:url(/images/portal/search_box/tabbg.png) repeat-x'>";
				search_str += "<table border='0' cellpadding='0' cellspacing='0' height='' width='100%' style='padding-left:5px;'><tr align='right'><td></td><td style='width:75px;font-size:13px;'><div style='margin-top:3px;border:0px solid red;' class='check_all_button search_input_check_all'>"+EOlang.msgSendOutMailCheckAll+"</div></td><td style='width:75px;font-size:13px;'><div style='margin-top:3px;border:0px solid red;' class='check_all_button search_input_empty'>"+EOlang.msgSendOutMailDeleteAll+"</div></td></tr></table>";
				search_str += "</div></td></tr></table></td><td width='10' class='mailsearchmiddleright' valign='top'><div style=' width:100%; height:31px;'><div style=' width:6px; height:31px; background:url(/images/portal/search_box/tabbg.png) repeat-x; float:left;'></div></div></td></tr>";
				//弹出框下面的按钮end
				search_str += "<tr height='10'><td width='10' class='mailsearchbottomleft'></td><td class='mailsearchbottomcenter'></td><td width='10' class='mailsearchbottomright' ></td></tr></table>";
				search_str += "</div>";
				*/
				search_str += 	"<table class='lazy_table_table'>";
				
				search_str +=	"<thead class='lazy_table_thead'>";
				search_str +=	"<td class='tab_type_1 searchtabtype-normal searchtabtype-check' align='center' width='25%'>";
				search_str +=		EOlang.msgSendOutMailShowComLinkman +"</td>";
				search_str +=	"<td class='tab_type_2 searchtabtype-normal searchtabtype-check' align='center' width='25%'>";
				search_str +=		EOlang.msgSendOutMailShowInsider +"</td>";
				search_str +=	"<td class='tab_type_3 searchtabtype-normal searchtabtype-check' align='center' width='25%'>";
				search_str +=		EOlang.msgSendOutMailShowAddress +"</td>";
				search_str +=	"<td class='tab_type_4 searchtabtype-normal searchtabtype-check' align='center' width='25%'>";
				search_str +=		EOlang.msgSendOutMailShowCusLink +"</td>";
				search_str +=	"</thead>";
				
				search_str +=	"<tr><td colspan='4' style='padding:0'>";
				search_str +=	"<div style='width:"+ width +"px;max-height:550px;overflow-x:hidden;overflow-y:auto'>";
				search_str += 	"<table class='index_data lazy_table_tbody' style='width:100%;'></table>";
				search_str +=	"</div></td></tr>";
				
				search_str +=	"<tr style='margin:10px;'><td colspan='4' align='right'>";
				search_str +=	"<button class='btn btn-primary  search_input_check_all' style='margin:5px;'>";
				search_str +=		EOlang.msgSendOutMailCheckAll +"</button>";
				search_str +=	"<button class='btn btn-danger  search_input_empty' style='margin:5px;'>";
				search_str +=		EOlang.msgSendOutMailDeleteAll +"</button>";
				search_str +=	"<button class='btn btn-default' style='margin:5px;'>";
				search_str +=		EOlang.msgCloseWindow +"</button></td></tr>";
				
				search_str += '</table></div>';
				
				$("body").append(search_str);

				//获取焦点，显示查询框
				$self.on({
					focus:function(){
						//先关掉现在显示的框
						$(".ShowSearchClass").css({
							display:"none"
						});
						$("#show_search_" + $self.attr("id")).show().css({
							left:$("#table_" + $self.attr("id")).offset().left-1,
							top:$("#table_" + $self.attr("id")).offset().top + $("#table_" + $self.attr("id")).outerHeight()
						});
					}
				});
				//给选项卡绑定点击切换
				$("#show_search_" + $self.attr("id") + " .searchtabtype-normal").on({
					click : function() {
						addTabStyle($(this).attr("class").substr(9,1),lines,$self);
					}
				});
				//行的点击绑定
				$("#show_search_" + $self.attr("id")).on('click', '.searchtableline', function(){
					if($(this).attr("emailaddress")){
						$self.LazyEmailAddress({
							height: '28px',
							init : [{
										emailAddress : $(this).attr("emailaddress"),
										extend : {
											extend_type : $(this).attr("extend_type"),
											extend_id : $(this).attr("extend_id"),
											extend_name : $(this).attr("extend_name")
										}
									}]
						});
					}else{
						if(!pnotify){
							pnotify = $.pnotify({
								text: WebMailLang.OutSendEmailNoAddressMessage,
								type : "error",
								pnotify_after_close:function(){
									pnotify = '';
								}
							});
						}
					}
					$self.focus();
				});
				
				//输入地址的时候，查询
				$self.keyup(function() {
					clearTimeout(timeoutId);
					timeoutId = setTimeout(function(){
						Search(lines,$self);
					},200);
				});
				//全部添加
				$("#show_search_" + $self.attr("id") + " .search_input_check_all").click(function() {
					var nowshowarr = getNowHaveShow($self);
					$self.LazyEmailAddress({
						init : nowshowarr
					});
					$self.focus();
				});
				//清空
				$("#show_search_" + $self.attr("id") + " .search_input_empty").click(function() {
					for(var m = 0;m<$("#table_" + $self.attr("id") + " .address").length;m++)
					{
						$("#table_" + $self.attr("id") + " .address").remove();
					}
					$self.focus();
				});
				//关闭
				$("#show_search_"+$self.attr("id")+" .btn-default").click(function() {
					$("#show_search_" + $self.attr("id")).css({
						display:"none"
					});
				});
				//关于调用此插件的时候，传值过来的处理
				if($.SearchInput.settings.init)
				{
					var init_emailAddress_arr = $.SearchInput.settings.init.emailAddress.split(";");
					var init_extend_arr       = $.SearchInput.settings.init.extend.split(";");
					for(var i = 0; i < init_emailAddress_arr.length; i++) {
						if(init_emailAddress_arr[i] != "" && $.SearchInput.settings.init.extend != "")
						{
							$self.LazyEmailAddress({
									init : [{
										emailAddress : init_emailAddress_arr[i],
										extend : {
											extend_type : init_extend_arr[i].split(",")[3],
											extend_id : init_extend_arr[i].split(",")[4],
											extend_name : init_extend_arr[i].split(",")[0]
										}
									}]
							});
						}
						else if(init_emailAddress_arr[i] != ""  && $.SearchInput.settings.init.extend == "")
						{
							//新地址
							$self.LazyEmailAddress({
								init : [{
											emailAddress : init_emailAddress_arr[i],
											extend : {
												extend_type : "",
												extend_id : "",
												extend_name : "",
												extend_neweamil : "1"
											}
										}]
							});
						}
					}
				}
				//点击一次选项卡，具体是哪个，根据传入的参数
				$("#show_search_" + $self.attr("id") + " .tab_type_"+$.SearchInput.settings.searchshowtabnum).click();
			});
		},
		SearchInputEmailResult : function() {
			var self = $(this);
			var emailResult = self.LazyEmailResult();
			return emailResult;
		}
	});
})(jQuery)