/**
*@Systemname:       E-Office
*@Filename:         
*@Function:         
*@Encoding:         $_lang['encoding']
*@Author:           sm lxl www.weaver.com.cn
*@Date:             2008-6-12
*@File Version:     5.0
*@Eoffice Version:  7.8
*/

function MoreSlaveSelector(list_target,max,smaxsize,fullsrc,denyExt) {
	this.list_target = list_target;
	this.smaxsize    = smaxsize;
	this.fullsrc     = fullsrc;
	this.denyExt     = denyExt;
	this.count       = 0;
	this.id          = 0;

	if( max ){
		this.max = max;
	} else {
		this.max = -1;
	};
	denytype   = this.denyExt;
	sinmaxsize = this.smaxsize;
	var isOverSize = 0;
	this.addElement = function( element){
		if( element.tagName == 'INPUT' && element.type == 'file' ){
			element.name = 'userfile['+this.id+']';
			this.id++;
			element.multi_selector = this; 
			element.onchange = function(){
			oFile.FilePath = element.value;
			fileLenth      = oFile.getFileSize();
			if(sinmaxsize > 0){
				if(fileLenth>sinmaxsize*1024){
					isOverSize = 1;
				}
				else
				{
					isOverSize = 0;
				}
			}
			if(!isAllowFileSuffix(element.value,denytype))
			{
				alert(EOlang.msgnotallowfile);
				var new_element  = document.createElement('input');
				new_element.type = 'file';
				new_element.id   ='file_elem';
				new_element.className = 'file';
				if(element.multi_selector.max<element.multi_selector.count) {
					this.parentNode.insertBefore(new_element,this);
					this.multi_selector.addElement(new_element);
					this.parentNode.removeChild(this);
					element.multi_selector.count--;
				}
				return false;
			}
			
			if(isOverSize == 1)
			{
				//弹出对单个附件上传文件大小限制的警告语句
				alert(EOlang.msgsinglefileoversize)
				var new_element  = document.createElement('input');
				new_element.type = 'file';
				new_element.id   ='file_elem';
				new_element.className='file';

				if(element.multi_selector.max<element.multi_selector.count) {
					this.parentNode.insertBefore(new_element,this);
					this.multi_selector.addElement(new_element);
					this.parentNode.removeChild(this);
					element.multi_selector.count--;
				}
				return false;
			}
			
			var new_element  = document.createElement('input');
			new_element.type = 'file';
			new_element.className = 'file';
			this.parentNode.insertBefore(new_element,this);
			this.multi_selector.addElement(new_element);
			this.multi_selector.addListRow( this );
			this.style.position = 'absolute';
			this.style.left     = '-2000px';

			};
			//对添加附件按钮的处理(置灰和禁用按钮)
			if(this.max != -1 && this.count >= this.max) {
				element.disabled = true;
				if(document.getElementById("filebuttonname") != null){
					document.getElementById("filebuttonname").style.color = "gray";				}
			}	

			this.count++;
			this.current_element = element;
		} else {
			//alert( '错误！没有元素！' );
		};
	};

	this.addListRow = function( element ){
		var new_row = document.createElement( 'div' );
		var new_row_button   = document.createElement( 'input' );
		new_row_button.type  = 'button';
		new_row_button.value = EOlang.msgdel;
		new_row_button.className = 'button';
		new_row.element      = element;
		new_row_button.onclick= function() {
			this.parentNode.element.parentNode.removeChild( this.parentNode.element );
			this.parentNode.parentNode.removeChild( this.parentNode );
			this.parentNode.element.multi_selector.count--;
			this.parentNode.element.multi_selector.current_element.disabled = false;
			if(document.getElementById("filebuttonname") != null){
				document.getElementById("filebuttonname").style.color = "black";
			}
			return false;
		};
		
		//是否显示全路径

		if(this.fullsrc == 1){
			var tmpStr = element.value;
		}
		else
		{
			var tmpStr = element.value.match(/[^\\]+$/);
		}

		tmpStr += "";
		//文件名后缀是否合法
		if(!isAllowFileSuffix(tmpStr,this.denyExt)){
				tmpStr = "<span style='color:gray;text-decoration:line-through;font-style:oblique;'>"+tmpStr;
				tmpStr += "("+getSizeOfFile(fileLenth)+")</span>";
		}
		else
		{
			//是否超过单个文件最大体积

			if(isOverSize == 1) {
				tmpStr = "<span style='color:blue;font-weight:bold'>"+tmpStr+"</span>";
				tmpStr += "<span style='font-size:9px;color:red'>("+getSizeOfFile(fileLenth)+")</span>";
			}
			else
			{
				tmpStr = "<span style='color:blue'>"+tmpStr+"</span>";
				tmpStr += "<span style='font-size:9px;color:gray'>("+getSizeOfFile(fileLenth)+")</span>";
			}
		}
		
		new_row.innerHTML = tmpStr;
		new_row.appendChild( new_row_button );
		this.list_target.appendChild( new_row );
	};
};


function getSizeOfFile(n){
	var str="";
	if (n<=1024){
		str = "1K";
	}
	if (n>1024 && n<1024*1024*10){
		str = Math.ceil(n/1024)+"K";
	}
	if (n>1024*1024*10){
		str = Math.ceil(n*100/(1024*1024))/100+"M";
	}
	return str;
};

function ispassMaxSize(formname,maxsize){
	var objform = document.getElementById(formname);
	var maxForm = objform.elements.length;
	var filelength=0;
	for(var i=0;i<maxForm;i++){
		if(objform.elements[i].type == "file"&&objform.elements[i].className == "file"){
			var tmpsrc = objform.elements[i].value;
			if(tmpsrc != ""){
				oFile.FilePath = tmpsrc;
				filelength += oFile.getFileSize();
			}
		}
	}
	if(filelength > maxsize*1024){
		alert(EOlang.msgfileoversize+getSizeOfFile(maxsize*1024)+"");
		return false;
	}
	else
	{
		return true;
	}
};

function isAllowFileSuffix(filesrc,denyExt) {
		var thisExt;
		if (denyExt != "" && denyExt != undefined) {
			thisExt = filesrc.substr(filesrc.lastIndexOf(".")).toLowerCase();
			if (denyExt.indexOf(thisExt+"|") == -1) {
				return true;
			}
			else
			{
				return false;
			}
		}
		else
		{
			return true;
		}
}