<?php
$OA_COMPANY_NAME="泛微软件";
$OA_PRODUCT_NAME="e-office";
$OA_WEB_SITE="www.weaver.com.cn";
includelangpak("common");
/** 
 *	@param $input 需要被验证的值或者是其组成的数组
 *	@param $filter 用来验证的方法名或者是其组成的数组
 */
function I($input, $filters = 'is_numeric'){
	$debug = array(0, '', false, null);
	
	if(empty($filters)){
		return false;
	}
	if(!is_array($input)){
		$input = array($input);
	}
	if(!is_array($filters)){
		$filters = array($filters);
	}
	
	$input = array_diff($input, $debug);
	foreach($filters as $filter){
		if(function_exists($filter)){
			
			$temp = array_filter($input, $filter);
			if(count($input) > count($temp)){
				return false;
			}
		}else{
			return false;
		}
	}
	
	return true;
}

function Message($TITLE,$CONTENT,$FLAG="")
{
	if($FLAG == "failed"){
		$color = "#a94442";
		$bgColor = "#f2dede";
		$borderColor = "#ebccd1";
	}
	else if($FLAG == "success"){
		$color = "#3c763d";
		$bgColor = "#dff0d8";
		$borderColor = "#d6e9c6";
	}else{
		$color = "#31708f";
		$bgColor = "#d9edf7";
		$borderColor = "#bce8f1";
	}
	
	?>
        <div style="text-align:center;padding:15px;border-radius:4px;font-size:13px;color:<?=$color?>;border:0px solid <?=$borderColor?>;background-color:<?=$bgColor?>;margin:10px;">
			<?=$CONTENT?>
        </div>
<?
}


function MessageL($TITLE,$CONTENT,$FLAG="")
{
	global $_lang;
?>

<div align="center" >
<table border="0" width="500" cellspacing="0"  cellpadding="0">
<tr><td>
<?
if($TITLE!="")
{
?>

<font color="#FF0000"><img src="/images/smslogin/error.gif"> <b><?=$TITLE?></b></font>
<?
}
?>
<?=$CONTENT?> <input type="button" class="button" value="<?=$_lang["common_back"]?>" title="<?=$_lang["common_back"]?>" onclick="history.back();">
</td>
</tr>
</table>
</div>
<?
}

function Button_Back(){
	global $_lang;
	?>
    <br>
    <table align="center">
        <tr>
            <td>
                 <input type="button" class="button" title="<?= $_lang["common_back"]?>" value="<?= $_lang["common_back"]?>" title="<?= $_lnag["common_back"]?>" onclick="history.back();">
            </td>
        </tr>
        
    </table>
<?
}

function find_id($STRING,$ID){
   $MY_ARRAY=explode(",",$STRING);
   $ARRAY_COUNT=sizeof($MY_ARRAY);
   if($MY_ARRAY[$ARRAY_COUNT-1]=="")$ARRAY_COUNT--;
   for($I=0;$I<$ARRAY_COUNT;$I++)
   { if(strcmp($MY_ARRAY[$I],$ID)==0||$MY_ARRAY[$I]==$ID)return true;}
   return false;
}

/*
引用语言变量
*/
function includelangpak($module="",$diff=""){
	global $_lang;
	if ($module==""){
		return;
	}
	if($diff!="")
	{
		$lang_diff = $diff;
	}
	else
	{
		$lang_diff = $_SESSION['LOGIN_LANG'];	
	}
	//$root_path	= str_replace('\\','/',get_cfg_var('doc_root')."/");
	//
	$root_path	= str_replace('\\','/',$_SERVER["DOCUMENT_ROOT"]."/");

	$filear = explode(",",$module);
	while(list($key,$name) = each($filear)){
		$file = $root_path."lang/".$lang_diff."/".$name.".lang.php";
		if(file_exists($file)){
			include("lang/".$lang_diff."/".$name.".lang.php");
		}
	}
}

/*
function 
*/
function ButtonOA($name="",$action="",$event="",$class="",$img="",$textid="",$buttonid=""){
	$theme = $_SESSION['LOGIN_THEME']!=""?$_SESSION['LOGIN_THEME']:"blue";
	$event = $event!=""?$action:"onclick";
	if($event == "onclick"){
		$actionstr = "location='".$action."'";
	}
	else{
		$actionstr = $action;
	}

	if ($theme == "blue"){
	
?>
	<button class=btn <?=$event?>="<?=$actionstr?>">
		<table>
			<tr valign="middle">
				<td><? if($img!=""){?><img src="<?=$img?>" align="center"><?}?></td> 
				<td><span <? if($textid!="") echo "id='".$textid."'"?>><?=$name?></span></td>
				<td></td>
			</tr>
		</table>
	</button>
<?
	}
}

function pageHeadItem($helpvar="",$denyfavorite="",$denyctrleft="",$denyctrtop="",$denyhelp=""){
	include_once('inc/help.inc.php');
	global $_lang;
	$thisurl = $_SERVER['PHP_SELF'];
	for($i=0;$i<count($helpurl);$i++){
		if(strpos("Wd".$thisurl,$helpurl[$i]['url'])>0){
			$help_keyword = $helpurl[$i]['keyword'];
			break;
		}
	}
?>
<table style="width:150px;float:right" cellspacing="0" cellpadding="0">
			<tr>
				<td>
				<script type="text/javascript" src="/inc/highslide/highslide-full.packed.js"></script>
				<link rel="stylesheet" type="text/css" href="/inc/highslide/highslide.css">
				<script type="text/javascript">
					hs.graphicsDir      = '/inc/highslide/graphics/';
					hs.outlineType      = 'rounded-white';
					hs.wrapperClassName = 'draggable-header';
					hs.restoreTitle     = "<?=$_lang['common_img_tip']?>";
					hs.closeTitle       = "<?=$_lang['common_viewer_close']?>";
					hs.creditsText      = "";
					function ControlLeft()
					{
						if(parent.parent.frame2 != null){
							if (parent.frame2.cols=="170,*"){
								parent.frame2.cols="0,*";
								document.getElementById('showhideleftimgid').src = "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/showhideleft_c.gif";
							}
							else{
								parent.frame2.cols="170,*";
								document.getElementById('showhideleftimgid').src = "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/showhideleft.gif";
							}
						}
					}

					function ControlTop()
					{
						if(parent.parent.frame1 != null){
							if (parent.parent.frame1.rows=="84,*,1"){
								parent.parent.frame1.rows="0,*,1";
								document.getElementById('showhidetopimgid').src = "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/showhidetop_c.gif";
							}
							else{
								parent.parent.frame1.rows="84,*,1";
								document.getElementById('showhidetopimgid').src = "<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/showhidetop.gif";
							}
						}
					}

				</script>
				<a href="/general/sms/new/onlinesms.php" onclick="return hs.htmlExpand( this, {
    	objectType: 'iframe',width:'510',height:'337',captionText:'<img src=\'/images/8/msg/sms.png\' align=\'absbottom\'><span id=\'smsdiaglog\' style=\'color:#1d93d3;font-weight:bold;\' >&nbsp;<?=$_lang['common_dialog_window']?></span>',captionOverlay: { position: 'toppanel'}} )" id="onlinesms"></a>
				<a href="/general/email/new/index.php" onclick="return hs.htmlExpand(this, { objectType: 'iframe' } )" id="newemailid"></a>
				<a href="/general/memopen/index.php" onclick="return hs.htmlExpand( this, {
    	objectType: 'iframe',width:300,height:300} )" id="memopen"></a>

				<? if($denyfavorite==""){?>
					<a href="/general/ipanel/favorite/favorite.php" onclick="return hs.htmlExpand(this, { objectType: 'iframe',width:300 } )">
					<img class="imglink" align="absmiddle" style="margin-left:5px;"
					src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/favorite.gif" title="<?=$_lang["common_favorite_add"]?>"></a>
				<?}?>
				<? if($denyctrleft==""){?>
					<img id="showhideleftimgid" class="imglink" align="absmiddle" style="margin-left:5px;"
					src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/showhideleft.gif" onclick="ControlLeft();" title="<?=$_lang["common_open_close_leftmenu"]?>">
				<?}?>
				<? if($denyctrtop==""){?>
					<img id="showhidetopimgid" class="imglink" align="absmiddle" style="margin-left:5px;"  src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/showhidetop.gif" onclick="ControlTop();" title="<?=$_lang["common_open_close_topmenu"]?>">
				<?}?>
				<? if($denyhelp==""){?>
<script>
	function helpPage(a){
	window.open(a.href,null,'width=580,height=290,location=no,resizable=1,scrollbars=1,status=no,toolbar=no,menu=no,top=150,left=300');
	return false;	
	}
</script>
                    <a href="/helppage/help.php?help_keyword=<?=$help_keyword?>" onclick="return helpPage(this);" title="<?=$_lang["common_help_center"]?>">
					<img class="imglink" align="absmiddle" style="margin-left:5px;" src="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/images/icon/help.gif"><?=$_lang["common_help"]?></a>
				<?}?>
				</td>
			</tr>
		</table>
<?
}
$a=12;
?>