
//电子签章测试
//作用：进行甲方签章

function DoJFSignature(str,div_id,objId,runId,flowId,required)
{
	if(form1.SignatureControl.AutoSave == true) {
		var mXml='<?php echo "<?xml version=\"1.0\" encoding=\"GB2312\" standalone=\"yes\"?><Signature>"; ?>';
		//解决签章8.0.0版本不能任意拖动的问题
		// mXml+="<OtherParam><NOForbidDivPosition>1</NOForbidDivPosition></OtherParam>";
		//IE9以上设置为1解决签章打印黑白问题
		// mXml+="<OtherParam><PrintType>1</PrintType></OtherParam>";
		// 设置配置项，需在显示签章之前执行
		mXml+="<OtherParam>";
		mXml+="<AfterBackSignEvent>True</AfterBackSignEvent>";
		mXml+="</OtherParam>";
		mXml+="</Signature>";
		form1.SignatureControl.XmlConfigParam = mXml;
	//	form1.SignatureControl.EnableMove= "true";
		form1.SignatureControl.DivId=div_id;
		form1.SignatureControl.ExtParam=div_id+','+flowId+','+runId+','+objId+','+required;
		form1.SignatureControl.FieldsList=str;
		form1.SignatureControl.Position(1,1);
		form1.SignatureControl.UserName="lyj";
		form1.SignatureControl.RunSignature();
	} else {
		alert("当前环境不支持电子签章！");
	}
}

//作用：进行乙方签章

function DoYFSignature()
{
	form1.SignatureControl.FieldsList="XYBH=协议编号;BMJH=保密级别;JF=甲方签章;YF=乙方签章;HZNR=合作内容;QLZR=权利责任;CPMC=产品名称;DGSL=订购数量;DGRQ=订购日期"
	form1.SignatureControl.Position(400,320);
	form1.SignatureControl.UserName="wjd";
	form1.SignatureControl.RunSignature();
}

//作用：进行手写签名

function DoSXSignature(str,div_id,objId,runId,flowId,required)
{
	if(form1.SignatureControl.AutoSave == true) {
		var mXml='<?php echo "<?xml version=\"1.0\" encoding=\"GB2312\" standalone=\"yes\"?><Signature>"; ?>';
		mXml+="<OtherParam>";
		mXml+="<AfterBackSignEvent>True</AfterBackSignEvent>";
		mXml+="</OtherParam>";
		mXml+="</Signature>";
		form1.SignatureControl.XmlConfigParam = mXml;
		form1.SignatureControl.DivId=div_id;
	//	form1.SignatureControl.EnableMove= "true";
		form1.SignatureControl.ExtParam=div_id+','+flowId+','+runId+','+objId+','+required;
		form1.SignatureControl.FieldsList=str;
		form1.SignatureControl.Position(1,1);
		form1.SignatureControl.UserName="lyj";
		form1.SignatureControl.RunHandWrite();
	} else {
		alert("当前环境不支持电子签章！");
	}
}


//作用：批量验证签章

function BatchCheckSign()
{
	form1.SignatureControl.BatchCheckSign();
}

//设置禁止引动
function ForbitMove(opFlag)
{
	if(opFlag == 1)
	{
		var mLength=document.getElementsByName("iHtmlSignature").length;
		if(mLength>0)
		{
			if(confirm(CommonLang.banAllMobileSignature))
			{
				for (var i=0;i<mLength;i++){
					var vItem=document.getElementsByName("iHtmlSignature")[i];
					//重新设置EnableMove属性
					if(vItem.EnableMove == true)
					{
						vItem.EnableMove ="false";
						vItem.SaveSignature();
					}
					//alert(vItem.EnableMove);  //显示属性值
				}
			}
		}
	}
}

//作用：获取签章信息，以XML格式返回，并且分析显示数据.具体的XML格式请参照技术白皮书
//具体分析后的内容如何处理，请自己做适当处理,本示例仅将返回结果进行提示。

function WebGetSignatureInfo(){
	var mSignXMl=form1.SignatureControl.GetSignatureInfo();   //读取当前文档签章信息，以XML返回
	alert(mSignXMl);                                      //调试信息

	var XmlObj = new ActiveXObject("Microsoft.XMLDOM");
	XmlObj.async = false;
	var LoadOk=XmlObj.loadXML(mSignXMl);
	var ErrorObj = XmlObj.parseError;

	if (ErrorObj.errorCode != 0){
		alert(CommonLang.returnInfoError+"...");
	}else{
	/*
	var CurNodes=XmlObj.getElementsByTagName("iSignature_HTML");
	for (var iXml=0;iXml<CurNodes.length;iXml++){
		var TmpNodes=CurNodes.item(iXml);
		alert(TmpNodes.selectSingleNode("SignatureOrder").text);  //签章序列号

		alert(TmpNodes.selectSingleNode("SignatureName").text);   //签章名称
		alert(TmpNodes.selectSingleNode("SignatureUnit").text);   //签章单位
		alert(TmpNodes.selectSingleNode("SignatureUser").text);   //签章用户
		alert(TmpNodes.selectSingleNode("SignatureDate").text);   //签章日期
		alert(TmpNodes.selectSingleNode("SignatureIP").text);     //签章电脑IP
		alert(TmpNodes.selectSingleNode("KeySN").text);           //钥匙盘序列号
		alert(TmpNodes.selectSingleNode("SignatureSN").text);     //签章序列号

		alert(TmpNodes.selectSingleNode("SignatureResult").text); //签章验测结果
	}
*/
}
}
function showSignature(para,div_id,objId,runId,flowId,required)
{
	var signatureType = "<?=$signatureType?>";
	if(para)
	{
		signatureType = para;
	}
	if(signatureType=="qz")
	{
		DoJFSignature("<?=$signature_str?>",div_id,objId,runId,flowId,required);
	}
	else if(signatureType == "sx")
	{
		DoSXSignature("<?=$signature_str?>",div_id,objId,runId,flowId,required);
	}
	if(form1.SignatureControl.AutoSave == true) {
		if(required) {
			var signatureLength = $("#DATA_SIGNATURE_"+objId).find("[name='iHtmlSignature']").length;
			if(signatureLength > 0) {
				jQuery.ajax({
					type:"post",
					url:"HTTP://"+window.location.host+"/isignatureHTML/Service.php",
					data:"FLOWID="+flowId+"&RUNID="+runId+"&DATAID="+objId,
					success: function(result){
						if(result == 'OK') {
							$("#required_"+objId+"_span").hide();
							$("#DATA_"+objId).val(objId);					
						}else{
							alert('签章必填信息保存失败！');
						}
					}
				});					
			}
		}		
	}
}
