/*
 * Filename:        inc/lang/cn/javascript.lang.js
 * Function:        Default chinese language file.
 * Encoding:        utf-8
 * Author:          www.weaver.com.cn
 * Date:            2008-5-8
 * Version:         1.x
 * Eoffice Version: 6.0
 */

var EOlang = {
    msgdel: "删除",
    msgfileoversize: "文件总大小已超过",
    msgnotallowfile: "含有不允许上传的文件类型，请重新选择文件",
    msgsinglefileoversize: "此文件大于允许上传单个文件的最大值，请重新选择文件",
    msgsuresetvalueempty: "您需要设置表达式的值为空吗？",
    msgalbumselectimages: "请您选中图片再进行操作！",
    msgalbumsdeletealert: "是否删除？",
    msgalbumsetcontrat: "请填写相关交流！",
    msgalbumnothingspace: "您的相册已经没有空间上传了！",
    msgAddressChoseUser: "请选择一个用户！",
    msgAddressNewLinkMan: "新建联系人",
    msgDelete: "删除",
    msgChanageTo: "转移",
    msgChanageToLinkMan: "转移联系人",
    msgCopyTo: "复制",
    msgCopyToLinkMan: "复制联系人",
    msgSortByAsc: "正序",
    msgSortByDesc: "倒序",
    msgSortByDescB: "逆序",
    msgShowOrHidden: "显示/隐藏",
    msgTotalCount: "共",
    msgGetNothingData: "没有数据！",
    msgGiveWhy: "提示",
    msgDeleteAlert: "您确实要删除选定的记录吗？",
    msgSelectRecode: "请至少选择一条记录！",
    msgNew: "新建",
    msgRequestDataWait: "正在请求数据, 请稍侯",
    msgRequestData: "正在请求数据",
    msgRequetOK: "成功",
    msgDeleteOK: "删除数据成功!",
    msgLostTryAgain: "失败，请重试",
    msgLostWring: "警告",
    msgLostWringAlert: "出现异常错误,请联系管理员！",
    msgUserSex: "性别",
    msgUserSexMan: "男",
    msgUserSexWoman: "女",
    msgSaveEdit: "保存",
    msgSelectNullAlert: "您有必填选项为空！",
    msgDataSaveOK: "保存成功!",
    msgFindNothing: "没有找到相关图片!",
    msgUpdateFile: "上传",
    msgChoseAlbum: "选择相册",
    msgChoseAlbumName: "选择相册名称...",
    msgName: "名称",
    msgChoseImageName: "输入图片名称...",
    msgChoseImage: "选择图片",
    msgImage: "图片",
    msgReset: "重置",
    msgClose: "关闭",
    msgCloseWindow: "关闭窗口",
    msgDeleteImage: "删除图片",
    msgSearch: "查找",
    msgRemove: "取消",
    msgSubmit: "确定",
    msgShareFileEmpty: "要共享文档,您至少选择一个文档！",
    msgDeparture: "离职",
    msgWork: "在职",
    msgApproved: "已批准",
    msgApprovalIn: "审批中",
    msgMaintain: "维护",
    msgBackToTop: "返回顶部",
    msgWorkDiary: "工作日志",
    msgPersonalDiary: "个人日志",
    msgSubmitData: "提交",
    msgInputDiaryAlert: "请填写日志内容！",
    msgDiarySupplement: "补",
    msgReply: "回复",
    msgAttachment: "相关附件",
    msgDeleteFileAlert: "确定要删除文件吗",
    msgUncommitted: "未提交",
    msgDeleteDiaryAlert: "确定要删除此日志吗",
    msgDeleteReplyAlert: "确定要删除此回复吗",
    msgReplyTime: "回复于",
    msgReplyEmptyAlert: "请填写回复内容",
    msgSubmitTime: "提交于",
    msgSupplementTime: "补交于",
    msgReplyTo: "回复给",
    msgDisplayMode: "显示方式",
    msgShowCount: "显示个数",
    msgYear: "年",
    msgMonth: "月",
    msgWeek: "周",
    msgDay: "日",
    msgChoose: "选择",
    msgNoPicture: "没有选择任何图片!",
    msgNoChooseImg: "没有选择任何图片！",
    msgInsertPicture: "插入图片",
    msgLocalPicture: "本地图片",
    msgNetPicture: "网络图片",
    msgPictureAddress: "图片地址",
    msgPitchOn: "选中",
    msgFullName: "姓名",
    msgCompanyphone: "公司电话",
    msgBirthday: "生日",
    msgAddContact: "添加联系人",
    msgDeleteGroupAlert: "确认要删除该分组么？",
    msgChooseExcelAlert: "请选择excel文件",
    msgWaitingForUpload: "等待上传",
    msgCanceled: "已取消",
    msgUploadFileCountExceed: "您选择的附件个数超过系统的设置的最大数据",
    msgChooseFail: "选择失败",
    msgFileTooBig: "文件太大",
    msgError: "错误",
    msgFileName: "文件名",
    msgFileSize: "大小",
    msgFileInfor: "信息",
    msgByte: "字节",
    msgFile: "文件",
    msgEmptyFile: "空文件",
    msgFileTypeError: "文件类型错误",
    msgUnknownError: "系统未知错误",
    msgUploadSuccess: "上传成功",
    msgUploadFail: "上传失败",
    msgUploadError: "上传错误",
    msgIOError: "IO错误",
    msgSafeError: "安全错误",
    msgFileRegisterError: "文件注册失败",
    msgHttpError: "HTTP错误",
    msgCreateObjectFail: "创建XMLHttp对象失败",
    msgRquestPageError: "您所请求的页面不正常",
    msgAddToFavorite: "点击添加到收藏夹",
    msgRemoveFromFavorite: "点击取消收藏",
    msgAddToFavoriteFail: "添加到收藏夹失败",
    msgRemoveFromFavoriteFail: "取消收藏失败",
    msgSendOutMailShowComLinkman: "常用联系人",
    msgSendOutMailShowInsider: "内部人员",
    msgSendOutMailShowAddress: "通讯录",
    msgSendOutMailShowCusLink: "客户联系人",
    msgSendOutMailNotAccordCondition: "没有符合条件",
    msgSendOutMailOf: "的",
    msgSendOutMailCheckAll: "全部添加",
    msgSendOutMailDeleteAll: "清空已选",
    msgFolderCanNotCreate: "没有权限新建子文件夹，请联系管理赋予管理权限",
    msgFolderCanNotCopy: "没有权限复制此文件夹，请联系管理赋予上级文件夹管理权限",
    msgFlowNeedSetOperatorBefEnd: "需要指定主办人以后，才能结束流程，请立即指定。",
    msgFlowNeedSetOperatorBefManageTurn: "需要指定主办人以后，才能监控转交流程，请立即指定。",
    msgFlowEndWorkFlowTips: "结束后流程将不按照设定的步骤流转，直接结束流程，确定要结束流程吗？",
    msgFlowConfirmToEndThisWorkFlow: "确认要终止该工作流程么？",
    msgTokenSerialNumberHaveBeenUsedByOtherUsers: "此令牌序列号已经被其他用户使用",
    msgTokenSerialNumberAndDynamicBindingPasswordCannotBeEmpty: "使用动态密码时,令牌序列号和动态绑定密码不能为空",
    msgPleaseEnterTheDynamicPasswordToRebind: "当变更令牌序列号时,请输入动态密码进行重新绑定",
    msgSignaturePictureNotImgMessage: "请先在“个性设置”菜单里，设置签名图片！",
    msgFilePleaseChooseFileDirectory: "请选择目录",
    msgFileShowDirectoryList: "显示文件夹列表",
    msgFileHideDirectoryList: "隐藏文件夹列表",
    msgFileLastThreeDays: "最近3天",
    msgFileLastSevenDays: "最近7天",
    msgFileLastOneMonth: "最近一个月",
    msgComboxFieldValueNullCanNotDrag: "字段值为空,不能拖动",
    msgComboxFieldContentCanNotNull: "字段内容不能为空",
    msgComboxFieldNameCanNotRepeat: "字段名不允许重复",
    msgComboxFieldWhetherConfirmDelete:"是否确定删除",
    msgComboxFieldBetakenCanNotDelete:"此字段已被占用,不能被删除",
    msgFileTitleInclude:"文档标题包含"
};

var DateLang = {
    Monday: "星期一",
    Tuesday: "星期二",
    Wednesday: "星期三",
    Thursday: "星期四",
    Friday: "星期五",
    Saturday: "星期六",
    Sunday: "星期日",
    Mon: "周一",
    Tue: "周二",
    Wed: "周三",
    Thu: "周四",
    Fri: "周五",
    Sat: "周六",
    Sun: "周日",
    CalDay: "天",
    CalHour: "小时",
    CalMinute: "分",
    Today: "今天",
    Week: "周",
    Month: "月",
    Year: "年",
    AllDay: "全天",
    Tdate: "日",
    DateJan: "1月",
    DateFeb: "2月",
    DateMar: "3月",
    DateApr: "4月",
    DateMay: "5月",
    DateJun: "6月",
    DateJul: "7月",
    DateAug: "8月",
    DateSep: "9月",
    DateOct: "10月",
    DateNov: "11月",
    DateDec: "12月"
};

var LazyGridLang = {
    All: "全部",
    MySearch: "我的查询",
    RecentSearch: "最近查询",
    RemoveFromMySearch: "从我的查询移除",
    RemoveFromRecentSearch: "从最近查询移除",
    AddToMySearch: "添加到我的查询",
    EmptyConfirm: "确认清空？",
    Empty: "清空",
    EditName: "编辑名称",
    Edit: "编辑",
    Save: "保存",
    Close: "关闭",
    InputAlert: "您输入的页码不正确,请重新输入!",
    Go: "跳转",
    Search: "查询",
    AllConditions: "所有条件",
    SearchConditions: "查询条件",
    ErrorInput: "请勿输入特殊字符",
    //PageTip : "共{0}条记录 每页{1}条记录",
    PageTip: "每页{1}/共{0}",
    PrevPage: "上一页",
    NextPage: "下一页",
    NameEmptyAlert: "名称不能为空"
};

var BatchCreateLang = {
    SequenceNumber: "序号",
    Delete: "删除",
    Initial: "初始化",
    Create: "添加",
    CreateOne: "添加一条记录",
    ConfirmMsg1: "当前行数据不为空，确认删除?",
    ConfirmMsg2: "最后一行数据不为空，确认删除?",
    InitialMsg1: "确认恢复到初始化状态(",
    InitialMsg2: "条空数据)?",
    Close: "关闭批量新建",
    ConfirmMsg3: "关闭后批量新建数据将不会被保存，确认关闭?",
    Required: "必填",
    NoRequired: "非必填",
    IsRequired: "是否必填",
    Repeat: "重复"
};

var UploadifyLang = {
    uploadButton: "添加附件",
    fileNameIllegal: "文件名包含特殊字符,无法上传",
    notAllowUpload: "不允许上传",
    typeFiles: "类型的文件",
    totalSizeControl: "总大小不能超过",
    errorMsg: "上传错误:",
    replaceWarn: '文件{0}已存在,是否替换?',
    remainingNumberExceedWarn: '\n只能再上传{0}个文件.',
    numberExceedWarn: '\n最多只能上传{0}个文件.',
    sizeExceedWarn: '\n文件{0}大小超出限制{1}.',
    fileEmptyWarn: '\n文件{0}是空文件.',
    fileTypeWarn: '\n文件{0}为不允许上传的类型.',
    cancelUploadFile: "取消上传文件",
    uploadFileCount: "\n上传文件数量不能超过{0}个。"
};

var WebMailLang = {
    CheckNewFail: "检查新邮件失败",
    ReceiveNewLoading: "正在检查新邮件,请稍后...",
    ReceiveEmail: "收取邮件",
    PortErrorAlert: "端口号只能为数字",
    NickNameErrorAlert: "邮箱昵称请勿输入特殊字符",
    SettingSuccess: "设置成功",
    SettingFail: "设置失败,请重试!",
    DeleteAccountConfirm: "确认删除帐号{0}?(此帐号的所有邮件将会被删除,但不会删除服务器的邮件)",
    DeleteSuccess: "删除成功",
    DeleteFail: "删除失败,请重试!",
    AddressErrorAlert: "邮箱地址格式错误",
    ServerErrorAlert: "请填写完整服务器信息",
    SaveSuccess: "保存成功",
    SaveFail: "保存失败",
    EmailEmptyAlert: "请填写完整邮箱信息",
    EmailExistErrorAlert: "此邮箱地址已存在",
    AddAccountSuccess: "帐号添加成功",
    AddAccountFail: "帐号添加失败",
    FolderNotEmptyAlert: "文件夹不为空,请先清空文件夹后再删除文件夹!",
    FolderDeleteConfirm: "确认删除文件夹",
    FolderDeleteSuccess: "删除文件夹成功",
    FolderDeleteFail: "删除文件夹失败",
    FolderEmptyConfirm: "确认清空文件夹",
    FolderEmptySuccess: "清空文件夹成功",
    FolderEmptyFail: "清空文件夹失败",
    FolderNameEmptyAlert: "请输入文件夹名称",
    EmailAddressError: "指定的发件人邮箱地址格式错误",
    EmailAddressRepeat: "部分指定邮箱地址重复",
    FolderNameExist: "文件夹{0}已存在",
    OtherFolderHasAddress: "其它文件夹中已添加了相同邮箱地址",
    FolderOpSuccess: "文件夹{0}成功",
    FolderOpFail: "文件夹{0}失败",
    MoveTo: "移动到...",
    SelectNoneEmail: "未选中任何邮件",
    DeleteEmailConfirm: "确认删除选中邮件？",
    DeleteEmailCompleteConfirm: "彻底删除后邮件将无法恢复，您确定要删除吗？",
    DeleteEmailResult: "删除成功{0}封邮件,删除失败{1}封邮件",
    Loading: "加载中...",
    MoveEmailEmptyAlert: "请选择需要转移的邮件",
    OpSuccess: "操作成功",
    MoveEmailResult: "{0}封邮件移动成功,{1}封邮件移动失败",
    SendEmailSuccess: "发送成功",
    SendEmailFail: "发送失败，邮件已保存到草稿箱，请检查邮箱配置是否正确",
    SendEmailLoading: "正在发送,请稍后...",
    SaveEmailLoading: "正在保存,请稍后...",
    DeleteAttachmentConfirm: "确定删除此附件?",
    EmailToEmptyAlert: "请填写收件人",
    EmailToErrorAlert: "收件人地址格式错误",
    CCAddressErrorAlert: "抄送地址格式错误",
    BCCAddressErrorAlert: "密送地址格式错误",
    EmailContentEmptyAlert: "请填写邮件内容",
    EmailLeaveAlert: "邮件未保存，确定离开？",
    ReceiveEmailErrorAlert1: "至少收取1封邮件",
    ReceiveEmailErrorAlert2: "最多同时收取{0}封邮件",
    ReceiveEmailCountErrorAlert: "请输入数字",
    ReceiveAllEmailAlert: "未指定收取邮件数量,是否收取{0}的所有新邮件?",
    ReceiveEmailLoading: "正在收取新邮件,请稍后...",
    ReceiveEmailSuccess: "收取邮件成功",
    ReceiveEmailFail: "收取邮件失败",
    DeleteThisAddress: "删除此地址",
    DeleteAccountConfirmSysMail: "确认删除帐号{0}?",
    OutSendEmailMessage: "发送失败，请检查收件人地址或邮箱配置是否正确",
    OutSendEmailNoAddressMessage: "邮箱地址为空，不能作为收件人！",
    OutSendEmailErrMailSet: "不能外发邮件，请检查系统邮箱设置"
};
var ExtLang = {
    Attention: "关注",
    NoAttention: "非关注",
    IsAttention: "是否关注",
    Character: "字符型",
    TimeCharacter: "时间型",
    ShowNumber: "编号",
    StringName: "字段名",
    StringNature: "字段属性",
    StringShow: "字段说明",
    StringManager: "字段管理",
    Modification: "修改",
    DeleteRecord: "删除记录",
    UserInformation: "员工资料",
    ModiUserInformation: "修改员工资料",
    UserAge: "年龄",
    WorkInDate: "入职时间",
    WorkInDepart: "所属部门",
    ChooseDeart: "请选择部门",
    AddNewUser: "增加新员工",
    ChooseOneRecord: "请选择一条记录!",
    ShowMsg: "正在请求数据, 请稍侯",
    NowShowMsg: "正在请求数据",
    FailTry: "失败，请重试",
    ChooseOneLine: "{0} 选择行",
    WriteWarning: "输入值非法",
    DateJan: "一月",
    DateFeb: "二月",
    DateMar: "三月",
    DateApr: "四月",
    DateMay: "五月",
    DateJun: "六月",
    DateJul: "七月",
    DateAug: "八月",
    DateSep: "九月",
    DateOct: "十月",
    DateNov: "十一月",
    DateDec: "十二月",
    DateOne: "一",
    DateTwo: "二",
    DateThree: "三",
    DateFour: "四",
    DateFive: "五",
    DateSix: "六",
    DateSeven: "日",
    ChooseYes: "是",
    ChooseNo: "否",
    ShowAllDate: "y年m月d日",
    Today: "今天",
    DateCompareA: "日期在最小日期之前",
    DateCompareB: "日期在最大日期之后",
    DateShowNextMonth: "下月 (Control+Right)",
    DateShowPreMonth: "上月 (Control+Left)",
    DateChoooseMonth: "选择一个月 (Control+Up/Down 来改变年)",
    SpaceChoooseMonth: "{0} (空格键选择)",
    ShowPage: "页",
    ShowSumPage: "页共 {0} 页",
    ShowFirstPage: "第一页",
    ShowPrePage: "前一页",
    ShowEndPage: "最后页",
    Refresh: "刷新",
    ShowAllPage: "显示 {0} - {1}，共 {2} 条",
    NoDataShow: "没有数据需要显示",
    InsertMixLength: "该输入项的最小长度是 {0}",
    InsertMaxLength: "该输入项的最大长度是 {0}",
    InsertRequire: "该输入项为必输项",
    InsertvalueMinLength: "该输入项的最小值是 {0}",
    InsertvalueMaxLength: "该输入项的最大值是 {0}",
    InsertNovalue: "{0} 不是有效数值",
    NoUse: "禁用",
    InsertDateNext: "该输入项的日期必须在 {0} 之后",
    InsertDatePre: "该输入项的日期必须在 {0} 之前",
    DateShowRequired: "{0} 是无效的日期 - 必须符合格式： {1}",
    EmailRequired: "该输入项必须是电子邮件地址，格式如： 'user@domain.com'",
    URLRequired: "该输入项必须是URL地址，格式如： 'http:/'+'/www.domain.com'",
    StringCharInclodeA: "该输入项只能包含字符和_",
    StringCharInclodeB: "该输入项只能包含字符,数字和_",
    TableROw: "列",
    TableLockROw: "锁列",
    TableUnLockROw: "解锁列",
    ShowValue: "值",
    DragChangeA: "拖动来改变尺寸.",
    DragChangeB: "拖动来改变尺寸. 双击隐藏.",
    ImageNoShow: "不支持该图片格式"
};

var CommonLang = {
    specialCharTip: "不能输入特殊字符,请再次输入",
    operatorSuccess: "操作已成功",
    noAccessPrivate: "没有访问文件的权限",
    uploadFileOverSize: "你上传的文件超过规定大小,不能上传!",
    fileLockedTip: "提示：已发送内部消息通知锁定者",
    inputErrorFomatTip: "请输入正确格式的数据",
    processingWait: "正在处理请稍后",
    noSortData: "您现在没有排序数据",
    confirmNotShowDesk: "确认不在桌面上显示该模块么?\n\n您可以通过控制面板-自定义桌面恢复显示",
    label: "标签",
    requiredHaveNull: "有必填选项为空",
    errorNoElement: "错误,没有元素",
    moveFileTip: "要转移文档，请至少选择其中一个",
    noItemForChoose: "没有可选选项",
    calcItemFormatTip: "有计算公式的字段请填写数字否则以0处理",
    totalItemFormatTip: "需要合计的字段请填写数字否则以0处理",
    confirDelFeedback: "确定要删除签办反馈吗",
    feedbackDeleting: "反馈删除中",
    ipIllegalItem: "不是有效项,请指定一个介于0和255之间的值。",
    canotUserRightKey: "无法使用右键",
    uploadFile: "上传文件",
    fail: "失败",
    pageDisplay: "显示第 {0} 条到 {1} 条记录，一共 {2} 条",
    noRecord: "没有记录",
    pictureUpload: "图片上传",
    pictureName: "图片名称",
    choosePictureOperate: "请选择一个图片进操作",
    importField: "导入字段",
    insertUserName: "插入用户的名称",
    importUserSex: "导入用户的性别",
    dataBaseField: "数据库字段",
    fieldName: "字段名称",
    fieldProperty: "字段属性",
    fieldDescription: "字段说明",
    dragRelImportField: "请拖入对应的导入字段",
    returnInfoError: "返回信息错误",
    char: "字符型",
    banAllMobileSignature: "是否禁止移动所有签章？",
    flowHaveTurn: "本步骤已提交,无法操作,请关闭",
    detailLineCountResultTooLong: "明细行的计算结果超过21位，只能用科学计数法为您展示！",
    detailListCountResultTooLong: "明细列的合计结果超过21位，只能用科学计数法为您展示！",
};

var LazyPluginLang = {
    LazySearch: {
        advancedSearch: "高级搜索",
        search: "搜索",
        searchEmpty: "未找到与{0}相关内容",
        searchdocket:"搜索案卷"
    },
    LazyTable: {
        sortType: "排序方式",
        pageJumpTip: "{0}第{1}页"
    },
    //datepicker语言包
    LazyDatePicker: {
        closeText: '关闭',
        prevText: '&#x3C;上月',
        nextText: '下月&#x3E;',
        currentText: '今天',
        monthNames: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
        monthNamesShort: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
        dayNames: ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'],
        dayNamesShort: ['周日', '周一', '周二', '周三', '周四', '周五', '周六'],
        dayNamesMin: ['日', '一', '二', '三', '四', '五', '六'],
        weekHeader: '周',
        yearSuffix: '年'
    },
    //lazyDateRangePicker语言包
    LazyDateRangePicker: {
        rangeStartTitle: '开始日期',
        rangeEndTitle: '截至日期',
        specificDate: "指定日期",
        dateRange: "选择范围"
    },
    //lazytimepicker语言包
    LazyTimePicker: {
        currentText: '现在',
        closeText: '确定',
        amNames: ['上午', '上午'],
        pmNames: ['下午', '下午'],
        timeOnlyTitle: '选择时间',
        timeText: '时间',
        hourText: '小时',
        minuteText: '分',
        secondText: '秒',
        millisecText: '毫秒',
        microsecText: '微秒',
        timezoneText: '时区'
    }

};

var Flowlang = {
    searchFlow: "搜索流程",
    flowTitle: "标题",
    flowSeq: "流水号",
    flowInstancy: "紧急程度",
    currentStep: "当前步骤",
    creater: "创建人",
    createTime: "创建时间",
    currentDeal: "当前办理人",
    status: "状态",
    flowStatus: "流程状态",
    currentNotDeal: "当前步骤未办理人",
    stepName: "步骤名称",
    stepStatus: "步骤状态",
    managePerson: "办理人员",
    limitDate: "催办时间",
    overTimeTime: "超时时间",
    manageDate: "办理时间",
    createDate: "创建日期",
    nearlyThreeDays: "近三天",
    nearlyOneWeek: "近一周",
    nearlyOneMonth: "近一月",
    normal: "正常",
    important: "重要",
    urgency: "紧急",
    urgencyManage: "催办到期",
    urgencyNearlyOneHour: "近一个小时",
    urgencyNearlyThreeHour: "近三个小时",
    nearlyThreeMonth: "近三月",
    flowDoing: "进行中",
    flowHaveFinish: "已结束",
    flowNoRead: "未查看",
    flowHaveRead: "已查看",
    flowHaveManage: "已办理",
    flowHaveSubmit: "已提交",
    flowSeqInclude: "流水号包含",
    flowTitleInclude: "流程标题包含",
    flowType: "流程分类",
    flowName: "流程名称",
    flowFlag: "流程标识",
    flowUnRead: "未读",
    flowRead: "已读",
    createrDept: "创建人部门",
    acceptDate: "接收日期",
    yesterday: "昨天",
    thisWeek: "本周",
    thisMones: "本月",
    thisSeason: "本季",
    thisYear: "本年",
    flowAttName: "公共附件名称",
    showFlowType: "显示流程类别",
    hideFlowType: "隐藏流程类别",
    filterMore: "更多筛选",
    flowHadDelete: "流程已删除",
    flowStartTime: "开始时间",
    flowEndTime: "结束时间",
    flowRunTitle: "流程标题",
    rollBack: "收回",
    flowAgencyUser: "受委托人",
    flowAgencyDept: "受委托人部门",
    flowMyAgencyRule: "我的委托规则",
    flowByAgencyRule: "被委托规则",
    flowOtherAgencyRule: "其他委托规则",
    flowByAgencyUser: "委托人",
    flowByAgencyDept: "委托人部门",
    flowMyAgencyRuleRecord: "我的委托记录",
    flowByAgencyRuleRecord: "被委托记录",
    flowSort: "流程类别",
    flowFormName: "表单名称",
    flowSearchFormHouse: "搜索表单库",
    flowFormNameInclude: "表单名称包含",
    flowFormTypeInclude: "表单分类包含",
    flowFormType: "表单分类",
    flowConfirmToRollBackCurrent: "下一步骤尚未接收办理，确认要收回至本步骤重新办理么？",
    flowPleaseFillFeedback: "请填写签办反馈",
    flowPleaseFillPublicAttachment: "请上传公共附件",
    report: '报表',
    flowCopyTime: "抄送时间",
    flowCopyUserName: "抄送人",
    flowCustomAddCommonPhraseSuccess: "收集成功",
    flowCustomAddCommonPhraseLength: "请将常用短语长度控制在100个字符内",
    flowInputRightPressTime: "请输入正确的催促时间！",
    flowSubmit: '提交',
    flowFieldNotNull: '匹配字段不能为空',
    flowClose: '关闭',
    flowSelectModule: '请选择模块',
    flowHostUrlNotNull: '数据库主机地址不能为空',
    flowUserNameNotNull: '用户名不能为空',
    flowPasswordNotNull: '密码不能为空',
    flowDbNameNotNull: '数据库名称不能为空',
    flowDbLinkFialureLinkAgain: '数据库连接失败，请重新尝试连接',
    flowSelectTables: '选择数据表',
    flowDbLinkSuccess: '数据库连接成功',
    flowRunId: '流程运行ID',
    flowRunName: '运行流程名称',
    flowRunSeq: '流程流水号',
    flowLoginUserId: '当前用户ID',
    flowLoginUserName: '当前用户名称',
    flowPrcsDate: '创建日期',
    flowPrcsDateTime: '创建日期时间',
    flowPublicAttachId: '公共附件ID',
    flowPublicAttachName: '公共附件名称',
    flowLinkDoc: '相关文档',
    flowPrcsUser: '经办人',
    flowPrcsOpUser: '主办人',
    flowPrcsOpUserName: '主办人名称',
     flowInputFormatNumber:'请输入正确的数字',
    flowInputFormatEmail:'请输入正确的邮箱地址',
    flowInputFormatPhoneNumber:'请输入正确的手机号码',
    flowInputFormatMoney:'请输入正确的金额',
    flowSubmitSuccess:'流程提交完成',
    flowProtalSearchValueRequired:'请输入流程关键字进行查询'
};

var Calendarlang = {
    calendarNewTag: "新建标签",
    calendarHasAttention: "已添加关注，无需再次添加！",
    calendarNoPower: "无权限新建标签"
};

var Meetinglang = {
    meetingDelAtt: "您确定要删除此附件吗?",
    meetingDelAttSuccess: "附件删除成功！",
    meetingDelAttFail: "附件删除失败！"
};
var IndexLang = {
    indexPerson: "个人",
    indexCompany: "公司",
    indexReport: "报表",
    indexNew: "新",
    indexManage: "管理",
    indexSet: "设置",
    indexSearch: "搜索",
    indexQuery: "查询",
    indexSms: "短信",
    indexMessage: "信息",
    indexMy: "我的"
};

var PortalLang = {
    portalSetLayout: "设置布局",
    portalDelLayout: "删除布局",
    portalSetComplay: "设置完成",
    portalReload: "重新加载",
    portalDelElement: "删除元素",
    portalEditElement: "编辑属性",
    portalDragElement: "拖动元素到这里拖动",
    portalNoData: "暂无数据",
    portalNoMenuAuth: "您没有该菜单权限;<br\>如果您需要该权限,请联系统管理员;<br\>如果您不需要显示此元素,可以删除该元素!",
    portalLoadMore: "加载更多",
    portalWorkflow: "工作流程",
    portalDirSelect: "目录选择",
    portalWorkflowTitle: "流程标题",
    portalCreatePerson: "创建人",
    portalTodo: "待办事宜",
    portalHaveDone: "已办事宜",
    portalDone: "办结事宜",
    portalRequest: "我的请求",
    portalTitle: "标题",
    portalCreateTime: "创建时间",
    portalTable: "表格&nbsp;",
    portalTableOne: "表格一",
    portalTableTwo: "表格二",
    portalBeginTime: "开始时间",
    portalEndTime: "结束时间",
    portalSendTime: "发送时间",
    portalTime: "时间",
    portalPublishTime: "发布时间",
    portalSendPerson: "发送人",
    portalCreateDate: "创建日期",
    portalMyCoop: "我的协作",
    portalPlan: "最近计划",
    portalLeader: "负责人",
    portalState: "状态",
    portalCustomerInfo: "客户信息",
    portalCustomerName: "客户名称",
    portalManageUser: "客户经理",
    portalCustomerDetail: "点击显示客户详细信息",
    portalShowNews: "查看新闻",
    portalNewTitle: "新闻标题",
    portalPublishUser: "发布人",
    portalThumb: "缩略图",
    portalTeletext: "图文模式",
    portalShowNotify: "查看公告",
    portalNotifyTitle: "公告标题",
    portalSms: "最近消息",
    portalSmsContent: "消息内容",
    portalOperation: "操作",
    portalEmail: "最近邮件",
    portalEmailTitle: "邮件主题",
    portalMeeting: "会议",
    portalExamine: "审批的会议",
    portalJoin: "参与的会议",
    portalMeetingTitle: "会议主题",
    portalMeetingRoom: "会议室",
    portalProposer: "申请人",
    portalIntoDeal: "审批",
    portalMeetTime: "会议时间",
    portalTheme: "主题",
    portalTo: "至",
    portalVehicle: "待批车辆",
    portalCarModel: "车型名称",
    portalVote: "投票调查",
    portalVoteTableName: "调查表名称",
    portalVoteResult: "调查结果",
    portalWinRun: "快捷运行",
    portalWinRunName: "快捷运行名称",
    portalRun: "运行",
    portalWinPath: "程序地址",
    portalLink: "定义链接",
    portalLinkAddr: "链接地址",
    portalRss: "RSS订阅",
    portalRssPath: "RSS地址",
    portalAddressBook: "通讯录",
    portalPublicAddress: "公共通讯录",
    portalPersonAddress: "个人通讯录",
    portalName: "姓名",
    portalDocument: "文档",
    portalProject: "项目",
    portalAgenda: "日程",
    portalChart: "报表",
    portalChooseChart: "选择报表",
    portalIsShowIcon: "是否显示图标",
    portalIsShowTitle: "是否显示标题",
    portalLetValueIn100: "请确保输入值在1-100之间",
    portalIsShowField: "显示字段",
    portalFontColor: "文字颜色",
    portalFontSize: "文字大小",
    portalEffect: "效果",
    portalTabs: "内容标签",
    portalDataLoading: "数据加载中...",
    portalLinkType: "链接类型",
    portalDocLink: "文档链接",
    portalExternalLink: "外部链接",
    portalElementHeight: "元素高度",
    portalTotalElementHeight: "统一此行其他元素为此高度",
    portalNoEvent: "没有事件",
    portalInputPortalName: "请输入门户名称",
    portalElementEdit: "元素属性编辑",
    portalCloseElementBox: "关闭属性框",
    portalConfirmDelElement: "确定删除此元素?",
    portalConfirmDelLayout: "确定删除此行?<br/>其中的元素均会被删除!",
    portalSettingAuth: "设置权限",
    portalSetToDefaultPortal: "设为默认门户",
    portalUnityPortal: "统一门户",
    portalRecoverDefaultSet: "恢复默认设置",
    portalDelPortal: "删除此门户",
    portalConfirmDelPortal: "确定删除此门户?",
    portalDelPortalFailure: "删除门户失败,请重试!",
    portalRecoverDefaultTip: "恢复默认设置用户自定的内容将会被删除。您确定要进行操作吗?",
    portalRecoverSuccess: "成功恢复",
    portalRecoverFailure: "恢复失败",
    portalUnityPortalTip: "统一个人门户时用户自定的内容将会被删除。您确定要进行操作吗?",
    portalUnityPortalSuccess: "统一门户成功",
    portalUnityPortalFailure: "统一门户失败,请重试!",
    portalSetDefaultSuccess: "设置默认门户成功",
    portalSetDefaultFailure: "设置默认门户失败,请重试!",
    portalEditPortalAuth: "编辑门户权限",
    portalDataLoadingAgain: "数据重新加载中...",
    portalEnterPortalName: "请输入门户名称",
    portalEditPortal: "编辑门户",
    portalAddPortalSuccess: "新建门户成功",
    portalEditPortalAuthSuccess: "编辑门户权限成功",
    portalFailure: "门户失败",
    portalNew: "新建门户",
    portalRows: '条数',
    portalCopy:'抄送流程'
};

var PaymentLang = {
    paymentPlanSelector: '方案选择器',
    paymentPlanSelect: '方案选择',
    paymentAllType: '全部类型',
    paymentNotTypePlan: '未分类方案',
    paymentAll: '全部',
    paymentLastWeek: '最近1周',
    paymentLastMonth: '最近1个月',
    paymentLastThreeMonth: '最近3个月',
    paymentEnterKeyword: '请输入搜索关键字',
    paymentOk: '确定',
    paymentClear: '清除',
    paymentCancel: '取消',
    paymentLoading: '正在努力加载...',
    paymentNoData: '暂无数据',
    paymentNoMoreData: '暂无更多数据',
    paymentLoadMore: '加载更多',
    paymentMostSelectFivePlan: '同时最多选中5个统计',
    paymentConfirmDelAttach: '确定要删除该附件吗'
};

var HrmsLang = {
    hrmsDeptDisplay: '显示组织部门',
    hrmsDeptNone: '隐藏组织部门',
    hrmsContract: '合同',
    hrmsThisMonth: '本月到期',
    hrmsNextMonth: '下月到期',
    hrmsArchiveState: '档案状态',
    hrmsnMonth: '下月',
    hrmsNextWeek: '下周',
    hrmsDept: '部门',
    hrmsBirthday: '出生年月',
    hrmsMarriageState: '婚姻状况',
    hrmsPost: '岗位',
    hrmsContractEndTime: '合同结束时间',
    hrmsDetails: '详情',
    hrmsSearch: '请输入关键字查询',
    hrmsFileNameContains: '档案姓名包含',
    hrmsFileNumContains: '档案编号包含',
    hrmsAllDept: '全部部门',
    hrmsNextOperate: '请继续下一步操作',
    hrmsReturnList: '返回列表',
    hrmsContinue: '继续新建',
    hrmsChoose: '请选择',
    hrmsNotJump: '没有列表菜单权限,不能跳转.',
    hrmsRead: '阅读'
};

var PerformanceLang = {
    performanceTempName: '模板名称',
    performanceTempPoints: '模板总分',
    performanceEnter: '输入',
    performanceTempDelConfirm: '确定要删除此模板吗?',
    performanceTempDisplay: '显示考核模板',
    performanceTempNone: '隐藏考核模板',
    performanceCopyTemp: '复制模板',
    performanceCopySuccess: '复制成功',
    performanceCopyError: '复制失败',
    performanceNotNull: '不能为空',
    performanceIsNum: '必须是数字',
    performancePointsNum: '权重总和应为100%',
    performanceDelFaild: '删除失败',
    performanceSearchFuc: '可搜索用户名/拼音',
    performanceCorrePlan: '考核模板所对应的考核方案未启用',
    performanceListDisplay: '显示人员列表',
    performanceListNone: '隐藏人员列表',
    performanceNoResult: '暂无分数',
    performanceNotFindData: '未找到相关数据',
    performanceHaschecked: '绩效已考核',
    performanceNotAllow: '已考核的分数,不能更改',
    performancePlan: '考核方案',
    performanceNameUpdate: '名称不能修改',
    performanceCantSave: '当前人员不能为空',
    performanceGroupDisplay: '显示人员组织',
    performanceGroupNone: '隐藏人员组织',
    performanceGroupsDisplay: '显示组织架构',
    performanceGroupsNone: '隐藏组织架构',
    performanceWorksEnter: '请输入员工',
    performanceLoadComplete: '数据已加载完成',
    performanceLimitFullpoint: '打分分值不能超过满分值',
    performancePlanCircles: '考核起始时间',
    performanceShouldNum: '应为数字',
    performanceSoBig: '不应过大',
    performanceFormatCheck: '请检查日期格式',
    performancePleaseUsedPlan: '开启提醒功能请先启用方案',
    performanceEnterValidNum: '请输入有效数字',
    performanceNoSup:'当前人员还没有指定默认上级',
    performanceNoSub:'当前人员还没有指定默认下级',
    performanceAppointSuccess:'指定成功',
    performanceEmptySuccess:'清空成功',
    performanceEmptyError:'清空失败',
    performanceLook:'查看',
    performanceWorkersWeibo:'的微博'

};


var LazypluginsArgu = {
    LazypluginsShow: '显示',
    LazypluginsHide: '隐藏',
    LazypluginsTotal: '共',
    LazypluginsLines: '条',
    LazypluginsPerpage: '每页',
    LazypluginsOrderBY: '排序字段'
};


var AnalysConfig = {
    AnalysStr: '只能输入文字！',
    AnalysNum: '只能输入数字！',
    AnalysDate: '日期格式错误，请重新输入！',
    AnalysNeed: '请检查必填项！'

};

var SelectDialog = {
    SelectCheckDept: '查询部门',
    SelectResult: '查询结果',
    SelectCloseWindow: '关闭窗口',
    SelectBtnClear: '清空',
    SelectBtnAll: '全选',
    SelectBtnBoth:'全部',
    SelectBtnChecked: '已选择',
    SelectBtnCancel: '取消',
    SelectBtnSubmit: '确定',
    SelectNoDept: '此部门下无部门',
    SelectTitleTip: '查询用户、部门、角色',
    SelectByDept: '按部门',
    SelectByRole: '按角色',
    SelectBygroup: '按组',
    SelectShowLeft:'展示离职',
    SelectNoUserRole:'显示没有人员的角色',
    SelectNoUserDept:'显示没有人员的部门',
    SelectLeft:'离职',
    SelectNoUser:'此部门下无用户',
    SelectNoRole:'没有此角色的用户',
    SelectNoGroup:'此组名下无用户',
    SelectAttach: '附件',
    SelectUploads: '添加文件',
    SelectRemoveUpload: '取消上传文件'
};

var LinkCommenOA = {
    LinkCommenData: "系统数据",
    LinkCommencydy: "常用短语",
    LinkCommenwdys: "文档样式",
    LinkCommendcbzd: "调查表字段",
    LinkCommenDelData: "请至少选择一条数据",
    LinkCommenxjlc: "新建流程",
    LinkCommenLcbh: "流程名称包含",
    LinkCommenzylc: "自由流程",
    LinkCommenMydoc: "我的文档",
    LinkCommenCheckDoc: "查询文档",
    LinkCommenKeyword: "关键字",
    LinkCommenModyTime: "修改时间",
    LinkCommenKeyPos: "关键词位置",
    LinkCommenContent: "内容",
    LinkCommenFile: "附件",
    LinkCommenLast3M: "最近三个月",
    LinkCommenMycos: "我的流程",
    LinkCommenCopycos: "抄送流程",
    LinkCommenReport: "报表展现",
    LinkCommenGjzss: "请输入关键字搜索",
    LinkCommenBbmcbh: "报表名称包含",
    LinkCommenXzq: "协作区",
    LinkCommenXzzt: "协作主题",
    LinkCommenCateName: "类别名称",
    LinkCommenUseDate: "有效时间",
    LinkCommenImp: "重要程度",
    LinkCommenYB: "一般",
    LinkCommenGlry: "管理人员",
    LinkCommenDCB: "调查表",
    LinkCommenXwmod: "新闻模块",
    LinkCommenSrgjzss: "请输入关键词搜索",
    LinkCommenXwbtbh: "新闻标题包含",
    LinkCommenXwnb: "新闻类别",
    LinkCommenXwzt: "新闻状态",
    LinkCommenCG: "草稿",
    LinkCommenPunlish: "已发布",
    LinkCommenSHZ: "审核中",
    LinkCommenGGMK: "公告模块",
    LinkCommenGGBTBH: "公告标题包含",
    LinkCommenGGLB: "公告类别",
    LinkCommenGGZT: "公告状态",
    LinkCommenSH: "审核",
    LinkCommenSETime: "起止时间",
    LinkCommenMyGuest: "我的客户",
    LinkCommenKhmcbh: "客户名称包含",
    LinkCommenLxmcbh: "联系人名称包含",
    LinkCommenLxmc: "联系人名称",
    LinkCommenggMb: "公共模板",
    LinkCommenDetail: "简介",
    LinkCommenMyProject: "我的项目",
    LinkCommenProjectName: "请输入项目关键字搜索",
    LinkCommenProjectNameContain: "项目标题包含",

};


var WeixinCode = {
    '40001': '获取access_token时AppSecret错误，或者access_token无效。请开发者认真比对AppSecret的正确性，或查看是否正在为恰当的公众号调用接口',
    '40002': '不合法的凭证类型',
    '40003': '不合法的OpenID，请开发者确认OpenID（该用户）是否已关注公众号，或是否是其他公众号的OpenID',
    '40004': '不合法的媒体文件类型',
    '40005': '不合法的文件类型',
    '40006': '不合法的文件大小',
    '40007': '不合法的媒体文件id',
    '40008': '不合法的消息类型',
    '40009': '不合法的图片文件大小',
    '40010': '不合法的语音文件大小',
    '40011': '不合法的视频文件大小',
    '40012': '不合法的缩略图文件大小',
    '40013': '不合法的AppID，请开发者检查AppID的正确性，避免异常字符，注意大小写',
    '40014': '不合法的access_token，请开发者认真比对access_token的有效性（如是否过期），或查看是否正在为恰当的公众号调用接口',
    '40015': '不合法的菜单类型',
    '40016': '不合法的按钮个数',
    '40017': '不合法的按钮个数',
    '40018': '不合法的按钮名字长度',
    '40019': '不合法的按钮KEY长度',
    '40020': '不合法的按钮URL长度',
    '40021': '不合法的菜单版本号',
    '40022': '不合法的子菜单级数',
    '40023': '不合法的子菜单按钮个数',
    '40024': '不合法的子菜单按钮类型',
    '40025': '不合法的子菜单按钮名字长度',
    '40026': '不合法的子菜单按钮KEY长度',
    '40027': '不合法的子菜单按钮URL长度',
    '40028': '不合法的自定义菜单使用用户',
    '40029': '不合法的oauth_code',
    '40030': '不合法的refresh_token',
    '40031': '不合法的openid列表',
    '40032': '不合法的openid列表长度',
    "40033": "不合法的请求字符",
    '40035': '不合法的参数',
    '40038': '不合法的请求格式',
    '40039': '不合法的URL长度',
    '40050': '不合法的分组id',
    '40051': '分组名字不合法',
    '40117': '分组名字不合法',
    '40118': 'media_id大小不合法',
    '40119': 'button类型错误',
    '40120': 'button类型错误',
    '40121': '不合法的media_id类型',
    '40132': '微信号不合法',
    '41001': '缺少access_token参数',
    '41002': '缺少appid参数',
    '41003': '缺少refresh_token参数',
    '41004': '缺少secret参数',
    '41005': '缺少多媒体文件数据',
    '41006': '缺少media_id参数',
    '41007': '缺少子菜单数据',
    '41008': '缺少oauth code',
    '41009': '缺少openid',
    '42001': 'access_token超时，请检查access_token的有效期，请参考基础支持-获取access_token中，对access_token的详细机制说明',
    '42002': 'refresh_token超时',
    '42003': 'oauth_code超时',
    '43001': '需要GET请求',
    '43002': '需要POST请求',
    '43003': '需要HTTPS请求',
    '43004': '需要接收者关注',
    '43005': '需要好友关系',
    '44001': '多媒体文件为空',
    '44002': 'POST的数据包为空',
    '44003': '图文消息内容为空',
    '44004': '文本消息内容为空',
    '45001': '多媒体文件大小超过限制',
    '45002': '消息内容超过限制',
    '45003': '标题字段超过限制',
    '45004': '描述字段超过限制',
    '45005': '链接字段超过限制',
    '45006': '图片链接字段超过限制',
    '45007': '语音播放时间超过限制',
    '45008': '图文消息超过限制',
    '45009': '接口调用超过限制',
    '45010': '创建菜单个数超过限制',
    '45015': '回复时间超过限制',
    '45016': '系统分组，不允许修改',
    '45017': '分组名字过长',
    '45018': '分组数量超过上限',
    '46001': '不存在媒体数据',
    '46002': '不存在的菜单版本',
    '46003': '不存在的菜单数据',
    '46004': '不存在的用户'
};
