<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<title>E-office登录</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
		<link href="assets/stylesheets/bootstrap.min.css" rel="stylesheet" type="text/css">

		<link href="/newplugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

		<!--[if lt IE 9]>
		<script src="assets/javascripts/ie.min.js"></script>
	<![endif]-->


		<style>
		html body.page-signin {
    background:#666!important
}
#page-signin-bg {
    height:100%;
    left:0;
    overflow:hidden;
    position:fixed;
    top:0;
    width:100%;
    z-index:20
}
#page-signin-bg img {
    width:100%
}
#page-signin-bg .overlay {
    background:rgba(0, 0, 0, .5);
    bottom:0;
    left:0;
    position:absolute;
    right:0;
    top:0
}
.page-signin .signin-container {
    border-radius:2px;
    display:block;
    margin:20px 14px;
    position:relative;
    z-index:999
}
.page-signin .signin-info {
    background:#444;
    display:block;
    overflow:hidden;
    padding:20px 30px;
    text-align:center
}
.page-signin .signin-info .logo {
    color:#fff;
    font-size:22px;
    font-weight:700;
    opacity:1;
}
.page-signin .signin-info .logo[href]:hover {
    opacity:.7
}
.page-signin .signin-info .slogan {
    color:#fff;
    font-size:16px;
    font-weight:300;
    margin-top:5px
}
.page-signin .signin-info ul {
    display:none
}
.page-signin .signin-form {
    background:#fff;
    display:block;
    padding:30px;
    position:relative
}

.page-signin .form-actions {
    margin-top:15px
}
.page-signin .form-actions .signin-btn {
    border:none;
    border-radius:999999px;
    font-size:13px;
    font-weight:600;
    line-height:19px;
    outline:0!important;
    padding:10px 0;
    margin-top: 10px;
    text-align:center;
    width:100%;
    -webkit-transition:all .3s;
    transition:all .3s
}
.page-signin .form-actions .signin-btn:hover {
    background:#444!important
}

.page-signin .form-group {
    margin:0;
    position:relative
}
.page-signin .form-group+.form-group {
    margin:10px 0 0
}
.page-signin .form-group.w-icon .signin-form-icon {
    border-right:1px solid #d6d6d6;
    bottom:9px;
    color:#d6d6d6;
    display:block;
    font-size:14px;
    left:0;
    line-height:27px;
    position:absolute;
    text-align:center;
    top:9px;
    width:40px;
    z-index:1002;
    -webkit-transition:all .3s;
    transition:all .3s
}
.page-signin .form-group.w-icon input[type=password], .page-signin .form-group.w-icon input[type=text] {
    font-size:15px;
    padding-left:56px
}
.page-signin .form-group.w-icon input[type=password]:focus+.signin-form-icon, .page-signin .form-group.w-icon input[type=text]:focus+.signin-form-icon {
    color:#888
}
.page-signin .signin-text {
    color:#777;
    display:block;
    font-size:15px;
    font-style:italic;
    margin-bottom:25px;
    position:relative;
    text-align:center
}
.page-signin .signin-text span {
    background:#fff;
    display:inline-block;
    padding:0 20px;
    position:relative
}
.page-signin .signin-text:before {
    background:#e4e4e4;
    content:"";
    display:block;
    height:1px;
    left:0;
    position:absolute;
    right:0;
    top:50%
}

.page-signin .copyright {
    color:#fff;
    display:block;
    font-size:14px;
    margin:-20px 0 0 0;
    padding:20px 0;
    position:relative;
    text-align:center;
    z-index:999
}

@media (min-width:480px) {
    .page-signin .form-actions {
        margin-top:15px
    }
    .page-signin .form-actions .signin-btn {
        padding-left:40px;
        padding-right:40px;
        width:auto
    }
}
@media (min-width:768px) {
    .page-signin .signin-container {
        display:table;
        margin:80px auto;
        width:650px;
        table-layout:fixed
    }
    .page-signin .signin-info {
        display:table-cell;
        padding:30px;
        text-align:left;
        vertical-align:top;
        width:40%
    }
    .page-signin .signin-info ul {
        color:#fff;
        display:block;
        font-size:13px;
        font-weight:300;
        margin:30px 0 0;
        padding:0
    }
    .page-signin .signin-info ul li {
        list-style:none;
        margin:0;
        padding:7px 0
    }
    .page-signin .signin-info ul .signin-icon {
        display:block;
        float:left;
        font-size:14px;
        line-height:18px;
        margin-right:6px;
        text-align:center;
        width:24px
    }
    .page-signin .signin-form {
        display:table-cell;
        vertical-align:top;
        width:60%
    }
    .page-signin .copyright {
        margin:-80px 0 80px
    }
}
html body.page-signup {
    background:#666!important
}
		.theme-default.page-signin .signin-info, .theme-default.page-signup .signup-header {
    background:#1d89cf;
    background:rgba(29, 137, 207, .8);
}

			.signin-bg-choose {
				position: fixed;
				right: 0;
				bottom: 0;
				z-index: 10000;
				background: rgba(0,0,0,.6);
				padding: 6px;
				border-radius: 3px;
			}
			.signin-bg-choose img {
				cursor: pointer;
				height: 40px;
			}
			.signin-bg-choose img:hover {
				opacity: .5;
			}
			.signin-bg-choose div {
				color: #fff;
				font-size: 10px;
				font-weight: 600;
				padding-bottom: 6px;
			}
		</style>

	</head>

	<body class="theme-default page-signin">
		<div id="page-signin-bg">
			<div class="overlay"></div>
			<img src="assets/demo/signin-bg-1.jpg" alt="">
		</div>
		<div class="signin-container">
			<div class="signin-info">
				<div class="logo"> E-office </div>
				<div class="slogan">
					泛微协同办公标准版
				</div>
				<ul>
					<li>
						<i class="fa fa-sitemap signin-icon"></i> 投资少，性价比高
					</li>
					<li>
						<i class="fa fa-file-text-o signin-icon"></i> 快速应用，快速见效
					</li>
					<li>
						<i class="fa fa-outdent signin-icon"></i> 简单易用，方便维护
					</li>
					<li>
						<i class="fa fa-heart signin-icon"></i> 平稳升级，适应企业发展
					</li>
					<li>
						<i class="fa fa-flag-o signin-icon"></i> 服务体系完善，多种服务方式
					</li>
				</ul>
			</div>
			<div class="signin-form">
				<form action="#" id="signin-form_id">
					<div class="signin-text" style="font-style:normal;">
						<span>输入用户名和密码登录</span>
					</div>

					<div class="form-group w-icon">
						<input type="text" name="signin_username" id="username_id" class="form-control input-lg" placeholder="用户名">
						<span class="fa fa-user signin-form-icon"></span>
					</div>

					<div class="form-group w-icon">
						<input type="password" name="signin_password" id="password_id" class="form-control input-lg" placeholder="密码">
						<span class="fa fa-lock signin-form-icon"></span>
					</div>

					<div class="form-group form-actions">
						<input type="submit" style="width:100%;" value="登录" class="signin-btn bg-primary">
					</div>
				</form>
			</div>
		</div>

		<div class="copyright">
			Copyright © 2001-2014 Weaver Network All Rights Reserved.
		</div>
		<div class="signin-bg-choose" class="hidden-xs">
			<div>页面背景</div>
		</div>
	</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>

		<script type="text/javascript">
		$(function(){

				var $div = $('.signin-bg-choose'), bgs = ['/images/login-bg/1.jpg', '/images/login-bg/2.jpg', '/images/login-bg/3.jpg', '/images/login-bg/4.jpg', '/images/login-bg/5.jpg', '/images/login-bg/6.jpg', '/images/login-bg/7.jpg', '/images/login-bg/8.jpg', '/images/login-bg/9.jpg'];
				for (var i = 0, l = bgs.length; i < l; i++)
					$div.append($('<img src="' + bgs[i] + '">'));
				$div.find('img').click(function() {
					var img = new Image();
					img.onload = function() {
						$('#page-signin-bg > img').attr('src', img.src);
						$(window).resize();
					}
					img.src = $(this).attr('src');
				});
				


			var $ph = $('#page-signin-bg'), $img = $ph.find('> img');

				$(window).on('resize', function() {
					$img.attr('style', '');
					if ($img.height() < $ph.height()) {
						$img.css({
							height : '100%',
							width : 'auto'
						});
					}
				});


		});
		</script>