<?
/**
* @copyright (C) 2000 - 2010 Weaver Co.Ltd
* @package       eoffice8.0
* @function      我的会议--设备管理
* @encoding      $_lang['encoding']
* @name          general/meetings/equipment/index.php
* @version       1.0
* @author        liuqingyu
*/
include_once("inc/auth.php"); 
includelangpak("meetings");
include_once("inc/utility_all.php");
include_once("api/meeting.class.php");
include_once("inc/function_usergeneral.php");
$PAGE_TITLE = $_lang["meetings_equipment"];
include_once 'inc/page_header.inc.php';
?>
<link rel="stylesheet" type="text/css" href="/general/meetings/css/mettings.css">
<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/jquery.lazyplugins.css">
<link rel="stylesheet" type="text/css" href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="<?=THEME_FLAG?>/<?=$_SESSION['LOGIN_THEME']?>/style.css">
<link rel="stylesheet" type="text/css" href="/newplugins/css/style.css">
<script type="text/javascript" src="/lang/<?=$_SESSION['LOGIN_LANG']?>/javascript.lang.js"></script>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script> 
<script type="text/javascript" src="/inc/common.js"></script>
<script type="text/javascript" src="/general/meetings/meeting.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.form.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/bootstrap.bootbox.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.nicescroll.js"></script>
<script language="javascript">
$(function() {
	$(":text").css("width","200px");
	var leftlist = $("#left_list").LazyList({
		buttons : {
			  buttonInfor : {
				  "delete" : {
					 title : '<?=$_lang["meeting_delete"]?>',
					func : function(data) {
						//console.log(data);
						//alert(data.TYPE_ID);
						bootbox.confirm('<?=$_lang["meeting_sure_delete"]?>', function(result) {
							if(result){
								var data_id = data.m_id;
								$.ajax({
									type: "post", 
									url : "do.php", 
									data:"diff=delete&check=single&dataid="+data_id
								}).done(function(result){
									$("#left_list").LazyList("reload");		
								});				
							}	
						});	
					}
				  }
			  },
			  filter : function(data) {
				  return ["delete"];
			  }
		},
		itemListTemplate : "<div style=\"float:left;width:280px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;\" title=\"{m_name}\">{m_name}</div>",
		dataSource : "indexdo.php",
		param : {
			type : "equ_list"
		},
		onItemMouseEnter : function() {
			$(this).find("span").addClass("hover").end().find("span.split").hide();
		},
		onItemMouseLeave : function() {
			$(this).find("span").removeClass("hover").end().find("span.split").show();
		},
		onItemClick : function(ui, data) {
			ui.find("li.list span").removeClass("hover").end().find("span.split").show();
			$(this).find("span").addClass("hover").end().find("span.split").hide();
			meetingEquEdit(data.m_id);
		},
		onInit:function(){
			$("#left_list").getNiceScroll().resize(); 
		}
	});
	diffButtonShow("new");
	$("#Message").LazyMessage({
		ofTarget : "#right_table"	
	});
	$("#left_list").height($(window).height()-40);
	$("#left_list").niceScroll(); 	
	$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()});
	
	$(".switch").LazyToggle({
		showTip : '<?=$_lang["meeting_show_room"]?>',
		hideTip : '<?=$_lang["meeting_hide_room"]?>',
		autoHide : false,
		onAfterShow : function() {
			$(".left_list_wrap").show();
			//$("#left_list").getNiceScroll().show();
			$(".right_main_wrap").css({"margin-left": $(".left_list_wrap").outerWidth()}).find(".right_table").LazyTable("hideFields");
		},
		onAfterHide : function() {
			$(".left_list_wrap").hide();
			//$("#left_list").getNiceScroll().hide();
			$(".right_main_wrap").css("margin-left", "0px").find(".right_table").LazyTable("showFields");
		}
	});
	$(".left_search").LazySearch({
		tip : '<?=$_lang["meeting_search_equiptment"]?>',
		url : "indexdo.php",
		param : {
			type : "autoSearch1"
		},
		width : 130,
		autoSearch : {
			template : "{typeName}",
			onItemClick : function(data) {
				meetingEquEdit(data.key);
			}
		},
		onClearButtonClick:function()
		{
			//查询清除回调函数
		}
	});
	//新建设备
	$("#creatNewEqui").on("click",function(){
		$(".right_main_wrap .tip").html('<?=$_lang["meeting_new_equiptment"]?>');
		diffButtonShow("new");	
		$("#e_id").val("");
		$("#e_name").val("").addClass("require");
		$("#reapte").val("");
		$("#e_model").val("");
		$("#input_use").val("");
		$("#input_remark").val("");	
	});
});	
function diffButtonShow(diff){
	$("#equBtnSumbit").unbind("click").bind("click",function(){
		if($("#e_name").val()==""){
			$("#Message").LazyMessage("open",'<?=$_lang["meeting_write_equiptment"]?>',"warning");	
			return false;
		}
		if($("#checknum").is(":hidden")){
			$('#form1').ajaxSubmit(function(data){
				if(data){
					$("#Message").LazyMessage("open",'<?=$_lang["meeting_submit_success"]?>',"success");
					$("#left_list").LazyList("reload");
					$("#creatNewEqui").click();
				}else{
					alert("error!");	
				}
			});		
		}else{
			$("#Message").LazyMessage("open",'<?=$_lang["meeting_equiptment_not_repeat"]?>',"warning");	
			return false;
		}
	});
}
//编辑设备
function meetingEquEdit(dataid){
	$(".right_main_wrap .tip").html('<?=$_lang["meeting_edit_equiptment"]?>');
	$.ajax({
		type:"POST",
		data:"type=getview&dataid="+dataid,
		url:"indexdo.php"
	}).done(function(result){
		var dataobj = $.parseJSON(result);
		diffButtonShow("edit");	
		$("#e_id").val(dataobj.m_id);
		$("#e_name").val(dataobj.m_name).removeClass("require");
		$("#reapte").val(dataobj.m_name);
		$("#e_model").val(dataobj.m_model);
		$("#input_use").val(dataobj.m_use);
		$("#input_remark").val(dataobj.m_remark);
	});	
}
</script>

<body>
<input type="hidden" id="chooseCateid" name="chooseCateid">
<div id="Message"></div>
<div class="left_list_wrap">
    <div class="lazy_header">
        <span class="lazy-list-title">
            <i class="fa fa-list-title"></i>
            <span class="tip"><?=$_lang["meeting_equiptment_list"]?></span>
        </span>
       	<button id="creatNewEqui" type="button" class="btn btn-primary"><?=$_lang["meeting_create"]?></button>
        <div class="left_search" style="float:right; margin-right:5px;"></div>
    </div>
    <div id="left_list"></div>
</div>
<div class="right_main_wrap">
    <div class="lazy_header">
        <div class="switch"></div>
        <span class="lazy-page-title">
            <i class="fa fa-page-title"></i>
            <span class="tip"><?=$_lang["meeting_new_equiptment"]?></span>
        </span>
        <button type="button" id="equBtnSumbit" class="btn btn-primary"><?=$_lang["meeting_submit"]?></button>
    </div>
    <div id="right_table">
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <form id="form1" name="form1" method="post" action="do.php" enctype="multipart/form-data">
                        <table width="100%" border="0" cellpadding="5" cellspacing="1" class="form_table">
                            <tr>
                                <td class="title"><?=$_lang["meetings_equipment_name"]?></td>
                                <td >
                                	<input type="hidden" id="reapte" name="reapte">
                                    <input type="hidden" id="e_id" name="e_id">
                                    <input type="hidden" id="diff" name="diff" value="new_or_creat">
                                	<div style="float:left;">
                                		<input type="text" id="e_name" name="e_name" onKeyUp="meet_CheckRequire(this)" onChange="delete_bank(this);checkreapt(this,'equiptment');" onBlur="delete_bank(this);meet_CheckRequire(this);" class="require">
                                	</div>
                                	<div id="checknum" name="checknum" style="float:left;margin-left:10px;display:none;padding-top:10px">
                                        <!-- <img src="/theme/8series/default/images/vehicles/warning.png" /> -->
                                        <font color="#FF0000"><?=$_lang["meetings_repeate"]?></font>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["meetings_equipment_model"]?></td>
                                <td >
                                    <input onBlur="delete_bank(this);" type="text" id="e_model" name="e_model">
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["meetings_equipment_use"]?></td>
                                <td>
                                    <textarea id="input_use" name="input_use" style="overflow:auto;" rows="5" cols="50%"></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td class="title"><?=$_lang["meetings_remark"]?></td>
                                <td >
                                    <textarea id="input_remark" name="input_remark" style="overflow:auto;" rows="5" cols="50%"></textarea>
                                </td>
                            </tr>
                        </table>
                        
                    </form>
                </td>
            </tr>
        </table>     
    </div>
</div>
</body>
</html>