<?php
/**
 * Systemname:       E-Office
 * Filename:         module/term_select-new/eval_my_function.php
 * Function:         节点出口条件
 * Encoding:         $_lang['encoding']
 * Author:           sun|www.weaver.com.cn
 * Date:             2008-05-15
 * File Version:     1.0
 * Eoffice Version:  6.0
*/
include_once("inc/auth.php");
includelangpak("other");
function my_abs($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errorabsfunparameterscount"]);
		return false;
	}
	else 
	{
		return abs($array[0]);
	}
}
function my_exp($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errorexpfunparameterscount"]);
		return false;
	}
	else 
	{
		return exp($array[0]);
	}
}
function my_sin($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errorsinfunparameterscount"]);
		return false;
	}
	else 
	{
		return sin($array[0]);
	}
}
function my_cos($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errorcosfunparameterscount"]);
		return false;
	}
	else 
	{
		return cos($array[0]);
	}
}
function my_asin($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errorasinfunparameterscount"]);
		return false;
	}
	else 
	{
		return asin($array[0]);
	}
}
function my_acos($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_erroracosfunparameterscount"]);
		return false;
	}
	else 
	{
		return acos($array[0]);
	}
}
function my_tan($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errortanfunparameterscount"]);
		return false;
	}
	else 
	{
		return tan($array[0]);
	}
}
function my_atan($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_erroratanfunparameterscount"]);
		return false;
	}
	else 
	{
		return atan($array[0]);
	}
}
function my_ceil($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errorceilfunparameterscount"]);
		return false;
	}
	else 
	{
		return ceil($array[0]);
	}
}
function my_floor($array)
{
	global $_lang;
	if (sizeof($array) !== 1) 
	{
		error_rpn($_lang["other_errorfloorfunparameterscount"]);
		return false;
	}
	else 
	{
		return floor($array[0]);
	}
}
function my_round($array)
{
	global $_lang;
	if (sizeof($array) === 1) 
	{
		return round($array[0]);
	}
	elseif (sizeof($array) === 2)
	{
		return round($array[0],$array[1]);
	}
	else 
	{
		error_rpn($_lang["other_errorroundfunparameterscount"]);
		return false;
	}
}
function my_pi()
{
	return pi();
}
function my_sqrt($array)
{
	global $_lang;
	if (sizeof($array) === 1) 
	{
		return sqrt($array[0]);
	}
	else 
	{
		error_rpn($_lang["other_errorsqrtfunparameterscount"]);
		return false;
	}
}
function my_log($array)
{
	global $_lang;
	if (sizeof($array) === 1) 
	{
		return log($array[0]);
	}
	elseif (sizeof($array) === 2) 
	{
		return log($array[0],$array[1]);
	}
	else 
	{
		error_rpn($_lang["other_errorlogfunparameterscount"]);
		return false;
	}
}
function my_ln($array)
{
	global $_lang;
	if (sizeof($array) === 1) 
	{
		return log($array[0]);
	}
	else 
	{
		error_rpn($_lang["other_errorlnfunparameterscount"]);
		return false;
	}
}
?>