<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title></title>

		<link href="/newplugins/css/style.css" rel="stylesheet"/>
		<link href="/newplugins/js/jquery-ui/css/ui-lightness/jquery-ui.min.css" rel="stylesheet"/>
		<link href="/newplugins/doc/jquery.snippet.css" rel="stylesheet"/>
		<link rel="stylesheet" type="text/css" href="/newplugins/font-awesome/css/font-awesome.min.css">
		<link href="/newplugins/css/style.css" rel="stylesheet"/>
		<style type="text/css">
			body, html {
				overflow: auto;
			}
			p{
				padding:5px 0 0 10px;
				font-size:13px;
			}
		</style>

	</head>
	<body>
		<p>
			1、页面必须加上标准
		</p>
		<p>
			<pre class="html">
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;
&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;</pre>
		</p>
		<p>
			2、新改造的页面必须引入 /newplugins/css/style.css ,且保证此css文件在所有css之后引入
		</p>
		<p>
			3、关于图标，尽量用字体图标，引入css /newplugins/font-awesome/css/font-awesome.min.css 在 http://fontawesome.io/中找，如果没有适合的请与我联系
		</p>
		<p>
			4、页面顶端开头如果不是标签模式，则必须以以lazy_header开始
		</p>
		<p>
			lazy_header的class定义在 "/newplugins/css/style.css"中
		</p>
		<p>
			页面头的按钮、筛选、查询等放在lazy_header中
		</p>
		<pre class="html">
			&lt;div class="lazy_header"&gt;&lt;/div&gt;</pre>						
		</p>

		<div class="lazy_header">
			<button class="btn btn-default">
				按钮1
			</button>
			<button class="btn btn-primary">
				按钮2
			</button>
		</div>
		<p>
			5、页面顶端开头如果是以标签开始的，如果需要放按钮、查询、筛选等，需放在lazy_sub_header中
		</p>
		<p>
			lazy_sub_header和lazy_header的差别是高度和背景色不一样
		</p>
		<p>
			<pre class="html">
			&lt;div class="lazy_sub_header"&gt;&lt;/div&gt;</pre>
		</p>
		<div class="lazy_header">
			<div id="tabs">
				<ul>
					<li>
						<a href="#tabs-1">标签1</a>
					</li>
					<li>
						<a href="#tabs-2">标签2</a>
					</li>
					<li>
						<a href="#tabs-3">标签3</a>
					</li>
				</ul>
				<div id="tabs-1">
					<div class="lazy_sub_header">
						<button class="btn btn-default">
							按钮1
						</button>
						<button class="btn btn-primary">
							按钮2
						</button>
					</div>
				</div>
				<div id="tabs-2">
					<div class="lazy_sub_header">
						<button class="btn btn-default">
							按钮1
						</button>
						<button class="btn btn-primary">
							按钮2
						</button>
					</div>
				</div>
				<div id="tabs-3">
					<div class="lazy_sub_header">
						<button class="btn btn-default">
							按钮1
						</button>
						<button class="btn btn-primary">
							按钮2
						</button>
					</div>
				</div>
			</div>

		</div>
		
		<p style="margin-top:40px;">
			6、页面头图标（页面头需要文字说明时，使用此图标，class固定写法）页面头是以标签、收缩组建开头的无需写此
		</p>
		<p class="title">代码</p>
		<pre class="html">&lt;span class="lazy-page-title"&gt;&lt;i class="fa fa-page-title"&gt;&lt;/i&gt; &lt;span class="tip"&gt;页面头文字&lt;/span&gt; &lt;/span&gt;</pre>
		<p class="title">示例</p>
		<div class="lazy_header">
				<span class="lazy-page-title"> <i class="fa fa-page-title"></i> <span class="tip">页面头文字</span> </span>
			</div>


		<p style="margin-top:40px;">
			7、中间列头图标（当页面是三列时，中间列使用此图标，class固定写法）
		</p>
		<p class="title">代码</p>
		<pre class="html">&lt;span class="lazy-list-title"&gt;&lt;i class="fa fa-list-title"&gt;&lt;/i&gt; &lt;span class="tip"&gt;中间列头文字&lt;/span&gt; &lt;/span&gt;</pre>
		<p class="title">示例</p>
		<div class="lazy_header">
				<span class="lazy-list-title"> <i class="fa fa-list-title"></i> <span class="tip">中间列头文字</span> </span>
			</div>

		<p style="margin-top:40px;">
			8、修改旧页面样式步骤
		</p>
		<p style="padding:0;padding-left:10px;">
			<p>
			1、引入css文件 /newplugins/css/style.css
			</p>
			<p>
			2、头上使用 lazy_header 替换原来的头，将按钮移动到lazy_header中<span style="color:red;">(如果按钮用的是button，请无比加上type="button",非IE下，button默认的type为submit)</span>
			</p>
			<p>
			3、移除原来的美化form的组件，使用最新的
			</p>
			<p>
			4、移除包裹的九宫格表格
			</p>
			<p>
			5、<span style="color:red;">列表页面样式会自动变为9.0样式</span>，无需特别调整，form界面自行调整
			</p>
		</p>
	</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery-ui/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/newplugins/doc/jquery.snippet.js"></script>
<script type="text/javascript">
	$(function() {
		$("pre.html").snippet("html", {
			style : "acid",
			menu : false
		});

		$("pre.css").snippet("css", {
			style : "acid",
			menu : false
		});

		$("#tabs").tabs();
	}); 
</script>
