<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title></title>
		<link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css">
		<link href="/newplugins/css/style.css" rel="stylesheet"/>
		<link href="/newplugins/doc/jquery.snippet.css" rel="stylesheet"/>

		<style>
			body, html {
				overflow: auto;
			}

			p.title {
				padding-left: 10%;
				font-weight: bold;
			}
		</style>
	</head>
	<body>
		<div class="form_header">
			基本按钮(根据按钮功能类型选择对应class,若没有适合的请用其他或者与我沟通)
		</div>
		<p class="title">
			依赖文件
		</p>
		<p>
			<pre class="js">
&lt;link rel="stylesheet" type="text/css" href="/newplugins/bootstrap/css/bootstrap.min.css"&gt;</pre>																
				


			<p class="title">
				使用方法(更多参数详见 http://v3.bootcss.com/css/#buttons)
			</p>
			<p>
				<pre class="js">
//btn为必须class，然后根据需求增加第二个class
&lt;button class="btn btn-primary"&gt;主要按钮&lt;/button&gt;</pre>
			</p>
			<p class="title">
				按钮类型示例
			</p>
			<table class="form_table" width="100%">

				<tr>
					<td class="title">增加数据</td>
					<td>
					<button class="btn btn-primary">
						新建/确定/提交/保存 class='btn btn-primary'
					</button></td>
				</tr>
				<tr>
					<td class="title">无数据操作</td>
					<td>
					<button class="btn btn-default">
						取消/返回/关闭 class='btn btn-default'
					</button></td>
				</tr>
				<tr>
					<td class="title">转移类</td>
					<td>
					<button class="btn btn-info">
						转移/共享/委托 class='btn btn-info'
					</button></td>
				</tr>
				<tr>
					<td class="title">删除类</td>
					<td>
					<button class="btn btn-danger">
						删除/清空 class='btn btn-danger'
					</button></td>
				</tr>
				<tr>
					<td class="title">其他可选颜色</td>
					<td>
					<button type="button" class="btn btn-success">
						btn-success
					</button>
					<button type="button" class="btn btn-warning">
						btn-warning
					</button></td>
				</tr>
			</table>
			<div class="form_header">
				分裂按钮 （使用方法详见公共组件的LazyToggleButton,此按钮主要用于同一种类型的多个操作）
			</div>
			<table class="form_table" width="100%">
				<tr>
					<td class="title">分裂按钮</td>
					<td><div class="split_button"></div></td>
				</tr>
			</table>

	</body>
</html>
<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
<script type="text/javascript" src="/newplugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="/newplugins/js/jquery.lazyplugins.js"></script>

<script type="text/javascript" src="/newplugins/doc/jquery.snippet.js"></script>
<script type="text/javascript">
	$(function() {
		$("pre.js").snippet("javascript", {
			style : "acid",
			menu : false
		});

		$(".split_button").LazySplitButton({
			dataSource : [{
				key : "save",
				title : "保存",
				isDefault : true
			}, {
				key : "trash",
				title : "保存到草稿箱",

			}, {
				key : "saveVersion",
				title : "保存版本"
			}]
		});

	}); 
</script>