<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title></title>
		<link href="/newplugins/doc/css/base.css" rel="stylesheet"/>
		<link href="/newplugins/doc/css/style.css" rel="stylesheet"/>
		<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
		<script type="text/javascript" src="/newplugins/doc/jquery.snippet.js"></script>
		<link href="/newplugins/doc/jquery.snippet.css" rel="stylesheet"/>

	</head>
	<body>
		<article id="post-23" class="post-23 post type-post status-publish format-standard hentry category-widgets">

			<div class="entry-content">
				<article id="dialog1" class="entry widget">
					<h2 class="section-title"><span>LazyFilter</span><span class="version-details"></span></h2>
					<div class="entry-wrapper">
						<p class="desc">
							<strong>说明: </strong>此插件用于筛选数据
						</p>
						<section id="quick-nav">
							<header>
								<h2>快速导航 <a href="#entry-examples">示例</a></h2>

							</header>
							<div class="quick-nav-section">
								<h3>参数</h3>
								<div>
									<a href="#option-common">common</a>
								</div>
								<div>
									<a href="#option-more">more</a>
								</div>
							</div>
							<div class="quick-nav-section">
								<h3>方法</h3>
								<div>
									<a href="#method-select">select</a>
								</div>
							</div>
								<div class="quick-nav-section">
								<h3>事件</h3>
								<div>
									<a href="#event-onClick">onClick</a>
								</div>
							</div>
						</section>
						<div class="longdesc" id="entry-longdesc">
							<p>
								列表上需要筛选时，使用次插件，重要筛选直接展示，非重要要筛选下拉展示
							</p>
							<h3>依赖</h3>
							<ul>
								<li>
									<a href="#">selectpicker</a>
								</li>
							</ul>
						</div>

						<section id="options">
							<header>
								<h2>参数</h2>
							</header>
							<div id="option-common" class="api-item first-item">
								<h3>common<span class="option-type"><strong>类型: </strong><a href="#">Object</a></span></h3>
								<div class="default">
									<strong>默认值: {
									tempalte : "{title}",
									dataSource : false
									}</strong>
								</div>
								<div>
									<p>
										常用筛选,dataSource为array或string,array中的每个对象格式固定为{key:"",title:""}
									</p>
								</div>
								<strong>示例:</strong>
								<pre class="js">
$(".selector").LazyFilter({ 
	common : {
		tempalte : "{title}",
		dataSource : [{
			key : "all",
			title : "全部",
			isDefault : true
		},{
			key : "today",
			title : "今天创建"
		}]
	}
});
								</pre>
							</div>
							<div id="option-more" class="api-item">
								<h3>more<span class="option-type"><strong>Type: </strong><a href="#">Object</a></span></h3>
								<div class="default">
									<strong>默认值 : {
									header : "更多筛选",
									dataSource : false
									}</strong>
								</div>
								<div>
									更多筛选,header为下拉的提示文字,dataSource中如果有subItems,则为分组下拉按钮
								</div>
								<strong>示例:</strong>
								<pre class="js">
$(".selector").LazyFilter({ 
	more : {
		header : "更多文档筛选",
		dataSource:[{
			key:"applyTime",
			title:"时间",
			subItems :[{
				key:"last3d",
				title:"近三天创建"
			},{
				key:"last7d",
				title:"近一周创建",
			},{
				key:"last1m",
				title:"近一月创建"
			}]
		},{
			key:"docType",
			title:"最新文档"
		}]
	}
});

//简单写法
$(".selector").LazyFilter({ 
	more : {
		header : "更多文档筛选",
		dataSource : {
			applyTime : {
				title : "时间",
				subItems : {
					"last3d" : "近三天创建",
					"last7d" : "近一周创建",
					"last1m" : "近一月创建"
				}
			},
			docType : "最新文档"
		}
	}
});
								</pre>
							</div>
						</section>

						<section id="methods">
							<header>
								<h2>方法</h2>
							</header>
							<div id="method-select">
								<div class="api-item first-item">
									<h3>select(selectKey)<span class="returns">返回值: <a href="#">jQuery</a></span></h3>
									<div>
										选中指定筛选
									</div>
									<ul>
										<li>
											<div>
												<strong>selectKey</strong>
											</div>
											<div>
												类型: <a href="#">String</a>
											</div>
											<div>
												要选中的筛选的key,key为dataSource中的key
											</div>
										</li>
									</ul>
									<div>
										<strong>示例:</strong>
										<p>
											调用select方法:
										</p>
										<pre class="js">$( ".selector" ).LazyFilter( "select","all" );</pre>
									</div>
								</div>
						</section>
						<section id="events">
							<header>
								<h2>事件</h2>
							</header>
							<div id="event-onClick" class="api-item first-item">
								<h3>onClick(key) </h3>
								<div>
									点击筛选的时候触发
								</div>
								<ul>
									<li>
										<div>
											<strong>key</strong>
										</div>
										<div>
											类型: <a href="#">String</a>
										</div>
										<div>点击的筛选的key</div>
									</li>
								</ul>
							</div>

						</section>
						<section class="entry-examples" id="entry-examples">
							<header>
								<h2>示例:</h2>
							</header>
							<div class="entry-example" id="example-0">
								<pre>

									</pre>																																																								

 <h4>演示:</h4>
								<div class="demo code-demo">
									<iframe width="100%" height="250" src="demo.php"></iframe>
								</div>
							</div>
						</section>
					</div>
				</article>
			</div><!-- .entry-content -->

		</article>
	</body>
</html>
<script type="text/javascript">
	$(function() {
		$("pre.js").snippet("javascript", {
			style : "acid",
			menu : false
		});
		$("pre.html").snippet("html", {
			style : "acid",
			menu : false
		});
	}); 
</script>
