<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title></title>
		<link href="/newplugins/doc/css/base.css" rel="stylesheet"/>
		<link href="/newplugins/doc/css/style.css" rel="stylesheet"/>
		<script type="text/javascript" src="/inc/jquery/jquery.js"></script>
		<script type="text/javascript" src="/newplugins/doc/jquery.snippet.js"></script>
		<link href="/newplugins/doc/jquery.snippet.css" rel="stylesheet"/>
		

	</head>
	<body>
		<article id="post-23" class="post-23 post type-post status-publish format-standard hentry category-widgets">

			<div class="entry-content">
				<article id="dialog1" class="entry widget">
					<h2 class="section-title"><span>LazyToggle</span><span class="version-details"></span></h2>
					<div class="entry-wrapper">
						<p class="desc">
							<strong>说明: </strong>此插件用于页面是两列的时候，需要显示、隐藏中间列
						</p>
						<section id="quick-nav">
							<header>
								<h2>快速导航 <a href="#entry-examples">示例</a></h2>
								
							</header>
							<div class="quick-nav-section">
								<h3>参数</h3>
								<div>
									<a href="#option-autoHide">autoHide</a>
								</div>
								<div>
									<a href="#option-showTip">showTip</a>
								</div>
								<div>
									<a href="#option-hideTip">hideTip</a>
								</div>
							</div>
							<div class="quick-nav-section">
								<h3>方法</h3>
								<div>
									<a href="#method-show">show</a>
								</div>
								<div>
									<a href="#method-hide">hide</a>
								</div>
							</div>
							<div class="quick-nav-section">
								<h3>事件</h3>
								<div>
									<a href="#event-onAfterShow">onAfterShow</a>
								</div>
								<div>
									<a href="#event-onAfterHide">onAfterHide</a>
								</div>

							</div>
						</section>
						<div class="longdesc" id="entry-longdesc">
							<p>
								当页面是两列时，在右边列的头上最左边定义次控件，回调函数中控制中间列显示、隐藏
							</p>
							<h3>依赖</h3>
							<ul>
								<li>
									<a href="#">font-awesome</a>
								</li>
							</ul>
						</div>

						<section id="options">
							<header>
								<h2>参数</h2>
							</header>
							<div id="option-autoHide" class="api-item first-item">
								<h3>autoHide<span class="option-type"><strong>类型: </strong><a href="#">Boolean</a></span></h3>
								<div class="default">
									<strong>默认值: false</strong>
								</div>
								<div>
									<p>
										自动执行隐藏回调函数
									</p>
								</div>
								<strong>示例:</strong>
								<pre class="js">$(".selector").LazyToggle({ autoHide:"true"});</pre>																																								






							</div>
							<div id="option-showTip" class="api-item">
								<h3>showTip<span class="option-type"><strong>Type: </strong><a href="#">String</a></span></h3>
								<div class="default">
									<strong>Default: "显示"</strong>
								</div>
								<div>
									设置显示的提示文字
								</div>
								<strong>示例:</strong>
								<pre class="js">$(".selector").LazyToggle({ showTip:"显示文档列表"});</pre>																																								







							</div>
							<div id="option-hideTip" class="api-item">
								<h3>hideTip<span class="option-type"><strong>Type: </strong><a href="#">String</a></span></h3>
								<div class="default">
									<strong>Default: "隐藏"</strong>
								</div>
								<div>
									设置隐藏的提示文字
								</div>
								<strong>示例:</strong>
								<pre class="js">$(".selector").LazyToggle({ hideTip: "隐藏文档列表" });</pre>
							</div>
						</section>

						<section id="methods">
							<header>
								<h2>方法</h2>
							</header>
							<div id="method-show">
								<div class="api-item first-item">
									<h3>show()<span class="returns">Returns: <a href="#">jQuery</a></span></h3>
									<div>
										显示组件
									</div>
									<ul>
										<li>
											<div class="null-signature">
												此方法无参数
											</div>
										</li>
									</ul>
									<div>
										<strong>示例:</strong>
										<p>
											调用show方法:
										</p>
										<pre class="js">$( ".selector" ).LazyToggle( "show" );</pre>
									</div>
								</div>
								<div id="method-hide">
									<div class="api-item">
										<h3>hide()<span class="returns">Returns: <a href="#">jQuery</a></span></h3>
										<div>
											隐藏组件
										</div>
										<ul>
											<li>
												<div class="null-signature">
													此方法无参数.
												</div>
											</li>
										</ul>
										<div>
											<strong>示例:</strong>
											<p>
												调用hide方法:
											</p>
											<pre class="js">$( ".selector" ).LazyToggle( "hide" );</pre>																																																							







										</div>
									</div>
								</div>
						</section>
						<section id="events">
							<header>
								<h2>事件</h2>
							</header>
							<div id="event-onAfterShow" class="api-item first-item">
								<h3>onAfterShow() </h3>
								<div>
									当显示的时候触发
								</div>
							</div>
							<div id="event-onAfterHide" class="api-item">
								<h3>onAfterHide() </h3>
								<div>
									当隐藏的时候触发
								</div>
							</div>

						</section>
						<section class="entry-examples" id="entry-examples">
							<header>
								<h2>示例:</h2>
							</header>
							<div class="entry-example" id="example-0">
								<pre>

									</pre>																								

 <h4>演示:</h4>
								<div class="demo code-demo">
									<iframe width="100%" height="250" src="demo.php"></iframe>
								</div>
							</div>
						</section>
					</div>
				</article>
			</div><!-- .entry-content -->

		</article>
	</body>
</html>
<script type="text/javascript">
	$(function() {
		$("pre.js").snippet("javascript", {
			style : "acid",
			menu : false
		});
		$("pre.html").snippet("html", {
			style : "acid",
			menu : false
		});
	}); 
</script>
