<?
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice7.3
 * @name      webservice/user/user.wsdl.php
 * @version   1.0
 * @author    samuel
 */
include_once ("nusoap/lib/nusoap.php");
include_once ("api/user.class.php");
include_once ("inc/conn.php");

$server = new soap_server ();
$server->soap_defencoding = "UTF-8";
$server->decode_utf8 = false;
$server->configureWSDL ( 'LoginServicewsdl', 'urn:LoginServicewsdl' );
$server->wsdl->schemaTargetNamespace = 'urn:LoginServicewsdl';

$server->wsdl->addComplexType ( 'loginStatus', 'complexType', 'struct', 'all', '', array ('status' => array ('name' => 'status', 'type' => 'xsd:string' ), 'infor' => array ('name' => 'infor', 'type' => 'xsd:string' ) ) );

$server->register ( 'UserLogin', array ('UserName' => 'xsd:string', 'Password' => 'xsd:string' ), array ('return' => 'tns:loginStatus' ), 'urn:LoginServicewsdl', 'urn:LoginServicewsdl#UserLogin', 'rpc', 'encoded', 'UserLogin' );

function UserLogin($UserName, $Password) {
	$UserName = htmlspecialchars(stripslashes(SecurityFilter($UserName)));
	$UserName  = str_replace("'","’",$UserName);
	$UserName  = str_replace('"','“',$UserName);
	$loginStatus = array ();
	if (trim ( $UserName ) == "") {
		$loginStatus ["status"] = "false";
		$loginStatus ["infor"] = "用户名为空";
		return $loginStatus;

	}
	$user = new user ();
	if ($user->CheckUserAccount ( $UserName ) == false) {
		$loginStatus ["status"] = "false";
		$loginStatus ["infor"] = "用户名不存在";
		return $loginStatus;
	}
	$userID = $user->getUserIDByUserAccount ( $UserName );
	if ($user->checkOldPassword ( $userID, $Password ) == false) {
		$loginStatus ["status"] = "false";
		$loginStatus ["infor"] = "密码错误";
		return $loginStatus;
	}

	global $connection;
	$query = "SELECT * from USER where USER_ACCOUNTS='$UserName'";
	$cursor = exequery ( $connection, $query );
	$ROW = mysql_fetch_array ( $cursor );

	$timenow = time();
	$CUR_TIME=date("Y-m-d H:i:s",$timenow);
 	$query = "update USER set LAST_VISIT_TIME='$CUR_TIME' where USER_ID='".$ROW ["USER_ID"]."'";
 	exequery($connection,$query);

	session_start ();
	$_SESSION ["LOGIN_USER_ID"] = $ROW ["USER_ID"];
	$_SESSION ["LOGIN_PASSWORD"] = $ROW ["PASSWORD"];
	$_SESSION ["LOGIN_POST_PRIV"] = $ROW ["POST_PRIV"];
	$_SESSION ["LOGIN_USER_ACCOUNTS"] = $ROW ["USER_ACCOUNTS"];
	$_SESSION ["LOGIN_USER_NAME"] = $ROW ["USER_NAME"];
	$_SESSION ["LOGIN_USER_PRIV"] = $ROW ["USER_PRIV"];
	$_SESSION ["LOGIN_DEPT_ID"] = $ROW ["DEPT_ID"];

	$loginStatus ["status"] = "true";
	$loginStatus ["infor"] = $ROW ["USER_ID"];
	return $loginStatus;
}

$server->service ( $HTTP_RAW_POST_DATA );
?>