<?
/**
 * @copyright (C) 2000 - 2010 Weaver Co.Ltd
 * @package   eoffice
 * @name      webservice/upload/attachment.wsdl.php
 * @version   1.0 
 * @author    liuqingyu
 * @modify    liuqingyu
 */

include_once("nusoap/lib/nusoap.php");
include_once("inc/conn.php");
include_once("inc/checkcurrentsession.php");
include_once("inc/utility_all.php");

$server = new soap_server ();
$server->soap_defencoding = "UTF-8";
$server->decode_utf8 = false;
$server->configureWSDL ( 'AttachmentServicewsdl', 'urn:AttachmentServicewsdl' );
$server->wsdl->schemaTargetNamespace = 'urn:AttachmentServicewsdl';
//定义返回结构
$server->wsdl->addComplexType(
				'AttachmentArray',
				'complexType',
				'struct',
				'all',
				'',
				array(
					  'AttachmentID'   => array ('name' => 'AttachmentID', 'type' => 'xsd:string' ),
					  'FileUrl'        => array ('name' => 'FileUrl', 'type' => 'xsd:string' )
					  )
				);
$server->register(
			'GetAttachmentID',
			array(),
			array('return' => 'tns:AttachmentArray'),
			'urn:GetAttachmentID',
			'urn:DocumentServicewsdl#GetAttachmentID',
			'rpc',
			'encoded',
			'Get Public GetAttachmentID'
			);
//获取附件ID
function GetAttachmentID()
{
	CheckCurrentSession ();
	$Infor = array();
	$attachmentID = createFileDir();
	global $ATTACH_PATH;
	$path = $ATTACH_PATH . $attachmentID;
	if (!file_exists ( $path )) {
		mkdir ( $path, 0700 );
	}
	$Infor["AttachmentID"] = $attachmentID;
	$Infor["FileUrl"]      = $path;
	return $Infor;
}
$server->service ( $HTTP_RAW_POST_DATA );
?>