<?php
/**
 *@copyright (C) 2000 - 2010 Weaver Co.Ltd
 *@package   eoffice7.0
 *@name      test/webservice/addr/addr.wsdl.php
 *@version   1.0 
 *@author    
 */
include_once ("inc/checkcurrentsession.php");
include_once ("nusoap/lib/nusoap.php");
include_once ("api/address.class.php");
include_once ("wap/function.php");
include_once ("inc/conn.php");


$server = new soap_server ();
$server->soap_defencoding = "UTF-8";
$server->decode_utf8 = false;
$server->configureWSDL ( 'AddressServicewsdl', 'urn:AddressServicewsdl' );
$server->wsdl->schemaTargetNamespace = 'urn:AddressServicewsdl';

$server->wsdl->addComplexType ( 'addressInfor', 'complexType', 'array', '', 'SOAP-ENC:Array', array (), array (array (

'ref' => 'SOAP-ENC:arrayType', 'wsdl:arrayType' => 'tns:addressInforArray[]' ) ), 'tns:addressInforArray' );

$server->wsdl->addComplexType ( 'addressInforArray', 'complexType', 'struct', 'all', '', array ('Name' => array (

'name' => 'Name', 'type' => 'xsd:string' ), 'Sex' => array (

'name' => 'Sex', 'type' => 'xsd:string' ), 'Mobile' => array (

'name' => 'Mobile', 'type' => 'xsd:string' ), 'Email' => array (

'name' => 'Email', 'type' => 'xsd:string' ), 'Company' => array (

'name' => 'Company', 'type' => 'xsd:string' ), 'Department' => array (

'name' => 'Department', 'type' => 'xsd:string' ), 'Comment' => array (

'name' => 'Comment', 'type' => 'xsd:string' ),'Birthday'=>array(
'name'=>'Birthday','type'=>'xsd:string') ));

$server->register ( 'GetAddressInfo', array ('offset' => 'xsd:string', 'rows' => 'xsd:string', 'addressID' => 'xsd:string', 'searchCondition' => 'xsd:string' ), array ('return' => 'tns:addressInfor' ), 'urn:AddressServicewsdl', 'urn:AddressServicewsdl#GetAddressInfo', 'rpc', 'encoded', 'Get Address Information' );

function GetAddressInfo($offset, $rows, $addressID, $searchCondition) {
	CheckCurrentSession ();
	$addrApi = new address ();
	$addrs = $addrApi->GetAddressInfor ( $offset, $rows, $addressID, $searchCondition );
	return $addrs;
}

$server->register ( 'GetMyAddressAmount', array (), array ('return' => 'SOAP-ENC:string' ), 'urn:AddressServicewsdl', 'urn:AddressServicewsdl#GetMyAddressAmount', 'rpc', 'encoded', 'Get Address Amount' );

function GetMyAddressAmount() {
	CheckCurrentSession ();
	$addrApi = new address ();
	$addrs = $addrApi->GetMyAddressAmount ();
	return $addrs;
}

$server->service ( $HTTP_RAW_POST_DATA );
?>